(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     66103,       1656]
NotebookOptionsPosition[     64608,       1603]
NotebookOutlinePosition[     65252,       1628]
CellTagsIndexPosition[     65209,       1625]
WindowTitle->The Physics of Flight - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["The Physics of Flight", "Section",
 CellFrame->{{0, 0}, {0, 0}},
 ShowCellBracket->False,
 FontColor->RGBColor[0.597406, 0, 0.0527047]],

Cell[BoxData[
 GraphicsBox[RasterBox[CompressedData["
1:eJztnVuSozgWQDNiPqa3MJ+zpVlCbaB3WlGVNV9dvYH6TQRUph/ZGIHQmwvG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   "], {{0, 0}, {1800, 25}}, {0, 255},
   ColorFunction->RGBColor],
  ImageSize->{1800, 25},
  PlotRange->{{0, 1800}, {0, 25}}]], "Section",
 CellFrame->{{0, 0}, {0, 0}},
 ShowCellBracket->False],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Graphics", "[", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"--", 
         RowBox[{"--", 
          RowBox[{"-", 
           RowBox[{
            RowBox[{"Wind", "--"}], "--"}]}]}]}], "-"}], "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Translate", "[", 
        RowBox[{
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{"Gray", ",", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"v", ">", "0"}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"Dynamic", "[", 
               RowBox[{"Translate", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"windoldlocation", "+=", 
                   RowBox[{"0.03", " ", 
                    RowBox[{"(", 
                    RowBox[{"v", "/", "1.5"}], ")"}]}]}], ";", 
                  RowBox[{"Table", "[", 
                   RowBox[{
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"xwinds", "[", 
                    RowBox[{"[", "u", "]"}], "]"}], ",", 
                    RowBox[{"ywinds", "[", 
                    RowBox[{"[", "u", "]"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"xwinds", "[", 
                    RowBox[{"[", "u", "]"}], "]"}], "+", "25"}], ",", 
                    RowBox[{"ywinds", "[", 
                    RowBox[{"[", "u", "]"}], "]"}]}], "}"}]}], "}"}], "]"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"u", ",", "20"}], "}"}]}], "]"}]}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Mod", "[", 
                    RowBox[{"windoldlocation", ",", "700"}], "]"}], ",", 
                   "0"}], "}"}]}], "]"}], "]"}], "}"}]}], "]"}]}], "}"}], ",",
          "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"0", ",", 
           RowBox[{
            RowBox[{"-", "3.44848"}], "+", 
            RowBox[{"altitude", "[", 
             RowBox[{"v", ",", "m", ",", "a", ",", "q"}], "]"}]}]}], "}"}]}], 
        "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"--", 
          RowBox[{"--", 
           RowBox[{"-", 
            RowBox[{
             RowBox[{"Ground", "--"}], "--"}]}]}]}], "-"}], "*)"}], 
       "\[IndentingNewLine]", "Brown", ",", 
       RowBox[{"Rectangle", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "200"}], ",", 
           RowBox[{"-", "200"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"300", ",", 
           RowBox[{"-", "2"}]}], "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Darker", "[", "Gray", "]"}], ",", 
       RowBox[{"Rectangle", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "200"}], ",", 
           RowBox[{"-", "2"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"300", ",", "0"}], "}"}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"--", 
          RowBox[{"--", 
           RowBox[{"-", 
            RowBox[{
             RowBox[{"Stripes", "--"}], "--"}]}]}]}], "-"}], "*)"}], 
       "\[IndentingNewLine]", "Yellow", ",", 
       RowBox[{"Dynamic", "[", 
        RowBox[{
         RowBox[{"stripeoldlocation", "+=", 
          RowBox[{"0.03", 
           RowBox[{"(", 
            RowBox[{"v", "/", "1.5"}], ")"}]}]}], ";", 
         RowBox[{"Translate", "[", 
          RowBox[{
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"Line", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"80", "-", 
                   RowBox[{"140", " ", "i"}]}], ",", 
                  RowBox[{"-", ".5"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"110", "-", 
                   RowBox[{"140", " ", "i"}]}], ",", 
                  RowBox[{"-", ".5"}]}], "}"}]}], "}"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"i", ",", "5"}], "}"}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Mod", "[", 
              RowBox[{"stripeoldlocation", ",", "700"}], "]"}], ",", "0"}], 
            "}"}]}], "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"--", 
          RowBox[{"--", 
           RowBox[{"-", 
            RowBox[{
             RowBox[{"Gear", "--"}], "--"}]}]}]}], "-"}], "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"altitude", "[", 
           RowBox[{"v", ",", "m", ",", "a", ",", "q"}], "]"}], "\[LessEqual]", 
          RowBox[{"-", "4.8"}]}], ",", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"Black", ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"50.5", ",", 
                RowBox[{"-", "0.5"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"51", ",", "1"}], "}"}]}], "}"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"60.5", ",", 
                RowBox[{"-", "0.5"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"60", ",", "1"}], "}"}]}], "}"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Disk", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"50.5", ",", 
               RowBox[{"-", "0.5"}]}], "}"}], ",", 
             RowBox[{"0.5", " ", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"m", "/", "1200"}], ")"}], "^", 
               RowBox[{"(", 
                RowBox[{"1", "/", "7"}], ")"}]}]}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Disk", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"60.5", ",", 
               RowBox[{"-", "0.5"}]}], "}"}], ",", 
             RowBox[{"0.5", " ", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"m", "/", "1200"}], ")"}], "^", 
               RowBox[{"(", 
                RowBox[{"1", "/", "7"}], ")"}]}]}]}], "]"}]}], "}"}]}], "]"}],
        ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"Translate", "[", 
        RowBox[{
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Dynamic", "[", 
            RowBox[{"Translate", "[", 
             RowBox[{
              RowBox[{"{", "\[IndentingNewLine]", "\[IndentingNewLine]", 
               RowBox[{"(*", 
                RowBox[{
                 RowBox[{"--", 
                  RowBox[{"--", 
                   RowBox[{"-", 
                    RowBox[{
                    RowBox[{"Airplane", "--"}], "--"}]}]}]}], "-"}], "*)"}], 
               "\[IndentingNewLine]", 
               RowBox[{"Black", ",", 
                RowBox[{"Scale", "[", 
                 RowBox[{
                  RowBox[{"Polygon", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"50", ",", "11"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"54", ",", "10"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"73", ",", "10"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"78", ",", "11"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"79", ",", "16"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"75.5", ",", "16"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"73.5", ",", "13"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"65", ",", "13.75"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"62", ",", "14.5"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"58", ",", "14.75"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"55", ",", "14.5"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"53", ",", "13"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"50", ",", "13"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"50", ",", "12"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"49.5", ",", "12"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"49.5", ",", "11.5"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"50", ",", "11.5"}], "}"}]}], "}"}], "]"}], ",", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"m", "/", "1200"}], ")"}], "^", 
                   RowBox[{"(", 
                    RowBox[{"1", "/", "7"}], ")"}]}], ",", 
                  RowBox[{"{", 
                   RowBox[{"55", ",", "11"}], "}"}]}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"(*", 
                 RowBox[{
                  RowBox[{"--", 
                   RowBox[{"--", 
                    RowBox[{"-", 
                    RowBox[{
                    RowBox[{"Propeller", "--"}], "--"}]}]}]}], "-"}], "*)"}], 
                "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"v", ">", "0"}], ",", 
                  RowBox[{"Dynamic", "[", 
                   RowBox[{"Which", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Clock", "[", 
                    RowBox[{"1", ",", 
                    RowBox[{"10", "/", 
                    RowBox[{"Sqrt", "[", "v", "]"}]}]}], "]"}], "<", "0.25"}],
                     ",", 
                    RowBox[{"Scale", "[", 
                    RowBox[{
                    RowBox[{"Rectangle", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"49", ",", "9.5"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"49.5", ",", "14"}], "}"}]}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"m", "/", "1200"}], ")"}], "^", 
                    RowBox[{"(", 
                    RowBox[{"1", "/", "7"}], ")"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"55", ",", "11"}], "}"}]}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Clock", "[", 
                    RowBox[{"1", ",", 
                    RowBox[{"10", "/", 
                    RowBox[{"Sqrt", "[", "v", "]"}]}]}], "]"}], 
                    "\[GreaterEqual]", "0.75"}], "||", 
                    RowBox[{
                    RowBox[{"Clock", "[", 
                    RowBox[{"1", ",", 
                    RowBox[{"10", "/", 
                    RowBox[{"Sqrt", "[", "v", "]"}]}]}], "]"}], "<", 
                    "0.5"}]}], ",", 
                    RowBox[{"Scale", "[", 
                    RowBox[{
                    RowBox[{"Rectangle", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"49", ",", "10.5"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"49.5", ",", "13"}], "}"}]}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"m", "/", "1200"}], ")"}], "^", 
                    RowBox[{"(", 
                    RowBox[{"1", "/", "7"}], ")"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"55", ",", "11"}], "}"}]}], "]"}], ",", 
                    "\[IndentingNewLine]", "True", ",", 
                    RowBox[{"Scale", "[", 
                    RowBox[{
                    RowBox[{"Rectangle", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"49", ",", "11.5"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"49.5", ",", "12"}], "}"}]}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"m", "/", "1200"}], ")"}], "^", 
                    RowBox[{"(", 
                    RowBox[{"1", "/", "7"}], ")"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"55", ",", "11"}], "}"}]}], "]"}]}], "]"}], 
                   "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
                RowBox[{"(*", 
                 RowBox[{
                  RowBox[{"--", 
                   RowBox[{"--", 
                    RowBox[{"-", 
                    RowBox[{
                    RowBox[{"Wing", "--"}], "--"}]}]}]}], "-"}], "*)"}], 
                "\[IndentingNewLine]", "Red", ",", 
                RowBox[{"Rotate", "[", 
                 RowBox[{
                  RowBox[{"Scale", "[", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"Polygon", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"55", ",", "11"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"65", ",", "11"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"65", ",", "11.25"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"58", ",", "12"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"56", ",", "12"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"55", ",", "11.7"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"54", ",", "11.2"}], "}"}]}], "}"}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{"a", "/", "150"}], "]"}]}], "]"}], ",", 
                  RowBox[{
                   RowBox[{"-", "Degree"}], " ", "q"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"58", ",", "11.5"}], "}"}]}], "]"}], ",", 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                RowBox[{"(*", 
                 RowBox[{
                  RowBox[{"--", 
                   RowBox[{"--", 
                    RowBox[{"-", 
                    RowBox[{
                    RowBox[{"vectors", "--"}], "--"}]}]}]}], "-"}], "*)"}], 
                "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"s", "\[Equal]", "1"}], ",", 
                  RowBox[{"Translate", "[", "\[IndentingNewLine]", 
                   RowBox[{"(*", "weight", "*)"}], "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"Thick", ",", "Blue", ",", 
                    RowBox[{"Arrow", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"55", ",", "11"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"55", ",", 
                    RowBox[{"11", "-", 
                    RowBox[{"m", "/", "300"}]}]}], "}"}]}], "}"}], "]"}], ",",
                     "\[IndentingNewLine]", 
                    RowBox[{"(*", "lift", "*)"}], "\[IndentingNewLine]", 
                    "Red", ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"altitude", "[", 
                    RowBox[{"v", ",", "m", ",", "a", ",", "q"}], "]"}], ">", 
                    RowBox[{"-", "4.8"}]}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Arrow", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"55", ",", "11"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"55", ",", 
                    RowBox[{"11", "+", 
                    RowBox[{"m", "/", "300"}]}]}], "}"}]}], "}"}], "]"}], ",",
                     "\[IndentingNewLine]", 
                    RowBox[{"Arrow", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"55", ",", "11"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"55", ",", 
                    RowBox[{"11", "+", 
                    RowBox[{
                    RowBox[{"lift", "[", 
                    RowBox[{"v", ",", "a", ",", "q"}], "]"}], "/", 
                    "300"}]}]}], "}"}]}], "}"}], "]"}]}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"(*", 
                    RowBox[{"drag", ",", " ", "thrust", ",", " ", 
                    RowBox[{"and", " ", "normal", " ", "force"}]}], "*)"}], 
                    "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"altitude", "[", 
                    RowBox[{"v", ",", "m", ",", "a", ",", "q"}], "]"}], ">", 
                    RowBox[{"-", "4.8"}]}], ",", "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{"Gray", ",", 
                    RowBox[{"Arrow", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"55", ",", "11"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"55", "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"m", " ", "15", " ", 
                    RowBox[{"cd", "[", "q", "]"}]}], ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{"300", " ", 
                    RowBox[{"cl", "[", "q", "]"}]}], ")"}]}]}], ",", "11"}], 
                    "}"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
                    "Orange", ",", 
                    RowBox[{"Arrow", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"55", ",", "11"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"55", "-", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"m", " ", "15", " ", 
                    RowBox[{"cd", "[", "q", "]"}]}], ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{"300", " ", 
                    RowBox[{"cl", "[", "q", "]"}]}], ")"}]}]}], ",", "11"}], 
                    "}"}]}], "}"}], "]"}]}], "}"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{"Gray", ",", 
                    RowBox[{"Arrow", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"55", ",", "11"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"55", "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"lift", "[", 
                    RowBox[{"v", ",", "a", ",", "q"}], "]"}], " ", "15", " ", 
                    
                    RowBox[{"cd", "[", "q", "]"}]}], ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{"300", " ", 
                    RowBox[{"cl", "[", "q", "]"}]}], ")"}]}]}], ",", "11"}], 
                    "}"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
                    "Orange", ",", 
                    RowBox[{"Arrow", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"55", ",", "11"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"55", "-", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"lift", "[", 
                    RowBox[{"v", ",", "a", ",", "q"}], "]"}], " ", "15", " ", 
                    
                    RowBox[{"cd", "[", "q", "]"}]}], ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{"300", " ", 
                    RowBox[{"cl", "[", "q", "]"}]}], ")"}]}]}], ",", "11"}], 
                    "}"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
                    "Brown", ",", 
                    RowBox[{"Arrow", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"55", ",", "11"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"55", ",", 
                    RowBox[{"11", "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"m", "-", 
                    RowBox[{"lift", "[", 
                    RowBox[{"v", ",", "a", ",", "q"}], "]"}]}], ")"}], "/", 
                    "300"}]}]}], "}"}]}], "}"}], "]"}]}], "}"}]}], "]"}], ",",
                     "\[IndentingNewLine]", 
                    RowBox[{"(*", "velocity", "*)"}], "\[IndentingNewLine]", 
                    "Green", ",", 
                    RowBox[{"Arrow", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"55", ",", "11"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"55", "-", 
                    RowBox[{"v", "/", "15"}]}], ",", "11"}], "}"}]}], "}"}], 
                    "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"5", ",", "2"}], "}"}]}], "]"}]}], "]"}]}], "}"}],
               ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{"(*", 
               RowBox[{"clock", " ", "translate"}], "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"altitude", "[", 
                  RowBox[{"v", ",", "m", ",", "a", ",", "q"}], "]"}], ">", 
                 "0"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{".5", " ", 
                   RowBox[{"Sin", "[", 
                    RowBox[{"Clock", "[", 
                    RowBox[{
                    RowBox[{"2", " ", "Pi"}], ",", 
                    RowBox[{"15", "/", 
                    RowBox[{"v", "^", 
                    RowBox[{"(", 
                    RowBox[{"1", "/", "3"}], ")"}]}]}]}], "]"}], "]"}]}]}], 
                 "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "0"}], "}"}]}], "]"}]}], "]"}], "]"}], ",",
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"Stall", " ", "label"}], "*)"}], "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"q", ">", "16.68"}], "&&", 
              RowBox[{
               RowBox[{"altitude", "[", 
                RowBox[{"v", ",", "m", ",", "a", ",", "q"}], "]"}], ">", 
               "0"}]}], ",", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Framed", "[", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{"Stall", ",", "Red", ",", "16"}], "]"}], ",", 
                 RowBox[{"FrameStyle", "\[Rule]", "Red"}]}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"2", ",", "60"}], "}"}]}], "]"}]}], "]"}]}], "}"}], 
         ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{"altitude", " ", "translate"}], "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "2"}], ",", 
           RowBox[{
            RowBox[{"-", "4.44848"}], "+", 
            RowBox[{"altitude", "[", 
             RowBox[{"v", ",", "m", ",", "a", ",", "q"}], "]"}]}]}], "}"}]}], 
        "]"}]}], "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
        RowBox[{"--", 
         RowBox[{"--", 
          RowBox[{"-", "Graphing"}]}]}], " ", 
        RowBox[{
         RowBox[{"options", "--"}], "--"}]}], "-"}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"Axes", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"False", ",", "True"}], "}"}]}], ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"100", ",", "0"}], "}"}]}], ",", 
     RowBox[{"AxesStyle", "\[Rule]", "12"}], ",", "\[IndentingNewLine]", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"altitude", "[", 
            RowBox[{"v", ",", "m", ",", "a", ",", "q"}], "]"}], "-", "40"}], 
          ",", 
          RowBox[{
           RowBox[{"altitude", "[", 
            RowBox[{"v", ",", "m", ",", "a", ",", "q"}], "]"}], "+", "60"}]}],
          "}"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"Background", "\[Rule]", "LightBlue"}], ",", 
     RowBox[{"ImagePadding", "\[Rule]", "25"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"400", ",", "400"}], "}"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\"\<weight (lbs)\>\"", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"m", ",", "2500", ",", "\"\<\>\""}], "}"}], ",", "1000", ",", 
     "10000", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\"\<airspeed (kts)\>\"", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"v", ",", "0", ",", "\"\<\>\""}], "}"}], ",", "0", ",", "400", 
     ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   "\"\<wing area (\!\(\*SuperscriptBox[\(ft\), \(2\)]\))\>\"", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "150", ",", "\"\<\>\""}], "}"}], ",", "100", ",", 
     "250", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\"\<angle of attack (deg)\>\"", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"q", ",", "5", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"-", "6"}], ",", "25", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   "\"\<show vectors\>\"", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"s", ",", "0", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"windoldlocation", ",", "0"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"stripeoldlocation", ",", "0"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"Row", "[", 
    RowBox[{"{", 
     RowBox[{"\"\<lift \>\"", ",", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<\[RightArrow]\>\"", ",", "Red", ",", "24"}], "]"}]}], 
     "}"}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Row", "[", 
    RowBox[{"{", 
     RowBox[{"\"\<weight \>\"", ",", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<\[RightArrow]\>\"", ",", "Blue", ",", "24"}], "]"}]}], 
     "}"}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Row", "[", 
    RowBox[{"{", 
     RowBox[{"\"\<thrust \>\"", ",", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<\[RightArrow]\>\"", ",", "Orange", ",", "24"}], "]"}]}], 
     "}"}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Row", "[", 
    RowBox[{"{", 
     RowBox[{"\"\<drag \>\"", ",", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<\[RightArrow]\>\"", ",", "Gray", ",", "24"}], "]"}]}], 
     "}"}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Row", "[", 
    RowBox[{"{", 
     RowBox[{"\"\<normal \>\"", ",", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<\[RightArrow]\>\"", ",", "Brown", ",", "24"}], "]"}]}], 
     "}"}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Row", "[", 
    RowBox[{"{", 
     RowBox[{"\"\<velocity \>\"", ",", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<\[RightArrow]\>\"", ",", "Green", ",", "24"}], "]"}]}], 
     "}"}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "5"}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Initialization", "\[RuleDelayed]", 
    RowBox[{"(", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"-", 
          RowBox[{
           RowBox[{"Altitude", "--"}], "--"}]}]}]}], "-"}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"altitude", "[", 
        RowBox[{"v_", ",", "m_", ",", "a_", ",", "q_"}], "]"}], ":=", 
       RowBox[{"alt", "[", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"v", ">", "0"}], "&&", 
           RowBox[{
            RowBox[{"cl", "[", "q", "]"}], ">", "0"}], "&&", 
           RowBox[{
            RowBox[{"den", "[", 
             RowBox[{"v", ",", "m", ",", "a", ",", "q"}], "]"}], "<", 
            "0.002378"}]}], ",", 
          RowBox[{
           RowBox[{"den", "[", 
            RowBox[{"v", ",", "m", ",", "a", ",", "q"}], "]"}], "/", 
           "0.002378"}], ",", "1"}], "]"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{
         RowBox[{"--", 
          RowBox[{"--", 
           RowBox[{"-", "Coefficient"}]}]}], " ", "of", " ", 
         RowBox[{
          RowBox[{"lift", "--"}], "--"}]}], "-"}], "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"cl", "[", "z_", "]"}], ":=", 
       RowBox[{"Piecewise", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"0.52", "+", 
             RowBox[{"0.097", " ", "z"}]}], ",", 
            RowBox[{"z", "\[LessEqual]", "9"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"0.071", "+", 
             RowBox[{"0.2", "z"}], "-", 
             RowBox[{"0.006", " ", 
              RowBox[{"z", "^", "2"}]}]}], ",", 
            RowBox[{"z", ">", "9"}]}], "}"}]}], "}"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{
         RowBox[{"--", 
          RowBox[{"--", 
           RowBox[{"-", "Coefficient"}]}]}], " ", "of", " ", 
         RowBox[{
          RowBox[{"drag", "--"}], "--"}]}], "-"}], "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"cd", "[", "x_", "]"}], ":=", 
       RowBox[{"Piecewise", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"0.00605788", "\[VeryThinSpace]", "-", 
             RowBox[{"0.000175222", " ", "x"}], "+", 
             RowBox[{"0.0000210848", " ", 
              SuperscriptBox["x", "2"]}]}], ",", 
            RowBox[{"x", "\[LessEqual]", "6"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"0.00986773", "-", 
             RowBox[{"0.00161881", " ", "x"}], "+", 
             RowBox[{"0.00015598", " ", 
              SuperscriptBox["x", "2"]}]}], ",", 
            RowBox[{"x", ">", "6"}]}], "}"}]}], "}"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"--", 
         RowBox[{"--", 
          RowBox[{"-", "Density"}]}]}], " ", "to", " ", 
        RowBox[{
         RowBox[{
          RowBox[{"altitude", "--"}], "--"}], "--"}]}], "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"alt", "[", "y_", "]"}], ":=", 
       RowBox[{"66741.7", "\[VeryThinSpace]", "-", 
        RowBox[{"131222", " ", "y"}], "+", 
        RowBox[{"106055", " ", 
         SuperscriptBox["y", "2"]}], "-", 
        RowBox[{"50546.3", " ", 
         SuperscriptBox["y", "3"]}], "+", 
        RowBox[{"8966.8", " ", 
         SuperscriptBox["y", "4"]}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{
         RowBox[{"--", 
          RowBox[{"--", 
           RowBox[{"-", "Air"}]}]}], " ", 
         RowBox[{
          RowBox[{"density", "--"}], "--"}]}], "-"}], "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"den", "[", 
        RowBox[{"v_", ",", "m_", ",", "a_", ",", "q_"}], "]"}], ":=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"2", " ", "m"}], ")"}], "/", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1.688", " ", "v"}], ")"}], "^", "2"}], ")"}], " ", "a", 
          " ", 
          RowBox[{"cl", "[", "q", "]"}]}], ")"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{
         RowBox[{"--", 
          RowBox[{"--", 
           RowBox[{"-", "Lift"}]}]}], " ", "force", " ", "on", " ", 
         RowBox[{
          RowBox[{"ground", "--"}], "--"}]}], "-"}], "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"lift", "[", 
        RowBox[{"v_", ",", "a_", ",", "q_"}], "]"}], ":=", 
       RowBox[{".5", " ", "0.002378", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1.688", " ", "v"}], ")"}], "^", "2"}], ")"}], " ", "a", 
        " ", 
        RowBox[{"cl", "[", "q", "]"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{
         RowBox[{"--", 
          RowBox[{"--", 
           RowBox[{"-", "Drag"}]}]}], " ", "force", " ", "on", " ", 
         RowBox[{
          RowBox[{"ground", "--"}], "--"}]}], "-"}], "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"drag", "[", 
        RowBox[{"v_", ",", "a_", ",", "q_"}], "]"}], ":=", 
       RowBox[{".5", " ", "0.002378", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1.688", " ", "v"}], ")"}], "^", "2"}], ")"}], " ", "a", 
        " ", 
        RowBox[{"cd", "[", "q", "]"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{
         RowBox[{"--", 
          RowBox[{"--", 
           RowBox[{"-", "random"}]}]}], " ", "x", " ", 
         RowBox[{
          RowBox[{"coordinates", "--"}], "--"}]}], "-"}], "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"SeedRandom", "[", "123", "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"xwinds", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"RandomReal", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "600"}], ",", 
            RowBox[{"-", "30"}]}], "}"}], "]"}], ",", 
         RowBox[{"{", "20", "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{
         RowBox[{"--", 
          RowBox[{"--", 
           RowBox[{"-", "random"}]}]}], " ", "y", " ", 
         RowBox[{
          RowBox[{"coordinates", "--"}], "--"}]}], "-"}], "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"ywinds", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"RandomReal", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "39"}], ",", "59"}], "}"}], "]"}], ",", 
         RowBox[{"{", "20", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
     ")"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.5203302747420893`*^9, {3.520354815459633*^9, 3.520354911221208*^9}, {
   3.520354961168202*^9, 3.5203550069877834`*^9}, {3.5203550764607306`*^9, 
   3.520355079633047*^9}, {3.520355217348818*^9, 3.5203552238674693`*^9}, {
   3.520364108533346*^9, 3.520364109966258*^9}, 3.52190008063277*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 150, $CellContext`m$$ = 
    2500, $CellContext`q$$ = 5, $CellContext`s$$ = 
    0, $CellContext`stripeoldlocation$$ = 0., $CellContext`v$$ = 
    0, $CellContext`windoldlocation$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold["weight (lbs)"], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`m$$], 2500, ""}, 1000, 10000, 1}, {
      Hold["airspeed (kts)"], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`v$$], 0, ""}, 0, 400, 0.01}, {
      Hold["wing area (\!\(\*SuperscriptBox[\(ft\), \(2\)]\))"], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`a$$], 150, ""}, 100, 250, 0.01}, {
      Hold["angle of attack (deg)"], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`q$$], 5, ""}, -6, 25, 0.01}, {
      Hold["show vectors"], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`s$$], 0, ""}, {0, 1}}, {{
       Hold[$CellContext`windoldlocation$$], 0}}, {{
       Hold[$CellContext`stripeoldlocation$$], 0.}}, {
      Hold[
       Row[{"lift ", 
         Style["\[RightArrow]", 
          RGBColor[1, 0, 0], 24]}]], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Row[{"weight ", 
         Style["\[RightArrow]", 
          RGBColor[0, 0, 1], 24]}]], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Row[{"thrust ", 
         Style["\[RightArrow]", 
          RGBColor[1, 0.5, 0], 24]}]], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Row[{"drag ", 
         Style["\[RightArrow]", 
          GrayLevel[0.5], 24]}]], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Row[{"normal ", 
         Style["\[RightArrow]", 
          RGBColor[0.6, 0.4, 0.2], 24]}]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Row[{"velocity ", 
         Style["\[RightArrow]", 
          RGBColor[0, 1, 0], 24]}]], Manipulate`Dump`ThisIsNotAControl}}, 
    Typeset`size$$ = {400., {198., 202.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`m$46722$$ = 0, $CellContext`v$46723$$ = 
    0, $CellContext`a$46724$$ = 0, $CellContext`q$46725$$ = 
    0, $CellContext`s$46726$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 150, $CellContext`m$$ = 
        2500, $CellContext`q$$ = 5, $CellContext`s$$ = 
        0, $CellContext`stripeoldlocation$$ = 0., $CellContext`v$$ = 
        0, $CellContext`windoldlocation$$ = 0}, "ControllerVariables" :> {
        Hold[$CellContext`m$$, $CellContext`m$46722$$, 0], 
        Hold[$CellContext`v$$, $CellContext`v$46723$$, 0], 
        Hold[$CellContext`a$$, $CellContext`a$46724$$, 0], 
        Hold[$CellContext`q$$, $CellContext`q$46725$$, 0], 
        Hold[$CellContext`s$$, $CellContext`s$46726$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics[{
         Translate[{Gray, 
           If[$CellContext`v$$ > 0, {
             Dynamic[
              Translate[
              AddTo[$CellContext`windoldlocation$$, 
                 0.03 ($CellContext`v$$/1.5)]; Table[
                 Line[{{
                    Part[$CellContext`xwinds, $CellContext`u], 
                    Part[$CellContext`ywinds, $CellContext`u]}, {
                   Part[$CellContext`xwinds, $CellContext`u] + 25, 
                    
                    Part[$CellContext`ywinds, $CellContext`u]}}], \
{$CellContext`u, 20}], {
                Mod[$CellContext`windoldlocation$$, 700], 0}]]}]}, {
          0, -3.44848 + $CellContext`altitude[$CellContext`v$$, \
$CellContext`m$$, $CellContext`a$$, $CellContext`q$$]}], Brown, 
         Rectangle[{-200, -200}, {300, -2}], 
         Darker[Gray], 
         Rectangle[{-200, -2}, {300, 0}], Yellow, 
         Dynamic[
         AddTo[$CellContext`stripeoldlocation$$, 0.03 ($CellContext`v$$/1.5)]; 
          Translate[
            Table[
             
             Line[{{80 - 140 $CellContext`i, -0.5}, {
               110 - 140 $CellContext`i, -0.5}}], {$CellContext`i, 5}], {
             Mod[$CellContext`stripeoldlocation$$, 700], 0}]], 
         If[$CellContext`altitude[$CellContext`v$$, $CellContext`m$$, \
$CellContext`a$$, $CellContext`q$$] <= -4.8, {Black, 
           Line[{{50.5, -0.5}, {51, 1}}], 
           Line[{{60.5, -0.5}, {60, 1}}], 
           Disk[{50.5, -0.5}, 0.5 ($CellContext`m$$/1200)^(1/7)], 
           Disk[{60.5, -0.5}, 0.5 ($CellContext`m$$/1200)^(1/7)]}], 
         Translate[{
           Dynamic[
            Translate[{Black, 
              Scale[
               
               Polygon[{{50, 11}, {54, 10}, {73, 10}, {78, 11}, {79, 16}, {
                 75.5, 16}, {73.5, 13}, {65, 13.75}, {62, 14.5}, {
                 58, 14.75}, {55, 14.5}, {53, 13}, {50, 13}, {50, 12}, {
                 49.5, 12}, {49.5, 11.5}, {50, 11.5}}], ($CellContext`m$$/
                1200)^(1/7), {55, 11}], 
              If[$CellContext`v$$ > 0, 
               Dynamic[
                Which[Clock[1, 10/Sqrt[$CellContext`v$$]] < 0.25, 
                 Scale[
                  
                  Rectangle[{49, 9.5}, {49.5, 14}], ($CellContext`m$$/1200)^(
                   1/7), {55, 11}], 
                 Or[
                 Clock[1, 10/Sqrt[$CellContext`v$$]] >= 0.75, 
                  Clock[1, 10/Sqrt[$CellContext`v$$]] < 0.5], 
                 Scale[
                  
                  Rectangle[{49, 10.5}, {49.5, 13}], ($CellContext`m$$/1200)^(
                   1/7), {55, 11}], True, 
                 Scale[
                  
                  Rectangle[{49, 11.5}, {49.5, 12}], ($CellContext`m$$/1200)^(
                   1/7), {55, 11}]]]], Red, 
              Rotate[
               Scale[
                
                Polygon[{{55, 11}, {65, 11}, {65, 11.25}, {58, 12}, {56, 
                  12}, {55, 11.7}, {54, 11.2}}], 
                Sqrt[$CellContext`a$$/150]], (-Degree) $CellContext`q$$, {
               58, 11.5}], 
              If[$CellContext`s$$ == 1, 
               Translate[{Thick, Blue, 
                 Arrow[{{55, 11}, {55, 11 - $CellContext`m$$/300}}], Red, 
                 
                 If[$CellContext`altitude[$CellContext`v$$, $CellContext`m$$, \
$CellContext`a$$, $CellContext`q$$] > -4.8, 
                  Arrow[{{55, 11}, {55, 11 + $CellContext`m$$/300}}], 
                  
                  Arrow[{{55, 11}, {
                    55, 11 + $CellContext`lift[$CellContext`v$$, \
$CellContext`a$$, $CellContext`q$$]/300}}]], 
                 
                 If[$CellContext`altitude[$CellContext`v$$, $CellContext`m$$, \
$CellContext`a$$, $CellContext`q$$] > -4.8, {Gray, 
                   
                   Arrow[{{55, 11}, {
                    55 + ($CellContext`m$$ 
                    15 $CellContext`cd[$CellContext`q$$])/(
                    300 $CellContext`cl[$CellContext`q$$]), 11}}], Orange, 
                   
                   Arrow[{{55, 11}, {
                    55 - ($CellContext`m$$ 
                    15 $CellContext`cd[$CellContext`q$$])/(
                    300 $CellContext`cl[$CellContext`q$$]), 11}}]}, {Gray, 
                   
                   Arrow[{{55, 11}, {
                    55 + ($CellContext`lift[$CellContext`v$$, \
$CellContext`a$$, $CellContext`q$$] 15 $CellContext`cd[$CellContext`q$$])/(
                    300 $CellContext`cl[$CellContext`q$$]), 11}}], Orange, 
                   
                   Arrow[{{55, 11}, {
                    55 - ($CellContext`lift[$CellContext`v$$, \
$CellContext`a$$, $CellContext`q$$] 15 $CellContext`cd[$CellContext`q$$])/(
                    300 $CellContext`cl[$CellContext`q$$]), 11}}], Brown, 
                   
                   Arrow[{{55, 11}, {
                    55, 11 + ($CellContext`m$$ - \
$CellContext`lift[$CellContext`v$$, $CellContext`a$$, $CellContext`q$$])/
                    300}}]}], Green, 
                 Arrow[{{55, 11}, {55 - $CellContext`v$$/15, 11}}]}, {5, 
                2}]]}, 
             
             If[$CellContext`altitude[$CellContext`v$$, $CellContext`m$$, \
$CellContext`a$$, $CellContext`q$$] > 0, {0, 0.5 Sin[
                 Clock[2 Pi, 15/$CellContext`v$$^(1/3)]]}, {0, 0}]]], 
           If[
            
            And[$CellContext`q$$ > 
             16.68, $CellContext`altitude[$CellContext`v$$, $CellContext`m$$, \
$CellContext`a$$, $CellContext`q$$] > 0], 
            Text[
             Framed[
              Style[$CellContext`Stall, Red, 16], FrameStyle -> Red], {2, 
             60}]]}, {-2, -4.44848 + $CellContext`altitude[$CellContext`v$$, \
$CellContext`m$$, $CellContext`a$$, $CellContext`q$$]}]}, 
        Axes -> {False, True}, AxesOrigin -> {100, 0}, AxesStyle -> 12, 
        PlotRange -> {{0, 
          100}, {$CellContext`altitude[$CellContext`v$$, $CellContext`m$$, \
$CellContext`a$$, $CellContext`q$$] - 
           40, $CellContext`altitude[$CellContext`v$$, $CellContext`m$$, \
$CellContext`a$$, $CellContext`q$$] + 60}}, Background -> LightBlue, 
        ImagePadding -> 25, ImageSize -> {400, 400}], 
      "Specifications" :> {
       "weight (lbs)", {{$CellContext`m$$, 2500, ""}, 1000, 10000, 1, 
         Appearance -> "Labeled", ImageSize -> Tiny}, 
        "airspeed (kts)", {{$CellContext`v$$, 0, ""}, 0, 400, 0.01, 
         Appearance -> "Labeled", ImageSize -> Tiny}, 
        "wing area (\!\(\*SuperscriptBox[\(ft\), \(2\)]\))", \
{{$CellContext`a$$, 150, ""}, 100, 250, 0.01, Appearance -> "Labeled", 
         ImageSize -> Tiny}, 
        "angle of attack (deg)", {{$CellContext`q$$, 5, ""}, -6, 25, 0.01, 
         Appearance -> "Labeled", ImageSize -> Tiny}, Delimiter, 
        "show vectors", {{$CellContext`s$$, 0, ""}, {0, 
         1}}, {{$CellContext`windoldlocation$$, 0}, ControlType -> 
         None}, {{$CellContext`stripeoldlocation$$, 0.}, ControlType -> None},
         Delimiter, 
        Row[{"lift ", 
          Style["\[RightArrow]", 
           RGBColor[1, 0, 0], 24]}], 
        Row[{"weight ", 
          Style["\[RightArrow]", 
           RGBColor[0, 0, 1], 24]}], 
        Row[{"thrust ", 
          Style["\[RightArrow]", 
           RGBColor[1, 0.5, 0], 24]}], 
        Row[{"drag ", 
          Style["\[RightArrow]", 
           GrayLevel[0.5], 24]}], 
        Row[{"normal ", 
          Style["\[RightArrow]", 
           RGBColor[0.6, 0.4, 0.2], 24]}], 
        Row[{"velocity ", 
          Style["\[RightArrow]", 
           RGBColor[0, 1, 0], 24]}]}, 
      "Options" :> {
       ControlPlacement -> Left, AutorunSequencing -> {1, 2, 3, 4, 5}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{574., {226., 231.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(($CellContext`altitude[
         Pattern[$CellContext`v, 
          Blank[]], 
         Pattern[$CellContext`m, 
          Blank[]], 
         Pattern[$CellContext`a, 
          Blank[]], 
         Pattern[$CellContext`q, 
          Blank[]]] := $CellContext`alt[
         If[
          
          And[$CellContext`v > 0, $CellContext`cl[$CellContext`q] > 
           0, $CellContext`den[$CellContext`v, $CellContext`m, \
$CellContext`a, $CellContext`q] < 
           0.002378], $CellContext`den[$CellContext`v, $CellContext`m, \
$CellContext`a, $CellContext`q]/0.002378, 1]]; $CellContext`cl[
         Pattern[$CellContext`z, 
          Blank[]]] := 
       Piecewise[{{0.52 + 0.097 $CellContext`z, $CellContext`z <= 9}, {
          0.071 + 0.2 $CellContext`z - 0.006 $CellContext`z^2, $CellContext`z > 
           9}}]; $CellContext`cd[
         Pattern[$CellContext`x, 
          Blank[]]] := 
       Piecewise[{{
          0.00605788 - 0.000175222 $CellContext`x + 
           0.0000210848 $CellContext`x^2, $CellContext`x <= 6}, {
          0.00986773 - 0.00161881 $CellContext`x + 
           0.00015598 $CellContext`x^2, $CellContext`x > 
           6}}]; $CellContext`alt[
         Pattern[$CellContext`y, 
          Blank[]]] := 
       66741.7 - 131222 $CellContext`y + 106055 $CellContext`y^2 - 
        50546.3 $CellContext`y^3 + 8966.8 $CellContext`y^4; $CellContext`den[
         Pattern[$CellContext`v, 
          Blank[]], 
         Pattern[$CellContext`m, 
          Blank[]], 
         Pattern[$CellContext`a, 
          Blank[]], 
         Pattern[$CellContext`q, 
          Blank[]]] := (
         2 $CellContext`m)/((
          1.688 $CellContext`v)^2 $CellContext`a \
$CellContext`cl[$CellContext`q]); $CellContext`lift[
         Pattern[$CellContext`v, 
          Blank[]], 
         Pattern[$CellContext`a, 
          Blank[]], 
         Pattern[$CellContext`q, 
          Blank[]]] := 
       0.5 0.002378 (
          1.688 $CellContext`v)^2 $CellContext`a \
$CellContext`cl[$CellContext`q]; $CellContext`drag[
         Pattern[$CellContext`v, 
          Blank[]], 
         Pattern[$CellContext`a, 
          Blank[]], 
         Pattern[$CellContext`q, 
          Blank[]]] := 
       0.5 0.002378 (
          1.688 $CellContext`v)^2 $CellContext`a \
$CellContext`cd[$CellContext`q]; 
      SeedRandom[123]; $CellContext`xwinds = Table[
         RandomReal[{-600, -30}], {20}]; $CellContext`ywinds = Table[
         RandomReal[{-39, 59}], {20}]; Null); Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->1603053182],

Cell[CellGroupData[{

Cell["CAPTION", "Section",
 CellFrame->{{0, 0}, {1, 0}},
 CellFrameColor->RGBColor[0.87, 0.87, 0.87],
 FontFamily->"Helvetica",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->RGBColor[0.597406, 0, 0.0527047]],

Cell["\<\
This Demonstration displays the basic forces that act on an aircraft in \
flight: lift, weight, thrust, and drag. With any given settings of the \
sliders, we can find the point of equilibrium (where all the forces will \
cancel out). Reducing the weight of the aircraft, traveling at a high \
velocity, increasing wing area, and finding the ideal angle of attack cause \
the aircraft to reach its maximum altitude (or absolute ceiling). In a \
real-life setting, this altitude is extremely difficult to reach, and to be \
safe an aircraft rarely attempts to fly near its absolute ceiling, but this \
Demonstration shows which factors influence the lift and drag forces on an \
aircraft.\
\>", "Text"]
}, Close]]
}, Open  ]],

Cell["\<\
In order to travel at a constant altitude, the lift (red vector) must always \
equal the weight (blue vector). To travel at a constant speed, the thrust \
(orange vector) must equal the drag (gray vector). The normal force (brown \
vector) supplements the lift if the aircraft is grounded, and the velocity \
(green vector) is not a force, so it does not affect the others.\
\>", "Text"],

Cell[CellGroupData[{

Cell["DETAILS", "Section",
 CellFrame->{{0, 0}, {1, 0}},
 CellFrameColor->RGBColor[0.87, 0.87, 0.87],
 FontFamily->"Helvetica",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->RGBColor[0.597406, 0, 0.0527047]],

Cell[TextData[{
 "This Demonstration uses the formula ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["F", "L"], "=", 
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], "\[Rho]", " ", 
      SuperscriptBox["v", "2"]}], "+", 
     RowBox[{"A", " ", 
      SubscriptBox["C", "L"]}]}]}], TraditionalForm]], "InlineMath"],
 ", where ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["F", "L"], TraditionalForm]], "InlineMath"],
 " is the force of lift, ",
 Cell[BoxData[
  FormBox["\[Rho]", TraditionalForm]], "InlineMath"],
 " is air density, ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]], "InlineMath"],
 " is velocity, ",
 Cell[BoxData[
  FormBox["A", TraditionalForm]], "InlineMath"],
 " is reference area, and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["C", "L"], TraditionalForm]], "InlineMath"],
 " is the coefficient of lift, to find the altitude of equilibrium by setting \
the force of lift equal to the weight, then solving for the air density, and \
calculating the corresponding altitude. The coefficient of lift depends on \
the angle of attack and the shape of the airfoil, which is constant in this \
Demonstration. The coefficient of lift increases with the angle of attack up \
to the critical angle of attack (about 17 degrees here), after which the \
aircraft is considered to be stalled. Post-stall sustained flight is possible \
although very uncommon, because a stall usually occurs due to a slow airspeed \
or high ",
 Cell[BoxData[
  FormBox["g", TraditionalForm]], "InlineMath"],
 " forces, not because the wing is mounted to the aircraft at a high angle. "
}], "Text"],

Cell[TextData[{
 "Similarly, the formula ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["F", "D"], "=", 
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], "\[Rho]", " ", 
      SuperscriptBox["v", "2"]}], "+", 
     RowBox[{"A", " ", 
      SubscriptBox["C", "D"]}]}]}], TraditionalForm]], "InlineMath"],
 " is used to find the force of drag, where ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["C", "D"], TraditionalForm]], "InlineMath"],
 " is the coefficient of drag. Because there are several types of drag, \
including form drag and induced drag, the coefficient of drag typically \
decreases gradually until the angle of attack is around 6 degrees, then \
begins to increase sharply as the angle of attack is increased further."
}], "Text"],

Cell[TextData[{
 "Although it does not provide the maximum amount of lift or the least amount \
of drag, the ideal angle of attack is usually considered to be when the lift \
to drag ratio is at its highest. The maximum ",
 Cell[BoxData[
  FormBox[
   RowBox[{"L", "/", "D"}], TraditionalForm]], "InlineMath"],
 " is usually achieved when the angle of attack is just above the point of \
minimum drag, and is around 7 degrees in this case."
}], "Text"],

Cell[TextData[{
 "Snapshot 1: an angle of attack with a high ",
 Cell[BoxData[
  FormBox[
   RowBox[{"L", "/", "D"}], TraditionalForm]], "InlineMath"]
}], "Text"],

Cell["Snapshot 2: an angle of attack past the critical angle", "Text"],

Cell["Snapshot 3: a negative angle of attack", "Text"]
}, Close]],

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 0}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.87, 0.87, 0.87],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.597406, 0, 0.0527047]],

Cell[TextData[{
 "\[NonBreakingSpace]",
 ButtonBox["Mark Peterson",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Mark+Peterson"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Mark+Peterson"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[TextData[{
 "\"",
 ButtonBox["The Physics of Flight",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ThePhysicsOfFlight/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/ThePhysicsOfFlight/"],
 "\"",
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/ThePhysicsOfFlight/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ThePhysicsOfFlight/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/ThePhysicsOfFlight/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 "Published: ",
 "August 11, 2011"
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.87, 0.87, 0.87],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[1, 1, 1]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
ThePhysicsOfFlight"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
CellInsertionPointCell->None,
WindowSize->{774, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"The Physics of Flight - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (February 23, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[623, 23, 141, 3, 70, "Section"],
Cell[767, 28, 3700, 64, 70, "Section"],
Cell[4470, 94, 37597, 943, 70, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[42104, 1042, 13955, 309, 70, "Output",
 CellID->1603053182],
Cell[CellGroupData[{
Cell[56084, 1355, 209, 6, 70, "Section"],
Cell[56296, 1363, 711, 11, 70, "Text"]
}, Close]]
}, Open  ]],
Cell[57033, 1378, 397, 6, 70, "Text"],
Cell[CellGroupData[{
Cell[57455, 1388, 209, 6, 70, "Section"],
Cell[57667, 1396, 1609, 41, 70, "Text"],
Cell[59279, 1439, 762, 20, 70, "Text"],
Cell[60044, 1461, 452, 9, 70, "Text"],
Cell[60499, 1472, 162, 5, 70, "Text"],
Cell[60664, 1479, 70, 0, 70, "Text"],
Cell[60737, 1481, 54, 0, 70, "Text"]
}, Close]],
Cell[60805, 1484, 355, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[61163, 1495, 416, 13, 70, "Text"],
Cell[61582, 1510, 999, 27, 70, "Text"],
Cell[CellGroupData[{
Cell[62606, 1541, 793, 24, 70, "Text"],
Cell[63402, 1567, 1190, 33, 70, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 6R4g1eeoA47XjB0FjMl#7yjX *)
