(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     73757,       1667]
NotebookOptionsPosition[     72044,       1607]
NotebookOutlinePosition[     72381,       1622]
CellTagsIndexPosition[     72338,       1619]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"prahadata", " ", ":=", 
  RowBox[{"WeatherData", "[", 
   RowBox[{"\"\<Prague\>\"", ",", "\"\<Visibility\>\"", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"2011", ",", "1", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"2011", ",", "12", ",", "31"}], "}"}], ",", "\"\<Day\>\""}], 
     "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.542561952496159*^9, 3.542561962629788*^9}, {
  3.542562045012438*^9, 3.542562046764194*^9}, {3.5425621702828903`*^9, 
  3.542562176374772*^9}, {3.5425623101483994`*^9, 3.542562345596765*^9}, {
  3.5425625973174*^9, 3.542562683647834*^9}, {3.54256272923206*^9, 
  3.542562820975445*^9}, {3.542563127005875*^9, 3.5425631766717777`*^9}, {
  3.542563574864995*^9, 3.542563577551711*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"DateListPlot", "[", 
   RowBox[{
    RowBox[{"{", "prahadata", "}"}], ",", " ", 
    RowBox[{"Filling", "\[Rule]", " ", "Bottom"}], ",", " ", 
    RowBox[{"Joined", " ", "\[Rule]", " ", "True"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.542563583177668*^9, 3.542563671947673*^9}, {
  3.54256373759277*^9, 3.542563751570694*^9}, {3.5425638024049177`*^9, 
  3.542563803257412*^9}, {3.5425638643306227`*^9, 3.54256399184907*^9}, {
  3.542564112239699*^9, 3.542564117829136*^9}}],

Cell[BoxData[
 GraphicsBox[GraphicsComplexBox[CompressedData["
1:eJxVWHucFXUVH0EQkWTAFdxlH7Pvu+/Z93t39nn3vbN3l6RcbdTASpKLrxRR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   "], {{{}, 
     {Hue[0.67, 0.6, 0.6], Opacity[0.2], EdgeForm[None], 
      GraphicsGroupBox[{
        PolygonBox[{{287, 365, 366, 316, 315, 314, 313, 312, 311, 310, 309, 
         308, 307, 306, 305, 304, 303, 302, 301, 300, 299, 298, 297, 296, 295,
          294, 293, 292, 291, 290, 289, 288}}], 
        PolygonBox[{{317, 367, 368, 362, 361, 360, 359, 358, 357, 356, 355, 
         354, 353, 352, 351, 350, 349, 348, 347, 346, 345, 344, 343, 342, 341,
          340, 339, 338, 337, 336, 335, 334, 333, 332, 331, 330, 329, 328, 
         327, 326, 325, 324, 323, 322, 321, 320, 319, 318}}], 
        PolygonBox[CompressedData["
1:eJwl1FV4EAQUBeCNAduoBaNrk5SQDpEOCWmUbukUkO5QulO6W0DpFIOQ7g6V
VlpAaX4+Hv5zHu99OjHNOtXoGCsgICCQ6MD33U60Jy1pSE0qUpKC5CQjKUmI
IjGRRBBOGIlISALiE49QQggmLnGITRCx3t0PfP/MG/WaV7zkBc95xv/8x1Oe
8Jh/ecRDHnCfe9zlDv/wN7e5xU1ucJ1rXOUv/uQPrnCZS1zkAuc5x1nOcJpT
nOQExznGUY5wmEMc5AD7+Z197GUPu/mNX/mFn9nFT+xkB9vZxla2sJlNbGQD
61nHj/zAWtawmu9ZxUpWsJxlLGUJi1nEQhYwn3nMZQ6zmcVMZvAd05nGVKYw
mUlMZALjGcdYxjCaUYxkBMMZxrd8w1CGMJhBDGQA/elHX/rQm170pAfd6cbX
dKULnfmKTnSkA+1pR1va0JpWtKQFzfmSZjSlCY1pREMaUJ961KUOtanFF3xO
TWpQnWpUpQqVqcRnVKQC5SnHp5SlDKUpRUlKUJxiFKUIn1CYjylEQQqQn3zk
JQ+5yUVOPiIH2clGVj4kC5nJREYykJ4PiCGadKQlDalJRUpSkJxkJCUJUSQm
kgjCCSMRCUlAfOIRSgjBxCUOsQni3Q69BfEKhCA=
         "]]}]}, {}, {}}, {{}, {}, 
     {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwl1FV4EAQUBeANGGz02IgR0goq3Q2iNAKjpFO6G6QVCaVROqVLWrob6e7u
TpX+9/nwn/t4ns5N27h9ZLvAgICAT0TUjUZ0YhBETGIRTAixiUNc4hGfBCQk
lESEEU5ikpCUZESQnBSkJFVUL6lJQ1rSkZ4MZORTPiMTmfmcL/iSLGQlG9nJ
QU5ykZs85CUf+SlAQQpRmCIUpRjFKcFXlORrvqEUpSlDWcpRngpU5FsqUZkq
RFKValSnBjX5jlrUpg51qUd9GtCQRjSmCU35nmY0pwUtaUVr2tCWdrSnAx3p
RGe60JVudKcHPenFD/SmD33pR38GMJAf+YlB/MxghjCUYfzCrwxnBCMZxWjG
MJZx/MbvjGcCE5nEZKYwlWlMZwYzmcUfzGYOc5nHfBawkEUsZglL+ZNlLGcF
K1nFatbwF2tZx3o2sJFNbGYLW9nGdnawk13sZg972cd+DvA3BznEYY5wlGMc
5wQnOcVpznCWc5znAhe5xGWucJVrXOcGN7nFbe5wl3vc5wEPecRjnvCUZzzn
BS95xT/8y3+85g1vecd7PhA1/kCiEZ0YBBGTWAQTQmziEJd4xCcBCQklEWGE
k5gkJCUZESQnBSlJFfj/3/kICNSDQw==
       "]], 
      LineBox[{287, 288, 289, 290, 291, 292, 293, 294, 295, 296, 297, 298, 
       299, 300, 301, 302, 303, 304, 305, 306, 307, 308, 309, 310, 311, 312, 
       313, 314, 315, 316}], 
      LineBox[{317, 318, 319, 320, 321, 322, 323, 324, 325, 326, 327, 328, 
       329, 330, 331, 332, 333, 334, 335, 336, 337, 338, 339, 340, 341, 342, 
       343, 344, 345, 346, 347, 348, 349, 350, 351, 352, 353, 354, 355, 356, 
       357, 358, 359, 360, 361, 362}]}}}],
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  AxesOrigin->NCache[{3502828800, 0}, {3.5028288*^9, 0}],
  Frame->True,
  FrameTicks->{{Automatic, Automatic}, {{{
       NCache[3502828800, 3.5028288*^9], 
       FormBox["\"Jan\"", TraditionalForm]}, {
       NCache[3510604800, 3.5106048*^9], 
       FormBox["\"Apr\"", TraditionalForm]}, {
       NCache[3518467200, 3.5184672*^9], 
       FormBox["\"Jul\"", TraditionalForm]}, {
       NCache[3526416000, 3.526416*^9], 
       FormBox["\"Oct\"", TraditionalForm]}, {
       NCache[3534364800, 3.5343648*^9], 
       FormBox["\"Jan\"", TraditionalForm]}, {
       NCache[3505507200, 3.5055072*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3507926400, 3.5079264*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3513196800, 3.5131968*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3515875200, 3.5158752*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3521145600, 3.5211456*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3523824000, 3.523824*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3529094400, 3.5290944*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3531686400, 3.5316864*^9], 
       FormBox["\"\"", TraditionalForm]}}, {{
       NCache[3502828800, 3.5028288*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3510604800, 3.5106048*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3518467200, 3.5184672*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3526416000, 3.526416*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3534364800, 3.5343648*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3505507200, 3.5055072*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3507926400, 3.5079264*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3513196800, 3.5131968*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3515875200, 3.5158752*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3521145600, 3.5211456*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3523824000, 3.523824*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3529094400, 3.5290944*^9], 
       FormBox["\"\"", TraditionalForm]}, {
       NCache[3531686400, 3.5316864*^9], 
       FormBox["\"\"", TraditionalForm]}}}},
  GridLines->NCache[{{{3502828800, 
       GrayLevel[0.8]}, {3510604800, 
       GrayLevel[0.8]}, {3518467200, 
       GrayLevel[0.8]}, {3526416000, 
       GrayLevel[0.8]}, {3534364800, 
       GrayLevel[0.8]}}, None}, {{{3.5028288*^9, 
       GrayLevel[0.8]}, {3.5106048*^9, 
       GrayLevel[0.8]}, {3.5184672*^9, 
       GrayLevel[0.8]}, {3.526416*^9, 
       GrayLevel[0.8]}, {3.5343648*^9, 
       GrayLevel[0.8]}}, None}],
  ImageSize->{949., Automatic},
  PlotRange->{{3.5028288*^9, 3.5342784*^9}, {0., 59.06}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]},
  Ticks->None]], "Output",
 CellChangeTimes->{{3.542563619439929*^9, 3.542563673642784*^9}, 
   3.5425637539598618`*^9, 3.542563805173049*^9, {3.542563959573626*^9, 
   3.5425639954327383`*^9}, 3.542564121154387*^9}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.5425674864287367`*^9, 3.5425674889469643`*^9}}],

Cell[BoxData[
 RowBox[{"(*", "  ", 
  RowBox[{
   RowBox[{"Bude", " ", "me", " ", "zajimat"}], ",", " ", 
   RowBox[{
   "ktery", " ", "den", " ", "byla", " ", "viditelnost", " ", "vetsi", " ", 
    "nez", " ", "38", " ", "kilometru"}], ",", " ", 
   RowBox[{
   "kdy", " ", "by", " ", "tedy", " ", "melo", " ", "byt", " ", "teoreticky", 
    " ", "mozne"}], ",", " ", 
   RowBox[{
   "videt", " ", "z", " ", "Zizkovske", " ", "veze", " ", "do", " ", 
    "Lan"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.542563489477407*^9, 3.542563533328533*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.542564262806304*^9, 3.542564278646119*^9}, 
   3.54256447666076*^9}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{" ", 
   RowBox[{
    RowBox[{"nageneroval", " ", "jsem", " ", "si", " ", "bazi"}], ",", " ", 
    RowBox[{
     RowBox[{
     "kterou", " ", "pouziji", " ", "v", " ", "metode", " ", "nejmensich", 
      " ", 
      RowBox[{"ctvrecu", " ", "--"}]}], "-", " ", 
     RowBox[{
     "volim", " ", "Tsebysevovy", " ", "polynomy", " ", "a", " ", "protoze", 
      " ", "je", " ", "nemusim", " ", "pocitat", " ", "rucne"}]}], ",", " ", 
    RowBox[{
     RowBox[{"tak", " ", "az", " ", "do", " ", "radu", " ", "20"}], " ", ":", 
     "-"}]}], ")"}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.54256721776965*^9, 3.542567271229372*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"baseOfFunction", " ", "=", " ", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"ChebyshevT", "[", 
     RowBox[{"n", " ", ",", "x"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", "1", ",", "20"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.542564313844872*^9, 3.542564358873994*^9}, {
  3.5425644210644836`*^9, 3.542564472757365*^9}, {3.542566136235145*^9, 
  3.542566234296893*^9}, {3.542566304619823*^9, 3.5425663858668413`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"x", ",", 
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["x", "2"]}]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "3"}], " ", "x"}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["x", "3"]}]}], ",", 
   RowBox[{"1", "-", 
    RowBox[{"8", " ", 
     SuperscriptBox["x", "2"]}], "+", 
    RowBox[{"8", " ", 
     SuperscriptBox["x", "4"]}]}], ",", 
   RowBox[{
    RowBox[{"5", " ", "x"}], "-", 
    RowBox[{"20", " ", 
     SuperscriptBox["x", "3"]}], "+", 
    RowBox[{"16", " ", 
     SuperscriptBox["x", "5"]}]}], ",", 
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    RowBox[{"18", " ", 
     SuperscriptBox["x", "2"]}], "-", 
    RowBox[{"48", " ", 
     SuperscriptBox["x", "4"]}], "+", 
    RowBox[{"32", " ", 
     SuperscriptBox["x", "6"]}]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "7"}], " ", "x"}], "+", 
    RowBox[{"56", " ", 
     SuperscriptBox["x", "3"]}], "-", 
    RowBox[{"112", " ", 
     SuperscriptBox["x", "5"]}], "+", 
    RowBox[{"64", " ", 
     SuperscriptBox["x", "7"]}]}], ",", 
   RowBox[{"1", "-", 
    RowBox[{"32", " ", 
     SuperscriptBox["x", "2"]}], "+", 
    RowBox[{"160", " ", 
     SuperscriptBox["x", "4"]}], "-", 
    RowBox[{"256", " ", 
     SuperscriptBox["x", "6"]}], "+", 
    RowBox[{"128", " ", 
     SuperscriptBox["x", "8"]}]}], ",", 
   RowBox[{
    RowBox[{"9", " ", "x"}], "-", 
    RowBox[{"120", " ", 
     SuperscriptBox["x", "3"]}], "+", 
    RowBox[{"432", " ", 
     SuperscriptBox["x", "5"]}], "-", 
    RowBox[{"576", " ", 
     SuperscriptBox["x", "7"]}], "+", 
    RowBox[{"256", " ", 
     SuperscriptBox["x", "9"]}]}], ",", 
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    RowBox[{"50", " ", 
     SuperscriptBox["x", "2"]}], "-", 
    RowBox[{"400", " ", 
     SuperscriptBox["x", "4"]}], "+", 
    RowBox[{"1120", " ", 
     SuperscriptBox["x", "6"]}], "-", 
    RowBox[{"1280", " ", 
     SuperscriptBox["x", "8"]}], "+", 
    RowBox[{"512", " ", 
     SuperscriptBox["x", "10"]}]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "11"}], " ", "x"}], "+", 
    RowBox[{"220", " ", 
     SuperscriptBox["x", "3"]}], "-", 
    RowBox[{"1232", " ", 
     SuperscriptBox["x", "5"]}], "+", 
    RowBox[{"2816", " ", 
     SuperscriptBox["x", "7"]}], "-", 
    RowBox[{"2816", " ", 
     SuperscriptBox["x", "9"]}], "+", 
    RowBox[{"1024", " ", 
     SuperscriptBox["x", "11"]}]}], ",", 
   RowBox[{"1", "-", 
    RowBox[{"72", " ", 
     SuperscriptBox["x", "2"]}], "+", 
    RowBox[{"840", " ", 
     SuperscriptBox["x", "4"]}], "-", 
    RowBox[{"3584", " ", 
     SuperscriptBox["x", "6"]}], "+", 
    RowBox[{"6912", " ", 
     SuperscriptBox["x", "8"]}], "-", 
    RowBox[{"6144", " ", 
     SuperscriptBox["x", "10"]}], "+", 
    RowBox[{"2048", " ", 
     SuperscriptBox["x", "12"]}]}], ",", 
   RowBox[{
    RowBox[{"13", " ", "x"}], "-", 
    RowBox[{"364", " ", 
     SuperscriptBox["x", "3"]}], "+", 
    RowBox[{"2912", " ", 
     SuperscriptBox["x", "5"]}], "-", 
    RowBox[{"9984", " ", 
     SuperscriptBox["x", "7"]}], "+", 
    RowBox[{"16640", " ", 
     SuperscriptBox["x", "9"]}], "-", 
    RowBox[{"13312", " ", 
     SuperscriptBox["x", "11"]}], "+", 
    RowBox[{"4096", " ", 
     SuperscriptBox["x", "13"]}]}], ",", 
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    RowBox[{"98", " ", 
     SuperscriptBox["x", "2"]}], "-", 
    RowBox[{"1568", " ", 
     SuperscriptBox["x", "4"]}], "+", 
    RowBox[{"9408", " ", 
     SuperscriptBox["x", "6"]}], "-", 
    RowBox[{"26880", " ", 
     SuperscriptBox["x", "8"]}], "+", 
    RowBox[{"39424", " ", 
     SuperscriptBox["x", "10"]}], "-", 
    RowBox[{"28672", " ", 
     SuperscriptBox["x", "12"]}], "+", 
    RowBox[{"8192", " ", 
     SuperscriptBox["x", "14"]}]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "15"}], " ", "x"}], "+", 
    RowBox[{"560", " ", 
     SuperscriptBox["x", "3"]}], "-", 
    RowBox[{"6048", " ", 
     SuperscriptBox["x", "5"]}], "+", 
    RowBox[{"28800", " ", 
     SuperscriptBox["x", "7"]}], "-", 
    RowBox[{"70400", " ", 
     SuperscriptBox["x", "9"]}], "+", 
    RowBox[{"92160", " ", 
     SuperscriptBox["x", "11"]}], "-", 
    RowBox[{"61440", " ", 
     SuperscriptBox["x", "13"]}], "+", 
    RowBox[{"16384", " ", 
     SuperscriptBox["x", "15"]}]}], ",", 
   RowBox[{"1", "-", 
    RowBox[{"128", " ", 
     SuperscriptBox["x", "2"]}], "+", 
    RowBox[{"2688", " ", 
     SuperscriptBox["x", "4"]}], "-", 
    RowBox[{"21504", " ", 
     SuperscriptBox["x", "6"]}], "+", 
    RowBox[{"84480", " ", 
     SuperscriptBox["x", "8"]}], "-", 
    RowBox[{"180224", " ", 
     SuperscriptBox["x", "10"]}], "+", 
    RowBox[{"212992", " ", 
     SuperscriptBox["x", "12"]}], "-", 
    RowBox[{"131072", " ", 
     SuperscriptBox["x", "14"]}], "+", 
    RowBox[{"32768", " ", 
     SuperscriptBox["x", "16"]}]}], ",", 
   RowBox[{
    RowBox[{"17", " ", "x"}], "-", 
    RowBox[{"816", " ", 
     SuperscriptBox["x", "3"]}], "+", 
    RowBox[{"11424", " ", 
     SuperscriptBox["x", "5"]}], "-", 
    RowBox[{"71808", " ", 
     SuperscriptBox["x", "7"]}], "+", 
    RowBox[{"239360", " ", 
     SuperscriptBox["x", "9"]}], "-", 
    RowBox[{"452608", " ", 
     SuperscriptBox["x", "11"]}], "+", 
    RowBox[{"487424", " ", 
     SuperscriptBox["x", "13"]}], "-", 
    RowBox[{"278528", " ", 
     SuperscriptBox["x", "15"]}], "+", 
    RowBox[{"65536", " ", 
     SuperscriptBox["x", "17"]}]}], ",", 
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    RowBox[{"162", " ", 
     SuperscriptBox["x", "2"]}], "-", 
    RowBox[{"4320", " ", 
     SuperscriptBox["x", "4"]}], "+", 
    RowBox[{"44352", " ", 
     SuperscriptBox["x", "6"]}], "-", 
    RowBox[{"228096", " ", 
     SuperscriptBox["x", "8"]}], "+", 
    RowBox[{"658944", " ", 
     SuperscriptBox["x", "10"]}], "-", 
    RowBox[{"1118208", " ", 
     SuperscriptBox["x", "12"]}], "+", 
    RowBox[{"1105920", " ", 
     SuperscriptBox["x", "14"]}], "-", 
    RowBox[{"589824", " ", 
     SuperscriptBox["x", "16"]}], "+", 
    RowBox[{"131072", " ", 
     SuperscriptBox["x", "18"]}]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "19"}], " ", "x"}], "+", 
    RowBox[{"1140", " ", 
     SuperscriptBox["x", "3"]}], "-", 
    RowBox[{"20064", " ", 
     SuperscriptBox["x", "5"]}], "+", 
    RowBox[{"160512", " ", 
     SuperscriptBox["x", "7"]}], "-", 
    RowBox[{"695552", " ", 
     SuperscriptBox["x", "9"]}], "+", 
    RowBox[{"1770496", " ", 
     SuperscriptBox["x", "11"]}], "-", 
    RowBox[{"2723840", " ", 
     SuperscriptBox["x", "13"]}], "+", 
    RowBox[{"2490368", " ", 
     SuperscriptBox["x", "15"]}], "-", 
    RowBox[{"1245184", " ", 
     SuperscriptBox["x", "17"]}], "+", 
    RowBox[{"262144", " ", 
     SuperscriptBox["x", "19"]}]}], ",", 
   RowBox[{"1", "-", 
    RowBox[{"200", " ", 
     SuperscriptBox["x", "2"]}], "+", 
    RowBox[{"6600", " ", 
     SuperscriptBox["x", "4"]}], "-", 
    RowBox[{"84480", " ", 
     SuperscriptBox["x", "6"]}], "+", 
    RowBox[{"549120", " ", 
     SuperscriptBox["x", "8"]}], "-", 
    RowBox[{"2050048", " ", 
     SuperscriptBox["x", "10"]}], "+", 
    RowBox[{"4659200", " ", 
     SuperscriptBox["x", "12"]}], "-", 
    RowBox[{"6553600", " ", 
     SuperscriptBox["x", "14"]}], "+", 
    RowBox[{"5570560", " ", 
     SuperscriptBox["x", "16"]}], "-", 
    RowBox[{"2621440", " ", 
     SuperscriptBox["x", "18"]}], "+", 
    RowBox[{"524288", " ", 
     SuperscriptBox["x", "20"]}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.5425662166138697`*^9, 3.542566234942566*^9}, {
  3.542566306172208*^9, 3.5425663863789177`*^9}}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"funkce", " ", "kontrolujici"}], ",", " ", 
   RowBox[{"jestli", " ", "jsou", " ", "data", " ", "ciselna"}], ",", " ", 
   RowBox[{
    RowBox[{
    "asi", " ", "dva", " ", "udaje", " ", "totiz", " ", "nebyly", " ", "a", 
     " ", "delaly", " ", "nepekne", " ", "veci"}], "..."}]}], " ", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.54256727854576*^9, 3.542567308342002*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"fncFN", "[", "x_", "]"}], " ", ":=", " ", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"Or", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Head", "[", "x", "]"}], "\[Equal]", "Integer"}], ",", 
        RowBox[{
         RowBox[{"Head", "[", "x", "]"}], "\[Equal]", "Real"}]}], "]"}], 
      "}"}], "\[Equal]", " ", 
     RowBox[{"{", "True", "}"}]}], ",", "x", ",", "0", ",", "0"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.542565329976776*^9, 3.542565498881607*^9}, {
  3.542565533858335*^9, 3.542565557784768*^9}, {3.542565590421729*^9, 
  3.5425658148886147`*^9}, {3.54256588713682*^9, 3.542565925231777*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"namapovani", " ", "funkce"}], ",", " ", 
    RowBox[{
    "ktera", " ", "kontroluje", " ", "zda", " ", "se", " ", "jedna", " ", "o",
      " ", "ciselna", " ", "data"}], ",", " ", 
    RowBox[{
    "a", " ", "pak", " ", "namapovana", " ", "extrakce", " ", "jen", " ", 
     "udaju", " ", "o", " ", "viditelnosti"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"viditelnost", " ", "=", " ", 
   RowBox[{"fncFN", "/@", 
    RowBox[{
     RowBox[{"Function", "[", 
      RowBox[{"x", ",", 
       RowBox[{"x", "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], "]"}], " ", "/@", " ", "prahadata", 
     " "}]}]}]}]], "Input",
 CellChangeTimes->{{3.542565037753693*^9, 3.542565112067513*^9}, 
   3.5425652041279793`*^9, {3.542565247772523*^9, 3.542565307657741*^9}, {
   3.542565829765918*^9, 3.542565858817532*^9}, {3.542565905293395*^9, 
   3.542565908996567*^9}, {3.542565958898232*^9, 3.542566023372653*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "18.19`", ",", "24.94`", ",", "24.14`", ",", "9.17`", ",", "10.62`", ",", 
   "9.5`", ",", "16.25`", ",", "9.98`", ",", "17.06`", ",", "13.68`", ",", 
   "8.21`", ",", "26.23`", ",", "14.97`", ",", "27.52`", ",", "36.21`", ",", 
   "33.15`", ",", "3.38`", ",", "16.58`", ",", "16.74`", ",", "11.59`", ",", 
   "18.99`", ",", "18.02`", ",", "11.91`", ",", "14.48`", ",", "17.54`", ",", 
   "20.44`", ",", "8.69`", ",", "6.44`", ",", "6.92`", ",", "7.08`", ",", 
   "3.06`", ",", "3.54`", ",", "4.51`", ",", "5.79`", ",", "21.89`", ",", 
   "45.38`", ",", "40.56`", ",", "28.49`", ",", "28.32`", ",", "18.19`", ",", 
   "13.52`", ",", "19.96`", ",", "31.06`", ",", "18.83`", ",", "8.69`", ",", 
   "18.02`", ",", "13.2`", ",", "5.95`", ",", "3.06`", ",", "4.83`", ",", 
   "11.59`", ",", "13.04`", ",", "8.05`", ",", "7.4`", ",", "8.05`", ",", 
   "9.66`", ",", "9.98`", ",", "6.44`", ",", "6.6`", ",", "9.01`", ",", 
   "19.15`", ",", "15.93`", ",", "12.55`", ",", "7.72`", ",", "33.15`", ",", 
   "27.04`", ",", "30.58`", ",", "22.05`", ",", "18.83`", ",", "29.61`", ",", 
   "19.96`", ",", "11.75`", ",", "8.21`", ",", "6.6`", ",", "15.45`", ",", 
   "3.86`", ",", "9.5`", ",", "27.36`", ",", "24.94`", ",", "19.31`", ",", 
   "16.25`", ",", "20.28`", ",", "29.29`", ",", "13.52`", ",", "18.83`", ",", 
   "17.54`", ",", "17.06`", ",", "17.38`", ",", "15.45`", ",", "30.74`", ",", 
   "38.14`", ",", "21.4`", ",", "21.57`", ",", "19.63`", ",", "24.46`", ",", 
   "34.12`", ",", "37.98`", ",", "51.82`", ",", "25.59`", ",", "34.44`", ",", 
   "35.89`", ",", "27.52`", ",", "22.37`", ",", "23.82`", ",", "21.73`", ",", 
   "27.36`", ",", "23.5`", ",", "21.08`", ",", "18.51`", ",", "19.96`", ",", 
   "23.82`", ",", "25.11`", ",", "26.72`", ",", "26.88`", ",", "19.47`", ",", 
   "11.75`", ",", "14.48`", ",", "16.09`", ",", "19.31`", ",", "21.24`", ",", 
   "30.09`", ",", "22.85`", ",", "19.63`", ",", "24.14`", ",", "23.82`", ",", 
   "27.2`", ",", "31.22`", ",", "44.58`", ",", "42.81`", ",", "32.51`", ",", 
   "31.87`", ",", "17.86`", ",", "34.92`", ",", "27.04`", ",", "28.49`", ",", 
   "30.58`", ",", "28.49`", ",", "37.01`", ",", "34.44`", ",", "32.51`", ",", 
   "40.56`", ",", "32.51`", ",", "33.8`", ",", "35.08`", ",", "38.79`", ",", 
   "36.05`", ",", "29.29`", ",", "25.43`", ",", "42.97`", ",", "48.76`", ",", 
   "35.73`", ",", "22.05`", ",", "45.87`", ",", "38.14`", ",", "31.38`", ",", 
   "43.45`", ",", "23.98`", ",", "52.63`", ",", "37.18`", ",", "23.82`", ",", 
   "30.9`", ",", "31.54`", ",", "26.07`", ",", "33.15`", ",", "36.05`", ",", 
   "38.62`", ",", "39.43`", ",", "51.18`", ",", "30.09`", ",", "39.75`", ",", 
   "37.98`", ",", "34.6`", ",", "37.82`", ",", "47.48`", ",", "31.06`", ",", 
   "45.87`", ",", "35.41`", ",", "35.89`", ",", "36.69`", ",", "51.02`", ",", 
   "32.51`", ",", "37.18`", ",", "43.29`", ",", "26.23`", ",", "37.34`", ",", 
   "34.12`", ",", "30.74`", ",", "32.19`", ",", "43.77`", ",", "48.76`", ",", 
   "42.33`", ",", "34.92`", ",", "34.44`", ",", "23.98`", ",", "36.21`", ",", 
   "45.87`", ",", "51.5`", ",", "42.97`", ",", "59.06`", ",", "59.06`", ",", 
   "15.45`", ",", "18.02`", ",", "43.61`", ",", "50.05`", ",", "48.44`", ",", 
   "48.44`", ",", "29.13`", ",", "25.75`", ",", "19.79`", ",", "24.94`", ",", 
   "14.65`", ",", "19.96`", ",", "17.06`", ",", "18.51`", ",", "19.63`", ",", 
   "16.58`", ",", "19.96`", ",", "29.93`", ",", "45.06`", ",", "34.76`", ",", 
   "40.39`", ",", "49.41`", ",", "41.68`", ",", "34.6`", ",", "37.5`", ",", 
   "12.55`", ",", "24.94`", ",", "22.69`", ",", "23.17`", ",", "33.15`", ",", 
   "32.35`", ",", "23.5`", ",", "21.89`", ",", "21.57`", ",", "24.94`", ",", 
   "33.31`", ",", "19.63`", ",", "28.49`", ",", "45.38`", ",", "53.27`", ",", 
   "44.58`", ",", "28.32`", ",", "23.5`", ",", "17.54`", ",", "30.9`", ",", 
   "28", ",", "23.82`", ",", "52.14`", ",", "38.46`", ",", "28.81`", ",", 
   "43.13`", ",", "38.79`", ",", "31.87`", ",", "53.11`", ",", "45.06`", ",", 
   "52.46`", ",", "53.75`", ",", "32.99`", ",", "34.44`", ",", "21.4`", ",", 
   "18.67`", ",", "22.85`", ",", "15.61`", ",", "28.81`", ",", "40.07`", ",", 
   "20.44`", ",", "19.63`", ",", "22.21`", ",", "18.67`", ",", "11.91`", ",", 
   "17.7`", ",", "32.99`", ",", "30.42`", ",", "29.93`", ",", "30.9`", ",", 
   "22.85`", ",", "27.52`", ",", "36.85`", ",", "30.58`", ",", "30.42`", ",", 
   "30.09`", ",", "19.47`", ",", "35.08`", ",", "16.09`", ",", "31.06`", ",", 
   "29.13`", ",", "0", ",", "18.67`", ",", "19.63`", ",", "19.15`", ",", 
   "13.68`", ",", "24.46`", ",", "13.68`", ",", "4.51`", ",", "6.28`", ",", 
   "13.84`", ",", "16.42`", ",", "6.28`", ",", "7.56`", ",", "13.04`", ",", 
   "6.6`", ",", "8.53`", ",", "2.74`", ",", "2.57`", ",", "9.17`", ",", 
   "5.95`", ",", "18.83`", ",", "6.92`", ",", "8.69`", ",", "11.43`", ",", 
   "6.6`", ",", "5.15`", ",", "5.95`", ",", "7.89`", ",", "6.6`", ",", 
   "2.25`", ",", "1.45`", ",", "0", ",", "1.45`", ",", "2.74`", ",", "9.5`", 
   ",", "8.37`", ",", "8.37`", ",", "8.69`", ",", "7.08`", ",", "2.41`", ",", 
   "2.9`", ",", "4.18`", ",", "12.39`", ",", "26.88`", ",", "29.93`", ",", 
   "7.24`", ",", "5.63`", ",", "10.3`", ",", "20.76`", ",", "23.82`", ",", 
   "29.93`", ",", "39.75`", ",", "53.59`", ",", "37.01`", ",", "34.76`", ",", 
   "36.21`", ",", "40.56`", ",", "21.89`", ",", "11.43`", ",", "46.51`", ",", 
   "33.96`", ",", "36.53`", ",", "29.13`", ",", "32.51`", ",", "27.84`", ",", 
   "26.88`", ",", "24.3`", ",", "21.24`", ",", "12.71`", ",", "21.57`", ",", 
   "27.68`", ",", "25.91`", ",", "31.38`", ",", "19.63`", ",", "16.58`", ",", 
   "36.69`", ",", "27.84`", ",", "23.82`"}], "}"}]], "Output",
 CellChangeTimes->{
  3.542565861863596*^9, {3.542565911216673*^9, 3.542565932969208*^9}, 
   3.54256596955247*^9, 3.5425660253925743`*^9, 3.542566141152343*^9, 
   3.542566207862899*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"volani", " ", "funkce", " ", "Fit"}], ",", " ", 
   RowBox[{
   "ktera", " ", "pouziva", " ", "metodu", " ", "nejmensich", " ", 
    "cvercu"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.542567317661318*^9, 3.542567343928564*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"fitovaciKrivka", " ", "=", " ", 
  RowBox[{"Fit", "[", 
   RowBox[{"viditelnost", ",", "baseOfFunction", ",", "x"}], " ", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.542564482653056*^9, 3.542564527619055*^9}, 
   3.542564631131804*^9, 3.542564932285041*^9, 3.5425650360348043`*^9, {
   3.542565972947321*^9, 3.542565977172655*^9}, 3.5425661921745977`*^9, 
   3.542566224023191*^9, {3.5425668237352324`*^9, 3.54256682636001*^9}, {
   3.542566913434918*^9, 3.542566914550227*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"4.108913662232213`", " ", "x"}], "+", 
  RowBox[{"0.013221072447511332`", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["x", "2"]}]}], ")"}]}], "-", 
  RowBox[{"0.015586359827834717`", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "3"}], " ", "x"}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["x", "3"]}]}], ")"}]}], "+", 
  RowBox[{"0.0007509340911353482`", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{"8", " ", 
      SuperscriptBox["x", "2"]}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["x", "4"]}]}], ")"}]}], "-", 
  RowBox[{"0.00001777008042338905`", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"5", " ", "x"}], "-", 
     RowBox[{"20", " ", 
      SuperscriptBox["x", "3"]}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["x", "5"]}]}], ")"}]}], "+", 
  RowBox[{"2.576987099638713`*^-7", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{"18", " ", 
      SuperscriptBox["x", "2"]}], "-", 
     RowBox[{"48", " ", 
      SuperscriptBox["x", "4"]}], "+", 
     RowBox[{"32", " ", 
      SuperscriptBox["x", "6"]}]}], ")"}]}], "-", 
  RowBox[{"2.5091147151550404`*^-9", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "7"}], " ", "x"}], "+", 
     RowBox[{"56", " ", 
      SuperscriptBox["x", "3"]}], "-", 
     RowBox[{"112", " ", 
      SuperscriptBox["x", "5"]}], "+", 
     RowBox[{"64", " ", 
      SuperscriptBox["x", "7"]}]}], ")"}]}], "+", 
  RowBox[{"1.7223336752108346`*^-11", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{"32", " ", 
      SuperscriptBox["x", "2"]}], "+", 
     RowBox[{"160", " ", 
      SuperscriptBox["x", "4"]}], "-", 
     RowBox[{"256", " ", 
      SuperscriptBox["x", "6"]}], "+", 
     RowBox[{"128", " ", 
      SuperscriptBox["x", "8"]}]}], ")"}]}], "-", 
  RowBox[{"8.558653794534923`*^-14", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"9", " ", "x"}], "-", 
     RowBox[{"120", " ", 
      SuperscriptBox["x", "3"]}], "+", 
     RowBox[{"432", " ", 
      SuperscriptBox["x", "5"]}], "-", 
     RowBox[{"576", " ", 
      SuperscriptBox["x", "7"]}], "+", 
     RowBox[{"256", " ", 
      SuperscriptBox["x", "9"]}]}], ")"}]}], "+", 
  RowBox[{"3.108855082243552`*^-16", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{"50", " ", 
      SuperscriptBox["x", "2"]}], "-", 
     RowBox[{"400", " ", 
      SuperscriptBox["x", "4"]}], "+", 
     RowBox[{"1120", " ", 
      SuperscriptBox["x", "6"]}], "-", 
     RowBox[{"1280", " ", 
      SuperscriptBox["x", "8"]}], "+", 
     RowBox[{"512", " ", 
      SuperscriptBox["x", "10"]}]}], ")"}]}], "-", 
  RowBox[{"8.17889495703543`*^-19", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "11"}], " ", "x"}], "+", 
     RowBox[{"220", " ", 
      SuperscriptBox["x", "3"]}], "-", 
     RowBox[{"1232", " ", 
      SuperscriptBox["x", "5"]}], "+", 
     RowBox[{"2816", " ", 
      SuperscriptBox["x", "7"]}], "-", 
     RowBox[{"2816", " ", 
      SuperscriptBox["x", "9"]}], "+", 
     RowBox[{"1024", " ", 
      SuperscriptBox["x", "11"]}]}], ")"}]}], "+", 
  RowBox[{"1.491178821476527`*^-21", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{"72", " ", 
      SuperscriptBox["x", "2"]}], "+", 
     RowBox[{"840", " ", 
      SuperscriptBox["x", "4"]}], "-", 
     RowBox[{"3584", " ", 
      SuperscriptBox["x", "6"]}], "+", 
     RowBox[{"6912", " ", 
      SuperscriptBox["x", "8"]}], "-", 
     RowBox[{"6144", " ", 
      SuperscriptBox["x", "10"]}], "+", 
     RowBox[{"2048", " ", 
      SuperscriptBox["x", "12"]}]}], ")"}]}], "-", 
  RowBox[{"1.605169429005299`*^-24", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"13", " ", "x"}], "-", 
     RowBox[{"364", " ", 
      SuperscriptBox["x", "3"]}], "+", 
     RowBox[{"2912", " ", 
      SuperscriptBox["x", "5"]}], "-", 
     RowBox[{"9984", " ", 
      SuperscriptBox["x", "7"]}], "+", 
     RowBox[{"16640", " ", 
      SuperscriptBox["x", "9"]}], "-", 
     RowBox[{"13312", " ", 
      SuperscriptBox["x", "11"]}], "+", 
     RowBox[{"4096", " ", 
      SuperscriptBox["x", "13"]}]}], ")"}]}], "+", 
  RowBox[{"8.276550170401223`*^-29", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{"98", " ", 
      SuperscriptBox["x", "2"]}], "-", 
     RowBox[{"1568", " ", 
      SuperscriptBox["x", "4"]}], "+", 
     RowBox[{"9408", " ", 
      SuperscriptBox["x", "6"]}], "-", 
     RowBox[{"26880", " ", 
      SuperscriptBox["x", "8"]}], "+", 
     RowBox[{"39424", " ", 
      SuperscriptBox["x", "10"]}], "-", 
     RowBox[{"28672", " ", 
      SuperscriptBox["x", "12"]}], "+", 
     RowBox[{"8192", " ", 
      SuperscriptBox["x", "14"]}]}], ")"}]}], "+", 
  RowBox[{"3.122944595994511`*^-30", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "15"}], " ", "x"}], "+", 
     RowBox[{"560", " ", 
      SuperscriptBox["x", "3"]}], "-", 
     RowBox[{"6048", " ", 
      SuperscriptBox["x", "5"]}], "+", 
     RowBox[{"28800", " ", 
      SuperscriptBox["x", "7"]}], "-", 
     RowBox[{"70400", " ", 
      SuperscriptBox["x", "9"]}], "+", 
     RowBox[{"92160", " ", 
      SuperscriptBox["x", "11"]}], "-", 
     RowBox[{"61440", " ", 
      SuperscriptBox["x", "13"]}], "+", 
     RowBox[{"16384", " ", 
      SuperscriptBox["x", "15"]}]}], ")"}]}], "-", 
  RowBox[{"6.0341884134306334`*^-33", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{"128", " ", 
      SuperscriptBox["x", "2"]}], "+", 
     RowBox[{"2688", " ", 
      SuperscriptBox["x", "4"]}], "-", 
     RowBox[{"21504", " ", 
      SuperscriptBox["x", "6"]}], "+", 
     RowBox[{"84480", " ", 
      SuperscriptBox["x", "8"]}], "-", 
     RowBox[{"180224", " ", 
      SuperscriptBox["x", "10"]}], "+", 
     RowBox[{"212992", " ", 
      SuperscriptBox["x", "12"]}], "-", 
     RowBox[{"131072", " ", 
      SuperscriptBox["x", "14"]}], "+", 
     RowBox[{"32768", " ", 
      SuperscriptBox["x", "16"]}]}], ")"}]}], "+", 
  RowBox[{"6.294966554884617`*^-36", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"17", " ", "x"}], "-", 
     RowBox[{"816", " ", 
      SuperscriptBox["x", "3"]}], "+", 
     RowBox[{"11424", " ", 
      SuperscriptBox["x", "5"]}], "-", 
     RowBox[{"71808", " ", 
      SuperscriptBox["x", "7"]}], "+", 
     RowBox[{"239360", " ", 
      SuperscriptBox["x", "9"]}], "-", 
     RowBox[{"452608", " ", 
      SuperscriptBox["x", "11"]}], "+", 
     RowBox[{"487424", " ", 
      SuperscriptBox["x", "13"]}], "-", 
     RowBox[{"278528", " ", 
      SuperscriptBox["x", "15"]}], "+", 
     RowBox[{"65536", " ", 
      SuperscriptBox["x", "17"]}]}], ")"}]}], "-", 
  RowBox[{"3.998110138471477`*^-39", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{"162", " ", 
      SuperscriptBox["x", "2"]}], "-", 
     RowBox[{"4320", " ", 
      SuperscriptBox["x", "4"]}], "+", 
     RowBox[{"44352", " ", 
      SuperscriptBox["x", "6"]}], "-", 
     RowBox[{"228096", " ", 
      SuperscriptBox["x", "8"]}], "+", 
     RowBox[{"658944", " ", 
      SuperscriptBox["x", "10"]}], "-", 
     RowBox[{"1118208", " ", 
      SuperscriptBox["x", "12"]}], "+", 
     RowBox[{"1105920", " ", 
      SuperscriptBox["x", "14"]}], "-", 
     RowBox[{"589824", " ", 
      SuperscriptBox["x", "16"]}], "+", 
     RowBox[{"131072", " ", 
      SuperscriptBox["x", "18"]}]}], ")"}]}], "+", 
  RowBox[{"1.4599274279260335`*^-42", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "19"}], " ", "x"}], "+", 
     RowBox[{"1140", " ", 
      SuperscriptBox["x", "3"]}], "-", 
     RowBox[{"20064", " ", 
      SuperscriptBox["x", "5"]}], "+", 
     RowBox[{"160512", " ", 
      SuperscriptBox["x", "7"]}], "-", 
     RowBox[{"695552", " ", 
      SuperscriptBox["x", "9"]}], "+", 
     RowBox[{"1770496", " ", 
      SuperscriptBox["x", "11"]}], "-", 
     RowBox[{"2723840", " ", 
      SuperscriptBox["x", "13"]}], "+", 
     RowBox[{"2490368", " ", 
      SuperscriptBox["x", "15"]}], "-", 
     RowBox[{"1245184", " ", 
      SuperscriptBox["x", "17"]}], "+", 
     RowBox[{"262144", " ", 
      SuperscriptBox["x", "19"]}]}], ")"}]}], "-", 
  RowBox[{"2.366926896033493`*^-46", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{"200", " ", 
      SuperscriptBox["x", "2"]}], "+", 
     RowBox[{"6600", " ", 
      SuperscriptBox["x", "4"]}], "-", 
     RowBox[{"84480", " ", 
      SuperscriptBox["x", "6"]}], "+", 
     RowBox[{"549120", " ", 
      SuperscriptBox["x", "8"]}], "-", 
     RowBox[{"2050048", " ", 
      SuperscriptBox["x", "10"]}], "+", 
     RowBox[{"4659200", " ", 
      SuperscriptBox["x", "12"]}], "-", 
     RowBox[{"6553600", " ", 
      SuperscriptBox["x", "14"]}], "+", 
     RowBox[{"5570560", " ", 
      SuperscriptBox["x", "16"]}], "-", 
     RowBox[{"2621440", " ", 
      SuperscriptBox["x", "18"]}], "+", 
     RowBox[{"524288", " ", 
      SuperscriptBox["x", "20"]}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{{3.542566225526671*^9, 3.542566238722474*^9}, {
   3.5425663118429937`*^9, 3.542566389146806*^9}, 3.542566836646226*^9, 
   3.542566916146563*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Zobrazeni", " ", "puvodnich", " ", "bodu", " ", "realne", " ", 
     "namerenych"}], ",", " ", 
    RowBox[{"aproximace", " ", "funkci", " ", "a", " ", "konstantou"}], ",", 
    " ", 
    RowBox[{
    "ktera", " ", "predstavuje", " ", "pozadovanou", " ", "vzadlenost"}]}], 
   " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.542567347564933*^9, 3.5425673955711737`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"ListPlot", "[", 
    RowBox[{"viditelnost", ",", " ", 
     RowBox[{"PlotStyle", " ", "\[Rule]", " ", "Red"}]}], "]"}], ",", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"38", ",", "fitovaciKrivka"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "365"}], "}"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.542564537966236*^9, 3.542564612058069*^9}, {
  3.542566074331737*^9, 3.542566125107429*^9}, {3.5425668302601147`*^9, 
  3.5425668339486217`*^9}}],

Cell[BoxData[
 GraphicsBox[{{{}, 
    {RGBColor[1, 0, 0], PointBox[CompressedData["
1:eJxdWGloXFUUflZbSy2aarCLtX1drOlinTbd2zQ3Sduk6TbZ9+TNTGbJrO/N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      "]]}, {}}, {{}, {}, 
    {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJxTTMoPSmViYGAwAWIQnR3h8drd7r4dAxg4O1w9WNeYtYLHAcZXcJ7Vm7FC
Bs5P5snU+nJHF84PWlN0X1TfDM7fdFI62M3bFs7fsFWo816DE5z/aN75K+ZS
bnC+zSkbty0MXnC+aWE8z+8rvnC+q0Ts/fWbA+B85plJp4sXB8H571Vb1roV
hcD5qwsYdv0zD4Pzq+6ERHqoRMD55SFH3y14Hwnnd7zlFe9+GA3nZ7pszIw6
FYtQv7xgk8WkeDj/jCiLe8iBBDj/y92764WXJ8L5y7YpP5JemATnO7ybtnLa
tGQ4/6O2xJsZ1Slwvk4V64/Hxalwft05hvpt0Wlw/o5Gzdm/7dLh/GrXfQ2d
phlwfih/4sN50plw/s6X+dx/RbLgfFblNafOcmbD+RlJ31jU3iH4oZvWcBx/
mgPnR3IUtr8/k4sI/71Js7vW58H5u5oOVOQtzYfzldWnvchxLYDz9USbfh47
iOC7sn09/sS0EM4/v+zfg93LEfx5/vvizJWL4PzK3yyzyqYh+DPXM1pFCRfD
+brCU1W+9yL4ZyrXnwlnKIHzN7yovxlTg+DPj7q+WPUDgs9Uc3TH8sRSOH/V
0kyjc3cQ/LhLUzJ3+JfB+UYLHhnc6UfwWfMMfvw/j+ADADoE29E=
      "]]}, 
    {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJxE2nlUTd/7B/AQDSqhiZQmmufpVrd6326lWZrnUkkplAZTkooGQkSDZIwo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      "]]}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  ImageSize->{846., Automatic},
  PlotRange->{{0., 364.}, {0., 59.06}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{{3.542564603616249*^9, 3.5425646461696253`*^9}, 
   3.542566037403967*^9, {3.542566126457123*^9, 3.542566241957631*^9}, {
   3.5425663139562483`*^9, 3.542566348207131*^9}, {3.54256637884881*^9, 
   3.5425663928992*^9}, 3.542566839094722*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"reseni", " ", "nerovnice"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"Reduce", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"fitovaciKrivka", " ", "\[GreaterEqual]", " ", "38"}], ",", 
      RowBox[{"x", ">", "0"}], ",", 
      RowBox[{"x", "<", "366"}]}], "}"}], ",", "x", ",", "Reals"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.542566425894074*^9, 3.542566694593343*^9}, {
  3.542566781147365*^9, 3.542566791120525*^9}, {3.542566972560628*^9, 
  3.542567084176543*^9}, {3.542567402335102*^9, 3.542567458716138*^9}, {
  3.542567527099259*^9, 3.542567567543293*^9}, {3.542567613670719*^9, 
  3.54256763541544*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Reduce", "::", "ratnz"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Reduce was unable to solve the system with inexact \
coefficients. The answer was obtained by solving a corresponding exact system \
and numericizing the result. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/Reduce/ratnz\\\", ButtonNote -> \
\\\"Reduce::ratnz\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{{3.5425674300476637`*^9, 3.542567459327113*^9}, {
  3.542567529367415*^9, 3.542567569674242*^9}, {3.5425676209690847`*^9, 
  3.542567637198429*^9}}],

Cell[BoxData[
 RowBox[{"170.7709863310427`", "\[LessEqual]", "x", "\[LessEqual]", 
  "192.14421789929298`"}]], "Output",
 CellChangeTimes->{{3.542567430048678*^9, 3.542567459328423*^9}, {
  3.542567529368759*^9, 3.5425675696756*^9}, {3.542567620970522*^9, 
  3.5425676371997013`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"fitovaciKrivka", " ", "/.", " ", 
  RowBox[{"x", "\[Rule]", " ", "171"}]}]], "Input",
 CellChangeTimes->{{3.542566704242207*^9, 3.542566762250597*^9}, {
  3.542566847897105*^9, 3.5425668699571257`*^9}, {3.542566921359954*^9, 
  3.5425669526289873`*^9}, {3.542567131602861*^9, 3.542567151132717*^9}}],

Cell[BoxData["38.028106689453125`"], "Output",
 CellChangeTimes->{{3.542567148125688*^9, 3.5425671515697527`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"fitovaciKrivka", " ", "/.", " ", 
  RowBox[{"x", " ", "\[Rule]", " ", "192"}]}]], "Input",
 CellChangeTimes->{{3.542567161120002*^9, 3.542567184015705*^9}}],

Cell[BoxData["38.02914524078369`"], "Output",
 CellChangeTimes->{{3.542567177076578*^9, 3.542567184376182*^9}}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"dataKdyMeloBytVidetDoLan", " ", ":=", " ", 
  RowBox[{
   RowBox[{"Function", "[", 
    RowBox[{"x", ",", 
     RowBox[{"x", "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], "]"}], " ", "/@", " ", 
   RowBox[{"prahadata", " ", "[", 
    RowBox[{"[", 
     RowBox[{"171", ";;", "192"}], "]"}], "]"}], " "}]}]], "Input",
 CellChangeTimes->{{3.542566934175*^9, 3.5425669492959967`*^9}, {
  3.542567694989469*^9, 3.542567880636994*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Data", " ", "kdy", " ", "melo", " ", "byt", " ", "videt", " ", "do", " ",
      "Lan", " ", "z", " ", "Zizkovske", " ", "veze"}], ",", " ", 
    RowBox[{"by", " ", "tedy", " ", "mela", " ", "byt", " ", "tato"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", "dataKdyMeloBytVidetDoLan"}]], "Input",
 CellChangeTimes->{{3.542567885321752*^9, 3.5425679184000397`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"2011", ",", "6", ",", "20"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2011", ",", "6", ",", "21"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2011", ",", "6", ",", "22"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2011", ",", "6", ",", "23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2011", ",", "6", ",", "24"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2011", ",", "6", ",", "25"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2011", ",", "6", ",", "26"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2011", ",", "6", ",", "27"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2011", ",", "6", ",", "28"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2011", ",", "6", ",", "29"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2011", ",", "6", ",", "30"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2011", ",", "7", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2011", ",", "7", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2011", ",", "7", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2011", ",", "7", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2011", ",", "7", ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2011", ",", "7", ",", "6"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2011", ",", "7", ",", "7"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2011", ",", "7", ",", "8"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2011", ",", "7", ",", "9"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2011", ",", "7", ",", "10"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2011", ",", "7", ",", "11"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.5425679195849247`*^9}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.542567108255476*^9, 3.5425671082982492`*^9}}]
},
WindowSize->{1680, 1005},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"8.0 for Linux x86 (64-bit) (February 23, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 786, 16, 30, "Input"],
Cell[CellGroupData[{
Cell[1368, 40, 535, 10, 50, "Input"],
Cell[1906, 52, 9096, 175, 621, "Output"]
}, Open  ]],
Cell[11017, 230, 96, 1, 30, "Input"],
Cell[11116, 233, 555, 13, 30, "Input"],
Cell[11674, 248, 117, 2, 30, "Input"],
Cell[11794, 252, 671, 16, 30, "Input"],
Cell[CellGroupData[{
Cell[12490, 272, 474, 10, 30, "Input"],
Cell[12967, 284, 7641, 242, 149, "Output"]
}, Open  ]],
Cell[20623, 529, 431, 10, 30, "Input"],
Cell[21057, 541, 698, 18, 30, "Input"],
Cell[CellGroupData[{
Cell[21780, 563, 984, 23, 50, "Input"],
Cell[22767, 588, 5889, 79, 259, "Output"]
}, Open  ]],
Cell[28671, 670, 293, 7, 30, "Input"],
Cell[CellGroupData[{
Cell[28989, 681, 503, 9, 30, "Input"],
Cell[29495, 692, 9250, 281, 209, "Output"]
}, Open  ]],
Cell[38760, 976, 468, 12, 50, "Input"],
Cell[CellGroupData[{
Cell[39253, 992, 565, 14, 30, "Input"],
Cell[39821, 1008, 26978, 450, 546, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[66836, 1463, 703, 16, 50, "Input"],
Cell[67542, 1481, 667, 13, 24, "Message"],
Cell[68212, 1496, 284, 5, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[68533, 1506, 323, 5, 30, "Input"],
Cell[68859, 1513, 114, 1, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[69010, 1519, 180, 3, 30, "Input"],
Cell[69193, 1524, 111, 1, 30, "Output"]
}, Open  ]],
Cell[69319, 1528, 453, 11, 30, "Input"],
Cell[CellGroupData[{
Cell[69797, 1543, 437, 9, 50, "Input"],
Cell[70237, 1554, 1694, 47, 50, "Output"]
}, Open  ]],
Cell[71946, 1604, 94, 1, 30, "Input"]
}
]
*)

(* End of internal cache information *)
