(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    881787,      15951]
NotebookOptionsPosition[    881160,      15927]
NotebookOutlinePosition[    881497,      15942]
CellTagsIndexPosition[    881454,      15939]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 NamespaceBox["WolframAlphaQueryResults",
  DynamicModuleBox[{Typeset`q$$ = 
   "1/Cos[x]^2 - (Sin[x]^3 + Cos[x]^3)/(Sin[x]*Cos[x]^2 + Cos[x]^3)", 
   Typeset`opts$$ = {
   AppearanceElements -> {
     "Extrusion", "Warnings", "Assumptions", "Pods", "Unsuccessful"}, 
    Asynchronous -> All, 
    Method -> {
     "ExtrusionChosen" -> {
       "Fast parse", "Fast parse", 1, 0, "Input", 
        "1/Cos[x]^2 - (Sin[x]^3 + Cos[x]^3)/(Sin[x]*Cos[x]^2 + Cos[x]^3)"}, 
      "ExtrusionOpen" -> True, 
      "Formats" -> {"cell", "minput", "moutput", "msound", "dataformats"}}}, 
   Typeset`elements$$ = {
   "Extrusion", "Warnings", "Assumptions", "Pods", "Unsuccessful"}, 
   Typeset`pod1$$ = XMLElement[
   "pod", {"title" -> "Input", "scanner" -> "Identity", "id" -> "Input", 
     "position" -> "100", "error" -> "false", "numsubpods" -> "1"}, {
     XMLElement["subpod", {"title" -> ""}, {
       XMLElement[
       "minput", {}, {
        "1/Cos[x]^2 - (Sin[x]^3 + Cos[x]^3)/(Sin[x] Cos[x]^2 + Cos[x]^3)"}], 
       XMLElement["cell", {"compressed" -> False, "string" -> True}, {
         Cell[
          BoxData[
           FormBox[
            TagBox[
             RowBox[{
               FractionBox["1", 
                RowBox[{
                  SuperscriptBox["cos", "2"], "(", "x", ")"}]], "-", 
               FractionBox[
                RowBox[{
                  RowBox[{
                    SuperscriptBox["sin", "3"], "(", "x", ")"}], "+", 
                  RowBox[{
                    SuperscriptBox["cos", "3"], "(", "x", ")"}]}], 
                RowBox[{
                  RowBox[{
                    RowBox[{"sin", "(", "x", ")"}], " ", 
                    RowBox[{
                    SuperscriptBox["cos", "2"], "(", "x", ")"}]}], "+", 
                  RowBox[{
                    SuperscriptBox["cos", "3"], "(", "x", ")"}]}]]}], 
             PolynomialForm[#, TraditionalOrder -> False]& ], 
            TraditionalForm]], "Output"]}], 
       XMLElement["dataformats", {}, {"plaintext,minput"}]}]}], 
   Typeset`pod2$$ = XMLElement[
   "pod", {"title" -> "Result", "scanner" -> "Identity", "id" -> "Result", 
     "position" -> "200", "error" -> "false", "numsubpods" -> "1", "primary" -> 
     "true"}, {
     XMLElement["subpod", {"title" -> "", "primary" -> "true"}, {
       XMLElement[
       "moutput", {}, {
        "Sec[x]^2 - (Cos[x]^3 + Sin[x]^3)/(Cos[x]^3 + Cos[x]^2 Sin[x])"}], 
       XMLElement["cell", {"compressed" -> False, "string" -> True}, {
         Cell[
          BoxData[
           FormBox[
            TagBox[
             RowBox[{
               RowBox[{
                 SuperscriptBox["sec", "2"], "(", "x", ")"}], "-", 
               FractionBox[
                RowBox[{
                  RowBox[{
                    SuperscriptBox["sin", "3"], "(", "x", ")"}], "+", 
                  RowBox[{
                    SuperscriptBox["cos", "3"], "(", "x", ")"}]}], 
                RowBox[{
                  RowBox[{
                    SuperscriptBox["cos", "3"], "(", "x", ")"}], "+", 
                  RowBox[{
                    RowBox[{"sin", "(", "x", ")"}], " ", 
                    RowBox[{
                    SuperscriptBox["cos", "2"], "(", "x", ")"}]}]}]]}], 
             Identity], TraditionalForm]], "Output"]}], 
       XMLElement[
       "dataformats", {}, {
        "plaintext,moutput,computabledata,formatteddata,formuladata"}]}], 
     XMLElement["infos", {"count" -> "1"}, {
       XMLElement["info", {"text" -> "sec(x) is the secant function"}, {
         XMLElement[
         "link", {
          "url" -> "http://reference.wolfram.com/mathematica/ref/Sec.html", 
           "text" -> "Documentation", "title" -> "Mathematica"}, {}], 
         XMLElement[
         "link", {
          "url" -> "http://functions.wolfram.com/ElementaryFunctions/Sec", 
           "text" -> "Properties", "title" -> "Wolfram Functions Site"}, {}], 
         
         XMLElement[
         "link", {
          "url" -> "http://mathworld.wolfram.com/Secant.html", "text" -> 
           "Definition", "title" -> "MathWorld"}, {}], 
         XMLElement["cell", {"compressed" -> False, "string" -> True}, {
           Cell[
            BoxData[
             StyleBox[
              FormBox[
               StyleBox[
                TemplateBox[{
                  StyleBox[
                   RowBox[{"sec", "(", "x", ")"}], FontFamily -> 
                   "Bitstream Charter", Bold, 14, StripOnInput -> False], 
                  "\"is the secant function\""}, "Row", 
                 DisplayFunction -> (RowBox[{#, " ", #2}]& ), 
                 InterpretationFunction -> (RowBox[{
                    StyleBox[
                    "Row", FontFamily -> "Bitstream Vera Sans", 
                    FontSize -> -1 + Inherited], "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{#, ",", #2}], "}"}], ",", "\" \""}], "]"}]& )], 
                GrayLevel[0.3], StripOnInput -> False], TraditionalForm], 
              FontFamily -> "Verdana", FontSize -> 12]], "Output", 
            LinebreakAdjustments -> {1, 10, 0, 0, 10}]}]}]}]}], 
   Typeset`pod3$$ = XMLElement[
   "pod", {"title" -> "Plots", "scanner" -> "Plotter", "id" -> "Plot", 
     "position" -> "300", "error" -> "false", "numsubpods" -> "2"}, {
     XMLElement["subpod", {"title" -> ""}, {
       XMLElement[
       "minput", {}, {
        "Plot[Sec[x]^2 - (Cos[x]^3 + Sin[x]^3)/(Cos[x]^3 + Cos[x]^2 Sin[x]), \
{x, -6.6, 6.6}]"}], 
       XMLElement["cell", {"compressed" -> True, "string" -> False}, {
         Cell[
          BoxData[
           FormBox[
            TagBox[
             FormBox[
              StyleBox[
               
               DynamicModuleBox[{
                CalculateUtilities`GraphicsUtilities`Private`max2932$$ = 0.5, 
                 CalculateUtilities`GraphicsUtilities`Private`min2931$$ = \
-0.5, CalculateUtilities`GraphicsUtilities`Private`more$$ = False, 
                 Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
                 Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, 
                 Typeset`animvar$$ = 1, Typeset`name$$ = "\"untitled\"", 
                 Typeset`specs$$ = {{
                    Hold[
                    CalculateUtilities`GraphicsUtilities`Private`more$$], {
                    False, True}}, {{
                    Hold[
                    CalculateUtilities`GraphicsUtilities`Private`min2931$$], \
-0.5, "min"}, -1, 1}, {{
                    Hold[
                    CalculateUtilities`GraphicsUtilities`Private`max2932$$], 
                    0.5, "max"}, -1, 1}, {
                    Hold[
                    Style[
                    Overlay[{
                    RawBoxes[
                    PaneBox[
                    GraphicsBox[
                    
                    RasterBox[{{{0, 0, 0, 24}}, {{0, 0, 0, 9}}, {{0, 0, 0, 
                    10}}, {{0, 0, 0, 10}}, {{0, 0, 0, 9}}, {{0, 0, 0, 9}}, {{
                    0, 0, 0, 8}}, {{0, 0, 0, 8}}, {{0, 0, 0, 9}}, {{0, 0, 0, 
                    8}}, {{0, 0, 0, 7}}, {{0, 0, 0, 7}}, {{0, 0, 0, 8}}, {{0, 
                    0, 0, 6}}, {{0, 0, 0, 6}}, {{0, 0, 0, 6}}, {{0, 0, 0, 
                    6}}, {{0, 0, 0, 5}}, {{0, 0, 0, 6}}, {{0, 0, 0, 5}}, {{0, 
                    0, 0, 4}}, {{0, 0, 0, 4}}, {{0, 0, 0, 5}}, {{0, 0, 0, 
                    5}}, {{0, 0, 0, 3}}, {{0, 0, 0, 4}}, {{0, 0, 0, 3}}, {{0, 
                    0, 0, 3}}, {{0, 0, 0, 3}}, {{0, 0, 0, 3}}, {{0, 0, 0, 
                    2}}, {{0, 0, 0, 2}}, {{0, 0, 0, 2}}, {{0, 0, 0, 2}}, {{0, 
                    0, 0, 1}}, {{0, 0, 0, 2}}, {{0, 0, 0, 2}}, {{0, 0, 0, 
                    0}}, {{0, 0, 0, 1}}, {{255, 255, 255, 0}}, {{255, 255, 
                    255, 0}}, {{255, 255, 255, 0}}, {{255, 255, 255, 0}}, {{
                    255, 255, 255, 0}}, {{255, 255, 255, 0}}}, {{0, 45}, {
                    2500, 0}}, {0, 255}, ColorFunction -> RGBColor], 
                    ImageSize -> {2500, 45}, 
                    PlotRange -> {{0, 2500}, {0, 45}}], ImageSize -> 
                    Scaled[1], ScrollPosition -> {0., 0.}]], 
                    Pane[
                    Column[{
                    Grid[{{
                    Manipulate`Place[1], 
                    Manipulate`Place[2]}}]}], 
                    ImageMargins -> {{20, 30}, {10, 10}}]}, {1, 2}, 2, 
                    Alignment -> {Left, Top}]]], 
                    Manipulate`Dump`ThisIsNotAControl}}, Typeset`size$$ = 
                 Automatic, Typeset`update$$ = 0, Typeset`initDone$$ = False, 
                 Typeset`skipInitDone$$ = False, 
                 CalculateUtilities`GraphicsUtilities`Private`more$1588652$$ = 
                 False, 
                 CalculateUtilities`GraphicsUtilities`Private`min2931$1588657$\
$ = 0, CalculateUtilities`GraphicsUtilities`Private`max2932$1588658$$ = 0}, 
                DynamicBox[
                 Manipulate`ManipulateBoxes[
                 2, TraditionalForm, 
                  "Variables" :> {
                   CalculateUtilities`GraphicsUtilities`Private`max2932$$ = 
                    0.5, CalculateUtilities`GraphicsUtilities`Private`min2931$\
$ = -0.5, CalculateUtilities`GraphicsUtilities`Private`more$$ = False}, 
                  "ControllerVariables" :> {
                    Hold[
                    CalculateUtilities`GraphicsUtilities`Private`more$$, 
                    CalculateUtilities`GraphicsUtilities`Private`more$1588652$\
$, False], 
                    Hold[
                    CalculateUtilities`GraphicsUtilities`Private`min2931$$, 
                    CalculateUtilities`GraphicsUtilities`Private`min2931$\
1588657$$, 0], 
                    Hold[
                    CalculateUtilities`GraphicsUtilities`Private`max2932$$, 
                    CalculateUtilities`GraphicsUtilities`Private`max2932$\
1588658$$, 0]}, "OtherVariables" :> {
                   Typeset`show$$, Typeset`bookmarkList$$, 
                    Typeset`bookmarkMode$$, Typeset`animator$$, 
                    Typeset`animvar$$, Typeset`name$$, Typeset`specs$$, 
                    Typeset`size$$, Typeset`update$$, Typeset`initDone$$, 
                    Typeset`skipInitDone$$}, "Body" :> Quiet[
                    Function[Null, 
                    CalculateUtilities`GraphicsUtilities`Private`post$1588644[
                    
                    Plot[
                    SlotSequence[1]]], HoldAll][
                    Sec[Global`x]^2 - (Cos[Global`x]^3 + 
                    Cos[Global`x]^2 Sin[Global`x])^(-1) (Cos[Global`x]^3 + 
                    Sin[Global`x]^3), {Global`x, 
                    If[
                    NumericQ[
                    CalculateUtilities`GraphicsUtilities`Private`min2931$$], 
                    (
                    Piecewise[{{
                    0. + 7.052858015123397 Tan[1.5040801783846716` #], # < 
                    0}}, 0. + 
                    7.052858015123397 Tan[1.5040801783846716` #]]& )[
                    CalculateUtilities`GraphicsUtilities`Private`min2931$$], \
-6.5973445725385655`], 
                    If[
                    And[
                    NumericQ[
                    CalculateUtilities`GraphicsUtilities`Private`min2931$$], 
                    NumericQ[
                    CalculateUtilities`GraphicsUtilities`Private`max2932$$]], \

                    (Piecewise[{{
                    0. + 7.052858015123397 Tan[1.5040801783846716` #], # < 
                    0}}, 0. + 7.052858015123397 Tan[1.5040801783846716` #]]& )[
                    If[
                    CalculateUtilities`GraphicsUtilities`Private`min2931$$ == 
                    CalculateUtilities`GraphicsUtilities`Private`max2932$$, 
                    CalculateUtilities`GraphicsUtilities`Private`min2931$$ + 
                    0.013194689145077132`, 
                    CalculateUtilities`GraphicsUtilities`Private`max2932$$]], 
                    6.5973445725385655`]}, 
                    LabelStyle -> {FontFamily -> "Bitstream Charter"}, 
                    WorkingPrecision -> 31, 
                    Ticks -> {{{(-2) Pi, (-2) Pi}, {-Pi, -Pi}, {0, 0}, {
                    Pi, Pi}, {2 Pi, 2 Pi}}, Automatic}, 
                    PlotRange -> {Automatic, Automatic}, Ticks -> Automatic, 
                    ImageSize -> 200, AxesLabel -> {
                    RawBoxes[
                    FormBox["x", TraditionalForm]], None}]], 
                  "Specifications" :> {{
                    CalculateUtilities`GraphicsUtilities`Private`more$$, {
                    False, True}, ControlType -> None}, {{
                    CalculateUtilities`GraphicsUtilities`Private`min2931$$, \
-0.5, "min"}, -1, 1, ImageSize -> Tiny, ControlPlacement -> 1}, {{
                    CalculateUtilities`GraphicsUtilities`Private`max2932$$, 
                    0.5, "max"}, -1, 1, ImageSize -> Tiny, ControlPlacement -> 
                    2}, 
                    Style[
                    Overlay[{
                    RawBoxes[
                    PaneBox[
                    GraphicsBox[
                    
                    RasterBox[{{{0, 0, 0, 24}}, {{0, 0, 0, 9}}, {{0, 0, 0, 
                    10}}, {{0, 0, 0, 10}}, {{0, 0, 0, 9}}, {{0, 0, 0, 9}}, {{
                    0, 0, 0, 8}}, {{0, 0, 0, 8}}, {{0, 0, 0, 9}}, {{0, 0, 0, 
                    8}}, {{0, 0, 0, 7}}, {{0, 0, 0, 7}}, {{0, 0, 0, 8}}, {{0, 
                    0, 0, 6}}, {{0, 0, 0, 6}}, {{0, 0, 0, 6}}, {{0, 0, 0, 
                    6}}, {{0, 0, 0, 5}}, {{0, 0, 0, 6}}, {{0, 0, 0, 5}}, {{0, 
                    0, 0, 4}}, {{0, 0, 0, 4}}, {{0, 0, 0, 5}}, {{0, 0, 0, 
                    5}}, {{0, 0, 0, 3}}, {{0, 0, 0, 4}}, {{0, 0, 0, 3}}, {{0, 
                    0, 0, 3}}, {{0, 0, 0, 3}}, {{0, 0, 0, 3}}, {{0, 0, 0, 
                    2}}, {{0, 0, 0, 2}}, {{0, 0, 0, 2}}, {{0, 0, 0, 2}}, {{0, 
                    0, 0, 1}}, {{0, 0, 0, 2}}, {{0, 0, 0, 2}}, {{0, 0, 0, 
                    0}}, {{0, 0, 0, 1}}, {{255, 255, 255, 0}}, {{255, 255, 
                    255, 0}}, {{255, 255, 255, 0}}, {{255, 255, 255, 0}}, {{
                    255, 255, 255, 0}}, {{255, 255, 255, 0}}}, {{0, 45}, {
                    2500, 0}}, {0, 255}, ColorFunction -> RGBColor], 
                    ImageSize -> {2500, 45}, 
                    PlotRange -> {{0, 2500}, {0, 45}}], ImageSize -> 
                    Scaled[1], ScrollPosition -> {0., 0.}]], 
                    Pane[
                    Column[{
                    Grid[{{
                    Manipulate`Place[1], 
                    Manipulate`Place[2]}}]}], 
                    ImageMargins -> {{20, 30}, {10, 10}}]}, {1, 2}, 2, 
                    Alignment -> {Left, Top}]]}, 
                  "Options" :> {
                   TrackedSymbols -> True, ControlPlacement -> Bottom, 
                    FrameMargins -> {{0, 0}, {0, 10}}, Paneled -> False, 
                    AppearanceElements -> {}, 
                    LabelStyle -> {
                    "DialogStyle", FontColor -> GrayLevel[0.25]}}, 
                  "DefaultOptions" :> {}], SingleEvaluation -> True], 
                Initialization :> (ReleaseHold[
                   Hold[
                   CalculateUtilities`GraphicsUtilities`Private`WACleanTicks[
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, 
                    Blank[]]] := 
                    Module[{
                    CalculateUtilities`GraphicsUtilities`Private`res, 
                    CalculateUtilities`GraphicsUtilities`Private`unitformat}, 
                    CalculateUtilities`GraphicsUtilities`Private`res = 
                    ReplaceAll[
                    ReplaceAll[
                    Part[
                    DeleteCases[
                    Replace[
                    ReplaceAll[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, 
                    Alternatives[
                    Style, Global`UnitNumberForm, NumberForm] -> (#& )], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`t, {
                    PatternTest[
                    BlankSequence[], NumberQ]}] :> 
                    Thread[{CalculateUtilities`GraphicsUtilities`Private`t, 
                    CalculateUtilities`GraphicsUtilities`Private`t}]], {
                    Blank[], "", 
                    BlankNullSequence[]}], All, 
                    Span[1, 2]], Superscript[
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`b, 
                    Blank[Integer]], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`p, 
                    Blank[Integer]]] :> 
                    CalculateUtilities`GraphicsUtilities`Private`b^
                    CalculateUtilities`GraphicsUtilities`Private`p], Row[{
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`a, 
                    BlankSequence[]]}, "\[Times]"] :> 
                    Times[CalculateUtilities`GraphicsUtilities`Private`a]]; If[
                    MatchQ[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`res, All, 2], 
                    Condition[
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`quants, {
                    Alternatives[
                    BlankSequence[Global`ShortQuantity], 
                    BlankSequence[Global`Quantity]]}], Length[
                    Union[
                    Map[
                    Global`UnitObjectPart, 
                    CalculateUtilities`GraphicsUtilities`Private`quants]]] == 
                    1]], CalculateUtilities`GraphicsUtilities`Private`\
unitformat = Global`ToCDFQuantityFunction[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`res, 1, 2]]; 
                    CalculateUtilities`GraphicsUtilities`Private`unitformat -> 
                    Thread[{
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`res, All, 1], 
                    Global`QuantityPart[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`res, All, 2], 
                    Global`UnitObjectPart[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`res, 1, 
                    2]]]}], 
                    CalculateUtilities`GraphicsUtilities`Private`res]]; 
                    Options[
                    CalculateUtilities`GraphicsUtilities`Private`post$1588644]\
 = {"ReturnInteractiveTypes" -> False, "Nearest" -> Automatic}; 
                    CalculateUtilities`GraphicsUtilities`Private`post$1588644[
                    
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`g, 
                    Blank[Graphics]], 
                    OptionsPattern[]] := Check[
                    
                    Module[{
                    CalculateUtilities`GraphicsUtilities`Private`lines, 
                    CalculateUtilities`GraphicsUtilities`Private`pts, 
                    CalculateUtilities`GraphicsUtilities`Private`gg, 
                    CalculateUtilities`GraphicsUtilities`Private`type, 
                    CalculateUtilities`GraphicsUtilities`Private`b, 
                    CalculateUtilities`GraphicsUtilities`Private`l, 
                    CalculateUtilities`GraphicsUtilities`Private`t, 
                    CalculateUtilities`GraphicsUtilities`Private`r, 
                    CalculateUtilities`GraphicsUtilities`Private`oldepilog, 
                    CalculateUtilities`GraphicsUtilities`Private`range, 
                    CalculateUtilities`GraphicsUtilities`Private`gridlines, 
                    CalculateUtilities`GraphicsUtilities`Private`oldgridlines,
                     CalculateUtilities`GraphicsUtilities`Private`\
neareststyle = OptionValue["Nearest"]}, 
                    CalculateUtilities`GraphicsUtilities`Private`oldepilog = 
                    Replace[
                    ReplaceAll[Epilog, 
                    Options[CalculateUtilities`GraphicsUtilities`Private`g]], 
                    Epilog -> Sequence[]]; Switch[
                    ReplaceAll[{Frame, Axes}, 
                    Options[
                    CalculateUtilities`GraphicsUtilities`Private`g]], {True, 
                    Blank[]}, 
                    CalculateUtilities`GraphicsUtilities`Private`type = 
                    Frame; {CalculateUtilities`GraphicsUtilities`Private`b, 
                    CalculateUtilities`GraphicsUtilities`Private`l, 
                    CalculateUtilities`GraphicsUtilities`Private`t, 
                    CalculateUtilities`GraphicsUtilities`Private`r} = 
                    CalculateUtilities`GraphicsUtilities`Private`\
ScaleCoordinatesToTicks[Frame, 
                    ReplaceAll[FrameTicks, 
                    Options[
                    CalculateUtilities`GraphicsUtilities`Private`g]]], {
                    Blank[], True}, 
                    CalculateUtilities`GraphicsUtilities`Private`type = 
                    Axes; {CalculateUtilities`GraphicsUtilities`Private`b, 
                    CalculateUtilities`GraphicsUtilities`Private`l} = 
                    CalculateUtilities`GraphicsUtilities`Private`\
ScaleCoordinatesToTicks[Axes, 
                    ReplaceAll[Ticks, 
                    Options[CalculateUtilities`GraphicsUtilities`Private`g]]], 
                    Blank[], 
                    CalculateUtilities`GraphicsUtilities`Private`type = None]; 
                    If[
                    And[
                    CalculateUtilities`GraphicsUtilities`Private`type === 
                    Frame, 
                    Or[
                    Not[
                    Or[
                    CalculateUtilities`GraphicsUtilities`Private`t === None, 
                    CalculateUtilities`GraphicsUtilities`Private`b === 
                    CalculateUtilities`GraphicsUtilities`Private`t]], 
                    Not[
                    Or[
                    CalculateUtilities`GraphicsUtilities`Private`r === None, 
                    CalculateUtilities`GraphicsUtilities`Private`l === 
                    CalculateUtilities`GraphicsUtilities`Private`r]]]], 
                    CalculateUtilities`GraphicsUtilities`Private`type = None]; 
                    If[
                    TrueQ[
                    OptionValue["ReturnInteractiveTypes"]], 
                    Which[
                    Or[
                    CalculateUtilities`GraphicsUtilities`Private`type === 
                    None, CalculateUtilities`GraphicsUtilities`Private`b === 
                    None, CalculateUtilities`GraphicsUtilities`Private`l === 
                    None], {}, 
                    FreeQ[CalculateUtilities`GraphicsUtilities`Private`g, 
                    Alternatives[Line, Point]], {}, True, {
                    "Tooltips", "Coordinates"}], If[
                    FreeQ[CalculateUtilities`GraphicsUtilities`Private`g, 
                    Alternatives[Line, Point]], 
                    Return[CalculateUtilities`GraphicsUtilities`Private`g]]; 
                    CalculateUtilities`GraphicsUtilities`Private`gg = 
                    Normal[CalculateUtilities`GraphicsUtilities`Private`g]; 
                    CalculateUtilities`GraphicsUtilities`Private`pts = 
                    Partition[
                    Flatten[
                    Cases[
                    Part[CalculateUtilities`GraphicsUtilities`Private`gg, 1], 
                    Point[
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`a, 
                    Blank[]]] :> 
                    CalculateUtilities`GraphicsUtilities`Private`a, 
                    Infinity]], 2]; 
                    If[Length[
                    CalculateUtilities`GraphicsUtilities`Private`pts] < 2, 
                    CalculateUtilities`GraphicsUtilities`Private`lines = Cases[
                    Part[CalculateUtilities`GraphicsUtilities`Private`gg, 1], 
                    
                    Blank[Line], Infinity]; 
                    If[CalculateUtilities`GraphicsUtilities`Private`lines === \
{}, 
                    Return[CalculateUtilities`GraphicsUtilities`Private`g]]; 
                    CalculateUtilities`GraphicsUtilities`Private`pts = Flatten[
                    Cases[
                    CalculateUtilities`GraphicsUtilities`Private`lines, Line[
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`a, 
                    Blank[]]] :> 
                    CalculateUtilities`GraphicsUtilities`Private`a, Infinity],
                     1]; If[
                    CalculateUtilities`GraphicsUtilities`Private`neareststyle === 
                    Automatic, If[
                    CalculateUtilities`GraphicsUtilities`Private`orderedLines[
                    CalculateUtilities`GraphicsUtilities`Private`lines], 
                    CalculateUtilities`GraphicsUtilities`Private`neareststyle = 
                    "1D", CalculateUtilities`GraphicsUtilities`Private`\
neareststyle = "2D"]; Null], 
                    If[
                    CalculateUtilities`GraphicsUtilities`Private`neareststyle === 
                    Automatic, 
                    CalculateUtilities`GraphicsUtilities`Private`neareststyle = 
                    "2D"]]; 
                    CalculateUtilities`GraphicsUtilities`Private`range = 
                    Replace[
                    ReplaceAll[PlotRange, 
                    Options[CalculateUtilities`GraphicsUtilities`Private`g]], 
                    Except[{{
                    PatternTest[
                    Blank[], NumberQ], 
                    PatternTest[
                    Blank[], NumberQ]}, {
                    PatternTest[
                    Blank[], NumberQ], 
                    PatternTest[
                    Blank[], NumberQ]}}] :> {
                    Through[
                    {Min, Max}[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`pts, All, 
                    1]]], 
                    Through[
                    {Min, Max}[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`pts, All, 
                    2]]]}]; CalculateUtilities`GraphicsUtilities`Private`b = 
                    CalculateUtilities`GraphicsUtilities`Private`\
RefineCoordinateFunction[CalculateUtilities`GraphicsUtilities`Private`b, 
                    First[CalculateUtilities`GraphicsUtilities`Private`range], 
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`pts, All, 
                    1]]; CalculateUtilities`GraphicsUtilities`Private`l = 
                    CalculateUtilities`GraphicsUtilities`Private`\
RefineCoordinateFunction[CalculateUtilities`GraphicsUtilities`Private`l, 
                    Last[CalculateUtilities`GraphicsUtilities`Private`range], 
                    
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`pts, All, 
                    2]]; CalculateUtilities`GraphicsUtilities`Private`\
oldgridlines = ReplaceAll[GridLines, 
                    Options[CalculateUtilities`GraphicsUtilities`Private`g]]; 
                    CalculateUtilities`GraphicsUtilities`Private`gridlines = 
                    With[{CalculateUtilities`GraphicsUtilities`Private`gray = 
                    GrayLevel[0.7]}, 
                    Replace[
                    CalculateUtilities`GraphicsUtilities`Private`oldgridlines,\
 {Pattern[CalculateUtilities`GraphicsUtilities`Private`a, {
                    Blank[List], 
                    Blank[List]}] :> Dynamic[
                    Join[CalculateUtilities`GraphicsUtilities`Private`a, 
                    Replace[
                    MousePosition[{"Graphics", Graphics}, None], {
                    None -> {{}, {}}, {
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`x, 
                    Blank[]], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`y, 
                    Blank[]]} :> {{{
                    CalculateUtilities`GraphicsUtilities`Private`x, 
                    CalculateUtilities`GraphicsUtilities`Private`gray}}, {{
                    CalculateUtilities`GraphicsUtilities`Private`y, 
                    CalculateUtilities`GraphicsUtilities`Private`gray}}}}], 
                    2]], {
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`a, 
                    Blank[List]], Automatic} :> 
                    With[{CalculateUtilities`GraphicsUtilities`Private`\
divisions = {CalculateUtilities`GraphicsUtilities`Private`a, 
                    FindDivisions[
                    Last[CalculateUtilities`GraphicsUtilities`Private`range], 
                    7]}}, 
                    Dynamic[
                    Join[
                    CalculateUtilities`GraphicsUtilities`Private`divisions, 
                    Replace[
                    MousePosition[{"Graphics", Graphics}, None], {
                    None -> {{}, {}}, {
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`x, 
                    Blank[]], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`y, 
                    Blank[]]} :> {{{
                    CalculateUtilities`GraphicsUtilities`Private`x, 
                    CalculateUtilities`GraphicsUtilities`Private`gray}}, {{
                    CalculateUtilities`GraphicsUtilities`Private`y, 
                    CalculateUtilities`GraphicsUtilities`Private`gray}}}}], 
                    2]]], Blank[] -> Dynamic[
                    
                    Map[{{#, 
                    CalculateUtilities`GraphicsUtilities`Private`gray}}& , 
                    MousePosition[{"Graphics", Graphics}, None]]]}]]; If[
                    Or[
                    CalculateUtilities`GraphicsUtilities`Private`type === 
                    None, CalculateUtilities`GraphicsUtilities`Private`b === 
                    None, CalculateUtilities`GraphicsUtilities`Private`l === 
                    None], 
                    Show[
                    CalculateUtilities`GraphicsUtilities`Private`g, GridLines -> 
                    CalculateUtilities`GraphicsUtilities`Private`gridlines, 
                    If[
                    MatchQ[
                    CalculateUtilities`GraphicsUtilities`Private`oldgridlines, 
                    Alternatives[None, GridLines]], 
                    Method -> {"GridLinesInFront" -> True}, 
                    Apply[Sequence, {}]]], 
                    
                    With[{CalculateUtilities`GraphicsUtilities`Private`nf = 
                    If[CalculateUtilities`GraphicsUtilities`Private`\
neareststyle === "1D", 
                    
                    With[{CalculateUtilities`GraphicsUtilities`Private`n = 
                    Nearest[Part[
                    CalculateUtilities`GraphicsUtilities`Private`pts, All, 1] -> 
                    CalculateUtilities`GraphicsUtilities`Private`pts]}, 
                    CalculateUtilities`GraphicsUtilities`Private`n[
                    Part[#, 1]]& ], 
                    
                    With[{CalculateUtilities`GraphicsUtilities`Private`n = 
                    Nearest[Transpose[
                    Transpose[
                    CalculateUtilities`GraphicsUtilities`Private`pts]/Abs[
                    Apply[
                    Subtract, 
                    CalculateUtilities`GraphicsUtilities`Private`range, {
                    1}]]] -> 
                    CalculateUtilities`GraphicsUtilities`Private`pts], 
                    CalculateUtilities`GraphicsUtilities`Private`scale = Abs[
                    Apply[
                    Subtract, 
                    CalculateUtilities`GraphicsUtilities`Private`range, {
                    1}]]}, CalculateUtilities`GraphicsUtilities`Private`n[#/
                    CalculateUtilities`GraphicsUtilities`Private`scale]& ]], 
                    CalculateUtilities`GraphicsUtilities`Private`left = 
                    CalculateUtilities`GraphicsUtilities`Private`l, 
                    CalculateUtilities`GraphicsUtilities`Private`bottom = 
                    CalculateUtilities`GraphicsUtilities`Private`b}, 
                    Show[
                    CalculateUtilities`GraphicsUtilities`Private`g, GridLines -> 
                    CalculateUtilities`GraphicsUtilities`Private`gridlines, 
                    If[
                    MatchQ[
                    CalculateUtilities`GraphicsUtilities`Private`oldgridlines, 
                    Alternatives[None, GridLines]], 
                    Method -> {"GridLinesInFront" -> True}, 
                    Apply[Sequence, {}]], 
                    Epilog -> {
                    CalculateUtilities`GraphicsUtilities`Private`oldepilog, 
                    Dynamic[
                    
                    DynamicModule[{
                    CalculateUtilities`GraphicsUtilities`Private`pt = 
                    CalculateUtilities`GraphicsUtilities`Private`nf[
                    MousePosition[{"Graphics", Graphics}, {0, 0}]], 
                    CalculateUtilities`GraphicsUtilities`Private`scaled = 
                    MousePosition[{"GraphicsScaled", Graphics}, None]}, 
                    If[
                    CalculateUtilities`GraphicsUtilities`Private`scaled === 
                    None, {}, {
                    Text[
                    Style[
                    Row[{
                    CalculateUtilities`GraphicsUtilities`Private`bottom[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`pt, 1, 1]], 
                    CalculateUtilities`GraphicsUtilities`Private`left[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`pt, 1, 2]]}, 
                    ","], 12], 
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`pt, 1], {
                    1.5 Sign[Part[
                    CalculateUtilities`GraphicsUtilities`Private`scaled, 1] - 
                    0.5], 0}, Background -> White], 
                    AbsolutePointSize[7], 
                    Point[CalculateUtilities`GraphicsUtilities`Private`pt], 
                    White, 
                    AbsolutePointSize[5], 
                    Point[
                    CalculateUtilities`GraphicsUtilities`Private`pt]}]]]}]]]]]\
, CalculateUtilities`GraphicsUtilities`Private`g]; 
                    CalculateUtilities`GraphicsUtilities`Private`post$1588644[
                    
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`g, 
                    Blank[]], 
                    BlankNullSequence[]] := 
                    CalculateUtilities`GraphicsUtilities`Private`g; 
                    CalculateUtilities`GraphicsUtilities`Private`orderedLines[{
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`l, 
                    BlankSequence[Line]]}] := 
                    Module[{
                    CalculateUtilities`GraphicsUtilities`Private`ordered, 
                    CalculateUtilities`GraphicsUtilities`Private`intervals}, 
                    CalculateUtilities`GraphicsUtilities`Private`ordered = 
                    Apply[And, 
                    Map[OrderedQ[
                    Part[#, 1, All, 1]]& , 
                    Hold[CalculateUtilities`GraphicsUtilities`Private`l]]]; If[
                    Not[
                    TrueQ[
                    CalculateUtilities`GraphicsUtilities`Private`ordered]], 
                    Return[False]]; 
                    CalculateUtilities`GraphicsUtilities`Private`intervals = 
                    Part[{CalculateUtilities`GraphicsUtilities`Private`l}, 
                    All, 1, {1, -1}, 1]; Length[
                    Apply[
                    Interval, 
                    CalculateUtilities`GraphicsUtilities`Private`intervals]] === 
                    Length[CalculateUtilities`GraphicsUtilities`Private`\
intervals]]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
ScaleCoordinatesToTicks[Frame, 
                    Alternatives[Automatic, FrameTicks]] = {
                    Identity, Identity, Identity, Identity}; 
                    CalculateUtilities`GraphicsUtilities`Private`\
ScaleCoordinatesToTicks[Frame, {
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`b, 
                    Blank[]], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`l, 
                    Blank[]], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`t, 
                    Blank[]], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`r, 
                    Blank[]]}] := 
                    Map[CalculateUtilities`GraphicsUtilities`Private`\
TicksToFunction, {CalculateUtilities`GraphicsUtilities`Private`b, 
                    CalculateUtilities`GraphicsUtilities`Private`l, 
                    CalculateUtilities`GraphicsUtilities`Private`t, 
                    CalculateUtilities`GraphicsUtilities`Private`r}]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
ScaleCoordinatesToTicks[Frame, {{
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`l, 
                    Blank[]], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`r, 
                    Blank[]]}, {
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`b, 
                    Blank[]], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`t, 
                    Blank[]]}}] := 
                    Map[CalculateUtilities`GraphicsUtilities`Private`\
TicksToFunction, {CalculateUtilities`GraphicsUtilities`Private`b, 
                    CalculateUtilities`GraphicsUtilities`Private`l, 
                    CalculateUtilities`GraphicsUtilities`Private`t, 
                    CalculateUtilities`GraphicsUtilities`Private`r}]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
ScaleCoordinatesToTicks[Frame, 
                    Blank[]] = {None, None, None, None}; 
                    CalculateUtilities`GraphicsUtilities`Private`\
ScaleCoordinatesToTicks[Axes, 
                    Alternatives[Automatic, Ticks]] = {Identity, Identity}; 
                    CalculateUtilities`GraphicsUtilities`Private`\
ScaleCoordinatesToTicks[Axes, {
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`h, 
                    Blank[]], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`v, 
                    Blank[]]}] := 
                    Map[CalculateUtilities`GraphicsUtilities`Private`\
TicksToFunction, {CalculateUtilities`GraphicsUtilities`Private`h, 
                    CalculateUtilities`GraphicsUtilities`Private`v}]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
ScaleCoordinatesToTicks[Axes, 
                    Blank[]] = {None, None}; 
                    CalculateUtilities`GraphicsUtilities`Private`CDFCleanTicks[
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, 
                    Blank[]]] := ReplaceAll[
                    ReplaceAll[
                    Part[
                    DeleteCases[
                    ReplaceAll[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, 
                    Alternatives[Style, NumberForm] -> (#& )], {
                    Blank[], "", 
                    BlankNullSequence[]}], All, 
                    Span[1, 2]], Superscript[
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`b, 
                    Blank[Integer]], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`p, 
                    Blank[Integer]]] :> 
                    CalculateUtilities`GraphicsUtilities`Private`b^
                    CalculateUtilities`GraphicsUtilities`Private`p], Row[{
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`a, 
                    BlankSequence[]]}, "\[Times]"] :> 
                    Times[CalculateUtilities`GraphicsUtilities`Private`a]]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
TicksToFunction[
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`ticks$, 
                    Blank[]]] := 
                    CalculateUtilities`GraphicsUtilities`Private`\
iTicksToFunction[
                    CalculateUtilities`GraphicsUtilities`Private`WACleanTicks[
                    CalculateUtilities`GraphicsUtilities`Private`ticks$]]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
TicksToFunction[None] = None; 
                    CalculateUtilities`GraphicsUtilities`Private`\
TicksToFunction[False] = None; 
                    CalculateUtilities`GraphicsUtilities`Private`\
TicksToFunction[True] = None; 
                    CalculateUtilities`GraphicsUtilities`Private`\
TicksToFunction[Automatic] = Identity; 
                    CalculateUtilities`GraphicsUtilities`Private`\
TicksToFunction[All] = Identity; 
                    CalculateUtilities`GraphicsUtilities`Private`\
iTicksToFunction[Pattern[CalculateUtilities`GraphicsUtilities`Private`func, 
                    Blank[]] -> 
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, 
                    Blank[]]] := Replace[
                    
                    CalculateUtilities`GraphicsUtilities`Private`\
iTicksToFunction[CalculateUtilities`GraphicsUtilities`Private`ticks], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`f, 
                    Except[None]] :> 
                    Composition[
                    CalculateUtilities`GraphicsUtilities`Private`func, 
                    CalculateUtilities`GraphicsUtilities`Private`f]]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
iTicksToFunction[{}] = None; 
                    CalculateUtilities`GraphicsUtilities`Private`\
iTicksToFunction[
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, {
                    Repeated[{
                    Blank[Integer], 
                    Blank[String]}]}]] := Which[
                    Quiet[
                    MatchQ[
                    Apply[SameQ, 
                    Map[Part[
                    DateList[#], 
                    Span[2, All]]& , 
                    CalculateUtilities`GraphicsUtilities`Private`ticks, {
                    2}], {1}], {
                    Repeated[True]}]], DateString, 
                    Apply[And, 
                    StringMatchQ[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, All, 
                    2], NumberString]], 
                    
                    CalculateUtilities`GraphicsUtilities`Private`\
iTicksToFunction[
                    Transpose[{
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, All, 
                    1], 
                    ToExpression[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, All, 
                    2]]}]], True, None]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
iTicksToFunction[
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, {
                    Repeated[{
                    PatternTest[
                    Blank[], NumericQ], 
                    PatternTest[
                    Blank[], NumericQ]}]}]] := Which[
                    MatchQ[
                    Apply[
                    Equal, CalculateUtilities`GraphicsUtilities`Private`ticks,\
 {1}], {
                    Repeated[True]}], Identity, 
                    MatchQ[
                    
                    Apply[# == Log[#2]& , 
                    CalculateUtilities`GraphicsUtilities`Private`ticks, {1}], {
                    Repeated[True]}], Exp, 
                    TrueQ[
                    Quiet[
                    Apply[Equal, 
                    Apply[Divide, Transpose[
                    Rest[CalculateUtilities`GraphicsUtilities`Private`ticks]] - 
                    Part[CalculateUtilities`GraphicsUtilities`Private`ticks, 
                    1]]]]], 
                    
                    With[{CalculateUtilities`GraphicsUtilities`Private`slope = 
                    Apply[Divide, 
                    Apply[Subtract, 
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, {-1, 
                    1}]]]}, 
                    SetPrecision[(# - Part[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, 1, 
                    1])/CalculateUtilities`GraphicsUtilities`Private`slope + 
                    Part[CalculateUtilities`GraphicsUtilities`Private`ticks, 
                    1, 2], 3]& ], True, None]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
iTicksToFunction[
                    Blank[]] = None; 
                    CalculateUtilities`GraphicsUtilities`Private`\
RefineCoordinateFunction[
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`type, 
                    Blank[]], 
                    BlankNullSequence[]] := 
                    CalculateUtilities`GraphicsUtilities`Private`type; 
                    CalculateUtilities`GraphicsUtilities`Private`\
RefineCoordinateFunction[Identity, {
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`min, 
                    Blank[]], 
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`max, 
                    Blank[]]}, 
                    Blank[]] := 
                    With[{CalculateUtilities`GraphicsUtilities`Private`nf = 
                    CalculateUtilities`GraphicsUtilities`Private`numberForm, 
                    CalculateUtilities`GraphicsUtilities`Private`acc = 
                    Floor[Max[
                    Ceiling[
                    FullSimplify[Log[10, 
                    Max[
                    
                    Abs[{CalculateUtilities`GraphicsUtilities`Private`min, 
                    CalculateUtilities`GraphicsUtilities`Private`max}]]] - 
                    Log[10, (CalculateUtilities`GraphicsUtilities`Private`max - 
                    CalculateUtilities`GraphicsUtilities`Private`min)/100]]], 
                    3] - RealExponent[
                    Max[
                    
                    Abs[{CalculateUtilities`GraphicsUtilities`Private`min, 
                    CalculateUtilities`GraphicsUtilities`Private`max}]]]]}, 
                    CalculateUtilities`GraphicsUtilities`Private`nf[#, 
                    CalculateUtilities`GraphicsUtilities`Private`acc]& ]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
RefineCoordinateFunction[Exp, {
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`min, 
                    Blank[]], 
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`max, 
                    Blank[]]}, 
                    Blank[]] := 
                    With[{CalculateUtilities`GraphicsUtilities`Private`prec = 
                    Max[
                    Ceiling[
                    FullSimplify[Log[10, 
                    Max[
                    
                    Abs[{CalculateUtilities`GraphicsUtilities`Private`min, 
                    CalculateUtilities`GraphicsUtilities`Private`max}]]] - 
                    Log[10, (CalculateUtilities`GraphicsUtilities`Private`max - 
                    CalculateUtilities`GraphicsUtilities`Private`min)/100]]], 
                    3]}, Quiet[
                    RawBoxes[
                    ToBoxes[
                    NumberForm[
                    Exp[#], 
                    CalculateUtilities`GraphicsUtilities`Private`prec]]]]& ]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
RefineCoordinateFunction[DateString, {
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`min, 
                    Blank[]], 
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`max, 
                    Blank[]]}, 
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`pts, 
                    Blank[]]] := 
                    Module[{
                    CalculateUtilities`GraphicsUtilities`Private`dates, 
                    CalculateUtilities`GraphicsUtilities`Private`spec}, 
                    CalculateUtilities`GraphicsUtilities`Private`dates = 
                    Map[DateList, 
                    CalculateUtilities`GraphicsUtilities`Private`pts]; 
                    CalculateUtilities`GraphicsUtilities`Private`spec = Switch[
                    Map[Length, 
                    Map[Union, 
                    Transpose[
                    CalculateUtilities`GraphicsUtilities`Private`dates]]], {
                    Blank[], 1, 1, 
                    BlankSequence[]}, {"Year"}, {
                    Blank[], 
                    Blank[], 1, 
                    BlankSequence[]}, {"MonthNameShort", " ", "Year"}, 
                    Blank[], {
                    "DayShort", " ", "MonthNameShort", " ", "Year"}]; 
                    If[(CalculateUtilities`GraphicsUtilities`Private`max - 
                    CalculateUtilities`GraphicsUtilities`Private`min)/
                    31536000 > 25, 
                    CalculateUtilities`GraphicsUtilities`Private`spec = {
                    "Year"}]; 
                    With[{CalculateUtilities`GraphicsUtilities`Private`s = 
                    CalculateUtilities`GraphicsUtilities`Private`spec}, 
                    DateString[#, 
                    CalculateUtilities`GraphicsUtilities`Private`s]& ]]; 
                    CalculateUtilities`GraphicsUtilities`Private`numberForm = 
                    Function[{
                    CalculateUtilities`GraphicsUtilities`Private`a, 
                    CalculateUtilities`GraphicsUtilities`Private`acc}, 
                    Quiet[
                    RawBoxes[
                    ToBoxes[
                    NumberForm[CalculateUtilities`GraphicsUtilities`Private`a, 
                    Max[1, 
                    Ceiling[
                    RealExponent[
                    CalculateUtilities`GraphicsUtilities`Private`a] + 
                    CalculateUtilities`GraphicsUtilities`Private`acc]], 
                    ExponentFunction -> (Null& ), 
                    NumberFormat -> (StringReplace[#, StringExpression[
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`s, 
                    BlankSequence[]], ".", EndOfString] -> 
                    CalculateUtilities`GraphicsUtilities`Private`s]& )]]]]]]]; 
                 Typeset`initDone$$ = True), DynamicModuleValues :> {}, 
                Deinitialization :> None, 
                UntrackedVariables :> {Typeset`size$$}, 
                SynchronousInitialization -> True, 
                UnsavedVariables :> {Typeset`initDone$$}], "Manipulate", 
               Deployed -> True, StripOnInput -> False], TraditionalForm], 
             Manipulate`InterpretManipulate[1]], TraditionalForm]], 
          "Output"]}], 
       XMLElement["dataformats", {}, {"minput"}]}], 
     XMLElement["subpod", {"title" -> ""}, {
       XMLElement[
       "minput", {}, {
        "Plot[Sec[x]^2 - (Cos[x]^3 + Sin[x]^3)/(Cos[x]^3 + Cos[x]^2 Sin[x]), \
{x, -26, 26}]"}], 
       XMLElement["cell", {"compressed" -> True, "string" -> False}, {
         Cell[
          BoxData[
           FormBox[
            TagBox[
             FormBox[
              StyleBox[
               
               DynamicModuleBox[{
                CalculateUtilities`GraphicsUtilities`Private`max2934$$ = 0.5, 
                 CalculateUtilities`GraphicsUtilities`Private`min2933$$ = \
-0.5, CalculateUtilities`GraphicsUtilities`Private`more$$ = False, 
                 Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
                 Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, 
                 Typeset`animvar$$ = 1, Typeset`name$$ = "\"untitled\"", 
                 Typeset`specs$$ = {{
                    Hold[
                    CalculateUtilities`GraphicsUtilities`Private`more$$], {
                    False, True}}, {{
                    Hold[
                    CalculateUtilities`GraphicsUtilities`Private`min2933$$], \
-0.5, "min"}, -1, 1}, {{
                    Hold[
                    CalculateUtilities`GraphicsUtilities`Private`max2934$$], 
                    0.5, "max"}, -1, 1}, {
                    Hold[
                    Style[
                    Overlay[{
                    RawBoxes[
                    PaneBox[
                    GraphicsBox[
                    
                    RasterBox[{{{0, 0, 0, 24}}, {{0, 0, 0, 9}}, {{0, 0, 0, 
                    10}}, {{0, 0, 0, 10}}, {{0, 0, 0, 9}}, {{0, 0, 0, 9}}, {{
                    0, 0, 0, 8}}, {{0, 0, 0, 8}}, {{0, 0, 0, 9}}, {{0, 0, 0, 
                    8}}, {{0, 0, 0, 7}}, {{0, 0, 0, 7}}, {{0, 0, 0, 8}}, {{0, 
                    0, 0, 6}}, {{0, 0, 0, 6}}, {{0, 0, 0, 6}}, {{0, 0, 0, 
                    6}}, {{0, 0, 0, 5}}, {{0, 0, 0, 6}}, {{0, 0, 0, 5}}, {{0, 
                    0, 0, 4}}, {{0, 0, 0, 4}}, {{0, 0, 0, 5}}, {{0, 0, 0, 
                    5}}, {{0, 0, 0, 3}}, {{0, 0, 0, 4}}, {{0, 0, 0, 3}}, {{0, 
                    0, 0, 3}}, {{0, 0, 0, 3}}, {{0, 0, 0, 3}}, {{0, 0, 0, 
                    2}}, {{0, 0, 0, 2}}, {{0, 0, 0, 2}}, {{0, 0, 0, 2}}, {{0, 
                    0, 0, 1}}, {{0, 0, 0, 2}}, {{0, 0, 0, 2}}, {{0, 0, 0, 
                    0}}, {{0, 0, 0, 1}}, {{255, 255, 255, 0}}, {{255, 255, 
                    255, 0}}, {{255, 255, 255, 0}}, {{255, 255, 255, 0}}, {{
                    255, 255, 255, 0}}, {{255, 255, 255, 0}}}, {{0, 45}, {
                    2500, 0}}, {0, 255}, ColorFunction -> RGBColor], 
                    ImageSize -> {2500, 45}, 
                    PlotRange -> {{0, 2500}, {0, 45}}], ImageSize -> 
                    Scaled[1], ScrollPosition -> {0., 0.}]], 
                    Pane[
                    Column[{
                    Grid[{{
                    Manipulate`Place[1], 
                    Manipulate`Place[2]}}]}], 
                    ImageMargins -> {{20, 30}, {10, 10}}]}, {1, 2}, 2, 
                    Alignment -> {Left, Top}]]], 
                    Manipulate`Dump`ThisIsNotAControl}}, Typeset`size$$ = 
                 Automatic, Typeset`update$$ = 0, Typeset`initDone$$ = False, 
                 Typeset`skipInitDone$$ = False, 
                 CalculateUtilities`GraphicsUtilities`Private`more$1588711$$ = 
                 False, CalculateUtilities`GraphicsUtilities`Private`min2933$\
1588712$$ = 0, CalculateUtilities`GraphicsUtilities`Private`max2934$1588713$$ = 
                 0}, 
                DynamicBox[
                 Manipulate`ManipulateBoxes[
                 2, TraditionalForm, 
                  "Variables" :> {
                   CalculateUtilities`GraphicsUtilities`Private`max2934$$ = 
                    0.5, CalculateUtilities`GraphicsUtilities`Private`min2933$\
$ = -0.5, CalculateUtilities`GraphicsUtilities`Private`more$$ = False}, 
                  "ControllerVariables" :> {
                    Hold[
                    CalculateUtilities`GraphicsUtilities`Private`more$$, 
                    CalculateUtilities`GraphicsUtilities`Private`more$1588711$\
$, False], 
                    Hold[
                    CalculateUtilities`GraphicsUtilities`Private`min2933$$, 
                    CalculateUtilities`GraphicsUtilities`Private`min2933$\
1588712$$, 0], 
                    Hold[
                    CalculateUtilities`GraphicsUtilities`Private`max2934$$, 
                    CalculateUtilities`GraphicsUtilities`Private`max2934$\
1588713$$, 0]}, "OtherVariables" :> {
                   Typeset`show$$, Typeset`bookmarkList$$, 
                    Typeset`bookmarkMode$$, Typeset`animator$$, 
                    Typeset`animvar$$, Typeset`name$$, Typeset`specs$$, 
                    Typeset`size$$, Typeset`update$$, Typeset`initDone$$, 
                    Typeset`skipInitDone$$}, "Body" :> Quiet[
                    Function[Null, 
                    CalculateUtilities`GraphicsUtilities`Private`post$1588703[
                    
                    Plot[
                    SlotSequence[1]]], HoldAll][
                    Sec[Global`x]^2 - (Cos[Global`x]^3 + 
                    Cos[Global`x]^2 Sin[Global`x])^(-1) (Cos[Global`x]^3 + 
                    Sin[Global`x]^3), {Global`x, 
                    If[
                    NumericQ[
                    CalculateUtilities`GraphicsUtilities`Private`min2933$$], 
                    (
                    Piecewise[{{
                    0. + 28.21143206049359 Tan[1.5040801783846716` #], # < 
                    0}}, 0. + 
                    28.21143206049359 Tan[1.5040801783846716` #]]& )[
                    CalculateUtilities`GraphicsUtilities`Private`min2933$$], \
-26.389378290154262`], 
                    If[
                    And[
                    NumericQ[
                    CalculateUtilities`GraphicsUtilities`Private`min2933$$], 
                    NumericQ[
                    CalculateUtilities`GraphicsUtilities`Private`max2934$$]], \

                    (Piecewise[{{
                    0. + 28.21143206049359 Tan[1.5040801783846716` #], # < 
                    0}}, 0. + 28.21143206049359 Tan[1.5040801783846716` #]]& )[
                    If[
                    CalculateUtilities`GraphicsUtilities`Private`min2933$$ == 
                    CalculateUtilities`GraphicsUtilities`Private`max2934$$, 
                    CalculateUtilities`GraphicsUtilities`Private`min2933$$ + 
                    0.052778756580308527`, 
                    CalculateUtilities`GraphicsUtilities`Private`max2934$$]], 
                    26.389378290154262`]}, 
                    LabelStyle -> {FontFamily -> "Bitstream Charter"}, 
                    WorkingPrecision -> MachinePrecision, 
                    PlotRange -> {Automatic, Automatic}, Ticks -> Automatic, 
                    ImageSize -> 200, AxesLabel -> {
                    RawBoxes[
                    FormBox["x", TraditionalForm]], None}]], 
                  "Specifications" :> {{
                    CalculateUtilities`GraphicsUtilities`Private`more$$, {
                    False, True}, ControlType -> None}, {{
                    CalculateUtilities`GraphicsUtilities`Private`min2933$$, \
-0.5, "min"}, -1, 1, ImageSize -> Tiny, ControlPlacement -> 1}, {{
                    CalculateUtilities`GraphicsUtilities`Private`max2934$$, 
                    0.5, "max"}, -1, 1, ImageSize -> Tiny, ControlPlacement -> 
                    2}, 
                    Style[
                    Overlay[{
                    RawBoxes[
                    PaneBox[
                    GraphicsBox[
                    
                    RasterBox[{{{0, 0, 0, 24}}, {{0, 0, 0, 9}}, {{0, 0, 0, 
                    10}}, {{0, 0, 0, 10}}, {{0, 0, 0, 9}}, {{0, 0, 0, 9}}, {{
                    0, 0, 0, 8}}, {{0, 0, 0, 8}}, {{0, 0, 0, 9}}, {{0, 0, 0, 
                    8}}, {{0, 0, 0, 7}}, {{0, 0, 0, 7}}, {{0, 0, 0, 8}}, {{0, 
                    0, 0, 6}}, {{0, 0, 0, 6}}, {{0, 0, 0, 6}}, {{0, 0, 0, 
                    6}}, {{0, 0, 0, 5}}, {{0, 0, 0, 6}}, {{0, 0, 0, 5}}, {{0, 
                    0, 0, 4}}, {{0, 0, 0, 4}}, {{0, 0, 0, 5}}, {{0, 0, 0, 
                    5}}, {{0, 0, 0, 3}}, {{0, 0, 0, 4}}, {{0, 0, 0, 3}}, {{0, 
                    0, 0, 3}}, {{0, 0, 0, 3}}, {{0, 0, 0, 3}}, {{0, 0, 0, 
                    2}}, {{0, 0, 0, 2}}, {{0, 0, 0, 2}}, {{0, 0, 0, 2}}, {{0, 
                    0, 0, 1}}, {{0, 0, 0, 2}}, {{0, 0, 0, 2}}, {{0, 0, 0, 
                    0}}, {{0, 0, 0, 1}}, {{255, 255, 255, 0}}, {{255, 255, 
                    255, 0}}, {{255, 255, 255, 0}}, {{255, 255, 255, 0}}, {{
                    255, 255, 255, 0}}, {{255, 255, 255, 0}}}, {{0, 45}, {
                    2500, 0}}, {0, 255}, ColorFunction -> RGBColor], 
                    ImageSize -> {2500, 45}, 
                    PlotRange -> {{0, 2500}, {0, 45}}], ImageSize -> 
                    Scaled[1], ScrollPosition -> {0., 0.}]], 
                    Pane[
                    Column[{
                    Grid[{{
                    Manipulate`Place[1], 
                    Manipulate`Place[2]}}]}], 
                    ImageMargins -> {{20, 30}, {10, 10}}]}, {1, 2}, 2, 
                    Alignment -> {Left, Top}]]}, 
                  "Options" :> {
                   TrackedSymbols -> True, ControlPlacement -> Bottom, 
                    FrameMargins -> {{0, 0}, {0, 10}}, Paneled -> False, 
                    AppearanceElements -> {}, 
                    LabelStyle -> {
                    "DialogStyle", FontColor -> GrayLevel[0.25]}}, 
                  "DefaultOptions" :> {}], SingleEvaluation -> True], 
                Initialization :> (ReleaseHold[
                   Hold[
                   CalculateUtilities`GraphicsUtilities`Private`WACleanTicks[
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, 
                    Blank[]]] := 
                    Module[{
                    CalculateUtilities`GraphicsUtilities`Private`res, 
                    CalculateUtilities`GraphicsUtilities`Private`unitformat}, 
                    CalculateUtilities`GraphicsUtilities`Private`res = 
                    ReplaceAll[
                    ReplaceAll[
                    Part[
                    DeleteCases[
                    Replace[
                    ReplaceAll[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, 
                    Alternatives[
                    Style, Global`UnitNumberForm, NumberForm] -> (#& )], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`t, {
                    PatternTest[
                    BlankSequence[], NumberQ]}] :> 
                    Thread[{CalculateUtilities`GraphicsUtilities`Private`t, 
                    CalculateUtilities`GraphicsUtilities`Private`t}]], {
                    Blank[], "", 
                    BlankNullSequence[]}], All, 
                    Span[1, 2]], Superscript[
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`b, 
                    Blank[Integer]], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`p, 
                    Blank[Integer]]] :> 
                    CalculateUtilities`GraphicsUtilities`Private`b^
                    CalculateUtilities`GraphicsUtilities`Private`p], Row[{
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`a, 
                    BlankSequence[]]}, "\[Times]"] :> 
                    Times[CalculateUtilities`GraphicsUtilities`Private`a]]; If[
                    MatchQ[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`res, All, 2], 
                    Condition[
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`quants, {
                    Alternatives[
                    BlankSequence[Global`ShortQuantity], 
                    BlankSequence[Global`Quantity]]}], Length[
                    Union[
                    Map[
                    Global`UnitObjectPart, 
                    CalculateUtilities`GraphicsUtilities`Private`quants]]] == 
                    1]], CalculateUtilities`GraphicsUtilities`Private`\
unitformat = Global`ToCDFQuantityFunction[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`res, 1, 2]]; 
                    CalculateUtilities`GraphicsUtilities`Private`unitformat -> 
                    Thread[{
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`res, All, 1], 
                    Global`QuantityPart[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`res, All, 2], 
                    Global`UnitObjectPart[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`res, 1, 
                    2]]]}], 
                    CalculateUtilities`GraphicsUtilities`Private`res]]; 
                    Options[
                    CalculateUtilities`GraphicsUtilities`Private`post$1588703]\
 = {"ReturnInteractiveTypes" -> False, "Nearest" -> Automatic}; 
                    CalculateUtilities`GraphicsUtilities`Private`post$1588703[
                    
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`g, 
                    Blank[Graphics]], 
                    OptionsPattern[]] := Check[
                    
                    Module[{
                    CalculateUtilities`GraphicsUtilities`Private`lines, 
                    CalculateUtilities`GraphicsUtilities`Private`pts, 
                    CalculateUtilities`GraphicsUtilities`Private`gg, 
                    CalculateUtilities`GraphicsUtilities`Private`type, 
                    CalculateUtilities`GraphicsUtilities`Private`b, 
                    CalculateUtilities`GraphicsUtilities`Private`l, 
                    CalculateUtilities`GraphicsUtilities`Private`t, 
                    CalculateUtilities`GraphicsUtilities`Private`r, 
                    CalculateUtilities`GraphicsUtilities`Private`oldepilog, 
                    CalculateUtilities`GraphicsUtilities`Private`range, 
                    CalculateUtilities`GraphicsUtilities`Private`gridlines, 
                    CalculateUtilities`GraphicsUtilities`Private`oldgridlines,
                     CalculateUtilities`GraphicsUtilities`Private`\
neareststyle = OptionValue["Nearest"]}, 
                    CalculateUtilities`GraphicsUtilities`Private`oldepilog = 
                    Replace[
                    ReplaceAll[Epilog, 
                    Options[CalculateUtilities`GraphicsUtilities`Private`g]], 
                    Epilog -> Sequence[]]; Switch[
                    ReplaceAll[{Frame, Axes}, 
                    Options[
                    CalculateUtilities`GraphicsUtilities`Private`g]], {True, 
                    Blank[]}, 
                    CalculateUtilities`GraphicsUtilities`Private`type = 
                    Frame; {CalculateUtilities`GraphicsUtilities`Private`b, 
                    CalculateUtilities`GraphicsUtilities`Private`l, 
                    CalculateUtilities`GraphicsUtilities`Private`t, 
                    CalculateUtilities`GraphicsUtilities`Private`r} = 
                    CalculateUtilities`GraphicsUtilities`Private`\
ScaleCoordinatesToTicks[Frame, 
                    ReplaceAll[FrameTicks, 
                    Options[
                    CalculateUtilities`GraphicsUtilities`Private`g]]], {
                    Blank[], True}, 
                    CalculateUtilities`GraphicsUtilities`Private`type = 
                    Axes; {CalculateUtilities`GraphicsUtilities`Private`b, 
                    CalculateUtilities`GraphicsUtilities`Private`l} = 
                    CalculateUtilities`GraphicsUtilities`Private`\
ScaleCoordinatesToTicks[Axes, 
                    ReplaceAll[Ticks, 
                    Options[CalculateUtilities`GraphicsUtilities`Private`g]]], 
                    Blank[], 
                    CalculateUtilities`GraphicsUtilities`Private`type = None]; 
                    If[
                    And[
                    CalculateUtilities`GraphicsUtilities`Private`type === 
                    Frame, 
                    Or[
                    Not[
                    Or[
                    CalculateUtilities`GraphicsUtilities`Private`t === None, 
                    CalculateUtilities`GraphicsUtilities`Private`b === 
                    CalculateUtilities`GraphicsUtilities`Private`t]], 
                    Not[
                    Or[
                    CalculateUtilities`GraphicsUtilities`Private`r === None, 
                    CalculateUtilities`GraphicsUtilities`Private`l === 
                    CalculateUtilities`GraphicsUtilities`Private`r]]]], 
                    CalculateUtilities`GraphicsUtilities`Private`type = None]; 
                    If[
                    TrueQ[
                    OptionValue["ReturnInteractiveTypes"]], 
                    Which[
                    Or[
                    CalculateUtilities`GraphicsUtilities`Private`type === 
                    None, CalculateUtilities`GraphicsUtilities`Private`b === 
                    None, CalculateUtilities`GraphicsUtilities`Private`l === 
                    None], {}, 
                    FreeQ[CalculateUtilities`GraphicsUtilities`Private`g, 
                    Alternatives[Line, Point]], {}, True, {
                    "Tooltips", "Coordinates"}], If[
                    FreeQ[CalculateUtilities`GraphicsUtilities`Private`g, 
                    Alternatives[Line, Point]], 
                    Return[CalculateUtilities`GraphicsUtilities`Private`g]]; 
                    CalculateUtilities`GraphicsUtilities`Private`gg = 
                    Normal[CalculateUtilities`GraphicsUtilities`Private`g]; 
                    CalculateUtilities`GraphicsUtilities`Private`pts = 
                    Partition[
                    Flatten[
                    Cases[
                    Part[CalculateUtilities`GraphicsUtilities`Private`gg, 1], 
                    Point[
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`a, 
                    Blank[]]] :> 
                    CalculateUtilities`GraphicsUtilities`Private`a, 
                    Infinity]], 2]; 
                    If[Length[
                    CalculateUtilities`GraphicsUtilities`Private`pts] < 2, 
                    CalculateUtilities`GraphicsUtilities`Private`lines = Cases[
                    Part[CalculateUtilities`GraphicsUtilities`Private`gg, 1], 
                    
                    Blank[Line], Infinity]; 
                    If[CalculateUtilities`GraphicsUtilities`Private`lines === \
{}, 
                    Return[CalculateUtilities`GraphicsUtilities`Private`g]]; 
                    CalculateUtilities`GraphicsUtilities`Private`pts = Flatten[
                    Cases[
                    CalculateUtilities`GraphicsUtilities`Private`lines, Line[
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`a, 
                    Blank[]]] :> 
                    CalculateUtilities`GraphicsUtilities`Private`a, Infinity],
                     1]; If[
                    CalculateUtilities`GraphicsUtilities`Private`neareststyle === 
                    Automatic, If[
                    CalculateUtilities`GraphicsUtilities`Private`orderedLines[
                    CalculateUtilities`GraphicsUtilities`Private`lines], 
                    CalculateUtilities`GraphicsUtilities`Private`neareststyle = 
                    "1D", CalculateUtilities`GraphicsUtilities`Private`\
neareststyle = "2D"]; Null], 
                    If[
                    CalculateUtilities`GraphicsUtilities`Private`neareststyle === 
                    Automatic, 
                    CalculateUtilities`GraphicsUtilities`Private`neareststyle = 
                    "2D"]]; 
                    CalculateUtilities`GraphicsUtilities`Private`range = 
                    Replace[
                    ReplaceAll[PlotRange, 
                    Options[CalculateUtilities`GraphicsUtilities`Private`g]], 
                    Except[{{
                    PatternTest[
                    Blank[], NumberQ], 
                    PatternTest[
                    Blank[], NumberQ]}, {
                    PatternTest[
                    Blank[], NumberQ], 
                    PatternTest[
                    Blank[], NumberQ]}}] :> {
                    Through[
                    {Min, Max}[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`pts, All, 
                    1]]], 
                    Through[
                    {Min, Max}[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`pts, All, 
                    2]]]}]; CalculateUtilities`GraphicsUtilities`Private`b = 
                    
                    CalculateUtilities`GraphicsUtilities`Private`\
RefineCoordinateFunction[CalculateUtilities`GraphicsUtilities`Private`b, 
                    First[CalculateUtilities`GraphicsUtilities`Private`range], 
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`pts, All, 
                    1]]; CalculateUtilities`GraphicsUtilities`Private`l = 
                    CalculateUtilities`GraphicsUtilities`Private`\
RefineCoordinateFunction[CalculateUtilities`GraphicsUtilities`Private`l, 
                    Last[CalculateUtilities`GraphicsUtilities`Private`range], 
                    
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`pts, All, 
                    2]]; CalculateUtilities`GraphicsUtilities`Private`\
oldgridlines = ReplaceAll[GridLines, 
                    Options[CalculateUtilities`GraphicsUtilities`Private`g]]; 
                    CalculateUtilities`GraphicsUtilities`Private`gridlines = 
                    With[{CalculateUtilities`GraphicsUtilities`Private`gray = 
                    GrayLevel[0.7]}, 
                    Replace[
                    CalculateUtilities`GraphicsUtilities`Private`oldgridlines,\
 {Pattern[CalculateUtilities`GraphicsUtilities`Private`a, {
                    Blank[List], 
                    Blank[List]}] :> Dynamic[
                    Join[CalculateUtilities`GraphicsUtilities`Private`a, 
                    Replace[
                    MousePosition[{"Graphics", Graphics}, None], {
                    None -> {{}, {}}, {
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`x, 
                    Blank[]], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`y, 
                    Blank[]]} :> {{{
                    CalculateUtilities`GraphicsUtilities`Private`x, 
                    CalculateUtilities`GraphicsUtilities`Private`gray}}, {{
                    CalculateUtilities`GraphicsUtilities`Private`y, 
                    CalculateUtilities`GraphicsUtilities`Private`gray}}}}], 
                    2]], {
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`a, 
                    Blank[List]], Automatic} :> 
                    With[{CalculateUtilities`GraphicsUtilities`Private`\
divisions = {CalculateUtilities`GraphicsUtilities`Private`a, 
                    FindDivisions[
                    Last[CalculateUtilities`GraphicsUtilities`Private`range], 
                    7]}}, 
                    Dynamic[
                    Join[
                    CalculateUtilities`GraphicsUtilities`Private`divisions, 
                    Replace[
                    MousePosition[{"Graphics", Graphics}, None], {
                    None -> {{}, {}}, {
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`x, 
                    Blank[]], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`y, 
                    Blank[]]} :> {{{
                    CalculateUtilities`GraphicsUtilities`Private`x, 
                    CalculateUtilities`GraphicsUtilities`Private`gray}}, {{
                    CalculateUtilities`GraphicsUtilities`Private`y, 
                    CalculateUtilities`GraphicsUtilities`Private`gray}}}}], 
                    2]]], Blank[] -> Dynamic[
                    
                    Map[{{#, 
                    CalculateUtilities`GraphicsUtilities`Private`gray}}& , 
                    MousePosition[{"Graphics", Graphics}, None]]]}]]; If[
                    Or[
                    CalculateUtilities`GraphicsUtilities`Private`type === 
                    None, CalculateUtilities`GraphicsUtilities`Private`b === 
                    None, CalculateUtilities`GraphicsUtilities`Private`l === 
                    None], 
                    Show[
                    CalculateUtilities`GraphicsUtilities`Private`g, GridLines -> 
                    CalculateUtilities`GraphicsUtilities`Private`gridlines, 
                    If[
                    MatchQ[
                    CalculateUtilities`GraphicsUtilities`Private`oldgridlines, 
                    Alternatives[None, GridLines]], 
                    Method -> {"GridLinesInFront" -> True}, 
                    Apply[Sequence, {}]]], 
                    
                    With[{CalculateUtilities`GraphicsUtilities`Private`nf = 
                    If[CalculateUtilities`GraphicsUtilities`Private`\
neareststyle === "1D", 
                    With[{CalculateUtilities`GraphicsUtilities`Private`n = 
                    Nearest[Part[
                    CalculateUtilities`GraphicsUtilities`Private`pts, All, 1] -> 
                    CalculateUtilities`GraphicsUtilities`Private`pts]}, 
                    CalculateUtilities`GraphicsUtilities`Private`n[
                    Part[#, 1]]& ], 
                    
                    With[{CalculateUtilities`GraphicsUtilities`Private`n = 
                    Nearest[Transpose[
                    Transpose[
                    CalculateUtilities`GraphicsUtilities`Private`pts]/Abs[
                    Apply[
                    Subtract, 
                    CalculateUtilities`GraphicsUtilities`Private`range, {
                    1}]]] -> 
                    CalculateUtilities`GraphicsUtilities`Private`pts], 
                    CalculateUtilities`GraphicsUtilities`Private`scale = Abs[
                    Apply[
                    Subtract, 
                    CalculateUtilities`GraphicsUtilities`Private`range, {
                    1}]]}, CalculateUtilities`GraphicsUtilities`Private`n[#/
                    CalculateUtilities`GraphicsUtilities`Private`scale]& ]], 
                    CalculateUtilities`GraphicsUtilities`Private`left = 
                    CalculateUtilities`GraphicsUtilities`Private`l, 
                    CalculateUtilities`GraphicsUtilities`Private`bottom = 
                    CalculateUtilities`GraphicsUtilities`Private`b}, 
                    Show[
                    CalculateUtilities`GraphicsUtilities`Private`g, GridLines -> 
                    CalculateUtilities`GraphicsUtilities`Private`gridlines, 
                    If[
                    MatchQ[
                    CalculateUtilities`GraphicsUtilities`Private`oldgridlines, 
                    Alternatives[None, GridLines]], 
                    Method -> {"GridLinesInFront" -> True}, 
                    Apply[Sequence, {}]], 
                    Epilog -> {
                    CalculateUtilities`GraphicsUtilities`Private`oldepilog, 
                    Dynamic[
                    
                    DynamicModule[{
                    CalculateUtilities`GraphicsUtilities`Private`pt = 
                    CalculateUtilities`GraphicsUtilities`Private`nf[
                    MousePosition[{"Graphics", Graphics}, {0, 0}]], 
                    CalculateUtilities`GraphicsUtilities`Private`scaled = 
                    MousePosition[{"GraphicsScaled", Graphics}, None]}, 
                    If[CalculateUtilities`GraphicsUtilities`Private`scaled === 
                    None, {}, {
                    Text[
                    Style[
                    Row[{
                    CalculateUtilities`GraphicsUtilities`Private`bottom[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`pt, 1, 1]], 
                    CalculateUtilities`GraphicsUtilities`Private`left[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`pt, 1, 2]]}, 
                    ","], 12], 
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`pt, 1], {
                    1.5 Sign[Part[
                    CalculateUtilities`GraphicsUtilities`Private`scaled, 1] - 
                    0.5], 0}, Background -> White], 
                    AbsolutePointSize[7], 
                    Point[CalculateUtilities`GraphicsUtilities`Private`pt], 
                    White, 
                    AbsolutePointSize[5], 
                    Point[
                    CalculateUtilities`GraphicsUtilities`Private`pt]}]]]}]]]]]\
, CalculateUtilities`GraphicsUtilities`Private`g]; 
                    CalculateUtilities`GraphicsUtilities`Private`post$1588703[
                    
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`g, 
                    Blank[]], 
                    BlankNullSequence[]] := 
                    CalculateUtilities`GraphicsUtilities`Private`g; 
                    CalculateUtilities`GraphicsUtilities`Private`orderedLines[{
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`l, 
                    BlankSequence[Line]]}] := 
                    Module[{
                    CalculateUtilities`GraphicsUtilities`Private`ordered, 
                    CalculateUtilities`GraphicsUtilities`Private`intervals}, 
                    CalculateUtilities`GraphicsUtilities`Private`ordered = 
                    Apply[And, 
                    Map[OrderedQ[
                    Part[#, 1, All, 1]]& , 
                    Hold[CalculateUtilities`GraphicsUtilities`Private`l]]]; If[
                    Not[
                    TrueQ[
                    CalculateUtilities`GraphicsUtilities`Private`ordered]], 
                    Return[False]]; 
                    CalculateUtilities`GraphicsUtilities`Private`intervals = 
                    Part[{CalculateUtilities`GraphicsUtilities`Private`l}, 
                    All, 1, {1, -1}, 1]; Length[
                    Apply[
                    Interval, 
                    CalculateUtilities`GraphicsUtilities`Private`intervals]] === 
                    Length[CalculateUtilities`GraphicsUtilities`Private`\
intervals]]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
ScaleCoordinatesToTicks[Frame, 
                    Alternatives[Automatic, FrameTicks]] = {
                    Identity, Identity, Identity, Identity}; 
                    CalculateUtilities`GraphicsUtilities`Private`\
ScaleCoordinatesToTicks[Frame, {
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`b, 
                    Blank[]], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`l, 
                    Blank[]], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`t, 
                    Blank[]], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`r, 
                    Blank[]]}] := 
                    Map[CalculateUtilities`GraphicsUtilities`Private`\
TicksToFunction, {CalculateUtilities`GraphicsUtilities`Private`b, 
                    CalculateUtilities`GraphicsUtilities`Private`l, 
                    CalculateUtilities`GraphicsUtilities`Private`t, 
                    CalculateUtilities`GraphicsUtilities`Private`r}]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
ScaleCoordinatesToTicks[Frame, {{
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`l, 
                    Blank[]], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`r, 
                    Blank[]]}, {
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`b, 
                    Blank[]], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`t, 
                    Blank[]]}}] := 
                    Map[CalculateUtilities`GraphicsUtilities`Private`\
TicksToFunction, {CalculateUtilities`GraphicsUtilities`Private`b, 
                    CalculateUtilities`GraphicsUtilities`Private`l, 
                    CalculateUtilities`GraphicsUtilities`Private`t, 
                    CalculateUtilities`GraphicsUtilities`Private`r}]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
ScaleCoordinatesToTicks[Frame, 
                    Blank[]] = {None, None, None, None}; 
                    CalculateUtilities`GraphicsUtilities`Private`\
ScaleCoordinatesToTicks[Axes, 
                    Alternatives[Automatic, Ticks]] = {Identity, Identity}; 
                    CalculateUtilities`GraphicsUtilities`Private`\
ScaleCoordinatesToTicks[Axes, {
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`h, 
                    Blank[]], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`v, 
                    Blank[]]}] := 
                    Map[CalculateUtilities`GraphicsUtilities`Private`\
TicksToFunction, {CalculateUtilities`GraphicsUtilities`Private`h, 
                    CalculateUtilities`GraphicsUtilities`Private`v}]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
ScaleCoordinatesToTicks[Axes, 
                    Blank[]] = {None, None}; 
                    CalculateUtilities`GraphicsUtilities`Private`CDFCleanTicks[
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, 
                    Blank[]]] := ReplaceAll[
                    ReplaceAll[
                    Part[
                    DeleteCases[
                    ReplaceAll[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, 
                    Alternatives[Style, NumberForm] -> (#& )], {
                    Blank[], "", 
                    BlankNullSequence[]}], All, 
                    Span[1, 2]], Superscript[
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`b, 
                    Blank[Integer]], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`p, 
                    Blank[Integer]]] :> 
                    CalculateUtilities`GraphicsUtilities`Private`b^
                    CalculateUtilities`GraphicsUtilities`Private`p], Row[{
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`a, 
                    BlankSequence[]]}, "\[Times]"] :> 
                    Times[CalculateUtilities`GraphicsUtilities`Private`a]]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
TicksToFunction[
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`ticks$, 
                    Blank[]]] := 
                    CalculateUtilities`GraphicsUtilities`Private`\
iTicksToFunction[
                    CalculateUtilities`GraphicsUtilities`Private`WACleanTicks[
                    CalculateUtilities`GraphicsUtilities`Private`ticks$]]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
TicksToFunction[None] = None; 
                    CalculateUtilities`GraphicsUtilities`Private`\
TicksToFunction[False] = None; 
                    CalculateUtilities`GraphicsUtilities`Private`\
TicksToFunction[True] = None; 
                    CalculateUtilities`GraphicsUtilities`Private`\
TicksToFunction[Automatic] = Identity; 
                    CalculateUtilities`GraphicsUtilities`Private`\
TicksToFunction[All] = Identity; 
                    CalculateUtilities`GraphicsUtilities`Private`\
iTicksToFunction[Pattern[CalculateUtilities`GraphicsUtilities`Private`func, 
                    Blank[]] -> 
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, 
                    Blank[]]] := Replace[
                    
                    CalculateUtilities`GraphicsUtilities`Private`\
iTicksToFunction[CalculateUtilities`GraphicsUtilities`Private`ticks], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`f, 
                    Except[None]] :> 
                    Composition[
                    CalculateUtilities`GraphicsUtilities`Private`func, 
                    CalculateUtilities`GraphicsUtilities`Private`f]]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
iTicksToFunction[{}] = None; 
                    CalculateUtilities`GraphicsUtilities`Private`\
iTicksToFunction[
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, {
                    Repeated[{
                    Blank[Integer], 
                    Blank[String]}]}]] := Which[
                    Quiet[
                    MatchQ[
                    Apply[SameQ, 
                    Map[Part[
                    DateList[#], 
                    Span[2, All]]& , 
                    CalculateUtilities`GraphicsUtilities`Private`ticks, {
                    2}], {1}], {
                    Repeated[True]}]], DateString, 
                    Apply[And, 
                    StringMatchQ[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, All, 
                    2], NumberString]], 
                    
                    CalculateUtilities`GraphicsUtilities`Private`\
iTicksToFunction[
                    Transpose[{
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, All, 
                    1], 
                    ToExpression[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, All, 
                    2]]}]], True, None]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
iTicksToFunction[
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, {
                    Repeated[{
                    PatternTest[
                    Blank[], NumericQ], 
                    PatternTest[
                    Blank[], NumericQ]}]}]] := Which[
                    MatchQ[
                    Apply[
                    Equal, CalculateUtilities`GraphicsUtilities`Private`ticks,\
 {1}], {
                    Repeated[True]}], Identity, 
                    MatchQ[
                    
                    Apply[# == Log[#2]& , 
                    CalculateUtilities`GraphicsUtilities`Private`ticks, {1}], {
                    Repeated[True]}], Exp, 
                    TrueQ[
                    Quiet[
                    Apply[Equal, 
                    Apply[Divide, Transpose[
                    Rest[CalculateUtilities`GraphicsUtilities`Private`ticks]] - 
                    Part[CalculateUtilities`GraphicsUtilities`Private`ticks, 
                    1]]]]], 
                    With[{
                    CalculateUtilities`GraphicsUtilities`Private`slope = 
                    Apply[Divide, 
                    Apply[Subtract, 
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, {-1, 
                    1}]]]}, 
                    SetPrecision[(# - Part[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, 1, 
                    1])/CalculateUtilities`GraphicsUtilities`Private`slope + 
                    Part[CalculateUtilities`GraphicsUtilities`Private`ticks, 
                    1, 2], 3]& ], True, None]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
iTicksToFunction[
                    Blank[]] = None; 
                    CalculateUtilities`GraphicsUtilities`Private`\
RefineCoordinateFunction[
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`type, 
                    Blank[]], 
                    BlankNullSequence[]] := 
                    CalculateUtilities`GraphicsUtilities`Private`type; 
                    CalculateUtilities`GraphicsUtilities`Private`\
RefineCoordinateFunction[Identity, {
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`min, 
                    Blank[]], 
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`max, 
                    Blank[]]}, 
                    Blank[]] := 
                    With[{CalculateUtilities`GraphicsUtilities`Private`nf = 
                    CalculateUtilities`GraphicsUtilities`Private`numberForm, 
                    CalculateUtilities`GraphicsUtilities`Private`acc = 
                    Floor[Max[
                    Ceiling[
                    FullSimplify[Log[10, 
                    Max[
                    
                    Abs[{CalculateUtilities`GraphicsUtilities`Private`min, 
                    CalculateUtilities`GraphicsUtilities`Private`max}]]] - 
                    Log[10, (CalculateUtilities`GraphicsUtilities`Private`max - 
                    CalculateUtilities`GraphicsUtilities`Private`min)/100]]], 
                    3] - RealExponent[
                    Max[
                    
                    Abs[{CalculateUtilities`GraphicsUtilities`Private`min, 
                    CalculateUtilities`GraphicsUtilities`Private`max}]]]]}, 
                    CalculateUtilities`GraphicsUtilities`Private`nf[#, 
                    CalculateUtilities`GraphicsUtilities`Private`acc]& ]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
RefineCoordinateFunction[Exp, {
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`min, 
                    Blank[]], 
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`max, 
                    Blank[]]}, 
                    Blank[]] := 
                    With[{CalculateUtilities`GraphicsUtilities`Private`prec = 
                    Max[
                    Ceiling[
                    FullSimplify[Log[10, 
                    Max[
                    
                    Abs[{CalculateUtilities`GraphicsUtilities`Private`min, 
                    CalculateUtilities`GraphicsUtilities`Private`max}]]] - 
                    Log[10, (CalculateUtilities`GraphicsUtilities`Private`max - 
                    CalculateUtilities`GraphicsUtilities`Private`min)/100]]], 
                    3]}, Quiet[
                    RawBoxes[
                    ToBoxes[
                    NumberForm[
                    Exp[#], 
                    CalculateUtilities`GraphicsUtilities`Private`prec]]]]& ]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
RefineCoordinateFunction[DateString, {
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`min, 
                    Blank[]], 
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`max, 
                    Blank[]]}, 
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`pts, 
                    Blank[]]] := 
                    Module[{
                    CalculateUtilities`GraphicsUtilities`Private`dates, 
                    CalculateUtilities`GraphicsUtilities`Private`spec}, 
                    CalculateUtilities`GraphicsUtilities`Private`dates = 
                    Map[DateList, 
                    CalculateUtilities`GraphicsUtilities`Private`pts]; 
                    CalculateUtilities`GraphicsUtilities`Private`spec = Switch[
                    Map[Length, 
                    Map[Union, 
                    Transpose[
                    CalculateUtilities`GraphicsUtilities`Private`dates]]], {
                    Blank[], 1, 1, 
                    BlankSequence[]}, {"Year"}, {
                    Blank[], 
                    Blank[], 1, 
                    BlankSequence[]}, {"MonthNameShort", " ", "Year"}, 
                    Blank[], {
                    "DayShort", " ", "MonthNameShort", " ", "Year"}]; 
                    If[(CalculateUtilities`GraphicsUtilities`Private`max - 
                    CalculateUtilities`GraphicsUtilities`Private`min)/
                    31536000 > 25, 
                    CalculateUtilities`GraphicsUtilities`Private`spec = {
                    "Year"}]; 
                    With[{CalculateUtilities`GraphicsUtilities`Private`s = 
                    CalculateUtilities`GraphicsUtilities`Private`spec}, 
                    DateString[#, 
                    CalculateUtilities`GraphicsUtilities`Private`s]& ]]; 
                    CalculateUtilities`GraphicsUtilities`Private`numberForm = 
                    Function[{
                    CalculateUtilities`GraphicsUtilities`Private`a, 
                    CalculateUtilities`GraphicsUtilities`Private`acc}, 
                    Quiet[
                    RawBoxes[
                    ToBoxes[
                    NumberForm[CalculateUtilities`GraphicsUtilities`Private`a, 
                    Max[1, 
                    Ceiling[
                    RealExponent[
                    CalculateUtilities`GraphicsUtilities`Private`a] + 
                    CalculateUtilities`GraphicsUtilities`Private`acc]], 
                    ExponentFunction -> (Null& ), 
                    NumberFormat -> (StringReplace[#, StringExpression[
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`s, 
                    BlankSequence[]], ".", EndOfString] -> 
                    CalculateUtilities`GraphicsUtilities`Private`s]& )]]]]]]]; 
                 Typeset`initDone$$ = True), DynamicModuleValues :> {}, 
                Deinitialization :> None, 
                UntrackedVariables :> {Typeset`size$$}, 
                SynchronousInitialization -> True, 
                UnsavedVariables :> {Typeset`initDone$$}], "Manipulate", 
               Deployed -> True, StripOnInput -> False], TraditionalForm], 
             Manipulate`InterpretManipulate[1]], TraditionalForm]], 
          "Output"]}], 
       XMLElement["dataformats", {}, {"minput"}]}]}], Typeset`pod4$$ = 
   XMLElement[
   "pod", {"title" -> "Alternate forms", "scanner" -> "Simplification", "id" -> 
     "AlternateForm", "position" -> "400", "error" -> "false", "numsubpods" -> 
     "3"}, {
     XMLElement["subpod", {"title" -> ""}, {
       XMLElement[
       "minput", {}, {
        "FullSimplify[Sec[x]^2 - (Cos[x]^3 + Sin[x]^3)/(Cos[x]^3 + Cos[x]^2 \
Sin[x])]"}], 
       XMLElement["moutput", {}, {"Tan[x]"}], 
       XMLElement["cell", {"compressed" -> False, "string" -> True}, {
         Cell[
          BoxData[
           FormBox[
            TagBox[
             RowBox[{"tan", "(", "x", ")"}], Identity], TraditionalForm]], 
          "Output"]}], 
       XMLElement[
       "dataformats", {}, {
        "plaintext,minput,moutput,computabledata,formatteddata,formuladata"}]}\
], 
     XMLElement["subpod", {"title" -> ""}, {
       XMLElement["moutput", {}, {"(Sec[x]^2 Sin[2 x])/2"}], 
       XMLElement["cell", {"compressed" -> False, "string" -> True}, {
         Cell[
          BoxData[
           FormBox[
            TagBox[
             RowBox[{
               FractionBox["1", "2"], " ", 
               RowBox[{"sin", "(", 
                 RowBox[{"2", " ", "x"}], ")"}], " ", 
               RowBox[{
                 SuperscriptBox["sec", "2"], "(", "x", ")"}]}], Identity], 
            TraditionalForm]], "Output"]}], 
       XMLElement[
       "dataformats", {}, {
        "plaintext,moutput,computabledata,formatteddata,formuladata"}]}], 
     XMLElement["subpod", {"title" -> ""}, {
       XMLElement[
       "minput", {}, {
        "Factor[Sec[x]^2 - (Cos[x]^3 + Sin[x]^3)/(Cos[x]^3 + Cos[x]^2 \
Sin[x])]"}], 
       XMLElement[
       "moutput", {}, {"Sec[x]^2 (1 - Cos[x]^2 + Cos[x] Sin[x] - Sin[x]^2)"}], 
       XMLElement["cell", {"compressed" -> False, "string" -> True}, {
         Cell[
          BoxData[
           FormBox[
            TagBox[
             RowBox[{
               RowBox[{
                 SuperscriptBox["sec", "2"], "(", "x", ")"}], " ", 
               RowBox[{"(", 
                 RowBox[{
                   RowBox[{"-", 
                    RowBox[{
                    SuperscriptBox["sin", "2"], "(", "x", ")"}]}], "-", 
                   RowBox[{
                    RowBox[{
                    SuperscriptBox["cos", "2"], "(", "x", ")"}]}], "+", 
                   RowBox[{
                    RowBox[{"sin", "(", "x", ")"}], " ", 
                    RowBox[{"cos", "(", "x", ")"}]}], "+", "1"}], ")"}]}], 
             Identity], TraditionalForm]], "Output"]}], 
       XMLElement[
       "dataformats", {}, {
        "plaintext,minput,moutput,computabledata,formatteddata,formuladata"}]}\
], 
     XMLElement["states", {"count" -> "1"}, {
       XMLElement[
       "state", {"name" -> "More", "input" -> "AlternateForm__More"}, {}]}]}],
    Typeset`pod5$$ = XMLElement[
   "pod", {"title" -> "Expanded form", "scanner" -> "Simplification", "id" -> 
     "ExpandedForm", "position" -> "500", "error" -> "false", "numsubpods" -> 
     "1"}, {
     XMLElement["subpod", {"title" -> ""}, {
       XMLElement[
       "minput", {}, {
        "Expand[Sec[x]^2 - (Cos[x]^3 + Sin[x]^3)/(Cos[x]^3 + Cos[x]^2 \
Sin[x])]"}], 
       XMLElement[
       "moutput", {}, {
        "Sec[x]^2 - Cos[x]^3/(Cos[x]^3 + Cos[x]^2 Sin[x]) - \
Sin[x]^3/(Cos[x]^3 + Cos[x]^2 Sin[x])"}], 
       XMLElement["cell", {"compressed" -> False, "string" -> True}, {
         Cell[
          BoxData[
           FormBox[
            TagBox[
             RowBox[{
               RowBox[{
                 SuperscriptBox["sec", "2"], "(", "x", ")"}], "-", 
               FractionBox[
                RowBox[{
                  SuperscriptBox["sin", "3"], "(", "x", ")"}], 
                RowBox[{
                  RowBox[{
                    SuperscriptBox["cos", "3"], "(", "x", ")"}], "+", 
                  RowBox[{
                    RowBox[{"sin", "(", "x", ")"}], " ", 
                    RowBox[{
                    SuperscriptBox["cos", "2"], "(", "x", ")"}]}]}]], "-", 
               RowBox[{
                 FractionBox[
                  RowBox[{
                    SuperscriptBox["cos", "3"], "(", "x", ")"}], 
                  RowBox[{
                    RowBox[{
                    SuperscriptBox["cos", "3"], "(", "x", ")"}], "+", 
                    RowBox[{
                    RowBox[{"sin", "(", "x", ")"}], " ", 
                    RowBox[{
                    SuperscriptBox["cos", "2"], "(", "x", ")"}]}]}]]}]}], 
             Identity], TraditionalForm]], "Output"]}], 
       XMLElement[
       "dataformats", {}, {
        "plaintext,minput,moutput,computabledata,formatteddata,formuladata"}]}\
], 
     XMLElement["states", {"count" -> "1"}, {
       XMLElement[
       "state", {
        "name" -> "Show steps", "input" -> 
         "ExpandedForm__Show steps"}, {}]}]}], Typeset`pod6$$ = XMLElement[
   "pod", {"title" -> "Alternate form assuming x is real", "scanner" -> 
     "Simplification", "id" -> "AlternateFormAssumingAllVariablesAreReal", 
     "position" -> "600", "error" -> "false", "numsubpods" -> "1"}, {
     XMLElement["subpod", {"title" -> ""}, {
       XMLElement[
       "minput", {}, {
        "ComplexExpand[Sec[x]^2 - (Cos[x]^3 + Sin[x]^3)/(Cos[x]^3 + Cos[x]^2 \
Sin[x])]"}], 
       XMLElement[
       "moutput", {}, {
        "(4 Cos[x]^2)/(1 + Cos[2 x])^2 - Cos[x]^3/(Cos[x]^3 + Cos[x]^2 \
Sin[x]) - Sin[x]^3/(Cos[x]^3 + Cos[x]^2 Sin[x])"}], 
       XMLElement["cell", {"compressed" -> False, "string" -> True}, {
         Cell[
          BoxData[
           FormBox[
            RowBox[{
              FractionBox[
               RowBox[{"4", " ", 
                 RowBox[{
                   SuperscriptBox["cos", "2"], "(", "x", ")"}]}], 
               SuperscriptBox[
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{"cos", "(", 
                    RowBox[{"2", " ", "x"}], ")"}], "+", "1"}], ")"}], "2"]], 
              "-", 
              FractionBox[
               RowBox[{
                 SuperscriptBox["sin", "3"], "(", "x", ")"}], 
               RowBox[{
                 RowBox[{
                   SuperscriptBox["cos", "3"], "(", "x", ")"}], "+", 
                 RowBox[{
                   RowBox[{"sin", "(", "x", ")"}], " ", 
                   RowBox[{
                    SuperscriptBox["cos", "2"], "(", "x", ")"}]}]}]], "-", 
              RowBox[{
                FractionBox[
                 RowBox[{
                   SuperscriptBox["cos", "3"], "(", "x", ")"}], 
                 RowBox[{
                   RowBox[{
                    SuperscriptBox["cos", "3"], "(", "x", ")"}], "+", 
                   RowBox[{
                    RowBox[{"sin", "(", "x", ")"}], " ", 
                    RowBox[{
                    SuperscriptBox["cos", "2"], "(", "x", ")"}]}]}]]}]}], 
            TraditionalForm]], "Output"]}], 
       XMLElement[
       "dataformats", {}, {
        "plaintext,minput,moutput,computabledata,formatteddata,formuladata"}]}\
]}], Typeset`pod7$$ = XMLElement[
   "pod", {"title" -> "Root", "scanner" -> "Reduce", "id" -> 
     "SymbolicSolution", "position" -> "700", "error" -> "false", 
     "numsubpods" -> "1", "primary" -> "true"}, {
     XMLElement["subpod", {"title" -> ""}, {
       XMLElement["minput", {}, {"Reduce[Tan[x] == 0, x]"}], 
       XMLElement["moutput", {}, {"{x == Pi C[1], Element[C[1], Integers]}"}], 
       XMLElement["cell", {"compressed" -> False, "string" -> True}, {
         Cell[
          BoxData[
           FormBox[
            FormBox[
             FormBox[
              TagBox[
               GridBox[{{
                  PaneBox[
                   TemplateBox[{
                    RowBox[{"x", "\[LongEqual]", 
                    TagBox[
                    RowBox[{"\[Pi]", " ", "n"}], Identity]}], 
                    RowBox[{"n", "\[Element]", 
                    TagBox["\[DoubleStruckCapitalZ]", 
                    Function[{}, Integers]]}]}, "Row", 
                    DisplayFunction -> (RowBox[{#, ", ", #2}]& ), 
                    InterpretationFunction -> (RowBox[{
                    StyleBox[
                    "Row", FontFamily -> "Bitstream Vera Sans", 
                    FontSize -> -1 + Inherited], "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{#, ",", #2}], "}"}], ",", "\", \""}], "]"}]& )], 
                   BaselinePosition -> Baseline, ImageSize -> 500]}}, 
                GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                AllowScriptLevelChange -> False, 
                GridBoxItemSize -> {
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
               "Column"], TraditionalForm], TraditionalForm], 
            TraditionalForm]], "Output"]}], 
       XMLElement[
       "dataformats", {}, {
        "plaintext,minput,moutput,computabledata,formatteddata,formuladata"}]}\
], 
     XMLElement["states", {"count" -> "1"}, {
       XMLElement[
       "state", {
        "name" -> "Approximate form", "input" -> 
         "SymbolicSolution__Approximate form"}, {}]}], 
     XMLElement["infos", {"count" -> "1"}, {
       XMLElement[
       "info", {"text" -> "\[DoubleStruckCapitalZ] is the set of integers"}, {
        
         XMLElement[
         "link", {
          "url" -> 
           "http://reference.wolfram.com/mathematica/ref/Integers.html", 
           "text" -> "Documentation", "title" -> "Documentation"}, {}], 
         XMLElement[
         "link", {
          "url" -> "http://mathworld.wolfram.com/Z.html", "text" -> 
           "Definition", "title" -> "MathWorld"}, {}], 
         XMLElement["cell", {"compressed" -> False, "string" -> True}, {
           Cell[
            BoxData[
             StyleBox[
              FormBox[
               StyleBox[
                TemplateBox[{
                  StyleBox[
                   TagBox["\[DoubleStruckCapitalZ]", 
                    Function[{}, Integers]], FontFamily -> 
                   "Bitstream Charter", Bold, 14, StripOnInput -> False], 
                  "\"is the set of integers\""}, "Row", 
                 DisplayFunction -> (RowBox[{#, " ", #2}]& ), 
                 InterpretationFunction -> (RowBox[{
                    StyleBox[
                    "Row", FontFamily -> "Bitstream Vera Sans", 
                    FontSize -> -1 + Inherited], "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{#, ",", #2}], "}"}], ",", "\" \""}], "]"}]& )], 
                GrayLevel[0.3], StripOnInput -> False], TraditionalForm], 
              FontFamily -> "Verdana", FontSize -> 12]], "Output", 
            LinebreakAdjustments -> {1, 10, 0, 0, 10}]}]}]}]}], 
   Typeset`pod8$$ = XMLElement[
   "pod", {"title" -> "Properties as a real function", "scanner" -> 
     "FunctionProperties", "id" -> "PropertiesAsARealFunction", "position" -> 
     "800", "error" -> "false", "numsubpods" -> "2"}, {
     XMLElement["subpod", {"title" -> "Domain"}, {
       XMLElement["cell", {"compressed" -> True, "string" -> False}, {
         Cell[
          BoxData[
           FormBox[
            TemplateBox[{"\"{\"", 
              RowBox[{"x", "\[Element]", 
                TagBox["\[DoubleStruckCapitalR]", 
                 Function[{}, Reals]]}], "\" : \"", 
              TemplateBox[{
                RowBox[{"(", 
                  TemplateBox[{
                    RowBox[{"x", "\[LongEqual]", 
                    RowBox[{
                    RowBox[{"2", " ", "\[Pi]", " ", "n"}], "+", "\[Pi]"}]}], 
                    RowBox[{"n", "\[Element]", 
                    TagBox["\[DoubleStruckCapitalZ]", 
                    Function[{}, Integers]]}]}, "Row", 
                   DisplayFunction -> (RowBox[{#, 
                    StyleBox[
                    "\" and \"", LinebreakAdjustments -> {1, 100, 1, 0, 100}, 
                    LineIndent -> 0, 
                    GrayLevel[0.6], StripOnInput -> False], #2}]& ), 
                   InterpretationFunction -> (RowBox[{
                    StyleBox[
                    "Row", FontFamily -> "Bitstream Vera Sans", 
                    FontSize -> -1 + Inherited], "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{#, ",", #2}], "}"}], ",", 
                    StyleBox[
                    "\" and \"", LinebreakAdjustments -> {1, 100, 1, 0, 100}, 
                    LineIndent -> 0, 
                    GrayLevel[0.6], StripOnInput -> False]}], "]"}]& )], 
                  ")"}], 
                RowBox[{"(", 
                  TemplateBox[{
                    RowBox[{
                    RowBox[{"x", "+", "\[Pi]"}], ">", 
                    RowBox[{"2", " ", "\[Pi]", " ", "n"}]}], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"2", " ", "x"}], "+", "\[Pi]"}], "<", 
                    RowBox[{"4", " ", "\[Pi]", " ", "n"}]}], 
                    RowBox[{"n", "\[Element]", 
                    TagBox["\[DoubleStruckCapitalZ]", 
                    Function[{}, Integers]]}]}, "Row", 
                   DisplayFunction -> (RowBox[{#, 
                    StyleBox[
                    "\" and \"", LinebreakAdjustments -> {1, 100, 1, 0, 100}, 
                    LineIndent -> 0, 
                    GrayLevel[0.6], StripOnInput -> False], #2, 
                    StyleBox[
                    "\" and \"", LinebreakAdjustments -> {1, 100, 1, 0, 100}, 
                    LineIndent -> 0, 
                    GrayLevel[0.6], StripOnInput -> False], #3}]& ), 
                   InterpretationFunction -> (RowBox[{
                    StyleBox[
                    "Row", FontFamily -> "Bitstream Vera Sans", 
                    FontSize -> -1 + Inherited], "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{#, ",", #2, ",", #3}], "}"}], ",", 
                    StyleBox[
                    "\" and \"", LinebreakAdjustments -> {1, 100, 1, 0, 100}, 
                    LineIndent -> 0, 
                    GrayLevel[0.6], StripOnInput -> False]}], "]"}]& )], 
                  ")"}], 
                RowBox[{"(", 
                  TemplateBox[{
                    RowBox[{
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"\[Pi]", " ", "n"}], "+", 
                    RowBox[{
                    SuperscriptBox["tan", 
                    RowBox[{"-", "1"}]], "(", 
                    RowBox[{"1", "-", 
                    SqrtBox["2"]}], ")"}]}], ")"}]}], "<", "x", "<", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"4", " ", "\[Pi]", " ", "n"}], "+", "\[Pi]"}], 
                    ")"}]}]}], 
                    RowBox[{"n", "\[Element]", 
                    TagBox["\[DoubleStruckCapitalZ]", 
                    Function[{}, Integers]]}]}, "Row", 
                   DisplayFunction -> (RowBox[{#, 
                    StyleBox[
                    "\" and \"", LinebreakAdjustments -> {1, 100, 1, 0, 100}, 
                    LineIndent -> 0, 
                    GrayLevel[0.6], StripOnInput -> False], #2}]& ), 
                   InterpretationFunction -> (RowBox[{
                    StyleBox[
                    "Row", FontFamily -> "Bitstream Vera Sans", 
                    FontSize -> -1 + Inherited], "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{#, ",", #2}], "}"}], ",", 
                    StyleBox[
                    "\" and \"", LinebreakAdjustments -> {1, 100, 1, 0, 100}, 
                    LineIndent -> 0, 
                    GrayLevel[0.6], StripOnInput -> False]}], "]"}]& )], 
                  ")"}], 
                RowBox[{"(", 
                  TemplateBox[{
                    RowBox[{
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"\[Pi]", " ", "n"}], "+", 
                    RowBox[{
                    SuperscriptBox["tan", 
                    RowBox[{"-", "1"}]], "(", 
                    RowBox[{"1", "+", 
                    SqrtBox["2"]}], ")"}]}], ")"}]}], "<", "x", "<", 
                    RowBox[{
                    RowBox[{"2", " ", "\[Pi]", " ", "n"}], "+", "\[Pi]"}]}], 
                    RowBox[{"n", "\[Element]", 
                    TagBox["\[DoubleStruckCapitalZ]", 
                    Function[{}, Integers]]}]}, "Row", 
                   DisplayFunction -> (RowBox[{#, 
                    StyleBox[
                    "\" and \"", LinebreakAdjustments -> {1, 100, 1, 0, 100}, 
                    LineIndent -> 0, 
                    GrayLevel[0.6], StripOnInput -> False], #2}]& ), 
                   InterpretationFunction -> (RowBox[{
                    StyleBox[
                    "Row", FontFamily -> "Bitstream Vera Sans", 
                    FontSize -> -1 + Inherited], "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{#, ",", #2}], "}"}], ",", 
                    StyleBox[
                    "\" and \"", LinebreakAdjustments -> {1, 100, 1, 0, 100}, 
                    LineIndent -> 0, 
                    GrayLevel[0.6], StripOnInput -> False]}], "]"}]& )], 
                  ")"}], 
                RowBox[{"(", 
                  TemplateBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"2", " ", "x"}], "+", "\[Pi]"}], ">", 
                    RowBox[{"4", " ", "\[Pi]", " ", "n"}]}], 
                    RowBox[{"x", "<", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"\[Pi]", " ", "n"}], "+", 
                    RowBox[{
                    SuperscriptBox["tan", 
                    RowBox[{"-", "1"}]], "(", 
                    RowBox[{"1", "-", 
                    SqrtBox["2"]}], ")"}]}], ")"}]}]}], 
                    RowBox[{"n", "\[Element]", 
                    TagBox["\[DoubleStruckCapitalZ]", 
                    Function[{}, Integers]]}]}, "Row", 
                   DisplayFunction -> (RowBox[{#, 
                    StyleBox[
                    "\" and \"", LinebreakAdjustments -> {1, 100, 1, 0, 100}, 
                    LineIndent -> 0, 
                    GrayLevel[0.6], StripOnInput -> False], #2, 
                    StyleBox[
                    "\" and \"", LinebreakAdjustments -> {1, 100, 1, 0, 100}, 
                    LineIndent -> 0, 
                    GrayLevel[0.6], StripOnInput -> False], #3}]& ), 
                   InterpretationFunction -> (RowBox[{
                    StyleBox[
                    "Row", FontFamily -> "Bitstream Vera Sans", 
                    FontSize -> -1 + Inherited], "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{#, ",", #2, ",", #3}], "}"}], ",", 
                    StyleBox[
                    "\" and \"", LinebreakAdjustments -> {1, 100, 1, 0, 100}, 
                    LineIndent -> 0, 
                    GrayLevel[0.6], StripOnInput -> False]}], "]"}]& )], 
                  ")"}], 
                RowBox[{"(", 
                  TemplateBox[{
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"4", " ", "\[Pi]", " ", "n"}], "+", "\[Pi]"}], 
                    ")"}]}], "<", "x", "<", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"\[Pi]", " ", "n"}], "+", 
                    RowBox[{
                    SuperscriptBox["tan", 
                    RowBox[{"-", "1"}]], "(", 
                    RowBox[{"1", "+", 
                    SqrtBox["2"]}], ")"}]}], ")"}]}]}], 
                    RowBox[{"n", "\[Element]", 
                    TagBox["\[DoubleStruckCapitalZ]", 
                    Function[{}, Integers]]}]}, "Row", 
                   DisplayFunction -> (RowBox[{#, 
                    StyleBox[
                    "\" and \"", LinebreakAdjustments -> {1, 100, 1, 0, 100}, 
                    LineIndent -> 0, 
                    GrayLevel[0.6], StripOnInput -> False], #2}]& ), 
                   InterpretationFunction -> (RowBox[{
                    StyleBox[
                    "Row", FontFamily -> "Bitstream Vera Sans", 
                    FontSize -> -1 + Inherited], "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{#, ",", #2}], "}"}], ",", 
                    StyleBox[
                    "\" and \"", LinebreakAdjustments -> {1, 100, 1, 0, 100}, 
                    LineIndent -> 0, 
                    GrayLevel[0.6], StripOnInput -> False]}], "]"}]& )], 
                  ")"}]}, "Row", DisplayFunction -> (RowBox[{#, 
                  StyleBox[
                  "\" or \"", LinebreakAdjustments -> {1, 100, 1, 0, 100}, 
                   LineIndent -> 0, 
                   GrayLevel[0.6], StripOnInput -> False], #2, 
                  StyleBox[
                  "\" or \"", LinebreakAdjustments -> {1, 100, 1, 0, 100}, 
                   LineIndent -> 0, 
                   GrayLevel[0.6], StripOnInput -> False], #3, 
                  StyleBox[
                  "\" or \"", LinebreakAdjustments -> {1, 100, 1, 0, 100}, 
                   LineIndent -> 0, 
                   GrayLevel[0.6], StripOnInput -> False], #4, 
                  StyleBox[
                  "\" or \"", LinebreakAdjustments -> {1, 100, 1, 0, 100}, 
                   LineIndent -> 0, 
                   GrayLevel[0.6], StripOnInput -> False], #5, 
                  StyleBox[
                  "\" or \"", LinebreakAdjustments -> {1, 100, 1, 0, 100}, 
                   LineIndent -> 0, 
                   GrayLevel[0.6], StripOnInput -> False], #6}]& ), 
               InterpretationFunction -> (RowBox[{
                  StyleBox[
                  "Row", FontFamily -> "Bitstream Vera Sans", 
                   FontSize -> -1 + Inherited], "[", 
                  RowBox[{
                    RowBox[{"{", 
                    RowBox[{#, ",", #2, ",", #3, ",", #4, ",", #5, ",", #6}], 
                    "}"}], ",", 
                    StyleBox[
                    "\" or \"", LinebreakAdjustments -> {1, 100, 1, 0, 100}, 
                    LineIndent -> 0, 
                    GrayLevel[0.6], StripOnInput -> False]}], "]"}]& )], 
              "\"}\""}, "Row", 
             DisplayFunction -> (
              RowBox[{#, "\[InvisibleSpace]", #2, "\[InvisibleSpace]", #3, 
                "\[InvisibleSpace]", #4, "\[InvisibleSpace]", #5}]& ), 
             InterpretationFunction -> (RowBox[{
                StyleBox[
                "Row", FontFamily -> "Bitstream Vera Sans", 
                 FontSize -> -1 + Inherited], "[", 
                RowBox[{"{", 
                  RowBox[{#, ",", #2, ",", #3, ",", #4, ",", #5}], "}"}], 
                "]"}]& )], TraditionalForm]], "Output"]}], 
       XMLElement[
       "dataformats", {}, {"plaintext,computabledata,formatteddata"}]}], 
     XMLElement["subpod", {"title" -> "Periodicity"}, {
       XMLElement["cell", {"compressed" -> False, "string" -> True}, {
         Cell[
          BoxData[
           FormBox[
            TagBox[
             
             GridBox[{{
               "\"Periodic in \\!\\(TraditionalForm\\`x\\) with period \
\\!\\(TraditionalForm\\`\\(2\\\\ \[Pi]\\)\\)\""}}, 
              GridBoxAlignment -> {"Columns" -> {{Left}}}, 
              GridBoxItemSize -> {
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
             "Column"], TraditionalForm]], "Output"]}], 
       XMLElement[
       "dataformats", {}, {"plaintext,computabledata,formatteddata"}]}], 
     XMLElement["states", {"count" -> "1"}, {
       XMLElement[
       "state", {
        "name" -> "Approximate forms", "input" -> 
         "PropertiesAsARealFunction__Approximate forms"}, {}]}], 
     XMLElement["infos", {"count" -> "1"}, {
       XMLElement[
       "info", {"text" -> "tan^(-1)(x) is the inverse tangent function"}, {
         XMLElement[
         "link", {
          "url" -> "http://reference.wolfram.com/mathematica/ref/ArcTan.html",
            "text" -> "Documentation", "title" -> "Mathematica"}, {}], 
         XMLElement[
         "link", {
          "url" -> "http://functions.wolfram.com/ElementaryFunctions/ArcTan", 
           "text" -> "Properties", "title" -> "Wolfram Functions Site"}, {}], 
         
         XMLElement[
         "link", {
          "url" -> "http://mathworld.wolfram.com/InverseTangent.html", "text" -> 
           "Definition", "title" -> "MathWorld"}, {}], 
         XMLElement["cell", {"compressed" -> False, "string" -> True}, {
           Cell[
            BoxData[
             StyleBox[
              FormBox[
               StyleBox[
                TemplateBox[{
                  StyleBox[
                   RowBox[{
                    SuperscriptBox["tan", 
                    RowBox[{"-", "1"}]], "(", "x", ")"}], FontFamily -> 
                   "Bitstream Charter", Bold, 14, StripOnInput -> False], 
                  "\"is the inverse tangent function\""}, "Row", 
                 DisplayFunction -> (RowBox[{#, " ", #2}]& ), 
                 InterpretationFunction -> (RowBox[{
                    StyleBox[
                    "Row", FontFamily -> "Bitstream Vera Sans", 
                    FontSize -> -1 + Inherited], "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{#, ",", #2}], "}"}], ",", "\" \""}], "]"}]& )], 
                GrayLevel[0.3], StripOnInput -> False], TraditionalForm], 
              FontFamily -> "Verdana", FontSize -> 12]], "Output", 
            LinebreakAdjustments -> {1, 10, 0, 0, 10}]}]}]}]}], 
   Typeset`pod9$$ = XMLElement[
   "pod", {"title" -> "Series expansion at x=0", "scanner" -> "Series", "id" -> 
     "SeriesExpansionAtX=0", "position" -> "900", "error" -> "false", 
     "numsubpods" -> "1"}, {
     XMLElement["subpod", {"title" -> ""}, {
       XMLElement["minput", {}, {"Series[Tan[x], {x, 0, 4}]"}], 
       XMLElement[
       "moutput", {}, {"SeriesData[x, 0, {1, 0, 1/3, 0, 2/15}, 1, 6, 1]"}], 
       XMLElement["cell", {"compressed" -> False, "string" -> True}, {
         Cell[
          BoxData[
           FormBox[
            TagBox[
             TemplateBox[{
               RowBox[{"x", "+", 
                 FractionBox[
                  SuperscriptBox["x", "3"], "3"], "+", 
                 FractionBox[
                  RowBox[{"2", " ", 
                    SuperscriptBox["x", "5"]}], "15"], "+", 
                 InterpretationBox[
                  RowBox[{"O", "(", 
                    SuperscriptBox["x", "6"], ")"}], 
                  SeriesData[$CellContext`x, 0, {}, 1, 6, 1], Editable -> 
                  False]}], 
               RowBox[{"SeriesData", "[", 
                 RowBox[{"x", ",", "0", ",", 
                   RowBox[{"{", 
                    RowBox[{"1", ",", "0", ",", 
                    FractionBox["1", "3"], ",", "0", ",", 
                    FractionBox["2", "15"]}], "}"}], ",", "1", ",", "6", ",", 
                   "1"}], "]"}]}, "SeriesData", DisplayFunction -> (#& ), 
              InterpretationFunction -> (#2& ), SyntaxForm -> Plus], 
             Identity], TraditionalForm]], "Output"]}], 
       XMLElement[
       "dataformats", {}, {
        "plaintext,minput,moutput,computabledata,formatteddata,formuladata"}]}\
]}], Typeset`pod10$$ = XMLElement[
   "pod", {"title" -> "Derivative", "scanner" -> "Derivative", "id" -> 
     "Derivative", "position" -> "1000", "error" -> "false", "numsubpods" -> 
     "1"}, {
     XMLElement["subpod", {"title" -> ""}, {
       XMLElement[
       "minput", {}, {
        "D[1/Cos[x]^2 - (Sin[x]^3 + Cos[x]^3)/(Sin[x] Cos[x]^2 + Cos[x]^3), \
x]"}], 
       XMLElement["moutput", {}, {"Sec[x]^2"}], 
       XMLElement["cell", {"compressed" -> False, "string" -> True}, {
         Cell[
          BoxData[
           FormBox[
            RowBox[{
              RowBox[{
                TagBox[
                 FractionBox["\[DifferentialD]", 
                  RowBox[{"\"\[DifferentialD]\"", "\[InvisibleSpace]", "x"}]], 
                 $CellContext`TagBoxWrapper[
                 "StringBoxes" -> RowBox[{"d/d", "x"}]]], "\[InvisibleSpace]", 
                RowBox[{"(", 
                  TagBox[
                   TagBox[
                    RowBox[{
                    FractionBox["1", 
                    RowBox[{
                    SuperscriptBox["cos", "2"], "(", "x", ")"}]], "-", 
                    FractionBox[
                    RowBox[{
                    RowBox[{
                    SuperscriptBox["sin", "3"], "(", "x", ")"}], "+", 
                    RowBox[{
                    SuperscriptBox["cos", "3"], "(", "x", ")"}]}], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"sin", "(", "x", ")"}], " ", 
                    RowBox[{
                    SuperscriptBox["cos", "2"], "(", "x", ")"}]}], "+", 
                    RowBox[{
                    SuperscriptBox["cos", "3"], "(", "x", ")"}]}]]}], 
                    HoldForm], 
                   PolynomialForm[#, TraditionalOrder -> False]& ], ")"}]}], 
              "\[LongEqual]", 
              TagBox[
               RowBox[{
                 SuperscriptBox["sec", "2"], "(", "x", ")"}], Identity]}], 
            TraditionalForm]], "Output"]}], 
       XMLElement[
       "dataformats", {}, {
        "plaintext,minput,moutput,computabledata,formatteddata,formuladata"}]}\
], 
     XMLElement["states", {"count" -> "1"}, {
       XMLElement[
       "state", {
        "name" -> "Show steps", "input" -> "Derivative__Show steps"}, {}]}]}],
    Typeset`pod11$$ = XMLElement[
   "pod", {"title" -> "Indefinite integral", "scanner" -> "Integral", "id" -> 
     "IndefiniteIntegral", "position" -> "1100", "error" -> "false", 
     "numsubpods" -> "1"}, {
     XMLElement["subpod", {"title" -> ""}, {
       XMLElement[
       "minput", {}, {
        "Integrate[1/Cos[x]^2 - (Sin[x]^3 + Cos[x]^3)/(Sin[x] Cos[x]^2 + \
Cos[x]^3), x]"}], 
       XMLElement["moutput", {}, {"-Log[Cos[x]]"}], 
       XMLElement["cell", {"compressed" -> False, "string" -> True}, {
         Cell[
          BoxData[
           FormBox[
            RowBox[{
              TagBox[
               TagBox[
                RowBox[{"\[Integral]", 
                  RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    FractionBox["1", 
                    RowBox[{
                    SuperscriptBox["cos", "2"], "(", "x", ")"}]], "-", 
                    FractionBox[
                    RowBox[{
                    RowBox[{
                    SuperscriptBox["sin", "3"], "(", "x", ")"}], "+", 
                    RowBox[{
                    SuperscriptBox["cos", "3"], "(", "x", ")"}]}], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"sin", "(", "x", ")"}], " ", 
                    RowBox[{
                    SuperscriptBox["cos", "2"], "(", "x", ")"}]}], "+", 
                    RowBox[{
                    SuperscriptBox["cos", "3"], "(", "x", ")"}]}]]}], ")"}], 
                    RowBox[{"\[DifferentialD]", "x"}]}]}], HoldForm], 
               PolynomialForm[#, TraditionalOrder -> False]& ], 
              "\[LongEqual]", 
              TagBox[
               StyleBox[
                RowBox[{
                  StyleBox[
                   RowBox[{"-", 
                    RowBox[{"log", "(", 
                    RowBox[{"cos", "(", "x", ")"}], ")"}]}], 
                   GrayLevel[0]], "+", 
                  StyleBox[
                  "constant", FontFamily -> "Helvetica", Magnification -> 
                   0.9 Inherited]}], 
                GrayLevel[0.6]], Identity]}], TraditionalForm]], "Output"]}], 
       
       XMLElement[
       "dataformats", {}, {
        "plaintext,minput,moutput,computabledata,formatteddata,formuladata"}]}\
], 
     XMLElement["states", {"count" -> "1"}, {
       XMLElement[
       "state", {
        "name" -> "Show steps", "input" -> 
         "IndefiniteIntegral__Show steps"}, {}]}], 
     XMLElement["infos", {"count" -> "1"}, {
       XMLElement["info", {"text" -> "log(x) is the natural logarithm"}, {
         XMLElement[
         "link", {
          "url" -> "http://reference.wolfram.com/mathematica/ref/Log.html", 
           "text" -> "Documentation", "title" -> "Mathematica"}, {}], 
         XMLElement[
         "link", {
          "url" -> "http://functions.wolfram.com/ElementaryFunctions/Log", 
           "text" -> "Properties", "title" -> "Wolfram Functions Site"}, {}], 
         
         XMLElement[
         "link", {
          "url" -> "http://mathworld.wolfram.com/NaturalLogarithm.html", 
           "text" -> "Definition", "title" -> "MathWorld"}, {}], 
         XMLElement["cell", {"compressed" -> False, "string" -> True}, {
           Cell[
            BoxData[
             StyleBox[
              FormBox[
               StyleBox[
                TemplateBox[{
                  StyleBox[
                   RowBox[{"log", "(", "x", ")"}], FontFamily -> 
                   "Bitstream Charter", Bold, 14, StripOnInput -> False], 
                  "\"is the natural logarithm\""}, "Row", 
                 DisplayFunction -> (RowBox[{#, " ", #2}]& ), 
                 InterpretationFunction -> (RowBox[{
                    StyleBox[
                    "Row", FontFamily -> "Bitstream Vera Sans", 
                    FontSize -> -1 + Inherited], "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{#, ",", #2}], "}"}], ",", "\" \""}], "]"}]& )], 
                GrayLevel[0.3], StripOnInput -> False], TraditionalForm], 
              FontFamily -> "Verdana", FontSize -> 12]], "Output", 
            LinebreakAdjustments -> {1, 10, 0, 0, 10}]}]}]}]}], 
   Typeset`pod12$$ = XMLElement[
   "pod", {"title" -> "Differential geometric curves", "scanner" -> "Plotter",
      "id" -> "DifferentialGeometricCurves", "position" -> "1200", "error" -> 
     "false", "numsubpods" -> "1"}, {
     XMLElement["subpod", {"title" -> ""}, {
       XMLElement["cell", {"compressed" -> True, "string" -> False}, {
         Cell[
          BoxData[
           FormBox[
            TagBox[
             FormBox[
              StyleBox[
               
               DynamicModuleBox[{
                CalculateScan`PlotterScanner`Private`ar$$ = 1, 
                 CalculateScan`PlotterScanner`Private`contraPedalCurveColor$$ = 
                 RGBColor[0.7464574, 0.2952580000000001, 0.2454606], 
                 CalculateScan`PlotterScanner`Private`\
contraPedalCurveCountFactor$$ = 0.3, 
                 CalculateScan`PlotterScanner`Private`\
contraPedalCurveLastParamaters$$ = {}, 
                 CalculateScan`PlotterScanner`Private`contraPedalCurveOpacity$\
$ = 0.8, CalculateScan`PlotterScanner`Private`contraPedalCurvePlotCurves$$ = \
{}, CalculateScan`PlotterScanner`Private`contraPedalCurvePoints$$ = "curve", 
                 CalculateScan`PlotterScanner`Private`contraPedalCurveTF$$ = 
                 False, CalculateScan`PlotterScanner`Private`\
contraPedalCurveThickness$$ = -3., 
                 CalculateScan`PlotterScanner`Private`dualCurveColor$$ = 
                 RGBColor[0.2860602, 0.4663408, 0.29410879999999995`], 
                 CalculateScan`PlotterScanner`Private`dualCurveCountFactor$$ = 
                 0.3, CalculateScan`PlotterScanner`Private`\
dualCurveLastParamaters$$ = {}, 
                 CalculateScan`PlotterScanner`Private`dualCurveOpacity$$ = 
                 0.8, CalculateScan`PlotterScanner`Private`\
dualCurvePlotCurves$$ = {}, 
                 CalculateScan`PlotterScanner`Private`dualCurveTF$$ = False, 
                 CalculateScan`PlotterScanner`Private`dualCurveThickness$$ = \
-3., CalculateScan`PlotterScanner`Private`dualPedalCurvePoints$$ = "curve", 
                 CalculateScan`PlotterScanner`Private`evoluteColor$$ = 
                 RGBColor[0.813033, 0.766292, 0.303458], 
                 CalculateScan`PlotterScanner`Private`evoluteOpacity$$ = 0.8, 
                 CalculateScan`PlotterScanner`Private`evoluteTF$$ = False, 
                 CalculateScan`PlotterScanner`Private`evoluteThickness$$ = \
-3., CalculateScan`PlotterScanner`Private`fy1$$ = 0.982793723247329, 
                 CalculateScan`PlotterScanner`Private`fy2$$ = 
                 0.982793723247329, 
                 CalculateScan`PlotterScanner`Private`\
inverseCurveCircleRadiusFactor$$ = 0.4636476090008061, 
                 CalculateScan`PlotterScanner`Private`inverseCurveColor$$ = 
                 RGBColor[0.2860602, 0.4663408, 0.29410879999999995`], 
                 CalculateScan`PlotterScanner`Private`inverseCurveCountFactor$\
$ = 0.3, CalculateScan`PlotterScanner`Private`inverseCurveOpacity$$ = 0.8, 
                 CalculateScan`PlotterScanner`Private`inverseCurvePlotCurves$$\
 = {}, CalculateScan`PlotterScanner`Private`inverseCurvePoints$$ = "grid", 
                 CalculateScan`PlotterScanner`Private`inverseCurveTF$$ = 
                 False, CalculateScan`PlotterScanner`Private`\
inverseCurveThickness$$ = -3., 
                 CalculateScan`PlotterScanner`Private`inverseLastParamaters$$ = \
{}, CalculateScan`PlotterScanner`Private`involuteColor$$ = 
                 RGBColor[0.49978279999999997`, 0.6025278, 0.2508104], 
                 CalculateScan`PlotterScanner`Private`involuteCount$$ = 60, 
                 CalculateScan`PlotterScanner`Private`involuteOpacity$$ = 0.8,
                  CalculateScan`PlotterScanner`Private`involutesLeftTF$$ = 
                 False, CalculateScan`PlotterScanner`Private`involutesRightTF$\
$ = True, CalculateScan`PlotterScanner`Private`involuteTF$$ = False, 
                 CalculateScan`PlotterScanner`Private`involuteThickness$$ = \
-3., CalculateScan`PlotterScanner`Private`isopticCurveAngle$$ = 
                 Rational[1, 3] Pi, 
                 CalculateScan`PlotterScanner`Private`isopticCurveColor$$ = 
                 RGBColor[
                  0.8519382, 0.7451437999999999, 0.31752080000000005`], 
                 CalculateScan`PlotterScanner`Private`isopticCurveOpacity$$ = 
                 0.8, CalculateScan`PlotterScanner`Private`\
isopticCurvePlotCurves$$ = {}, 
                 CalculateScan`PlotterScanner`Private`isopticCurveTF$$ = 
                 False, CalculateScan`PlotterScanner`Private`\
isopticCurveThickness$$ = -3., 
                 CalculateScan`PlotterScanner`Private`isopticLastParamaters$$ = \
{}, CalculateUtilities`GraphicsUtilities`Private`more$$ = False, 
                 CalculateScan`PlotterScanner`Private`negativePedalCurveColor$\
$ = RGBColor[0.7464574, 0.2952580000000001, 0.2454606], 
                 CalculateScan`PlotterScanner`Private`\
negativePedalCurveCountFactor$$ = 0.3, 
                 CalculateScan`PlotterScanner`Private`\
negativePedalCurveLastParamaters$$ = {}, 
                 CalculateScan`PlotterScanner`Private`\
negativePedalCurveOpacity$$ = 0.8, 
                 CalculateScan`PlotterScanner`Private`\
negativePedalCurvePlotCurves$$ = {}, 
                 CalculateScan`PlotterScanner`Private`\
negativePedalCurvePoints$$ = "curve", 
                 CalculateScan`PlotterScanner`Private`negativePedalCurveTF$$ = 
                 False, CalculateScan`PlotterScanner`Private`\
negativePedalCurveThickness$$ = -3., 
                 CalculateScan`PlotterScanner`Private`normalColor$$ = 
                 RGBColor[0.237, 0.34, 0.575], 
                 CalculateScan`PlotterScanner`Private`normalCount$$ = 120, 
                 CalculateScan`PlotterScanner`Private`normalLength$$ = 
                 0.08249027613378408, 
                 CalculateScan`PlotterScanner`Private`normalOpacity$$ = 0.8, 
                 CalculateScan`PlotterScanner`Private`normalTF$$ = True, 
                 CalculateScan`PlotterScanner`Private`normalThickness$$ = -3.,
                  CalculateScan`PlotterScanner`Private`offsetCurveColor$$ = 
                 RGBColor[0.877875, 0.731045, 0.326896], 
                 CalculateScan`PlotterScanner`Private`offsetCurveCount$$ = 12,
                  CalculateScan`PlotterScanner`Private`offsetCurveDistance$$ = 
                 0.08249027613378408, 
                 CalculateScan`PlotterScanner`Private`\
offsetCurveLastParamaters$$ = {}, 
                 CalculateScan`PlotterScanner`Private`offsetCurveOpacity$$ = 
                 0.8, CalculateScan`PlotterScanner`Private`\
offsetCurvePlotCurves$$ = {}, 
                 CalculateScan`PlotterScanner`Private`offsetCurveTF$$ = False,
                  CalculateScan`PlotterScanner`Private`offsetCurveThickness$$ = \
-3., CalculateScan`PlotterScanner`Private`orthotomicCurveAngle$$ = 
                 Rational[1, 3] Pi, 
                 CalculateScan`PlotterScanner`Private`orthotomicCurveColor$$ = 
                 RGBColor[
                  0.8519382, 0.7451437999999999, 0.31752080000000005`], 
                 CalculateScan`PlotterScanner`Private`\
orthotomicCurveCountFactor$$ = 0.3, 
                 CalculateScan`PlotterScanner`Private`orthotomicCurveOpacity$$\
 = 0.8, CalculateScan`PlotterScanner`Private`orthotomicCurvePlotCurves$$ = {},
                  CalculateScan`PlotterScanner`Private`orthotomicCurvePoints$$\
 = "curve", CalculateScan`PlotterScanner`Private`orthotomicCurveTF$$ = False, 
                 CalculateScan`PlotterScanner`Private`\
orthotomicCurveThickness$$ = -3., 
                 CalculateScan`PlotterScanner`Private`\
orthotomicLastParamaters$$ = {}, 
                 CalculateScan`PlotterScanner`Private`osculatingCircleColor$$ = 
                 RGBColor[0.2752426, 0.4446824, 0.33950440000000004`], 
                 CalculateScan`PlotterScanner`Private`osculatingCircleCount$$ = 
                 60, CalculateScan`PlotterScanner`Private`\
osculatingCircleLastParamaters$$ = {}, 
                 CalculateScan`PlotterScanner`Private`osculatingCircleOpacity$\
$ = 0.8, CalculateScan`PlotterScanner`Private`osculatingCircleRadiiTF$$ = 
                 False, CalculateScan`PlotterScanner`Private`\
osculatingCircles$$ = {}, 
                 CalculateScan`PlotterScanner`Private`osculatingCircleTF$$ = 
                 False, CalculateScan`PlotterScanner`Private`\
osculatingCircleThickness$$ = -3., 
                 CalculateScan`PlotterScanner`Private`pedalCurveColor$$ = 
                 RGBColor[0.32894650000000003`, 0.5006225, 0.2625337], 
                 CalculateScan`PlotterScanner`Private`pedalCurveCountFactor$$ = 
                 0.3, CalculateScan`PlotterScanner`Private`\
pedalCurveLastParamaters$$ = {}, 
                 CalculateScan`PlotterScanner`Private`pedalCurveOpacity$$ = 
                 0.8, CalculateScan`PlotterScanner`Private`\
pedalCurvePlotCurves$$ = {}, 
                 CalculateScan`PlotterScanner`Private`pedalCurvePoints$$ = 
                 "curve", CalculateScan`PlotterScanner`Private`pedalCurveTF$$ = 
                 False, CalculateScan`PlotterScanner`Private`\
pedalCurveThickness$$ = -3., CalculateScan`PlotterScanner`Private`sa$$ = 
                 False, CalculateScan`PlotterScanner`Private`sqPRQ$$ = False, 
                 CalculateScan`PlotterScanner`Private`st$$ = False, 
                 CalculateScan`PlotterScanner`Private`symmxQ$$ = False, 
                 CalculateScan`PlotterScanner`Private`symmyQ$$ = True, 
                 CalculateScan`PlotterScanner`Private`tangentColor$$ = 
                 RGBColor[0.237736, 0.340215, 0.575113], 
                 CalculateScan`PlotterScanner`Private`tangentCount$$ = 60, 
                 CalculateScan`PlotterScanner`Private`tangentLength$$ = 
                 0.08249027613378408, 
                 CalculateScan`PlotterScanner`Private`tangentOpacity$$ = 0.8, 
                 CalculateScan`PlotterScanner`Private`tangentTF$$ = False, 
                 CalculateScan`PlotterScanner`Private`tangentThickness$$ = \
-3., CalculateScan`PlotterScanner`Private`taylorParabolaColor$$ = 
                 RGBColor[0.7189495000000001, 0.719797, 0.283877], 
                 CalculateScan`PlotterScanner`Private`taylorParabolaCount$$ = 
                 36, CalculateScan`PlotterScanner`Private`\
taylorParabolaLastParamaters$$ = {}, 
                 CalculateScan`PlotterScanner`Private`taylorParabolaOpacity$$ = 
                 0.8, CalculateScan`PlotterScanner`Private`taylorParabolas$$ = \
{}, CalculateScan`PlotterScanner`Private`taylorParabolaTF$$ = False, 
                 CalculateScan`PlotterScanner`Private`taylorParabolaThickness$\
$ = -3., CalculateScan`PlotterScanner`Private`tiltedOffsetCurveAngle$$ = 
                 Rational[1, 4] Pi, 
                 
                 CalculateScan`PlotterScanner`Private`tiltedOffsetCurveColor$$\
 = RGBColor[0.49978279999999997`, 0.6025278, 0.2508104], 
                 CalculateScan`PlotterScanner`Private`tiltedOffsetCurveCount$$\
 = 12, CalculateScan`PlotterScanner`Private`tiltedOffsetCurveDistance$$ = 
                 0.08249027613378408, 
                 CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveLastParamaters$$ = {}, 
                 CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveOpacity$$ = 0.8, 
                 CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurvePlotCurves$$ = {}, 
                 CalculateScan`PlotterScanner`Private`tiltedOffsetCurveTF$$ = 
                 False, CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveThickness$$ = -3., 
                 CalculateScan`PlotterScanner`Private`tiltedTangentAngle$$ = 
                 Rational[1, 4] Pi, 
                 CalculateScan`PlotterScanner`Private`tiltedTangentColor$$ = 
                 RGBColor[
                  0.2622702, 0.40739780000000003`, 0.41955020000000004`], 
                 CalculateScan`PlotterScanner`Private`tiltedTangentCount$$ = 
                 60, CalculateScan`PlotterScanner`Private`tiltedTangentLength$\
$ = 0.08249027613378408, 
                 CalculateScan`PlotterScanner`Private`tiltedTangentOpacity$$ = 
                 0.8, CalculateScan`PlotterScanner`Private`tiltedTangentTF$$ = 
                 False, CalculateScan`PlotterScanner`Private`\
tiltedTangentThickness$$ = -3., 
                 CalculateScan`PlotterScanner`Private`x1$$ = \
-0.7853981633974483, CalculateScan`PlotterScanner`Private`x2$$ = 
                 0.7853981633974483, Typeset`show$$ = True, 
                 Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu",
                  Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
                 "\"untitled\"", Typeset`specs$$ = {{
                    Hold[
                    CalculateUtilities`GraphicsUtilities`Private`more$$], {
                    False, True}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`x1$$], \
-0.7853981633974483, 
                    Subscript[
                    Style["x", Italic], "min"]}, -1.5393804002589986`, 
                    1.5393804002589986`}, {{
                    Hold[CalculateScan`PlotterScanner`Private`x2$$], 
                    0.7853981633974483, 
                    Subscript[
                    Style["x", Italic], "max"]}, -1.5393804002589986`, 
                    1.5393804002589986`}, {{
                    Hold[CalculateScan`PlotterScanner`Private`symmxQ$$], 
                    False, "symmetric"}, {True, False}}, {{
                    Hold[CalculateScan`PlotterScanner`Private`fy1$$], 
                    0.982793723247329, 
                    Subscript["y", "min"]}, 0, 1.5393804002589986`}, {{
                    Hold[CalculateScan`PlotterScanner`Private`fy2$$], 
                    0.982793723247329, 
                    Subscript["y", "max"]}, 0, 1.5393804002589986`}, {{
                    Hold[CalculateScan`PlotterScanner`Private`symmyQ$$], True,
                     "symmetric"}, {True, False}}, {{
                    Hold[CalculateScan`PlotterScanner`Private`sqPRQ$$], False, 
                    Dynamic[
                    Style["same as horizontal-range", 
                    If[
                    CalculateScan`PlotterScanner`Private`symmxQ$$, Black, 
                    Gray]]]}, {True, False}}, {{
                    Hold[CalculateScan`PlotterScanner`Private`sa$$], False, 
                    "show axes"}, {True, False}}, {{
                    Hold[CalculateScan`PlotterScanner`Private`st$$], False, 
                    Dynamic[
                    Style["show ticks", 
                    If[
                    CalculateScan`PlotterScanner`Private`sa$$ === True, Black,
                     Gray]]]}, {True, False}}, {{
                    Hold[CalculateScan`PlotterScanner`Private`ar$$], 1, 
                    "aspect ratio"}, 
                    Rational[1, 4], 4}, {{
                    Hold[CalculateScan`PlotterScanner`Private`tangentTF$$], 
                    False, ""}, {True, False}}, {{
                    Hold[CalculateScan`PlotterScanner`Private`tangentCount$$],
                     60, ""}, 2, 360, 1}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`tangentLength$$], 
                    0.08249027613378408, ""}, 0, 1.5393804002589986`}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`tangentThickness$$], \
-3., ""}, -4, -0.5}, {{
                    Hold[CalculateScan`PlotterScanner`Private`tangentColor$$], 
                    RGBColor[0.237736, 0.340215, 0.575113], ""}, 
                    RGBColor[1, 0, 0]}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`tangentOpacity$$], 
                    0.8, ""}, 0, 1}, {{
                    Hold[CalculateScan`PlotterScanner`Private`normalTF$$], 
                    True, ""}, {True, False}}, {{
                    Hold[CalculateScan`PlotterScanner`Private`normalCount$$], 
                    120, ""}, 2, 360, 1}, {{
                    Hold[CalculateScan`PlotterScanner`Private`normalLength$$],
                     0.08249027613378408, ""}, 0, 1.5393804002589986`}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`normalThickness$$], \
-3., ""}, -4, -0.5}, {{
                    Hold[CalculateScan`PlotterScanner`Private`normalColor$$], 
                    
                    RGBColor[0.237, 0.34, 0.575], ""}, 
                    RGBColor[1, 0, 0]}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`normalOpacity$$], 
                    0.8, ""}, 0, 1}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`tiltedTangentTF$$], 
                    False, ""}, {True, False}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`tiltedTangentAngle$$]\
, Rational[1, 4] Pi, ""}, -Pi, Pi}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`tiltedTangentCount$$]\
, 60, ""}, 2, 360, 1}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`tiltedTangentLength$$\
], 0.08249027613378408, ""}, 0, 1.5393804002589986`}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
tiltedTangentThickness$$], -3., ""}, -4, -0.5}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`tiltedTangentColor$$]\
, 
                    RGBColor[
                    0.2622702, 0.40739780000000003`, 0.41955020000000004`], 
                    ""}, 
                    RGBColor[1, 0, 0]}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`tiltedTangentOpacity$\
$], 0.8, ""}, 0, 1}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`osculatingCircleTF$$]\
, False, ""}, {True, False}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
osculatingCircleCount$$], 60, ""}, 2, 360, 1}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
osculatingCircleThickness$$], -3., ""}, -4, -0.5}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
osculatingCircleColor$$], 
                    RGBColor[0.2752426, 0.4446824, 0.33950440000000004`], ""}, 
                    RGBColor[1, 0, 0]}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
osculatingCircleOpacity$$], 0.8, ""}, 0, 1}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
osculatingCircleRadiiTF$$], False, ""}, {True, False}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`taylorParabolaTF$$], 
                    False, ""}, {True, False}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`taylorParabolaCount$$\
], 36, ""}, 2, 120, 1}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
taylorParabolaThickness$$], -3., ""}, -4, -0.5}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`taylorParabolaColor$$\
], 
                    RGBColor[0.7189495000000001, 0.719797, 0.283877], ""}, 
                    RGBColor[1, 0, 0]}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
taylorParabolaOpacity$$], 0.8, ""}, 0, 1}, {{
                    Hold[CalculateScan`PlotterScanner`Private`involuteTF$$], 
                    False, ""}, {True, False}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`involuteCount$$], 60,
                     ""}, 1, 120, 1}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`involuteThickness$$],\
 -3., ""}, -4, -0.5}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`involuteColor$$], 
                    RGBColor[0.49978279999999997`, 0.6025278, 0.2508104], ""}, 
                    RGBColor[1, 0, 0]}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`involuteOpacity$$], 
                    0.8, ""}, 0, 1}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`involutesLeftTF$$], 
                    False, ""}, {True, False}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`involutesRightTF$$], 
                    True, ""}, {True, False}}, {{
                    Hold[CalculateScan`PlotterScanner`Private`evoluteTF$$], 
                    False, ""}, {True, False}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`evoluteThickness$$], \
-3., ""}, -4, -0.5}, {{
                    Hold[CalculateScan`PlotterScanner`Private`evoluteColor$$], 
                    RGBColor[0.813033, 0.766292, 0.303458], ""}, 
                    RGBColor[1, 0, 0]}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`evoluteOpacity$$], 
                    0.8, ""}, 0, 1}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`offsetCurveTF$$], 
                    False, ""}, {True, False}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`offsetCurveDistance$$\
], 0.08249027613378408, ""}, 0, 1.5393804002589986`}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`offsetCurveCount$$], 
                    12, ""}, 1, 60, 1}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`offsetCurveThickness$\
$], -3., ""}, -4, -0.5}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`offsetCurveColor$$], 
                    
                    RGBColor[0.877875, 0.731045, 0.326896], ""}, 
                    RGBColor[1, 0, 0]}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`offsetCurveOpacity$$]\
, 0.8, ""}, 0, 1}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`tiltedOffsetCurveTF$$\
], False, ""}, {True, False}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveAngle$$], Rational[1, 4] Pi, ""}, -Pi, Pi}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveDistance$$], 0.08249027613378408, ""}, 0, 
                    1.5393804002589986`}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveCount$$], 12, ""}, 1, 60, 1}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveThickness$$], -3., ""}, -4, -0.5}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveColor$$], 
                    RGBColor[0.49978279999999997`, 0.6025278, 0.2508104], ""}, 
                    RGBColor[1, 0, 0]}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveOpacity$$], 0.8, ""}, 0, 1}, {{
                    Hold[CalculateScan`PlotterScanner`Private`pedalCurveTF$$],
                     False, ""}, {True, False}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
pedalCurveCountFactor$$], 0.3, ""}, 0, 1}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`pedalCurveThickness$$\
], -3., ""}, -4, -0.5}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`pedalCurveColor$$], 
                    RGBColor[0.32894650000000003`, 0.5006225, 0.2625337], ""}, 
                    RGBColor[1, 0, 0]}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`pedalCurveOpacity$$],
                     0.8, ""}, 0, 1}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`pedalCurvePoints$$], 
                    "curve", ""}, {"grid", "curve"}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`negativePedalCurveTF$\
$], False, ""}, {True, False}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
negativePedalCurveCountFactor$$], 0.3, ""}, 0, 1}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
negativePedalCurveThickness$$], -3., ""}, -4, -0.5}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
negativePedalCurveColor$$], 
                    RGBColor[0.7464574, 0.2952580000000001, 0.2454606], ""}, 
                    RGBColor[1, 0, 0]}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
negativePedalCurveOpacity$$], 0.8, ""}, 0, 1}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
negativePedalCurvePoints$$], "curve", ""}, {"curve", "grid"}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`contraPedalCurveTF$$]\
, False, ""}, {True, False}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
contraPedalCurveCountFactor$$], 0.3, ""}, 0, 1}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
contraPedalCurveThickness$$], -3., ""}, -4, -0.5}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
contraPedalCurveColor$$], 
                    RGBColor[0.7464574, 0.2952580000000001, 0.2454606], ""}, 
                    RGBColor[1, 0, 0]}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
contraPedalCurveOpacity$$], 0.8, ""}, 0, 1}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
contraPedalCurvePoints$$], "curve", ""}, {"curve", "grid"}}, {{
                    Hold[CalculateScan`PlotterScanner`Private`dualCurveTF$$], 
                    False, ""}, {True, False}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`dualCurveCountFactor$\
$], 0.3, ""}, 0, 1}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`dualCurveThickness$$]\
, -3., ""}, -4, -0.5}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`dualCurveColor$$], 
                    RGBColor[0.2860602, 0.4663408, 0.29410879999999995`], ""}, 
                    RGBColor[1, 0, 0]}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`dualCurveOpacity$$], 
                    0.8, ""}, 0, 1}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`dualPedalCurvePoints$\
$], "curve", ""}, {"curve", "grid"}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`inverseCurveTF$$], 
                    False, ""}, {True, False}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
inverseCurveCountFactor$$], 0.3, ""}, 0, 1}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
inverseCurveThickness$$], -3., ""}, -4, -0.5}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`inverseCurveColor$$], 
                    RGBColor[0.2860602, 0.4663408, 0.29410879999999995`], ""}, 
                    RGBColor[1, 0, 0]}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`inverseCurveOpacity$$\
], 0.8, ""}, 0, 1}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`inverseCurvePoints$$]\
, "grid", ""}, {"curve", "grid"}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
inverseCurveCircleRadiusFactor$$], 0.4636476090008061, ""}, 0, 1}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`isopticCurveTF$$], 
                    False, ""}, {True, False}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`isopticCurveAngle$$],
                     Rational[1, 3] Pi, ""}, 0, Pi}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
isopticCurveThickness$$], -3., ""}, -4, -0.5}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`isopticCurveColor$$], 
                    RGBColor[
                    0.8519382, 0.7451437999999999, 0.31752080000000005`], ""}, 
                    RGBColor[1, 0, 0]}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`isopticCurveOpacity$$\
], 0.8, ""}, 0, 1}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`orthotomicCurveTF$$],
                     False, ""}, {True, False}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`orthotomicCurveAngle$\
$], Rational[1, 3] Pi, ""}, 0, Pi}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
orthotomicCurveCountFactor$$], 0.3, ""}, 0, 1}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
orthotomicCurveThickness$$], -3., ""}, -4, -0.5}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`orthotomicCurveColor$\
$], 
                    RGBColor[
                    0.8519382, 0.7451437999999999, 0.31752080000000005`], ""}, 
                    RGBColor[1, 0, 0]}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
orthotomicCurveOpacity$$], 0.8, ""}, 0, 1}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
orthotomicCurvePoints$$], "curve", ""}, {"curve", "grid"}}, {
                    Hold[
                    Style[
                    Overlay[{
                    RawBoxes[
                    PaneBox[
                    GraphicsBox[
                    
                    RasterBox[{{{0, 0, 0, 24}}, {{0, 0, 0, 9}}, {{0, 0, 0, 
                    10}}, {{0, 0, 0, 10}}, {{0, 0, 0, 9}}, {{0, 0, 0, 9}}, {{
                    0, 0, 0, 8}}, {{0, 0, 0, 8}}, {{0, 0, 0, 9}}, {{0, 0, 0, 
                    8}}, {{0, 0, 0, 7}}, {{0, 0, 0, 7}}, {{0, 0, 0, 8}}, {{0, 
                    0, 0, 6}}, {{0, 0, 0, 6}}, {{0, 0, 0, 6}}, {{0, 0, 0, 
                    6}}, {{0, 0, 0, 5}}, {{0, 0, 0, 6}}, {{0, 0, 0, 5}}, {{0, 
                    0, 0, 4}}, {{0, 0, 0, 4}}, {{0, 0, 0, 5}}, {{0, 0, 0, 
                    5}}, {{0, 0, 0, 3}}, {{0, 0, 0, 4}}, {{0, 0, 0, 3}}, {{0, 
                    0, 0, 3}}, {{0, 0, 0, 3}}, {{0, 0, 0, 3}}, {{0, 0, 0, 
                    2}}, {{0, 0, 0, 2}}, {{0, 0, 0, 2}}, {{0, 0, 0, 2}}, {{0, 
                    0, 0, 1}}, {{0, 0, 0, 2}}, {{0, 0, 0, 2}}, {{0, 0, 0, 
                    0}}, {{0, 0, 0, 1}}, {{255, 255, 255, 0}}, {{255, 255, 
                    255, 0}}, {{255, 255, 255, 0}}, {{255, 255, 255, 0}}, {{
                    255, 255, 255, 0}}, {{255, 255, 255, 0}}}, {{0, 45}, {
                    2500, 0}}, {0, 255}, ColorFunction -> RGBColor], 
                    ImageSize -> {2500, 45}, 
                    PlotRange -> {{0, 2500}, {0, 45}}], ImageSize -> 
                    Scaled[1], ScrollPosition -> {0., 0.}]], 
                    Pane[
                    Column[{
                    Row[{
                    Invisible[
                    RawBoxes[
                    GraphicsBox[
                    TagBox[
                    
                    RasterBox[{{{255, 132, 0}, {255, 132, 0}, {255, 132, 0}, {
                    255, 132, 0}, {255, 132, 0}, {255, 132, 0}}, {{255, 132, 
                    0}, {255, 132, 0}, {255, 132, 0}, {255, 132, 0}, {255, 
                    132, 0}, {255, 132, 0}}}, {{0, 2}, {6, 0}}, {0, 255}, 
                    ColorFunction -> RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], BaseStyle -> "ImageGraphics", 
                    ImageSize -> Magnification[1], ImageSizeRaw -> {6, 2}, 
                    BaselinePosition -> (Scaled[0] -> Center), 
                    PlotRange -> {{0, 6}, {0, 2}}]]], " ", 
                    Column[{"Horizontal plot range:", 
                    Row[{
                    Manipulate`Place[1], "  ", 
                    Manipulate`Place[2], "  ", 
                    Manipulate`Place[3]}]}]}], 
                    PaneSelector[{True -> Grid[{{
                    Button[
                    Row[{
                    RawBoxes[
                    GraphicsBox[
                    TagBox[
                    
                    RasterBox[{{{255, 132, 0}, {255, 132, 0}, {255, 132, 0}, {
                    255, 132, 0}, {255, 132, 0}, {255, 132, 0}}, {{255, 132, 
                    0}, {255, 132, 0}, {255, 132, 0}, {255, 132, 0}, {255, 
                    132, 0}, {255, 132, 0}}}, {{0, 2}, {6, 0}}, {0, 255}, 
                    ColorFunction -> RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], BaseStyle -> "ImageGraphics", 
                    ImageSize -> Magnification[1], ImageSizeRaw -> {6, 2}, 
                    BaselinePosition -> (Scaled[0] -> Center), 
                    PlotRange -> {{0, 6}, {0, 2}}]], " "}], 
                    CalculateUtilities`GraphicsUtilities`Private`more$$ = 
                    False, Appearance -> None, BaseStyle -> {}], 
                    Button[
                    "Fewer controls", 
                    CalculateUtilities`GraphicsUtilities`Private`more$$ = 
                    False, Appearance -> None, BaseStyle -> {}]}, {"", 
                    Item[
                    Column[{
                    Column[{"Vertical plot range:", 
                    Row[{
                    Manipulate`Place[4], "  ", 
                    Manipulate`Place[5], "  ", 
                    Manipulate`Place[6]}], 
                    Manipulate`Place[7]}], 
                    Column[{
                    Row[{
                    Manipulate`Place[8], "  ", 
                    Manipulate`Place[9]}], 
                    Row[{
                    Manipulate`Place[10], "   settings: ", 
                    Button[
                    "1", CalculateScan`PlotterScanner`Private`ar$$ = 1, 
                    ImageSize -> Small, Appearance -> "Palette", 
                    BaseStyle -> {}], "  ", 
                    Button["unscaled axes", 
                    (If[
                    1/4 <= # <= 4, 
                    CalculateScan`PlotterScanner`Private`ar$$ = #]& )[Abs[
                    Apply[
                    Subtract, CalculateScan`PlotterScanner`Private`pRY]]/Abs[
                    Apply[
                    Subtract, CalculateScan`PlotterScanner`Private`pRX]]], 
                    ImageSize -> Small, Appearance -> "Palette", 
                    BaseStyle -> {}]}]}], 
                    TabView[{Row[{" ", 
                    Dynamic[
                    If[CalculateScan`PlotterScanner`Private`tangentTF$$, 
                    Style[
                    "\[Checkmark]", 
                    CalculateScan`PlotterScanner`Private`tangentColor$$, 
                    Bold], " "]], 
                    Tooltip[" tangents             ", 
                    Style[" family of tangents at points along the curve ", 
                    GrayLevel[0.5]], TooltipDelay -> 0.33]}] -> 
                    Grid[{{"show tangents", 
                    Manipulate`Place[11]}, {"tangent count", 
                    Manipulate`Place[12]}, {"tangent length", 
                    Manipulate`Place[13]}, {"tangent thickness", 
                    Manipulate`Place[14]}, {"tangent color", 
                    Manipulate`Place[15]}, {"tangent opacity", 
                    Manipulate`Place[16]}}, Alignment -> Left, 
                    Dividers -> {None, {False, True, False, False, False, 
                    False}}], Row[{" ", 
                    Dynamic[
                    If[CalculateScan`PlotterScanner`Private`normalTF$$, 
                    Style[
                    "\[Checkmark]", 
                    CalculateScan`PlotterScanner`Private`normalColor$$, Bold],
                     " "]], 
                    Tooltip[" normals              ", 
                    Style[" family of normals at points along the curve ", 
                    GrayLevel[0.5]], TooltipDelay -> 0.33]}] -> 
                    Grid[{{"show normals", 
                    Manipulate`Place[17]}, {"normal count", 
                    Manipulate`Place[18]}, {"normal length", 
                    Manipulate`Place[19]}, {"normal thickness", 
                    Manipulate`Place[20]}, {"normal color", 
                    Manipulate`Place[21]}, {"normal opacity", 
                    Manipulate`Place[22]}}, Alignment -> Left, 
                    Dividers -> {None, {False, True, False, False, False, 
                    False}}], Row[{" ", 
                    Dynamic[
                    If[CalculateScan`PlotterScanner`Private`tiltedTangentTF$$, 
                    Style[
                    "\[Checkmark]", 
                    CalculateScan`PlotterScanner`Private`tiltedTangentColor$$,
                     Bold], " "]], 
                    Tooltip[" tilted tangents      ", 
                    Style[
                    " family of tilted tangents at points along the curve ", 
                    GrayLevel[0.5]], TooltipDelay -> 0.33]}] -> 
                    Grid[{{"show tilted tangents", 
                    Manipulate`Place[23]}, {"tilted tangent angle", 
                    Manipulate`Place[24]}, {"tilted tangent count", 
                    Manipulate`Place[25]}, {"tilted tangent length", 
                    Manipulate`Place[26]}, {"tilted tangent thickness", 
                    Manipulate`Place[27]}, {"tilted tangent color", 
                    Manipulate`Place[28]}, {"tilted tangent opacity", 
                    Manipulate`Place[29]}}, Alignment -> Left, 
                    Dividers -> {None, {False, True, False, False, False, 
                    False}}], Row[{" ", 
                    Dynamic[
                    If[
                    CalculateScan`PlotterScanner`Private`osculatingCircleTF$$, 
                    Style[
                    "\[Checkmark]", 
                    CalculateScan`PlotterScanner`Private`\
osculatingCircleColor$$, Bold], " "]], 
                    Tooltip[" osculating circles   ", 
                    Style[
                    " family of osculating circles (circles that are tangent \
to the curve) at points along the curve", 
                    GrayLevel[0.5]], TooltipDelay -> 0.33]}] -> Column[{
                    Grid[{{"show osculating circles", 
                    Manipulate`Place[30]}, {"osculating circle count", 
                    Manipulate`Place[31]}, {"osculating circle thickness", 
                    Manipulate`Place[32]}, {"osculating circle color", 
                    Manipulate`Place[33]}, {"osculating circle opacity", 
                    Manipulate`Place[34]}, {"show circle radii", 
                    Manipulate`Place[35]}}, Alignment -> Left, 
                    Dividers -> {None, {False, True, False, False, False, 
                    True}}], 
                    Dynamic[
                    Style[
                    If[
                    And[
                    CalculateScan`PlotterScanner`Private`osculatingCircleTF$$, 
                    Not[
                    0.98 < CalculateScan`PlotterScanner`Private`ar$$ < 1.02]],
                     "(note than circles appear as ellipses for unequally\n\
scaled horizontal and vertical axes)", ""]], 
                    RGBColor[
                    0.6666666666666666, 0.6666666666666666, 
                    0.6666666666666666]]}, Alignment -> Left], Row[{" ", 
                    Dynamic[
                    If[
                    CalculateScan`PlotterScanner`Private`taylorParabolaTF$$, 
                    Style[
                    "\[Checkmark]", 
                    CalculateScan`PlotterScanner`Private`taylorParabolaColor$$\
, Bold], " "]], 
                    Tooltip[" Taylor parabolas     ", 
                    Style[" family of second order Taylor approximations", 
                    GrayLevel[0.5]], TooltipDelay -> 0.33]}] -> Column[{
                    Grid[{{"show Taylor parabolas", 
                    Manipulate`Place[36]}, {"Taylor parabola count", 
                    Manipulate`Place[37]}, {"Taylor parabola thickness", 
                    Manipulate`Place[38]}, {"Taylor parabola color", 
                    Manipulate`Place[39]}, {"Taylor parabola opacity", 
                    Manipulate`Place[40]}}, Alignment -> Left, 
                    Dividers -> {None, {False, True, False, False, False, 
                    True}}]}, Alignment -> Left], Row[{" ", 
                    Dynamic[
                    If[CalculateScan`PlotterScanner`Private`involuteTF$$, 
                    Style[
                    "\[Checkmark]", 
                    CalculateScan`PlotterScanner`Private`involuteColor$$, 
                    Bold], " "]], 
                    Tooltip[" involutes            ", 
                    Style[
                    " family of involutes (curves traced out by strings \
unwound from the curve) of the curve", 
                    GrayLevel[0.5]], TooltipDelay -> 0.33]}] -> 
                    Grid[{{"show involutes", 
                    Manipulate`Place[41]}, {"involute count", 
                    Manipulate`Place[42]}, {"involute thickness", 
                    Manipulate`Place[43]}, {"involute color", 
                    Manipulate`Place[44]}, {"involute opacity", 
                    Manipulate`Place[45]}, {"directions", 
                    Row[{"\[DoubleLongLeftArrow]", 
                    Manipulate`Place[46], "  \[DoubleLongRightArrow]", 
                    Manipulate`Place[47]}]}}, Alignment -> Left, 
                    Dividers -> {None, {False, True, False, False, False, 
                    True}}], Row[{" ", 
                    Dynamic[
                    If[CalculateScan`PlotterScanner`Private`evoluteTF$$, 
                    Style[
                    "\[Checkmark]", 
                    CalculateScan`PlotterScanner`Private`evoluteColor$$, 
                    Bold], " "]], 
                    Tooltip[" evolute              ", 
                    Style[
                    " the evolute of a given curve (curve of the centers of \
the osculating circles))", 
                    GrayLevel[0.5]], TooltipDelay -> 0.33]}] -> 
                    Grid[{{"show evolute", 
                    Manipulate`Place[48]}, {"evolute thickness", 
                    Manipulate`Place[49]}, {"evolute color", 
                    Manipulate`Place[50]}, {"evolute opacity", 
                    Manipulate`Place[51]}}, Alignment -> Left, 
                    Dividers -> {None, {False, True, False, False, False, 
                    False}}], Row[{" ", 
                    Dynamic[
                    If[CalculateScan`PlotterScanner`Private`offsetCurveTF$$, 
                    Style[
                    "\[Checkmark]", 
                    CalculateScan`PlotterScanner`Private`offsetCurveColor$$, 
                    Bold], " "]], 
                    Tooltip[" offset curves        ", 
                    Style[
                    " family of offset curves (curves shifted a fixed \
distance perpendicular to each point of the original curve) ", 
                    GrayLevel[0.5]], TooltipDelay -> 0.33]}] -> 
                    Grid[{{"show offset curves", 
                    Manipulate`Place[52]}, {"offset curve distance", 
                    Manipulate`Place[53]}, {"offset curve count", 
                    Manipulate`Place[54]}, {"offset curve thickness", 
                    Manipulate`Place[55]}, {"offset curve color", 
                    Manipulate`Place[56]}, {"offset curve opacity", 
                    Manipulate`Place[57]}}, Alignment -> Left, 
                    Dividers -> {None, {False, True, False, False, False, 
                    False}}], Row[{" ", 
                    Dynamic[
                    If[
                    CalculateScan`PlotterScanner`Private`tiltedOffsetCurveTF$$\
, 
                    Style["\[Checkmark]", 
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveColor$$, Bold], " "]], 
                    Tooltip[" tilted offset curves ", 
                    Style[
                    " family of tilted offset curves (curves shifted a fixed \
distance in a direction with a fixed angle \n                                 \
     to the local normal to each point of the original curve) ", 
                    GrayLevel[0.5]], TooltipDelay -> 0.33]}] -> 
                    Grid[{{"show tilted offset curves", 
                    Manipulate`Place[58]}, {"tilted offset curve angle", 
                    Manipulate`Place[59]}, {"tilted offset curve distance", 
                    Manipulate`Place[60]}, {"tilted offset curve count", 
                    Manipulate`Place[61]}, {"tilted offset curve thickness", 
                    Manipulate`Place[62]}, {"tilted offset curve color", 
                    Manipulate`Place[63]}, {"tilted offset curve opacity", 
                    Manipulate`Place[64]}}, Alignment -> Left, 
                    Dividers -> {None, {False, True, False, False, False, 
                    False}}], Row[{" ", 
                    Dynamic[
                    If[CalculateScan`PlotterScanner`Private`pedalCurveTF$$, 
                    Style[
                    "\[Checkmark]", 
                    CalculateScan`PlotterScanner`Private`pedalCurveColor$$, 
                    Bold], " "]], 
                    Tooltip[" pedal curves         ", 
                    Style[
                    " family of pedal curves (curves on the tangents of the \
given curve perpendicular to a given point) ", 
                    GrayLevel[0.5]], TooltipDelay -> 0.33]}] -> 
                    Grid[{{"show pedal curves", 
                    Manipulate`Place[65]}, {"pedal curve count", 
                    Manipulate`Place[66]}, {"pedal curve thickness", 
                    Manipulate`Place[67]}, {"pedal curve color", 
                    Manipulate`Place[68]}, {"pedal curve opacity", 
                    Manipulate`Place[69]}, {"pedal points", 
                    Manipulate`Place[70]}}, Alignment -> Left, 
                    Dividers -> {None, {False, True, False, False, False, 
                    True}}], Row[{" ", 
                    Dynamic[
                    If[
                    CalculateScan`PlotterScanner`Private`negativePedalCurveTF$\
$, 
                    Style["\[Checkmark]", 
                    CalculateScan`PlotterScanner`Private`\
negativePedalCurveColor$$, Bold], " "]], 
                    Tooltip[" negative pedal curves", 
                    Style[
                    " family of negative pedal curves (envelope curves of \
lines perpendicular to the given curve and a given point) ", 
                    GrayLevel[0.5]], TooltipDelay -> 0.33]}] -> 
                    Grid[{{"show negative pedal curves", 
                    Manipulate`Place[71]}, {"negative pedal curve count", 
                    Manipulate`Place[72]}, {
                    "negative pedal curve thickness", 
                    Manipulate`Place[73]}, {"negative pedal curve color", 
                    Manipulate`Place[74]}, {"negative pedal curve opacity", 
                    Manipulate`Place[75]}, {"negative pedal points", 
                    Manipulate`Place[76]}}, Alignment -> Left, 
                    Dividers -> {None, {False, True, False, False, False, 
                    False}}], Row[{" ", 
                    Dynamic[
                    If[
                    CalculateScan`PlotterScanner`Private`contraPedalCurveTF$$, 
                    Style[
                    "\[Checkmark]", 
                    CalculateScan`PlotterScanner`Private`\
contraPedalCurveColor$$, Bold], " "]], 
                    Tooltip[" contrapedal curves   ", 
                    Style[
                    " family of contrapedal curves (curves on the normals of \
the given curve perpendicular to a given point) ", 
                    GrayLevel[0.5]], TooltipDelay -> 0.33]}] -> 
                    Grid[{{"show contrapedal curves", 
                    Manipulate`Place[77]}, {"contrapedal curve count", 
                    Manipulate`Place[78]}, {"contrapedal curve thickness", 
                    Manipulate`Place[79]}, {"contrapedal curve color", 
                    Manipulate`Place[80]}, {"contrapedal curve opacity", 
                    Manipulate`Place[81]}, {"contrapedal pedal points", 
                    Manipulate`Place[82]}}, Alignment -> Left, 
                    Dividers -> {None, {False, True, False, False, False, 
                    False}}], Row[{" ", 
                    Dynamic[
                    If[CalculateScan`PlotterScanner`Private`dualCurveTF$$, 
                    Style[
                    "\[Checkmark]", 
                    CalculateScan`PlotterScanner`Private`dualCurveColor$$, 
                    Bold], " "]], 
                    Tooltip[" dual curves          ", 
                    Style[
                    " dual curve of the given curve (the dual curbe maps \
inflection points to cusps) ", 
                    GrayLevel[0.5]], TooltipDelay -> 0.33]}] -> 
                    Grid[{{"show dual curves", 
                    Manipulate`Place[83]}, {"dual curve count", 
                    Manipulate`Place[84]}, {"dual curve thickness", 
                    Manipulate`Place[85]}, {"dual curve color", 
                    Manipulate`Place[86]}, {"dual curve opacity", 
                    Manipulate`Place[87]}, {"dual curve points", 
                    Manipulate`Place[88]}}, Alignment -> Left, 
                    Dividers -> {None, {False, True, False, False, False, 
                    False}}], Row[{" ", 
                    Dynamic[
                    If[
                    CalculateScan`PlotterScanner`Private`inverseCurveTF$$, 
                    Style[
                    "\[Checkmark]", 
                    CalculateScan`PlotterScanner`Private`inverseCurveColor$$, 
                    Bold], " "]], 
                    Tooltip[" inverse curves       ", 
                    Style[
                    " inverse curves (curves resulting from carrying of an \
inversion on circles) ", 
                    GrayLevel[0.5]], TooltipDelay -> 0.33]}] -> 
                    Grid[{{"show inverse curves", 
                    Manipulate`Place[89]}, {"inverse curve count", 
                    Manipulate`Place[90]}, {"inverse curve thickness", 
                    Manipulate`Place[91]}, {"inverse curve color", 
                    Manipulate`Place[92]}, {"inverse curve opacity", 
                    Manipulate`Place[93]}, {"inversion curve points", 
                    Manipulate`Place[94]}, {"inversion circle radius", 
                    Manipulate`Place[95]}}, Alignment -> Left, 
                    Dividers -> {None, {False, True, False, False, False, 
                    False}}], Row[{" ", 
                    Dynamic[
                    If[
                    CalculateScan`PlotterScanner`Private`isopticCurveTF$$, 
                    Style[
                    "\[Checkmark]", 
                    CalculateScan`PlotterScanner`Private`isopticCurveColor$$, 
                    Bold], " "]], 
                    Tooltip[" isoptic curves       ", 
                    Style[
                    " inverse curves (points on isoptic curves have two \
tangents with the given curve and the two tangents meet with the specified \
angle)) ", 
                    GrayLevel[0.5]], TooltipDelay -> 0.33]}] -> Column[{
                    Grid[{{"show isoptic curves", 
                    Manipulate`Place[96]}, {"isoptic curve angle", 
                    Manipulate`Place[97]}, {"isoptic curve thickness", 
                    Manipulate`Place[98]}, {"isoptic curve color", 
                    Manipulate`Place[99]}, {"isoptic curve opacity", 
                    Manipulate`Place[100]}}, Alignment -> Left, 
                    Dividers -> {None, {False, True, False, False, False, 
                    False}}], 
                    Dynamic[
                    Style[
                    If[
                    TrueQ[
                    And[
                    CalculateScan`PlotterScanner`Private`isopticCurveTF$$, 
                    CalculateScan`PlotterScanner`Private`x1x2SCPCurves === \
{}]], "(note than the set of isoptic curves for a given angle can be empty)", 
                    ""]], 
                    RGBColor[
                    0.6666666666666666, 0.6666666666666666, 
                    0.6666666666666666]]}, Alignment -> Left], Row[{" ", 
                    Dynamic[
                    If[
                    CalculateScan`PlotterScanner`Private`orthotomicCurveTF$$, 
                    
                    Style[
                    "\[Checkmark]", 
                    CalculateScan`PlotterScanner`Private`orthotomicCurveColor$\
$, Bold], " "]], 
                    Tooltip[" orthotomic curves    ", 
                    Style[
                    " orthotomic curves (points of reflections of a given \
point on curve tangents)) ", 
                    GrayLevel[0.5]], TooltipDelay -> 0.33]}] -> 
                    Grid[{{"show orthotomic curves", 
                    Manipulate`Place[101]}, {"orthotomic curve angle", 
                    Manipulate`Place[102]}, {"orthotomic curve count", 
                    Manipulate`Place[103]}, {"orthotomic curve thickness", 
                    Manipulate`Place[104]}, {"orthotomic curve color", 
                    Manipulate`Place[105]}, {"orthotomic curve opacity", 
                    Manipulate`Place[106]}, {"orthotomic curve points", 
                    Manipulate`Place[107]}}, Alignment -> Left, 
                    Dividers -> {None, {False, True, False, False, False, 
                    False}}]}, 2, ImageSize -> {All, Automatic}, 
                    ControlPlacement -> Left]}, 
                    Dividers -> {None, {False, True, True, True}}, Spacings -> 
                    1], ItemSize -> Scaled[1], 
                    Frame -> {None, None, True, None}]}}, FrameStyle -> 
                    GrayLevel[0.9], Alignment -> Left, Spacings -> {0, 0.8}], 
                    False -> Button[
                    Row[{
                    RawBoxes[
                    GraphicsBox[
                    TagBox[
                    
                    RasterBox[{{{255, 255, 255}, {255, 255, 255}, {255, 132, 
                    0}, {255, 132, 0}, {255, 255, 255}, {255, 255, 255}}, {{
                    255, 255, 255}, {255, 255, 255}, {255, 132, 0}, {255, 132,
                     0}, {255, 255, 255}, {255, 255, 255}}, {{255, 132, 0}, {
                    255, 132, 0}, {255, 132, 0}, {255, 132, 0}, {255, 132, 
                    0}, {255, 132, 0}}, {{255, 132, 0}, {255, 132, 0}, {255, 
                    132, 0}, {255, 132, 0}, {255, 132, 0}, {255, 132, 0}}, {{
                    255, 255, 255}, {255, 255, 255}, {255, 132, 0}, {255, 132,
                     0}, {255, 255, 255}, {255, 255, 255}}, {{255, 255, 
                    255}, {255, 255, 255}, {255, 132, 0}, {255, 132, 0}, {255,
                     255, 255}, {255, 255, 255}}}, {{0, 6}, {6, 0}}, {0, 255},
                     ColorFunction -> RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], BaseStyle -> "ImageGraphics", 
                    ImageSize -> Magnification[1], ImageSizeRaw -> {6, 6}, 
                    BaselinePosition -> (Scaled[0.3] -> Center), 
                    PlotRange -> {{0, 6}, {0, 6}}]], " More controls"}], 
                    CalculateUtilities`GraphicsUtilities`Private`more$$ = 
                    True, Appearance -> None, BaseStyle -> {}]}, 
                    Dynamic[
                    CalculateUtilities`GraphicsUtilities`Private`more$$], 
                    ImageSize -> Automatic]}], 
                    ImageMargins -> {{20, 30}, {10, 10}}]}, {1, 2}, 2, 
                    Alignment -> {Left, Top}]]], 
                    Manipulate`Dump`ThisIsNotAControl}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
osculatingCircleLastParamaters$$], {}}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`osculatingCircles$$],\
 {}}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
taylorParabolaLastParamaters$$], {}}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`taylorParabolas$$], \
{}}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
offsetCurveLastParamaters$$], {}}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
offsetCurvePlotCurves$$], {}}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveLastParamaters$$], {}}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurvePlotCurves$$], {}}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
pedalCurveLastParamaters$$], {}}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`pedalCurvePlotCurves$\
$], {}}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
negativePedalCurveLastParamaters$$], {}}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
negativePedalCurvePlotCurves$$], {}}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
contraPedalCurveLastParamaters$$], {}}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
contraPedalCurvePlotCurves$$], {}}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
dualCurveLastParamaters$$], {}}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`dualCurvePlotCurves$$\
], {}}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
inverseLastParamaters$$], {}}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
inverseCurvePlotCurves$$], {}}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
orthotomicLastParamaters$$], {}}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
orthotomicCurvePlotCurves$$], {}}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
isopticLastParamaters$$], {}}}, {{
                    Hold[
                    CalculateScan`PlotterScanner`Private`\
isopticCurvePlotCurves$$], {}}}}, Typeset`size$$ = Automatic, 
                 Typeset`update$$ = 0, Typeset`initDone$$ = False, 
                 Typeset`skipInitDone$$ = False, 
                 CalculateUtilities`GraphicsUtilities`Private`more$654210$$ = 
                 False, CalculateScan`PlotterScanner`Private`x1$654215$$ = 0, 
                 CalculateScan`PlotterScanner`Private`x2$654216$$ = 0, 
                 CalculateScan`PlotterScanner`Private`symmxQ$654217$$ = False,
                  CalculateScan`PlotterScanner`Private`fy1$654218$$ = 0, 
                 CalculateScan`PlotterScanner`Private`fy2$654219$$ = 0, 
                 CalculateScan`PlotterScanner`Private`symmyQ$654220$$ = False,
                  CalculateScan`PlotterScanner`Private`sqPRQ$654221$$ = False,
                  CalculateScan`PlotterScanner`Private`ar$654222$$ = 0, 
                 CalculateScan`PlotterScanner`Private`tangentCount$654223$$ = 
                 0, 
                 CalculateScan`PlotterScanner`Private`tangentLength$654224$$ = 
                 0, CalculateScan`PlotterScanner`Private`tangentThickness$\
654225$$ = 0, CalculateScan`PlotterScanner`Private`tangentOpacity$654226$$ = 
                 0, CalculateScan`PlotterScanner`Private`normalCount$654227$$ = 
                 0}, 
                DynamicBox[
                 Manipulate`ManipulateBoxes[
                 2, TraditionalForm, 
                  "Variables" :> {
                   CalculateScan`PlotterScanner`Private`ar$$ = 1, 
                    CalculateScan`PlotterScanner`Private`\
contraPedalCurveColor$$ = RGBColor[0.7464574, 0.2952580000000001, 0.2454606], 
                    CalculateScan`PlotterScanner`Private`\
contraPedalCurveCountFactor$$ = 0.3, 
                    CalculateScan`PlotterScanner`Private`\
contraPedalCurveLastParamaters$$ = {}, 
                    CalculateScan`PlotterScanner`Private`\
contraPedalCurveOpacity$$ = 0.8, 
                    CalculateScan`PlotterScanner`Private`\
contraPedalCurvePlotCurves$$ = {}, 
                    CalculateScan`PlotterScanner`Private`\
contraPedalCurvePoints$$ = "curve", 
                    CalculateScan`PlotterScanner`Private`contraPedalCurveTF$$ = 
                    False, CalculateScan`PlotterScanner`Private`\
contraPedalCurveThickness$$ = -3., 
                    CalculateScan`PlotterScanner`Private`dualCurveColor$$ = 
                    RGBColor[0.2860602, 0.4663408, 0.29410879999999995`], 
                    CalculateScan`PlotterScanner`Private`dualCurveCountFactor$\
$ = 0.3, CalculateScan`PlotterScanner`Private`dualCurveLastParamaters$$ = {}, 
                    CalculateScan`PlotterScanner`Private`dualCurveOpacity$$ = 
                    0.8, CalculateScan`PlotterScanner`Private`\
dualCurvePlotCurves$$ = {}, 
                    CalculateScan`PlotterScanner`Private`dualCurveTF$$ = 
                    False, CalculateScan`PlotterScanner`Private`\
dualCurveThickness$$ = -3., 
                    CalculateScan`PlotterScanner`Private`dualPedalCurvePoints$\
$ = "curve", CalculateScan`PlotterScanner`Private`evoluteColor$$ = 
                    RGBColor[0.813033, 0.766292, 0.303458], 
                    CalculateScan`PlotterScanner`Private`evoluteOpacity$$ = 
                    0.8, CalculateScan`PlotterScanner`Private`evoluteTF$$ = 
                    False, CalculateScan`PlotterScanner`Private`\
evoluteThickness$$ = -3., CalculateScan`PlotterScanner`Private`fy1$$ = 
                    0.982793723247329, 
                    CalculateScan`PlotterScanner`Private`fy2$$ = 
                    0.982793723247329, 
                    CalculateScan`PlotterScanner`Private`\
inverseCurveCircleRadiusFactor$$ = 0.4636476090008061, 
                    CalculateScan`PlotterScanner`Private`inverseCurveColor$$ = 
                    RGBColor[0.2860602, 0.4663408, 0.29410879999999995`], 
                    CalculateScan`PlotterScanner`Private`\
inverseCurveCountFactor$$ = 0.3, 
                    CalculateScan`PlotterScanner`Private`inverseCurveOpacity$$\
 = 0.8, CalculateScan`PlotterScanner`Private`inverseCurvePlotCurves$$ = {}, 
                    CalculateScan`PlotterScanner`Private`inverseCurvePoints$$ = 
                    "grid", 
                    CalculateScan`PlotterScanner`Private`inverseCurveTF$$ = 
                    False, CalculateScan`PlotterScanner`Private`\
inverseCurveThickness$$ = -3., 
                    CalculateScan`PlotterScanner`Private`\
inverseLastParamaters$$ = {}, 
                    CalculateScan`PlotterScanner`Private`involuteColor$$ = 
                    RGBColor[0.49978279999999997`, 0.6025278, 0.2508104], 
                    CalculateScan`PlotterScanner`Private`involuteCount$$ = 60,
                     CalculateScan`PlotterScanner`Private`involuteOpacity$$ = 
                    0.8, CalculateScan`PlotterScanner`Private`involutesLeftTF$\
$ = False, CalculateScan`PlotterScanner`Private`involutesRightTF$$ = True, 
                    CalculateScan`PlotterScanner`Private`involuteTF$$ = False,
                     CalculateScan`PlotterScanner`Private`involuteThickness$$ = \
-3., CalculateScan`PlotterScanner`Private`isopticCurveAngle$$ = 
                    Rational[1, 3] Pi, 
                    CalculateScan`PlotterScanner`Private`isopticCurveColor$$ = 
                    RGBColor[
                    0.8519382, 0.7451437999999999, 0.31752080000000005`], 
                    CalculateScan`PlotterScanner`Private`isopticCurveOpacity$$\
 = 0.8, CalculateScan`PlotterScanner`Private`isopticCurvePlotCurves$$ = {}, 
                    CalculateScan`PlotterScanner`Private`isopticCurveTF$$ = 
                    False, CalculateScan`PlotterScanner`Private`\
isopticCurveThickness$$ = -3., 
                    CalculateScan`PlotterScanner`Private`\
isopticLastParamaters$$ = {}, 
                    CalculateUtilities`GraphicsUtilities`Private`more$$ = 
                    False, 
                    CalculateScan`PlotterScanner`Private`\
negativePedalCurveColor$$ = 
                    RGBColor[0.7464574, 0.2952580000000001, 0.2454606], 
                    CalculateScan`PlotterScanner`Private`\
negativePedalCurveCountFactor$$ = 0.3, 
                    CalculateScan`PlotterScanner`Private`\
negativePedalCurveLastParamaters$$ = {}, 
                    CalculateScan`PlotterScanner`Private`\
negativePedalCurveOpacity$$ = 0.8, 
                    CalculateScan`PlotterScanner`Private`\
negativePedalCurvePlotCurves$$ = {}, 
                    CalculateScan`PlotterScanner`Private`\
negativePedalCurvePoints$$ = "curve", 
                    CalculateScan`PlotterScanner`Private`negativePedalCurveTF$\
$ = False, 
                    CalculateScan`PlotterScanner`Private`\
negativePedalCurveThickness$$ = -3., 
                    CalculateScan`PlotterScanner`Private`normalColor$$ = 
                    RGBColor[0.237, 0.34, 0.575], 
                    CalculateScan`PlotterScanner`Private`normalCount$$ = 120, 
                    CalculateScan`PlotterScanner`Private`normalLength$$ = 
                    0.08249027613378408, 
                    CalculateScan`PlotterScanner`Private`normalOpacity$$ = 
                    0.8, CalculateScan`PlotterScanner`Private`normalTF$$ = 
                    True, CalculateScan`PlotterScanner`Private`\
normalThickness$$ = -3., 
                    CalculateScan`PlotterScanner`Private`offsetCurveColor$$ = 
                    RGBColor[0.877875, 0.731045, 0.326896], 
                    CalculateScan`PlotterScanner`Private`offsetCurveCount$$ = 
                    12, CalculateScan`PlotterScanner`Private`\
offsetCurveDistance$$ = 0.08249027613378408, 
                    CalculateScan`PlotterScanner`Private`\
offsetCurveLastParamaters$$ = {}, 
                    CalculateScan`PlotterScanner`Private`offsetCurveOpacity$$ = 
                    0.8, CalculateScan`PlotterScanner`Private`\
offsetCurvePlotCurves$$ = {}, 
                    CalculateScan`PlotterScanner`Private`offsetCurveTF$$ = 
                    False, CalculateScan`PlotterScanner`Private`\
offsetCurveThickness$$ = -3., 
                    CalculateScan`PlotterScanner`Private`orthotomicCurveAngle$\
$ = Rational[1, 3] Pi, 
                    CalculateScan`PlotterScanner`Private`orthotomicCurveColor$\
$ = RGBColor[0.8519382, 0.7451437999999999, 0.31752080000000005`], 
                    CalculateScan`PlotterScanner`Private`\
orthotomicCurveCountFactor$$ = 0.3, 
                    CalculateScan`PlotterScanner`Private`\
orthotomicCurveOpacity$$ = 0.8, 
                    CalculateScan`PlotterScanner`Private`\
orthotomicCurvePlotCurves$$ = {}, 
                    CalculateScan`PlotterScanner`Private`\
orthotomicCurvePoints$$ = "curve", 
                    CalculateScan`PlotterScanner`Private`orthotomicCurveTF$$ = 
                    False, CalculateScan`PlotterScanner`Private`\
orthotomicCurveThickness$$ = -3., 
                    CalculateScan`PlotterScanner`Private`\
orthotomicLastParamaters$$ = {}, 
                    CalculateScan`PlotterScanner`Private`\
osculatingCircleColor$$ = 
                    RGBColor[0.2752426, 0.4446824, 0.33950440000000004`], 
                    CalculateScan`PlotterScanner`Private`\
osculatingCircleCount$$ = 60, 
                    CalculateScan`PlotterScanner`Private`\
osculatingCircleLastParamaters$$ = {}, 
                    CalculateScan`PlotterScanner`Private`\
osculatingCircleOpacity$$ = 0.8, 
                    CalculateScan`PlotterScanner`Private`\
osculatingCircleRadiiTF$$ = False, 
                    CalculateScan`PlotterScanner`Private`osculatingCircles$$ = \
{}, CalculateScan`PlotterScanner`Private`osculatingCircleTF$$ = False, 
                    CalculateScan`PlotterScanner`Private`\
osculatingCircleThickness$$ = -3., 
                    CalculateScan`PlotterScanner`Private`pedalCurveColor$$ = 
                    RGBColor[0.32894650000000003`, 0.5006225, 0.2625337], 
                    CalculateScan`PlotterScanner`Private`\
pedalCurveCountFactor$$ = 0.3, 
                    CalculateScan`PlotterScanner`Private`\
pedalCurveLastParamaters$$ = {}, 
                    CalculateScan`PlotterScanner`Private`pedalCurveOpacity$$ = 
                    0.8, CalculateScan`PlotterScanner`Private`\
pedalCurvePlotCurves$$ = {}, 
                    CalculateScan`PlotterScanner`Private`pedalCurvePoints$$ = 
                    "curve", 
                    CalculateScan`PlotterScanner`Private`pedalCurveTF$$ = 
                    False, CalculateScan`PlotterScanner`Private`\
pedalCurveThickness$$ = -3., CalculateScan`PlotterScanner`Private`sa$$ = 
                    False, CalculateScan`PlotterScanner`Private`sqPRQ$$ = 
                    False, CalculateScan`PlotterScanner`Private`st$$ = False, 
                    CalculateScan`PlotterScanner`Private`symmxQ$$ = False, 
                    CalculateScan`PlotterScanner`Private`symmyQ$$ = True, 
                    CalculateScan`PlotterScanner`Private`tangentColor$$ = 
                    RGBColor[0.237736, 0.340215, 0.575113], 
                    CalculateScan`PlotterScanner`Private`tangentCount$$ = 60, 
                    CalculateScan`PlotterScanner`Private`tangentLength$$ = 
                    0.08249027613378408, 
                    CalculateScan`PlotterScanner`Private`tangentOpacity$$ = 
                    0.8, CalculateScan`PlotterScanner`Private`tangentTF$$ = 
                    False, CalculateScan`PlotterScanner`Private`\
tangentThickness$$ = -3., 
                    CalculateScan`PlotterScanner`Private`taylorParabolaColor$$\
 = RGBColor[0.7189495000000001, 0.719797, 0.283877], 
                    CalculateScan`PlotterScanner`Private`taylorParabolaCount$$\
 = 36, CalculateScan`PlotterScanner`Private`taylorParabolaLastParamaters$$ = \
{}, CalculateScan`PlotterScanner`Private`taylorParabolaOpacity$$ = 0.8, 
                    CalculateScan`PlotterScanner`Private`taylorParabolas$$ = \
{}, CalculateScan`PlotterScanner`Private`taylorParabolaTF$$ = False, 
                    CalculateScan`PlotterScanner`Private`\
taylorParabolaThickness$$ = -3., 
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveAngle$$ = Rational[1, 4] Pi, 
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveColor$$ = 
                    RGBColor[0.49978279999999997`, 0.6025278, 0.2508104], 
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveCount$$ = 12, 
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveDistance$$ = 0.08249027613378408, 
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveLastParamaters$$ = {}, 
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveOpacity$$ = 0.8, 
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurvePlotCurves$$ = {}, 
                    CalculateScan`PlotterScanner`Private`tiltedOffsetCurveTF$$\
 = False, 
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveThickness$$ = -3., 
                    CalculateScan`PlotterScanner`Private`tiltedTangentAngle$$ = 
                    Rational[1, 4] Pi, 
                    CalculateScan`PlotterScanner`Private`tiltedTangentColor$$ = 
                    RGBColor[
                    0.2622702, 0.40739780000000003`, 0.41955020000000004`], 
                    CalculateScan`PlotterScanner`Private`tiltedTangentCount$$ = \
60, CalculateScan`PlotterScanner`Private`tiltedTangentLength$$ = 
                    0.08249027613378408, 
                    CalculateScan`PlotterScanner`Private`tiltedTangentOpacity$\
$ = 0.8, CalculateScan`PlotterScanner`Private`tiltedTangentTF$$ = False, 
                    CalculateScan`PlotterScanner`Private`\
tiltedTangentThickness$$ = -3., 
                    CalculateScan`PlotterScanner`Private`x1$$ = \
-0.7853981633974483, CalculateScan`PlotterScanner`Private`x2$$ = 
                    0.7853981633974483}, "ControllerVariables" :> {
                    Hold[
                    CalculateUtilities`GraphicsUtilities`Private`more$$, 
                    CalculateUtilities`GraphicsUtilities`Private`more$654210$$\
, False], 
                    Hold[
                    CalculateScan`PlotterScanner`Private`x1$$, 
                    CalculateScan`PlotterScanner`Private`x1$654215$$, 0], 
                    Hold[
                    CalculateScan`PlotterScanner`Private`x2$$, 
                    CalculateScan`PlotterScanner`Private`x2$654216$$, 0], 
                    Hold[
                    CalculateScan`PlotterScanner`Private`symmxQ$$, 
                    CalculateScan`PlotterScanner`Private`symmxQ$654217$$, 
                    False], 
                    Hold[
                    CalculateScan`PlotterScanner`Private`fy1$$, 
                    CalculateScan`PlotterScanner`Private`fy1$654218$$, 0], 
                    Hold[
                    CalculateScan`PlotterScanner`Private`fy2$$, 
                    CalculateScan`PlotterScanner`Private`fy2$654219$$, 0], 
                    Hold[
                    CalculateScan`PlotterScanner`Private`symmyQ$$, 
                    CalculateScan`PlotterScanner`Private`symmyQ$654220$$, 
                    False], 
                    Hold[
                    CalculateScan`PlotterScanner`Private`sqPRQ$$, 
                    CalculateScan`PlotterScanner`Private`sqPRQ$654221$$, 
                    False], 
                    Hold[
                    CalculateScan`PlotterScanner`Private`ar$$, 
                    CalculateScan`PlotterScanner`Private`ar$654222$$, 0], 
                    Hold[
                    CalculateScan`PlotterScanner`Private`tangentCount$$, 
                    CalculateScan`PlotterScanner`Private`tangentCount$654223$$\
, 0], 
                    Hold[
                    CalculateScan`PlotterScanner`Private`tangentLength$$, 
                    CalculateScan`PlotterScanner`Private`tangentLength$654224$\
$, 0], 
                    Hold[
                    CalculateScan`PlotterScanner`Private`tangentThickness$$, 
                    CalculateScan`PlotterScanner`Private`tangentThickness$\
654225$$, 0], 
                    Hold[
                    CalculateScan`PlotterScanner`Private`tangentOpacity$$, 
                    CalculateScan`PlotterScanner`Private`tangentOpacity$\
654226$$, 0], 
                    Hold[
                    CalculateScan`PlotterScanner`Private`normalCount$$, 
                    CalculateScan`PlotterScanner`Private`normalCount$654227$$,
                     0]}, "OtherVariables" :> {
                   Typeset`show$$, Typeset`bookmarkList$$, 
                    Typeset`bookmarkMode$$, Typeset`animator$$, 
                    Typeset`animvar$$, Typeset`name$$, Typeset`specs$$, 
                    Typeset`size$$, Typeset`update$$, Typeset`initDone$$, 
                    Typeset`skipInitDone$$}, "Body" :> Block[{Global`x}, 
                    Quiet[
                    
                    Module[{
                    CalculateScan`PlotterScanner`Private`x1Old$, 
                    CalculateScan`PlotterScanner`Private`x2Old$, 
                    CalculateScan`PlotterScanner`Private`fy1Old$, 
                    CalculateScan`PlotterScanner`Private`fy2Old$, 
                    CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$, 
                    CalculateScan`PlotterScanner`Private`singularities$, 
                    CalculateScan`PlotterScanner`Private`ts$, 
                    CalculateScan`PlotterScanner`Private`xL$, 
                    CalculateScan`PlotterScanner`Private`xU$, 
                    CalculateScan`PlotterScanner`Private`yL$, 
                    CalculateScan`PlotterScanner`Private`yU$, 
                    CalculateScan`PlotterScanner`Private`pRX$, 
                    CalculateScan`PlotterScanner`Private`\[CapitalDelta]X$, 
                    CalculateScan`PlotterScanner`Private`\[CapitalDelta]y$, 
                    CalculateScan`PlotterScanner`Private`Y1$, 
                    CalculateScan`PlotterScanner`Private`Y2$, 
                    CalculateScan`PlotterScanner`Private`pRY$, 
                    CalculateScan`PlotterScanner`Private`originalCurvePlot0$, 
                    CalculateScan`PlotterScanner`Private`originalCurvePlot$, 
                    CalculateScan`PlotterScanner`Private`tangentsLines$, 
                    CalculateScan`PlotterScanner`Private`tangentLinePlot$, 
                    CalculateScan`PlotterScanner`Private`normalLines$, 
                    CalculateScan`PlotterScanner`Private`normalLinePlot$, 
                    CalculateScan`PlotterScanner`Private`tiltedTangentLines$, 
                    CalculateScan`PlotterScanner`Private`\
tiltedTangentLinePlot$, 
                    CalculateScan`PlotterScanner`Private`\
osculatingCircleRadii$, 
                    CalculateScan`PlotterScanner`Private`\
osculatingCircleLastParamaters$, 
                    CalculateScan`PlotterScanner`Private`osculatingCirclePlot$\
, CalculateScan`PlotterScanner`Private`taylorParabolaPlot$, 
                    CalculateScan`PlotterScanner`Private`evolutePlot$, 
                    CalculateScan`PlotterScanner`Private`involutePlotCurves$, 
                    CalculateScan`PlotterScanner`Private`\
involutePlotCurveLastParamaters$, 
                    CalculateScan`PlotterScanner`Private`involutePlot$, 
                    CalculateScan`PlotterScanner`Private`iTab$, 
                    CalculateScan`PlotterScanner`Private`xLi$, 
                    CalculateScan`PlotterScanner`Private`xUi$, 
                    CalculateScan`PlotterScanner`Private`arcLength$, 
                    CalculateScan`PlotterScanner`Private`arcL$, 
                    CalculateScan`PlotterScanner`Private`xi1$, 
                    CalculateScan`PlotterScanner`Private`xi2$, 
                    CalculateScan`PlotterScanner`Private`lineSegments$, 
                    CalculateScan`PlotterScanner`Private`baseSegments$, 
                    CalculateScan`PlotterScanner`Private`oSegments$, 
                    CalculateScan`PlotterScanner`Private`arcFactors$, 
                    CalculateScan`PlotterScanner`Private`iTabRight$, 
                    CalculateScan`PlotterScanner`Private`iTabLeft$, 
                    CalculateScan`PlotterScanner`Private`signedArcFactors$, 
                    CalculateScan`PlotterScanner`Private`curvePoints$}, If[
                    And[
                    CalculateScan`PlotterScanner`Private`sa$$ === False, 
                    CalculateScan`PlotterScanner`Private`st$$ == True], 
                    CalculateScan`PlotterScanner`Private`st$$ = False]; 
                    If[CalculateScan`PlotterScanner`Private`symmxQ$$, 
                    If[
                    And[
                    CalculateScan`PlotterScanner`Private`x1$$ == 
                    CalculateScan`PlotterScanner`Private`x1Old$, 
                    CalculateScan`PlotterScanner`Private`x2$$ != 
                    CalculateScan`PlotterScanner`Private`x2Old$], 
                    CalculateScan`PlotterScanner`Private`x1$$ = -
                    CalculateScan`PlotterScanner`Private`x2$$, 
                    CalculateScan`PlotterScanner`Private`x2$$ = -
                    CalculateScan`PlotterScanner`Private`x1$$]]; 
                    CalculateScan`PlotterScanner`Private`x1Old$ = 
                    CalculateScan`PlotterScanner`Private`x1$$; 
                    CalculateScan`PlotterScanner`Private`x2Old$ = 
                    CalculateScan`PlotterScanner`Private`x2$$; 
                    If[CalculateScan`PlotterScanner`Private`symmyQ$$, 
                    If[
                    And[
                    CalculateScan`PlotterScanner`Private`fy1$$ == 
                    CalculateScan`PlotterScanner`Private`fy1Old$, 
                    CalculateScan`PlotterScanner`Private`fy2$$ != 
                    CalculateScan`PlotterScanner`Private`fy2Old$], 
                    CalculateScan`PlotterScanner`Private`fy1$$ = 
                    CalculateScan`PlotterScanner`Private`fy2$$, 
                    CalculateScan`PlotterScanner`Private`fy2$$ = 
                    CalculateScan`PlotterScanner`Private`fy1$$]]; 
                    CalculateScan`PlotterScanner`Private`fy1Old$ = 
                    CalculateScan`PlotterScanner`Private`fy1$$; 
                    CalculateScan`PlotterScanner`Private`fy2Old$ = 
                    CalculateScan`PlotterScanner`Private`fy2$$; 
                    If[CalculateScan`PlotterScanner`Private`x1$$ == 
                    CalculateScan`PlotterScanner`Private`x2$$, 
                    CalculateScan`PlotterScanner`Private`x2$$ = 
                    CalculateScan`PlotterScanner`Private`x1$$ + 
                    24.19026343264141/100]; {
                    CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$} = Sort[
                    N[{
                    
                    Function[{
                    CalculateScan`PlotterScanner`Private`y, 
                    CalculateScan`PlotterScanner`Private`L}, 
                    Sign[CalculateScan`PlotterScanner`Private`y] 
                    CalculateScan`PlotterScanner`Private`L Tan[
                    Abs[CalculateScan`PlotterScanner`Private`y]]^1][
                    CalculateScan`PlotterScanner`Private`x1$$, 
                    12.095131716320704`], 
                    
                    Function[{
                    CalculateScan`PlotterScanner`Private`y, 
                    CalculateScan`PlotterScanner`Private`L}, 
                    Sign[CalculateScan`PlotterScanner`Private`y] 
                    CalculateScan`PlotterScanner`Private`L Tan[
                    Abs[CalculateScan`PlotterScanner`Private`y]]^1][
                    CalculateScan`PlotterScanner`Private`x2$$, 
                    12.095131716320704`]}]]; 
                    CalculateScan`PlotterScanner`Private`singularities$ = (
                    CalculateScan`PlotterScanner`Private`ts$ = 
                    TimeConstrained[
                    CalculateScan`PlotterScanner`Private`red = Reduce[
                    And[
                    1/(Sec[Global`x]^2 - (Cos[Global`x]^3 + 
                    Cos[Global`x]^2 Sin[Global`x])^(-1) (Cos[Global`x]^3 + 
                    Sin[Global`x]^3)) == 0, 
                    CalculateScan`PlotterScanner`Private`X1$ < Global`x < 
                    CalculateScan`PlotterScanner`Private`X2$], Global`x, 
                    Reals], 0.2, False]; 
                    If[CalculateScan`PlotterScanner`Private`ts$ === False, {}, 
                    Cases[
                    ReplaceAll[Global`x, {
                    ToRules[CalculateScan`PlotterScanner`Private`ts$]}], 
                    Blank[Real]]]); 
                    CalculateScan`PlotterScanner`Private`originalCurvePlot0$ = 
                    Plot[
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 0, 1, 2, 0, 
                    0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 6, 3, 0, 0, 
                    3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56, 3, 0, 1, 3,
                     0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58, 3, 0, 6, 3,
                     0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 6}, {13, 2, 6, 
                    7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][Global`x], {
                    Global`x, CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$}, PlotStyle -> 
                    Directive[Black, Thick], Evaluated -> False, Exclusions -> 
                    CalculateScan`PlotterScanner`Private`singularities$]; {{
                    CalculateScan`PlotterScanner`Private`xL$, 
                    CalculateScan`PlotterScanner`Private`xU$}, {
                    CalculateScan`PlotterScanner`Private`yL$, 
                    CalculateScan`PlotterScanner`Private`yU$}} = 
                    FullOptions[
                    CalculateScan`PlotterScanner`Private`originalCurvePlot0$, 
                    PlotRange]; CalculateScan`PlotterScanner`Private`pRX$ = {
                    Min[
                    CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$], 
                    Max[
                    CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$]}; 
                    CalculateScan`PlotterScanner`Private`\[CapitalDelta]X$ = 
                    Abs[CalculateScan`PlotterScanner`Private`X2$ - 
                    CalculateScan`PlotterScanner`Private`X1$]; 
                    CalculateScan`PlotterScanner`Private`\[CapitalDelta]y$ = 
                    CalculateScan`PlotterScanner`Private`yU$ - 
                    CalculateScan`PlotterScanner`Private`yL$; If[
                    And[
                    CalculateScan`PlotterScanner`Private`sqPRQ$$, 
                    CalculateScan`PlotterScanner`Private`symmyQ$$, 
                    Sign[CalculateScan`PlotterScanner`Private`X1$] === -
                    Sign[CalculateScan`PlotterScanner`Private`X2$], 
                    Abs[1 - CalculateScan`PlotterScanner`Private`fy1$$/
                    CalculateScan`PlotterScanner`Private`fy2$$] < 10^(-3)], 
                    CalculateScan`PlotterScanner`Private`fy1$$ = 
                    ArcTan[((-100) CalculateScan`PlotterScanner`Private`xL$ - 
                    100 CalculateScan`PlotterScanner`Private`yL$ + 
                    CalculateScan`PlotterScanner`Private`\[CapitalDelta]y$)/(
                    100 CalculateScan`PlotterScanner`Private`\[CapitalDelta]y$\
)]; CalculateScan`PlotterScanner`Private`fy2$$ = 
                    CalculateScan`PlotterScanner`Private`fy1$$; Null]; {
                    CalculateScan`PlotterScanner`Private`Y1$, 
                    CalculateScan`PlotterScanner`Private`Y2$} = {
                    CalculateScan`PlotterScanner`Private`yL$ - 
                    CalculateScan`PlotterScanner`Private`\[CapitalDelta]y$/
                    100 - Function[{
                    CalculateScan`PlotterScanner`Private`y, 
                    CalculateScan`PlotterScanner`Private`L}, 
                    Sign[CalculateScan`PlotterScanner`Private`y] 
                    CalculateScan`PlotterScanner`Private`L Tan[
                    Abs[CalculateScan`PlotterScanner`Private`y]]^1][
                    CalculateScan`PlotterScanner`Private`fy1$$, 1] 
                    CalculateScan`PlotterScanner`Private`\[CapitalDelta]y$, 
                    CalculateScan`PlotterScanner`Private`yU$ + 
                    CalculateScan`PlotterScanner`Private`\[CapitalDelta]y$/
                    100 + Function[{
                    CalculateScan`PlotterScanner`Private`y, 
                    CalculateScan`PlotterScanner`Private`L}, 
                    Sign[CalculateScan`PlotterScanner`Private`y] 
                    CalculateScan`PlotterScanner`Private`L Tan[
                    Abs[CalculateScan`PlotterScanner`Private`y]]^1][
                    CalculateScan`PlotterScanner`Private`fy2$$, 1] 
                    CalculateScan`PlotterScanner`Private`\[CapitalDelta]y$}; 
                    CalculateScan`PlotterScanner`Private`pRY$ = {
                    CalculateScan`PlotterScanner`Private`Y1$, 
                    CalculateScan`PlotterScanner`Private`Y2$}; 
                    CalculateScan`PlotterScanner`Private`originalCurvePlot$ = 
                    Plot[
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 0, 1, 2, 0, 
                    0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 6, 3, 0, 0, 
                    3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56, 3, 0, 1, 3,
                     0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58, 3, 0, 6, 3,
                     0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 6}, {13, 2, 6, 
                    7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][Global`x], {
                    Global`x, CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$}, PlotStyle -> 
                    Directive[Black, Thick], PlotRange -> 
                    CalculateScan`PlotterScanner`Private`pRY$, Evaluated -> 
                    False, Exclusions -> 
                    CalculateScan`PlotterScanner`Private`singularities$]; 
                    CalculateScan`PlotterScanner`Private`tangentsLines$ = 
                    If[CalculateScan`PlotterScanner`Private`tangentTF$$, 
                    CalculateScan`PlotterScanner`Private`addTangents[{
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 0, 1, 2, 0, 
                    0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 6, 3, 0, 0, 
                    3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56, 3, 0, 1, 3,
                     0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58, 3, 0, 6, 3,
                     0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 6}, {13, 2, 6, 
                    7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate], 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = 
                    Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate]}, {
                    Global`x, CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$}, 
                    CalculateScan`PlotterScanner`Private`tangentCount$$, 
                    "LengthFactor" -> 
                    Function[{
                    CalculateScan`PlotterScanner`Private`y, 
                    CalculateScan`PlotterScanner`Private`L}, 
                    Sign[CalculateScan`PlotterScanner`Private`y] 
                    CalculateScan`PlotterScanner`Private`L Tan[
                    Abs[CalculateScan`PlotterScanner`Private`y]]^1][
                    CalculateScan`PlotterScanner`Private`tangentLength$$, 
                    12.095131716320704`]], {}]; 
                    CalculateScan`PlotterScanner`Private`tangentLinePlot$ = 
                    Graphics[{
                    Directive[
                    CalculateScan`PlotterScanner`Private`tangentColor$$, 
                    Opacity[
                    CalculateScan`PlotterScanner`Private`tangentOpacity$$], 
                    Thickness[
                    10^CalculateScan`PlotterScanner`Private`tangentThickness$$\
]], CalculateScan`PlotterScanner`Private`tangentsLines$}]; 
                    CalculateScan`PlotterScanner`Private`normalLines$ = 
                    If[CalculateScan`PlotterScanner`Private`normalTF$$, 
                    CalculateScan`PlotterScanner`Private`addTangents[{
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 0, 1, 2, 0, 
                    0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 6, 3, 0, 0, 
                    3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56, 3, 0, 1, 3,
                     0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58, 3, 0, 6, 3,
                     0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 6}, {13, 2, 6, 
                    7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate], 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = 
                    Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate]}, {Global`x, 
                    Min[
                    CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$], 
                    Max[
                    CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$]}, 
                    CalculateScan`PlotterScanner`Private`normalCount$$, 
                    "LengthFactor" -> 
                    Function[{
                    CalculateScan`PlotterScanner`Private`y, 
                    CalculateScan`PlotterScanner`Private`L}, 
                    Sign[CalculateScan`PlotterScanner`Private`y] 
                    CalculateScan`PlotterScanner`Private`L Tan[
                    Abs[CalculateScan`PlotterScanner`Private`y]]^1][
                    CalculateScan`PlotterScanner`Private`normalLength$$, 
                    12.095131716320704`], "TiltAngle" -> Pi/2], {}]; 
                    CalculateScan`PlotterScanner`Private`normalLinePlot$ = 
                    Graphics[{
                    Directive[
                    CalculateScan`PlotterScanner`Private`normalColor$$, 
                    Opacity[
                    CalculateScan`PlotterScanner`Private`normalOpacity$$], 
                    Thickness[
                    10^CalculateScan`PlotterScanner`Private`normalThickness$$]\
], CalculateScan`PlotterScanner`Private`normalLines$}]; 
                    CalculateScan`PlotterScanner`Private`tiltedTangentLines$ = 
                    If[CalculateScan`PlotterScanner`Private`tiltedTangentTF$$, 
                    CalculateScan`PlotterScanner`Private`addTangents[{
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 0, 1, 2, 0, 
                    0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 6, 3, 0, 0, 
                    3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56, 3, 0, 1, 3,
                     0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58, 3, 0, 6, 3,
                     0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 6}, {13, 2, 6, 
                    7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate], 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = 
                    Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate]}, {Global`x, 
                    Min[
                    CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$], 
                    Max[
                    CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$]}, 
                    CalculateScan`PlotterScanner`Private`tiltedTangentCount$$,
                     "LengthFactor" -> 
                    Function[{
                    CalculateScan`PlotterScanner`Private`y, 
                    CalculateScan`PlotterScanner`Private`L}, 
                    Sign[CalculateScan`PlotterScanner`Private`y] 
                    CalculateScan`PlotterScanner`Private`L Tan[
                    Abs[CalculateScan`PlotterScanner`Private`y]]^1][
                    CalculateScan`PlotterScanner`Private`tiltedTangentLength$$\
, 12.095131716320704`], "TiltAngle" -> 
                    CalculateScan`PlotterScanner`Private`tiltedTangentAngle$$]\
, {}]; CalculateScan`PlotterScanner`Private`tiltedTangentLinePlot$ = Graphics[{
                    Directive[
                    CalculateScan`PlotterScanner`Private`tiltedTangentColor$$, 
                    Opacity[
                    CalculateScan`PlotterScanner`Private`tiltedTangentOpacity$\
$], 
                    Thickness[
                    10^CalculateScan`PlotterScanner`Private`\
tiltedTangentThickness$$]], 
                    CalculateScan`PlotterScanner`Private`tiltedTangentLines$}]\
; If[
                    And[
                    CalculateScan`PlotterScanner`Private`osculatingCircleTF$$,
                     CalculateScan`PlotterScanner`Private`\
osculatingCircleLastParamaters$ =!= {{
                    CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$}, 
                    CalculateScan`PlotterScanner`Private`\
osculatingCircleCount$$}], 
                    CalculateScan`PlotterScanner`Private`osculatingCircles$$ = 
                    If[CalculateScan`PlotterScanner`Private`\
osculatingCircleTF$$, 
                    CalculateScan`PlotterScanner`Private`addOsculatingCircles[{
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 0, 1, 2, 0, 
                    0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 6, 3, 0, 0, 
                    3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56, 3, 0, 1, 3,
                     0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58, 3, 0, 6, 3,
                     0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 6}, {13, 2, 6, 
                    7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate], 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate], 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    18}}, {{6, {2, 0, 3}}, {-2, {2, 0, 2}}, {
                    2, {2, 0, 4}}, {-3, {2, 0, 1}}, {4, {2, 0, 5}}, {
                    3, {2, 0, 0}}, {-7, {2, 0, 6}}}, {0, 7, 25, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 0, 1, 2, 0, 
                    0, 3, 0, 2}, {40, 56, 3, 0, 1, 3, 0, 3}, {40, 1, 3, 0, 0, 
                    3, 0, 4}, {10, 1, 5}, {16, 5, 3, 4, 5}, {40, 56, 3, 0, 4, 
                    3, 0, 6}, {16, 3, 4, 7}, {13, 2, 7, 8}, {10, 2, 9}, {16, 
                    9, 1, 6, 9}, {13, 2, 5, 9, 10}, {41, 263, 3, 0, 4, 2, 0, 
                    0, 3, 0, 11}, {40, 56, 3, 0, 8, 3, 0, 12}, {40, 58, 3, 0, 
                    12, 3, 0, 13}, {13, 2, 11, 12}, {10, 1, 14}, {16, 14, 2, 
                    14}, {10, 3, 15}, {16, 15, 1, 6, 15}, {40, 6, 3, 0, 0, 3, 
                    0, 16}, {41, 263, 3, 0, 16, 2, 0, 5, 3, 0, 17}, {10, 4, 
                    18}, {16, 18, 17, 18}, {10, 0, 17}, {16, 17, 1, 6, 17}, {
                    13, 5, 17, 19}, {10, 4, 17}, {16, 17, 13, 10, 19, 17}, {
                    40, 58, 3, 0, 8, 3, 0, 19}, {10, 3, 20}, {16, 20, 3, 4, 
                    20}, {10, 1, 21}, {16, 21, 11, 21}, {13, 14, 20, 15, 21, 
                    22}, {16, 19, 22, 19}, {19, 19, 22}, {41, 263, 3, 0, 8, 2,
                     0, 0, 3, 0, 19}, {40, 58, 3, 0, 19, 3, 0, 20}, {40, 56, 
                    3, 0, 10, 3, 0, 19}, {10, 2, 21}, {16, 21, 20, 19, 12, 
                    21}, {10, 6, 20}, {16, 20, 3, 4, 20}, {10, 4, 19}, {16, 
                    19, 11, 19}, {13, 14, 20, 15, 19, 23}, {16, 13, 12, 23, 
                    20}, {40, 56, 3, 0, 16, 3, 0, 23}, {40, 3, 3, 0, 0, 3, 0, 
                    19}, {40, 56, 3, 0, 19, 3, 0, 24}, {10, 5, 19}, {16, 19, 
                    23, 24, 19}, {13, 18, 17, 22, 21, 20, 19, 18}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$929, Compile`$930, Compile`$931, 
                    Compile`$932, Compile`$936, Compile`$937, Compile`$933, 
                    Compile`$934, Compile`$938, Compile`$939, Compile`$949, 
                    Compile`$935, Compile`$957, Compile`$946, Compile`$948, 
                    Compile`$344}, Compile`$929 = Cos[Global`x]; 
                    Compile`$930 = Compile`$929^3; 
                    Compile`$931 = Compile`$929^2; 
                    Compile`$932 = Sin[Global`x]; 
                    Compile`$936 = (-3) Compile`$931 Compile`$932; 
                    Compile`$937 = Compile`$932^2; 
                    Compile`$933 = Compile`$931 Compile`$932; 
                    Compile`$934 = Compile`$930 + Compile`$933; 
                    Compile`$938 = (-2) Compile`$929 Compile`$937; 
                    Compile`$939 = Compile`$930 + Compile`$936 + Compile`$938; 
                    Compile`$949 = Compile`$932^3; 
                    Compile`$935 = Compile`$934^(-2); 
                    Compile`$957 = Compile`$930 + Compile`$949; 
                    Compile`$946 = (-3) Compile`$930; 
                    Compile`$948 = 6 Compile`$929 Compile`$937; 
                    Compile`$344 = Sec[Global`x]; 
                    2 Compile`$344^4 + 
                    2 Compile`$935 
                    Compile`$939 (Compile`$936 + 3 Compile`$929 Compile`$937) - 
                    Compile`$934^(-1) (Compile`$946 + 
                    6 Compile`$931 Compile`$932 + Compile`$948 - 3 
                    Compile`$949) - 2 Compile`$934^(-3) Compile`$939^2 
                    Compile`$957 + Compile`$935 
                    Compile`$957 (Compile`$946 - 7 Compile`$931 Compile`$932 + 
                    Compile`$948 + 2 Compile`$949) + 
                    4 Compile`$344^2 Tan[Global`x]^2]], Evaluate]}, {Global`x, 
                    Min[
                    CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$], 
                    Max[
                    CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$]}, 
                    CalculateScan`PlotterScanner`Private`\
osculatingCircleCount$$], {}]; 
                    CalculateScan`PlotterScanner`Private`\
osculatingCircleRadii$ = If[
                    And[
                    CalculateScan`PlotterScanner`Private`osculatingCircleTF$$,
                     CalculateScan`PlotterScanner`Private`\
osculatingCircleRadiiTF$$], 
                    
                    CalculateScan`PlotterScanner`Private`\
addOsculatingCircleRadii[{
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 0, 1, 2, 0, 
                    0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 6, 3, 0, 0, 
                    3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56, 3, 0, 1, 3,
                     0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58, 3, 0, 6, 3,
                     0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 6}, {13, 2, 6, 
                    7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate], 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate], 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    18}}, {{6, {2, 0, 3}}, {-2, {2, 0, 2}}, {
                    2, {2, 0, 4}}, {-3, {2, 0, 1}}, {4, {2, 0, 5}}, {
                    3, {2, 0, 0}}, {-7, {2, 0, 6}}}, {0, 7, 25, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 0, 1, 2, 0, 
                    0, 3, 0, 2}, {40, 56, 3, 0, 1, 3, 0, 3}, {40, 1, 3, 0, 0, 
                    3, 0, 4}, {10, 1, 5}, {16, 5, 3, 4, 5}, {40, 56, 3, 0, 4, 
                    3, 0, 6}, {16, 3, 4, 7}, {13, 2, 7, 8}, {10, 2, 9}, {16, 
                    9, 1, 6, 9}, {13, 2, 5, 9, 10}, {41, 263, 3, 0, 4, 2, 0, 
                    0, 3, 0, 11}, {40, 56, 3, 0, 8, 3, 0, 12}, {40, 58, 3, 0, 
                    12, 3, 0, 13}, {13, 2, 11, 12}, {10, 1, 14}, {16, 14, 2, 
                    14}, {10, 3, 15}, {16, 15, 1, 6, 15}, {40, 6, 3, 0, 0, 3, 
                    0, 16}, {41, 263, 3, 0, 16, 2, 0, 5, 3, 0, 17}, {10, 4, 
                    18}, {16, 18, 17, 18}, {10, 0, 17}, {16, 17, 1, 6, 17}, {
                    13, 5, 17, 19}, {10, 4, 17}, {16, 17, 13, 10, 19, 17}, {
                    40, 58, 3, 0, 8, 3, 0, 19}, {10, 3, 20}, {16, 20, 3, 4, 
                    20}, {10, 1, 21}, {16, 21, 11, 21}, {13, 14, 20, 15, 21, 
                    22}, {16, 19, 22, 19}, {19, 19, 22}, {41, 263, 3, 0, 8, 2,
                     0, 0, 3, 0, 19}, {40, 58, 3, 0, 19, 3, 0, 20}, {40, 56, 
                    3, 0, 10, 3, 0, 19}, {10, 2, 21}, {16, 21, 20, 19, 12, 
                    21}, {10, 6, 20}, {16, 20, 3, 4, 20}, {10, 4, 19}, {16, 
                    19, 11, 19}, {13, 14, 20, 15, 19, 23}, {16, 13, 12, 23, 
                    20}, {40, 56, 3, 0, 16, 3, 0, 23}, {40, 3, 3, 0, 0, 3, 0, 
                    19}, {40, 56, 3, 0, 19, 3, 0, 24}, {10, 5, 19}, {16, 19, 
                    23, 24, 19}, {13, 18, 17, 22, 21, 20, 19, 18}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$929, Compile`$930, Compile`$931, 
                    Compile`$932, Compile`$936, Compile`$937, Compile`$933, 
                    Compile`$934, Compile`$938, Compile`$939, Compile`$949, 
                    Compile`$935, Compile`$957, Compile`$946, Compile`$948, 
                    Compile`$344}, Compile`$929 = Cos[Global`x]; 
                    Compile`$930 = Compile`$929^3; 
                    Compile`$931 = Compile`$929^2; 
                    Compile`$932 = Sin[Global`x]; 
                    Compile`$936 = (-3) Compile`$931 Compile`$932; 
                    Compile`$937 = Compile`$932^2; 
                    Compile`$933 = Compile`$931 Compile`$932; 
                    Compile`$934 = Compile`$930 + Compile`$933; 
                    Compile`$938 = (-2) Compile`$929 Compile`$937; 
                    Compile`$939 = Compile`$930 + Compile`$936 + Compile`$938; 
                    Compile`$949 = Compile`$932^3; 
                    Compile`$935 = Compile`$934^(-2); 
                    Compile`$957 = Compile`$930 + Compile`$949; 
                    Compile`$946 = (-3) Compile`$930; 
                    Compile`$948 = 6 Compile`$929 Compile`$937; 
                    Compile`$344 = Sec[Global`x]; 
                    2 Compile`$344^4 + 
                    2 Compile`$935 
                    Compile`$939 (Compile`$936 + 3 Compile`$929 Compile`$937) - 
                    Compile`$934^(-1) (Compile`$946 + 
                    6 Compile`$931 Compile`$932 + Compile`$948 - 3 
                    Compile`$949) - 2 Compile`$934^(-3) Compile`$939^2 
                    Compile`$957 + Compile`$935 
                    Compile`$957 (Compile`$946 - 7 Compile`$931 Compile`$932 + 
                    Compile`$948 + 2 Compile`$949) + 
                    4 Compile`$344^2 Tan[Global`x]^2]], Evaluate]}, {Global`x, 
                    Min[
                    CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$], 
                    Max[
                    CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$]}, 
                    CalculateScan`PlotterScanner`Private`\
osculatingCircleCount$$], {}]; 
                    CalculateScan`PlotterScanner`Private`\
osculatingCircleLastParamaters$ = {{
                    CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$}, 
                    CalculateScan`PlotterScanner`Private`\
osculatingCircleCount$$}]; 
                    CalculateScan`PlotterScanner`Private`osculatingCirclePlot$\
 = Graphics[{
                    Directive[
                    CalculateScan`PlotterScanner`Private`\
osculatingCircleColor$$, 
                    Opacity[
                    CalculateScan`PlotterScanner`Private`\
osculatingCircleOpacity$$], 
                    Thickness[
                    10^CalculateScan`PlotterScanner`Private`\
osculatingCircleThickness$$]], 
                    If[
                    CalculateScan`PlotterScanner`Private`osculatingCircleTF$$,
                     CalculateScan`PlotterScanner`Private`osculatingCircles$$,\
 {}], 
                    If[
                    And[
                    CalculateScan`PlotterScanner`Private`osculatingCircleTF$$,
                     CalculateScan`PlotterScanner`Private`\
osculatingCircleRadiiTF$$], 
                    CalculateScan`PlotterScanner`Private`\
osculatingCircleRadii$, {}]}]; If[
                    And[
                    CalculateScan`PlotterScanner`Private`taylorParabolaTF$$, 
                    CalculateScan`PlotterScanner`Private`\
taylorParabolaLastParamaters$$ =!= {{
                    CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$}, 
                    CalculateScan`PlotterScanner`Private`taylorParabolaCount$$\
}], CalculateScan`PlotterScanner`Private`taylorParabolas$$ = 
                    If[CalculateScan`PlotterScanner`Private`taylorParabolaTF$$\
, 
                    CalculateScan`PlotterScanner`Private`addTaylorParabolas[{
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 0, 1, 2, 0, 
                    0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 6, 3, 0, 0, 
                    3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56, 3, 0, 1, 3,
                     0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58, 3, 0, 6, 3,
                     0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 6}, {13, 2, 6, 
                    7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate], 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate], 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    18}}, {{6, {2, 0, 3}}, {-2, {2, 0, 2}}, {
                    2, {2, 0, 4}}, {-3, {2, 0, 1}}, {4, {2, 0, 5}}, {
                    3, {2, 0, 0}}, {-7, {2, 0, 6}}}, {0, 7, 25, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 0, 1, 2, 0, 
                    0, 3, 0, 2}, {40, 56, 3, 0, 1, 3, 0, 3}, {40, 1, 3, 0, 0, 
                    3, 0, 4}, {10, 1, 5}, {16, 5, 3, 4, 5}, {40, 56, 3, 0, 4, 
                    3, 0, 6}, {16, 3, 4, 7}, {13, 2, 7, 8}, {10, 2, 9}, {16, 
                    9, 1, 6, 9}, {13, 2, 5, 9, 10}, {41, 263, 3, 0, 4, 2, 0, 
                    0, 3, 0, 11}, {40, 56, 3, 0, 8, 3, 0, 12}, {40, 58, 3, 0, 
                    12, 3, 0, 13}, {13, 2, 11, 12}, {10, 1, 14}, {16, 14, 2, 
                    14}, {10, 3, 15}, {16, 15, 1, 6, 15}, {40, 6, 3, 0, 0, 3, 
                    0, 16}, {41, 263, 3, 0, 16, 2, 0, 5, 3, 0, 17}, {10, 4, 
                    18}, {16, 18, 17, 18}, {10, 0, 17}, {16, 17, 1, 6, 17}, {
                    13, 5, 17, 19}, {10, 4, 17}, {16, 17, 13, 10, 19, 17}, {
                    40, 58, 3, 0, 8, 3, 0, 19}, {10, 3, 20}, {16, 20, 3, 4, 
                    20}, {10, 1, 21}, {16, 21, 11, 21}, {13, 14, 20, 15, 21, 
                    22}, {16, 19, 22, 19}, {19, 19, 22}, {41, 263, 3, 0, 8, 2,
                     0, 0, 3, 0, 19}, {40, 58, 3, 0, 19, 3, 0, 20}, {40, 56, 
                    3, 0, 10, 3, 0, 19}, {10, 2, 21}, {16, 21, 20, 19, 12, 
                    21}, {10, 6, 20}, {16, 20, 3, 4, 20}, {10, 4, 19}, {16, 
                    19, 11, 19}, {13, 14, 20, 15, 19, 23}, {16, 13, 12, 23, 
                    20}, {40, 56, 3, 0, 16, 3, 0, 23}, {40, 3, 3, 0, 0, 3, 0, 
                    19}, {40, 56, 3, 0, 19, 3, 0, 24}, {10, 5, 19}, {16, 19, 
                    23, 24, 19}, {13, 18, 17, 22, 21, 20, 19, 18}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$929, Compile`$930, Compile`$931, 
                    Compile`$932, Compile`$936, Compile`$937, Compile`$933, 
                    Compile`$934, Compile`$938, Compile`$939, Compile`$949, 
                    Compile`$935, Compile`$957, Compile`$946, Compile`$948, 
                    Compile`$344}, Compile`$929 = Cos[Global`x]; 
                    Compile`$930 = Compile`$929^3; 
                    Compile`$931 = Compile`$929^2; 
                    Compile`$932 = Sin[Global`x]; 
                    Compile`$936 = (-3) Compile`$931 Compile`$932; 
                    Compile`$937 = Compile`$932^2; 
                    Compile`$933 = Compile`$931 Compile`$932; 
                    Compile`$934 = Compile`$930 + Compile`$933; 
                    Compile`$938 = (-2) Compile`$929 Compile`$937; 
                    Compile`$939 = Compile`$930 + Compile`$936 + Compile`$938; 
                    Compile`$949 = Compile`$932^3; 
                    Compile`$935 = Compile`$934^(-2); 
                    Compile`$957 = Compile`$930 + Compile`$949; 
                    Compile`$946 = (-3) Compile`$930; 
                    Compile`$948 = 6 Compile`$929 Compile`$937; 
                    Compile`$344 = Sec[Global`x]; 
                    2 Compile`$344^4 + 
                    2 Compile`$935 
                    Compile`$939 (Compile`$936 + 3 Compile`$929 Compile`$937) - 
                    Compile`$934^(-1) (Compile`$946 + 
                    6 Compile`$931 Compile`$932 + Compile`$948 - 3 
                    Compile`$949) - 2 Compile`$934^(-3) Compile`$939^2 
                    Compile`$957 + Compile`$935 
                    Compile`$957 (Compile`$946 - 7 Compile`$931 Compile`$932 + 
                    Compile`$948 + 2 Compile`$949) + 
                    4 Compile`$344^2 Tan[Global`x]^2]], Evaluate]}, {Global`x, 
                    Min[
                    CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$], 
                    Max[
                    CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$]}, 
                    CalculateScan`PlotterScanner`Private`taylorParabolaCount$$\
], {}]; CalculateScan`PlotterScanner`Private`taylorParabolaLastParamaters$$ = \
{{CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$}, 
                    CalculateScan`PlotterScanner`Private`taylorParabolaCount$$\
}]; CalculateScan`PlotterScanner`Private`taylorParabolaPlot$ = Graphics[{
                    Directive[
                    CalculateScan`PlotterScanner`Private`taylorParabolaColor$$\
, 
                    Opacity[
                    CalculateScan`PlotterScanner`Private`\
taylorParabolaOpacity$$], 
                    Thickness[
                    10^CalculateScan`PlotterScanner`Private`\
taylorParabolaThickness$$]], 
                    If[
                    CalculateScan`PlotterScanner`Private`taylorParabolaTF$$, 
                    CalculateScan`PlotterScanner`Private`taylorParabolas$$, \
{}]}]; CalculateScan`PlotterScanner`Private`evolutePlot$ = 
                    If[CalculateScan`PlotterScanner`Private`evoluteTF$$, 
                    ParametricPlot[{Global`x, 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 0, 1, 2, 0, 
                    0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 6, 3, 0, 0, 
                    3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56, 3, 0, 1, 3,
                     0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58, 3, 0, 6, 3,
                     0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 6}, {13, 2, 6, 
                    7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][
                    Global`x]} + {-CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate][Global`x], 1} (1 + 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate][Global`x]^2)/CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    18}}, {{6, {2, 0, 3}}, {-2, {2, 0, 2}}, {
                    2, {2, 0, 4}}, {-3, {2, 0, 1}}, {4, {2, 0, 5}}, {
                    3, {2, 0, 0}}, {-7, {2, 0, 6}}}, {0, 7, 25, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 0, 1, 2, 0, 
                    0, 3, 0, 2}, {40, 56, 3, 0, 1, 3, 0, 3}, {40, 1, 3, 0, 0, 
                    3, 0, 4}, {10, 1, 5}, {16, 5, 3, 4, 5}, {40, 56, 3, 0, 4, 
                    3, 0, 6}, {16, 3, 4, 7}, {13, 2, 7, 8}, {10, 2, 9}, {16, 
                    9, 1, 6, 9}, {13, 2, 5, 9, 10}, {41, 263, 3, 0, 4, 2, 0, 
                    0, 3, 0, 11}, {40, 56, 3, 0, 8, 3, 0, 12}, {40, 58, 3, 0, 
                    12, 3, 0, 13}, {13, 2, 11, 12}, {10, 1, 14}, {16, 14, 2, 
                    14}, {10, 3, 15}, {16, 15, 1, 6, 15}, {40, 6, 3, 0, 0, 3, 
                    0, 16}, {41, 263, 3, 0, 16, 2, 0, 5, 3, 0, 17}, {10, 4, 
                    18}, {16, 18, 17, 18}, {10, 0, 17}, {16, 17, 1, 6, 17}, {
                    13, 5, 17, 19}, {10, 4, 17}, {16, 17, 13, 10, 19, 17}, {
                    40, 58, 3, 0, 8, 3, 0, 19}, {10, 3, 20}, {16, 20, 3, 4, 
                    20}, {10, 1, 21}, {16, 21, 11, 21}, {13, 14, 20, 15, 21, 
                    22}, {16, 19, 22, 19}, {19, 19, 22}, {41, 263, 3, 0, 8, 2,
                     0, 0, 3, 0, 19}, {40, 58, 3, 0, 19, 3, 0, 20}, {40, 56, 
                    3, 0, 10, 3, 0, 19}, {10, 2, 21}, {16, 21, 20, 19, 12, 
                    21}, {10, 6, 20}, {16, 20, 3, 4, 20}, {10, 4, 19}, {16, 
                    19, 11, 19}, {13, 14, 20, 15, 19, 23}, {16, 13, 12, 23, 
                    20}, {40, 56, 3, 0, 16, 3, 0, 23}, {40, 3, 3, 0, 0, 3, 0, 
                    19}, {40, 56, 3, 0, 19, 3, 0, 24}, {10, 5, 19}, {16, 19, 
                    23, 24, 19}, {13, 18, 17, 22, 21, 20, 19, 18}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$929, Compile`$930, Compile`$931, 
                    Compile`$932, Compile`$936, Compile`$937, Compile`$933, 
                    Compile`$934, Compile`$938, Compile`$939, Compile`$949, 
                    Compile`$935, Compile`$957, Compile`$946, Compile`$948, 
                    Compile`$344}, Compile`$929 = Cos[Global`x]; 
                    Compile`$930 = Compile`$929^3; 
                    Compile`$931 = Compile`$929^2; 
                    Compile`$932 = Sin[Global`x]; 
                    Compile`$936 = (-3) Compile`$931 Compile`$932; 
                    Compile`$937 = Compile`$932^2; 
                    Compile`$933 = Compile`$931 Compile`$932; 
                    Compile`$934 = Compile`$930 + Compile`$933; 
                    Compile`$938 = (-2) Compile`$929 Compile`$937; 
                    Compile`$939 = Compile`$930 + Compile`$936 + Compile`$938; 
                    Compile`$949 = Compile`$932^3; 
                    Compile`$935 = Compile`$934^(-2); 
                    Compile`$957 = Compile`$930 + Compile`$949; 
                    Compile`$946 = (-3) Compile`$930; 
                    Compile`$948 = 6 Compile`$929 Compile`$937; 
                    Compile`$344 = Sec[Global`x]; 
                    2 Compile`$344^4 + 
                    2 Compile`$935 
                    Compile`$939 (Compile`$936 + 3 Compile`$929 Compile`$937) - 
                    Compile`$934^(-1) (Compile`$946 + 
                    6 Compile`$931 Compile`$932 + Compile`$948 - 3 
                    Compile`$949) - 2 Compile`$934^(-3) Compile`$939^2 
                    Compile`$957 + 
                    Compile`$935 
                    Compile`$957 (Compile`$946 - 7 Compile`$931 Compile`$932 + 
                    Compile`$948 + 2 Compile`$949) + 
                    4 Compile`$344^2 Tan[Global`x]^2]], Evaluate][Global`x], {
                    Global`x, 
                    Min[CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$] - 
                    CalculateScan`PlotterScanner`Private`\[CapitalDelta]X$/2, 
                    Max[CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$] + 
                    CalculateScan`PlotterScanner`Private`\[CapitalDelta]X$/2},
                     PlotStyle -> Directive[
                    Opacity[
                    CalculateScan`PlotterScanner`Private`evoluteOpacity$$], 
                    CalculateScan`PlotterScanner`Private`evoluteColor$$, 
                    Thickness[
                    10^CalculateScan`PlotterScanner`Private`evoluteThickness$$\
]], PlotRange -> CalculateScan`PlotterScanner`Private`pRY$, Evaluated -> 
                    False, Exclusions -> {
                    CalculateScan`PlotterScanner`Private`functionD[Global`x] == 
                    0}], {}]; If[
                    And[
                    CalculateScan`PlotterScanner`Private`involuteTF$$, 
                    CalculateScan`PlotterScanner`Private`\
involutePlotCurveLastParamaters$ =!= {{
                    CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$}, 
                    CalculateScan`PlotterScanner`Private`involuteCount$$}], 
                    CalculateScan`PlotterScanner`Private`involutePlotCurves$ = 
                    If[CalculateScan`PlotterScanner`Private`involuteTF$$, 
                    CalculateScan`PlotterScanner`Private`singularities$ = 
                    TimeConstrained[
                    Reduce[
                    1/(Sec[Global`x]^2 - (Cos[Global`x]^3 + 
                    Cos[Global`x]^2 Sin[Global`x])^(-1) (Cos[Global`x]^3 + 
                    Sin[Global`x]^3)) == 0, Global`x, Reals], 1, False]; 
                    CalculateScan`PlotterScanner`Private`domainsAndCounts = If[
                    Or[
                    CalculateScan`PlotterScanner`Private`singularities$ === 
                    False, Head[
                    CalculateScan`PlotterScanner`Private`singularities$] === 
                    Reduce], {{{CalculateScan`PlotterScanner`Private`xL$, 
                    CalculateScan`PlotterScanner`Private`xU$}, 
                    CalculateScan`PlotterScanner`Private`involuteCount$$}}, 
                    CalculateScan`PlotterScanner`Private`singularityPoints = 
                    Cases[
                    Chop[
                    N[
                    ReplaceAll[Global`x, {
                    ToRules[
                    CalculateScan`PlotterScanner`Private`singularities$]}]]], 
                    
                    Blank[Real]]; 
                    CalculateScan`PlotterScanner`Private`\
singularityPointsRelevant = Sort[
                    Select[
                    CalculateScan`PlotterScanner`Private`singularityPoints, 
                    CalculateScan`PlotterScanner`Private`xL$ < # < 
                    CalculateScan`PlotterScanner`Private`xU$& ], Less]; 
                    CalculateScan`PlotterScanner`Private`pureDomains = 
                    Partition[{CalculateScan`PlotterScanner`Private`xL$, 
                    Apply[
                    Sequence, 
                    CalculateScan`PlotterScanner`Private`\
singularityPointsRelevant], CalculateScan`PlotterScanner`Private`xU$}, 2, 1]; 
                    Table[CalculateScan`PlotterScanner`Private`iLength = Abs[
                    Apply[Subtract, 
                    Part[
                    CalculateScan`PlotterScanner`Private`pureDomains, 
                    CalculateScan`PlotterScanner`Private`i]]]; 
                    CalculateScan`PlotterScanner`Private`involuteCounti = 
                    Ceiling[CalculateScan`PlotterScanner`Private`iLength (
                    CalculateScan`PlotterScanner`Private`xU$ - 
                    CalculateScan`PlotterScanner`Private`xL$)^(-1) 
                    CalculateScan`PlotterScanner`Private`involuteCount$$]; 
                    CalculateScan`PlotterScanner`Private`iScale = 
                    CalculateScan`PlotterScanner`Private`iLength/
                    CalculateScan`PlotterScanner`Private`involuteCounti; {{
                    Part[CalculateScan`PlotterScanner`Private`pureDomains, 
                    CalculateScan`PlotterScanner`Private`i, 1] + 
                    CalculateScan`PlotterScanner`Private`iScale/4, 
                    Part[CalculateScan`PlotterScanner`Private`pureDomains, 
                    CalculateScan`PlotterScanner`Private`i, 2] - 
                    CalculateScan`PlotterScanner`Private`iScale/4}, 
                    CalculateScan`PlotterScanner`Private`involuteCounti}, {
                    CalculateScan`PlotterScanner`Private`i, 
                    Length[
                    CalculateScan`PlotterScanner`Private`pureDomains]}]]; 
                    CalculateScan`PlotterScanner`Private`iTab$ = Transpose[
                    
                    Table[{{CalculateScan`PlotterScanner`Private`xLi$, 
                    CalculateScan`PlotterScanner`Private`xUi$}, 
                    CalculateScan`PlotterScanner`Private`involuteCounti} = 
                    Part[CalculateScan`PlotterScanner`Private`\
domainsAndCounts, CalculateScan`PlotterScanner`Private`i]; 
                    CalculateScan`PlotterScanner`Private`arcLength$ = Part[
                    
                    NDSolve[{Derivative[1][
                    CalculateScan`PlotterScanner`Private`arcL$][Global`x] == 
                    Sqrt[1 + D[Sec[Global`x]^2 - (Cos[Global`x]^3 + 
                    Cos[Global`x]^2 Sin[Global`x])^(-1) (Cos[Global`x]^3 + 
                    Sin[Global`x]^3), Global`x]^2], 
                    CalculateScan`PlotterScanner`Private`arcL$[
                    CalculateScan`PlotterScanner`Private`xLi$] == 0}, 
                    CalculateScan`PlotterScanner`Private`arcL$, {
                    Global`x, CalculateScan`PlotterScanner`Private`xLi$, 
                    CalculateScan`PlotterScanner`Private`xUi$}], 1, 1, 2]; {
                    CalculateScan`PlotterScanner`Private`xi1$, 
                    CalculateScan`PlotterScanner`Private`xi2$} = 
                    Part[CalculateScan`PlotterScanner`Private`arcLength$, 1, 
                    1]; CalculateScan`PlotterScanner`Private`oCurve = 
                    ParametricPlot3D[
                    Prepend[
                    Normalize[{1, 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate][Global`x]}], Global`x], {
                    Global`x, CalculateScan`PlotterScanner`Private`xLi$, 
                    CalculateScan`PlotterScanner`Private`xUi$}, PlotRange -> 
                    All, Evaluated -> False, MaxRecursion -> 4]; 
                    CalculateScan`PlotterScanner`Private`lineSegments$ = 
                    Select[
                    Map[First, 
                    Cases[
                    Normal[CalculateScan`PlotterScanner`Private`oCurve], 
                    Blank[Line], Infinity]], Length[#] > 3& ]; 
                    CalculateScan`PlotterScanner`Private`baseSegments$ = 
                    Map[{
                    Part[#, 1], 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][
                    Part[#, 1]]}& , 
                    CalculateScan`PlotterScanner`Private`lineSegments$, {-2}]; 
                    CalculateScan`PlotterScanner`Private`oSegments$ = 
                    Map[Rest, 
                    CalculateScan`PlotterScanner`Private`lineSegments$, {-2}]; 
                    CalculateScan`PlotterScanner`Private`arcFactors$ = 
                    Map[CalculateScan`PlotterScanner`Private`arcLength$[
                    Part[#, 1]]& , 
                    CalculateScan`PlotterScanner`Private`lineSegments$, {-2}]; 
                    CalculateScan`PlotterScanner`Private`iTabRight$ = If[True, 
                    Table[
                    CalculateScan`PlotterScanner`Private`x0 = 
                    CalculateScan`PlotterScanner`Private`xi1$ + 
                    CalculateScan`PlotterScanner`Private`jk (
                    CalculateScan`PlotterScanner`Private`involuteCounti + 
                    1)^(-1) (CalculateScan`PlotterScanner`Private`xi2$ - 
                    CalculateScan`PlotterScanner`Private`xi1$); 
                    CalculateScan`PlotterScanner`Private`signedArcFactors$ = 
                    Map[Map[Max[#, 0]& , #]& , 
                    CalculateScan`PlotterScanner`Private`arcFactors$ - 
                    CalculateScan`PlotterScanner`Private`arcLength$[
                    CalculateScan`PlotterScanner`Private`x0]]; 
                    CalculateScan`PlotterScanner`Private`curvePoints$ = 
                    CalculateScan`PlotterScanner`Private`baseSegments$ + 
                    CalculateScan`PlotterScanner`Private`signedArcFactors$ 
                    CalculateScan`PlotterScanner`Private`oSegments$; If[
                    MemberQ[CalculateScan`PlotterScanner`Private`curvePoints$, 
                    Blank[Complex], {0, Infinity}], {}, 
                    Map[
                    BSplineCurve, 
                    CalculateScan`PlotterScanner`Private`curvePoints$]], {
                    CalculateScan`PlotterScanner`Private`jk, 1, 
                    CalculateScan`PlotterScanner`Private`involuteCounti}], \
{}]; CalculateScan`PlotterScanner`Private`iTabLeft$ = If[True, 
                    Table[
                    CalculateScan`PlotterScanner`Private`x0 = 
                    CalculateScan`PlotterScanner`Private`xi2$ + 
                    CalculateScan`PlotterScanner`Private`jk (
                    CalculateScan`PlotterScanner`Private`involuteCounti + 
                    1)^(-1) (CalculateScan`PlotterScanner`Private`xi1$ - 
                    CalculateScan`PlotterScanner`Private`xi2$); 
                    CalculateScan`PlotterScanner`Private`signedArcFactors$ = 
                    Map[Map[Min[#, 0]& , #]& , 
                    CalculateScan`PlotterScanner`Private`arcFactors$ - (
                    CalculateScan`PlotterScanner`Private`arcLength$[
                    CalculateScan`PlotterScanner`Private`xi2$] - 
                    CalculateScan`PlotterScanner`Private`arcLength$[
                    CalculateScan`PlotterScanner`Private`x0])]; 
                    CalculateScan`PlotterScanner`Private`curvePoints$ = 
                    CalculateScan`PlotterScanner`Private`baseSegments$ + 
                    CalculateScan`PlotterScanner`Private`signedArcFactors$ 
                    CalculateScan`PlotterScanner`Private`oSegments$; If[
                    MemberQ[CalculateScan`PlotterScanner`Private`curvePoints$, 
                    Blank[Complex], {0, Infinity}], {}, 
                    Map[
                    BSplineCurve, 
                    CalculateScan`PlotterScanner`Private`curvePoints$]], {
                    CalculateScan`PlotterScanner`Private`jk, 1, 
                    
                    CalculateScan`PlotterScanner`Private`involuteCounti}], \
{}]; {CalculateScan`PlotterScanner`Private`iTabRight$, 
                    CalculateScan`PlotterScanner`Private`iTabLeft$}, {
                    CalculateScan`PlotterScanner`Private`i, 
                    Length[
                    CalculateScan`PlotterScanner`Private`domainsAndCounts]}]]; 
                    CalculateScan`PlotterScanner`Private`iTab$, {}]; 
                    CalculateScan`PlotterScanner`Private`\
involutePlotCurveLastParamaters$ = {{
                    CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$}, 
                    CalculateScan`PlotterScanner`Private`involuteCount$$}; 
                    Null]; CalculateScan`PlotterScanner`Private`involutePlot$ = 
                    Graphics[{
                    Directive[
                    CalculateScan`PlotterScanner`Private`involuteColor$$, 
                    Opacity[
                    CalculateScan`PlotterScanner`Private`involuteOpacity$$], 
                    Thickness[
                    10^CalculateScan`PlotterScanner`Private`involuteThickness$\
$]], 
                    If[
                    And[
                    CalculateScan`PlotterScanner`Private`involuteTF$$, 
                    CalculateScan`PlotterScanner`Private`involutesRightTF$$], 
                    
                    Part[
                    CalculateScan`PlotterScanner`Private`involutePlotCurves$, 
                    1], {}], 
                    If[
                    And[
                    CalculateScan`PlotterScanner`Private`involuteTF$$, 
                    CalculateScan`PlotterScanner`Private`involutesLeftTF$$], 
                    Part[
                    CalculateScan`PlotterScanner`Private`involutePlotCurves$, 
                    2], {}]}]; If[
                    And[
                    CalculateScan`PlotterScanner`Private`offsetCurveTF$$, 
                    CalculateScan`PlotterScanner`Private`\
offsetCurveLastParamaters$$ =!= {{
                    CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$}, 
                    CalculateScan`PlotterScanner`Private`offsetCurveCount$$}],
                     CalculateScan`PlotterScanner`Private`\
offsetCurvePlotCurves$$ = If[
                    CalculateScan`PlotterScanner`Private`offsetCurveTF$$, 
                    
                    With[{CalculateScan`PlotterScanner`Private`maxDist$ = 
                    Function[{CalculateScan`PlotterScanner`Private`y, 
                    CalculateScan`PlotterScanner`Private`L}, 
                    Sign[CalculateScan`PlotterScanner`Private`y] 
                    CalculateScan`PlotterScanner`Private`L Tan[
                    Abs[CalculateScan`PlotterScanner`Private`y]]^1][
                    CalculateScan`PlotterScanner`Private`offsetCurveDistance$$\
, 12.095131716320704`]}, CalculateScan`PlotterScanner`Private`oCurve = 
                    ParametricPlot3D[
                    Prepend[
                    Normalize[{-CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate][Global`x], 1}], Global`x], {
                    Global`x, Min[
                    CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$] - 
                    CalculateScan`PlotterScanner`Private`\[CapitalDelta]X$/2, 
                    Max[CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$] + 
                    CalculateScan`PlotterScanner`Private`\[CapitalDelta]X$/2},
                     PlotRange -> All, Evaluated -> False, MaxRecursion -> 5]; 
                    CalculateScan`PlotterScanner`Private`lineSegments$ = 
                    Select[
                    Map[First, 
                    Cases[
                    Normal[CalculateScan`PlotterScanner`Private`oCurve], 
                    Blank[Line], Infinity]], Length[#] > 3& ]; 
                    CalculateScan`PlotterScanner`Private`baseSegments$ = 
                    Map[{
                    Part[#, 1], 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][
                    Part[#, 1]]}& , 
                    CalculateScan`PlotterScanner`Private`lineSegments$, {-2}]; 
                    CalculateScan`PlotterScanner`Private`oSegments$ = 
                    Map[Rest, 
                    CalculateScan`PlotterScanner`Private`lineSegments$, {-2}]; 
                    Table[{
                    Map[
                    BSplineCurve, 
                    CalculateScan`PlotterScanner`Private`baseSegments$ + 
                    CalculateScan`PlotterScanner`Private`j 
                    CalculateScan`PlotterScanner`Private`maxDist$ 
                    CalculateScan`PlotterScanner`Private`offsetCurveCount$$^(-\
1) CalculateScan`PlotterScanner`Private`oSegments$], 
                    Map[
                    BSplineCurve, 
                    CalculateScan`PlotterScanner`Private`baseSegments$ - 
                    CalculateScan`PlotterScanner`Private`j 
                    CalculateScan`PlotterScanner`Private`maxDist$ 
                    CalculateScan`PlotterScanner`Private`offsetCurveCount$$^(-\
1) CalculateScan`PlotterScanner`Private`oSegments$]}, {
                    CalculateScan`PlotterScanner`Private`j, 
                    CalculateScan`PlotterScanner`Private`offsetCurveCount$$}]]\
, {}]; CalculateScan`PlotterScanner`Private`offsetCurveLastParamaters$$ =!= {{
                    CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$}, 
                    CalculateScan`PlotterScanner`Private`offsetCurveCount$$}]; 
                    CalculateScan`PlotterScanner`Private`offsetCurvePlot = 
                    Graphics[{
                    Directive[
                    CalculateScan`PlotterScanner`Private`offsetCurveColor$$, 
                    Opacity[
                    CalculateScan`PlotterScanner`Private`offsetCurveOpacity$$]\
, 
                    Thickness[
                    10^CalculateScan`PlotterScanner`Private`\
offsetCurveThickness$$]], 
                    If[
                    CalculateScan`PlotterScanner`Private`offsetCurveTF$$, 
                    CalculateScan`PlotterScanner`Private`\
offsetCurvePlotCurves$$, {}]}]; If[
                    And[
                    CalculateScan`PlotterScanner`Private`tiltedOffsetCurveTF$$\
, CalculateScan`PlotterScanner`Private`tiltedOffsetCurveLastParamaters$$ =!= \
{{CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$}, 
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveCount$$, 
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveAngle$$}], 
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurvePlotCurves$$ = 
                    If[CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveTF$$, 
                    
                    With[{CalculateScan`PlotterScanner`Private`maxDist$ = 
                    Function[{CalculateScan`PlotterScanner`Private`y, 
                    CalculateScan`PlotterScanner`Private`L}, 
                    Sign[CalculateScan`PlotterScanner`Private`y] 
                    CalculateScan`PlotterScanner`Private`L Tan[
                    Abs[CalculateScan`PlotterScanner`Private`y]]^1][
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveDistance$$, 12.095131716320704`], 
                    CalculateScan`PlotterScanner`Private`M$ = {{
                    Cos[
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveAngle$$], 
                    Sin[
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveAngle$$]}, {-Sin[
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveAngle$$], 
                    Cos[
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveAngle$$]}}}, 
                    CalculateScan`PlotterScanner`Private`oCurve = 
                    ParametricPlot3D[
                    Prepend[
                    Dot[CalculateScan`PlotterScanner`Private`M$, 
                    Normalize[{-CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate][Global`x], 1}]], Global`x], {
                    Global`x, Min[
                    CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$] - 
                    CalculateScan`PlotterScanner`Private`\[CapitalDelta]X$/2, 
                    Max[CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$] + 
                    CalculateScan`PlotterScanner`Private`\[CapitalDelta]X$/2},
                     PlotRange -> All, Evaluated -> False, MaxRecursion -> 5]; 
                    CalculateScan`PlotterScanner`Private`lineSegments$ = 
                    Select[
                    Map[First, 
                    Cases[
                    Normal[CalculateScan`PlotterScanner`Private`oCurve], 
                    Blank[Line], Infinity]], Length[#] > 3& ]; 
                    CalculateScan`PlotterScanner`Private`baseSegments$ = 
                    Map[{
                    Part[#, 1], 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][
                    Part[#, 1]]}& , 
                    CalculateScan`PlotterScanner`Private`lineSegments$, {-2}]; 
                    CalculateScan`PlotterScanner`Private`oSegments$ = 
                    Map[Rest, 
                    CalculateScan`PlotterScanner`Private`lineSegments$, {-2}]; 
                    Table[{
                    Map[
                    BSplineCurve, 
                    CalculateScan`PlotterScanner`Private`baseSegments$ + 
                    CalculateScan`PlotterScanner`Private`j 
                    CalculateScan`PlotterScanner`Private`maxDist$ 
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveCount$$^(-1) 
                    CalculateScan`PlotterScanner`Private`oSegments$], 
                    Map[
                    BSplineCurve, 
                    CalculateScan`PlotterScanner`Private`baseSegments$ - 
                    CalculateScan`PlotterScanner`Private`j 
                    CalculateScan`PlotterScanner`Private`maxDist$ 
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveCount$$^(-1) 
                    CalculateScan`PlotterScanner`Private`oSegments$]}, {
                    CalculateScan`PlotterScanner`Private`j, 
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveCount$$}]], {}]; 
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveLastParamaters$$ =!= {{
                    CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$}, 
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveCount$$, 
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveAngle$$}]; 
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurvePlot = Graphics[{
                    Directive[
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveColor$$, 
                    Opacity[
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveOpacity$$], 
                    Thickness[
                    10^CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveThickness$$]], 
                    If[
                    CalculateScan`PlotterScanner`Private`tiltedOffsetCurveTF$$\
, CalculateScan`PlotterScanner`Private`tiltedOffsetCurvePlotCurves$$, {}]}]; 
                    If[
                    And[
                    CalculateScan`PlotterScanner`Private`pedalCurveTF$$, 
                    CalculateScan`PlotterScanner`Private`\
pedalCurveLastParamaters$$ =!= {{
                    CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$}, 
                    CalculateScan`PlotterScanner`Private`\
pedalCurveCountFactor$$, 
                    CalculateScan`PlotterScanner`Private`\
pedalCurveCountFactor$$}], 
                    CalculateScan`PlotterScanner`Private`pedalCurvePlotCurves$\
$ = If[CalculateScan`PlotterScanner`Private`pedalCurveTF$$, 
                    
                    With[{CalculateScan`PlotterScanner`Private`\
pedalCurveCount$ = If[CalculateScan`PlotterScanner`Private`pedalCurvePoints$$ === 
                    "grid", 
                    Max[1, 
                    Round[
                    16 CalculateScan`PlotterScanner`Private`\
pedalCurveCountFactor$$]], 
                    Max[1, 
                    Round[
                    120 CalculateScan`PlotterScanner`Private`\
pedalCurveCountFactor$$]]]}, 
                    (Cases[
                    Normal[#], 
                    Blank[Line], {0, Infinity}]& )[
                    If[
                    CalculateScan`PlotterScanner`Private`pedalCurvePoints$$ === 
                    "grid", 
                    Table[
                    
                    With[{CalculateScan`PlotterScanner`Private`px$ = 
                    CalculateScan`PlotterScanner`Private`px, 
                    CalculateScan`PlotterScanner`Private`py$ = 
                    CalculateScan`PlotterScanner`Private`py}, 
                    ParametricPlot[{Global`x, 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][Global`x]} + (
                    1 (CalculateScan`PlotterScanner`Private`px$ - Global`x) + 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate][Global`x] (
                    CalculateScan`PlotterScanner`Private`py$ - 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][Global`x])) (1 + 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate][Global`x]^2)^(-1) {1, 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][Global`x]}, {
                    Global`x, CalculateScan`PlotterScanner`Private`xL$, 
                    CalculateScan`PlotterScanner`Private`xU$}, 
                    PlotRange -> {CalculateScan`PlotterScanner`Private`pRX$, 
                    CalculateScan`PlotterScanner`Private`pRY$}, Evaluated -> 
                    False]], {CalculateScan`PlotterScanner`Private`px, 
                    CalculateScan`PlotterScanner`Private`xL$, 
                    CalculateScan`PlotterScanner`Private`xU$, (
                    CalculateScan`PlotterScanner`Private`xU$ - 
                    CalculateScan`PlotterScanner`Private`xL$)/
                    CalculateScan`PlotterScanner`Private`pedalCurveCount$}, {
                    CalculateScan`PlotterScanner`Private`py, 
                    CalculateScan`PlotterScanner`Private`yL$, 
                    CalculateScan`PlotterScanner`Private`yU$, (
                    CalculateScan`PlotterScanner`Private`yU$ - 
                    CalculateScan`PlotterScanner`Private`yL$)/
                    CalculateScan`PlotterScanner`Private`pedalCurveCount$}], 
                    Table[
                    
                    With[{CalculateScan`PlotterScanner`Private`px$ = 
                    CalculateScan`PlotterScanner`Private`px, 
                    CalculateScan`PlotterScanner`Private`py$ = 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][
                    CalculateScan`PlotterScanner`Private`px]}, 
                    ParametricPlot[{Global`x, 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][Global`x]} + (
                    1 (CalculateScan`PlotterScanner`Private`px$ - Global`x) + 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate][Global`x] (
                    CalculateScan`PlotterScanner`Private`py$ - 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][Global`x])) (1 + 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate][Global`x]^2)^(-1) {1, 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][Global`x]}, {
                    Global`x, CalculateScan`PlotterScanner`Private`xL$, 
                    CalculateScan`PlotterScanner`Private`xU$}, 
                    PlotRange -> {CalculateScan`PlotterScanner`Private`pRX$, 
                    CalculateScan`PlotterScanner`Private`pRY$}, Evaluated -> 
                    False]], {CalculateScan`PlotterScanner`Private`px, 
                    CalculateScan`PlotterScanner`Private`xL$, 
                    CalculateScan`PlotterScanner`Private`xU$, (
                    CalculateScan`PlotterScanner`Private`xU$ - 
                    CalculateScan`PlotterScanner`Private`xL$)/
                    CalculateScan`PlotterScanner`Private`pedalCurveCount$}]]]]\
, {}]; CalculateScan`PlotterScanner`Private`pedalCurveLastParamaters$$ =!= {{
                    CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$}, 
                    CalculateScan`PlotterScanner`Private`\
pedalCurveCountFactor$$, 
                    CalculateScan`PlotterScanner`Private`pedalCurvePoints$$}]; 
                    CalculateScan`PlotterScanner`Private`pedalCurvePlot = 
                    Graphics[{
                    Directive[
                    CalculateScan`PlotterScanner`Private`pedalCurveColor$$, 
                    Opacity[
                    CalculateScan`PlotterScanner`Private`pedalCurveOpacity$$], 
                    Thickness[
                    10^CalculateScan`PlotterScanner`Private`\
pedalCurveThickness$$]], 
                    If[
                    CalculateScan`PlotterScanner`Private`pedalCurveTF$$, 
                    CalculateScan`PlotterScanner`Private`pedalCurvePlotCurves$\
$, {}]}]; If[
                    And[
                    CalculateScan`PlotterScanner`Private`negativePedalCurveTF$\
$, CalculateScan`PlotterScanner`Private`negativePedalCurveLastParamaters$$ =!= \
{{CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$}, 
                    CalculateScan`PlotterScanner`Private`\
negativePedalCurveCountFactor$$, 
                    CalculateScan`PlotterScanner`Private`\
negativePedalCurvePoints$$}], 
                    If[CalculateScan`PlotterScanner`Private`\
negativePedalCurveTF$$, 
                    CalculateScan`PlotterScanner`Private`\
negativePedalCurvePlotCurves$$ = 
                    With[{CalculateScan`PlotterScanner`Private`\
negativePedalCurveCount$ = If[
                    CalculateScan`PlotterScanner`Private`\
negativePedalCurvePoints$$ === "grid", 
                    Max[1, 
                    Round[
                    16 CalculateScan`PlotterScanner`Private`\
negativePedalCurveCountFactor$$]], 
                    Max[1, 
                    Round[
                    120 CalculateScan`PlotterScanner`Private`\
negativePedalCurveCountFactor$$]]]}, 
                    (Cases[
                    Normal[#], 
                    Blank[Line], {0, Infinity}]& )[
                    If[
                    CalculateScan`PlotterScanner`Private`\
negativePedalCurvePoints$$ === "grid", 
                    Table[
                    
                    With[{CalculateScan`PlotterScanner`Private`px$ = 
                    CalculateScan`PlotterScanner`Private`px, 
                    CalculateScan`PlotterScanner`Private`py$ = 
                    CalculateScan`PlotterScanner`Private`py}, 
                    
                    ParametricPlot[{-(
                    CalculateScan`PlotterScanner`Private`px$ - 2 Global`x) (
                    CalculateScan`PlotterScanner`Private`py$ - 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][
                    Global`x]) - ((CalculateScan`PlotterScanner`Private`px$ - 
                    Global`x) Global`x + (
                    CalculateScan`PlotterScanner`Private`py$ - 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][Global`x])^2) 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate][Global`x], (
                    CalculateScan`PlotterScanner`Private`px$ - Global`x)^2 + 
                    CalculateScan`PlotterScanner`Private`py$ 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][Global`x] - 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][
                    Global`x]^2 + (CalculateScan`PlotterScanner`Private`px$ - 
                    Global`x) (CalculateScan`PlotterScanner`Private`py$ - 2 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][Global`x]) 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate][Global`x]}/(
                    CalculateScan`PlotterScanner`Private`py$ - 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][
                    Global`x] + (-CalculateScan`PlotterScanner`Private`px$ + 
                    Global`x) CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate][Global`x]), {
                    Global`x, CalculateScan`PlotterScanner`Private`xL$, 
                    CalculateScan`PlotterScanner`Private`xU$}, 
                    PlotRange -> {CalculateScan`PlotterScanner`Private`pRX$, 
                    CalculateScan`PlotterScanner`Private`pRY$}, Evaluated -> 
                    False]], {CalculateScan`PlotterScanner`Private`px, 
                    CalculateScan`PlotterScanner`Private`xL$, 
                    CalculateScan`PlotterScanner`Private`xU$, (
                    CalculateScan`PlotterScanner`Private`xU$ - 
                    CalculateScan`PlotterScanner`Private`xL$)/
                    CalculateScan`PlotterScanner`Private`\
negativePedalCurveCount$}, {CalculateScan`PlotterScanner`Private`py, 
                    CalculateScan`PlotterScanner`Private`yL$, 
                    CalculateScan`PlotterScanner`Private`yU$, (
                    CalculateScan`PlotterScanner`Private`yU$ - 
                    CalculateScan`PlotterScanner`Private`yL$)/
                    CalculateScan`PlotterScanner`Private`\
negativePedalCurveCount$}], 
                    Table[
                    
                    With[{CalculateScan`PlotterScanner`Private`px$ = 
                    CalculateScan`PlotterScanner`Private`px, 
                    CalculateScan`PlotterScanner`Private`py$ = 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][
                    CalculateScan`PlotterScanner`Private`px]}, 
                    
                    ParametricPlot[{-(
                    CalculateScan`PlotterScanner`Private`px$ - 2 Global`x) (
                    CalculateScan`PlotterScanner`Private`py$ - 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][
                    Global`x]) - ((CalculateScan`PlotterScanner`Private`px$ - 
                    Global`x) Global`x + (
                    CalculateScan`PlotterScanner`Private`py$ - 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][Global`x])^2) 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate][Global`x], (
                    CalculateScan`PlotterScanner`Private`px$ - Global`x)^2 + 
                    CalculateScan`PlotterScanner`Private`py$ 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][Global`x] - 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][
                    Global`x]^2 + (CalculateScan`PlotterScanner`Private`px$ - 
                    Global`x) (CalculateScan`PlotterScanner`Private`py$ - 2 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][Global`x]) 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate][Global`x]}/(
                    CalculateScan`PlotterScanner`Private`py$ - 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][
                    Global`x] + (-CalculateScan`PlotterScanner`Private`px$ + 
                    Global`x) CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate][Global`x]), {
                    Global`x, CalculateScan`PlotterScanner`Private`xL$, 
                    CalculateScan`PlotterScanner`Private`xU$}, 
                    PlotRange -> {CalculateScan`PlotterScanner`Private`pRX$, 
                    CalculateScan`PlotterScanner`Private`pRY$}, Evaluated -> 
                    False]], {CalculateScan`PlotterScanner`Private`px, 
                    CalculateScan`PlotterScanner`Private`xL$, 
                    CalculateScan`PlotterScanner`Private`xU$, (
                    CalculateScan`PlotterScanner`Private`xU$ - 
                    CalculateScan`PlotterScanner`Private`xL$)/
                    CalculateScan`PlotterScanner`Private`\
negativePedalCurveCount$}]]]], {}]; 
                    CalculateScan`PlotterScanner`Private`\
negativePedalCurveLastParamaters$$ = {{
                    CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$}, 
                    CalculateScan`PlotterScanner`Private`\
negativePedalCurveCountFactor$$, 
                    CalculateScan`PlotterScanner`Private`\
negativePedalCurvePoints$$}]; 
                    CalculateScan`PlotterScanner`Private`\
negativePedalCurvePlot = Graphics[{
                    Directive[
                    CalculateScan`PlotterScanner`Private`\
negativePedalCurveColor$$, 
                    Opacity[
                    CalculateScan`PlotterScanner`Private`\
negativePedalCurveOpacity$$], 
                    Thickness[
                    10^CalculateScan`PlotterScanner`Private`\
negativePedalCurveThickness$$]], 
                    If[
                    CalculateScan`PlotterScanner`Private`negativePedalCurveTF$\
$, CalculateScan`PlotterScanner`Private`negativePedalCurvePlotCurves$$, {}]}]; 
                    If[
                    And[
                    CalculateScan`PlotterScanner`Private`contraPedalCurveTF$$,
                     CalculateScan`PlotterScanner`Private`\
contraPedalCurveLastParamaters$$ =!= {{
                    CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$}, 
                    CalculateScan`PlotterScanner`Private`\
contraPedalCurveCountFactor$$, 
                    CalculateScan`PlotterScanner`Private`\
contraPedalCurvePoints$$}], 
                    If[CalculateScan`PlotterScanner`Private`\
contraPedalCurveTF$$, 
                    CalculateScan`PlotterScanner`Private`\
contraPedalCurvePlotCurves$$ = 
                    With[{CalculateScan`PlotterScanner`Private`\
contraPedalCurveCount$ = 
                    If[CalculateScan`PlotterScanner`Private`\
contraPedalCurvePoints$$ === "grid", 
                    Max[1, 
                    Round[
                    16 CalculateScan`PlotterScanner`Private`\
contraPedalCurveCountFactor$$]], 
                    Max[1, 
                    Round[
                    120 CalculateScan`PlotterScanner`Private`\
contraPedalCurveCountFactor$$]]]}, 
                    (Cases[
                    Normal[#], 
                    Blank[Line], {0, Infinity}]& )[
                    If[
                    CalculateScan`PlotterScanner`Private`\
contraPedalCurvePoints$$ === "grid", 
                    Table[
                    
                    With[{CalculateScan`PlotterScanner`Private`px$ = 
                    CalculateScan`PlotterScanner`Private`px, 
                    CalculateScan`PlotterScanner`Private`py$ = 
                    CalculateScan`PlotterScanner`Private`py}, 
                    ParametricPlot[{Global`x, 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][Global`x]} + (
                    1 (CalculateScan`PlotterScanner`Private`py$ - 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][Global`x]) + 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate][Global`x] (-
                    CalculateScan`PlotterScanner`Private`px$ + Global`x)) (1 + 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate][Global`x]^2)^(-1) {-
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][Global`x], 1}, {
                    Global`x, CalculateScan`PlotterScanner`Private`xL$, 
                    CalculateScan`PlotterScanner`Private`xU$}, 
                    PlotRange -> {CalculateScan`PlotterScanner`Private`pRX$, 
                    CalculateScan`PlotterScanner`Private`pRY$}, Evaluated -> 
                    False]], {CalculateScan`PlotterScanner`Private`px, 
                    CalculateScan`PlotterScanner`Private`xL$, 
                    CalculateScan`PlotterScanner`Private`xU$, (
                    CalculateScan`PlotterScanner`Private`xU$ - 
                    CalculateScan`PlotterScanner`Private`xL$)/
                    CalculateScan`PlotterScanner`Private`\
contraPedalCurveCount$}, {CalculateScan`PlotterScanner`Private`py, 
                    CalculateScan`PlotterScanner`Private`yL$, 
                    CalculateScan`PlotterScanner`Private`yU$, (
                    CalculateScan`PlotterScanner`Private`yU$ - 
                    CalculateScan`PlotterScanner`Private`yL$)/
                    CalculateScan`PlotterScanner`Private`\
contraPedalCurveCount$}], 
                    Table[
                    
                    With[{CalculateScan`PlotterScanner`Private`px$ = 
                    CalculateScan`PlotterScanner`Private`px, 
                    CalculateScan`PlotterScanner`Private`py$ = 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][
                    CalculateScan`PlotterScanner`Private`px]}, 
                    ParametricPlot[{Global`x, 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][Global`x]} + (
                    1 (CalculateScan`PlotterScanner`Private`py$ - 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][Global`x]) + 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate][Global`x] (-
                    CalculateScan`PlotterScanner`Private`px$ + Global`x)) (1 + 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate][Global`x]^2)^(-1) {-
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][Global`x], 1}, {
                    Global`x, CalculateScan`PlotterScanner`Private`xL$, 
                    CalculateScan`PlotterScanner`Private`xU$}, 
                    PlotRange -> {CalculateScan`PlotterScanner`Private`pRX$, 
                    CalculateScan`PlotterScanner`Private`pRY$}, Evaluated -> 
                    False]], {CalculateScan`PlotterScanner`Private`px, 
                    CalculateScan`PlotterScanner`Private`xL$, 
                    CalculateScan`PlotterScanner`Private`xU$, (
                    CalculateScan`PlotterScanner`Private`xU$ - 
                    CalculateScan`PlotterScanner`Private`xL$)/
                    CalculateScan`PlotterScanner`Private`\
contraPedalCurveCount$}]]]], {}]; 
                    CalculateScan`PlotterScanner`Private`\
contraPedalCurveLastParamaters$$ = {{
                    CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$}, 
                    CalculateScan`PlotterScanner`Private`\
contraPedalCurveCountFactor$$, 
                    CalculateScan`PlotterScanner`Private`\
contraPedalCurvePoints$$}]; 
                    CalculateScan`PlotterScanner`Private`contraPedalCurvePlot = 
                    Graphics[{
                    Directive[
                    CalculateScan`PlotterScanner`Private`\
contraPedalCurveColor$$, 
                    Opacity[
                    CalculateScan`PlotterScanner`Private`\
contraPedalCurveOpacity$$], 
                    Thickness[
                    10^CalculateScan`PlotterScanner`Private`\
contraPedalCurveThickness$$]], 
                    If[
                    CalculateScan`PlotterScanner`Private`contraPedalCurveTF$$,
                     CalculateScan`PlotterScanner`Private`\
contraPedalCurvePlotCurves$$, {}]}]; If[
                    And[
                    CalculateScan`PlotterScanner`Private`dualCurveTF$$, 
                    CalculateScan`PlotterScanner`Private`\
dualCurveLastParamaters$$ =!= {{
                    CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$}, 
                    CalculateScan`PlotterScanner`Private`dualCurveCountFactor$\
$, CalculateScan`PlotterScanner`Private`dualCurvePoints}], 
                    If[CalculateScan`PlotterScanner`Private`dualCurveTF$$, 
                    CalculateScan`PlotterScanner`Private`dualCurvePlotCurves$$\
 = With[{CalculateScan`PlotterScanner`Private`dualCurveCount$ = 
                    If[CalculateScan`PlotterScanner`Private`dualCurvePoints === 
                    "grid", 
                    Max[1, 
                    Round[
                    16 CalculateScan`PlotterScanner`Private`\
dualCurveCountFactor$$]], 
                    Max[1, 
                    Round[
                    120 CalculateScan`PlotterScanner`Private`\
dualCurveCountFactor$$]]]}, 
                    (Cases[
                    Normal[#], 
                    Blank[Line], {0, Infinity}]& )[
                    If[
                    CalculateScan`PlotterScanner`Private`dualCurvePoints === 
                    "grid", 
                    Table[
                    
                    With[{CalculateScan`PlotterScanner`Private`px$ = 
                    CalculateScan`PlotterScanner`Private`px, 
                    CalculateScan`PlotterScanner`Private`py$ = 
                    CalculateScan`PlotterScanner`Private`py}, 
                    ParametricPlot[{-CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate][Global`x], 1}/((Global`x + 
                    CalculateScan`PlotterScanner`Private`px$) 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate][Global`x] - 
                    1 (CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][Global`x] + 
                    CalculateScan`PlotterScanner`Private`py$)), {
                    Global`x, Min[CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$] - 
                    CalculateScan`PlotterScanner`Private`\[CapitalDelta]X$/2, 
                    Max[CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$] + 
                    CalculateScan`PlotterScanner`Private`\[CapitalDelta]X$/2},
                     PlotStyle -> Directive[
                    Opacity[
                    CalculateScan`PlotterScanner`Private`dualCurveOpacity$$], 
                    CalculateScan`PlotterScanner`Private`dualCurveColor$$, 
                    Thickness[
                    10^CalculateScan`PlotterScanner`Private`\
dualCurveThickness$$]], PlotRange -> 
                    CalculateScan`PlotterScanner`Private`pRY$, Evaluated -> 
                    False, Exclusions -> {(Global`x + 
                    CalculateScan`PlotterScanner`Private`px$) 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate][Global`x] - 
                    1 (CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][Global`x] + 
                    CalculateScan`PlotterScanner`Private`py$) == 0}]], {
                    CalculateScan`PlotterScanner`Private`px, 
                    CalculateScan`PlotterScanner`Private`xL$, 
                    CalculateScan`PlotterScanner`Private`xU$, (
                    CalculateScan`PlotterScanner`Private`xU$ - 
                    CalculateScan`PlotterScanner`Private`xL$)/
                    CalculateScan`PlotterScanner`Private`dualCurveCount$}, {
                    CalculateScan`PlotterScanner`Private`py, 
                    CalculateScan`PlotterScanner`Private`yL$, 
                    CalculateScan`PlotterScanner`Private`yU$, (
                    CalculateScan`PlotterScanner`Private`yU$ - 
                    CalculateScan`PlotterScanner`Private`yL$)/
                    CalculateScan`PlotterScanner`Private`dualCurveCount$}], 
                    Table[
                    
                    With[{CalculateScan`PlotterScanner`Private`px$ = 
                    CalculateScan`PlotterScanner`Private`px, 
                    CalculateScan`PlotterScanner`Private`py$ = 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][
                    CalculateScan`PlotterScanner`Private`px]}, 
                    ParametricPlot[{-CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate][Global`x], 1}/((Global`x + 
                    CalculateScan`PlotterScanner`Private`px$) 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate][Global`x] - 
                    1 (CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][Global`x] + 
                    CalculateScan`PlotterScanner`Private`py$)), {
                    Global`x, Min[CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$] - 
                    CalculateScan`PlotterScanner`Private`\[CapitalDelta]X$/2, 
                    Max[CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$] + 
                    CalculateScan`PlotterScanner`Private`\[CapitalDelta]X$/2},
                     PlotStyle -> Directive[
                    Opacity[
                    CalculateScan`PlotterScanner`Private`dualCurveOpacity$$], 
                    CalculateScan`PlotterScanner`Private`dualCurveColor$$, 
                    Thickness[
                    10^CalculateScan`PlotterScanner`Private`\
dualCurveThickness$$]], PlotRange -> 
                    CalculateScan`PlotterScanner`Private`pRY$, Evaluated -> 
                    False, Exclusions -> {(Global`x + 
                    CalculateScan`PlotterScanner`Private`px$) 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate][Global`x] - 
                    1 (CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][Global`x] + 
                    CalculateScan`PlotterScanner`Private`py$) == 0}]], {
                    CalculateScan`PlotterScanner`Private`px, 
                    CalculateScan`PlotterScanner`Private`xL$, 
                    CalculateScan`PlotterScanner`Private`xU$, (
                    CalculateScan`PlotterScanner`Private`xU$ - 
                    CalculateScan`PlotterScanner`Private`xL$)/
                    CalculateScan`PlotterScanner`Private`dualCurveCount$}]]]],\
 {}]; CalculateScan`PlotterScanner`Private`dualCurveLastParamaters$$ = {{
                    CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$}, 
                    CalculateScan`PlotterScanner`Private`dualCurveCountFactor$\
$, CalculateScan`PlotterScanner`Private`dualCurvePoints}]; 
                    CalculateScan`PlotterScanner`Private`dualCurvePlot = 
                    Graphics[{
                    Directive[
                    Opacity[
                    CalculateScan`PlotterScanner`Private`dualCurveOpacity$$], 
                    CalculateScan`PlotterScanner`Private`dualCurveColor$$, 
                    Thickness[
                    10^CalculateScan`PlotterScanner`Private`\
dualCurveThickness$$]], 
                    If[
                    CalculateScan`PlotterScanner`Private`dualCurveTF$$, 
                    CalculateScan`PlotterScanner`Private`dualCurvePlotCurves$$\
, {}]}]; If[
                    And[
                    CalculateScan`PlotterScanner`Private`inverseCurveTF$$, 
                    CalculateScan`PlotterScanner`Private`\
inverseLastParamaters$$ =!= {{
                    CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$}, 
                    CalculateScan`PlotterScanner`Private`\
inverseCurveCountFactor$$, 
                    CalculateScan`PlotterScanner`Private`inverseCurvePoints$$,
                     CalculateScan`PlotterScanner`Private`\
inverseCurveCountFactor$$, 
                    CalculateScan`PlotterScanner`Private`\
inverseCurveCircleRadiusFactor$$}], 
                    If[CalculateScan`PlotterScanner`Private`inverseCurveTF$$, 
                    CalculateScan`PlotterScanner`Private`\
inverseCurvePlotCurves$$ = (Cases[
                    Normal[#], 
                    Blank[Line], {0, Infinity}]& )[
                    
                    With[{CalculateScan`PlotterScanner`Private`\
inverseCurveCount$ = 
                    If[CalculateScan`PlotterScanner`Private`\
inverseCurvePoints$$ === "grid", 
                    Max[1, 
                    Round[
                    16 CalculateScan`PlotterScanner`Private`\
inverseCurveCountFactor$$]], 
                    Max[1, 
                    Round[
                    120 CalculateScan`PlotterScanner`Private`\
inverseCurveCountFactor$$]]], CalculateScan`PlotterScanner`Private`R$ = 
                    Function[{CalculateScan`PlotterScanner`Private`y, 
                    CalculateScan`PlotterScanner`Private`L}, 
                    Sign[CalculateScan`PlotterScanner`Private`y] 
                    CalculateScan`PlotterScanner`Private`L Tan[
                    Abs[CalculateScan`PlotterScanner`Private`y]]^1][
                    CalculateScan`PlotterScanner`Private`\
inverseCurveCircleRadiusFactor$$, 1] 
                    Abs[CalculateScan`PlotterScanner`Private`X2$ - 
                    CalculateScan`PlotterScanner`Private`X1$]}, 
                    If[
                    CalculateScan`PlotterScanner`Private`inverseCurvePoints$$ === 
                    "grid", 
                    Table[
                    
                    With[{CalculateScan`PlotterScanner`Private`px$ = 
                    CalculateScan`PlotterScanner`Private`px, 
                    CalculateScan`PlotterScanner`Private`py$ = 
                    CalculateScan`PlotterScanner`Private`py}, 
                    
                    ParametricPlot[{
                    CalculateScan`PlotterScanner`Private`px$, 
                    CalculateScan`PlotterScanner`Private`py$} + 
                    CalculateScan`PlotterScanner`Private`R$^2 {
                    Global`x - CalculateScan`PlotterScanner`Private`px$, 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][Global`x] - 
                    CalculateScan`PlotterScanner`Private`py$}/((Global`x - 
                    CalculateScan`PlotterScanner`Private`px$)^2 + (
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][Global`x] - 
                    CalculateScan`PlotterScanner`Private`py$)^2), {
                    Global`x, Min[CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$] - 
                    CalculateScan`PlotterScanner`Private`\[CapitalDelta]X$/2, 
                    Max[CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$] + 
                    CalculateScan`PlotterScanner`Private`\[CapitalDelta]X$/2},
                     PlotRange -> CalculateScan`PlotterScanner`Private`pRY$, 
                    Evaluated -> False]], {
                    CalculateScan`PlotterScanner`Private`px, 
                    CalculateScan`PlotterScanner`Private`xL$, 
                    CalculateScan`PlotterScanner`Private`xU$, (
                    CalculateScan`PlotterScanner`Private`xU$ - 
                    CalculateScan`PlotterScanner`Private`xL$)/
                    CalculateScan`PlotterScanner`Private`inverseCurveCount$}, \
{CalculateScan`PlotterScanner`Private`py, 
                    CalculateScan`PlotterScanner`Private`yL$, 
                    CalculateScan`PlotterScanner`Private`yU$, (
                    CalculateScan`PlotterScanner`Private`yU$ - 
                    CalculateScan`PlotterScanner`Private`yL$)/
                    CalculateScan`PlotterScanner`Private`inverseCurveCount$}], 
                    Table[
                    
                    With[{CalculateScan`PlotterScanner`Private`px$ = 
                    CalculateScan`PlotterScanner`Private`px, 
                    CalculateScan`PlotterScanner`Private`py$ = 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][
                    CalculateScan`PlotterScanner`Private`px]}, 
                    
                    ParametricPlot[{
                    CalculateScan`PlotterScanner`Private`px$, 
                    CalculateScan`PlotterScanner`Private`py$} + 
                    CalculateScan`PlotterScanner`Private`R$^2 {
                    Global`x - CalculateScan`PlotterScanner`Private`px$, 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][Global`x] - 
                    CalculateScan`PlotterScanner`Private`py$}/((Global`x - 
                    CalculateScan`PlotterScanner`Private`px$)^2 + (
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][Global`x] - 
                    CalculateScan`PlotterScanner`Private`py$)^2), {
                    Global`x, Min[CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$] - 
                    CalculateScan`PlotterScanner`Private`\[CapitalDelta]X$/2, 
                    Max[CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$] + 
                    CalculateScan`PlotterScanner`Private`\[CapitalDelta]X$/2},
                     PlotRange -> CalculateScan`PlotterScanner`Private`pRY$, 
                    Evaluated -> False]], {
                    CalculateScan`PlotterScanner`Private`px, 
                    CalculateScan`PlotterScanner`Private`xL$, 
                    CalculateScan`PlotterScanner`Private`xU$, (
                    CalculateScan`PlotterScanner`Private`xU$ - 
                    CalculateScan`PlotterScanner`Private`xL$)/
                    CalculateScan`PlotterScanner`Private`inverseCurveCount$}]]\
]], {}]; CalculateScan`PlotterScanner`Private`inverseLastParamaters$$ = {{
                    CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$}, 
                    CalculateScan`PlotterScanner`Private`\
inverseCurveCountFactor$$, 
                    CalculateScan`PlotterScanner`Private`inverseCurvePoints$$,
                     CalculateScan`PlotterScanner`Private`\
inverseCurveCountFactor$$, 
                    CalculateScan`PlotterScanner`Private`\
inverseCurveCircleRadiusFactor$$}]; 
                    CalculateScan`PlotterScanner`Private`inverseCurvePlot = 
                    Graphics[{
                    Directive[
                    Opacity[
                    CalculateScan`PlotterScanner`Private`inverseCurveOpacity$$\
], CalculateScan`PlotterScanner`Private`inverseCurveColor$$, 
                    Thickness[
                    10^CalculateScan`PlotterScanner`Private`\
inverseCurveThickness$$]], 
                    If[
                    CalculateScan`PlotterScanner`Private`inverseCurveTF$$, 
                    CalculateScan`PlotterScanner`Private`\
inverseCurvePlotCurves$$, {}]}]; If[
                    And[
                    CalculateScan`PlotterScanner`Private`orthotomicCurveTF$$, 
                    CalculateScan`PlotterScanner`Private`\
orthotomicLastParamaters$$ =!= {{
                    CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$}, 
                    CalculateScan`PlotterScanner`Private`\
orthotomicCurveCountFactor$$, 
                    CalculateScan`PlotterScanner`Private`\
orthotomicCurvePoints$$}], 
                    If[CalculateScan`PlotterScanner`Private`orthotomicCurveTF$\
$, CalculateScan`PlotterScanner`Private`orthotomicCurvePlotCurves$$ = (Cases[
                    Normal[#], 
                    Blank[Line], {0, Infinity}]& )[
                    
                    With[{CalculateScan`PlotterScanner`Private`\
orthotomicCurveCount$ = 
                    If[CalculateScan`PlotterScanner`Private`\
orthotomicCurvePoints$$ === "grid", 
                    Max[1, 
                    Round[
                    16 CalculateScan`PlotterScanner`Private`\
orthotomicCurveCountFactor$$]], 
                    Max[1, 
                    Round[
                    120 CalculateScan`PlotterScanner`Private`\
orthotomicCurveCountFactor$$]]]}, 
                    If[
                    CalculateScan`PlotterScanner`Private`\
orthotomicCurvePoints$$ === "grid", 
                    Table[
                    
                    With[{CalculateScan`PlotterScanner`Private`px$ = 
                    CalculateScan`PlotterScanner`Private`px, 
                    CalculateScan`PlotterScanner`Private`py$ = 
                    CalculateScan`PlotterScanner`Private`py}, 
                    ParametricPlot[{Global`x, 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][
                    Global`x]} + {(-2) CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate][Global`x] (1 (CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][Global`x] - 
                    CalculateScan`PlotterScanner`Private`py$) - 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate][Global`x] (Global`x - 
                    CalculateScan`PlotterScanner`Private`px$)), 2 
                    1 (1 (CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][Global`x] - 
                    CalculateScan`PlotterScanner`Private`py$) - 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate][Global`x] (Global`x - 
                    CalculateScan`PlotterScanner`Private`px$))}/(1 + 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate][Global`x]^2), {
                    Global`x, CalculateScan`PlotterScanner`Private`xL$, 
                    CalculateScan`PlotterScanner`Private`xU$}, 
                    PlotRange -> {CalculateScan`PlotterScanner`Private`pRX$, 
                    CalculateScan`PlotterScanner`Private`pRY$}, Evaluated -> 
                    False]], {CalculateScan`PlotterScanner`Private`px, 
                    CalculateScan`PlotterScanner`Private`xL$, 
                    CalculateScan`PlotterScanner`Private`xU$, (
                    CalculateScan`PlotterScanner`Private`xU$ - 
                    CalculateScan`PlotterScanner`Private`xL$)/
                    CalculateScan`PlotterScanner`Private`orthotomicCurveCount$\
}, {CalculateScan`PlotterScanner`Private`py, 
                    CalculateScan`PlotterScanner`Private`yL$, 
                    CalculateScan`PlotterScanner`Private`yU$, (
                    CalculateScan`PlotterScanner`Private`yU$ - 
                    CalculateScan`PlotterScanner`Private`yL$)/
                    CalculateScan`PlotterScanner`Private`orthotomicCurveCount$\
}], 
                    Table[
                    
                    With[{CalculateScan`PlotterScanner`Private`px$ = 
                    CalculateScan`PlotterScanner`Private`px, 
                    CalculateScan`PlotterScanner`Private`py$ = 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][Global`x]}, 
                    ParametricPlot[{Global`x, 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][
                    Global`x]} + {(-2) CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate][Global`x] (1 (CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][Global`x] - 
                    CalculateScan`PlotterScanner`Private`py$) - 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate][Global`x] (Global`x - 
                    CalculateScan`PlotterScanner`Private`px$)), 2 
                    1 (1 (CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate][Global`x] - 
                    CalculateScan`PlotterScanner`Private`py$) - 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate][Global`x] (Global`x - 
                    CalculateScan`PlotterScanner`Private`px$))}/(1 + 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate][Global`x]^2), {
                    Global`x, CalculateScan`PlotterScanner`Private`xL$, 
                    CalculateScan`PlotterScanner`Private`xU$}, 
                    PlotRange -> {CalculateScan`PlotterScanner`Private`pRX$, 
                    CalculateScan`PlotterScanner`Private`pRY$}, Evaluated -> 
                    False]], {CalculateScan`PlotterScanner`Private`px, 
                    CalculateScan`PlotterScanner`Private`xL$, 
                    CalculateScan`PlotterScanner`Private`xU$, (
                    CalculateScan`PlotterScanner`Private`xU$ - 
                    CalculateScan`PlotterScanner`Private`xL$)/
                    CalculateScan`PlotterScanner`Private`orthotomicCurveCount$\
}]]]], {}]; 
                    CalculateScan`PlotterScanner`Private`\
orthotomicLastParamaters$$ = {{
                    CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$}, 
                    CalculateScan`PlotterScanner`Private`\
orthotomicCurveCountFactor$$, 
                    CalculateScan`PlotterScanner`Private`\
orthotomicCurvePoints$$}]; 
                    CalculateScan`PlotterScanner`Private`orthotomicCurvePlot = 
                    Graphics[{
                    Directive[
                    CalculateScan`PlotterScanner`Private`orthotomicCurveColor$\
$, 
                    Opacity[
                    CalculateScan`PlotterScanner`Private`\
orthotomicCurveOpacity$$], 
                    Thickness[
                    10^CalculateScan`PlotterScanner`Private`\
orthotomicCurveThickness$$]], 
                    If[
                    CalculateScan`PlotterScanner`Private`orthotomicCurveTF$$, 
                    CalculateScan`PlotterScanner`Private`\
orthotomicCurvePlotCurves$$, {}]}]; 
                    CalculateScan`PlotterScanner`Private`getSplineSegments[
                    Line[
                    Pattern[CalculateScan`PlotterScanner`Private`l, 
                    Blank[]]]] := 
                    Module[{}, 
                    CalculateScan`PlotterScanner`Private`posis = 
                    Position[CalculateScan`PlotterScanner`Private`l, 
                    Except[{
                    Blank[Real], 
                    Blank[Real]}], {1}, Heads -> False]; 
                    If[CalculateScan`PlotterScanner`Private`posis === {}, 
                    BSplineCurve[CalculateScan`PlotterScanner`Private`l], 
                    Map[BSplineCurve, 
                    Select[
                    Map[DeleteCases[
                    Take[CalculateScan`PlotterScanner`Private`l, #], 
                    Except[{
                    Blank[Real], 
                    Blank[Real]}]]& , 
                    Partition[
                    Flatten[{1, 
                    
                    Map[{# - 1, # + 1}& , 
                    CalculateScan`PlotterScanner`Private`posis], 
                    Length[CalculateScan`PlotterScanner`Private`l]}], 2]], 
                    Length[#] >= 3& ]]]]; If[
                    And[
                    CalculateScan`PlotterScanner`Private`isopticCurveTF$$, 
                    CalculateScan`PlotterScanner`Private`\
isopticLastParamaters$$ =!= {{
                    CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$}, 
                    CalculateScan`PlotterScanner`Private`isopticCurveAngle$$}]\
, CalculateScan`PlotterScanner`Private`isopticCurvePlotCurves$$ = Quiet[
                    If[
                    CalculateScan`PlotterScanner`Private`isopticCurveTF$$, 
                    
                    With[{CalculateScan`PlotterScanner`Private`\[Alpha]$ = 
                    CalculateScan`PlotterScanner`Private`isopticCurveAngle$$},
                     CalculateScan`PlotterScanner`Private`cpIsoptic = 
                    ContourPlot[(1 + CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate][CalculateScan`PlotterScanner`Private`x1$$] 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate][CalculateScan`PlotterScanner`Private`x2$$])/
                    Sqrt[(1 + CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate][CalculateScan`PlotterScanner`Private`x1$$]^2) (
                    1 + CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate][CalculateScan`PlotterScanner`Private`x2$$]^2)] == 
                    Cos[CalculateScan`PlotterScanner`Private`\[Alpha]$], {
                    CalculateScan`PlotterScanner`Private`x1$$, (-2) Pi, 2 
                    Pi}, {CalculateScan`PlotterScanner`Private`x2$$, (-2) Pi, 
                    2 Pi}, Exclusions -> {
                    Function[{Global`x}, -(Cos[Global`x]^3 + 
                    Cos[Global`x]^2 Sin[Global`x])^(-1) ((-3) Cos[Global`x]^2 
                    Sin[Global`x] + 3 Cos[Global`x] Sin[Global`x]^2) + (
                    Cos[Global`x]^3 + Cos[Global`x]^2 Sin[Global`x])^(-2) (
                    Cos[Global`x]^3 - 3 Cos[Global`x]^2 Sin[Global`x] - 2 
                    Cos[Global`x] Sin[Global`x]^2) (Cos[Global`x]^3 + 
                    Sin[Global`x]^3) + 2 Sec[Global`x]^2 Tan[Global`x]][
                    CalculateScan`PlotterScanner`Private`x1$$] - 
                    Function[{Global`x}, -(Cos[Global`x]^3 + 
                    Cos[Global`x]^2 Sin[Global`x])^(-1) ((-3) Cos[Global`x]^2 
                    Sin[Global`x] + 3 Cos[Global`x] Sin[Global`x]^2) + (
                    Cos[Global`x]^3 + Cos[Global`x]^2 Sin[Global`x])^(-2) (
                    Cos[Global`x]^3 - 3 Cos[Global`x]^2 Sin[Global`x] - 2 
                    Cos[Global`x] Sin[Global`x]^2) (Cos[Global`x]^3 + 
                    Sin[Global`x]^3) + 2 Sec[Global`x]^2 Tan[Global`x]][
                    CalculateScan`PlotterScanner`Private`x2$$] == 0}, 
                    Evaluated -> False]; 
                    CalculateScan`PlotterScanner`Private`x1x2SCPCurves = Cases[
                    Normal[CalculateScan`PlotterScanner`Private`cpIsoptic], 
                    Blank[Line], Infinity]; 
                    If[CalculateScan`PlotterScanner`Private`x1x2SCPCurves === \
{}, {}, 
                    Map[
                    CalculateScan`PlotterScanner`Private`getSplineSegments, 
                    Map[
                    CalculateScan`PlotterScanner`Private`\
tangentIntersectionPoint[#, {
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 
                    0, 1, 2, 0, 0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 
                    6, 3, 0, 0, 3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56,
                     3, 0, 1, 3, 0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58,
                     3, 0, 6, 3, 0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    6}, {13, 2, 6, 7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 
                    5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + 
                    Compile`$201^2 Compile`$810)^(-1) (Compile`$237 + 
                    Compile`$810^3)]], Evaluate], 
                    CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = Compile`$922^2; -
                    Compile`$924^(-1) (Compile`$927 + 
                    3 Compile`$110 Compile`$928) + 
                    Compile`$924^(-2) (Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3) + 2 Sec[Global`x]^2 Tan[Global`x]]], 
                    Evaluate]}]& , 
                    CalculateScan`PlotterScanner`Private`x1x2SCPCurves, \
{-2}]]]], {}]]; 
                    CalculateScan`PlotterScanner`Private`\
isopticLastParamaters$$ =!= {{
                    CalculateScan`PlotterScanner`Private`X1$, 
                    CalculateScan`PlotterScanner`Private`X2$}, 
                    CalculateScan`PlotterScanner`Private`isopticCurveAngle$$}]\
; CalculateScan`PlotterScanner`Private`isopticCurvePlot = Graphics[{
                    Directive[
                    CalculateScan`PlotterScanner`Private`isopticCurveColor$$, 
                    
                    Opacity[
                    CalculateScan`PlotterScanner`Private`isopticCurveOpacity$$\
], 
                    Thickness[
                    10^CalculateScan`PlotterScanner`Private`\
isopticCurveThickness$$]], 
                    If[
                    CalculateScan`PlotterScanner`Private`isopticCurveTF$$, 
                    CalculateScan`PlotterScanner`Private`\
isopticCurvePlotCurves$$, {}]}]; 
                    CalculateScan`PlotterScanner`Private`annotatedPlotList = {
                    "tangentLinePlot" -> 
                    CalculateScan`PlotterScanner`Private`tangentLinePlot$, 
                    "normalLinePlot" -> 
                    CalculateScan`PlotterScanner`Private`normalLinePlot$, 
                    "tiltedTangentLinePlot" -> 
                    CalculateScan`PlotterScanner`Private`\
tiltedTangentLinePlot$, "osculatingCirclePlot" -> 
                    CalculateScan`PlotterScanner`Private`osculatingCirclePlot$\
, "taylorParabolaPlot" -> 
                    CalculateScan`PlotterScanner`Private`taylorParabolaPlot$, 
                    "involutePlot" -> 
                    CalculateScan`PlotterScanner`Private`involutePlot$, 
                    "evolutePlot" -> 
                    CalculateScan`PlotterScanner`Private`evolutePlot$, 
                    "dualCurvePlot" -> 
                    CalculateScan`PlotterScanner`Private`dualCurvePlot, 
                    "offsetCurvePlot" -> 
                    CalculateScan`PlotterScanner`Private`offsetCurvePlot, 
                    "tiltedOffsetCurvePlot" -> 
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurvePlot, "pedalCurvePlot" -> 
                    CalculateScan`PlotterScanner`Private`pedalCurvePlot, 
                    "negativePedalCurvePlot" -> 
                    CalculateScan`PlotterScanner`Private`\
negativePedalCurvePlot, "contraPedalCurvePlot" -> 
                    CalculateScan`PlotterScanner`Private`contraPedalCurvePlot,
                     "inverseCurvePlot" -> 
                    CalculateScan`PlotterScanner`Private`inverseCurvePlot, 
                    "isopticCurvePlot" -> 
                    CalculateScan`PlotterScanner`Private`isopticCurvePlot, 
                    "orthotomicCurvePlot" -> 
                    CalculateScan`PlotterScanner`Private`orthotomicCurvePlot, 
                    "originalCurvePlot" -> 
                    CalculateScan`PlotterScanner`Private`originalCurvePlot$}; 
                    CalculateScan`PlotterScanner`Private`labelGrid = (
                    DeleteCases[#, {}]& )[{
                    If[
                    TrueQ[True], {
                    RawBoxes[
                    FormBox[
                    RowBox[{
                    RowBox[{
                    SuperscriptBox["sec", "2"], "(", "x", ")"}], "-", 
                    FractionBox[
                    RowBox[{
                    RowBox[{
                    SuperscriptBox["sin", "3"], "(", "x", ")"}], "+", 
                    RowBox[{
                    SuperscriptBox["cos", "3"], "(", "x", ")"}]}], 
                    RowBox[{
                    RowBox[{
                    SuperscriptBox["cos", "3"], "(", "x", ")"}], "+", 
                    RowBox[{
                    RowBox[{"sin", "(", "x", ")"}], " ", 
                    RowBox[{
                    SuperscriptBox["cos", "2"], "(", "x", ")"}]}]}]]}], 
                    TraditionalForm]], 
                    Style["\[LongDash]", Bold, Black]}, {}], 
                    If[
                    TrueQ[CalculateScan`PlotterScanner`Private`tangentTF$$], {
                    "tangents", 
                    Style[
                    "\[LongDash]", Bold, 
                    CalculateScan`PlotterScanner`Private`tangentColor$$]}, \
{}], 
                    If[
                    TrueQ[CalculateScan`PlotterScanner`Private`normalTF$$], {
                    "normals", 
                    Style[
                    "\[LongDash]", Bold, 
                    CalculateScan`PlotterScanner`Private`normalColor$$]}, {}], 
                    If[
                    TrueQ[
                    CalculateScan`PlotterScanner`Private`tiltedTangentTF$$], {
                    "tilted tangents", 
                    Style[
                    "\[LongDash]", Bold, 
                    CalculateScan`PlotterScanner`Private`tiltedTangentColor$$]\
}, {}], 
                    If[
                    TrueQ[
                    CalculateScan`PlotterScanner`Private`osculatingCircleTF$$]\
, {"osculating circles", 
                    Style[
                    "\[LongDash]", Bold, 
                    CalculateScan`PlotterScanner`Private`\
osculatingCircleColor$$]}, {}], 
                    If[
                    TrueQ[
                    CalculateScan`PlotterScanner`Private`taylorParabolaTF$$], \
{"Taylor parabolas", 
                    Style[
                    "\[LongDash]", Bold, 
                    CalculateScan`PlotterScanner`Private`taylorParabolaColor$$\
]}, {}], 
                    If[
                    TrueQ[
                    CalculateScan`PlotterScanner`Private`involuteTF$$], {
                    "involutes", 
                    Style[
                    "\[LongDash]", Bold, 
                    CalculateScan`PlotterScanner`Private`involuteColor$$]}, \
{}], 
                    If[
                    TrueQ[CalculateScan`PlotterScanner`Private`evoluteTF$$], {
                    "evolute", 
                    Style[
                    "\[LongDash]", Bold, 
                    CalculateScan`PlotterScanner`Private`evoluteColor$$]}, \
{}], 
                    If[
                    TrueQ[
                    CalculateScan`PlotterScanner`Private`offsetCurveTF$$], {
                    "offset curves", 
                    Style[
                    "\[LongDash]", Bold, 
                    CalculateScan`PlotterScanner`Private`offsetCurveColor$$]},\
 {}], 
                    If[
                    TrueQ[
                    CalculateScan`PlotterScanner`Private`tiltedOffsetCurveTF$$\
], {"tilted offset curves", 
                    Style[
                    "\[LongDash]", Bold, 
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveColor$$]}, {}], 
                    If[
                    TrueQ[
                    CalculateScan`PlotterScanner`Private`negativePedalCurveTF$\
$], {"contrapedal curves", 
                    Style[
                    "\[LongDash]", Bold, 
                    CalculateScan`PlotterScanner`Private`\
contraPedalCurveColor$$]}, {}], 
                    If[
                    TrueQ[
                    CalculateScan`PlotterScanner`Private`contraPedalCurveTF$$]\
, {"normals", 
                    Style[
                    "\[LongDash]", Bold, 
                    CalculateScan`PlotterScanner`Private`tiltedTangentColor$$]\
}, {}], 
                    If[
                    TrueQ[
                    CalculateScan`PlotterScanner`Private`dualCurveTF$$], {
                    "dual curves", 
                    Style[
                    "\[LongDash]", Bold, 
                    CalculateScan`PlotterScanner`Private`dualCurveColor$$]}, \
{}], 
                    If[
                    TrueQ[
                    CalculateScan`PlotterScanner`Private`inverseCurveTF$$], {
                    "inverse curves", 
                    Style[
                    "\[LongDash]", Bold, 
                    CalculateScan`PlotterScanner`Private`inverseCurveColor$$]}\
, {}], 
                    If[
                    TrueQ[
                    CalculateScan`PlotterScanner`Private`isopticCurveTF$$], {
                    "isoptic curves", 
                    Style[
                    "\[LongDash]", Bold, 
                    CalculateScan`PlotterScanner`Private`isopticCurveColor$$]}\
, {}], 
                    If[
                    TrueQ[
                    CalculateScan`PlotterScanner`Private`orthotomicCurveTF$$],\
 {"orthotomic curves", 
                    Style[
                    "\[LongDash]", Bold, 
                    CalculateScan`PlotterScanner`Private`orthotomicCurveColor$\
$]}, {}]}]; Column[{
                    If[
                    MatchQ[
                    CalculateScan`PlotterScanner`Private`originalCurvePlot$, 
                    Graphics[
                    GraphicsComplex[
                    Blank[], {}], 
                    BlankSequence[]]], 
                    Text[
                    Style[
                    StringJoin[
                    "(original curve is not real\[Hyphen]valued\n", 
                    " over the specified range\n", 
                    " of the independent variable)"], Gray]], 
                    Show[
                    Map[
                    Last, CalculateScan`PlotterScanner`Private`\
annotatedPlotList], PlotRange -> {
                    CalculateScan`PlotterScanner`Private`pRX$, 
                    CalculateScan`PlotterScanner`Private`pRY$}, ImageSize -> 
                    300, ImagePadding -> 5, AspectRatio -> 
                    CalculateScan`PlotterScanner`Private`ar$$, 
                    If[CalculateScan`PlotterScanner`Private`sa$$, 
                    Apply[
                    Sequence, {
                    Axes -> True, AxesOrigin -> {0, 0}, AxesStyle -> 
                    Lighter[Gray]}], 
                    Apply[Sequence, {}]], 
                    If[CalculateScan`PlotterScanner`Private`st$$, 
                    Apply[Sequence, {Ticks -> Automatic}], 
                    Apply[Sequence, {Ticks -> None}]]]], 
                    Grid[{
                    Map[Grid[
                    Map[Reverse, #], Alignment -> Left]& , 
                    
                    With[{CalculateScan`PlotterScanner`Private`\[Lambda]T = 
                    Max[
                    Floor[
                    Length[CalculateScan`PlotterScanner`Private`labelGrid]/2],
                     1]}, 
                    Partition[
                    CalculateScan`PlotterScanner`Private`labelGrid, 
                    CalculateScan`PlotterScanner`Private`\[Lambda]T, 
                    CalculateScan`PlotterScanner`Private`\[Lambda]T, 
                    1, {}]]]}, Dividers -> {False, False}, 
                    Spacings -> {4, Automatic}]}]]]], 
                  "Specifications" :> {{
                    CalculateUtilities`GraphicsUtilities`Private`more$$, {
                    False, True}, ControlType -> None}, {{
                    CalculateScan`PlotterScanner`Private`x1$$, \
-0.7853981633974483, 
                    Subscript[
                    Style["x", Italic], "min"]}, -1.5393804002589986`, 
                    1.5393804002589986`, ImageSize -> Small, ControlPlacement -> 
                    1}, {{CalculateScan`PlotterScanner`Private`x2$$, 
                    0.7853981633974483, 
                    Subscript[
                    Style["x", Italic], "max"]}, -1.5393804002589986`, 
                    1.5393804002589986`, ImageSize -> Small, ControlPlacement -> 
                    2}, {{
                    CalculateScan`PlotterScanner`Private`symmxQ$$, False, 
                    "symmetric"}, {True, False}, ControlPlacement -> 3}, {{
                    CalculateScan`PlotterScanner`Private`fy1$$, 
                    0.982793723247329, 
                    Subscript["y", "min"]}, 0, 1.5393804002589986`, ImageSize -> 
                    Small, ControlPlacement -> 4}, {{
                    CalculateScan`PlotterScanner`Private`fy2$$, 
                    0.982793723247329, 
                    Subscript["y", "max"]}, 0, 1.5393804002589986`, ImageSize -> 
                    Small, ControlPlacement -> 5}, {{
                    CalculateScan`PlotterScanner`Private`symmyQ$$, True, 
                    "symmetric"}, {True, False}, ControlPlacement -> 6}, {{
                    CalculateScan`PlotterScanner`Private`sqPRQ$$, False, 
                    Dynamic[
                    Style["same as horizontal-range", 
                    If[
                    CalculateScan`PlotterScanner`Private`symmxQ$$, Black, 
                    Gray]]]}, {True, False}, ImageSize -> Small, 
                    ControlPlacement -> 7}, {{
                    CalculateScan`PlotterScanner`Private`sa$$, False, 
                    "show axes"}, {True, False}, ImageSize -> Small, 
                    ControlPlacement -> 8}, {{
                    CalculateScan`PlotterScanner`Private`st$$, False, 
                    Dynamic[
                    Style["show ticks", 
                    If[
                    CalculateScan`PlotterScanner`Private`sa$$ === True, Black,
                     Gray]]]}, {True, False}, ImageSize -> Small, 
                    ControlPlacement -> 9}, {{
                    CalculateScan`PlotterScanner`Private`ar$$, 1, 
                    "aspect ratio"}, 
                    Rational[1, 4], 4, ImageSize -> Small, ControlPlacement -> 
                    10}, {{CalculateScan`PlotterScanner`Private`tangentTF$$, 
                    False, ""}, {True, False}, ControlPlacement -> 11}, {{
                    CalculateScan`PlotterScanner`Private`tangentCount$$, 60, 
                    ""}, 2, 360, 1, ImageSize -> Small, ControlPlacement -> 
                    12}, {{CalculateScan`PlotterScanner`Private`tangentLength$\
$, 0.08249027613378408, ""}, 0, 1.5393804002589986`, ImageSize -> Small, 
                    ControlPlacement -> 13}, {{
                    CalculateScan`PlotterScanner`Private`tangentThickness$$, \
-3., ""}, -4, -0.5, ImageSize -> Small, ControlPlacement -> 14}, {{
                    CalculateScan`PlotterScanner`Private`tangentColor$$, 
                    RGBColor[0.237736, 0.340215, 0.575113], ""}, 
                    RGBColor[1, 0, 0], ImageSize -> Tiny, AppearanceElements -> 
                    "Spectrum", ControlPlacement -> 15}, {{
                    CalculateScan`PlotterScanner`Private`tangentOpacity$$, 
                    0.8, ""}, 0, 1, ImageSize -> Small, ControlPlacement -> 
                    16}, {{CalculateScan`PlotterScanner`Private`normalTF$$, 
                    True, ""}, {True, False}, ControlPlacement -> 17}, {{
                    CalculateScan`PlotterScanner`Private`normalCount$$, 120, 
                    ""}, 2, 360, 1, ImageSize -> Small, ControlPlacement -> 
                    18}, {{CalculateScan`PlotterScanner`Private`normalLength$$\
, 0.08249027613378408, ""}, 0, 1.5393804002589986`, ImageSize -> Small, 
                    ControlPlacement -> 19}, {{
                    CalculateScan`PlotterScanner`Private`normalThickness$$, \
-3., ""}, -4, -0.5, ImageSize -> Small, ControlPlacement -> 20}, {{
                    CalculateScan`PlotterScanner`Private`normalColor$$, 
                    RGBColor[0.237, 0.34, 0.575], ""}, 
                    RGBColor[1, 0, 0], ImageSize -> Tiny, AppearanceElements -> 
                    "Spectrum", ControlPlacement -> 21}, {{
                    CalculateScan`PlotterScanner`Private`normalOpacity$$, 0.8,
                     ""}, 0, 1, ImageSize -> Small, ControlPlacement -> 
                    22}, {{CalculateScan`PlotterScanner`Private`\
tiltedTangentTF$$, False, ""}, {True, False}, ControlPlacement -> 23}, {{
                    CalculateScan`PlotterScanner`Private`tiltedTangentAngle$$,
                     Rational[1, 4] Pi, ""}, -Pi, Pi, ImageSize -> Small, 
                    ControlPlacement -> 24}, {{
                    CalculateScan`PlotterScanner`Private`tiltedTangentCount$$,
                     60, ""}, 2, 360, 1, ImageSize -> Small, ControlPlacement -> 
                    25}, {{CalculateScan`PlotterScanner`Private`\
tiltedTangentLength$$, 0.08249027613378408, ""}, 0, 1.5393804002589986`, 
                    ImageSize -> Small, ControlPlacement -> 26}, {{
                    CalculateScan`PlotterScanner`Private`\
tiltedTangentThickness$$, -3., ""}, -4, -0.5, ImageSize -> Small, 
                    ControlPlacement -> 27}, {{
                    CalculateScan`PlotterScanner`Private`tiltedTangentColor$$, 
                    RGBColor[
                    0.2622702, 0.40739780000000003`, 0.41955020000000004`], 
                    ""}, 
                    RGBColor[1, 0, 0], ImageSize -> Tiny, AppearanceElements -> 
                    "Spectrum", ControlPlacement -> 28}, {{
                    CalculateScan`PlotterScanner`Private`tiltedTangentOpacity$\
$, 0.8, ""}, 0, 1, ImageSize -> Small, ControlPlacement -> 29}, {{
                    CalculateScan`PlotterScanner`Private`osculatingCircleTF$$,
                     False, ""}, {True, False}, ControlPlacement -> 30}, {{
                    CalculateScan`PlotterScanner`Private`\
osculatingCircleCount$$, 60, ""}, 2, 360, 1, ImageSize -> Small, 
                    ControlPlacement -> 31}, {{
                    CalculateScan`PlotterScanner`Private`\
osculatingCircleThickness$$, -3., ""}, -4, -0.5, ImageSize -> Small, 
                    ControlPlacement -> 32}, {{
                    CalculateScan`PlotterScanner`Private`\
osculatingCircleColor$$, 
                    RGBColor[0.2752426, 0.4446824, 0.33950440000000004`], ""}, 
                    RGBColor[1, 0, 0], ImageSize -> Tiny, AppearanceElements -> 
                    "Spectrum", ControlPlacement -> 33}, {{
                    CalculateScan`PlotterScanner`Private`\
osculatingCircleOpacity$$, 0.8, ""}, 0, 1, ImageSize -> Small, 
                    ControlPlacement -> 34}, {{
                    CalculateScan`PlotterScanner`Private`\
osculatingCircleRadiiTF$$, False, ""}, {True, False}, ImageSize -> Small, 
                    ControlPlacement -> 35}, {{
                    CalculateScan`PlotterScanner`Private`taylorParabolaTF$$, 
                    False, ""}, {True, False}, ControlPlacement -> 36}, {{
                    CalculateScan`PlotterScanner`Private`taylorParabolaCount$$\
, 36, ""}, 2, 120, 1, ImageSize -> Small, ControlPlacement -> 37}, {{
                    CalculateScan`PlotterScanner`Private`\
taylorParabolaThickness$$, -3., ""}, -4, -0.5, ImageSize -> Small, 
                    ControlPlacement -> 38}, {{
                    CalculateScan`PlotterScanner`Private`taylorParabolaColor$$\
, 
                    RGBColor[0.7189495000000001, 0.719797, 0.283877], ""}, 
                    RGBColor[1, 0, 0], ImageSize -> Tiny, AppearanceElements -> 
                    "Spectrum", ControlPlacement -> 39}, {{
                    CalculateScan`PlotterScanner`Private`\
taylorParabolaOpacity$$, 0.8, ""}, 0, 1, ImageSize -> Small, ControlPlacement -> 
                    40}, {{CalculateScan`PlotterScanner`Private`involuteTF$$, 
                    False, ""}, {True, False}, ControlPlacement -> 41}, {{
                    CalculateScan`PlotterScanner`Private`involuteCount$$, 60, 
                    ""}, 1, 120, 1, ImageSize -> Small, ControlPlacement -> 
                    42}, {{CalculateScan`PlotterScanner`Private`\
involuteThickness$$, -3., ""}, -4, -0.5, ImageSize -> Small, ControlPlacement -> 
                    43}, {{CalculateScan`PlotterScanner`Private`involuteColor$\
$, 
                    RGBColor[0.49978279999999997`, 0.6025278, 0.2508104], ""}, 
                    RGBColor[1, 0, 0], ImageSize -> Tiny, AppearanceElements -> 
                    "Spectrum", ControlPlacement -> 44}, {{
                    CalculateScan`PlotterScanner`Private`involuteOpacity$$, 
                    0.8, ""}, 0, 1, ImageSize -> Small, ControlPlacement -> 
                    45}, {{CalculateScan`PlotterScanner`Private`\
involutesLeftTF$$, False, ""}, {True, False}, ControlPlacement -> 46}, {{
                    CalculateScan`PlotterScanner`Private`involutesRightTF$$, 
                    True, ""}, {True, False}, ControlPlacement -> 47}, {{
                    CalculateScan`PlotterScanner`Private`evoluteTF$$, False, 
                    ""}, {True, False}, ControlPlacement -> 48}, {{
                    CalculateScan`PlotterScanner`Private`evoluteThickness$$, \
-3., ""}, -4, -0.5, ImageSize -> Small, ControlPlacement -> 49}, {{
                    CalculateScan`PlotterScanner`Private`evoluteColor$$, 
                    RGBColor[0.813033, 0.766292, 0.303458], ""}, 
                    RGBColor[1, 0, 0], ImageSize -> Tiny, AppearanceElements -> 
                    "Spectrum", ControlPlacement -> 50}, {{
                    CalculateScan`PlotterScanner`Private`evoluteOpacity$$, 
                    0.8, ""}, 0, 1, ImageSize -> Small, ControlPlacement -> 
                    51}, {{CalculateScan`PlotterScanner`Private`offsetCurveTF$\
$, False, ""}, {True, False}, ControlPlacement -> 52}, {{
                    
                    CalculateScan`PlotterScanner`Private`offsetCurveDistance$$\
, 0.08249027613378408, ""}, 0, 1.5393804002589986`, ImageSize -> Small, 
                    ControlPlacement -> 53}, {{
                    CalculateScan`PlotterScanner`Private`offsetCurveCount$$, 
                    12, ""}, 1, 60, 1, ImageSize -> Small, ControlPlacement -> 
                    54}, {{CalculateScan`PlotterScanner`Private`\
offsetCurveThickness$$, -3., ""}, -4, -0.5, ImageSize -> Small, 
                    ControlPlacement -> 55}, {{
                    CalculateScan`PlotterScanner`Private`offsetCurveColor$$, 
                    RGBColor[0.877875, 0.731045, 0.326896], ""}, 
                    RGBColor[1, 0, 0], ImageSize -> Tiny, AppearanceElements -> 
                    "Spectrum", ControlPlacement -> 56}, {{
                    CalculateScan`PlotterScanner`Private`offsetCurveOpacity$$,
                     0.8, ""}, 0, 1, ImageSize -> Small, ControlPlacement -> 
                    57}, {{CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveTF$$, False, ""}, {True, False}, ControlPlacement -> 58}, {{
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveAngle$$, Rational[1, 4] Pi, ""}, -Pi, Pi, ImageSize -> Small,
                     ControlPlacement -> 59}, {{
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveDistance$$, 0.08249027613378408, ""}, 0, 1.5393804002589986`,
                     ImageSize -> Small, ControlPlacement -> 60}, {{
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveCount$$, 12, ""}, 1, 60, 1, ImageSize -> Small, 
                    ControlPlacement -> 61}, {{
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveThickness$$, -3., ""}, -4, -0.5, ImageSize -> Small, 
                    ControlPlacement -> 62}, {{
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveColor$$, 
                    RGBColor[0.49978279999999997`, 0.6025278, 0.2508104], ""}, 
                    RGBColor[1, 0, 0], ImageSize -> Tiny, AppearanceElements -> 
                    "Spectrum", ControlPlacement -> 63}, {{
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveOpacity$$, 0.8, ""}, 0, 1, ImageSize -> Small, 
                    ControlPlacement -> 64}, {{
                    CalculateScan`PlotterScanner`Private`pedalCurveTF$$, 
                    False, ""}, {True, False}, ControlPlacement -> 65}, {{
                    CalculateScan`PlotterScanner`Private`\
pedalCurveCountFactor$$, 0.3, ""}, 0, 1, ImageSize -> Small, ControlPlacement -> 
                    66}, {{CalculateScan`PlotterScanner`Private`\
pedalCurveThickness$$, -3., ""}, -4, -0.5, ImageSize -> Small, 
                    ControlPlacement -> 67}, {{
                    CalculateScan`PlotterScanner`Private`pedalCurveColor$$, 
                    RGBColor[0.32894650000000003`, 0.5006225, 0.2625337], ""}, 
                    RGBColor[1, 0, 0], ImageSize -> Tiny, AppearanceElements -> 
                    "Spectrum", ControlPlacement -> 68}, {{
                    CalculateScan`PlotterScanner`Private`pedalCurveOpacity$$, 
                    0.8, ""}, 0, 1, ImageSize -> Small, ControlPlacement -> 
                    69}, {{CalculateScan`PlotterScanner`Private`\
pedalCurvePoints$$, "curve", ""}, {"grid", "curve"}, ImageSize -> Small, 
                    ControlPlacement -> 70}, {{
                    CalculateScan`PlotterScanner`Private`negativePedalCurveTF$\
$, False, ""}, {True, False}, ControlPlacement -> 71}, {{
                    CalculateScan`PlotterScanner`Private`\
negativePedalCurveCountFactor$$, 0.3, ""}, 0, 1, ImageSize -> Small, 
                    ControlPlacement -> 72}, {{
                    CalculateScan`PlotterScanner`Private`\
negativePedalCurveThickness$$, -3., ""}, -4, -0.5, ImageSize -> Small, 
                    ControlPlacement -> 73}, {{
                    CalculateScan`PlotterScanner`Private`\
negativePedalCurveColor$$, 
                    RGBColor[0.7464574, 0.2952580000000001, 0.2454606], ""}, 
                    RGBColor[1, 0, 0], ImageSize -> Tiny, AppearanceElements -> 
                    "Spectrum", ControlPlacement -> 74}, {{
                    CalculateScan`PlotterScanner`Private`\
negativePedalCurveOpacity$$, 0.8, ""}, 0, 1, ImageSize -> Small, 
                    ControlPlacement -> 75}, {{
                    CalculateScan`PlotterScanner`Private`\
negativePedalCurvePoints$$, "curve", ""}, {"curve", "grid"}, ImageSize -> 
                    Small, ControlPlacement -> 76}, {{
                    CalculateScan`PlotterScanner`Private`contraPedalCurveTF$$,
                     False, ""}, {True, False}, ControlPlacement -> 77}, {{
                    
                    CalculateScan`PlotterScanner`Private`\
contraPedalCurveCountFactor$$, 0.3, ""}, 0, 1, ImageSize -> Small, 
                    ControlPlacement -> 78}, {{
                    CalculateScan`PlotterScanner`Private`\
contraPedalCurveThickness$$, -3., ""}, -4, -0.5, ImageSize -> Small, 
                    ControlPlacement -> 79}, {{
                    CalculateScan`PlotterScanner`Private`\
contraPedalCurveColor$$, 
                    RGBColor[0.7464574, 0.2952580000000001, 0.2454606], ""}, 
                    RGBColor[1, 0, 0], ImageSize -> Tiny, AppearanceElements -> 
                    "Spectrum", ControlPlacement -> 80}, {{
                    CalculateScan`PlotterScanner`Private`\
contraPedalCurveOpacity$$, 0.8, ""}, 0, 1, ImageSize -> Small, 
                    ControlPlacement -> 81}, {{
                    CalculateScan`PlotterScanner`Private`\
contraPedalCurvePoints$$, "curve", ""}, {"curve", "grid"}, ImageSize -> Small,
                     ControlPlacement -> 82}, {{
                    CalculateScan`PlotterScanner`Private`dualCurveTF$$, False,
                     ""}, {True, False}, ControlPlacement -> 83}, {{
                    CalculateScan`PlotterScanner`Private`dualCurveCountFactor$\
$, 0.3, ""}, 0, 1, ImageSize -> Small, ControlPlacement -> 84}, {{
                    CalculateScan`PlotterScanner`Private`dualCurveThickness$$,\
 -3., ""}, -4, -0.5, ImageSize -> Small, ControlPlacement -> 85}, {{
                    CalculateScan`PlotterScanner`Private`dualCurveColor$$, 
                    RGBColor[0.2860602, 0.4663408, 0.29410879999999995`], ""}, 
                    RGBColor[1, 0, 0], ImageSize -> Tiny, AppearanceElements -> 
                    "Spectrum", ControlPlacement -> 86}, {{
                    CalculateScan`PlotterScanner`Private`dualCurveOpacity$$, 
                    0.8, ""}, 0, 1, ImageSize -> Small, ControlPlacement -> 
                    87}, {{CalculateScan`PlotterScanner`Private`\
dualPedalCurvePoints$$, "curve", ""}, {"curve", "grid"}, ImageSize -> Small, 
                    ControlPlacement -> 88}, {{
                    CalculateScan`PlotterScanner`Private`inverseCurveTF$$, 
                    False, ""}, {True, False}, ControlPlacement -> 89}, {{
                    CalculateScan`PlotterScanner`Private`\
inverseCurveCountFactor$$, 0.3, ""}, 0, 1, ImageSize -> Small, 
                    ControlPlacement -> 90}, {{
                    CalculateScan`PlotterScanner`Private`\
inverseCurveThickness$$, -3., ""}, -4, -0.5, ImageSize -> Small, 
                    ControlPlacement -> 91}, {{
                    CalculateScan`PlotterScanner`Private`inverseCurveColor$$, 
                    
                    RGBColor[0.2860602, 0.4663408, 0.29410879999999995`], ""}, 
                    RGBColor[1, 0, 0], ImageSize -> Tiny, AppearanceElements -> 
                    "Spectrum", ControlPlacement -> 92}, {{
                    CalculateScan`PlotterScanner`Private`inverseCurveOpacity$$\
, 0.8, ""}, 0, 1, ImageSize -> Small, ControlPlacement -> 93}, {{
                    CalculateScan`PlotterScanner`Private`inverseCurvePoints$$,
                     "grid", ""}, {"curve", "grid"}, ImageSize -> Small, 
                    ControlPlacement -> 94}, {{
                    CalculateScan`PlotterScanner`Private`\
inverseCurveCircleRadiusFactor$$, 0.4636476090008061, ""}, 0, 1, ImageSize -> 
                    Small, ControlPlacement -> 95}, {{
                    CalculateScan`PlotterScanner`Private`isopticCurveTF$$, 
                    False, ""}, {True, False}, ControlPlacement -> 96}, {{
                    CalculateScan`PlotterScanner`Private`isopticCurveAngle$$, 
                    Rational[1, 3] Pi, ""}, 0, Pi, ImageSize -> Small, 
                    ControlPlacement -> 97}, {{
                    CalculateScan`PlotterScanner`Private`\
isopticCurveThickness$$, -3., ""}, -4, -0.5, ImageSize -> Small, 
                    ControlPlacement -> 98}, {{
                    CalculateScan`PlotterScanner`Private`isopticCurveColor$$, 
                    
                    RGBColor[
                    0.8519382, 0.7451437999999999, 0.31752080000000005`], ""}, 
                    RGBColor[1, 0, 0], ImageSize -> Tiny, AppearanceElements -> 
                    "Spectrum", ControlPlacement -> 99}, {{
                    CalculateScan`PlotterScanner`Private`isopticCurveOpacity$$\
, 0.8, ""}, 0, 1, ImageSize -> Small, ControlPlacement -> 100}, {{
                    CalculateScan`PlotterScanner`Private`orthotomicCurveTF$$, 
                    False, ""}, {True, False}, ControlPlacement -> 101}, {{
                    CalculateScan`PlotterScanner`Private`orthotomicCurveAngle$\
$, Rational[1, 3] Pi, ""}, 0, Pi, ImageSize -> Small, ControlPlacement -> 
                    102}, {{
                    CalculateScan`PlotterScanner`Private`\
orthotomicCurveCountFactor$$, 0.3, ""}, 0, 1, ImageSize -> Small, 
                    ControlPlacement -> 103}, {{
                    CalculateScan`PlotterScanner`Private`\
orthotomicCurveThickness$$, -3., ""}, -4, -0.5, ImageSize -> Small, 
                    ControlPlacement -> 104}, {{
                    CalculateScan`PlotterScanner`Private`orthotomicCurveColor$\
$, 
                    RGBColor[
                    0.8519382, 0.7451437999999999, 0.31752080000000005`], ""}, 
                    RGBColor[1, 0, 0], ImageSize -> Tiny, AppearanceElements -> 
                    "Spectrum", ControlPlacement -> 105}, {{
                    CalculateScan`PlotterScanner`Private`\
orthotomicCurveOpacity$$, 0.8, ""}, 0, 1, ImageSize -> Small, 
                    ControlPlacement -> 106}, {{
                    CalculateScan`PlotterScanner`Private`\
orthotomicCurvePoints$$, "curve", ""}, {"curve", "grid"}, ImageSize -> Small, 
                    ControlPlacement -> 107}, 
                    Style[
                    Overlay[{
                    RawBoxes[
                    PaneBox[
                    GraphicsBox[
                    
                    RasterBox[{{{0, 0, 0, 24}}, {{0, 0, 0, 9}}, {{0, 0, 0, 
                    10}}, {{0, 0, 0, 10}}, {{0, 0, 0, 9}}, {{0, 0, 0, 9}}, {{
                    0, 0, 0, 8}}, {{0, 0, 0, 8}}, {{0, 0, 0, 9}}, {{0, 0, 0, 
                    8}}, {{0, 0, 0, 7}}, {{0, 0, 0, 7}}, {{0, 0, 0, 8}}, {{0, 
                    0, 0, 6}}, {{0, 0, 0, 6}}, {{0, 0, 0, 6}}, {{0, 0, 0, 
                    6}}, {{0, 0, 0, 5}}, {{0, 0, 0, 6}}, {{0, 0, 0, 5}}, {{0, 
                    0, 0, 4}}, {{0, 0, 0, 4}}, {{0, 0, 0, 5}}, {{0, 0, 0, 
                    5}}, {{0, 0, 0, 3}}, {{0, 0, 0, 4}}, {{0, 0, 0, 3}}, {{0, 
                    0, 0, 3}}, {{0, 0, 0, 3}}, {{0, 0, 0, 3}}, {{0, 0, 0, 
                    2}}, {{0, 0, 0, 2}}, {{0, 0, 0, 2}}, {{0, 0, 0, 2}}, {{0, 
                    0, 0, 1}}, {{0, 0, 0, 2}}, {{0, 0, 0, 2}}, {{0, 0, 0, 
                    0}}, {{0, 0, 0, 1}}, {{255, 255, 255, 0}}, {{255, 255, 
                    255, 0}}, {{255, 255, 255, 0}}, {{255, 255, 255, 0}}, {{
                    255, 255, 255, 0}}, {{255, 255, 255, 0}}}, {{0, 45}, {
                    2500, 0}}, {0, 255}, ColorFunction -> RGBColor], 
                    ImageSize -> {2500, 45}, 
                    PlotRange -> {{0, 2500}, {0, 45}}], ImageSize -> 
                    Scaled[1], ScrollPosition -> {0., 0.}]], 
                    Pane[
                    Column[{
                    Row[{
                    Invisible[
                    RawBoxes[
                    GraphicsBox[
                    TagBox[
                    
                    RasterBox[{{{255, 132, 0}, {255, 132, 0}, {255, 132, 0}, {
                    255, 132, 0}, {255, 132, 0}, {255, 132, 0}}, {{255, 132, 
                    0}, {255, 132, 0}, {255, 132, 0}, {255, 132, 0}, {255, 
                    132, 0}, {255, 132, 0}}}, {{0, 2}, {6, 0}}, {0, 255}, 
                    ColorFunction -> RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], BaseStyle -> "ImageGraphics", 
                    ImageSize -> Magnification[1], ImageSizeRaw -> {6, 2}, 
                    BaselinePosition -> (Scaled[0] -> Center), 
                    PlotRange -> {{0, 6}, {0, 2}}]]], " ", 
                    Column[{"Horizontal plot range:", 
                    Row[{
                    Manipulate`Place[1], "  ", 
                    Manipulate`Place[2], "  ", 
                    Manipulate`Place[3]}]}]}], 
                    PaneSelector[{True -> Grid[{{
                    Button[
                    Row[{
                    RawBoxes[
                    GraphicsBox[
                    TagBox[
                    
                    RasterBox[{{{255, 132, 0}, {255, 132, 0}, {255, 132, 0}, {
                    255, 132, 0}, {255, 132, 0}, {255, 132, 0}}, {{255, 132, 
                    0}, {255, 132, 0}, {255, 132, 0}, {255, 132, 0}, {255, 
                    132, 0}, {255, 132, 0}}}, {{0, 2}, {6, 0}}, {0, 255}, 
                    ColorFunction -> RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], BaseStyle -> "ImageGraphics", 
                    ImageSize -> Magnification[1], ImageSizeRaw -> {6, 2}, 
                    BaselinePosition -> (Scaled[0] -> Center), 
                    PlotRange -> {{0, 6}, {0, 2}}]], " "}], 
                    CalculateUtilities`GraphicsUtilities`Private`more$$ = 
                    False, Appearance -> None, BaseStyle -> {}], 
                    Button[
                    "Fewer controls", 
                    CalculateUtilities`GraphicsUtilities`Private`more$$ = 
                    False, Appearance -> None, BaseStyle -> {}]}, {"", 
                    Item[
                    Column[{
                    Column[{"Vertical plot range:", 
                    Row[{
                    Manipulate`Place[4], "  ", 
                    Manipulate`Place[5], "  ", 
                    Manipulate`Place[6]}], 
                    Manipulate`Place[7]}], 
                    Column[{
                    Row[{
                    Manipulate`Place[8], "  ", 
                    Manipulate`Place[9]}], 
                    Row[{
                    Manipulate`Place[10], "   settings: ", 
                    Button[
                    "1", CalculateScan`PlotterScanner`Private`ar$$ = 1, 
                    ImageSize -> Small, Appearance -> "Palette", 
                    BaseStyle -> {}], "  ", 
                    Button["unscaled axes", 
                    (If[
                    1/4 <= # <= 4, 
                    CalculateScan`PlotterScanner`Private`ar$$ = #]& )[Abs[
                    Apply[
                    Subtract, CalculateScan`PlotterScanner`Private`pRY]]/Abs[
                    Apply[
                    Subtract, CalculateScan`PlotterScanner`Private`pRX]]], 
                    ImageSize -> Small, Appearance -> "Palette", 
                    BaseStyle -> {}]}]}], 
                    TabView[{Row[{" ", 
                    Dynamic[
                    If[CalculateScan`PlotterScanner`Private`tangentTF$$, 
                    Style[
                    "\[Checkmark]", 
                    CalculateScan`PlotterScanner`Private`tangentColor$$, 
                    Bold], " "]], 
                    Tooltip[" tangents             ", 
                    Style[" family of tangents at points along the curve ", 
                    GrayLevel[0.5]], TooltipDelay -> 0.33]}] -> 
                    Grid[{{"show tangents", 
                    Manipulate`Place[11]}, {"tangent count", 
                    Manipulate`Place[12]}, {"tangent length", 
                    Manipulate`Place[13]}, {"tangent thickness", 
                    Manipulate`Place[14]}, {"tangent color", 
                    Manipulate`Place[15]}, {"tangent opacity", 
                    Manipulate`Place[16]}}, Alignment -> Left, 
                    Dividers -> {None, {False, True, False, False, False, 
                    False}}], Row[{" ", 
                    Dynamic[
                    If[CalculateScan`PlotterScanner`Private`normalTF$$, 
                    Style[
                    "\[Checkmark]", 
                    CalculateScan`PlotterScanner`Private`normalColor$$, Bold],
                     " "]], 
                    Tooltip[" normals              ", 
                    Style[" family of normals at points along the curve ", 
                    GrayLevel[0.5]], TooltipDelay -> 0.33]}] -> 
                    Grid[{{"show normals", 
                    Manipulate`Place[17]}, {"normal count", 
                    Manipulate`Place[18]}, {"normal length", 
                    Manipulate`Place[19]}, {"normal thickness", 
                    Manipulate`Place[20]}, {"normal color", 
                    Manipulate`Place[21]}, {"normal opacity", 
                    Manipulate`Place[22]}}, Alignment -> Left, 
                    Dividers -> {None, {False, True, False, False, False, 
                    False}}], Row[{" ", 
                    Dynamic[
                    If[CalculateScan`PlotterScanner`Private`tiltedTangentTF$$, 
                    Style[
                    "\[Checkmark]", 
                    CalculateScan`PlotterScanner`Private`tiltedTangentColor$$,
                     Bold], " "]], 
                    Tooltip[" tilted tangents      ", 
                    Style[
                    " family of tilted tangents at points along the curve ", 
                    GrayLevel[0.5]], TooltipDelay -> 0.33]}] -> 
                    Grid[{{"show tilted tangents", 
                    Manipulate`Place[23]}, {"tilted tangent angle", 
                    Manipulate`Place[24]}, {"tilted tangent count", 
                    Manipulate`Place[25]}, {"tilted tangent length", 
                    Manipulate`Place[26]}, {"tilted tangent thickness", 
                    Manipulate`Place[27]}, {"tilted tangent color", 
                    Manipulate`Place[28]}, {"tilted tangent opacity", 
                    Manipulate`Place[29]}}, Alignment -> Left, 
                    Dividers -> {None, {False, True, False, False, False, 
                    False}}], Row[{" ", 
                    Dynamic[
                    If[
                    CalculateScan`PlotterScanner`Private`osculatingCircleTF$$, 
                    Style[
                    "\[Checkmark]", 
                    CalculateScan`PlotterScanner`Private`\
osculatingCircleColor$$, Bold], " "]], 
                    Tooltip[" osculating circles   ", 
                    Style[
                    " family of osculating circles (circles that are tangent \
to the curve) at points along the curve", 
                    GrayLevel[0.5]], TooltipDelay -> 0.33]}] -> Column[{
                    Grid[{{"show osculating circles", 
                    Manipulate`Place[30]}, {"osculating circle count", 
                    Manipulate`Place[31]}, {"osculating circle thickness", 
                    Manipulate`Place[32]}, {"osculating circle color", 
                    Manipulate`Place[33]}, {"osculating circle opacity", 
                    Manipulate`Place[34]}, {"show circle radii", 
                    Manipulate`Place[35]}}, Alignment -> Left, 
                    Dividers -> {None, {False, True, False, False, False, 
                    True}}], 
                    Dynamic[
                    Style[
                    If[
                    And[
                    CalculateScan`PlotterScanner`Private`osculatingCircleTF$$, 
                    Not[
                    0.98 < CalculateScan`PlotterScanner`Private`ar$$ < 1.02]],
                     "(note than circles appear as ellipses for unequally\n\
scaled horizontal and vertical axes)", ""]], 
                    RGBColor[
                    0.6666666666666666, 0.6666666666666666, 
                    0.6666666666666666]]}, Alignment -> Left], Row[{" ", 
                    Dynamic[
                    If[
                    CalculateScan`PlotterScanner`Private`taylorParabolaTF$$, 
                    Style[
                    "\[Checkmark]", 
                    CalculateScan`PlotterScanner`Private`taylorParabolaColor$$\
, Bold], " "]], 
                    Tooltip[" Taylor parabolas     ", 
                    Style[" family of second order Taylor approximations", 
                    GrayLevel[0.5]], TooltipDelay -> 0.33]}] -> Column[{
                    Grid[{{"show Taylor parabolas", 
                    Manipulate`Place[36]}, {"Taylor parabola count", 
                    Manipulate`Place[37]}, {"Taylor parabola thickness", 
                    Manipulate`Place[38]}, {"Taylor parabola color", 
                    Manipulate`Place[39]}, {"Taylor parabola opacity", 
                    Manipulate`Place[40]}}, Alignment -> Left, 
                    Dividers -> {None, {False, True, False, False, False, 
                    True}}]}, Alignment -> Left], Row[{" ", 
                    Dynamic[
                    If[CalculateScan`PlotterScanner`Private`involuteTF$$, 
                    Style[
                    "\[Checkmark]", 
                    CalculateScan`PlotterScanner`Private`involuteColor$$, 
                    Bold], " "]], 
                    Tooltip[" involutes            ", 
                    Style[
                    " family of involutes (curves traced out by strings \
unwound from the curve) of the curve", 
                    GrayLevel[0.5]], TooltipDelay -> 0.33]}] -> 
                    Grid[{{"show involutes", 
                    Manipulate`Place[41]}, {"involute count", 
                    Manipulate`Place[42]}, {"involute thickness", 
                    Manipulate`Place[43]}, {"involute color", 
                    Manipulate`Place[44]}, {"involute opacity", 
                    Manipulate`Place[45]}, {"directions", 
                    Row[{"\[DoubleLongLeftArrow]", 
                    Manipulate`Place[46], "  \[DoubleLongRightArrow]", 
                    Manipulate`Place[47]}]}}, Alignment -> Left, 
                    Dividers -> {None, {False, True, False, False, False, 
                    True}}], Row[{" ", 
                    Dynamic[
                    If[CalculateScan`PlotterScanner`Private`evoluteTF$$, 
                    Style["\[Checkmark]", 
                    CalculateScan`PlotterScanner`Private`evoluteColor$$, 
                    Bold], " "]], 
                    Tooltip[" evolute              ", 
                    Style[
                    " the evolute of a given curve (curve of the centers of \
the osculating circles))", 
                    GrayLevel[0.5]], TooltipDelay -> 0.33]}] -> 
                    Grid[{{"show evolute", 
                    Manipulate`Place[48]}, {"evolute thickness", 
                    Manipulate`Place[49]}, {"evolute color", 
                    Manipulate`Place[50]}, {"evolute opacity", 
                    Manipulate`Place[51]}}, Alignment -> Left, 
                    Dividers -> {None, {False, True, False, False, False, 
                    False}}], Row[{" ", 
                    Dynamic[
                    If[CalculateScan`PlotterScanner`Private`offsetCurveTF$$, 
                    Style[
                    "\[Checkmark]", 
                    CalculateScan`PlotterScanner`Private`offsetCurveColor$$, 
                    Bold], " "]], 
                    Tooltip[" offset curves        ", 
                    Style[
                    " family of offset curves (curves shifted a fixed \
distance perpendicular to each point of the original curve) ", 
                    GrayLevel[0.5]], TooltipDelay -> 0.33]}] -> 
                    Grid[{{"show offset curves", 
                    Manipulate`Place[52]}, {"offset curve distance", 
                    Manipulate`Place[53]}, {"offset curve count", 
                    Manipulate`Place[54]}, {"offset curve thickness", 
                    Manipulate`Place[55]}, {"offset curve color", 
                    Manipulate`Place[56]}, {"offset curve opacity", 
                    Manipulate`Place[57]}}, Alignment -> Left, 
                    Dividers -> {None, {False, True, False, False, False, 
                    False}}], Row[{" ", 
                    Dynamic[
                    If[
                    CalculateScan`PlotterScanner`Private`tiltedOffsetCurveTF$$\
, 
                    Style["\[Checkmark]", 
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveColor$$, Bold], " "]], 
                    Tooltip[" tilted offset curves ", 
                    Style[
                    " family of tilted offset curves (curves shifted a fixed \
distance in a direction with a fixed angle \n                                 \
     to the local normal to each point of the original curve) ", 
                    GrayLevel[0.5]], TooltipDelay -> 0.33]}] -> 
                    Grid[{{"show tilted offset curves", 
                    Manipulate`Place[58]}, {"tilted offset curve angle", 
                    Manipulate`Place[59]}, {"tilted offset curve distance", 
                    Manipulate`Place[60]}, {"tilted offset curve count", 
                    Manipulate`Place[61]}, {"tilted offset curve thickness", 
                    Manipulate`Place[62]}, {"tilted offset curve color", 
                    Manipulate`Place[63]}, {"tilted offset curve opacity", 
                    Manipulate`Place[64]}}, Alignment -> Left, 
                    Dividers -> {None, {False, True, False, False, False, 
                    False}}], Row[{" ", 
                    Dynamic[
                    If[CalculateScan`PlotterScanner`Private`pedalCurveTF$$, 
                    Style[
                    "\[Checkmark]", 
                    CalculateScan`PlotterScanner`Private`pedalCurveColor$$, 
                    Bold], " "]], 
                    Tooltip[" pedal curves         ", 
                    Style[
                    " family of pedal curves (curves on the tangents of the \
given curve perpendicular to a given point) ", 
                    GrayLevel[0.5]], TooltipDelay -> 0.33]}] -> 
                    Grid[{{"show pedal curves", 
                    Manipulate`Place[65]}, {"pedal curve count", 
                    Manipulate`Place[66]}, {"pedal curve thickness", 
                    Manipulate`Place[67]}, {"pedal curve color", 
                    Manipulate`Place[68]}, {"pedal curve opacity", 
                    Manipulate`Place[69]}, {"pedal points", 
                    Manipulate`Place[70]}}, Alignment -> Left, 
                    Dividers -> {None, {False, True, False, False, False, 
                    True}}], Row[{" ", 
                    Dynamic[
                    If[
                    CalculateScan`PlotterScanner`Private`negativePedalCurveTF$\
$, 
                    Style["\[Checkmark]", 
                    CalculateScan`PlotterScanner`Private`\
negativePedalCurveColor$$, Bold], " "]], 
                    Tooltip[" negative pedal curves", 
                    Style[
                    " family of negative pedal curves (envelope curves of \
lines perpendicular to the given curve and a given point) ", 
                    GrayLevel[0.5]], TooltipDelay -> 0.33]}] -> 
                    Grid[{{"show negative pedal curves", 
                    Manipulate`Place[71]}, {"negative pedal curve count", 
                    Manipulate`Place[72]}, {
                    "negative pedal curve thickness", 
                    Manipulate`Place[73]}, {"negative pedal curve color", 
                    Manipulate`Place[74]}, {"negative pedal curve opacity", 
                    Manipulate`Place[75]}, {"negative pedal points", 
                    Manipulate`Place[76]}}, Alignment -> Left, 
                    Dividers -> {None, {False, True, False, False, False, 
                    False}}], Row[{" ", 
                    Dynamic[
                    If[
                    CalculateScan`PlotterScanner`Private`contraPedalCurveTF$$, 
                    Style[
                    "\[Checkmark]", 
                    CalculateScan`PlotterScanner`Private`\
contraPedalCurveColor$$, Bold], " "]], 
                    Tooltip[" contrapedal curves   ", 
                    Style[
                    " family of contrapedal curves (curves on the normals of \
the given curve perpendicular to a given point) ", 
                    GrayLevel[0.5]], TooltipDelay -> 0.33]}] -> 
                    Grid[{{"show contrapedal curves", 
                    Manipulate`Place[77]}, {"contrapedal curve count", 
                    Manipulate`Place[78]}, {"contrapedal curve thickness", 
                    Manipulate`Place[79]}, {"contrapedal curve color", 
                    Manipulate`Place[80]}, {"contrapedal curve opacity", 
                    Manipulate`Place[81]}, {"contrapedal pedal points", 
                    Manipulate`Place[82]}}, Alignment -> Left, 
                    Dividers -> {None, {False, True, False, False, False, 
                    False}}], Row[{" ", 
                    Dynamic[
                    If[CalculateScan`PlotterScanner`Private`dualCurveTF$$, 
                    Style[
                    "\[Checkmark]", 
                    CalculateScan`PlotterScanner`Private`dualCurveColor$$, 
                    Bold], " "]], 
                    Tooltip[" dual curves          ", 
                    Style[
                    " dual curve of the given curve (the dual curbe maps \
inflection points to cusps) ", 
                    GrayLevel[0.5]], TooltipDelay -> 0.33]}] -> 
                    Grid[{{"show dual curves", 
                    Manipulate`Place[83]}, {"dual curve count", 
                    Manipulate`Place[84]}, {"dual curve thickness", 
                    Manipulate`Place[85]}, {"dual curve color", 
                    Manipulate`Place[86]}, {"dual curve opacity", 
                    Manipulate`Place[87]}, {"dual curve points", 
                    Manipulate`Place[88]}}, Alignment -> Left, 
                    Dividers -> {None, {False, True, False, False, False, 
                    False}}], Row[{" ", 
                    Dynamic[
                    If[
                    CalculateScan`PlotterScanner`Private`inverseCurveTF$$, 
                    Style[
                    "\[Checkmark]", 
                    CalculateScan`PlotterScanner`Private`inverseCurveColor$$, 
                    Bold], " "]], 
                    Tooltip[" inverse curves       ", 
                    Style[
                    " inverse curves (curves resulting from carrying of an \
inversion on circles) ", 
                    GrayLevel[0.5]], TooltipDelay -> 0.33]}] -> 
                    Grid[{{"show inverse curves", 
                    Manipulate`Place[89]}, {"inverse curve count", 
                    Manipulate`Place[90]}, {"inverse curve thickness", 
                    Manipulate`Place[91]}, {"inverse curve color", 
                    Manipulate`Place[92]}, {"inverse curve opacity", 
                    Manipulate`Place[93]}, {"inversion curve points", 
                    Manipulate`Place[94]}, {"inversion circle radius", 
                    Manipulate`Place[95]}}, Alignment -> Left, 
                    Dividers -> {None, {False, True, False, False, False, 
                    False}}], Row[{" ", 
                    Dynamic[
                    If[
                    CalculateScan`PlotterScanner`Private`isopticCurveTF$$, 
                    Style[
                    "\[Checkmark]", 
                    CalculateScan`PlotterScanner`Private`isopticCurveColor$$, 
                    Bold], " "]], 
                    Tooltip[" isoptic curves       ", 
                    Style[
                    " inverse curves (points on isoptic curves have two \
tangents with the given curve and the two tangents meet with the specified \
angle)) ", 
                    GrayLevel[0.5]], TooltipDelay -> 0.33]}] -> Column[{
                    Grid[{{"show isoptic curves", 
                    Manipulate`Place[96]}, {"isoptic curve angle", 
                    Manipulate`Place[97]}, {"isoptic curve thickness", 
                    Manipulate`Place[98]}, {"isoptic curve color", 
                    Manipulate`Place[99]}, {"isoptic curve opacity", 
                    Manipulate`Place[100]}}, Alignment -> Left, 
                    Dividers -> {None, {False, True, False, False, False, 
                    False}}], 
                    Dynamic[
                    Style[
                    If[
                    TrueQ[
                    And[
                    CalculateScan`PlotterScanner`Private`isopticCurveTF$$, 
                    CalculateScan`PlotterScanner`Private`x1x2SCPCurves === \
{}]], "(note than the set of isoptic curves for a given angle can be empty)", 
                    ""]], 
                    RGBColor[
                    0.6666666666666666, 0.6666666666666666, 
                    0.6666666666666666]]}, Alignment -> Left], Row[{" ", 
                    Dynamic[
                    If[
                    CalculateScan`PlotterScanner`Private`orthotomicCurveTF$$, 
                    
                    Style[
                    "\[Checkmark]", 
                    CalculateScan`PlotterScanner`Private`orthotomicCurveColor$\
$, Bold], " "]], 
                    Tooltip[" orthotomic curves    ", 
                    Style[
                    " orthotomic curves (points of reflections of a given \
point on curve tangents)) ", 
                    GrayLevel[0.5]], TooltipDelay -> 0.33]}] -> 
                    Grid[{{"show orthotomic curves", 
                    Manipulate`Place[101]}, {"orthotomic curve angle", 
                    Manipulate`Place[102]}, {"orthotomic curve count", 
                    Manipulate`Place[103]}, {"orthotomic curve thickness", 
                    Manipulate`Place[104]}, {"orthotomic curve color", 
                    Manipulate`Place[105]}, {"orthotomic curve opacity", 
                    Manipulate`Place[106]}, {"orthotomic curve points", 
                    Manipulate`Place[107]}}, Alignment -> Left, 
                    Dividers -> {None, {False, True, False, False, False, 
                    False}}]}, 2, ImageSize -> {All, Automatic}, 
                    ControlPlacement -> Left]}, 
                    Dividers -> {None, {False, True, True, True}}, Spacings -> 
                    1], ItemSize -> Scaled[1], 
                    Frame -> {None, None, True, None}]}}, FrameStyle -> 
                    GrayLevel[0.9], Alignment -> Left, Spacings -> {0, 0.8}], 
                    False -> Button[
                    Row[{
                    RawBoxes[
                    GraphicsBox[
                    TagBox[
                    
                    RasterBox[{{{255, 255, 255}, {255, 255, 255}, {255, 132, 
                    0}, {255, 132, 0}, {255, 255, 255}, {255, 255, 255}}, {{
                    255, 255, 255}, {255, 255, 255}, {255, 132, 0}, {255, 132,
                     0}, {255, 255, 255}, {255, 255, 255}}, {{255, 132, 0}, {
                    255, 132, 0}, {255, 132, 0}, {255, 132, 0}, {255, 132, 
                    0}, {255, 132, 0}}, {{255, 132, 0}, {255, 132, 0}, {255, 
                    132, 0}, {255, 132, 0}, {255, 132, 0}, {255, 132, 0}}, {{
                    255, 255, 255}, {255, 255, 255}, {255, 132, 0}, {255, 132,
                     0}, {255, 255, 255}, {255, 255, 255}}, {{255, 255, 
                    255}, {255, 255, 255}, {255, 132, 0}, {255, 132, 0}, {255,
                     255, 255}, {255, 255, 255}}}, {{0, 6}, {6, 0}}, {0, 255},
                     ColorFunction -> RGBColor], 
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True], 
                    Selectable -> False], BaseStyle -> "ImageGraphics", 
                    ImageSize -> Magnification[1], ImageSizeRaw -> {6, 6}, 
                    BaselinePosition -> (Scaled[0.3] -> Center), 
                    PlotRange -> {{0, 6}, {0, 6}}]], " More controls"}], 
                    CalculateUtilities`GraphicsUtilities`Private`more$$ = 
                    True, Appearance -> None, BaseStyle -> {}]}, 
                    Dynamic[
                    CalculateUtilities`GraphicsUtilities`Private`more$$], 
                    ImageSize -> Automatic]}], 
                    ImageMargins -> {{20, 30}, {10, 10}}]}, {1, 2}, 2, 
                    Alignment -> {Left, Top}]], {{
                    CalculateScan`PlotterScanner`Private`\
osculatingCircleLastParamaters$$, {}}, ControlType -> None}, {{
                    CalculateScan`PlotterScanner`Private`osculatingCircles$$, \
{}}, ControlType -> None}, {{
                    CalculateScan`PlotterScanner`Private`\
taylorParabolaLastParamaters$$, {}}, ControlType -> None}, {{
                    CalculateScan`PlotterScanner`Private`taylorParabolas$$, \
{}}, ControlType -> None}, {{
                    CalculateScan`PlotterScanner`Private`\
offsetCurveLastParamaters$$, {}}, ControlType -> None}, {{
                    CalculateScan`PlotterScanner`Private`\
offsetCurvePlotCurves$$, {}}, ControlType -> None}, {{
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurveLastParamaters$$, {}}, ControlType -> None}, {{
                    CalculateScan`PlotterScanner`Private`\
tiltedOffsetCurvePlotCurves$$, {}}, ControlType -> None}, {{
                    CalculateScan`PlotterScanner`Private`\
pedalCurveLastParamaters$$, {}}, ControlType -> None}, {{
                    CalculateScan`PlotterScanner`Private`pedalCurvePlotCurves$\
$, {}}, ControlType -> None}, {{
                    CalculateScan`PlotterScanner`Private`\
negativePedalCurveLastParamaters$$, {}}, ControlType -> None}, {{
                    CalculateScan`PlotterScanner`Private`\
negativePedalCurvePlotCurves$$, {}}, ControlType -> None}, {{
                    
                    CalculateScan`PlotterScanner`Private`\
contraPedalCurveLastParamaters$$, {}}, ControlType -> None}, {{
                    CalculateScan`PlotterScanner`Private`\
contraPedalCurvePlotCurves$$, {}}, ControlType -> None}, {{
                    CalculateScan`PlotterScanner`Private`\
dualCurveLastParamaters$$, {}}, ControlType -> None}, {{
                    CalculateScan`PlotterScanner`Private`dualCurvePlotCurves$$\
, {}}, ControlType -> None}, {{
                    CalculateScan`PlotterScanner`Private`\
inverseLastParamaters$$, {}}, ControlType -> None}, {{
                    CalculateScan`PlotterScanner`Private`\
inverseCurvePlotCurves$$, {}}, ControlType -> None}, {{
                    CalculateScan`PlotterScanner`Private`\
orthotomicLastParamaters$$, {}}, ControlType -> None}, {{
                    CalculateScan`PlotterScanner`Private`\
orthotomicCurvePlotCurves$$, {}}, ControlType -> None}, {{
                    CalculateScan`PlotterScanner`Private`\
isopticLastParamaters$$, {}}, ControlType -> None}, {{
                    CalculateScan`PlotterScanner`Private`\
isopticCurvePlotCurves$$, {}}, ControlType -> None}}, 
                  "Options" :> {
                   ControlPlacement -> {
                    Bottom, Bottom, Bottom, Bottom, Bottom, Bottom, Bottom, 
                    Bottom, Bottom, Bottom, Bottom, Bottom, Bottom, Bottom, 
                    Bottom, Bottom, Bottom, Bottom, Bottom, Bottom}, 
                    TrackedSymbols :> Manipulate, Paneled -> False, 
                    ControlPlacement -> Bottom, 
                    FrameMargins -> {{0, 0}, {0, 10}}, Paneled -> False, 
                    AppearanceElements -> {}, 
                    LabelStyle -> {
                    "DialogStyle", FontColor -> GrayLevel[0.25]}}, 
                  "DefaultOptions" :> {}], SingleEvaluation -> True], 
                Initialization :> ({
                  Attributes[CalculateScan`PlotterScanner`Private`x1Old$] = {
                    Temporary}, 
                   Attributes[CalculateScan`PlotterScanner`Private`x2Old$] = {
                    Temporary}, 
                   Attributes[
                    CalculateScan`PlotterScanner`Private`fy1Old$] = {
                    Temporary}, 
                   Attributes[
                    CalculateScan`PlotterScanner`Private`fy2Old$] = {
                    Temporary}, 
                   Attributes[CalculateScan`PlotterScanner`Private`X1$] = {
                    Temporary}, 
                   Attributes[CalculateScan`PlotterScanner`Private`X2$] = {
                    Temporary}, 
                   Attributes[
                    CalculateScan`PlotterScanner`Private`singularities$] = {
                    Temporary}, 
                   Attributes[CalculateScan`PlotterScanner`Private`ts$] = {
                    Temporary}, 
                   Attributes[CalculateScan`PlotterScanner`Private`xL$] = {
                    Temporary}, 
                   Attributes[CalculateScan`PlotterScanner`Private`xU$] = {
                    Temporary}, 
                   Attributes[CalculateScan`PlotterScanner`Private`yL$] = {
                    Temporary}, 
                   Attributes[CalculateScan`PlotterScanner`Private`yU$] = {
                    Temporary}, 
                   Attributes[CalculateScan`PlotterScanner`Private`pRX$] = {
                    Temporary}, 
                   Attributes[
                    CalculateScan`PlotterScanner`Private`\[CapitalDelta]X$] = \
{Temporary}, Attributes[
                    CalculateScan`PlotterScanner`Private`\[CapitalDelta]y$] = \
{Temporary}, Attributes[CalculateScan`PlotterScanner`Private`Y1$] = {
                    Temporary}, 
                   Attributes[CalculateScan`PlotterScanner`Private`Y2$] = {
                    Temporary}, 
                   Attributes[CalculateScan`PlotterScanner`Private`pRY$] = {
                    Temporary}, 
                   Attributes[
                    CalculateScan`PlotterScanner`Private`originalCurvePlot0$] = \
{Temporary}, Attributes[
                    CalculateScan`PlotterScanner`Private`originalCurvePlot$] = \
{Temporary}, Attributes[
                    CalculateScan`PlotterScanner`Private`tangentsLines$] = {
                    Temporary}, 
                   Attributes[
                    CalculateScan`PlotterScanner`Private`tangentLinePlot$] = {
                    Temporary}, 
                   Attributes[
                    CalculateScan`PlotterScanner`Private`normalLines$] = {
                    Temporary}, 
                   Attributes[
                    CalculateScan`PlotterScanner`Private`normalLinePlot$] = {
                    Temporary}, 
                   Attributes[
                    CalculateScan`PlotterScanner`Private`tiltedTangentLines$] = \
{Temporary}, Attributes[
                    CalculateScan`PlotterScanner`Private`\
tiltedTangentLinePlot$] = {Temporary}, 
                   Attributes[
                    CalculateScan`PlotterScanner`Private`\
osculatingCircleRadii$] = {Temporary}, 
                   Attributes[
                    CalculateScan`PlotterScanner`Private`\
osculatingCircleLastParamaters$] = {Temporary}, 
                   Attributes[
                    CalculateScan`PlotterScanner`Private`osculatingCirclePlot$\
] = {Temporary}, Attributes[
                    CalculateScan`PlotterScanner`Private`taylorParabolaPlot$] = \
{Temporary}, Attributes[CalculateScan`PlotterScanner`Private`evolutePlot$] = {
                    Temporary}, 
                   Attributes[
                    CalculateScan`PlotterScanner`Private`involutePlotCurves$] = \
{Temporary}, Attributes[
                    CalculateScan`PlotterScanner`Private`\
involutePlotCurveLastParamaters$] = {Temporary}, 
                   Attributes[
                    CalculateScan`PlotterScanner`Private`involutePlot$] = {
                    Temporary}, 
                   Attributes[CalculateScan`PlotterScanner`Private`iTab$] = {
                    Temporary}, 
                   Attributes[CalculateScan`PlotterScanner`Private`xLi$] = {
                    Temporary}, 
                   Attributes[CalculateScan`PlotterScanner`Private`xUi$] = {
                    Temporary}, 
                   Attributes[
                    CalculateScan`PlotterScanner`Private`arcLength$] = {
                    Temporary}, 
                   Attributes[CalculateScan`PlotterScanner`Private`arcL$] = {
                    Temporary}, 
                   Attributes[CalculateScan`PlotterScanner`Private`xi1$] = {
                    Temporary}, 
                   Attributes[CalculateScan`PlotterScanner`Private`xi2$] = {
                    Temporary}, 
                   Attributes[
                    CalculateScan`PlotterScanner`Private`lineSegments$] = {
                    Temporary}, 
                   Attributes[
                    CalculateScan`PlotterScanner`Private`baseSegments$] = {
                    Temporary}, 
                   Attributes[
                    CalculateScan`PlotterScanner`Private`oSegments$] = {
                    Temporary}, 
                   Attributes[
                    CalculateScan`PlotterScanner`Private`arcFactors$] = {
                    Temporary}, 
                   Attributes[
                    CalculateScan`PlotterScanner`Private`iTabRight$] = {
                    Temporary}, 
                   Attributes[
                    CalculateScan`PlotterScanner`Private`iTabLeft$] = {
                    Temporary}, 
                   Attributes[
                    CalculateScan`PlotterScanner`Private`signedArcFactors$] = \
{Temporary}, Attributes[CalculateScan`PlotterScanner`Private`curvePoints$] = {
                    Temporary}, CalculateScan`PlotterScanner`Private`L = 
                   0.624735021432823, 
                   CalculateScan`PlotterScanner`Private`red = And[
                    Element[
                    Alternatives[
                    C[1], 
                    C[2]], Integers], (2 I) Pi C[2] + 
                    Log[I (-I + 2 Pi C[1] - I 
                    Log[CalculateScan`PlotterScanner`Private`y$^(-1)])] == 
                    Removed["x"], CalculateScan`PlotterScanner`Private`y$ != 
                    0, 1 + (2 I) Pi C[1] + 
                    Log[CalculateScan`PlotterScanner`Private`y$^(-1)] != 0], 
                   Attributes[CalculateScan`PlotterScanner`Private`y$] = {
                    Temporary}, Attributes[Compile`$201] = {Temporary}, 
                   Attributes[Compile`$237] = {Temporary}, 
                   Attributes[Compile`$810] = {Temporary}, 
                   CalculateScan`PlotterScanner`Private`addTangents[{
                    Pattern[CalculateScan`PlotterScanner`Private`fD0, 
                    Blank[]], 
                    Pattern[CalculateScan`PlotterScanner`Private`fD1, 
                    Blank[]]}, {
                    Pattern[CalculateScan`PlotterScanner`Private`x, 
                    Blank[]], 
                    Pattern[CalculateScan`PlotterScanner`Private`xMin, 
                    Blank[]], 
                    Pattern[CalculateScan`PlotterScanner`Private`xMax, 
                    Blank[]]}, 
                    Pattern[CalculateScan`PlotterScanner`Private`n, 
                    Blank[]], 
                    Pattern[CalculateScan`PlotterScanner`Private`opts, 
                    OptionsPattern[]]] := Quiet[
                    
                    Module[{}, 
                    CalculateScan`PlotterScanner`Private`\[Alpha] = 
                    OptionValue["TiltAngle"]; 
                    CalculateScan`PlotterScanner`Private`f = 
                    OptionValue["LengthFactor"]; 
                    CalculateScan`PlotterScanner`Private`bdq = 
                    OptionValue["Bidirectional"]; 
                    CalculateScan`PlotterScanner`Private`L = 
                    CalculateScan`PlotterScanner`Private`xMax - 
                    CalculateScan`PlotterScanner`Private`xMin; 
                    CalculateScan`PlotterScanner`Private`M = {{
                    Cos[CalculateScan`PlotterScanner`Private`\[Alpha]], 
                    Sin[CalculateScan`PlotterScanner`Private`\[Alpha]]}, {-
                    Sin[CalculateScan`PlotterScanner`Private`\[Alpha]], 
                    Cos[CalculateScan`PlotterScanner`Private`\[Alpha]]}}; 
                    CalculateScan`PlotterScanner`Private`pointsAndDirections = 
                    Cases[
                    Chop[
                    N[
                    Table[{{CalculateScan`PlotterScanner`Private`x, 
                    CalculateScan`PlotterScanner`Private`fD0[
                    CalculateScan`PlotterScanner`Private`x]}, 
                    CalculateScan`PlotterScanner`Private`f 
                    CalculateScan`PlotterScanner`Private`L 
                    Dot[CalculateScan`PlotterScanner`Private`M, 
                    Normalize[{1, 
                    CalculateScan`PlotterScanner`Private`fD1[
                    CalculateScan`PlotterScanner`Private`x]}]]}, {
                    CalculateScan`PlotterScanner`Private`x, 
                    CalculateScan`PlotterScanner`Private`xMin, 
                    CalculateScan`PlotterScanner`Private`xMax, (
                    CalculateScan`PlotterScanner`Private`xMax - 
                    CalculateScan`PlotterScanner`Private`xMin)/
                    CalculateScan`PlotterScanner`Private`n}]]], {{
                    Blank[Real], 
                    Blank[Real]}, {
                    Blank[Real], 
                    Blank[Real]}}]; 
                    If[CalculateScan`PlotterScanner`Private`bdq === False, 
                    Line[
                    
                    Apply[{#, # + #2}& , 
                    CalculateScan`PlotterScanner`Private`pointsAndDirections, \
{1}]], 
                    Line[
                    
                    Apply[{# - #2, # + #2}& , 
                    CalculateScan`PlotterScanner`Private`pointsAndDirections, \
{1}]]]]], Options[CalculateScan`PlotterScanner`Private`addTangents] = {
                    "TiltAngle" -> 0, "LengthFactor" -> 1, "Bidirectional" -> 
                    True}, CalculateScan`PlotterScanner`Private`fD0 = 
                   CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 5}}, {{3, {2, 0, 0}}}, {
                    0, 1, 8, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 0, 1, 2, 0, 
                    0, 3, 0, 2}, {40, 1, 3, 0, 0, 3, 0, 3}, {40, 6, 3, 0, 0, 
                    3, 0, 4}, {40, 56, 3, 0, 4, 3, 0, 5}, {40, 56, 3, 0, 1, 3,
                     0, 4}, {16, 4, 3, 4}, {13, 2, 4, 6}, {40, 58, 3, 0, 6, 3,
                     0, 4}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 6}, {13, 2, 6, 
                    7}, {16, 4, 7, 4}, {19, 4, 7}, {13, 5, 7, 5}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$201, Compile`$237, Compile`$810}, 
                    Compile`$201 = Cos[Global`x]; 
                    Compile`$237 = Compile`$201^3; 
                    Compile`$810 = Sin[Global`x]; 
                    Sec[Global`x]^2 - (Compile`$237 + Compile`$810^3)/(
                    Compile`$237 + Compile`$201^2 Compile`$810)]], Evaluate], 
                   CalculateScan`PlotterScanner`Private`fD1 = 
                   CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    11}}, {{-2, {2, 0, 2}}, {2, {2, 0, 3}}, {-3, {2, 0, 1}}, {
                    3, {2, 0, 0}}}, {0, 4, 14, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {40, 56, 3, 0, 1, 3, 0, 
                    2}, {40, 1, 3, 0, 0, 3, 0, 3}, {41, 263, 3, 0, 1, 2, 0, 0,
                     3, 0, 4}, {16, 2, 3, 5}, {13, 4, 5, 6}, {10, 1, 7}, {16, 
                    7, 2, 3, 7}, {40, 56, 3, 0, 3, 3, 0, 8}, {40, 58, 3, 0, 6,
                     3, 0, 9}, {10, 0, 10}, {16, 10, 1, 8, 10}, {13, 7, 10, 
                    11}, {16, 9, 11, 9}, {19, 9, 11}, {40, 56, 3, 0, 6, 3, 0, 
                    9}, {40, 58, 3, 0, 9, 3, 0, 10}, {10, 2, 9}, {16, 9, 1, 8,
                     9}, {13, 4, 7, 9, 12}, {41, 263, 3, 0, 3, 2, 0, 0, 3, 0, 
                    9}, {13, 4, 9, 13}, {16, 10, 12, 13, 10}, {40, 6, 3, 0, 0,
                     3, 0, 12}, {40, 56, 3, 0, 12, 3, 0, 13}, {40, 3, 3, 0, 0,
                     3, 0, 12}, {10, 3, 9}, {16, 9, 13, 12, 9}, {13, 11, 10, 
                    9, 11}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$110, Compile`$809, Compile`$922, 
                    Compile`$169, Compile`$923, Compile`$924, Compile`$927, 
                    Compile`$928}, Compile`$110 = Cos[Global`x]; 
                    Compile`$809 = Compile`$110^2; 
                    Compile`$922 = Sin[Global`x]; 
                    Compile`$169 = Compile`$110^3; 
                    Compile`$923 = Compile`$809 Compile`$922; 
                    Compile`$924 = Compile`$169 + Compile`$923; 
                    Compile`$927 = (-3) Compile`$809 Compile`$922; 
                    Compile`$928 = 
                    Compile`$922^2; -((Compile`$927 + 
                    3 Compile`$110 Compile`$928)/
                    Compile`$924) + ((Compile`$169 + Compile`$927 - 2 
                    Compile`$110 Compile`$928) (Compile`$169 + 
                    Compile`$922^3))/Compile`$924^2 + 
                    2 Sec[Global`x]^2 Tan[Global`x]]], Evaluate], 
                   Attributes[Compile`$110] = {Temporary}, 
                   Attributes[Compile`$809] = {Temporary}, 
                   Attributes[Compile`$922] = {Temporary}, 
                   Attributes[Compile`$169] = {Temporary}, 
                   Attributes[Compile`$923] = {Temporary}, 
                   Attributes[Compile`$924] = {Temporary}, 
                   Attributes[Compile`$927] = {Temporary}, 
                   Attributes[Compile`$928] = {Temporary}, 
                   CalculateScan`PlotterScanner`Private`xMin = \
-12.095131716320704`, CalculateScan`PlotterScanner`Private`xMax = 
                   12.095131716320704`, 
                   CalculateScan`PlotterScanner`Private`addOsculatingCircles[{
                    
                    Pattern[CalculateScan`PlotterScanner`Private`fD0, 
                    Blank[]], 
                    Pattern[CalculateScan`PlotterScanner`Private`fD1, 
                    Blank[]], 
                    Pattern[CalculateScan`PlotterScanner`Private`fD2, 
                    Blank[]]}, {
                    Pattern[CalculateScan`PlotterScanner`Private`x, 
                    Blank[]], 
                    Pattern[CalculateScan`PlotterScanner`Private`xMin, 
                    Blank[]], 
                    Pattern[CalculateScan`PlotterScanner`Private`xMax, 
                    Blank[]]}, 
                    Pattern[CalculateScan`PlotterScanner`Private`n, 
                    Blank[]]] := Quiet[
                    
                    Module[{}, 
                    CalculateScan`PlotterScanner`Private`centersAndRadii = 
                    Cases[
                    N[
                    Chop[
                    N[
                    Table[{{CalculateScan`PlotterScanner`Private`x, 
                    CalculateScan`PlotterScanner`Private`fD0[
                    CalculateScan`PlotterScanner`Private`x]} + ({-
                    CalculateScan`PlotterScanner`Private`fD1[
                    CalculateScan`PlotterScanner`Private`x], 1} (1 + 
                    CalculateScan`PlotterScanner`Private`fD1[
                    CalculateScan`PlotterScanner`Private`x]^2))/
                    CalculateScan`PlotterScanner`Private`fD2[
                    CalculateScan`PlotterScanner`Private`x], 
                    Abs[
                    1/(CalculateScan`PlotterScanner`Private`fD2[
                    CalculateScan`PlotterScanner`Private`x]/(1 + 
                    CalculateScan`PlotterScanner`Private`fD1[
                    CalculateScan`PlotterScanner`Private`x]^2)^(3/2))]}, {
                    CalculateScan`PlotterScanner`Private`x, 
                    CalculateScan`PlotterScanner`Private`xMin, 
                    CalculateScan`PlotterScanner`Private`xMax, (
                    CalculateScan`PlotterScanner`Private`xMax - 
                    CalculateScan`PlotterScanner`Private`xMin)/
                    CalculateScan`PlotterScanner`Private`n}]]]], {{
                    Blank[Real], 
                    Blank[Real]}, 
                    Blank[Real]}]; 
                    Apply[Circle, 
                    CalculateScan`PlotterScanner`Private`centersAndRadii, {
                    1}]]], CalculateScan`PlotterScanner`Private`fD2 = 
                   CompiledFunction[{8, 8., 5468}, {
                    Blank[Real]}, {{3, 0, 0}, {3, 0, 
                    18}}, {{6, {2, 0, 3}}, {-2, {2, 0, 2}}, {
                    2, {2, 0, 4}}, {-3, {2, 0, 1}}, {4, {2, 0, 5}}, {
                    3, {2, 0, 0}}, {-7, {2, 0, 6}}}, {0, 7, 25, 0, 
                    0}, {{40, 2, 3, 0, 0, 3, 0, 1}, {41, 263, 3, 0, 1, 2, 0, 
                    0, 3, 0, 2}, {40, 56, 3, 0, 1, 3, 0, 3}, {40, 1, 3, 0, 0, 
                    3, 0, 4}, {10, 1, 5}, {16, 5, 3, 4, 5}, {40, 56, 3, 0, 4, 
                    3, 0, 6}, {16, 3, 4, 7}, {13, 2, 7, 8}, {10, 2, 9}, {16, 
                    9, 1, 6, 9}, {13, 2, 5, 9, 10}, {41, 263, 3, 0, 4, 2, 0, 
                    0, 3, 0, 11}, {40, 56, 3, 0, 8, 3, 0, 12}, {40, 58, 3, 0, 
                    12, 3, 0, 13}, {13, 2, 11, 12}, {10, 1, 14}, {16, 14, 2, 
                    14}, {10, 3, 15}, {16, 15, 1, 6, 15}, {40, 6, 3, 0, 0, 3, 
                    0, 16}, {41, 263, 3, 0, 16, 2, 0, 5, 3, 0, 17}, {10, 4, 
                    18}, {16, 18, 17, 18}, {10, 0, 17}, {16, 17, 1, 6, 17}, {
                    13, 5, 17, 19}, {10, 4, 17}, {16, 17, 13, 10, 19, 17}, {
                    40, 58, 3, 0, 8, 3, 0, 19}, {10, 3, 20}, {16, 20, 3, 4, 
                    20}, {10, 1, 21}, {16, 21, 11, 21}, {13, 14, 20, 15, 21, 
                    22}, {16, 19, 22, 19}, {19, 19, 22}, {41, 263, 3, 0, 8, 2,
                     0, 0, 3, 0, 19}, {40, 58, 3, 0, 19, 3, 0, 20}, {40, 56, 
                    3, 0, 10, 3, 0, 19}, {10, 2, 21}, {16, 21, 20, 19, 12, 
                    21}, {10, 6, 20}, {16, 20, 3, 4, 20}, {10, 4, 19}, {16, 
                    19, 11, 19}, {13, 14, 20, 15, 19, 23}, {16, 13, 12, 23, 
                    20}, {40, 56, 3, 0, 16, 3, 0, 23}, {40, 3, 3, 0, 0, 3, 0, 
                    19}, {40, 56, 3, 0, 19, 3, 0, 24}, {10, 5, 19}, {16, 19, 
                    23, 24, 19}, {13, 18, 17, 22, 21, 20, 19, 18}, {1}}, 
                    Function[{Global`x}, 
                    
                    Block[{Compile`$929, Compile`$930, Compile`$931, 
                    Compile`$932, Compile`$936, Compile`$937, Compile`$933, 
                    Compile`$934, Compile`$938, Compile`$939, Compile`$949, 
                    Compile`$935, Compile`$957, Compile`$946, Compile`$948, 
                    Compile`$344}, Compile`$929 = Cos[Global`x]; 
                    Compile`$930 = Compile`$929^3; 
                    Compile`$931 = Compile`$929^2; 
                    Compile`$932 = Sin[Global`x]; 
                    Compile`$936 = (-3) Compile`$931 Compile`$932; 
                    Compile`$937 = Compile`$932^2; 
                    Compile`$933 = Compile`$931 Compile`$932; 
                    Compile`$934 = Compile`$930 + Compile`$933; 
                    Compile`$938 = (-2) Compile`$929 Compile`$937; 
                    Compile`$939 = Compile`$930 + Compile`$936 + Compile`$938; 
                    Compile`$949 = Compile`$932^3; 
                    Compile`$935 = Compile`$934^(-2); 
                    Compile`$957 = Compile`$930 + Compile`$949; 
                    Compile`$946 = (-3) Compile`$930; 
                    Compile`$948 = 6 Compile`$929 Compile`$937; 
                    Compile`$344 = Sec[Global`x]; 
                    2 Compile`$344^4 + 
                    2 Compile`$935 
                    Compile`$939 (Compile`$936 + 
                    3 Compile`$929 Compile`$937) - (Compile`$946 + 
                    6 Compile`$931 Compile`$932 + Compile`$948 - 3 
                    Compile`$949)/
                    Compile`$934 - (2 Compile`$939^2 Compile`$957)/
                    Compile`$934^3 + 
                    Compile`$935 
                    Compile`$957 (Compile`$946 - 7 Compile`$931 Compile`$932 + 
                    Compile`$948 + 2 Compile`$949) + 
                    4 Compile`$344^2 Tan[Global`x]^2]], Evaluate], 
                   Attributes[Compile`$929] = {Temporary}, 
                   Attributes[Compile`$930] = {Temporary}, 
                   Attributes[Compile`$931] = {Temporary}, 
                   Attributes[Compile`$932] = {Temporary}, 
                   Attributes[Compile`$936] = {Temporary}, 
                   Attributes[Compile`$937] = {Temporary}, 
                   Attributes[Compile`$933] = {Temporary}, 
                   Attributes[Compile`$934] = {Temporary}, 
                   Attributes[Compile`$938] = {Temporary}, 
                   Attributes[Compile`$939] = {Temporary}, 
                   Attributes[Compile`$949] = {Temporary}, 
                   Attributes[Compile`$935] = {Temporary}, 
                   Attributes[Compile`$957] = {Temporary}, 
                   Attributes[Compile`$946] = {Temporary}, 
                   Attributes[Compile`$948] = {Temporary}, 
                   Attributes[Compile`$344] = {Temporary}, 
                   CalculateScan`PlotterScanner`Private`\
addOsculatingCircleRadii[{
                    Pattern[CalculateScan`PlotterScanner`Private`fD0, 
                    Blank[]], 
                    Pattern[CalculateScan`PlotterScanner`Private`fD1, 
                    Blank[]], 
                    Pattern[CalculateScan`PlotterScanner`Private`fD2, 
                    Blank[]]}, {
                    Pattern[CalculateScan`PlotterScanner`Private`x, 
                    Blank[]], 
                    Pattern[CalculateScan`PlotterScanner`Private`xMin, 
                    Blank[]], 
                    Pattern[CalculateScan`PlotterScanner`Private`xMax, 
                    Blank[]]}, 
                    Pattern[CalculateScan`PlotterScanner`Private`n, 
                    Blank[]]] := Quiet[
                    
                    Module[{}, 
                    CalculateScan`PlotterScanner`Private`\
touchPointsAndCenters = Cases[
                    Chop[
                    N[
                    Table[{{CalculateScan`PlotterScanner`Private`x, 
                    CalculateScan`PlotterScanner`Private`fD0[
                    CalculateScan`PlotterScanner`Private`x]}, {
                    CalculateScan`PlotterScanner`Private`x, 
                    CalculateScan`PlotterScanner`Private`fD0[
                    CalculateScan`PlotterScanner`Private`x]} + ({-
                    CalculateScan`PlotterScanner`Private`fD1[
                    CalculateScan`PlotterScanner`Private`x], 1} (1 + 
                    CalculateScan`PlotterScanner`Private`fD1[
                    CalculateScan`PlotterScanner`Private`x]^2))/
                    CalculateScan`PlotterScanner`Private`fD2[
                    CalculateScan`PlotterScanner`Private`x]}, {
                    CalculateScan`PlotterScanner`Private`x, 
                    CalculateScan`PlotterScanner`Private`xMin, 
                    CalculateScan`PlotterScanner`Private`xMax, (
                    CalculateScan`PlotterScanner`Private`xMax - 
                    CalculateScan`PlotterScanner`Private`xMin)/
                    CalculateScan`PlotterScanner`Private`n}]]], {{
                    Blank[Real], 
                    Blank[Real]}, {
                    Blank[Real], 
                    Blank[Real]}}]; 
                    Line[CalculateScan`PlotterScanner`Private`\
touchPointsAndCenters]]], 
                   CalculateScan`PlotterScanner`Private`addTaylorParabolas[{
                    Pattern[CalculateScan`PlotterScanner`Private`fD0, 
                    Blank[]], 
                    Pattern[CalculateScan`PlotterScanner`Private`fD1, 
                    Blank[]], 
                    Pattern[CalculateScan`PlotterScanner`Private`fD2, 
                    Blank[]]}, {
                    Pattern[CalculateScan`PlotterScanner`Private`x, 
                    Blank[]], 
                    Pattern[CalculateScan`PlotterScanner`Private`xMin, 
                    Blank[]], 
                    Pattern[CalculateScan`PlotterScanner`Private`xMax, 
                    Blank[]]}, 
                    Pattern[CalculateScan`PlotterScanner`Private`n, 
                    Blank[]]] := Quiet[
                    
                    Module[{}, 
                    CalculateScan`PlotterScanner`Private`parabolas = 
                    Table[CalculateScan`PlotterScanner`Private`fD0[
                    CalculateScan`PlotterScanner`Private`y] + 
                    CalculateScan`PlotterScanner`Private`fD1[
                    CalculateScan`PlotterScanner`Private`y] (
                    CalculateScan`PlotterScanner`Private`x - 
                    CalculateScan`PlotterScanner`Private`y) + (
                    CalculateScan`PlotterScanner`Private`fD2[
                    CalculateScan`PlotterScanner`Private`y] (
                    CalculateScan`PlotterScanner`Private`x - 
                    CalculateScan`PlotterScanner`Private`y)^2)/2, {
                    CalculateScan`PlotterScanner`Private`y, 
                    CalculateScan`PlotterScanner`Private`xMin, 
                    CalculateScan`PlotterScanner`Private`xMax, (
                    CalculateScan`PlotterScanner`Private`xMax - 
                    CalculateScan`PlotterScanner`Private`xMin)/
                    CalculateScan`PlotterScanner`Private`n}]; Cases[
                    Plot[
                    Evaluate[
                    CalculateScan`PlotterScanner`Private`parabolas], {
                    CalculateScan`PlotterScanner`Private`x, 
                    CalculateScan`PlotterScanner`Private`xMin, 
                    CalculateScan`PlotterScanner`Private`xMax}], 
                    Blank[Line], Infinity]]], 
                   Attributes[Derivative] = {NHoldAll, ReadProtected}, 
                   CalculateScan`PlotterScanner`Private`x0 = 1, 
                   Attributes[
                    CalculateScan`PlotterScanner`Private`maxDist$] = {
                    Temporary}, 
                   Attributes[CalculateScan`PlotterScanner`Private`M$] = {
                    Temporary}, 
                   Attributes[
                    CalculateScan`PlotterScanner`Private`pedalCurveCount$] = {
                    Temporary}, 
                   Attributes[CalculateScan`PlotterScanner`Private`px$] = {
                    Temporary}, 
                   Attributes[CalculateScan`PlotterScanner`Private`py$] = {
                    Temporary}, 
                   Attributes[
                    CalculateScan`PlotterScanner`Private`\
negativePedalCurveCount$] = {Temporary}, 
                   Attributes[
                    CalculateScan`PlotterScanner`Private`\
contraPedalCurveCount$] = {Temporary}, 
                   Attributes[
                    CalculateScan`PlotterScanner`Private`dualCurveCount$] = {
                    Temporary}, 
                   Attributes[
                    CalculateScan`PlotterScanner`Private`inverseCurveCount$] = \
{Temporary}, Attributes[CalculateScan`PlotterScanner`Private`R$] = {
                    Temporary}, 
                   Attributes[
                    CalculateScan`PlotterScanner`Private`orthotomicCurveCount$\
] = {Temporary}, Attributes[
                    CalculateScan`PlotterScanner`Private`\[Alpha]$] = {
                    Temporary}, 
                   CalculateScan`PlotterScanner`Private`\
tangentIntersectionPoint[{
                    Pattern[CalculateScan`PlotterScanner`Private`x1, 
                    Blank[]], 
                    Pattern[CalculateScan`PlotterScanner`Private`x2, 
                    Blank[]]}, {
                    Pattern[CalculateScan`PlotterScanner`Private`fD0, 
                    Blank[]], 
                    Pattern[CalculateScan`PlotterScanner`Private`fD1, 
                    Blank[]]}] := {(-
                    CalculateScan`PlotterScanner`Private`fD0[
                    CalculateScan`PlotterScanner`Private`x1] + 
                    CalculateScan`PlotterScanner`Private`fD0[
                    CalculateScan`PlotterScanner`Private`x2] + 
                    CalculateScan`PlotterScanner`Private`x1 
                    CalculateScan`PlotterScanner`Private`fD1[
                    CalculateScan`PlotterScanner`Private`x1] - 
                    CalculateScan`PlotterScanner`Private`x2 
                    CalculateScan`PlotterScanner`Private`fD1[
                    CalculateScan`PlotterScanner`Private`x2])/(
                    CalculateScan`PlotterScanner`Private`fD1[
                    CalculateScan`PlotterScanner`Private`x1] - 
                    CalculateScan`PlotterScanner`Private`fD1[
                    CalculateScan`PlotterScanner`Private`x2]), 
                    CalculateScan`PlotterScanner`Private`fD0[
                    CalculateScan`PlotterScanner`Private`x1] + (
                    CalculateScan`PlotterScanner`Private`fD1[
                    CalculateScan`PlotterScanner`Private`x1] (-
                    CalculateScan`PlotterScanner`Private`fD0[
                    CalculateScan`PlotterScanner`Private`x1] + 
                    CalculateScan`PlotterScanner`Private`fD0[
                    CalculateScan`PlotterScanner`Private`x2] + (
                    CalculateScan`PlotterScanner`Private`x1 - 
                    CalculateScan`PlotterScanner`Private`x2) 
                    CalculateScan`PlotterScanner`Private`fD1[
                    CalculateScan`PlotterScanner`Private`x2]))/(
                    CalculateScan`PlotterScanner`Private`fD1[
                    CalculateScan`PlotterScanner`Private`x1] - 
                    CalculateScan`PlotterScanner`Private`fD1[
                    CalculateScan`PlotterScanner`Private`x2])}, 
                   Attributes[RawBoxes] = {ReadProtected}, 
                   Attributes[Subscript] = {NHoldRest}}; 
                 Typeset`initDone$$ = True), DynamicModuleValues :> {}, 
                Deinitialization :> None, 
                UntrackedVariables :> {Typeset`size$$}, 
                SynchronousInitialization -> True, 
                UnsavedVariables :> {Typeset`initDone$$}], "Manipulate", 
               Deployed -> True, StripOnInput -> False], TraditionalForm], 
             Manipulate`InterpretManipulate[1]], TraditionalForm]], 
          "Output"]}], 
       XMLElement["dataformats", {}, {}]}]}], Typeset`pod13$$ = XMLElement[
   "pod", {"title" -> "Differential equation solution curve families", 
     "scanner" -> "Plotter", "id" -> 
     "DifferentialEquationSolutionCurveFamilies", "position" -> "1300", 
     "error" -> "false", "numsubpods" -> "0", "async" -> 
     "http://www4a.wolframalpha.com/api/v2/asyncPod.jsp?id=\
MSPa46771a21ef707b1269g300000f63eb76e45g4gbg&s=33", "asyncfailed" -> 
     "data not found"}, {}], Typeset`pod14$$ = XMLElement[
   "pod", {"title" -> "Inverse iterations", "scanner" -> "Plotter", "id" -> 
     "InverseIterations", "position" -> "1400", "error" -> "false", 
     "numsubpods" -> "0", "async" -> 
     "http://www4a.wolframalpha.com/api/v2/asyncPod.jsp?id=\
MSPa46781a21ef707b1269g3000063c1i84ca41egc9h&s=33", "asyncfailed" -> 
     "data not found"}, {}], Typeset`pod15$$, Typeset`pod16$$, 
   Typeset`pod17$$, Typeset`pod18$$, Typeset`pod19$$, Typeset`pod20$$, 
   Typeset`pod21$$, Typeset`pod22$$, Typeset`pod23$$, Typeset`pod24$$, 
   Typeset`pod25$$, Typeset`pod26$$, Typeset`pod27$$, Typeset`pod28$$, 
   Typeset`pod29$$, Typeset`pod30$$, Typeset`pod31$$, Typeset`pod32$$, 
   Typeset`pod33$$, Typeset`pod34$$, Typeset`pod35$$, Typeset`pod36$$, 
   Typeset`pod37$$, Typeset`pod38$$, Typeset`pod39$$, Typeset`pod40$$, 
   Typeset`pod41$$, Typeset`pod42$$, Typeset`pod43$$, Typeset`pod44$$, 
   Typeset`aux1$$ = {True, False, {False}, True}, Typeset`aux2$$ = {
   True, False, {False}, True}, Typeset`aux3$$ = {
   True, False, {False, False}, True}, Typeset`aux4$$ = {
   True, False, {False, False, False}, True}, Typeset`aux5$$ = {
   True, False, {False}, True}, Typeset`aux6$$ = {True, False, {False}, True},
    Typeset`aux7$$ = {True, False, {False}, True}, Typeset`aux8$$ = {
   True, False, {False, False}, True}, Typeset`aux9$$ = {
   True, False, {False}, True}, Typeset`aux10$$ = {
   True, False, {False}, True}, Typeset`aux11$$ = {
   True, False, {False}, True}, Typeset`aux12$$ = {
   True, False, {False}, True}, Typeset`aux13$$ = {
   True, False, {False}, True}, Typeset`aux14$$ = {
   True, False, {False}, True}, Typeset`aux15$$ = {
   True, False, {False}, True}, Typeset`aux16$$ = {
   True, False, {False}, True}, Typeset`aux17$$ = {
   True, False, {False}, True}, Typeset`aux18$$ = {
   True, False, {False}, True}, Typeset`aux19$$ = {
   True, False, {False}, True}, Typeset`aux20$$ = {
   True, False, {False}, True}, Typeset`aux21$$ = {
   True, False, {False}, True}, Typeset`aux22$$ = {
   True, False, {False}, True}, Typeset`aux23$$ = {
   True, False, {False}, True}, Typeset`aux24$$ = {
   True, False, {False}, True}, Typeset`aux25$$ = {
   True, False, {False}, True}, Typeset`aux26$$ = {
   True, False, {False}, True}, Typeset`aux27$$ = {
   True, False, {False}, True}, Typeset`aux28$$ = {
   True, False, {False}, True}, Typeset`aux29$$ = {
   True, False, {False}, True}, Typeset`aux30$$ = {
   True, False, {False}, True}, Typeset`aux31$$ = {
   True, False, {False}, True}, Typeset`aux32$$ = {
   True, False, {False}, True}, Typeset`aux33$$ = {
   True, False, {False}, True}, Typeset`aux34$$ = {
   True, False, {False}, True}, Typeset`aux35$$ = {
   True, False, {False}, True}, Typeset`aux36$$ = {
   True, False, {False}, True}, Typeset`aux37$$ = {
   True, False, {False}, True}, Typeset`aux38$$ = {
   True, False, {False}, True}, Typeset`aux39$$ = {
   True, False, {False}, True}, Typeset`aux40$$ = {
   True, False, {False}, True}, Typeset`aux41$$ = {
   True, False, {False}, True}, Typeset`aux42$$ = {
   True, False, {False}, True}, Typeset`aux43$$ = {
   True, False, {False}, True}, Typeset`aux44$$ = {
   True, False, {False}, True}, Typeset`asyncpods$$ = {}, 
   Typeset`nonpods$$ = {}, Typeset`initdone$$ = True, 
   Typeset`queryinfo$$ = {{
    "success" -> "true", "error" -> "false", "numpods" -> "14", "datatypes" -> 
     "Math", "timedout" -> 
     "FunctionProperties,InterestingDefiniteIntegrals,\
InterestingMultiDimensionalDefiniteIntegrals,MathematicalFunctionData", 
     "timedoutpods" -> "", "timing" -> "4.838", "parsetiming" -> "0.926", 
     "parsetimedout" -> "false", "recalculate" -> 
     "http://www4a.wolframalpha.com/api/v2/recalc.jsp?id=\
MSPa46721a21ef707b1269g30000524hb7bff4adc9c1&s=33", "id" -> 
     "MSPa46731a21ef707b1269g3000043f5a5bhe8d645ah", "host" -> 
     "http://www4a.wolframalpha.com", "server" -> "33", "related" -> 
     "http://www4a.wolframalpha.com/api/v2/relatedQueries.jsp?id=\
MSPa46741a21ef707b1269g300000da2e6c03bb2d220&s=33", "version" -> "2.5"}, {
    "success" -> "true", "error" -> "false", "numpods" -> "0", "datatypes" -> 
     "Math", "timedout" -> 
     "FunctionProperties,InterestingDefiniteIntegrals,\
InterestingMultiDimensionalDefiniteIntegrals,MathematicalFunctionData", 
     "timedoutpods" -> "", "timing" -> "5.129", "parsetiming" -> "0.", 
     "parsetimedout" -> "false", "recalculate" -> "", "id" -> "", "host" -> 
     "http://www4a.wolframalpha.com", "server" -> "33", "related" -> "", 
     "version" -> "2.5"}}, Typeset`sessioninfo$$ = {
   "TimeZone" -> 2., 
    "Date" -> {2012, 6, 19, 15, 12, 18.094107`8.010112138451047}, "Line" -> 4,
     "SessionID" -> 23259430847574919724}, Typeset`showpods$$ = {1, 2, 3, 4, 
   5, 6, 7, 8, 9, 10, 11, 12, 13, 14}, Typeset`failedpods$$ = {13, 14, 15, 16,
    17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 
   35, 36, 37, 38, 39, 40, 41, 42, 43, 44}, Typeset`chosen$$ = {
   "Fast parse", "Fast parse", 1, 0, "Input", 
    "1/Cos[x]^2 - (Sin[x]^3 + Cos[x]^3)/(Sin[x]*Cos[x]^2 + Cos[x]^3)"}, 
   Typeset`open$$ = True, Typeset`newq$$ = 
   "1/Cos[x]^2 - (Sin[x]^3 + Cos[x]^3)/(Sin[x]*Cos[x]^2 + Cos[x]^3)"}, 
   DynamicBox[ToBoxes[
     AlphaIntegration`FormatAlphaResults[
      Dynamic[{
       2, {Typeset`pod1$$, Typeset`pod2$$, Typeset`pod3$$, Typeset`pod4$$, 
         Typeset`pod5$$, Typeset`pod6$$, Typeset`pod7$$, Typeset`pod8$$, 
         Typeset`pod9$$, Typeset`pod10$$, Typeset`pod11$$, Typeset`pod12$$, 
         Typeset`pod13$$, Typeset`pod14$$, Typeset`pod15$$, Typeset`pod16$$, 
         Typeset`pod17$$, Typeset`pod18$$, Typeset`pod19$$, Typeset`pod20$$, 
         Typeset`pod21$$, Typeset`pod22$$, Typeset`pod23$$, Typeset`pod24$$, 
         Typeset`pod25$$, Typeset`pod26$$, Typeset`pod27$$, Typeset`pod28$$, 
         Typeset`pod29$$, Typeset`pod30$$, Typeset`pod31$$, Typeset`pod32$$, 
         Typeset`pod33$$, Typeset`pod34$$, Typeset`pod35$$, Typeset`pod36$$, 
         Typeset`pod37$$, Typeset`pod38$$, Typeset`pod39$$, Typeset`pod40$$, 
         Typeset`pod41$$, Typeset`pod42$$, Typeset`pod43$$, 
         Typeset`pod44$$}, {
        Typeset`aux1$$, Typeset`aux2$$, Typeset`aux3$$, Typeset`aux4$$, 
         Typeset`aux5$$, Typeset`aux6$$, Typeset`aux7$$, Typeset`aux8$$, 
         Typeset`aux9$$, Typeset`aux10$$, Typeset`aux11$$, Typeset`aux12$$, 
         Typeset`aux13$$, Typeset`aux14$$, Typeset`aux15$$, Typeset`aux16$$, 
         Typeset`aux17$$, Typeset`aux18$$, Typeset`aux19$$, Typeset`aux20$$, 
         Typeset`aux21$$, Typeset`aux22$$, Typeset`aux23$$, Typeset`aux24$$, 
         Typeset`aux25$$, Typeset`aux26$$, Typeset`aux27$$, Typeset`aux28$$, 
         Typeset`aux29$$, Typeset`aux30$$, Typeset`aux31$$, Typeset`aux32$$, 
         Typeset`aux33$$, Typeset`aux34$$, Typeset`aux35$$, Typeset`aux36$$, 
         Typeset`aux37$$, Typeset`aux38$$, Typeset`aux39$$, Typeset`aux40$$, 
         Typeset`aux41$$, Typeset`aux42$$, Typeset`aux43$$, Typeset`aux44$$}, 
        Typeset`chosen$$, Typeset`open$$, Typeset`elements$$, Typeset`q$$, 
        Typeset`opts$$, Typeset`nonpods$$, Typeset`queryinfo$$, 
        Typeset`sessioninfo$$, Typeset`showpods$$, Typeset`failedpods$$, 
        Typeset`newq$$}]], StandardForm],
    ImageSizeCache->{560., {3054., 23.}},
    TrackedSymbols:>{Typeset`showpods$$, Typeset`failedpods$$}],
   DynamicModuleValues:>{},
   Initialization:>If[
     Not[Typeset`initdone$$], AlphaIntegration`DoAsyncInitialization[
       Hold[{
        2, {Typeset`pod1$$, Typeset`pod2$$, Typeset`pod3$$, Typeset`pod4$$, 
          Typeset`pod5$$, Typeset`pod6$$, Typeset`pod7$$, Typeset`pod8$$, 
          Typeset`pod9$$, Typeset`pod10$$, Typeset`pod11$$, Typeset`pod12$$, 
          Typeset`pod13$$, Typeset`pod14$$, Typeset`pod15$$, Typeset`pod16$$, 
          Typeset`pod17$$, Typeset`pod18$$, Typeset`pod19$$, Typeset`pod20$$, 
          Typeset`pod21$$, Typeset`pod22$$, Typeset`pod23$$, Typeset`pod24$$, 
          Typeset`pod25$$, Typeset`pod26$$, Typeset`pod27$$, Typeset`pod28$$, 
          Typeset`pod29$$, Typeset`pod30$$, Typeset`pod31$$, Typeset`pod32$$, 
          Typeset`pod33$$, Typeset`pod34$$, Typeset`pod35$$, Typeset`pod36$$, 
          Typeset`pod37$$, Typeset`pod38$$, Typeset`pod39$$, Typeset`pod40$$, 
          Typeset`pod41$$, Typeset`pod42$$, Typeset`pod43$$, 
          Typeset`pod44$$}, {
         Typeset`aux1$$, Typeset`aux2$$, Typeset`aux3$$, Typeset`aux4$$, 
          Typeset`aux5$$, Typeset`aux6$$, Typeset`aux7$$, Typeset`aux8$$, 
          Typeset`aux9$$, Typeset`aux10$$, Typeset`aux11$$, Typeset`aux12$$, 
          Typeset`aux13$$, Typeset`aux14$$, Typeset`aux15$$, Typeset`aux16$$, 
          Typeset`aux17$$, Typeset`aux18$$, Typeset`aux19$$, Typeset`aux20$$, 
          Typeset`aux21$$, Typeset`aux22$$, Typeset`aux23$$, Typeset`aux24$$, 
          Typeset`aux25$$, Typeset`aux26$$, Typeset`aux27$$, Typeset`aux28$$, 
          Typeset`aux29$$, Typeset`aux30$$, Typeset`aux31$$, Typeset`aux32$$, 
          Typeset`aux33$$, Typeset`aux34$$, Typeset`aux35$$, Typeset`aux36$$, 
          Typeset`aux37$$, Typeset`aux38$$, Typeset`aux39$$, Typeset`aux40$$, 
          Typeset`aux41$$, Typeset`aux42$$, Typeset`aux43$$, Typeset`aux44$$},
          Typeset`chosen$$, Typeset`open$$, Typeset`elements$$, Typeset`q$$, 
         Typeset`opts$$, Typeset`nonpods$$, Typeset`queryinfo$$, 
         Typeset`sessioninfo$$, Typeset`showpods$$, Typeset`failedpods$$, 
         Typeset`newq$$, 
         "http://www4a.wolframalpha.com/api/v2/recalc.jsp?id=\
MSPa46721a21ef707b1269g30000524hb7bff4adc9c1&s=33", Typeset`asyncpods$$}]]; 
     Typeset`asyncpods$$ = {}; Typeset`initdone$$ = True],
   SynchronousInitialization->False],
  BaseStyle->{Deployed -> True},
  DeleteWithContents->True,
  Editable->False,
  SelectWithContents->True]], "WolframAlphaShortInput"],

Cell[BoxData[
 RowBox[{
  SuperscriptBox[
   RowBox[{"Sec", "[", "x", "]"}], "2"], "-", 
  FractionBox[
   RowBox[{
    SuperscriptBox[
     RowBox[{"Cos", "[", "x", "]"}], "3"], "+", 
    SuperscriptBox[
     RowBox[{"Sin", "[", "x", "]"}], "3"]}], 
   RowBox[{
    SuperscriptBox[
     RowBox[{"Cos", "[", "x", "]"}], "3"], "+", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"Cos", "[", "x", "]"}], "2"], " ", 
     RowBox[{"Sin", "[", "x", "]"}]}]}]]}]], "Output",
 CellChangeTimes->{3.549100305390627*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 NamespaceBox["WolframAlphaQueryResults",
  DynamicModuleBox[{Typeset`q$$ = "-3*Sin[x] + 4*Sin[x]^2 + 4*Sin[x]^3 = 3", 
   Typeset`opts$$ = {
   AppearanceElements -> {
     "Extrusion", "Warnings", "Assumptions", "Pods", "Unsuccessful"}, 
    Asynchronous -> All, 
    Method -> {
     "ExtrusionChosen" -> {
       "Fast parse", "Fast parse", 1, 0, "Input", 
        "-3*Sin[x] + 4*Sin[x]^2 + 4*Sin[x]^3 == 3"}, "ExtrusionOpen" -> True, 
      "Formats" -> {"cell", "minput", "moutput", "msound", "dataformats"}}}, 
   Typeset`elements$$ = {
   "Extrusion", "Warnings", "Assumptions", "Pods", "Unsuccessful"}, 
   Typeset`pod1$$ = XMLElement[
   "pod", {"title" -> "Input", "scanner" -> "Identity", "id" -> "Input", 
     "position" -> "100", "error" -> "false", "numsubpods" -> "1"}, {
     XMLElement["subpod", {"title" -> ""}, {
       XMLElement["minput", {}, {"-3 Sin[x] + 4 Sin[x]^2 + 4 Sin[x]^3 == 3"}], 
       XMLElement["cell", {"compressed" -> False, "string" -> True}, {
         Cell[
          BoxData[
           FormBox[
            TagBox[
             RowBox[{
               RowBox[{
                 RowBox[{
                   RowBox[{"-", "3"}], " ", 
                   RowBox[{"sin", "(", "x", ")"}]}], "+", 
                 RowBox[{"4", " ", 
                   RowBox[{
                    SuperscriptBox["sin", "2"], "(", "x", ")"}]}], "+", 
                 RowBox[{"4", " ", 
                   RowBox[{
                    SuperscriptBox["sin", "3"], "(", "x", ")"}]}]}], 
               "\[LongEqual]", "3"}], 
             PolynomialForm[#, TraditionalOrder -> False]& ], 
            TraditionalForm]], "Output"]}], 
       XMLElement[
       "dataformats", {}, {
        "plaintext,minput,computabledata,formatteddata,formuladata"}]}]}], 
   Typeset`pod2$$ = XMLElement[
   "pod", {"title" -> "Plot", "scanner" -> "Reduce", "id" -> "RootPlot", 
     "position" -> "200", "error" -> "false", "numsubpods" -> "1"}, {
     XMLElement["subpod", {"title" -> ""}, {
       XMLElement[
       "minput", {}, {
        "Plot[{Sin[x] (-3 + 4 Sin[x] + 4 Sin[x]^2), 3}, {x, -3.29867, \
3.29867}]"}], 
       XMLElement["cell", {"compressed" -> True, "string" -> False}, {
         Cell[
          BoxData[
           FormBox[
            TemplateBox[{
              GraphicsBox[{{{}, {}, {
                  Hue[0.67, 0.6, 0.6], 
                  Directive[
                   RGBColor[0.24720000000000014`, 0.24, 0.6], 
                   AbsoluteThickness[1]], 
                  LineBox[CompressedData["
1:eJwt23k4VF8fAPCxzQzZR4W02CpLohAq54gKIUuI7JVKkmQLSRFKoexEUWiR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                   "]]}, {
                  Hue[0.9060679774997897, 0.6, 0.6], 
                  Directive[
                   RGBColor[0.6, 0.24, 0.4428931686004542], 
                   AbsoluteThickness[1]], 
                  LineBox[CompressedData["
1:eJxTTMoPSmViYGAwAWIQ/eXMbMt1yVwHGMCAw+GHlm+y8H1OOP9vx7+eiigE
f+UPBfYvVhxwvkjNC7VaPXY4v9Njc46XOhucv/CE7c0TnKxwfkVM7uuQ/8xw
/qfFMSqT7jHB+WUm/s3Chxnh/J03nrUv2sUA59sm1qQdNf+/H8ZvtSjlSFT4
C+c/WljyrUX4N0K+6LMh960fcP7SrD071hz7Budzn2Lp3dD2Bc5v2x281ibw
E5xfd+WNxBPHD3B+xUquJbe538D5736cX6P64Dmc/0FsSoBJ9GM432LTKYnl
1+7C+c1Xpu4N6r8K559R32vAr30Szv90xL5x2YUNcH7ikonzfHg22MP4q3zM
intvnoTz57tmyvHaXYXzLx639D3leA/Ov8bwQ3Vz72M4//S5fX1e657D+Sbn
2mJkNd7A+UH2d0/e0foA55e0FsxUMv8E5wektEizFXyB8zdI+wWda/oG55/K
nmFtcugHnJ8+ZcbNutu/4Pz3WpO0HV/9gfMNo3gMFqr+h/N/Gcz7UjSXwQHG
t2ws00rZxwjn53V4WwneYoLzn1RXL9nwiBnO37779fN5jKxw/pnn21rredng
/Gun6v5Ki7DD+ba/2vzYDTng/Geir34+seKE83M/HprpeR7Bh+YXOB8AGI3l
Lg==
                   "]]}}}, {GridLines -> Dynamic[
                  Map[{{#, 
                    GrayLevel[0.7]}}& , 
                   MousePosition[{"Graphics", Graphics}, None]]], 
                Method -> {"GridLinesInFront" -> True}, Epilog -> {{
                   AbsolutePointSize[5], 
                   Hue[0], {
                    TagBox[
                    TooltipBox[
                    PointBox[{-2.094395111932689, 2.9999999955727055`}], 
                    TemplateBox[{"\"(\"", 
                    
                    RowBox[{
                    "-", "2.09439511193268889504995892924180316851`7.\
977294885095502"}], "\",\"", "3", "\")\""}, "Row", 
                    DisplayFunction -> (
                    RowBox[{#, "\[InvisibleSpace]", #2, 
                    "\[InvisibleSpace]", #3, "\[InvisibleSpace]", #4, 
                    "\[InvisibleSpace]", #5}]& ), 
                    InterpretationFunction -> (RowBox[{
                    StyleBox[
                    "Row", FontFamily -> "Bitstream Vera Sans", 
                    FontSize -> -1 + Inherited], "[", 
                    RowBox[{"{", 
                    RowBox[{#, ",", #2, ",", #3, ",", #4, ",", #5}], "}"}], 
                    "]"}]& )]], Annotation[#, 
                    
                    Row[{"(", -2.0943951119326888951`7.977294885095501, ",", 
                    3, ")"}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    PointBox[{-1.0472026630890925`, 3.0000023723853007`}], 
                    TemplateBox[{"\"(\"", 
                    
                    RowBox[{
                    "-", "1.04720266308909248920144818839617073536`7.\
977294885095502"}], "\",\"", "3", "\")\""}, "Row", 
                    DisplayFunction -> (
                    RowBox[{#, "\[InvisibleSpace]", #2, 
                    "\[InvisibleSpace]", #3, "\[InvisibleSpace]", #4, 
                    "\[InvisibleSpace]", #5}]& ), 
                    InterpretationFunction -> (RowBox[{
                    StyleBox[
                    "Row", FontFamily -> "Bitstream Vera Sans", 
                    FontSize -> -1 + Inherited], "[", 
                    RowBox[{"{", 
                    RowBox[{#, ",", #2, ",", #3, ",", #4, ",", #5}], "}"}], 
                    "]"}]& )]], Annotation[#, 
                    
                    Row[{"(", -1.0472026630890924893`7.977294885095502, ",", 
                    3, ")"}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    PointBox[{1.0471975511965965`, 2.9999999999999925`}], 
                    
                    TemplateBox[{
                    "\"(\"", "1.0471975511965965`", "\",\"", "3", "\")\""}, 
                    "Row", DisplayFunction -> (
                    RowBox[{#, "\[InvisibleSpace]", #2, 
                    "\[InvisibleSpace]", #3, "\[InvisibleSpace]", #4, 
                    "\[InvisibleSpace]", #5}]& ), 
                    InterpretationFunction -> (RowBox[{
                    StyleBox[
                    "Row", FontFamily -> "Bitstream Vera Sans", 
                    FontSize -> -1 + Inherited], "[", 
                    RowBox[{"{", 
                    RowBox[{#, ",", #2, ",", #3, ",", #4, ",", #5}], "}"}], 
                    "]"}]& )]], Annotation[#, 
                    Row[{"(", 1.0471975511965965`, ",", 3, ")"}], 
                    "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    PointBox[{2.094395103350698, 2.999999993810608}], 
                    
                    TemplateBox[{
                    "\"(\"", 
                    "2.09439510335069779850959998148846505236`7.\
977294885095502", "\",\"", "3", "\")\""}, "Row", 
                    DisplayFunction -> (
                    RowBox[{#, "\[InvisibleSpace]", #2, 
                    "\[InvisibleSpace]", #3, "\[InvisibleSpace]", #4, 
                    "\[InvisibleSpace]", #5}]& ), 
                    InterpretationFunction -> (RowBox[{
                    StyleBox[
                    "Row", FontFamily -> "Bitstream Vera Sans", 
                    FontSize -> -1 + Inherited], "[", 
                    RowBox[{"{", 
                    RowBox[{#, ",", #2, ",", #3, ",", #4, ",", #5}], "}"}], 
                    "]"}]& )]], Annotation[#, 
                    
                    Row[{"(", 2.0943951033506977984`7.977294885095501, ",", 3,
                     ")"}], "Tooltip"]& ]}}, 
                  DynamicBox[
                   Typeset`ToBoxes[
                    
                    DynamicModule[{
                    CalculateUtilities`GraphicsUtilities`Private`pt = (
                    NearestFunction[1, {958, 2}, 3, CompressedData["
1:eJztmWk01V/87ytEFNKgRCFFIiWKpk9CKpGIyBSiQioRaSBTSSFDScaMmYeT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                    
                    "], CompressedData["
1:eJw923k4VN8bAPAKEYW0KFFIkZQSJS1vQiqRiGwRokIlEWkhoiRLpCRr9n2b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                    
                    "], CompressedData["
1:eJw923k8VN//OPCxzQzZR4W02CpLohAq5xQVQpYkkq1SSZJsISmFUig7IQol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                    "], 
                    Automatic, 
                    Hold[
                    Nearest[CompressedData["
1:eJw923k4VN8bAPAKEYW0KFFIkZQSJS1vQiqRiGwRokIlEWkhoiRLpCRr9n2b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                    
                    "] -> CompressedData["
1:eJw923k8VN//OPCxzQzZR4W02CpLohAq5xQVQpYkkq1SSZJsISmFUig7IQol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                    "]]]][#/{
                    6.5973445725385655`, 5.439703850672369}]& )[
                    MousePosition[{"Graphics", Graphics}, {0, 0}]], 
                    CalculateUtilities`GraphicsUtilities`Private`scaled = 
                    MousePosition[{"GraphicsScaled", Graphics}, None]}, 
                    If[
                    CalculateUtilities`GraphicsUtilities`Private`scaled === 
                    None, {}, {
                    Text[
                    Style[
                    Row[{
                    (
                    Function[{
                    CalculateUtilities`GraphicsUtilities`Private`a, 
                    CalculateUtilities`GraphicsUtilities`Private`acc}, 
                    Quiet[
                    RawBoxes[
                    ToBoxes[
                    NumberForm[CalculateUtilities`GraphicsUtilities`Private`a, 
                    Max[1, 
                    Ceiling[
                    RealExponent[
                    CalculateUtilities`GraphicsUtilities`Private`a] + 
                    CalculateUtilities`GraphicsUtilities`Private`acc]], 
                    ExponentFunction -> (Null& ), 
                    NumberFormat -> (StringReplace[#, StringExpression[
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`s, 
                    BlankSequence[]], ".", EndOfString] -> 
                    CalculateUtilities`GraphicsUtilities`Private`s]& )]]]]][#,
                     2]& )[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`pt, 1, 1]], 
                    (
                    Function[{
                    CalculateUtilities`GraphicsUtilities`Private`a, 
                    CalculateUtilities`GraphicsUtilities`Private`acc}, 
                    Quiet[
                    RawBoxes[
                    ToBoxes[
                    NumberForm[CalculateUtilities`GraphicsUtilities`Private`a, 
                    Max[1, 
                    Ceiling[
                    RealExponent[
                    CalculateUtilities`GraphicsUtilities`Private`a] + 
                    CalculateUtilities`GraphicsUtilities`Private`acc]], 
                    ExponentFunction -> (Null& ), 
                    NumberFormat -> (StringReplace[#, StringExpression[
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`s, 
                    BlankSequence[]], ".", EndOfString] -> 
                    CalculateUtilities`GraphicsUtilities`Private`s]& )]]]]][#,
                     2]& )[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`pt, 1, 2]]}, 
                    ","], 12], 
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`pt, 1], {
                    1.5 Sign[
                    Part[CalculateUtilities`GraphicsUtilities`Private`scaled, 
                    1] - 0.5], 0}, Background -> White], 
                    AbsolutePointSize[7], 
                    Point[CalculateUtilities`GraphicsUtilities`Private`pt], 
                    White, 
                    AbsolutePointSize[5], 
                    Point[CalculateUtilities`GraphicsUtilities`Private`pt]}]],
                     TraditionalForm, Graphics]]}, AspectRatio -> 
                NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> True, 
                AxesOrigin -> {0, 0}, BaseStyle -> {CellBaseline -> Baseline},
                 Epilog -> {
                  AbsolutePointSize[5], 
                  Hue[0], {
                   TagBox[
                    TooltipBox[
                    PointBox[{-2.094395111932689, 2.9999999955727055`}], 
                    TemplateBox[{"\"(\"", 
                    
                    RowBox[{
                    "-", "2.09439511193268889504995892924180316851`7.\
977294885095502"}], "\",\"", "3", "\")\""}, "Row", 
                    DisplayFunction -> (
                    RowBox[{#, "\[InvisibleSpace]", #2, 
                    "\[InvisibleSpace]", #3, "\[InvisibleSpace]", #4, 
                    "\[InvisibleSpace]", #5}]& ), 
                    InterpretationFunction -> (RowBox[{
                    StyleBox[
                    "Row", FontFamily -> "Bitstream Vera Sans", 
                    FontSize -> -1 + Inherited], "[", 
                    RowBox[{"{", 
                    RowBox[{#, ",", #2, ",", #3, ",", #4, ",", #5}], "}"}], 
                    "]"}]& )]], Annotation[#, 
                    
                    Row[{"(", -2.0943951119326888951`7.977294885095501, ",", 
                    3, ")"}], "Tooltip"]& ], 
                   TagBox[
                    TooltipBox[
                    PointBox[{-1.0472026630890925`, 3.0000023723853007`}], 
                    TemplateBox[{"\"(\"", 
                    
                    RowBox[{
                    "-", "1.04720266308909248920144818839617073536`7.\
977294885095502"}], "\",\"", "3", "\")\""}, "Row", 
                    DisplayFunction -> (
                    RowBox[{#, "\[InvisibleSpace]", #2, 
                    "\[InvisibleSpace]", #3, "\[InvisibleSpace]", #4, 
                    "\[InvisibleSpace]", #5}]& ), 
                    InterpretationFunction -> (RowBox[{
                    StyleBox[
                    "Row", FontFamily -> "Bitstream Vera Sans", 
                    FontSize -> -1 + Inherited], "[", 
                    RowBox[{"{", 
                    RowBox[{#, ",", #2, ",", #3, ",", #4, ",", #5}], "}"}], 
                    "]"}]& )]], Annotation[#, 
                    
                    Row[{"(", -1.0472026630890924893`7.977294885095502, ",", 
                    3, ")"}], "Tooltip"]& ], 
                   TagBox[
                    TooltipBox[
                    PointBox[{1.0471975511965965`, 2.9999999999999925`}], 
                    
                    TemplateBox[{
                    "\"(\"", "1.0471975511965965`", "\",\"", "3", "\")\""}, 
                    "Row", DisplayFunction -> (
                    RowBox[{#, "\[InvisibleSpace]", #2, 
                    "\[InvisibleSpace]", #3, "\[InvisibleSpace]", #4, 
                    "\[InvisibleSpace]", #5}]& ), 
                    InterpretationFunction -> (RowBox[{
                    StyleBox[
                    "Row", FontFamily -> "Bitstream Vera Sans", 
                    FontSize -> -1 + Inherited], "[", 
                    RowBox[{"{", 
                    RowBox[{#, ",", #2, ",", #3, ",", #4, ",", #5}], "}"}], 
                    "]"}]& )]], Annotation[#, 
                    Row[{"(", 1.0471975511965965`, ",", 3, ")"}], 
                    "Tooltip"]& ], 
                   TagBox[
                    TooltipBox[
                    PointBox[{2.094395103350698, 2.999999993810608}], 
                    
                    TemplateBox[{
                    "\"(\"", 
                    "2.09439510335069779850959998148846505236`7.\
977294885095502", "\",\"", "3", "\")\""}, "Row", 
                    DisplayFunction -> (
                    RowBox[{#, "\[InvisibleSpace]", #2, 
                    "\[InvisibleSpace]", #3, "\[InvisibleSpace]", #4, 
                    "\[InvisibleSpace]", #5}]& ), 
                    InterpretationFunction -> (RowBox[{
                    StyleBox[
                    "Row", FontFamily -> "Bitstream Vera Sans", 
                    FontSize -> -1 + Inherited], "[", 
                    RowBox[{"{", 
                    RowBox[{#, ",", #2, ",", #3, ",", #4, ",", #5}], "}"}], 
                    "]"}]& )]], Annotation[#, 
                    
                    Row[{"(", 2.0943951033506977984`7.977294885095501, ",", 3,
                     ")"}], "Tooltip"]& ]}}, FrameTicksStyle -> 
                Directive[FontFamily -> "Times", FontSize -> 10], ImageSize -> 
                300., LabelStyle -> {FontFamily -> "Verdana", FontSize -> 10},
                 PlotRange -> {{-3.2986722862692828`, 
                 3.2986722862692828`}, {-0.43970981383359153`, 
                 4.999994036838777}}, PlotRangeClipping -> True, 
                PlotRangePadding -> {
                  Scaled[0.02], 
                  Scaled[0.02]}, Prolog -> {
                  Opacity[0], 
                  TagBox[
                   RectangleBox[
                    Scaled[{0, 0}], 
                    Scaled[{1, 1}]], Annotation[#, "Plot", "Frame"]& ]}, 
                TicksStyle -> 
                Directive[FontFamily -> "Times", FontSize -> 10]}], 
              TagBox[
               GridBox[{{
                  GraphicsBox[{
                    RGBColor[0.24720000000000014`, 0.24, 0.6], {
                    AbsoluteThickness[2], 
                    LineBox[{{0, 0}, {1, 0}}]}}, ImageSize -> 13, 
                   BaselinePosition -> (Center -> Center)], 
                  StyleBox[
                   RowBox[{
                    RowBox[{"sin", "(", "x", ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"4", " ", 
                    RowBox[{
                    SuperscriptBox["sin", "2"], "(", "x", ")"}]}], "+", 
                    RowBox[{"4", " ", 
                    RowBox[{"sin", "(", "x", ")"}]}], "-", "3"}], ")"}]}], 
                   LinebreakAdjustments -> {1, 100, 1, 0, 100}, LineIndent -> 
                   0, {FontFamily -> "Verdana", FontSize -> 10}, 
                   GrayLevel[0.5], StripOnInput -> False]}, {
                  GraphicsBox[{
                    RGBColor[0.6, 0.24, 0.4428931686004542], {
                    AbsoluteThickness[2], 
                    LineBox[{{0, 0}, {1, 0}}]}}, ImageSize -> 13, 
                   BaselinePosition -> (Center -> Center)], 
                  StyleBox[
                  "3", LinebreakAdjustments -> {1, 100, 1, 0, 100}, 
                   LineIndent -> 0, {FontFamily -> "Verdana", FontSize -> 10}, 
                   GrayLevel[0.5], StripOnInput -> False]}}, 
                GridBoxAlignment -> {"Columns" -> {{Left}}}, AutoDelete -> 
                False, GridBoxItemSize -> {
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                GridBoxSpacings -> {"Columns" -> {{0.3}}, "Rows" -> {{0.3}}}],
                "Grid"]}, "Labeled", DisplayFunction -> (FormBox[
               GridBox[{{
                  TagBox[
                   ItemBox[
                    PaneBox[
                    TagBox[#, "SkipImageSizeLevel"], 
                    Alignment -> {Center, Baseline}, BaselinePosition -> 
                    Baseline], DefaultBaseStyle -> "Labeled"], 
                   "SkipImageSizeLevel"], 
                  
                  ItemBox[#2, Alignment -> {Inherited, Bottom}, 
                   DefaultBaseStyle -> "LabeledLabel"]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
                False, GridBoxItemSize -> {
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                BaselinePosition -> {1, 1}], TraditionalForm]& ), 
             InterpretationFunction -> (RowBox[{
                StyleBox[
                "Labeled", FontFamily -> "Bitstream Vera Sans", 
                 FontSize -> -1 + Inherited], "[", 
                RowBox[{#, ",", #2, ",", 
                  RowBox[{"(", "\[NoBreak]", 
                    GridBox[{{
                    StyleBox[
                    "Right", FontFamily -> "Bitstream Vera Sans", 
                    FontSize -> -1 + Inherited], 
                    StyleBox[
                    "Bottom", FontFamily -> "Bitstream Vera Sans", 
                    FontSize -> -1 + Inherited]}}, RowSpacings -> 1, 
                    ColumnSpacings -> 1, RowAlignments -> Baseline, 
                    ColumnAlignments -> Center], "\[NoBreak]", ")"}]}], 
                "]"}]& )], TraditionalForm]], "Output"]}], 
       XMLElement["dataformats", {}, {"minput"}]}]}], Typeset`pod3$$ = 
   XMLElement[
   "pod", {"title" -> "Alternate forms", "scanner" -> "Simplification", "id" -> 
     "AlternateForm", "position" -> "300", "error" -> "false", "numsubpods" -> 
     "3"}, {
     XMLElement["subpod", {"title" -> ""}, {
       XMLElement[
       "minput", {}, {
        "FullSimplify[-3 Sin[x] + 4 Sin[x]^2 + 4 Sin[x]^3 == 3]"}], 
       XMLElement["moutput", {}, {"(1 + Sin[x]) (-3 + 4 Sin[x]^2) == 0"}], 
       XMLElement["cell", {"compressed" -> False, "string" -> True}, {
         Cell[
          BoxData[
           FormBox[
            RowBox[{
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{"sin", "(", "x", ")"}], "+", "1"}], ")"}], " ", 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{"4", " ", 
                    RowBox[{
                    SuperscriptBox["sin", "2"], "(", "x", ")"}]}], "-", "3"}],
                   ")"}]}], "\[LongEqual]", "0"}], TraditionalForm]], 
          "Output"]}], 
       XMLElement[
       "dataformats", {}, {
        "plaintext,minput,moutput,computabledata,formatteddata,formuladata"}]}\
], 
     XMLElement["subpod", {"title" -> ""}, {
       XMLElement[
       "minput", {}, {
        "TrigReduce[-3 Sin[x] + 4 Sin[x]^2 + 4 Sin[x]^3 == 3]"}], 
       XMLElement["moutput", {}, {"2 - 2 Cos[2 x] - Sin[3 x] == 3"}], 
       XMLElement["cell", {"compressed" -> False, "string" -> True}, {
         Cell[
          BoxData[
           FormBox[
            RowBox[{
              RowBox[{
                RowBox[{"-", 
                  RowBox[{"sin", "(", 
                    RowBox[{"3", " ", "x"}], ")"}]}], "-", 
                RowBox[{
                  RowBox[{"2"}], " ", 
                  RowBox[{"cos", "(", 
                    RowBox[{"2", " ", "x"}], ")"}]}], "+", "2"}], 
              "\[LongEqual]", "3"}], TraditionalForm]], "Output"]}], 
       XMLElement[
       "dataformats", {}, {
        "plaintext,minput,moutput,computabledata,formatteddata,formuladata"}]}\
], 
     XMLElement["subpod", {"title" -> ""}, {
       XMLElement[
       "minput", {}, {"Factor[-3 Sin[x] + 4 Sin[x]^2 + 4 Sin[x]^3 == 3]"}], 
       XMLElement[
       "moutput", {}, {"Sin[x] (-1 + 2 Sin[x]) (3 + 2 Sin[x]) == 3"}], 
       XMLElement["cell", {"compressed" -> False, "string" -> True}, {
         Cell[
          BoxData[
           FormBox[
            RowBox[{
              RowBox[{
                RowBox[{"sin", "(", "x", ")"}], " ", 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{"2", " ", 
                    RowBox[{"sin", "(", "x", ")"}]}], "-", "1"}], ")"}], " ", 
                
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{"2", " ", 
                    RowBox[{"sin", "(", "x", ")"}]}], "+", "3"}], ")"}]}], 
              "\[LongEqual]", "3"}], TraditionalForm]], "Output"]}], 
       XMLElement[
       "dataformats", {}, {
        "plaintext,minput,moutput,computabledata,formatteddata,formuladata"}]}\
], 
     XMLElement["states", {"count" -> "1"}, {
       XMLElement[
       "state", {"name" -> "More", "input" -> "AlternateForm__More"}, {}]}]}],
    Typeset`pod4$$ = XMLElement[
   "pod", {"title" -> "Solutions", "scanner" -> "Reduce", "id" -> 
     "SymbolicSolution", "position" -> "400", "error" -> "false", 
     "numsubpods" -> "4", "primary" -> "true"}, {
     XMLElement["subpod", {"title" -> ""}, {
       XMLElement[
       "minput", {}, {"Reduce[Sin[x] (-3 + 4 Sin[x] + 4 Sin[x]^2) == 3, x]"}], 
       XMLElement[
       "moutput", {}, {
        "{x == (-4 Pi)/3 + Pi C[1], Element[C[1], Integers]}"}], 
       XMLElement["cell", {"compressed" -> False, "string" -> True}, {
         Cell[
          BoxData[
           FormBox[
            FormBox[
             FormBox[
              TagBox[
               GridBox[{{
                  PaneBox[
                   TemplateBox[{
                    RowBox[{"x", "\[LongEqual]", 
                    TagBox[
                    RowBox[{
                    RowBox[{"\[Pi]", " ", "n"}], "-", 
                    FractionBox[
                    RowBox[{"4", " ", "\[Pi]"}], "3"]}], Identity]}], 
                    RowBox[{"n", "\[Element]", 
                    TagBox["\[DoubleStruckCapitalZ]", 
                    Function[{}, Integers]]}]}, "Row", 
                    DisplayFunction -> (RowBox[{#, ", ", #2}]& ), 
                    InterpretationFunction -> (RowBox[{
                    StyleBox[
                    "Row", FontFamily -> "Bitstream Vera Sans", 
                    FontSize -> -1 + Inherited], "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{#, ",", #2}], "}"}], ",", "\", \""}], "]"}]& )], 
                   BaselinePosition -> Baseline, ImageSize -> 500]}}, 
                GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                AllowScriptLevelChange -> False, 
                GridBoxItemSize -> {
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
               "Column"], TraditionalForm], TraditionalForm], 
            TraditionalForm]], "Output"]}], 
       XMLElement[
       "dataformats", {}, {
        "plaintext,minput,moutput,computabledata,formatteddata,formuladata"}]}\
], 
     XMLElement["subpod", {"title" -> ""}, {
       XMLElement[
       "minput", {}, {"Reduce[Sin[x] (-3 + 4 Sin[x] + 4 Sin[x]^2) == 3, x]"}], 
       XMLElement[
       "moutput", {}, {
        "{x == (-2 Pi)/3 + Pi C[1], Element[C[1], Integers]}"}], 
       XMLElement["cell", {"compressed" -> False, "string" -> True}, {
         Cell[
          BoxData[
           FormBox[
            FormBox[
             FormBox[
              TagBox[
               GridBox[{{
                  PaneBox[
                   TemplateBox[{
                    RowBox[{"x", "\[LongEqual]", 
                    TagBox[
                    RowBox[{
                    RowBox[{"\[Pi]", " ", "n"}], "-", 
                    FractionBox[
                    RowBox[{"2", " ", "\[Pi]"}], "3"]}], Identity]}], 
                    RowBox[{"n", "\[Element]", 
                    TagBox["\[DoubleStruckCapitalZ]", 
                    Function[{}, Integers]]}]}, "Row", 
                    DisplayFunction -> (RowBox[{#, ", ", #2}]& ), 
                    InterpretationFunction -> (RowBox[{
                    StyleBox[
                    "Row", FontFamily -> "Bitstream Vera Sans", 
                    FontSize -> -1 + Inherited], "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{#, ",", #2}], "}"}], ",", "\", \""}], "]"}]& )], 
                   BaselinePosition -> Baseline, ImageSize -> 500]}}, 
                GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                AllowScriptLevelChange -> False, 
                GridBoxItemSize -> {
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
               "Column"], TraditionalForm], TraditionalForm], 
            TraditionalForm]], "Output"]}], 
       XMLElement[
       "dataformats", {}, {
        "plaintext,minput,moutput,computabledata,formatteddata,formuladata"}]}\
], 
     XMLElement["subpod", {"title" -> ""}, {
       XMLElement[
       "minput", {}, {"Reduce[Sin[x] (-3 + 4 Sin[x] + 4 Sin[x]^2) == 3, x]"}], 
       XMLElement[
       "moutput", {}, {"{x == -Pi/2 + 2 Pi C[1], Element[C[1], Integers]}"}], 
       
       XMLElement["cell", {"compressed" -> False, "string" -> True}, {
         Cell[
          BoxData[
           FormBox[
            FormBox[
             FormBox[
              TagBox[
               GridBox[{{
                  PaneBox[
                   TemplateBox[{
                    RowBox[{"x", "\[LongEqual]", 
                    TagBox[
                    RowBox[{
                    RowBox[{"2", " ", "\[Pi]", " ", "n"}], "-", 
                    FractionBox["\[Pi]", "2"]}], Identity]}], 
                    RowBox[{"n", "\[Element]", 
                    TagBox["\[DoubleStruckCapitalZ]", 
                    Function[{}, Integers]]}]}, "Row", 
                    DisplayFunction -> (RowBox[{#, ", ", #2}]& ), 
                    InterpretationFunction -> (RowBox[{
                    StyleBox[
                    "Row", FontFamily -> "Bitstream Vera Sans", 
                    FontSize -> -1 + Inherited], "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{#, ",", #2}], "}"}], ",", "\", \""}], "]"}]& )], 
                   BaselinePosition -> Baseline, ImageSize -> 500]}}, 
                GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                AllowScriptLevelChange -> False, 
                GridBoxItemSize -> {
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
               "Column"], TraditionalForm], TraditionalForm], 
            TraditionalForm]], "Output"]}], 
       XMLElement[
       "dataformats", {}, {
        "plaintext,minput,moutput,computabledata,formatteddata,formuladata"}]}\
], 
     XMLElement["subpod", {"title" -> ""}, {
       XMLElement[
       "minput", {}, {"Reduce[Sin[x] (-3 + 4 Sin[x] + 4 Sin[x]^2) == 3, x]"}], 
       XMLElement[
       "moutput", {}, {
        "{x == (3 Pi)/2 + 2 Pi C[1], Element[C[1], Integers]}"}], 
       XMLElement["cell", {"compressed" -> False, "string" -> True}, {
         Cell[
          BoxData[
           FormBox[
            FormBox[
             FormBox[
              TagBox[
               GridBox[{{
                  PaneBox[
                   TemplateBox[{
                    RowBox[{"x", "\[LongEqual]", 
                    TagBox[
                    RowBox[{
                    RowBox[{"2", " ", "\[Pi]", " ", "n"}], "+", 
                    FractionBox[
                    RowBox[{"3", " ", "\[Pi]"}], "2"]}], Identity]}], 
                    RowBox[{"n", "\[Element]", 
                    TagBox["\[DoubleStruckCapitalZ]", 
                    Function[{}, Integers]]}]}, "Row", 
                    DisplayFunction -> (RowBox[{#, ", ", #2}]& ), 
                    InterpretationFunction -> (RowBox[{
                    StyleBox[
                    "Row", FontFamily -> "Bitstream Vera Sans", 
                    FontSize -> -1 + Inherited], "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{#, ",", #2}], "}"}], ",", "\", \""}], "]"}]& )], 
                   BaselinePosition -> Baseline, ImageSize -> 500]}}, 
                GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                AllowScriptLevelChange -> False, 
                GridBoxItemSize -> {
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
               "Column"], TraditionalForm], TraditionalForm], 
            TraditionalForm]], "Output"]}], 
       XMLElement[
       "dataformats", {}, {
        "plaintext,minput,moutput,computabledata,formatteddata,formuladata"}]}\
], 
     XMLElement["states", {"count" -> "1"}, {
       XMLElement[
       "state", {
        "name" -> "Approximate forms", "input" -> 
         "SymbolicSolution__Approximate forms"}, {}]}], 
     XMLElement["infos", {"count" -> "1"}, {
       XMLElement[
       "info", {"text" -> "\[DoubleStruckCapitalZ] is the set of integers"}, {
        
         XMLElement[
         "link", {
          "url" -> 
           "http://reference.wolfram.com/mathematica/ref/Integers.html", 
           "text" -> "Documentation", "title" -> "Documentation"}, {}], 
         XMLElement[
         "link", {
          "url" -> "http://mathworld.wolfram.com/Z.html", "text" -> 
           "Definition", "title" -> "MathWorld"}, {}], 
         XMLElement["cell", {"compressed" -> False, "string" -> True}, {
           Cell[
            BoxData[
             StyleBox[
              FormBox[
               StyleBox[
                TemplateBox[{
                  StyleBox[
                   TagBox["\[DoubleStruckCapitalZ]", 
                    Function[{}, Integers]], FontFamily -> 
                   "Bitstream Charter", Bold, 14, StripOnInput -> False], 
                  "\"is the set of integers\""}, "Row", 
                 DisplayFunction -> (RowBox[{#, " ", #2}]& ), 
                 InterpretationFunction -> (RowBox[{
                    StyleBox[
                    "Row", FontFamily -> "Bitstream Vera Sans", 
                    FontSize -> -1 + Inherited], "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{#, ",", #2}], "}"}], ",", "\" \""}], "]"}]& )], 
                GrayLevel[0.3], StripOnInput -> False], TraditionalForm], 
              FontFamily -> "Verdana", FontSize -> 12]], "Output", 
            LinebreakAdjustments -> {1, 10, 0, 0, 10}]}]}]}]}], 
   Typeset`pod5$$ = XMLElement[
   "pod", {"title" -> "Number line", "scanner" -> "Reduce", "id" -> 
     "NumberLine", "position" -> "500", "error" -> "false", "numsubpods" -> 
     "1"}, {
     XMLElement["subpod", {"title" -> ""}, {
       XMLElement[
       "minput", {}, {
        "Graphics[{{Tooltip[{PointSize[0.02], RGBColor[0.2472, 0.24, 0.6], \
Point[{-20.4204, 1.45142}]}, (-13 Pi)/2], Tooltip[{PointSize[0.02], \
RGBColor[0.2472, 0.24, 0.6], Point[{-14.1372, 1.45142}]}, (-9 Pi)/2], \
Tooltip[{PointSize[0.02], RGBColor[0.2472, 0.24, 0.6], Point[{-19.8968, \
1.45142}]}, (-19 Pi)/3], Tooltip[{PointSize[0.02], RGBColor[0.2472, 0.24, \
0.6], Point[{-14.6608, 1.45142}]}, (-14 Pi)/3], Tooltip[{PointSize[0.02], \
RGBColor[0.2472, 0.24, 0.6], Point[{-17.8024, 1.45142}]}, (-17 Pi)/3], \
Tooltip[{PointSize[0.02], RGBColor[0.2472, 0.24, 0.6], Point[{-16.7552, \
1.45142}]}, (-16 Pi)/3], Tooltip[{PointSize[0.02], RGBColor[0.2472, 0.24, \
0.6], Point[{-14.1372, 1.45142}]}, (-9 Pi)/2], Tooltip[{PointSize[0.02], \
RGBColor[0.2472, 0.24, 0.6], Point[{-7.85398, 1.45142}]}, (-5 Pi)/2], \
Tooltip[{PointSize[0.02], RGBColor[0.2472, 0.24, 0.6], Point[{-13.6136, \
1.45142}]}, (-13 Pi)/3], Tooltip[{PointSize[0.02], RGBColor[0.2472, 0.24, \
0.6], Point[{-8.37758, 1.45142}]}, (-8 Pi)/3], Tooltip[{PointSize[0.02], \
RGBColor[0.2472, 0.24, 0.6], Point[{-11.5192, 1.45142}]}, (-11 Pi)/3], \
Tooltip[{PointSize[0.02], RGBColor[0.2472, 0.24, 0.6], Point[{-10.472, \
1.45142}]}, (-10 Pi)/3], Tooltip[{PointSize[0.02], RGBColor[0.2472, 0.24, \
0.6], Point[{-7.85398, 1.45142}]}, (-5 Pi)/2], Tooltip[{PointSize[0.02], \
RGBColor[0.2472, 0.24, 0.6], Point[{-1.5708, 1.45142}]}, -Pi/2], \
Tooltip[{PointSize[0.02], RGBColor[0.2472, 0.24, 0.6], Point[{-7.33038, \
1.45142}]}, (-7 Pi)/3], Tooltip[{PointSize[0.02], RGBColor[0.2472, 0.24, \
0.6], Point[{-2.0944, 1.45142}]}, (-2 Pi)/3], Tooltip[{PointSize[0.02], \
RGBColor[0.2472, 0.24, 0.6], Point[{-5.23599, 1.45142}]}, (-5 Pi)/3], \
Tooltip[{PointSize[0.02], RGBColor[0.2472, 0.24, 0.6], Point[{-4.18879, \
1.45142}]}, (-4 Pi)/3], Tooltip[{PointSize[0.02], RGBColor[0.2472, 0.24, \
0.6], Point[{-1.5708, 1.45142}]}, -Pi/2], Tooltip[{PointSize[0.02], \
RGBColor[0.2472, 0.24, 0.6], Point[{4.71239, 1.45142}]}, (3 Pi)/2], \
Tooltip[{PointSize[0.02], RGBColor[0.2472, 0.24, 0.6], Point[{-1.0472, \
1.45142}]}, -Pi/3], Tooltip[{PointSize[0.02], RGBColor[0.2472, 0.24, 0.6], \
Point[{4.18879, 1.45142}]}, (4 Pi)/3], Tooltip[{PointSize[0.02], \
RGBColor[0.2472, 0.24, 0.6], Point[{1.0472, 1.45142}]}, Pi/3], \
Tooltip[{PointSize[0.02], RGBColor[0.2472, 0.24, 0.6], Point[{2.0944, \
1.45142}]}, (2 Pi)/3], Tooltip[{PointSize[0.02], RGBColor[0.2472, 0.24, 0.6], \
Point[{4.71239, 1.45142}]}, (3 Pi)/2], Tooltip[{PointSize[0.02], \
RGBColor[0.2472, 0.24, 0.6], Point[{10.9956, 1.45142}]}, (7 Pi)/2], \
Tooltip[{PointSize[0.02], RGBColor[0.2472, 0.24, 0.6], Point[{5.23599, \
1.45142}]}, (5 Pi)/3], Tooltip[{PointSize[0.02], RGBColor[0.2472, 0.24, 0.6], \
Point[{10.472, 1.45142}]}, (10 Pi)/3], Tooltip[{PointSize[0.02], \
RGBColor[0.2472, 0.24, 0.6], Point[{7.33038, 1.45142}]}, (7 Pi)/3], \
Tooltip[{PointSize[0.02], RGBColor[0.2472, 0.24, 0.6], Point[{8.37758, \
1.45142}]}, (8 Pi)/3], Tooltip[{PointSize[0.02], RGBColor[0.2472, 0.24, 0.6], \
Point[{10.9956, 1.45142}]}, (7 Pi)/2], Tooltip[{PointSize[0.02], \
RGBColor[0.2472, 0.24, 0.6], Point[{17.2788, 1.45142}]}, (11 Pi)/2], \
Tooltip[{PointSize[0.02], RGBColor[0.2472, 0.24, 0.6], Point[{11.5192, \
1.45142}]}, (11 Pi)/3], Tooltip[{PointSize[0.02], RGBColor[0.2472, 0.24, \
0.6], Point[{16.7552, 1.45142}]}, (16 Pi)/3], Tooltip[{PointSize[0.02], \
RGBColor[0.2472, 0.24, 0.6], Point[{13.6136, 1.45142}]}, (13 Pi)/3], \
Tooltip[{PointSize[0.02], RGBColor[0.2472, 0.24, 0.6], Point[{14.6608, \
1.45142}]}, (14 Pi)/3], Tooltip[{PointSize[0.02], RGBColor[0.2472, 0.24, \
0.6], Point[{17.2788, 1.45142}]}, (11 Pi)/2], Tooltip[{PointSize[0.02], \
RGBColor[0.2472, 0.24, 0.6], Point[{23.5619, 1.45142}]}, (15 Pi)/2], \
Tooltip[{PointSize[0.02], RGBColor[0.2472, 0.24, 0.6], Point[{17.8024, \
1.45142}]}, (17 Pi)/3], Tooltip[{PointSize[0.02], RGBColor[0.2472, 0.24, \
0.6], Point[{23.0383, 1.45142}]}, (22 Pi)/3], Tooltip[{PointSize[0.02], \
RGBColor[0.2472, 0.24, 0.6], Point[{19.8968, 1.45142}]}, (19 Pi)/3], \
Tooltip[{PointSize[0.02], RGBColor[0.2472, 0.24, 0.6], Point[{20.944, \
1.45142}]}, (20 Pi)/3]}}, {ImageSize -> 300., Axes -> {True, False}, \
AxesStyle -> {}, PlotRange -> {{-22.6195, 25.7611}, Automatic}, AxesOrigin -> \
{0, 0}}]"}], 
       XMLElement["cell", {"compressed" -> True, "string" -> False}, {
         Cell[
          BoxData[
           FormBox[
            TemplateBox[{
              GraphicsBox[{{
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{-20.420352248333657`, 1.4514158059584845`}]}, 
                   RowBox[{"-", 
                    FractionBox[
                    RowBox[{"13", " ", "\[Pi]"}], "2"]}]], 
                  Annotation[#, Rational[-13, 2] Pi, "Tooltip"]& ], 
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{-14.137166941154069`, 1.4514158059584845`}]}, 
                   RowBox[{"-", 
                    FractionBox[
                    RowBox[{"9", " ", "\[Pi]"}], "2"]}]], 
                  Annotation[#, Rational[-9, 2] Pi, "Tooltip"]& ], 
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{-19.896753472735355`, 1.4514158059584845`}]}, 
                   RowBox[{"-", 
                    FractionBox[
                    RowBox[{"19", " ", "\[Pi]"}], "3"]}]], 
                  Annotation[#, Rational[-19, 3] Pi, "Tooltip"]& ], 
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{-14.660765716752369`, 1.4514158059584845`}]}, 
                   RowBox[{"-", 
                    FractionBox[
                    RowBox[{"14", " ", "\[Pi]"}], "3"]}]], 
                  Annotation[#, Rational[-14, 3] Pi, "Tooltip"]& ], 
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{-17.802358370342162`, 1.4514158059584845`}]}, 
                   RowBox[{"-", 
                    FractionBox[
                    RowBox[{"17", " ", "\[Pi]"}], "3"]}]], 
                  Annotation[#, Rational[-17, 3] Pi, "Tooltip"]& ], 
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{-16.755160819145562`, 1.4514158059584845`}]}, 
                   RowBox[{"-", 
                    FractionBox[
                    RowBox[{"16", " ", "\[Pi]"}], "3"]}]], 
                  Annotation[#, Rational[-16, 3] Pi, "Tooltip"]& ], 
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{-14.137166941154069`, 1.4514158059584845`}]}, 
                   RowBox[{"-", 
                    FractionBox[
                    RowBox[{"9", " ", "\[Pi]"}], "2"]}]], 
                  Annotation[#, Rational[-9, 2] Pi, "Tooltip"]& ], 
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{-7.853981633974483, 1.4514158059584845`}]}, 
                   RowBox[{"-", 
                    FractionBox[
                    RowBox[{"5", " ", "\[Pi]"}], "2"]}]], 
                  Annotation[#, Rational[-5, 2] Pi, "Tooltip"]& ], 
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{-13.613568165555769`, 1.4514158059584845`}]}, 
                   RowBox[{"-", 
                    FractionBox[
                    RowBox[{"13", " ", "\[Pi]"}], "3"]}]], 
                  Annotation[#, Rational[-13, 3] Pi, "Tooltip"]& ], 
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{-8.377580409572781, 1.4514158059584845`}]}, 
                   RowBox[{"-", 
                    FractionBox[
                    RowBox[{"8", " ", "\[Pi]"}], "3"]}]], 
                  Annotation[#, Rational[-8, 3] Pi, "Tooltip"]& ], 
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{-11.519173063162574`, 1.4514158059584845`}]}, 
                   RowBox[{"-", 
                    FractionBox[
                    RowBox[{"11", " ", "\[Pi]"}], "3"]}]], 
                  Annotation[#, Rational[-11, 3] Pi, "Tooltip"]& ], 
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{-10.471975511965978`, 1.4514158059584845`}]}, 
                   RowBox[{"-", 
                    FractionBox[
                    RowBox[{"10", " ", "\[Pi]"}], "3"]}]], 
                  Annotation[#, Rational[-10, 3] Pi, "Tooltip"]& ], 
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{-7.853981633974483, 1.4514158059584845`}]}, 
                   RowBox[{"-", 
                    FractionBox[
                    RowBox[{"5", " ", "\[Pi]"}], "2"]}]], 
                  Annotation[#, Rational[-5, 2] Pi, "Tooltip"]& ], 
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{-1.5707963267948966`, 1.4514158059584845`}]}, 
                   RowBox[{"-", 
                    FractionBox["\[Pi]", "2"]}]], 
                  Annotation[#, Rational[-1, 2] Pi, "Tooltip"]& ], 
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{-7.3303828583761845`, 1.4514158059584845`}]}, 
                   RowBox[{"-", 
                    FractionBox[
                    RowBox[{"7", " ", "\[Pi]"}], "3"]}]], 
                  Annotation[#, Rational[-7, 3] Pi, "Tooltip"]& ], 
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{-2.0943951023931953`, 1.4514158059584845`}]}, 
                   RowBox[{"-", 
                    FractionBox[
                    RowBox[{"2", " ", "\[Pi]"}], "3"]}]], 
                  Annotation[#, Rational[-2, 3] Pi, "Tooltip"]& ], 
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{-5.235987755982989, 1.4514158059584845`}]}, 
                   RowBox[{"-", 
                    FractionBox[
                    RowBox[{"5", " ", "\[Pi]"}], "3"]}]], 
                  Annotation[#, Rational[-5, 3] Pi, "Tooltip"]& ], 
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{-4.1887902047863905`, 1.4514158059584845`}]}, 
                   RowBox[{"-", 
                    FractionBox[
                    RowBox[{"4", " ", "\[Pi]"}], "3"]}]], 
                  Annotation[#, Rational[-4, 3] Pi, "Tooltip"]& ], 
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{-1.5707963267948966`, 1.4514158059584845`}]}, 
                   RowBox[{"-", 
                    FractionBox["\[Pi]", "2"]}]], 
                  Annotation[#, Rational[-1, 2] Pi, "Tooltip"]& ], 
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{4.71238898038469, 1.4514158059584845`}]}, 
                   FractionBox[
                    RowBox[{"3", " ", "\[Pi]"}], "2"]], 
                  Annotation[#, Rational[3, 2] Pi, "Tooltip"]& ], 
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{-1.0471975511965976`, 1.4514158059584845`}]}, 
                   RowBox[{"-", 
                    FractionBox["\[Pi]", "3"]}]], 
                  Annotation[#, Rational[-1, 3] Pi, "Tooltip"]& ], 
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{4.1887902047863905`, 1.4514158059584845`}]}, 
                   FractionBox[
                    RowBox[{"4", " ", "\[Pi]"}], "3"]], 
                  Annotation[#, Rational[4, 3] Pi, "Tooltip"]& ], 
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{1.0471975511965976`, 1.4514158059584845`}]}, 
                   FractionBox["\[Pi]", "3"]], 
                  Annotation[#, Rational[1, 3] Pi, "Tooltip"]& ], 
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{2.0943951023931953`, 1.4514158059584845`}]}, 
                   FractionBox[
                    RowBox[{"2", " ", "\[Pi]"}], "3"]], 
                  Annotation[#, Rational[2, 3] Pi, "Tooltip"]& ], 
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{4.71238898038469, 1.4514158059584845`}]}, 
                   FractionBox[
                    RowBox[{"3", " ", "\[Pi]"}], "2"]], 
                  Annotation[#, Rational[3, 2] Pi, "Tooltip"]& ], 
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{10.995574287564276`, 1.4514158059584845`}]}, 
                   FractionBox[
                    RowBox[{"7", " ", "\[Pi]"}], "2"]], 
                  Annotation[#, Rational[7, 2] Pi, "Tooltip"]& ], 
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{5.235987755982989, 1.4514158059584845`}]}, 
                   FractionBox[
                    RowBox[{"5", " ", "\[Pi]"}], "3"]], 
                  Annotation[#, Rational[5, 3] Pi, "Tooltip"]& ], 
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{10.471975511965978`, 1.4514158059584845`}]}, 
                   FractionBox[
                    RowBox[{"10", " ", "\[Pi]"}], "3"]], 
                  Annotation[#, Rational[10, 3] Pi, "Tooltip"]& ], 
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{7.3303828583761845`, 1.4514158059584845`}]}, 
                   FractionBox[
                    RowBox[{"7", " ", "\[Pi]"}], "3"]], 
                  Annotation[#, Rational[7, 3] Pi, "Tooltip"]& ], 
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{8.377580409572781, 1.4514158059584845`}]}, 
                   FractionBox[
                    RowBox[{"8", " ", "\[Pi]"}], "3"]], 
                  Annotation[#, Rational[8, 3] Pi, "Tooltip"]& ], 
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{10.995574287564276`, 1.4514158059584845`}]}, 
                   FractionBox[
                    RowBox[{"7", " ", "\[Pi]"}], "2"]], 
                  Annotation[#, Rational[7, 2] Pi, "Tooltip"]& ], 
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{17.27875959474386, 1.4514158059584845`}]}, 
                   FractionBox[
                    RowBox[{"11", " ", "\[Pi]"}], "2"]], 
                  Annotation[#, Rational[11, 2] Pi, "Tooltip"]& ], 
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{11.519173063162574`, 1.4514158059584845`}]}, 
                   FractionBox[
                    RowBox[{"11", " ", "\[Pi]"}], "3"]], 
                  Annotation[#, Rational[11, 3] Pi, "Tooltip"]& ], 
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{16.755160819145562`, 1.4514158059584845`}]}, 
                   FractionBox[
                    RowBox[{"16", " ", "\[Pi]"}], "3"]], 
                  Annotation[#, Rational[16, 3] Pi, "Tooltip"]& ], 
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{13.613568165555769`, 1.4514158059584845`}]}, 
                   FractionBox[
                    RowBox[{"13", " ", "\[Pi]"}], "3"]], 
                  Annotation[#, Rational[13, 3] Pi, "Tooltip"]& ], 
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{14.660765716752369`, 1.4514158059584845`}]}, 
                   FractionBox[
                    RowBox[{"14", " ", "\[Pi]"}], "3"]], 
                  Annotation[#, Rational[14, 3] Pi, "Tooltip"]& ], 
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{17.27875959474386, 1.4514158059584845`}]}, 
                   FractionBox[
                    RowBox[{"11", " ", "\[Pi]"}], "2"]], 
                  Annotation[#, Rational[11, 2] Pi, "Tooltip"]& ], 
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{23.561944901923447`, 1.4514158059584845`}]}, 
                   FractionBox[
                    RowBox[{"15", " ", "\[Pi]"}], "2"]], 
                  Annotation[#, Rational[15, 2] Pi, "Tooltip"]& ], 
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{17.802358370342162`, 1.4514158059584845`}]}, 
                   FractionBox[
                    RowBox[{"17", " ", "\[Pi]"}], "3"]], 
                  Annotation[#, Rational[17, 3] Pi, "Tooltip"]& ], 
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{23.03834612632515, 1.4514158059584845`}]}, 
                   FractionBox[
                    RowBox[{"22", " ", "\[Pi]"}], "3"]], 
                  Annotation[#, Rational[22, 3] Pi, "Tooltip"]& ], 
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{19.896753472735355`, 1.4514158059584845`}]}, 
                   FractionBox[
                    RowBox[{"19", " ", "\[Pi]"}], "3"]], 
                  Annotation[#, Rational[19, 3] Pi, "Tooltip"]& ], 
                 TagBox[
                  TooltipBox[{
                    PointSize[0.02], 
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    PointBox[{20.943951023931955`, 1.4514158059584845`}]}, 
                   FractionBox[
                    RowBox[{"20", " ", "\[Pi]"}], "3"]], 
                  Annotation[#, Rational[20, 3] Pi, "Tooltip"]& ]}}, {
               GridLines -> Dynamic[
                  Map[{{#, 
                    GrayLevel[0.7]}}& , 
                   MousePosition[{"Graphics", Graphics}, None]]], 
                Method -> {"GridLinesInFront" -> True}, ImageSize -> 300., 
                Axes -> {True, False}, AxesStyle -> {}, 
                PlotRange -> {{-22.619467105846514`, 25.761059759436304`}, 
                  Automatic}, AxesOrigin -> {0, 0}}], "\"\""}, "Labeled", 
             DisplayFunction -> (FormBox[
               GridBox[{{
                  TagBox[
                   ItemBox[
                    PaneBox[
                    TagBox[#, "SkipImageSizeLevel"], 
                    Alignment -> {Center, Baseline}, BaselinePosition -> 
                    Baseline], DefaultBaseStyle -> "Labeled"], 
                   "SkipImageSizeLevel"], 
                  ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
                False, GridBoxItemSize -> {
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                BaselinePosition -> {1, 1}], TraditionalForm]& ), 
             InterpretationFunction -> (RowBox[{
                StyleBox[
                "Labeled", FontFamily -> "Bitstream Vera Sans", 
                 FontSize -> -1 + Inherited], "[", 
                RowBox[{#, ",", #2, ",", 
                  StyleBox[
                  "Right", FontFamily -> "Bitstream Vera Sans", 
                   FontSize -> -1 + Inherited]}], "]"}]& )], 
            TraditionalForm]], "Output"]}], 
       XMLElement["dataformats", {}, {"minput"}]}]}], Typeset`aux1$$ = {
   True, False, {False}, True}, Typeset`aux2$$ = {True, False, {False}, True},
    Typeset`aux3$$ = {True, False, {False, False, False}, True}, 
   Typeset`aux4$$ = {True, False, {False, False, False, False}, True}, 
   Typeset`aux5$$ = {True, False, {False}, True}, Typeset`asyncpods$$ = {}, 
   Typeset`nonpods$$ = {}, Typeset`initdone$$ = True, Typeset`queryinfo$$ = {
   "success" -> "true", "error" -> "false", "numpods" -> "5", "datatypes" -> 
    "", "timedout" -> "", "timedoutpods" -> "", "timing" -> "3.051", 
    "parsetiming" -> "0.514", "parsetimedout" -> "false", "recalculate" -> "",
     "id" -> "MSPa30721a21ed297g55g0hi00005bbi0428bi1b7idc", "host" -> 
    "http://www4a.wolframalpha.com", "server" -> "29", "related" -> 
    "http://www4a.wolframalpha.com/api/v2/relatedQueries.jsp?id=\
MSPa30731a21ed297g55g0hi00002g39730h423749h0&s=29", "version" -> "2.5"}, 
   Typeset`sessioninfo$$ = {
   "TimeZone" -> 2., 
    "Date" -> {2012, 6, 19, 15, 12, 2.200334`7.095063598230801}, "Line" -> 4, 
    "SessionID" -> 23259430847574919724}, Typeset`showpods$$ = {1, 2, 3, 4, 
   5}, Typeset`failedpods$$ = {}, Typeset`chosen$$ = {
   "Fast parse", "Fast parse", 1, 0, "Input", 
    "-3*Sin[x] + 4*Sin[x]^2 + 4*Sin[x]^3 == 3"}, Typeset`open$$ = True, 
   Typeset`newq$$ = "-3*Sin[x] + 4*Sin[x]^2 + 4*Sin[x]^3 = 3"}, 
   DynamicBox[ToBoxes[
     AlphaIntegration`FormatAlphaResults[
      Dynamic[{
       1, {Typeset`pod1$$, Typeset`pod2$$, Typeset`pod3$$, Typeset`pod4$$, 
         Typeset`pod5$$}, {
        Typeset`aux1$$, Typeset`aux2$$, Typeset`aux3$$, Typeset`aux4$$, 
         Typeset`aux5$$}, Typeset`chosen$$, Typeset`open$$, 
        Typeset`elements$$, Typeset`q$$, Typeset`opts$$, Typeset`nonpods$$, 
        Typeset`queryinfo$$, Typeset`sessioninfo$$, Typeset`showpods$$, 
        Typeset`failedpods$$, Typeset`newq$$}]], StandardForm],
    ImageSizeCache->{560., {1298., 23.}},
    TrackedSymbols:>{Typeset`showpods$$, Typeset`failedpods$$}],
   DynamicModuleValues:>{},
   Initialization:>If[
     Not[Typeset`initdone$$], WolframAlphaClient`Private`doAsyncUpdates[
       Hold[{
        Typeset`pod1$$, Typeset`pod2$$, Typeset`pod3$$, Typeset`pod4$$, 
         Typeset`pod5$$}], Typeset`asyncpods$$, 
       Dynamic[Typeset`failedpods$$]]; Typeset`asyncpods$$ = {}; 
     Typeset`initdone$$ = True],
   SynchronousInitialization->False],
  BaseStyle->{Deployed -> True},
  DeleteWithContents->True,
  Editable->False,
  SelectWithContents->True]], "WolframAlphaShortInput"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"-", "3"}], " ", 
    RowBox[{"Sin", "[", "x", "]"}]}], "+", 
   RowBox[{"4", " ", 
    SuperscriptBox[
     RowBox[{"Sin", "[", "x", "]"}], "2"]}], "+", 
   RowBox[{"4", " ", 
    SuperscriptBox[
     RowBox[{"Sin", "[", "x", "]"}], "3"]}]}], "\[Equal]", "3"}]], "Output",
 CellChangeTimes->{3.549100308884647*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 NamespaceBox["WolframAlphaQueryResults",
  DynamicModuleBox[{Typeset`q$$ = "Integrate x/(x^9+2)", Typeset`opts$$ = {
   AppearanceElements -> {
     "Extrusion", "Warnings", "Assumptions", "Pods", "Unsuccessful"}, 
    Asynchronous -> All, 
    Method -> {
     "ExtrusionChosen" -> {
       "Fast parse", "Fast parse", 1, 0, "Input", 
        "Integrate[x/(x^9 + 2), x]"}, "ExtrusionOpen" -> True, 
      "Formats" -> {"cell", "minput", "moutput", "msound", "dataformats"}}}, 
   Typeset`elements$$ = {
   "Extrusion", "Warnings", "Assumptions", "Pods", "Unsuccessful"}, 
   Typeset`pod1$$ = XMLElement[
   "pod", {"title" -> "Indefinite integral", "scanner" -> "Integral", "id" -> 
     "IndefiniteIntegral", "position" -> "100", "error" -> "false", 
     "numsubpods" -> "1", "primary" -> "true"}, {
     XMLElement["subpod", {"title" -> ""}, {
       XMLElement["minput", {}, {"Integrate[x/(x^9 + 2), x]"}], 
       XMLElement[
       "moutput", {}, {
        "(2 Sqrt[3] ArcTan[(-1 + 2^(8/9) x)/Sqrt[3]] - 4 ArcTan[Cot[(2 Pi)/9] \
+ (x Csc[(2 Pi)/9])/2^(1/9)] Cos[Pi/18] - 2 Log[2 + 2^(8/9) x] + Log[2 - \
2^(8/9) x + 2^(7/9) x^2] - 2 Cos[(2 Pi)/9] Log[2 + 2^(7/9) x^2 - 2 2^(8/9) x \
Cos[Pi/9]] + 2 Cos[Pi/9] Log[2 + 2^(7/9) x^2 + 2 2^(8/9) x Sin[Pi/18]] - 2 \
Log[2 + 2^(7/9) x^2 + 2 2^(8/9) x Cos[(2 Pi)/9]] Sin[Pi/18] - 4 ArcTan[(x \
Sec[Pi/18])/2^(1/9) + Tan[Pi/18]] Sin[Pi/9] - 4 ArcTan[Cot[Pi/9] - (x \
Csc[Pi/9])/2^(1/9)] Sin[(2 Pi)/9])/(18 2^(7/9))"}], 
       XMLElement["cell", {"compressed" -> True, "string" -> False}, {
         Cell[
          BoxData[
           FormBox[
            RowBox[{
              TagBox[
               TagBox[
                RowBox[{"\[Integral]", 
                  RowBox[{
                    FractionBox["x", 
                    RowBox[{
                    SuperscriptBox["x", "9"], "+", "2"}]], 
                    RowBox[{"\[DifferentialD]", "x"}]}]}], HoldForm], 
               PolynomialForm[#, TraditionalOrder -> False]& ], 
              "\[LongEqual]", 
              StyleBox[
               RowBox[{
                 StyleBox[
                  FractionBox[
                   RowBox[{
                    RowBox[{"log", "(", 
                    RowBox[{
                    RowBox[{
                    SuperscriptBox["2", 
                    RowBox[{"7", "/", "9"}]], " ", 
                    SuperscriptBox["x", "2"]}], "-", 
                    RowBox[{
                    SuperscriptBox["2", 
                    RowBox[{"8", "/", "9"}]], " ", "x"}], "+", "2"}], ")"}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"cos", "(", 
                    FractionBox[
                    RowBox[{"2", " ", "\[Pi]"}], "9"], ")"}], " ", 
                    RowBox[{"log", "(", 
                    RowBox[{
                    RowBox[{
                    SuperscriptBox["2", 
                    RowBox[{"7", "/", "9"}]], " ", 
                    SuperscriptBox["x", "2"]}], "-", 
                    RowBox[{"2", " ", 
                    SuperscriptBox["2", 
                    RowBox[{"8", "/", "9"}]], " ", "x", " ", 
                    RowBox[{"cos", "(", 
                    FractionBox["\[Pi]", "9"], ")"}]}], "+", "2"}], ")"}]}], 
                    "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"cos", "(", 
                    FractionBox["\[Pi]", "9"], ")"}], " ", 
                    RowBox[{"log", "(", 
                    RowBox[{
                    RowBox[{
                    SuperscriptBox["2", 
                    RowBox[{"7", "/", "9"}]], " ", 
                    SuperscriptBox["x", "2"]}], "+", 
                    RowBox[{"2", " ", 
                    SuperscriptBox["2", 
                    RowBox[{"8", "/", "9"}]], " ", "x", " ", 
                    RowBox[{"sin", "(", 
                    FractionBox["\[Pi]", "18"], ")"}]}], "+", "2"}], ")"}]}], 
                    "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"sin", "(", 
                    FractionBox["\[Pi]", "18"], ")"}], " ", 
                    RowBox[{"log", "(", 
                    RowBox[{
                    RowBox[{
                    SuperscriptBox["2", 
                    RowBox[{"7", "/", "9"}]], " ", 
                    SuperscriptBox["x", "2"]}], "+", 
                    RowBox[{"2", " ", 
                    SuperscriptBox["2", 
                    RowBox[{"8", "/", "9"}]], " ", "x", " ", 
                    RowBox[{"cos", "(", 
                    FractionBox[
                    RowBox[{"2", " ", "\[Pi]"}], "9"], ")"}]}], "+", "2"}], 
                    ")"}]}], "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"log", "(", 
                    RowBox[{
                    RowBox[{
                    SuperscriptBox["2", 
                    RowBox[{"8", "/", "9"}]], " ", "x"}], "+", "2"}], ")"}]}],
                     "+", 
                    RowBox[{"2", " ", 
                    SqrtBox["3"], " ", 
                    RowBox[{
                    SuperscriptBox["tan", 
                    RowBox[{"-", "1"}]], "(", 
                    FractionBox[
                    RowBox[{
                    RowBox[{
                    SuperscriptBox["2", 
                    RowBox[{"8", "/", "9"}]], " ", "x"}], "-", "1"}], 
                    SqrtBox["3"]], ")"}]}], "-", 
                    RowBox[{"4", " ", 
                    RowBox[{"sin", "(", 
                    FractionBox["\[Pi]", "9"], ")"}], " ", 
                    RowBox[{
                    SuperscriptBox["tan", 
                    RowBox[{"-", "1"}]], "(", 
                    RowBox[{
                    FractionBox[
                    RowBox[{"x", " ", 
                    RowBox[{"sec", "(", 
                    FractionBox["\[Pi]", "18"], ")"}]}], 
                    RadicalBox["2", "9"]], "+", 
                    RowBox[{"tan", "(", 
                    FractionBox["\[Pi]", "18"], ")"}]}], ")"}]}], "-", 
                    RowBox[{"4", " ", 
                    RowBox[{"cos", "(", 
                    FractionBox["\[Pi]", "18"], ")"}], " ", 
                    RowBox[{
                    SuperscriptBox["tan", 
                    RowBox[{"-", "1"}]], "(", 
                    RowBox[{
                    FractionBox[
                    RowBox[{"x", " ", 
                    RowBox[{"csc", "(", 
                    FractionBox[
                    RowBox[{"2", " ", "\[Pi]"}], "9"], ")"}]}], 
                    RadicalBox["2", "9"]], "+", 
                    RowBox[{"cot", "(", 
                    FractionBox[
                    RowBox[{"2", " ", "\[Pi]"}], "9"], ")"}]}], ")"}]}], "-", 
                    
                    RowBox[{"4", " ", 
                    RowBox[{"sin", "(", 
                    FractionBox[
                    RowBox[{"2", " ", "\[Pi]"}], "9"], ")"}], " ", 
                    RowBox[{
                    SuperscriptBox["tan", 
                    RowBox[{"-", "1"}]], "(", 
                    RowBox[{
                    RowBox[{"cot", "(", 
                    FractionBox["\[Pi]", "9"], ")"}], "-", 
                    FractionBox[
                    RowBox[{"x", " ", 
                    RowBox[{"csc", "(", 
                    FractionBox["\[Pi]", "9"], ")"}]}], 
                    RadicalBox["2", "9"]]}], ")"}]}]}], 
                   RowBox[{"18", " ", 
                    SuperscriptBox["2", 
                    RowBox[{"7", "/", "9"}]]}]], 
                  GrayLevel[0]], "+", 
                 StyleBox[
                 "constant", FontFamily -> "Helvetica", Magnification -> 
                  0.9 Inherited]}], 
               GrayLevel[0.6]]}], TraditionalForm]], "Output"]}], 
       XMLElement[
       "dataformats", {}, {
        "plaintext,minput,moutput,computabledata,formatteddata,formuladata"}]}\
], 
     XMLElement["states", {"count" -> "1"}, {
       XMLElement[
       "state", {
        "name" -> "Show steps", "input" -> 
         "IndefiniteIntegral__Show steps"}, {}]}], 
     XMLElement["infos", {"count" -> "5"}, {
       XMLElement[
       "info", {"text" -> "tan^(-1)(x) is the inverse tangent function"}, {
         XMLElement[
         "link", {
          "url" -> "http://reference.wolfram.com/mathematica/ref/ArcTan.html",
            "text" -> "Documentation", "title" -> "Mathematica"}, {}], 
         XMLElement[
         "link", {
          "url" -> "http://functions.wolfram.com/ElementaryFunctions/ArcTan", 
           "text" -> "Properties", "title" -> "Wolfram Functions Site"}, {}], 
         
         XMLElement[
         "link", {
          "url" -> "http://mathworld.wolfram.com/InverseTangent.html", "text" -> 
           "Definition", "title" -> "MathWorld"}, {}], 
         XMLElement["cell", {"compressed" -> False, "string" -> True}, {
           Cell[
            BoxData[
             StyleBox[
              FormBox[
               StyleBox[
                TemplateBox[{
                  StyleBox[
                   RowBox[{
                    SuperscriptBox["tan", 
                    RowBox[{"-", "1"}]], "(", "x", ")"}], FontFamily -> 
                   "Bitstream Charter", Bold, 14, StripOnInput -> False], 
                  "\"is the inverse tangent function\""}, "Row", 
                 DisplayFunction -> (RowBox[{#, " ", #2}]& ), 
                 InterpretationFunction -> (RowBox[{
                    StyleBox[
                    "Row", FontFamily -> "Bitstream Vera Sans", 
                    FontSize -> -1 + Inherited], "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{#, ",", #2}], "}"}], ",", "\" \""}], "]"}]& )], 
                GrayLevel[0.3], StripOnInput -> False], TraditionalForm], 
              FontFamily -> "Verdana", FontSize -> 12]], "Output", 
            LinebreakAdjustments -> {1, 10, 0, 0, 10}]}]}], 
       XMLElement["info", {"text" -> "cot(x) is the cotangent function"}, {
         XMLElement[
         "link", {
          "url" -> "http://reference.wolfram.com/mathematica/ref/Cot.html", 
           "text" -> "Documentation", "title" -> "Mathematica"}, {}], 
         XMLElement[
         "link", {
          "url" -> "http://functions.wolfram.com/ElementaryFunctions/Cot", 
           "text" -> "Properties", "title" -> "Wolfram Functions Site"}, {}], 
         
         XMLElement[
         "link", {
          "url" -> "http://mathworld.wolfram.com/Cotangent.html", "text" -> 
           "Definition", "title" -> "MathWorld"}, {}], 
         XMLElement["cell", {"compressed" -> False, "string" -> True}, {
           Cell[
            BoxData[
             StyleBox[
              FormBox[
               StyleBox[
                TemplateBox[{
                  StyleBox[
                   RowBox[{"cot", "(", "x", ")"}], FontFamily -> 
                   "Bitstream Charter", Bold, 14, StripOnInput -> False], 
                  "\"is the cotangent function\""}, "Row", 
                 DisplayFunction -> (RowBox[{#, " ", #2}]& ), 
                 InterpretationFunction -> (RowBox[{
                    StyleBox[
                    "Row", FontFamily -> "Bitstream Vera Sans", 
                    FontSize -> -1 + Inherited], "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{#, ",", #2}], "}"}], ",", "\" \""}], "]"}]& )], 
                GrayLevel[0.3], StripOnInput -> False], TraditionalForm], 
              FontFamily -> "Verdana", FontSize -> 12]], "Output", 
            LinebreakAdjustments -> {1, 10, 0, 0, 10}]}]}], 
       XMLElement["info", {"text" -> "csc(x) is the cosecant function"}, {
         XMLElement[
         "link", {
          "url" -> "http://reference.wolfram.com/mathematica/ref/Csc.html", 
           "text" -> "Documentation", "title" -> "Mathematica"}, {}], 
         XMLElement[
         "link", {
          "url" -> "http://functions.wolfram.com/ElementaryFunctions/Csc", 
           "text" -> "Properties", "title" -> "Wolfram Functions Site"}, {}], 
         
         XMLElement[
         "link", {
          "url" -> "http://mathworld.wolfram.com/Cosecant.html", "text" -> 
           "Definition", "title" -> "MathWorld"}, {}], 
         XMLElement["cell", {"compressed" -> False, "string" -> True}, {
           Cell[
            BoxData[
             StyleBox[
              FormBox[
               StyleBox[
                TemplateBox[{
                  StyleBox[
                   RowBox[{"csc", "(", "x", ")"}], FontFamily -> 
                   "Bitstream Charter", Bold, 14, StripOnInput -> False], 
                  "\"is the cosecant function\""}, "Row", 
                 DisplayFunction -> (RowBox[{#, " ", #2}]& ), 
                 InterpretationFunction -> (RowBox[{
                    StyleBox[
                    "Row", FontFamily -> "Bitstream Vera Sans", 
                    FontSize -> -1 + Inherited], "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{#, ",", #2}], "}"}], ",", "\" \""}], "]"}]& )], 
                GrayLevel[0.3], StripOnInput -> False], TraditionalForm], 
              FontFamily -> "Verdana", FontSize -> 12]], "Output", 
            LinebreakAdjustments -> {1, 10, 0, 0, 10}]}]}], 
       XMLElement["info", {"text" -> "log(x) is the natural logarithm"}, {
         XMLElement[
         "link", {
          "url" -> "http://reference.wolfram.com/mathematica/ref/Log.html", 
           "text" -> "Documentation", "title" -> "Mathematica"}, {}], 
         XMLElement[
         "link", {
          "url" -> "http://functions.wolfram.com/ElementaryFunctions/Log", 
           "text" -> "Properties", "title" -> "Wolfram Functions Site"}, {}], 
         
         XMLElement[
         "link", {
          "url" -> "http://mathworld.wolfram.com/NaturalLogarithm.html", 
           "text" -> "Definition", "title" -> "MathWorld"}, {}], 
         XMLElement["cell", {"compressed" -> False, "string" -> True}, {
           Cell[
            BoxData[
             StyleBox[
              FormBox[
               StyleBox[
                TemplateBox[{
                  StyleBox[
                   RowBox[{"log", "(", "x", ")"}], FontFamily -> 
                   "Bitstream Charter", Bold, 14, StripOnInput -> False], 
                  "\"is the natural logarithm\""}, "Row", 
                 DisplayFunction -> (RowBox[{#, " ", #2}]& ), 
                 InterpretationFunction -> (RowBox[{
                    StyleBox[
                    "Row", FontFamily -> "Bitstream Vera Sans", 
                    FontSize -> -1 + Inherited], "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{#, ",", #2}], "}"}], ",", "\" \""}], "]"}]& )], 
                GrayLevel[0.3], StripOnInput -> False], TraditionalForm], 
              FontFamily -> "Verdana", FontSize -> 12]], "Output", 
            LinebreakAdjustments -> {1, 10, 0, 0, 10}]}]}], 
       XMLElement["info", {"text" -> "sec(x) is the secant function"}, {
         XMLElement[
         "link", {
          "url" -> "http://reference.wolfram.com/mathematica/ref/Sec.html", 
           "text" -> "Documentation", "title" -> "Mathematica"}, {}], 
         XMLElement[
         "link", {
          "url" -> "http://functions.wolfram.com/ElementaryFunctions/Sec", 
           "text" -> "Properties", "title" -> "Wolfram Functions Site"}, {}], 
         
         XMLElement[
         "link", {
          "url" -> "http://mathworld.wolfram.com/Secant.html", "text" -> 
           "Definition", "title" -> "MathWorld"}, {}], 
         XMLElement["cell", {"compressed" -> False, "string" -> True}, {
           Cell[
            BoxData[
             StyleBox[
              FormBox[
               StyleBox[
                TemplateBox[{
                  StyleBox[
                   RowBox[{"sec", "(", "x", ")"}], FontFamily -> 
                   "Bitstream Charter", Bold, 14, StripOnInput -> False], 
                  "\"is the secant function\""}, "Row", 
                 DisplayFunction -> (RowBox[{#, " ", #2}]& ), 
                 InterpretationFunction -> (RowBox[{
                    StyleBox[
                    "Row", FontFamily -> "Bitstream Vera Sans", 
                    FontSize -> -1 + Inherited], "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{#, ",", #2}], "}"}], ",", "\" \""}], "]"}]& )], 
                GrayLevel[0.3], StripOnInput -> False], TraditionalForm], 
              FontFamily -> "Verdana", FontSize -> 12]], "Output", 
            LinebreakAdjustments -> {1, 10, 0, 0, 10}]}]}]}]}], 
   Typeset`pod2$$ = XMLElement[
   "pod", {"title" -> "Plots of the integral", "scanner" -> "Integral", "id" -> 
     "Plot", "position" -> "200", "error" -> "false", "numsubpods" -> "2"}, {
     XMLElement["subpod", {"title" -> ""}, {
       XMLElement[
       "minput", {}, {
        "Plot[(2 Sqrt[3] ArcTan[(-1 + 2^(8/9) x)/Sqrt[3]] - 4 ArcTan[Cot[(2 \
Pi)/9] + (x Csc[(2 Pi)/9])/2^(1/9)] Cos[Pi/18] - 2 Log[2 + 2^(8/9) x] + Log[2 \
- 2^(8/9) x + 2^(7/9) x^2] - 2 Cos[(2 Pi)/9] Log[2 + 2^(7/9) x^2 - 2 2^(8/9) \
x Cos[Pi/9]] + 2 Cos[Pi/9] Log[2 + 2^(7/9) x^2 + 2 2^(8/9) x Sin[Pi/18]] - 2 \
Log[2 + 2^(7/9) x^2 + 2 2^(8/9) x Cos[(2 Pi)/9]] Sin[Pi/18] - 4 ArcTan[(x \
Sec[Pi/18])/2^(1/9) + Tan[Pi/18]] Sin[Pi/9] - 4 ArcTan[Cot[Pi/9] - (x \
Csc[Pi/9])/2^(1/9)] Sin[(2 Pi)/9])/(18 2^(7/9)), {x, -1.3, 1.3}]"}], 
       XMLElement["cell", {"compressed" -> True, "string" -> False}, {
         Cell[
          BoxData[
           FormBox[
            TagBox[
             FormBox[
              StyleBox[
               
               DynamicModuleBox[{
                CalculateUtilities`GraphicsUtilities`Private`max12$$ = 0.5, 
                 CalculateUtilities`GraphicsUtilities`Private`min11$$ = -0.5, 
                 CalculateUtilities`GraphicsUtilities`Private`more$$ = False, 
                 Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
                 Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, 
                 Typeset`animvar$$ = 1, Typeset`name$$ = "\"untitled\"", 
                 Typeset`specs$$ = {{
                    Hold[
                    CalculateUtilities`GraphicsUtilities`Private`more$$], {
                    False, True}}, {{
                    Hold[
                    CalculateUtilities`GraphicsUtilities`Private`min11$$], \
-0.5, "min"}, -1, 1}, {{
                    Hold[
                    CalculateUtilities`GraphicsUtilities`Private`max12$$], 
                    0.5, "max"}, -1, 1}, {
                    Hold[
                    Style[
                    Overlay[{
                    RawBoxes[
                    PaneBox[
                    GraphicsBox[
                    
                    RasterBox[{{{0, 0, 0, 24}}, {{0, 0, 0, 9}}, {{0, 0, 0, 
                    10}}, {{0, 0, 0, 10}}, {{0, 0, 0, 9}}, {{0, 0, 0, 9}}, {{
                    0, 0, 0, 8}}, {{0, 0, 0, 8}}, {{0, 0, 0, 9}}, {{0, 0, 0, 
                    8}}, {{0, 0, 0, 7}}, {{0, 0, 0, 7}}, {{0, 0, 0, 8}}, {{0, 
                    0, 0, 6}}, {{0, 0, 0, 6}}, {{0, 0, 0, 6}}, {{0, 0, 0, 
                    6}}, {{0, 0, 0, 5}}, {{0, 0, 0, 6}}, {{0, 0, 0, 5}}, {{0, 
                    0, 0, 4}}, {{0, 0, 0, 4}}, {{0, 0, 0, 5}}, {{0, 0, 0, 
                    5}}, {{0, 0, 0, 3}}, {{0, 0, 0, 4}}, {{0, 0, 0, 3}}, {{0, 
                    0, 0, 3}}, {{0, 0, 0, 3}}, {{0, 0, 0, 3}}, {{0, 0, 0, 
                    2}}, {{0, 0, 0, 2}}, {{0, 0, 0, 2}}, {{0, 0, 0, 2}}, {{0, 
                    0, 0, 1}}, {{0, 0, 0, 2}}, {{0, 0, 0, 2}}, {{0, 0, 0, 
                    0}}, {{0, 0, 0, 1}}, {{255, 255, 255, 0}}, {{255, 255, 
                    255, 0}}, {{255, 255, 255, 0}}, {{255, 255, 255, 0}}, {{
                    255, 255, 255, 0}}, {{255, 255, 255, 0}}}, {{0, 45}, {
                    2500, 0}}, {0, 255}, ColorFunction -> RGBColor], 
                    ImageSize -> {2500, 45}, 
                    PlotRange -> {{0, 2500}, {0, 45}}], ImageSize -> 
                    Scaled[1], ScrollPosition -> {0., 0.}]], 
                    Pane[
                    Column[{
                    Grid[{{
                    Manipulate`Place[1], 
                    Manipulate`Place[2]}}]}], 
                    ImageMargins -> {{20, 30}, {10, 10}}]}, {1, 2}, 2, 
                    Alignment -> {Left, Top}]]], 
                    Manipulate`Dump`ThisIsNotAControl}}, Typeset`size$$ = 
                 Automatic, Typeset`update$$ = 0, Typeset`initDone$$ = False, 
                 Typeset`skipInitDone$$ = False, 
                 CalculateUtilities`GraphicsUtilities`Private`more$306866$$ = 
                 False, CalculateUtilities`GraphicsUtilities`Private`min11$\
306871$$ = 0, CalculateUtilities`GraphicsUtilities`Private`max12$306872$$ = 
                 0}, 
                DynamicBox[
                 Manipulate`ManipulateBoxes[
                 2, TraditionalForm, 
                  "Variables" :> {
                   CalculateUtilities`GraphicsUtilities`Private`max12$$ = 0.5,
                     
                    CalculateUtilities`GraphicsUtilities`Private`min11$$ = \
-0.5, CalculateUtilities`GraphicsUtilities`Private`more$$ = False}, 
                  "ControllerVariables" :> {
                    Hold[
                    CalculateUtilities`GraphicsUtilities`Private`more$$, 
                    CalculateUtilities`GraphicsUtilities`Private`more$306866$$\
, False], 
                    Hold[
                    CalculateUtilities`GraphicsUtilities`Private`min11$$, 
                    CalculateUtilities`GraphicsUtilities`Private`min11$306871$\
$, 0], 
                    Hold[
                    CalculateUtilities`GraphicsUtilities`Private`max12$$, 
                    CalculateUtilities`GraphicsUtilities`Private`max12$306872$\
$, 0]}, "OtherVariables" :> {
                   Typeset`show$$, Typeset`bookmarkList$$, 
                    Typeset`bookmarkMode$$, Typeset`animator$$, 
                    Typeset`animvar$$, Typeset`name$$, Typeset`specs$$, 
                    Typeset`size$$, Typeset`update$$, Typeset`initDone$$, 
                    Typeset`skipInitDone$$}, "Body" :> Quiet[
                    Function[Null, 
                    Labeled[
                    CalculateUtilities`GraphicsUtilities`Private`post$306858[
                    Plot[{
                    Re[
                    Rational[1, 18] 
                    2^Rational[-7, 9] (
                    2 3^Rational[1, 2] 
                    ArcTan[3^Rational[-1, 2] (-1 + 
                    2^Rational[8, 9] Global`x)] - 4 
                    ArcTan[Cot[Rational[2, 9] Pi] + 
                    2^Rational[-1, 9] Global`x Csc[Rational[2, 9] Pi]] 
                    Cos[Rational[1, 18] Pi] - 2 
                    Log[2 + 2^Rational[8, 9] Global`x] + 
                    Log[2 - 2^Rational[8, 9] Global`x + 
                    2^Rational[7, 9] Global`x^2] - 2 Cos[Rational[2, 9] Pi] 
                    Log[2 + 2^Rational[7, 9] Global`x^2 - 2 2^Rational[8, 9] 
                    Global`x Cos[Rational[1, 9] Pi]] + 
                    2 Cos[Rational[1, 9] Pi] 
                    Log[2 + 2^Rational[7, 9] Global`x^2 + 
                    2 2^Rational[8, 9] Global`x Sin[Rational[1, 18] Pi]] - 2 
                    Log[2 + 2^Rational[7, 9] Global`x^2 + 
                    2 2^Rational[8, 9] Global`x Cos[Rational[2, 9] Pi]] 
                    Sin[Rational[1, 18] Pi] - 4 
                    ArcTan[2^Rational[-1, 9] Global`x Sec[Rational[1, 18] Pi] + 
                    Tan[Rational[1, 18] Pi]] Sin[Rational[1, 9] Pi] - 4 
                    ArcTan[Cot[Rational[1, 9] Pi] - 2^Rational[-1, 9] 
                    Global`x Csc[Rational[1, 9] Pi]] Sin[Rational[2, 9] Pi])], 
                    Im[
                    Rational[1, 18] 
                    2^Rational[-7, 9] (
                    2 3^Rational[1, 2] 
                    ArcTan[3^Rational[-1, 2] (-1 + 
                    2^Rational[8, 9] Global`x)] - 4 
                    ArcTan[Cot[Rational[2, 9] Pi] + 
                    2^Rational[-1, 9] Global`x Csc[Rational[2, 9] Pi]] 
                    Cos[Rational[1, 18] Pi] - 2 
                    Log[2 + 2^Rational[8, 9] Global`x] + 
                    Log[2 - 2^Rational[8, 9] Global`x + 
                    2^Rational[7, 9] Global`x^2] - 2 Cos[Rational[2, 9] Pi] 
                    Log[2 + 2^Rational[7, 9] Global`x^2 - 2 2^Rational[8, 9] 
                    Global`x Cos[Rational[1, 9] Pi]] + 
                    2 Cos[Rational[1, 9] Pi] 
                    Log[2 + 2^Rational[7, 9] Global`x^2 + 
                    2 2^Rational[8, 9] Global`x Sin[Rational[1, 18] Pi]] - 2 
                    Log[2 + 2^Rational[7, 9] Global`x^2 + 
                    2 2^Rational[8, 9] Global`x Cos[Rational[2, 9] Pi]] 
                    Sin[Rational[1, 18] Pi] - 4 
                    ArcTan[2^Rational[-1, 9] Global`x Sec[Rational[1, 18] Pi] + 
                    Tan[Rational[1, 18] Pi]] Sin[Rational[1, 9] Pi] - 4 
                    ArcTan[Cot[Rational[1, 9] Pi] - 2^Rational[-1, 9] 
                    Global`x Csc[Rational[1, 9] Pi]] 
                    Sin[Rational[2, 9] Pi])]}, 
                    SlotSequence[2], PlotStyle -> {{
                    Directive[
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    AbsoluteThickness[1]]}, 
                    Directive[
                    RGBColor[1, 0.3, 0], 
                    AbsoluteThickness[1]]}]], 
                    Column[{
                    Row[{
                    Graphics[{
                    Directive[
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    AbsoluteThickness[1]], 
                    AbsoluteThickness[1], 
                    Line[{{0, 0}, {10, 0}}]}, ImageSize -> {20, 4}, 
                    BaselinePosition -> (Center -> Center)], 
                    Style[" real part", Smaller, 
                    GrayLevel[0.3]]}], 
                    Row[{
                    Graphics[{
                    Directive[
                    RGBColor[1, 0.3, 0], 
                    AbsoluteThickness[1]], 
                    AbsoluteThickness[1], 
                    Line[{{0, 0}, {10, 0}}]}, ImageSize -> {20, 4}, 
                    BaselinePosition -> (Center -> Center)], 
                    Style[" imaginary part", Smaller, 
                    GrayLevel[0.3]]}]}, Spacings -> 0], {{Right, Bottom}}], 
                    HoldAll][
                    Rational[1, 18] 
                    2^Rational[-7, 9] (
                    2 3^Rational[1, 2] 
                    ArcTan[3^Rational[-1, 2] (-1 + 
                    2^Rational[8, 9] Global`x)] - 4 
                    ArcTan[Cot[Rational[2, 9] Pi] + 
                    2^Rational[-1, 9] Global`x Csc[Rational[2, 9] Pi]] 
                    Cos[Rational[1, 18] Pi] - 2 
                    Log[2 + 2^Rational[8, 9] Global`x] + 
                    Log[2 - 2^Rational[8, 9] Global`x + 
                    2^Rational[7, 9] Global`x^2] - 2 Cos[Rational[2, 9] Pi] 
                    Log[2 + 2^Rational[7, 9] Global`x^2 - 2 2^Rational[8, 9] 
                    Global`x Cos[Rational[1, 9] Pi]] + 
                    2 Cos[Rational[1, 9] Pi] 
                    Log[2 + 2^Rational[7, 9] Global`x^2 + 
                    2 2^Rational[8, 9] Global`x Sin[Rational[1, 18] Pi]] - 2 
                    Log[2 + 2^Rational[7, 9] Global`x^2 + 
                    2 2^Rational[8, 9] Global`x Cos[Rational[2, 9] Pi]] 
                    Sin[Rational[1, 18] Pi] - 4 
                    ArcTan[2^Rational[-1, 9] Global`x Sec[Rational[1, 18] Pi] + 
                    Tan[Rational[1, 18] Pi]] Sin[Rational[1, 9] Pi] - 4 
                    ArcTan[Cot[Rational[1, 9] Pi] - 2^Rational[-1, 9] 
                    Global`x Csc[Rational[1, 9] Pi]] 
                    Sin[Rational[2, 9] Pi]), {Global`x, 
                    If[
                    NumericQ[
                    CalculateUtilities`GraphicsUtilities`Private`min11$$], 
                    (
                    Piecewise[{{
                    0. + 1.4091585705846044` Tan[1.5040801783846716` #], # < 
                    0}}, 0. + 
                    1.4091585705846044` Tan[1.5040801783846716` #]]& )[
                    CalculateUtilities`GraphicsUtilities`Private`min11$$], \
-1.3181471436909236`], 
                    If[
                    And[
                    NumericQ[
                    CalculateUtilities`GraphicsUtilities`Private`min11$$], 
                    NumericQ[
                    CalculateUtilities`GraphicsUtilities`Private`max12$$]], 
                    (Piecewise[{{
                    0. + 1.4091585705846044` Tan[1.5040801783846716` #], # < 
                    0}}, 0. + 
                    1.4091585705846044` Tan[1.5040801783846716` #]]& )[
                    If[
                    CalculateUtilities`GraphicsUtilities`Private`min11$$ == 
                    CalculateUtilities`GraphicsUtilities`Private`max12$$, 
                    CalculateUtilities`GraphicsUtilities`Private`min11$$ + 
                    0.002636294287381847, 
                    CalculateUtilities`GraphicsUtilities`Private`max12$$]], 
                    1.3181471436909236`]}, 
                    LabelStyle -> {FontFamily -> "Bitstream Charter"}, 
                    WorkingPrecision -> MachinePrecision, 
                    PlotRange -> {Automatic, Automatic}, Ticks -> Automatic, 
                    ImageSize -> 200, AxesLabel -> {
                    RawBoxes[
                    FormBox["x", TraditionalForm]], None}]], 
                  "Specifications" :> {{
                    CalculateUtilities`GraphicsUtilities`Private`more$$, {
                    False, True}, ControlType -> None}, {{
                    CalculateUtilities`GraphicsUtilities`Private`min11$$, \
-0.5, "min"}, -1, 1, ImageSize -> Tiny, ControlPlacement -> 1}, {{
                    CalculateUtilities`GraphicsUtilities`Private`max12$$, 0.5,
                     "max"}, -1, 1, ImageSize -> Tiny, ControlPlacement -> 2}, 
                    Style[
                    Overlay[{
                    RawBoxes[
                    PaneBox[
                    GraphicsBox[
                    
                    RasterBox[{{{0, 0, 0, 24}}, {{0, 0, 0, 9}}, {{0, 0, 0, 
                    10}}, {{0, 0, 0, 10}}, {{0, 0, 0, 9}}, {{0, 0, 0, 9}}, {{
                    0, 0, 0, 8}}, {{0, 0, 0, 8}}, {{0, 0, 0, 9}}, {{0, 0, 0, 
                    8}}, {{0, 0, 0, 7}}, {{0, 0, 0, 7}}, {{0, 0, 0, 8}}, {{0, 
                    0, 0, 6}}, {{0, 0, 0, 6}}, {{0, 0, 0, 6}}, {{0, 0, 0, 
                    6}}, {{0, 0, 0, 5}}, {{0, 0, 0, 6}}, {{0, 0, 0, 5}}, {{0, 
                    0, 0, 4}}, {{0, 0, 0, 4}}, {{0, 0, 0, 5}}, {{0, 0, 0, 
                    5}}, {{0, 0, 0, 3}}, {{0, 0, 0, 4}}, {{0, 0, 0, 3}}, {{0, 
                    0, 0, 3}}, {{0, 0, 0, 3}}, {{0, 0, 0, 3}}, {{0, 0, 0, 
                    2}}, {{0, 0, 0, 2}}, {{0, 0, 0, 2}}, {{0, 0, 0, 2}}, {{0, 
                    0, 0, 1}}, {{0, 0, 0, 2}}, {{0, 0, 0, 2}}, {{0, 0, 0, 
                    0}}, {{0, 0, 0, 1}}, {{255, 255, 255, 0}}, {{255, 255, 
                    255, 0}}, {{255, 255, 255, 0}}, {{255, 255, 255, 0}}, {{
                    255, 255, 255, 0}}, {{255, 255, 255, 0}}}, {{0, 45}, {
                    2500, 0}}, {0, 255}, ColorFunction -> RGBColor], 
                    ImageSize -> {2500, 45}, 
                    PlotRange -> {{0, 2500}, {0, 45}}], ImageSize -> 
                    Scaled[1], ScrollPosition -> {0., 0.}]], 
                    Pane[
                    Column[{
                    Grid[{{
                    Manipulate`Place[1], 
                    Manipulate`Place[2]}}]}], 
                    ImageMargins -> {{20, 30}, {10, 10}}]}, {1, 2}, 2, 
                    Alignment -> {Left, Top}]]}, 
                  "Options" :> {
                   TrackedSymbols -> True, ControlPlacement -> Bottom, 
                    FrameMargins -> {{0, 0}, {0, 10}}, Paneled -> False, 
                    AppearanceElements -> {}, 
                    LabelStyle -> {
                    "DialogStyle", FontColor -> GrayLevel[0.25]}}, 
                  "DefaultOptions" :> {}], SingleEvaluation -> True], 
                Initialization :> (ReleaseHold[
                   Hold[
                   CalculateUtilities`GraphicsUtilities`Private`WACleanTicks[
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, 
                    Blank[]]] := 
                    Module[{
                    CalculateUtilities`GraphicsUtilities`Private`res, 
                    CalculateUtilities`GraphicsUtilities`Private`unitformat}, 
                    CalculateUtilities`GraphicsUtilities`Private`res = 
                    ReplaceAll[
                    ReplaceAll[
                    Part[
                    DeleteCases[
                    Replace[
                    ReplaceAll[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, 
                    Alternatives[
                    Style, Global`UnitNumberForm, NumberForm] -> (#& )], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`t, {
                    PatternTest[
                    BlankSequence[], NumberQ]}] :> 
                    Thread[{CalculateUtilities`GraphicsUtilities`Private`t, 
                    CalculateUtilities`GraphicsUtilities`Private`t}]], {
                    Blank[], "", 
                    BlankNullSequence[]}], All, 
                    Span[1, 2]], Superscript[
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`b, 
                    Blank[Integer]], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`p, 
                    Blank[Integer]]] :> 
                    CalculateUtilities`GraphicsUtilities`Private`b^
                    CalculateUtilities`GraphicsUtilities`Private`p], Row[{
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`a, 
                    BlankSequence[]]}, "\[Times]"] :> 
                    Times[CalculateUtilities`GraphicsUtilities`Private`a]]; If[
                    MatchQ[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`res, All, 2], 
                    Condition[
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`quants, {
                    Alternatives[
                    BlankSequence[Global`ShortQuantity], 
                    BlankSequence[Global`Quantity]]}], Length[
                    Union[
                    Map[
                    Global`UnitObjectPart, 
                    CalculateUtilities`GraphicsUtilities`Private`quants]]] == 
                    1]], CalculateUtilities`GraphicsUtilities`Private`\
unitformat = Global`ToCDFQuantityFunction[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`res, 1, 2]]; 
                    CalculateUtilities`GraphicsUtilities`Private`unitformat -> 
                    Thread[{
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`res, All, 1], 
                    Global`QuantityPart[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`res, All, 2], 
                    Global`UnitObjectPart[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`res, 1, 
                    2]]]}], 
                    CalculateUtilities`GraphicsUtilities`Private`res]]; 
                    Options[
                    CalculateUtilities`GraphicsUtilities`Private`post$306858] = \
{"ReturnInteractiveTypes" -> False, "Nearest" -> Automatic}; 
                    CalculateUtilities`GraphicsUtilities`Private`post$306858[
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`g, 
                    Blank[Graphics]], 
                    OptionsPattern[]] := Check[
                    
                    Module[{
                    CalculateUtilities`GraphicsUtilities`Private`lines, 
                    CalculateUtilities`GraphicsUtilities`Private`pts, 
                    CalculateUtilities`GraphicsUtilities`Private`gg, 
                    CalculateUtilities`GraphicsUtilities`Private`type, 
                    CalculateUtilities`GraphicsUtilities`Private`b, 
                    CalculateUtilities`GraphicsUtilities`Private`l, 
                    CalculateUtilities`GraphicsUtilities`Private`t, 
                    CalculateUtilities`GraphicsUtilities`Private`r, 
                    CalculateUtilities`GraphicsUtilities`Private`oldepilog, 
                    CalculateUtilities`GraphicsUtilities`Private`range, 
                    CalculateUtilities`GraphicsUtilities`Private`gridlines, 
                    CalculateUtilities`GraphicsUtilities`Private`oldgridlines,
                     CalculateUtilities`GraphicsUtilities`Private`\
neareststyle = OptionValue["Nearest"]}, 
                    CalculateUtilities`GraphicsUtilities`Private`oldepilog = 
                    Replace[
                    ReplaceAll[Epilog, 
                    Options[CalculateUtilities`GraphicsUtilities`Private`g]], 
                    Epilog -> Sequence[]]; Switch[
                    ReplaceAll[{Frame, Axes}, 
                    Options[
                    CalculateUtilities`GraphicsUtilities`Private`g]], {True, 
                    Blank[]}, 
                    CalculateUtilities`GraphicsUtilities`Private`type = 
                    Frame; {CalculateUtilities`GraphicsUtilities`Private`b, 
                    CalculateUtilities`GraphicsUtilities`Private`l, 
                    CalculateUtilities`GraphicsUtilities`Private`t, 
                    CalculateUtilities`GraphicsUtilities`Private`r} = 
                    CalculateUtilities`GraphicsUtilities`Private`\
ScaleCoordinatesToTicks[Frame, 
                    ReplaceAll[FrameTicks, 
                    Options[
                    CalculateUtilities`GraphicsUtilities`Private`g]]], {
                    Blank[], True}, 
                    CalculateUtilities`GraphicsUtilities`Private`type = 
                    Axes; {CalculateUtilities`GraphicsUtilities`Private`b, 
                    CalculateUtilities`GraphicsUtilities`Private`l} = 
                    CalculateUtilities`GraphicsUtilities`Private`\
ScaleCoordinatesToTicks[Axes, 
                    ReplaceAll[Ticks, 
                    Options[CalculateUtilities`GraphicsUtilities`Private`g]]], 
                    Blank[], 
                    CalculateUtilities`GraphicsUtilities`Private`type = None]; 
                    If[
                    And[
                    CalculateUtilities`GraphicsUtilities`Private`type === 
                    Frame, 
                    Or[
                    Not[
                    Or[
                    CalculateUtilities`GraphicsUtilities`Private`t === None, 
                    CalculateUtilities`GraphicsUtilities`Private`b === 
                    CalculateUtilities`GraphicsUtilities`Private`t]], 
                    Not[
                    Or[
                    CalculateUtilities`GraphicsUtilities`Private`r === None, 
                    CalculateUtilities`GraphicsUtilities`Private`l === 
                    CalculateUtilities`GraphicsUtilities`Private`r]]]], 
                    CalculateUtilities`GraphicsUtilities`Private`type = None]; 
                    If[
                    TrueQ[
                    OptionValue["ReturnInteractiveTypes"]], 
                    Which[
                    Or[
                    CalculateUtilities`GraphicsUtilities`Private`type === 
                    None, CalculateUtilities`GraphicsUtilities`Private`b === 
                    None, CalculateUtilities`GraphicsUtilities`Private`l === 
                    None], {}, 
                    FreeQ[CalculateUtilities`GraphicsUtilities`Private`g, 
                    Alternatives[Line, Point]], {}, True, {
                    "Tooltips", "Coordinates"}], If[
                    FreeQ[CalculateUtilities`GraphicsUtilities`Private`g, 
                    Alternatives[Line, Point]], 
                    Return[CalculateUtilities`GraphicsUtilities`Private`g]]; 
                    CalculateUtilities`GraphicsUtilities`Private`gg = 
                    Normal[CalculateUtilities`GraphicsUtilities`Private`g]; 
                    CalculateUtilities`GraphicsUtilities`Private`pts = 
                    Partition[
                    Flatten[
                    Cases[
                    Part[CalculateUtilities`GraphicsUtilities`Private`gg, 1], 
                    Point[
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`a, 
                    Blank[]]] :> 
                    CalculateUtilities`GraphicsUtilities`Private`a, 
                    Infinity]], 2]; 
                    If[Length[
                    CalculateUtilities`GraphicsUtilities`Private`pts] < 2, 
                    CalculateUtilities`GraphicsUtilities`Private`lines = Cases[
                    Part[CalculateUtilities`GraphicsUtilities`Private`gg, 1], 
                    
                    Blank[Line], Infinity]; 
                    If[CalculateUtilities`GraphicsUtilities`Private`lines === \
{}, 
                    Return[CalculateUtilities`GraphicsUtilities`Private`g]]; 
                    CalculateUtilities`GraphicsUtilities`Private`pts = Flatten[
                    Cases[
                    CalculateUtilities`GraphicsUtilities`Private`lines, Line[
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`a, 
                    Blank[]]] :> 
                    CalculateUtilities`GraphicsUtilities`Private`a, Infinity],
                     1]; If[
                    CalculateUtilities`GraphicsUtilities`Private`neareststyle === 
                    Automatic, If[
                    CalculateUtilities`GraphicsUtilities`Private`orderedLines[
                    CalculateUtilities`GraphicsUtilities`Private`lines], 
                    CalculateUtilities`GraphicsUtilities`Private`neareststyle = 
                    "1D", CalculateUtilities`GraphicsUtilities`Private`\
neareststyle = "2D"]; Null], 
                    If[
                    CalculateUtilities`GraphicsUtilities`Private`neareststyle === 
                    Automatic, 
                    CalculateUtilities`GraphicsUtilities`Private`neareststyle = 
                    "2D"]]; 
                    CalculateUtilities`GraphicsUtilities`Private`range = 
                    Replace[
                    ReplaceAll[PlotRange, 
                    Options[CalculateUtilities`GraphicsUtilities`Private`g]], 
                    Except[{{
                    PatternTest[
                    Blank[], NumberQ], 
                    PatternTest[
                    Blank[], NumberQ]}, {
                    PatternTest[
                    Blank[], NumberQ], 
                    PatternTest[
                    Blank[], NumberQ]}}] :> {
                    Through[
                    {Min, Max}[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`pts, All, 
                    1]]], 
                    Through[
                    {Min, Max}[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`pts, All, 
                    2]]]}]; CalculateUtilities`GraphicsUtilities`Private`b = 
                    CalculateUtilities`GraphicsUtilities`Private`\
RefineCoordinateFunction[CalculateUtilities`GraphicsUtilities`Private`b, 
                    First[CalculateUtilities`GraphicsUtilities`Private`range], 
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`pts, All, 
                    1]]; CalculateUtilities`GraphicsUtilities`Private`l = 
                    CalculateUtilities`GraphicsUtilities`Private`\
RefineCoordinateFunction[CalculateUtilities`GraphicsUtilities`Private`l, 
                    Last[CalculateUtilities`GraphicsUtilities`Private`range], 
                    
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`pts, All, 
                    2]]; CalculateUtilities`GraphicsUtilities`Private`\
oldgridlines = ReplaceAll[GridLines, 
                    Options[CalculateUtilities`GraphicsUtilities`Private`g]]; 
                    CalculateUtilities`GraphicsUtilities`Private`gridlines = 
                    With[{CalculateUtilities`GraphicsUtilities`Private`gray = 
                    GrayLevel[0.7]}, 
                    Replace[
                    CalculateUtilities`GraphicsUtilities`Private`oldgridlines,\
 {Pattern[CalculateUtilities`GraphicsUtilities`Private`a, {
                    Blank[List], 
                    Blank[List]}] :> Dynamic[
                    Join[CalculateUtilities`GraphicsUtilities`Private`a, 
                    Replace[
                    MousePosition[{"Graphics", Graphics}, None], {
                    None -> {{}, {}}, {
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`x, 
                    Blank[]], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`y, 
                    Blank[]]} :> {{{
                    CalculateUtilities`GraphicsUtilities`Private`x, 
                    CalculateUtilities`GraphicsUtilities`Private`gray}}, {{
                    CalculateUtilities`GraphicsUtilities`Private`y, 
                    CalculateUtilities`GraphicsUtilities`Private`gray}}}}], 
                    2]], {
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`a, 
                    Blank[List]], Automatic} :> 
                    With[{CalculateUtilities`GraphicsUtilities`Private`\
divisions = {CalculateUtilities`GraphicsUtilities`Private`a, 
                    FindDivisions[
                    Last[CalculateUtilities`GraphicsUtilities`Private`range], 
                    7]}}, 
                    Dynamic[
                    Join[
                    CalculateUtilities`GraphicsUtilities`Private`divisions, 
                    Replace[
                    MousePosition[{"Graphics", Graphics}, None], {
                    None -> {{}, {}}, {
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`x, 
                    Blank[]], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`y, 
                    Blank[]]} :> {{{
                    CalculateUtilities`GraphicsUtilities`Private`x, 
                    CalculateUtilities`GraphicsUtilities`Private`gray}}, {{
                    CalculateUtilities`GraphicsUtilities`Private`y, 
                    CalculateUtilities`GraphicsUtilities`Private`gray}}}}], 
                    2]]], Blank[] -> Dynamic[
                    
                    Map[{{#, 
                    CalculateUtilities`GraphicsUtilities`Private`gray}}& , 
                    MousePosition[{"Graphics", Graphics}, None]]]}]]; If[
                    Or[
                    CalculateUtilities`GraphicsUtilities`Private`type === 
                    None, CalculateUtilities`GraphicsUtilities`Private`b === 
                    None, CalculateUtilities`GraphicsUtilities`Private`l === 
                    None], 
                    Show[
                    CalculateUtilities`GraphicsUtilities`Private`g, GridLines -> 
                    CalculateUtilities`GraphicsUtilities`Private`gridlines, 
                    If[
                    MatchQ[
                    CalculateUtilities`GraphicsUtilities`Private`oldgridlines, 
                    Alternatives[None, GridLines]], 
                    Method -> {"GridLinesInFront" -> True}, 
                    Apply[Sequence, {}]]], 
                    
                    With[{CalculateUtilities`GraphicsUtilities`Private`nf = 
                    If[CalculateUtilities`GraphicsUtilities`Private`\
neareststyle === "1D", 
                    
                    With[{CalculateUtilities`GraphicsUtilities`Private`n = 
                    Nearest[Part[
                    CalculateUtilities`GraphicsUtilities`Private`pts, All, 1] -> 
                    CalculateUtilities`GraphicsUtilities`Private`pts]}, 
                    CalculateUtilities`GraphicsUtilities`Private`n[
                    Part[#, 1]]& ], 
                    
                    With[{CalculateUtilities`GraphicsUtilities`Private`n = 
                    Nearest[Transpose[
                    Transpose[
                    CalculateUtilities`GraphicsUtilities`Private`pts]/Abs[
                    Apply[
                    Subtract, 
                    CalculateUtilities`GraphicsUtilities`Private`range, {
                    1}]]] -> 
                    CalculateUtilities`GraphicsUtilities`Private`pts], 
                    CalculateUtilities`GraphicsUtilities`Private`scale = Abs[
                    Apply[
                    Subtract, 
                    CalculateUtilities`GraphicsUtilities`Private`range, {
                    1}]]}, CalculateUtilities`GraphicsUtilities`Private`n[#/
                    CalculateUtilities`GraphicsUtilities`Private`scale]& ]], 
                    CalculateUtilities`GraphicsUtilities`Private`left = 
                    CalculateUtilities`GraphicsUtilities`Private`l, 
                    CalculateUtilities`GraphicsUtilities`Private`bottom = 
                    CalculateUtilities`GraphicsUtilities`Private`b}, 
                    Show[
                    CalculateUtilities`GraphicsUtilities`Private`g, GridLines -> 
                    CalculateUtilities`GraphicsUtilities`Private`gridlines, 
                    If[
                    MatchQ[
                    CalculateUtilities`GraphicsUtilities`Private`oldgridlines, 
                    Alternatives[None, GridLines]], 
                    Method -> {"GridLinesInFront" -> True}, 
                    Apply[Sequence, {}]], 
                    Epilog -> {
                    CalculateUtilities`GraphicsUtilities`Private`oldepilog, 
                    Dynamic[
                    
                    DynamicModule[{
                    CalculateUtilities`GraphicsUtilities`Private`pt = 
                    CalculateUtilities`GraphicsUtilities`Private`nf[
                    MousePosition[{"Graphics", Graphics}, {0, 0}]], 
                    CalculateUtilities`GraphicsUtilities`Private`scaled = 
                    MousePosition[{"GraphicsScaled", Graphics}, None]}, 
                    If[
                    CalculateUtilities`GraphicsUtilities`Private`scaled === 
                    None, {}, {
                    Text[
                    Style[
                    Row[{
                    CalculateUtilities`GraphicsUtilities`Private`bottom[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`pt, 1, 1]], 
                    CalculateUtilities`GraphicsUtilities`Private`left[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`pt, 1, 2]]}, 
                    ","], 12], 
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`pt, 1], {
                    1.5 Sign[Part[
                    CalculateUtilities`GraphicsUtilities`Private`scaled, 1] - 
                    0.5], 0}, Background -> White], 
                    AbsolutePointSize[7], 
                    Point[CalculateUtilities`GraphicsUtilities`Private`pt], 
                    White, 
                    AbsolutePointSize[5], 
                    Point[
                    CalculateUtilities`GraphicsUtilities`Private`pt]}]]]}]]]]]\
, CalculateUtilities`GraphicsUtilities`Private`g]; 
                    CalculateUtilities`GraphicsUtilities`Private`post$306858[
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`g, 
                    Blank[]], 
                    BlankNullSequence[]] := 
                    CalculateUtilities`GraphicsUtilities`Private`g; 
                    CalculateUtilities`GraphicsUtilities`Private`orderedLines[{
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`l, 
                    BlankSequence[Line]]}] := 
                    Module[{
                    CalculateUtilities`GraphicsUtilities`Private`ordered, 
                    CalculateUtilities`GraphicsUtilities`Private`intervals}, 
                    CalculateUtilities`GraphicsUtilities`Private`ordered = 
                    Apply[And, 
                    Map[OrderedQ[
                    Part[#, 1, All, 1]]& , 
                    Hold[CalculateUtilities`GraphicsUtilities`Private`l]]]; If[
                    Not[
                    TrueQ[
                    CalculateUtilities`GraphicsUtilities`Private`ordered]], 
                    Return[False]]; 
                    CalculateUtilities`GraphicsUtilities`Private`intervals = 
                    Part[{CalculateUtilities`GraphicsUtilities`Private`l}, 
                    All, 1, {1, -1}, 1]; Length[
                    Apply[
                    Interval, 
                    CalculateUtilities`GraphicsUtilities`Private`intervals]] === 
                    Length[CalculateUtilities`GraphicsUtilities`Private`\
intervals]]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
ScaleCoordinatesToTicks[Frame, 
                    Alternatives[Automatic, FrameTicks]] = {
                    Identity, Identity, Identity, Identity}; 
                    CalculateUtilities`GraphicsUtilities`Private`\
ScaleCoordinatesToTicks[Frame, {
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`b, 
                    Blank[]], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`l, 
                    Blank[]], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`t, 
                    Blank[]], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`r, 
                    Blank[]]}] := 
                    Map[CalculateUtilities`GraphicsUtilities`Private`\
TicksToFunction, {CalculateUtilities`GraphicsUtilities`Private`b, 
                    CalculateUtilities`GraphicsUtilities`Private`l, 
                    CalculateUtilities`GraphicsUtilities`Private`t, 
                    CalculateUtilities`GraphicsUtilities`Private`r}]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
ScaleCoordinatesToTicks[Frame, {{
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`l, 
                    Blank[]], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`r, 
                    Blank[]]}, {
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`b, 
                    Blank[]], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`t, 
                    Blank[]]}}] := 
                    Map[CalculateUtilities`GraphicsUtilities`Private`\
TicksToFunction, {CalculateUtilities`GraphicsUtilities`Private`b, 
                    CalculateUtilities`GraphicsUtilities`Private`l, 
                    CalculateUtilities`GraphicsUtilities`Private`t, 
                    CalculateUtilities`GraphicsUtilities`Private`r}]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
ScaleCoordinatesToTicks[Frame, 
                    Blank[]] = {None, None, None, None}; 
                    CalculateUtilities`GraphicsUtilities`Private`\
ScaleCoordinatesToTicks[Axes, 
                    Alternatives[Automatic, Ticks]] = {Identity, Identity}; 
                    CalculateUtilities`GraphicsUtilities`Private`\
ScaleCoordinatesToTicks[Axes, {
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`h, 
                    Blank[]], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`v, 
                    Blank[]]}] := 
                    Map[CalculateUtilities`GraphicsUtilities`Private`\
TicksToFunction, {CalculateUtilities`GraphicsUtilities`Private`h, 
                    CalculateUtilities`GraphicsUtilities`Private`v}]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
ScaleCoordinatesToTicks[Axes, 
                    Blank[]] = {None, None}; 
                    CalculateUtilities`GraphicsUtilities`Private`CDFCleanTicks[
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, 
                    Blank[]]] := ReplaceAll[
                    ReplaceAll[
                    Part[
                    DeleteCases[
                    ReplaceAll[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, 
                    Alternatives[Style, NumberForm] -> (#& )], {
                    Blank[], "", 
                    BlankNullSequence[]}], All, 
                    Span[1, 2]], Superscript[
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`b, 
                    Blank[Integer]], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`p, 
                    Blank[Integer]]] :> 
                    CalculateUtilities`GraphicsUtilities`Private`b^
                    CalculateUtilities`GraphicsUtilities`Private`p], Row[{
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`a, 
                    BlankSequence[]]}, "\[Times]"] :> 
                    Times[CalculateUtilities`GraphicsUtilities`Private`a]]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
TicksToFunction[
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`ticks$, 
                    Blank[]]] := 
                    CalculateUtilities`GraphicsUtilities`Private`\
iTicksToFunction[
                    CalculateUtilities`GraphicsUtilities`Private`WACleanTicks[
                    CalculateUtilities`GraphicsUtilities`Private`ticks$]]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
TicksToFunction[None] = None; 
                    CalculateUtilities`GraphicsUtilities`Private`\
TicksToFunction[False] = None; 
                    CalculateUtilities`GraphicsUtilities`Private`\
TicksToFunction[True] = None; 
                    CalculateUtilities`GraphicsUtilities`Private`\
TicksToFunction[Automatic] = Identity; 
                    CalculateUtilities`GraphicsUtilities`Private`\
TicksToFunction[All] = Identity; 
                    CalculateUtilities`GraphicsUtilities`Private`\
iTicksToFunction[Pattern[CalculateUtilities`GraphicsUtilities`Private`func, 
                    Blank[]] -> 
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, 
                    Blank[]]] := Replace[
                    
                    CalculateUtilities`GraphicsUtilities`Private`\
iTicksToFunction[CalculateUtilities`GraphicsUtilities`Private`ticks], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`f, 
                    Except[None]] :> 
                    Composition[
                    CalculateUtilities`GraphicsUtilities`Private`func, 
                    CalculateUtilities`GraphicsUtilities`Private`f]]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
iTicksToFunction[{}] = None; 
                    CalculateUtilities`GraphicsUtilities`Private`\
iTicksToFunction[
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, {
                    Repeated[{
                    Blank[Integer], 
                    Blank[String]}]}]] := Which[
                    Quiet[
                    MatchQ[
                    Apply[SameQ, 
                    Map[Part[
                    DateList[#], 
                    Span[2, All]]& , 
                    CalculateUtilities`GraphicsUtilities`Private`ticks, {
                    2}], {1}], {
                    Repeated[True]}]], DateString, 
                    Apply[And, 
                    StringMatchQ[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, All, 
                    2], NumberString]], 
                    
                    CalculateUtilities`GraphicsUtilities`Private`\
iTicksToFunction[
                    Transpose[{
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, All, 
                    1], 
                    ToExpression[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, All, 
                    2]]}]], True, None]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
iTicksToFunction[
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, {
                    Repeated[{
                    PatternTest[
                    Blank[], NumericQ], 
                    PatternTest[
                    Blank[], NumericQ]}]}]] := Which[
                    MatchQ[
                    Apply[
                    Equal, CalculateUtilities`GraphicsUtilities`Private`ticks,\
 {1}], {
                    Repeated[True]}], Identity, 
                    MatchQ[
                    
                    Apply[# == Log[#2]& , 
                    CalculateUtilities`GraphicsUtilities`Private`ticks, {1}], {
                    Repeated[True]}], Exp, 
                    TrueQ[
                    Quiet[
                    Apply[Equal, 
                    Apply[Divide, Transpose[
                    Rest[CalculateUtilities`GraphicsUtilities`Private`ticks]] - 
                    Part[CalculateUtilities`GraphicsUtilities`Private`ticks, 
                    1]]]]], 
                    
                    With[{CalculateUtilities`GraphicsUtilities`Private`slope = 
                    Apply[Divide, 
                    Apply[Subtract, 
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, {-1, 
                    1}]]]}, 
                    SetPrecision[(# - Part[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, 1, 
                    1])/CalculateUtilities`GraphicsUtilities`Private`slope + 
                    Part[CalculateUtilities`GraphicsUtilities`Private`ticks, 
                    1, 2], 3]& ], True, None]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
iTicksToFunction[
                    Blank[]] = None; 
                    CalculateUtilities`GraphicsUtilities`Private`\
RefineCoordinateFunction[
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`type, 
                    Blank[]], 
                    BlankNullSequence[]] := 
                    CalculateUtilities`GraphicsUtilities`Private`type; 
                    CalculateUtilities`GraphicsUtilities`Private`\
RefineCoordinateFunction[Identity, {
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`min, 
                    Blank[]], 
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`max, 
                    Blank[]]}, 
                    Blank[]] := 
                    With[{CalculateUtilities`GraphicsUtilities`Private`nf = 
                    CalculateUtilities`GraphicsUtilities`Private`numberForm, 
                    CalculateUtilities`GraphicsUtilities`Private`acc = 
                    Floor[Max[
                    Ceiling[
                    FullSimplify[Log[10, 
                    Max[
                    
                    Abs[{CalculateUtilities`GraphicsUtilities`Private`min, 
                    CalculateUtilities`GraphicsUtilities`Private`max}]]] - 
                    Log[10, (CalculateUtilities`GraphicsUtilities`Private`max - 
                    CalculateUtilities`GraphicsUtilities`Private`min)/100]]], 
                    3] - RealExponent[
                    Max[
                    
                    Abs[{CalculateUtilities`GraphicsUtilities`Private`min, 
                    CalculateUtilities`GraphicsUtilities`Private`max}]]]]}, 
                    CalculateUtilities`GraphicsUtilities`Private`nf[#, 
                    CalculateUtilities`GraphicsUtilities`Private`acc]& ]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
RefineCoordinateFunction[Exp, {
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`min, 
                    Blank[]], 
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`max, 
                    Blank[]]}, 
                    Blank[]] := 
                    With[{CalculateUtilities`GraphicsUtilities`Private`prec = 
                    Max[
                    Ceiling[
                    FullSimplify[Log[10, 
                    Max[
                    
                    Abs[{CalculateUtilities`GraphicsUtilities`Private`min, 
                    CalculateUtilities`GraphicsUtilities`Private`max}]]] - 
                    Log[10, (CalculateUtilities`GraphicsUtilities`Private`max - 
                    CalculateUtilities`GraphicsUtilities`Private`min)/100]]], 
                    3]}, Quiet[
                    RawBoxes[
                    ToBoxes[
                    NumberForm[
                    Exp[#], 
                    CalculateUtilities`GraphicsUtilities`Private`prec]]]]& ]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
RefineCoordinateFunction[DateString, {
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`min, 
                    Blank[]], 
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`max, 
                    Blank[]]}, 
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`pts, 
                    Blank[]]] := 
                    Module[{
                    CalculateUtilities`GraphicsUtilities`Private`dates, 
                    CalculateUtilities`GraphicsUtilities`Private`spec}, 
                    CalculateUtilities`GraphicsUtilities`Private`dates = 
                    Map[DateList, 
                    CalculateUtilities`GraphicsUtilities`Private`pts]; 
                    CalculateUtilities`GraphicsUtilities`Private`spec = Switch[
                    Map[Length, 
                    Map[Union, 
                    Transpose[
                    CalculateUtilities`GraphicsUtilities`Private`dates]]], {
                    Blank[], 1, 1, 
                    BlankSequence[]}, {"Year"}, {
                    Blank[], 
                    Blank[], 1, 
                    BlankSequence[]}, {"MonthNameShort", " ", "Year"}, 
                    Blank[], {
                    "DayShort", " ", "MonthNameShort", " ", "Year"}]; 
                    If[(CalculateUtilities`GraphicsUtilities`Private`max - 
                    CalculateUtilities`GraphicsUtilities`Private`min)/
                    31536000 > 25, 
                    CalculateUtilities`GraphicsUtilities`Private`spec = {
                    "Year"}]; 
                    With[{CalculateUtilities`GraphicsUtilities`Private`s = 
                    CalculateUtilities`GraphicsUtilities`Private`spec}, 
                    DateString[#, 
                    CalculateUtilities`GraphicsUtilities`Private`s]& ]]; 
                    CalculateUtilities`GraphicsUtilities`Private`numberForm = 
                    Function[{
                    CalculateUtilities`GraphicsUtilities`Private`a, 
                    CalculateUtilities`GraphicsUtilities`Private`acc}, 
                    Quiet[
                    RawBoxes[
                    ToBoxes[
                    NumberForm[CalculateUtilities`GraphicsUtilities`Private`a, 
                    Max[1, 
                    Ceiling[
                    RealExponent[
                    CalculateUtilities`GraphicsUtilities`Private`a] + 
                    CalculateUtilities`GraphicsUtilities`Private`acc]], 
                    ExponentFunction -> (Null& ), 
                    NumberFormat -> (StringReplace[#, StringExpression[
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`s, 
                    BlankSequence[]], ".", EndOfString] -> 
                    CalculateUtilities`GraphicsUtilities`Private`s]& )]]]]]]]; 
                 Typeset`initDone$$ = True), DynamicModuleValues :> {}, 
                Deinitialization :> None, 
                UntrackedVariables :> {Typeset`size$$}, 
                SynchronousInitialization -> True, 
                UnsavedVariables :> {Typeset`initDone$$}], "Manipulate", 
               Deployed -> True, StripOnInput -> False], TraditionalForm], 
             Manipulate`InterpretManipulate[1]], TraditionalForm]], 
          "Output"]}], 
       XMLElement["dataformats", {}, {"minput"}], 
       XMLElement["states", {"count" -> "1"}, {
         XMLElement[
         "statelist", {
          "count" -> "2", "value" -> "Complex-valued plot", "delimiters" -> 
           ""}, {
           XMLElement[
           "state", {
            "name" -> "Complex-valued plot", "input" -> 
             "Plot___Complex-valued plot"}, {}], 
           XMLElement[
           "state", {
            "name" -> "Real-valued plot", "input" -> 
             "Plot___Real-valued plot"}, {}]}]}]}], 
     XMLElement["subpod", {"title" -> ""}, {
       XMLElement[
       "minput", {}, {
        "Plot[(2 Sqrt[3] ArcTan[(-1 + 2^(8/9) x)/Sqrt[3]] - 4 ArcTan[Cot[(2 \
Pi)/9] + (x Csc[(2 Pi)/9])/2^(1/9)] Cos[Pi/18] - 2 Log[2 + 2^(8/9) x] + Log[2 \
- 2^(8/9) x + 2^(7/9) x^2] - 2 Cos[(2 Pi)/9] Log[2 + 2^(7/9) x^2 - 2 2^(8/9) \
x Cos[Pi/9]] + 2 Cos[Pi/9] Log[2 + 2^(7/9) x^2 + 2 2^(8/9) x Sin[Pi/18]] - 2 \
Log[2 + 2^(7/9) x^2 + 2 2^(8/9) x Cos[(2 Pi)/9]] Sin[Pi/18] - 4 ArcTan[(x \
Sec[Pi/18])/2^(1/9) + Tan[Pi/18]] Sin[Pi/9] - 4 ArcTan[Cot[Pi/9] - (x \
Csc[Pi/9])/2^(1/9)] Sin[(2 Pi)/9])/(18 2^(7/9)), {x, -7.9, 7.9}]"}], 
       XMLElement["cell", {"compressed" -> True, "string" -> False}, {
         Cell[
          BoxData[
           FormBox[
            TagBox[
             FormBox[
              StyleBox[
               
               DynamicModuleBox[{
                CalculateUtilities`GraphicsUtilities`Private`max14$$ = 0.5, 
                 CalculateUtilities`GraphicsUtilities`Private`min13$$ = -0.5, 
                 CalculateUtilities`GraphicsUtilities`Private`more$$ = False, 
                 Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
                 Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, 
                 Typeset`animvar$$ = 1, Typeset`name$$ = "\"untitled\"", 
                 Typeset`specs$$ = {{
                    Hold[
                    CalculateUtilities`GraphicsUtilities`Private`more$$], {
                    False, True}}, {{
                    Hold[
                    CalculateUtilities`GraphicsUtilities`Private`min13$$], \
-0.5, "min"}, -1, 1}, {{
                    Hold[
                    CalculateUtilities`GraphicsUtilities`Private`max14$$], 
                    0.5, "max"}, -1, 1}, {
                    Hold[
                    Style[
                    Overlay[{
                    RawBoxes[
                    PaneBox[
                    GraphicsBox[
                    
                    RasterBox[{{{0, 0, 0, 24}}, {{0, 0, 0, 9}}, {{0, 0, 0, 
                    10}}, {{0, 0, 0, 10}}, {{0, 0, 0, 9}}, {{0, 0, 0, 9}}, {{
                    0, 0, 0, 8}}, {{0, 0, 0, 8}}, {{0, 0, 0, 9}}, {{0, 0, 0, 
                    8}}, {{0, 0, 0, 7}}, {{0, 0, 0, 7}}, {{0, 0, 0, 8}}, {{0, 
                    0, 0, 6}}, {{0, 0, 0, 6}}, {{0, 0, 0, 6}}, {{0, 0, 0, 
                    6}}, {{0, 0, 0, 5}}, {{0, 0, 0, 6}}, {{0, 0, 0, 5}}, {{0, 
                    0, 0, 4}}, {{0, 0, 0, 4}}, {{0, 0, 0, 5}}, {{0, 0, 0, 
                    5}}, {{0, 0, 0, 3}}, {{0, 0, 0, 4}}, {{0, 0, 0, 3}}, {{0, 
                    0, 0, 3}}, {{0, 0, 0, 3}}, {{0, 0, 0, 3}}, {{0, 0, 0, 
                    2}}, {{0, 0, 0, 2}}, {{0, 0, 0, 2}}, {{0, 0, 0, 2}}, {{0, 
                    0, 0, 1}}, {{0, 0, 0, 2}}, {{0, 0, 0, 2}}, {{0, 0, 0, 
                    0}}, {{0, 0, 0, 1}}, {{255, 255, 255, 0}}, {{255, 255, 
                    255, 0}}, {{255, 255, 255, 0}}, {{255, 255, 255, 0}}, {{
                    255, 255, 255, 0}}, {{255, 255, 255, 0}}}, {{0, 45}, {
                    2500, 0}}, {0, 255}, ColorFunction -> RGBColor], 
                    ImageSize -> {2500, 45}, 
                    PlotRange -> {{0, 2500}, {0, 45}}], ImageSize -> 
                    Scaled[1], ScrollPosition -> {0., 0.}]], 
                    Pane[
                    Column[{
                    Grid[{{
                    Manipulate`Place[1], 
                    Manipulate`Place[2]}}]}], 
                    ImageMargins -> {{20, 30}, {10, 10}}]}, {1, 2}, 2, 
                    Alignment -> {Left, Top}]]], 
                    Manipulate`Dump`ThisIsNotAControl}}, Typeset`size$$ = 
                 Automatic, Typeset`update$$ = 0, Typeset`initDone$$ = False, 
                 Typeset`skipInitDone$$ = False, 
                 CalculateUtilities`GraphicsUtilities`Private`more$306929$$ = 
                 False, CalculateUtilities`GraphicsUtilities`Private`min13$\
306930$$ = 0, CalculateUtilities`GraphicsUtilities`Private`max14$306931$$ = 
                 0}, 
                DynamicBox[
                 Manipulate`ManipulateBoxes[
                 2, TraditionalForm, 
                  "Variables" :> {
                   CalculateUtilities`GraphicsUtilities`Private`max14$$ = 0.5,
                     CalculateUtilities`GraphicsUtilities`Private`min13$$ = \
-0.5, CalculateUtilities`GraphicsUtilities`Private`more$$ = False}, 
                  "ControllerVariables" :> {
                    Hold[
                    CalculateUtilities`GraphicsUtilities`Private`more$$, 
                    CalculateUtilities`GraphicsUtilities`Private`more$306929$$\
, False], 
                    Hold[
                    CalculateUtilities`GraphicsUtilities`Private`min13$$, 
                    CalculateUtilities`GraphicsUtilities`Private`min13$306930$\
$, 0], 
                    Hold[
                    CalculateUtilities`GraphicsUtilities`Private`max14$$, 
                    CalculateUtilities`GraphicsUtilities`Private`max14$306931$\
$, 0]}, "OtherVariables" :> {
                   Typeset`show$$, Typeset`bookmarkList$$, 
                    Typeset`bookmarkMode$$, Typeset`animator$$, 
                    Typeset`animvar$$, Typeset`name$$, Typeset`specs$$, 
                    Typeset`size$$, Typeset`update$$, Typeset`initDone$$, 
                    Typeset`skipInitDone$$}, "Body" :> Quiet[
                    Function[Null, 
                    Labeled[
                    CalculateUtilities`GraphicsUtilities`Private`post$306921[
                    Plot[{
                    Re[
                    Rational[1, 18] 
                    2^Rational[-7, 9] (
                    2 3^Rational[1, 2] 
                    ArcTan[3^Rational[-1, 2] (-1 + 
                    2^Rational[8, 9] Global`x)] - 4 
                    ArcTan[Cot[Rational[2, 9] Pi] + 
                    2^Rational[-1, 9] Global`x Csc[Rational[2, 9] Pi]] 
                    Cos[Rational[1, 18] Pi] - 2 
                    Log[2 + 2^Rational[8, 9] Global`x] + 
                    Log[2 - 2^Rational[8, 9] Global`x + 
                    2^Rational[7, 9] Global`x^2] - 2 Cos[Rational[2, 9] Pi] 
                    Log[2 + 2^Rational[7, 9] Global`x^2 - 2 2^Rational[8, 9] 
                    Global`x Cos[Rational[1, 9] Pi]] + 
                    2 Cos[Rational[1, 9] Pi] 
                    Log[2 + 2^Rational[7, 9] Global`x^2 + 
                    2 2^Rational[8, 9] Global`x Sin[Rational[1, 18] Pi]] - 2 
                    Log[2 + 2^Rational[7, 9] Global`x^2 + 
                    2 2^Rational[8, 9] Global`x Cos[Rational[2, 9] Pi]] 
                    Sin[Rational[1, 18] Pi] - 4 
                    ArcTan[2^Rational[-1, 9] Global`x Sec[Rational[1, 18] Pi] + 
                    Tan[Rational[1, 18] Pi]] Sin[Rational[1, 9] Pi] - 4 
                    ArcTan[Cot[Rational[1, 9] Pi] - 2^Rational[-1, 9] 
                    Global`x Csc[Rational[1, 9] Pi]] Sin[Rational[2, 9] Pi])], 
                    Im[
                    Rational[1, 18] 
                    2^Rational[-7, 9] (
                    2 3^Rational[1, 2] 
                    ArcTan[3^Rational[-1, 2] (-1 + 
                    2^Rational[8, 9] Global`x)] - 4 
                    ArcTan[Cot[Rational[2, 9] Pi] + 
                    2^Rational[-1, 9] Global`x Csc[Rational[2, 9] Pi]] 
                    Cos[Rational[1, 18] Pi] - 2 
                    Log[2 + 2^Rational[8, 9] Global`x] + 
                    Log[2 - 2^Rational[8, 9] Global`x + 
                    2^Rational[7, 9] Global`x^2] - 2 Cos[Rational[2, 9] Pi] 
                    Log[2 + 2^Rational[7, 9] Global`x^2 - 2 2^Rational[8, 9] 
                    Global`x Cos[Rational[1, 9] Pi]] + 
                    2 Cos[Rational[1, 9] Pi] 
                    Log[2 + 2^Rational[7, 9] Global`x^2 + 
                    2 2^Rational[8, 9] Global`x Sin[Rational[1, 18] Pi]] - 2 
                    Log[2 + 2^Rational[7, 9] Global`x^2 + 
                    2 2^Rational[8, 9] Global`x Cos[Rational[2, 9] Pi]] 
                    Sin[Rational[1, 18] Pi] - 4 
                    ArcTan[2^Rational[-1, 9] Global`x Sec[Rational[1, 18] Pi] + 
                    Tan[Rational[1, 18] Pi]] Sin[Rational[1, 9] Pi] - 4 
                    ArcTan[Cot[Rational[1, 9] Pi] - 2^Rational[-1, 9] 
                    Global`x Csc[Rational[1, 9] Pi]] 
                    Sin[Rational[2, 9] Pi])]}, 
                    SlotSequence[2], PlotStyle -> {{
                    Directive[
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    AbsoluteThickness[1]]}, 
                    Directive[
                    RGBColor[1, 0.3, 0], 
                    AbsoluteThickness[1]]}]], 
                    Column[{
                    Row[{
                    Graphics[{
                    Directive[
                    RGBColor[0.24720000000000014`, 0.24, 0.6], 
                    AbsoluteThickness[1]], 
                    AbsoluteThickness[1], 
                    Line[{{0, 0}, {10, 0}}]}, ImageSize -> {20, 4}, 
                    BaselinePosition -> (Center -> Center)], 
                    Style[" real part", Smaller, 
                    GrayLevel[0.3]]}], 
                    Row[{
                    Graphics[{
                    Directive[
                    RGBColor[1, 0.3, 0], 
                    AbsoluteThickness[1]], 
                    AbsoluteThickness[1], 
                    Line[{{0, 0}, {10, 0}}]}, ImageSize -> {20, 4}, 
                    BaselinePosition -> (Center -> Center)], 
                    Style[" imaginary part", Smaller, 
                    GrayLevel[0.3]]}]}, Spacings -> 0], {{Right, Bottom}}], 
                    HoldAll][
                    Rational[1, 18] 
                    2^Rational[-7, 9] (
                    2 3^Rational[1, 2] 
                    ArcTan[3^Rational[-1, 2] (-1 + 
                    2^Rational[8, 9] Global`x)] - 4 
                    ArcTan[Cot[Rational[2, 9] Pi] + 
                    2^Rational[-1, 9] Global`x Csc[Rational[2, 9] Pi]] 
                    Cos[Rational[1, 18] Pi] - 2 
                    Log[2 + 2^Rational[8, 9] Global`x] + 
                    Log[2 - 2^Rational[8, 9] Global`x + 
                    2^Rational[7, 9] Global`x^2] - 2 Cos[Rational[2, 9] Pi] 
                    Log[2 + 2^Rational[7, 9] Global`x^2 - 2 2^Rational[8, 9] 
                    Global`x Cos[Rational[1, 9] Pi]] + 
                    2 Cos[Rational[1, 9] Pi] 
                    Log[2 + 2^Rational[7, 9] Global`x^2 + 
                    2 2^Rational[8, 9] Global`x Sin[Rational[1, 18] Pi]] - 2 
                    Log[2 + 2^Rational[7, 9] Global`x^2 + 
                    2 2^Rational[8, 9] Global`x Cos[Rational[2, 9] Pi]] 
                    Sin[Rational[1, 18] Pi] - 4 
                    ArcTan[2^Rational[-1, 9] Global`x Sec[Rational[1, 18] Pi] + 
                    Tan[Rational[1, 18] Pi]] Sin[Rational[1, 9] Pi] - 4 
                    ArcTan[Cot[Rational[1, 9] Pi] - 2^Rational[-1, 9] 
                    Global`x Csc[Rational[1, 9] Pi]] 
                    Sin[Rational[2, 9] Pi]), {Global`x, 
                    If[
                    NumericQ[
                    CalculateUtilities`GraphicsUtilities`Private`min13$$], 
                    (
                    Piecewise[{{
                    0. + 8.454951423507627 Tan[1.5040801783846716` #], # < 
                    0}}, 0. + 
                    8.454951423507627 Tan[1.5040801783846716` #]]& )[
                    CalculateUtilities`GraphicsUtilities`Private`min13$$], \
-7.908882862145542], 
                    If[
                    And[
                    NumericQ[
                    CalculateUtilities`GraphicsUtilities`Private`min13$$], 
                    NumericQ[
                    CalculateUtilities`GraphicsUtilities`Private`max14$$]], 
                    (
                    Piecewise[{{
                    0. + 8.454951423507627 Tan[1.5040801783846716` #], # < 
                    0}}, 0. + 8.454951423507627 Tan[1.5040801783846716` #]]& )[
                    If[
                    CalculateUtilities`GraphicsUtilities`Private`min13$$ == 
                    CalculateUtilities`GraphicsUtilities`Private`max14$$, 
                    CalculateUtilities`GraphicsUtilities`Private`min13$$ + 
                    0.015817765724291083`, 
                    CalculateUtilities`GraphicsUtilities`Private`max14$$]], 
                    7.908882862145542]}, 
                    LabelStyle -> {FontFamily -> "Bitstream Charter"}, 
                    WorkingPrecision -> MachinePrecision, 
                    PlotRange -> {Automatic, Automatic}, Ticks -> Automatic, 
                    ImageSize -> 200, AxesLabel -> {
                    RawBoxes[
                    FormBox["x", TraditionalForm]], None}]], 
                  "Specifications" :> {{
                    CalculateUtilities`GraphicsUtilities`Private`more$$, {
                    False, True}, ControlType -> None}, {{
                    CalculateUtilities`GraphicsUtilities`Private`min13$$, \
-0.5, "min"}, -1, 1, ImageSize -> Tiny, ControlPlacement -> 1}, {{
                    CalculateUtilities`GraphicsUtilities`Private`max14$$, 0.5,
                     "max"}, -1, 1, ImageSize -> Tiny, ControlPlacement -> 2}, 
                    Style[
                    Overlay[{
                    RawBoxes[
                    PaneBox[
                    GraphicsBox[
                    
                    RasterBox[{{{0, 0, 0, 24}}, {{0, 0, 0, 9}}, {{0, 0, 0, 
                    10}}, {{0, 0, 0, 10}}, {{0, 0, 0, 9}}, {{0, 0, 0, 9}}, {{
                    0, 0, 0, 8}}, {{0, 0, 0, 8}}, {{0, 0, 0, 9}}, {{0, 0, 0, 
                    8}}, {{0, 0, 0, 7}}, {{0, 0, 0, 7}}, {{0, 0, 0, 8}}, {{0, 
                    0, 0, 6}}, {{0, 0, 0, 6}}, {{0, 0, 0, 6}}, {{0, 0, 0, 
                    6}}, {{0, 0, 0, 5}}, {{0, 0, 0, 6}}, {{0, 0, 0, 5}}, {{0, 
                    0, 0, 4}}, {{0, 0, 0, 4}}, {{0, 0, 0, 5}}, {{0, 0, 0, 
                    5}}, {{0, 0, 0, 3}}, {{0, 0, 0, 4}}, {{0, 0, 0, 3}}, {{0, 
                    0, 0, 3}}, {{0, 0, 0, 3}}, {{0, 0, 0, 3}}, {{0, 0, 0, 
                    2}}, {{0, 0, 0, 2}}, {{0, 0, 0, 2}}, {{0, 0, 0, 2}}, {{0, 
                    0, 0, 1}}, {{0, 0, 0, 2}}, {{0, 0, 0, 2}}, {{0, 0, 0, 
                    0}}, {{0, 0, 0, 1}}, {{255, 255, 255, 0}}, {{255, 255, 
                    255, 0}}, {{255, 255, 255, 0}}, {{255, 255, 255, 0}}, {{
                    255, 255, 255, 0}}, {{255, 255, 255, 0}}}, {{0, 45}, {
                    2500, 0}}, {0, 255}, ColorFunction -> RGBColor], 
                    ImageSize -> {2500, 45}, 
                    PlotRange -> {{0, 2500}, {0, 45}}], ImageSize -> 
                    Scaled[1], ScrollPosition -> {0., 0.}]], 
                    Pane[
                    Column[{
                    Grid[{{
                    Manipulate`Place[1], 
                    Manipulate`Place[2]}}]}], 
                    ImageMargins -> {{20, 30}, {10, 10}}]}, {1, 2}, 2, 
                    Alignment -> {Left, Top}]]}, 
                  "Options" :> {
                   TrackedSymbols -> True, ControlPlacement -> Bottom, 
                    FrameMargins -> {{0, 0}, {0, 10}}, Paneled -> False, 
                    AppearanceElements -> {}, 
                    LabelStyle -> {
                    "DialogStyle", FontColor -> GrayLevel[0.25]}}, 
                  "DefaultOptions" :> {}], SingleEvaluation -> True], 
                Initialization :> (ReleaseHold[
                   Hold[
                   CalculateUtilities`GraphicsUtilities`Private`WACleanTicks[
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, 
                    Blank[]]] := 
                    Module[{
                    CalculateUtilities`GraphicsUtilities`Private`res, 
                    CalculateUtilities`GraphicsUtilities`Private`unitformat}, 
                    CalculateUtilities`GraphicsUtilities`Private`res = 
                    ReplaceAll[
                    ReplaceAll[
                    Part[
                    DeleteCases[
                    Replace[
                    ReplaceAll[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, 
                    Alternatives[
                    Style, Global`UnitNumberForm, NumberForm] -> (#& )], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`t, {
                    PatternTest[
                    BlankSequence[], NumberQ]}] :> 
                    Thread[{CalculateUtilities`GraphicsUtilities`Private`t, 
                    CalculateUtilities`GraphicsUtilities`Private`t}]], {
                    Blank[], "", 
                    BlankNullSequence[]}], All, 
                    Span[1, 2]], Superscript[
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`b, 
                    Blank[Integer]], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`p, 
                    Blank[Integer]]] :> 
                    CalculateUtilities`GraphicsUtilities`Private`b^
                    CalculateUtilities`GraphicsUtilities`Private`p], Row[{
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`a, 
                    BlankSequence[]]}, "\[Times]"] :> 
                    Times[CalculateUtilities`GraphicsUtilities`Private`a]]; If[
                    MatchQ[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`res, All, 2], 
                    Condition[
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`quants, {
                    Alternatives[
                    BlankSequence[Global`ShortQuantity], 
                    BlankSequence[Global`Quantity]]}], Length[
                    Union[
                    Map[
                    Global`UnitObjectPart, 
                    CalculateUtilities`GraphicsUtilities`Private`quants]]] == 
                    1]], CalculateUtilities`GraphicsUtilities`Private`\
unitformat = Global`ToCDFQuantityFunction[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`res, 1, 2]]; 
                    CalculateUtilities`GraphicsUtilities`Private`unitformat -> 
                    Thread[{
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`res, All, 1], 
                    Global`QuantityPart[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`res, All, 2], 
                    Global`UnitObjectPart[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`res, 1, 
                    2]]]}], 
                    CalculateUtilities`GraphicsUtilities`Private`res]]; 
                    Options[
                    CalculateUtilities`GraphicsUtilities`Private`post$306921] = \
{"ReturnInteractiveTypes" -> False, "Nearest" -> Automatic}; 
                    CalculateUtilities`GraphicsUtilities`Private`post$306921[
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`g, 
                    Blank[Graphics]], 
                    OptionsPattern[]] := Check[
                    
                    Module[{
                    CalculateUtilities`GraphicsUtilities`Private`lines, 
                    CalculateUtilities`GraphicsUtilities`Private`pts, 
                    CalculateUtilities`GraphicsUtilities`Private`gg, 
                    CalculateUtilities`GraphicsUtilities`Private`type, 
                    CalculateUtilities`GraphicsUtilities`Private`b, 
                    CalculateUtilities`GraphicsUtilities`Private`l, 
                    CalculateUtilities`GraphicsUtilities`Private`t, 
                    CalculateUtilities`GraphicsUtilities`Private`r, 
                    CalculateUtilities`GraphicsUtilities`Private`oldepilog, 
                    CalculateUtilities`GraphicsUtilities`Private`range, 
                    CalculateUtilities`GraphicsUtilities`Private`gridlines, 
                    CalculateUtilities`GraphicsUtilities`Private`oldgridlines,
                     CalculateUtilities`GraphicsUtilities`Private`\
neareststyle = OptionValue["Nearest"]}, 
                    CalculateUtilities`GraphicsUtilities`Private`oldepilog = 
                    Replace[
                    ReplaceAll[Epilog, 
                    Options[CalculateUtilities`GraphicsUtilities`Private`g]], 
                    Epilog -> Sequence[]]; Switch[
                    ReplaceAll[{Frame, Axes}, 
                    Options[
                    CalculateUtilities`GraphicsUtilities`Private`g]], {True, 
                    Blank[]}, 
                    CalculateUtilities`GraphicsUtilities`Private`type = 
                    Frame; {CalculateUtilities`GraphicsUtilities`Private`b, 
                    CalculateUtilities`GraphicsUtilities`Private`l, 
                    CalculateUtilities`GraphicsUtilities`Private`t, 
                    CalculateUtilities`GraphicsUtilities`Private`r} = 
                    
                    CalculateUtilities`GraphicsUtilities`Private`\
ScaleCoordinatesToTicks[Frame, 
                    ReplaceAll[FrameTicks, 
                    Options[
                    CalculateUtilities`GraphicsUtilities`Private`g]]], {
                    Blank[], True}, 
                    CalculateUtilities`GraphicsUtilities`Private`type = 
                    Axes; {CalculateUtilities`GraphicsUtilities`Private`b, 
                    CalculateUtilities`GraphicsUtilities`Private`l} = 
                    CalculateUtilities`GraphicsUtilities`Private`\
ScaleCoordinatesToTicks[Axes, 
                    ReplaceAll[Ticks, 
                    Options[CalculateUtilities`GraphicsUtilities`Private`g]]], 
                    Blank[], 
                    CalculateUtilities`GraphicsUtilities`Private`type = None]; 
                    If[
                    And[
                    CalculateUtilities`GraphicsUtilities`Private`type === 
                    Frame, 
                    Or[
                    Not[
                    Or[
                    CalculateUtilities`GraphicsUtilities`Private`t === None, 
                    CalculateUtilities`GraphicsUtilities`Private`b === 
                    CalculateUtilities`GraphicsUtilities`Private`t]], 
                    Not[
                    Or[
                    CalculateUtilities`GraphicsUtilities`Private`r === None, 
                    CalculateUtilities`GraphicsUtilities`Private`l === 
                    CalculateUtilities`GraphicsUtilities`Private`r]]]], 
                    CalculateUtilities`GraphicsUtilities`Private`type = None]; 
                    If[
                    TrueQ[
                    OptionValue["ReturnInteractiveTypes"]], 
                    Which[
                    Or[
                    CalculateUtilities`GraphicsUtilities`Private`type === 
                    None, CalculateUtilities`GraphicsUtilities`Private`b === 
                    None, CalculateUtilities`GraphicsUtilities`Private`l === 
                    None], {}, 
                    FreeQ[CalculateUtilities`GraphicsUtilities`Private`g, 
                    Alternatives[Line, Point]], {}, True, {
                    "Tooltips", "Coordinates"}], If[
                    FreeQ[CalculateUtilities`GraphicsUtilities`Private`g, 
                    Alternatives[Line, Point]], 
                    Return[CalculateUtilities`GraphicsUtilities`Private`g]]; 
                    CalculateUtilities`GraphicsUtilities`Private`gg = 
                    Normal[CalculateUtilities`GraphicsUtilities`Private`g]; 
                    CalculateUtilities`GraphicsUtilities`Private`pts = 
                    Partition[
                    Flatten[
                    Cases[
                    Part[CalculateUtilities`GraphicsUtilities`Private`gg, 1], 
                    Point[
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`a, 
                    Blank[]]] :> 
                    CalculateUtilities`GraphicsUtilities`Private`a, 
                    Infinity]], 2]; 
                    If[Length[
                    CalculateUtilities`GraphicsUtilities`Private`pts] < 2, 
                    CalculateUtilities`GraphicsUtilities`Private`lines = Cases[
                    Part[CalculateUtilities`GraphicsUtilities`Private`gg, 1], 
                    
                    Blank[Line], Infinity]; 
                    If[CalculateUtilities`GraphicsUtilities`Private`lines === \
{}, 
                    Return[CalculateUtilities`GraphicsUtilities`Private`g]]; 
                    CalculateUtilities`GraphicsUtilities`Private`pts = Flatten[
                    Cases[
                    CalculateUtilities`GraphicsUtilities`Private`lines, Line[
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`a, 
                    Blank[]]] :> 
                    CalculateUtilities`GraphicsUtilities`Private`a, Infinity],
                     1]; If[
                    CalculateUtilities`GraphicsUtilities`Private`neareststyle === 
                    Automatic, If[
                    CalculateUtilities`GraphicsUtilities`Private`orderedLines[
                    CalculateUtilities`GraphicsUtilities`Private`lines], 
                    CalculateUtilities`GraphicsUtilities`Private`neareststyle = 
                    "1D", CalculateUtilities`GraphicsUtilities`Private`\
neareststyle = "2D"]; Null], 
                    If[
                    CalculateUtilities`GraphicsUtilities`Private`neareststyle === 
                    Automatic, 
                    CalculateUtilities`GraphicsUtilities`Private`neareststyle = 
                    "2D"]]; 
                    CalculateUtilities`GraphicsUtilities`Private`range = 
                    Replace[
                    ReplaceAll[PlotRange, 
                    Options[CalculateUtilities`GraphicsUtilities`Private`g]], 
                    Except[{{
                    PatternTest[
                    Blank[], NumberQ], 
                    PatternTest[
                    Blank[], NumberQ]}, {
                    PatternTest[
                    Blank[], NumberQ], 
                    PatternTest[
                    Blank[], NumberQ]}}] :> {
                    Through[
                    {Min, Max}[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`pts, All, 
                    1]]], 
                    Through[
                    {Min, Max}[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`pts, All, 
                    2]]]}]; CalculateUtilities`GraphicsUtilities`Private`b = 
                    CalculateUtilities`GraphicsUtilities`Private`\
RefineCoordinateFunction[CalculateUtilities`GraphicsUtilities`Private`b, 
                    First[CalculateUtilities`GraphicsUtilities`Private`range], 
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`pts, All, 
                    1]]; CalculateUtilities`GraphicsUtilities`Private`l = 
                    CalculateUtilities`GraphicsUtilities`Private`\
RefineCoordinateFunction[CalculateUtilities`GraphicsUtilities`Private`l, 
                    Last[CalculateUtilities`GraphicsUtilities`Private`range], 
                    
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`pts, All, 
                    2]]; CalculateUtilities`GraphicsUtilities`Private`\
oldgridlines = ReplaceAll[GridLines, 
                    Options[CalculateUtilities`GraphicsUtilities`Private`g]]; 
                    CalculateUtilities`GraphicsUtilities`Private`gridlines = 
                    With[{CalculateUtilities`GraphicsUtilities`Private`gray = 
                    GrayLevel[0.7]}, 
                    Replace[
                    CalculateUtilities`GraphicsUtilities`Private`oldgridlines,\
 {Pattern[CalculateUtilities`GraphicsUtilities`Private`a, {
                    Blank[List], 
                    Blank[List]}] :> Dynamic[
                    Join[CalculateUtilities`GraphicsUtilities`Private`a, 
                    Replace[
                    MousePosition[{"Graphics", Graphics}, None], {
                    None -> {{}, {}}, {
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`x, 
                    Blank[]], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`y, 
                    Blank[]]} :> {{{
                    CalculateUtilities`GraphicsUtilities`Private`x, 
                    CalculateUtilities`GraphicsUtilities`Private`gray}}, {{
                    CalculateUtilities`GraphicsUtilities`Private`y, 
                    CalculateUtilities`GraphicsUtilities`Private`gray}}}}], 
                    2]], {
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`a, 
                    Blank[List]], Automatic} :> 
                    With[{CalculateUtilities`GraphicsUtilities`Private`\
divisions = {CalculateUtilities`GraphicsUtilities`Private`a, 
                    FindDivisions[
                    Last[CalculateUtilities`GraphicsUtilities`Private`range], 
                    7]}}, 
                    Dynamic[
                    Join[
                    CalculateUtilities`GraphicsUtilities`Private`divisions, 
                    Replace[
                    MousePosition[{"Graphics", Graphics}, None], {
                    None -> {{}, {}}, {
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`x, 
                    Blank[]], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`y, 
                    Blank[]]} :> {{{
                    CalculateUtilities`GraphicsUtilities`Private`x, 
                    CalculateUtilities`GraphicsUtilities`Private`gray}}, {{
                    CalculateUtilities`GraphicsUtilities`Private`y, 
                    CalculateUtilities`GraphicsUtilities`Private`gray}}}}], 
                    2]]], Blank[] -> Dynamic[
                    
                    Map[{{#, 
                    CalculateUtilities`GraphicsUtilities`Private`gray}}& , 
                    MousePosition[{"Graphics", Graphics}, None]]]}]]; If[
                    Or[CalculateUtilities`GraphicsUtilities`Private`type === 
                    None, CalculateUtilities`GraphicsUtilities`Private`b === 
                    None, CalculateUtilities`GraphicsUtilities`Private`l === 
                    None], 
                    Show[
                    CalculateUtilities`GraphicsUtilities`Private`g, GridLines -> 
                    CalculateUtilities`GraphicsUtilities`Private`gridlines, 
                    If[
                    MatchQ[
                    CalculateUtilities`GraphicsUtilities`Private`oldgridlines, 
                    Alternatives[None, GridLines]], 
                    Method -> {"GridLinesInFront" -> True}, 
                    Apply[Sequence, {}]]], 
                    
                    With[{CalculateUtilities`GraphicsUtilities`Private`nf = 
                    If[CalculateUtilities`GraphicsUtilities`Private`\
neareststyle === "1D", 
                    
                    With[{CalculateUtilities`GraphicsUtilities`Private`n = 
                    Nearest[Part[
                    CalculateUtilities`GraphicsUtilities`Private`pts, All, 1] -> 
                    CalculateUtilities`GraphicsUtilities`Private`pts]}, 
                    CalculateUtilities`GraphicsUtilities`Private`n[
                    Part[#, 1]]& ], 
                    
                    With[{CalculateUtilities`GraphicsUtilities`Private`n = 
                    Nearest[Transpose[
                    Transpose[
                    CalculateUtilities`GraphicsUtilities`Private`pts]/Abs[
                    Apply[
                    Subtract, 
                    CalculateUtilities`GraphicsUtilities`Private`range, {
                    1}]]] -> 
                    CalculateUtilities`GraphicsUtilities`Private`pts], 
                    CalculateUtilities`GraphicsUtilities`Private`scale = Abs[
                    Apply[
                    Subtract, 
                    CalculateUtilities`GraphicsUtilities`Private`range, {
                    1}]]}, CalculateUtilities`GraphicsUtilities`Private`n[#/
                    CalculateUtilities`GraphicsUtilities`Private`scale]& ]], 
                    CalculateUtilities`GraphicsUtilities`Private`left = 
                    CalculateUtilities`GraphicsUtilities`Private`l, 
                    CalculateUtilities`GraphicsUtilities`Private`bottom = 
                    CalculateUtilities`GraphicsUtilities`Private`b}, 
                    Show[
                    CalculateUtilities`GraphicsUtilities`Private`g, GridLines -> 
                    CalculateUtilities`GraphicsUtilities`Private`gridlines, 
                    If[
                    MatchQ[
                    CalculateUtilities`GraphicsUtilities`Private`oldgridlines, 
                    Alternatives[None, GridLines]], 
                    Method -> {"GridLinesInFront" -> True}, 
                    Apply[Sequence, {}]], 
                    Epilog -> {
                    CalculateUtilities`GraphicsUtilities`Private`oldepilog, 
                    Dynamic[
                    
                    DynamicModule[{
                    CalculateUtilities`GraphicsUtilities`Private`pt = 
                    CalculateUtilities`GraphicsUtilities`Private`nf[
                    MousePosition[{"Graphics", Graphics}, {0, 0}]], 
                    CalculateUtilities`GraphicsUtilities`Private`scaled = 
                    MousePosition[{"GraphicsScaled", Graphics}, None]}, 
                    If[
                    CalculateUtilities`GraphicsUtilities`Private`scaled === 
                    None, {}, {
                    Text[
                    Style[
                    Row[{
                    CalculateUtilities`GraphicsUtilities`Private`bottom[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`pt, 1, 1]], 
                    CalculateUtilities`GraphicsUtilities`Private`left[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`pt, 1, 2]]}, 
                    ","], 12], 
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`pt, 1], {
                    1.5 Sign[Part[
                    CalculateUtilities`GraphicsUtilities`Private`scaled, 1] - 
                    0.5], 0}, Background -> White], 
                    AbsolutePointSize[7], 
                    Point[CalculateUtilities`GraphicsUtilities`Private`pt], 
                    White, 
                    AbsolutePointSize[5], 
                    Point[
                    CalculateUtilities`GraphicsUtilities`Private`pt]}]]]}]]]]]\
, CalculateUtilities`GraphicsUtilities`Private`g]; 
                    CalculateUtilities`GraphicsUtilities`Private`post$306921[
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`g, 
                    Blank[]], 
                    BlankNullSequence[]] := 
                    CalculateUtilities`GraphicsUtilities`Private`g; 
                    CalculateUtilities`GraphicsUtilities`Private`orderedLines[{
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`l, 
                    BlankSequence[Line]]}] := 
                    Module[{
                    CalculateUtilities`GraphicsUtilities`Private`ordered, 
                    CalculateUtilities`GraphicsUtilities`Private`intervals}, 
                    CalculateUtilities`GraphicsUtilities`Private`ordered = 
                    Apply[And, 
                    Map[OrderedQ[
                    Part[#, 1, All, 1]]& , 
                    Hold[CalculateUtilities`GraphicsUtilities`Private`l]]]; If[
                    Not[
                    TrueQ[
                    CalculateUtilities`GraphicsUtilities`Private`ordered]], 
                    Return[False]]; 
                    CalculateUtilities`GraphicsUtilities`Private`intervals = 
                    Part[{CalculateUtilities`GraphicsUtilities`Private`l}, 
                    All, 1, {1, -1}, 1]; Length[
                    Apply[
                    Interval, 
                    CalculateUtilities`GraphicsUtilities`Private`intervals]] === 
                    Length[CalculateUtilities`GraphicsUtilities`Private`\
intervals]]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
ScaleCoordinatesToTicks[Frame, 
                    Alternatives[Automatic, FrameTicks]] = {
                    Identity, Identity, Identity, Identity}; 
                    CalculateUtilities`GraphicsUtilities`Private`\
ScaleCoordinatesToTicks[Frame, {
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`b, 
                    Blank[]], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`l, 
                    Blank[]], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`t, 
                    Blank[]], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`r, 
                    Blank[]]}] := 
                    Map[CalculateUtilities`GraphicsUtilities`Private`\
TicksToFunction, {CalculateUtilities`GraphicsUtilities`Private`b, 
                    CalculateUtilities`GraphicsUtilities`Private`l, 
                    CalculateUtilities`GraphicsUtilities`Private`t, 
                    CalculateUtilities`GraphicsUtilities`Private`r}]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
ScaleCoordinatesToTicks[Frame, {{
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`l, 
                    Blank[]], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`r, 
                    Blank[]]}, {
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`b, 
                    Blank[]], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`t, 
                    Blank[]]}}] := 
                    Map[CalculateUtilities`GraphicsUtilities`Private`\
TicksToFunction, {CalculateUtilities`GraphicsUtilities`Private`b, 
                    CalculateUtilities`GraphicsUtilities`Private`l, 
                    CalculateUtilities`GraphicsUtilities`Private`t, 
                    CalculateUtilities`GraphicsUtilities`Private`r}]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
ScaleCoordinatesToTicks[Frame, 
                    Blank[]] = {None, None, None, None}; 
                    CalculateUtilities`GraphicsUtilities`Private`\
ScaleCoordinatesToTicks[Axes, 
                    Alternatives[Automatic, Ticks]] = {Identity, Identity}; 
                    CalculateUtilities`GraphicsUtilities`Private`\
ScaleCoordinatesToTicks[Axes, {
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`h, 
                    Blank[]], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`v, 
                    Blank[]]}] := 
                    Map[CalculateUtilities`GraphicsUtilities`Private`\
TicksToFunction, {CalculateUtilities`GraphicsUtilities`Private`h, 
                    CalculateUtilities`GraphicsUtilities`Private`v}]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
ScaleCoordinatesToTicks[Axes, 
                    Blank[]] = {None, None}; 
                    CalculateUtilities`GraphicsUtilities`Private`CDFCleanTicks[
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, 
                    Blank[]]] := ReplaceAll[
                    ReplaceAll[
                    Part[
                    DeleteCases[
                    ReplaceAll[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, 
                    Alternatives[Style, NumberForm] -> (#& )], {
                    Blank[], "", 
                    BlankNullSequence[]}], All, 
                    Span[1, 2]], Superscript[
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`b, 
                    Blank[Integer]], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`p, 
                    Blank[Integer]]] :> 
                    CalculateUtilities`GraphicsUtilities`Private`b^
                    CalculateUtilities`GraphicsUtilities`Private`p], Row[{
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`a, 
                    BlankSequence[]]}, "\[Times]"] :> 
                    Times[CalculateUtilities`GraphicsUtilities`Private`a]]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
TicksToFunction[
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`ticks$, 
                    Blank[]]] := 
                    CalculateUtilities`GraphicsUtilities`Private`\
iTicksToFunction[
                    CalculateUtilities`GraphicsUtilities`Private`WACleanTicks[
                    CalculateUtilities`GraphicsUtilities`Private`ticks$]]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
TicksToFunction[None] = None; 
                    CalculateUtilities`GraphicsUtilities`Private`\
TicksToFunction[False] = None; 
                    CalculateUtilities`GraphicsUtilities`Private`\
TicksToFunction[True] = None; 
                    CalculateUtilities`GraphicsUtilities`Private`\
TicksToFunction[Automatic] = Identity; 
                    CalculateUtilities`GraphicsUtilities`Private`\
TicksToFunction[All] = Identity; 
                    CalculateUtilities`GraphicsUtilities`Private`\
iTicksToFunction[Pattern[CalculateUtilities`GraphicsUtilities`Private`func, 
                    Blank[]] -> 
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, 
                    Blank[]]] := Replace[
                    
                    CalculateUtilities`GraphicsUtilities`Private`\
iTicksToFunction[CalculateUtilities`GraphicsUtilities`Private`ticks], 
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`f, 
                    Except[None]] :> 
                    Composition[
                    CalculateUtilities`GraphicsUtilities`Private`func, 
                    CalculateUtilities`GraphicsUtilities`Private`f]]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
iTicksToFunction[{}] = None; 
                    CalculateUtilities`GraphicsUtilities`Private`\
iTicksToFunction[
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, {
                    Repeated[{
                    Blank[Integer], 
                    Blank[String]}]}]] := Which[
                    Quiet[
                    MatchQ[
                    Apply[SameQ, 
                    Map[Part[
                    DateList[#], 
                    Span[2, All]]& , 
                    CalculateUtilities`GraphicsUtilities`Private`ticks, {
                    2}], {1}], {
                    Repeated[True]}]], DateString, 
                    Apply[And, 
                    StringMatchQ[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, All, 
                    2], NumberString]], 
                    
                    CalculateUtilities`GraphicsUtilities`Private`\
iTicksToFunction[
                    Transpose[{
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, All, 
                    1], 
                    ToExpression[
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, All, 
                    2]]}]], True, None]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
iTicksToFunction[
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, {
                    Repeated[{
                    PatternTest[
                    Blank[], NumericQ], 
                    PatternTest[
                    Blank[], NumericQ]}]}]] := Which[
                    MatchQ[
                    Apply[
                    Equal, CalculateUtilities`GraphicsUtilities`Private`ticks,\
 {1}], {
                    Repeated[True]}], Identity, 
                    MatchQ[
                    
                    Apply[# == Log[#2]& , 
                    CalculateUtilities`GraphicsUtilities`Private`ticks, {1}], {
                    Repeated[True]}], Exp, 
                    TrueQ[
                    Quiet[
                    Apply[Equal, 
                    Apply[Divide, Transpose[
                    Rest[CalculateUtilities`GraphicsUtilities`Private`ticks]] - 
                    Part[CalculateUtilities`GraphicsUtilities`Private`ticks, 
                    1]]]]], 
                    
                    With[{CalculateUtilities`GraphicsUtilities`Private`slope = 
                    Apply[Divide, 
                    Apply[Subtract, 
                    Part[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, {-1, 
                    1}]]]}, 
                    SetPrecision[(# - Part[
                    CalculateUtilities`GraphicsUtilities`Private`ticks, 1, 
                    1])/CalculateUtilities`GraphicsUtilities`Private`slope + 
                    Part[CalculateUtilities`GraphicsUtilities`Private`ticks, 
                    1, 2], 3]& ], True, None]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
iTicksToFunction[
                    Blank[]] = None; 
                    CalculateUtilities`GraphicsUtilities`Private`\
RefineCoordinateFunction[
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`type, 
                    Blank[]], 
                    BlankNullSequence[]] := 
                    CalculateUtilities`GraphicsUtilities`Private`type; 
                    CalculateUtilities`GraphicsUtilities`Private`\
RefineCoordinateFunction[Identity, {
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`min, 
                    Blank[]], 
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`max, 
                    Blank[]]}, 
                    Blank[]] := 
                    With[{CalculateUtilities`GraphicsUtilities`Private`nf = 
                    CalculateUtilities`GraphicsUtilities`Private`numberForm, 
                    CalculateUtilities`GraphicsUtilities`Private`acc = 
                    Floor[Max[
                    Ceiling[
                    FullSimplify[Log[10, 
                    Max[
                    
                    Abs[{CalculateUtilities`GraphicsUtilities`Private`min, 
                    CalculateUtilities`GraphicsUtilities`Private`max}]]] - 
                    Log[10, (CalculateUtilities`GraphicsUtilities`Private`max - 
                    CalculateUtilities`GraphicsUtilities`Private`min)/100]]], 
                    3] - RealExponent[
                    Max[
                    
                    Abs[{CalculateUtilities`GraphicsUtilities`Private`min, 
                    CalculateUtilities`GraphicsUtilities`Private`max}]]]]}, 
                    CalculateUtilities`GraphicsUtilities`Private`nf[#, 
                    CalculateUtilities`GraphicsUtilities`Private`acc]& ]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
RefineCoordinateFunction[Exp, {
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`min, 
                    Blank[]], 
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`max, 
                    Blank[]]}, 
                    Blank[]] := 
                    With[{CalculateUtilities`GraphicsUtilities`Private`prec = 
                    Max[
                    Ceiling[
                    FullSimplify[Log[10, 
                    Max[
                    
                    Abs[{CalculateUtilities`GraphicsUtilities`Private`min, 
                    CalculateUtilities`GraphicsUtilities`Private`max}]]] - 
                    Log[10, (CalculateUtilities`GraphicsUtilities`Private`max - 
                    CalculateUtilities`GraphicsUtilities`Private`min)/100]]], 
                    3]}, Quiet[
                    RawBoxes[
                    ToBoxes[
                    NumberForm[
                    Exp[#], 
                    CalculateUtilities`GraphicsUtilities`Private`prec]]]]& ]; 
                    CalculateUtilities`GraphicsUtilities`Private`\
RefineCoordinateFunction[DateString, {
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`min, 
                    Blank[]], 
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`max, 
                    Blank[]]}, 
                    Pattern[
                    CalculateUtilities`GraphicsUtilities`Private`pts, 
                    Blank[]]] := 
                    Module[{
                    CalculateUtilities`GraphicsUtilities`Private`dates, 
                    CalculateUtilities`GraphicsUtilities`Private`spec}, 
                    CalculateUtilities`GraphicsUtilities`Private`dates = 
                    Map[DateList, 
                    CalculateUtilities`GraphicsUtilities`Private`pts]; 
                    CalculateUtilities`GraphicsUtilities`Private`spec = Switch[
                    Map[Length, 
                    Map[Union, 
                    Transpose[
                    CalculateUtilities`GraphicsUtilities`Private`dates]]], {
                    Blank[], 1, 1, 
                    BlankSequence[]}, {"Year"}, {
                    Blank[], 
                    Blank[], 1, 
                    BlankSequence[]}, {"MonthNameShort", " ", "Year"}, 
                    Blank[], {
                    "DayShort", " ", "MonthNameShort", " ", "Year"}]; 
                    If[(CalculateUtilities`GraphicsUtilities`Private`max - 
                    CalculateUtilities`GraphicsUtilities`Private`min)/
                    31536000 > 25, 
                    CalculateUtilities`GraphicsUtilities`Private`spec = {
                    "Year"}]; 
                    With[{CalculateUtilities`GraphicsUtilities`Private`s = 
                    CalculateUtilities`GraphicsUtilities`Private`spec}, 
                    DateString[#, 
                    CalculateUtilities`GraphicsUtilities`Private`s]& ]]; 
                    CalculateUtilities`GraphicsUtilities`Private`numberForm = 
                    Function[{
                    CalculateUtilities`GraphicsUtilities`Private`a, 
                    CalculateUtilities`GraphicsUtilities`Private`acc}, 
                    Quiet[
                    RawBoxes[
                    ToBoxes[
                    NumberForm[CalculateUtilities`GraphicsUtilities`Private`a, 
                    Max[1, 
                    Ceiling[
                    RealExponent[
                    CalculateUtilities`GraphicsUtilities`Private`a] + 
                    CalculateUtilities`GraphicsUtilities`Private`acc]], 
                    ExponentFunction -> (Null& ), 
                    NumberFormat -> (StringReplace[#, StringExpression[
                    Pattern[CalculateUtilities`GraphicsUtilities`Private`s, 
                    BlankSequence[]], ".", EndOfString] -> 
                    CalculateUtilities`GraphicsUtilities`Private`s]& )]]]]]]]; 
                 Typeset`initDone$$ = True), DynamicModuleValues :> {}, 
                Deinitialization :> None, 
                UntrackedVariables :> {Typeset`size$$}, 
                SynchronousInitialization -> True, 
                UnsavedVariables :> {Typeset`initDone$$}], "Manipulate", 
               Deployed -> True, StripOnInput -> False], TraditionalForm], 
             Manipulate`InterpretManipulate[1]], TraditionalForm]], 
          "Output"]}], 
       XMLElement["dataformats", {}, {"minput"}], 
       XMLElement["states", {"count" -> "1"}, {
         XMLElement[
         "statelist", {
          "count" -> "2", "value" -> "Complex-valued plot", "delimiters" -> 
           ""}, {
           XMLElement[
           "state", {
            "name" -> "Complex-valued plot", "input" -> 
             "Plot___Complex-valued plot"}, {}], 
           XMLElement[
           "state", {
            "name" -> "Real-valued plot", "input" -> 
             "Plot___Real-valued plot"}, {}]}]}]}]}], Typeset`pod3$$, 
   Typeset`pod4$$, Typeset`pod5$$, Typeset`pod6$$, Typeset`pod7$$, 
   Typeset`pod8$$, Typeset`pod9$$, Typeset`pod10$$, Typeset`pod11$$, 
   Typeset`pod12$$, Typeset`pod13$$, Typeset`pod14$$, Typeset`pod15$$, 
   Typeset`pod16$$, Typeset`pod17$$, Typeset`pod18$$, Typeset`pod19$$, 
   Typeset`pod20$$, Typeset`pod21$$, Typeset`pod22$$, Typeset`pod23$$, 
   Typeset`pod24$$, Typeset`pod25$$, Typeset`pod26$$, Typeset`pod27$$, 
   Typeset`pod28$$, Typeset`pod29$$, Typeset`pod30$$, Typeset`pod31$$, 
   Typeset`pod32$$, Typeset`aux1$$ = {True, False, {False}, True}, 
   Typeset`aux2$$ = {True, False, {False, False}, True}, Typeset`aux3$$ = {
   True, False, {False}, True}, Typeset`aux4$$ = {True, False, {False}, True},
    Typeset`aux5$$ = {True, False, {False}, True}, Typeset`aux6$$ = {
   True, False, {False}, True}, Typeset`aux7$$ = {True, False, {False}, True},
    Typeset`aux8$$ = {True, False, {False}, True}, Typeset`aux9$$ = {
   True, False, {False}, True}, Typeset`aux10$$ = {
   True, False, {False}, True}, Typeset`aux11$$ = {
   True, False, {False}, True}, Typeset`aux12$$ = {
   True, False, {False}, True}, Typeset`aux13$$ = {
   True, False, {False}, True}, Typeset`aux14$$ = {
   True, False, {False}, True}, Typeset`aux15$$ = {
   True, False, {False}, True}, Typeset`aux16$$ = {
   True, False, {False}, True}, Typeset`aux17$$ = {
   True, False, {False}, True}, Typeset`aux18$$ = {
   True, False, {False}, True}, Typeset`aux19$$ = {
   True, False, {False}, True}, Typeset`aux20$$ = {
   True, False, {False}, True}, Typeset`aux21$$ = {
   True, False, {False}, True}, Typeset`aux22$$ = {
   True, False, {False}, True}, Typeset`aux23$$ = {
   True, False, {False}, True}, Typeset`aux24$$ = {
   True, False, {False}, True}, Typeset`aux25$$ = {
   True, False, {False}, True}, Typeset`aux26$$ = {
   True, False, {False}, True}, Typeset`aux27$$ = {
   True, False, {False}, True}, Typeset`aux28$$ = {
   True, False, {False}, True}, Typeset`aux29$$ = {
   True, False, {False}, True}, Typeset`aux30$$ = {
   True, False, {False}, True}, Typeset`aux31$$ = {
   True, False, {False}, True}, Typeset`aux32$$ = {
   True, False, {False}, True}, Typeset`asyncpods$$ = {}, 
   Typeset`nonpods$$ = {}, Typeset`initdone$$ = True, 
   Typeset`queryinfo$$ = {{
    "success" -> "true", "error" -> "false", "numpods" -> "2", "datatypes" -> 
     "", "timedout" -> 
     "Integral,MultiDimensionalIntegration,Series,Plot,Plotter,Simplification,\
Sequence,Sum", "timedoutpods" -> "", "timing" -> "4.176", "parsetiming" -> 
     "0.24", "parsetimedout" -> "false", "recalculate" -> 
     "http://www4a.wolframalpha.com/api/v2/recalc.jsp?id=\
MSPa13781a21eh77bdieic29000010ce30g25e6d29g6&s=62", "id" -> 
     "MSPa13791a21eh77bdieic29000018e331b2027239fe", "host" -> 
     "http://www4a.wolframalpha.com", "server" -> "62", "related" -> 
     "http://www4a.wolframalpha.com/api/v2/relatedQueries.jsp?id=\
MSPa13801a21eh77bdieic290000113ie6gea6fdf27c&s=62", "version" -> "2.5"}, {
    "success" -> "true", "error" -> "false", "numpods" -> "0", "datatypes" -> 
     "", "timedout" -> 
     "Integral,MultiDimensionalIntegration,Series,Plot,Plotter,Simplification,\
Sequence,Sum", "timedoutpods" -> "", "timing" -> "5.078", "parsetiming" -> 
     "0.", "parsetimedout" -> "false", "recalculate" -> "", "id" -> "", 
     "host" -> "http://www4a.wolframalpha.com", "server" -> "62", "related" -> 
     "", "version" -> "2.5"}}, Typeset`sessioninfo$$ = {
   "TimeZone" -> 2., 
    "Date" -> {2012, 6, 19, 15, 11, 57.586778`8.512897753897317}, "Line" -> 4,
     "SessionID" -> 23259430847574919724}, Typeset`showpods$$ = {1, 2}, 
   Typeset`failedpods$$ = {3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 
   17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32}, 
   Typeset`chosen$$ = {
   "Fast parse", "Fast parse", 1, 0, "Input", "Integrate[x/(x^9 + 2), x]"}, 
   Typeset`open$$ = True, Typeset`newq$$ = "Integrate x/(x^9+2)"}, 
   DynamicBox[ToBoxes[
     AlphaIntegration`FormatAlphaResults[
      Dynamic[{
       2, {Typeset`pod1$$, Typeset`pod2$$, Typeset`pod3$$, Typeset`pod4$$, 
         Typeset`pod5$$, Typeset`pod6$$, Typeset`pod7$$, Typeset`pod8$$, 
         Typeset`pod9$$, Typeset`pod10$$, Typeset`pod11$$, Typeset`pod12$$, 
         Typeset`pod13$$, Typeset`pod14$$, Typeset`pod15$$, Typeset`pod16$$, 
         Typeset`pod17$$, Typeset`pod18$$, Typeset`pod19$$, Typeset`pod20$$, 
         Typeset`pod21$$, Typeset`pod22$$, Typeset`pod23$$, Typeset`pod24$$, 
         Typeset`pod25$$, Typeset`pod26$$, Typeset`pod27$$, Typeset`pod28$$, 
         Typeset`pod29$$, Typeset`pod30$$, Typeset`pod31$$, 
         Typeset`pod32$$}, {
        Typeset`aux1$$, Typeset`aux2$$, Typeset`aux3$$, Typeset`aux4$$, 
         Typeset`aux5$$, Typeset`aux6$$, Typeset`aux7$$, Typeset`aux8$$, 
         Typeset`aux9$$, Typeset`aux10$$, Typeset`aux11$$, Typeset`aux12$$, 
         Typeset`aux13$$, Typeset`aux14$$, Typeset`aux15$$, Typeset`aux16$$, 
         Typeset`aux17$$, Typeset`aux18$$, Typeset`aux19$$, Typeset`aux20$$, 
         Typeset`aux21$$, Typeset`aux22$$, Typeset`aux23$$, Typeset`aux24$$, 
         Typeset`aux25$$, Typeset`aux26$$, Typeset`aux27$$, Typeset`aux28$$, 
         Typeset`aux29$$, Typeset`aux30$$, Typeset`aux31$$, Typeset`aux32$$}, 
        Typeset`chosen$$, Typeset`open$$, Typeset`elements$$, Typeset`q$$, 
        Typeset`opts$$, Typeset`nonpods$$, Typeset`queryinfo$$, 
        Typeset`sessioninfo$$, Typeset`showpods$$, Typeset`failedpods$$, 
        Typeset`newq$$}]], StandardForm],
    ImageSizeCache->{560., {1392., 23.}},
    TrackedSymbols:>{Typeset`showpods$$, Typeset`failedpods$$}],
   DynamicModuleValues:>{},
   Initialization:>If[
     Not[Typeset`initdone$$], AlphaIntegration`DoAsyncInitialization[
       Hold[{
        2, {Typeset`pod1$$, Typeset`pod2$$, Typeset`pod3$$, Typeset`pod4$$, 
          Typeset`pod5$$, Typeset`pod6$$, Typeset`pod7$$, Typeset`pod8$$, 
          Typeset`pod9$$, Typeset`pod10$$, Typeset`pod11$$, Typeset`pod12$$, 
          Typeset`pod13$$, Typeset`pod14$$, Typeset`pod15$$, Typeset`pod16$$, 
          Typeset`pod17$$, Typeset`pod18$$, Typeset`pod19$$, Typeset`pod20$$, 
          Typeset`pod21$$, Typeset`pod22$$, Typeset`pod23$$, Typeset`pod24$$, 
          Typeset`pod25$$, Typeset`pod26$$, Typeset`pod27$$, Typeset`pod28$$, 
          Typeset`pod29$$, Typeset`pod30$$, Typeset`pod31$$, 
          Typeset`pod32$$}, {
         Typeset`aux1$$, Typeset`aux2$$, Typeset`aux3$$, Typeset`aux4$$, 
          Typeset`aux5$$, Typeset`aux6$$, Typeset`aux7$$, Typeset`aux8$$, 
          Typeset`aux9$$, Typeset`aux10$$, Typeset`aux11$$, Typeset`aux12$$, 
          Typeset`aux13$$, Typeset`aux14$$, Typeset`aux15$$, Typeset`aux16$$, 
          Typeset`aux17$$, Typeset`aux18$$, Typeset`aux19$$, Typeset`aux20$$, 
          Typeset`aux21$$, Typeset`aux22$$, Typeset`aux23$$, Typeset`aux24$$, 
          Typeset`aux25$$, Typeset`aux26$$, Typeset`aux27$$, Typeset`aux28$$, 
          Typeset`aux29$$, Typeset`aux30$$, Typeset`aux31$$, Typeset`aux32$$},
          Typeset`chosen$$, Typeset`open$$, Typeset`elements$$, Typeset`q$$, 
         Typeset`opts$$, Typeset`nonpods$$, Typeset`queryinfo$$, 
         Typeset`sessioninfo$$, Typeset`showpods$$, Typeset`failedpods$$, 
         Typeset`newq$$, 
         "http://www4a.wolframalpha.com/api/v2/recalc.jsp?id=\
MSPa13781a21eh77bdieic29000010ce30g25e6d29g6&s=62", Typeset`asyncpods$$}]]; 
     Typeset`asyncpods$$ = {}; Typeset`initdone$$ = True],
   SynchronousInitialization->False],
  BaseStyle->{Deployed -> True},
  DeleteWithContents->True,
  Editable->False,
  SelectWithContents->True]], "WolframAlphaShortInput"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"18", " ", 
    SuperscriptBox["2", 
     RowBox[{"7", "/", "9"}]]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"2", " ", 
     SqrtBox["3"], " ", 
     RowBox[{"ArcTan", "[", 
      FractionBox[
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{
         SuperscriptBox["2", 
          RowBox[{"8", "/", "9"}]], " ", "x"}]}], 
       SqrtBox["3"]], "]"}]}], "-", 
    RowBox[{"4", " ", 
     RowBox[{"ArcTan", "[", 
      RowBox[{
       RowBox[{"Cot", "[", 
        FractionBox[
         RowBox[{"2", " ", "\[Pi]"}], "9"], "]"}], "+", 
       FractionBox[
        RowBox[{"x", " ", 
         RowBox[{"Csc", "[", 
          FractionBox[
           RowBox[{"2", " ", "\[Pi]"}], "9"], "]"}]}], 
        SuperscriptBox["2", 
         RowBox[{"1", "/", "9"}]]]}], "]"}], " ", 
     RowBox[{"Cos", "[", 
      FractionBox["\[Pi]", "18"], "]"}]}], "-", 
    RowBox[{"2", " ", 
     RowBox[{"Log", "[", 
      RowBox[{"2", "+", 
       RowBox[{
        SuperscriptBox["2", 
         RowBox[{"8", "/", "9"}]], " ", "x"}]}], "]"}]}], "+", 
    RowBox[{"Log", "[", 
     RowBox[{"2", "-", 
      RowBox[{
       SuperscriptBox["2", 
        RowBox[{"8", "/", "9"}]], " ", "x"}], "+", 
      RowBox[{
       SuperscriptBox["2", 
        RowBox[{"7", "/", "9"}]], " ", 
       SuperscriptBox["x", "2"]}]}], "]"}], "-", 
    RowBox[{"2", " ", 
     RowBox[{"Cos", "[", 
      FractionBox[
       RowBox[{"2", " ", "\[Pi]"}], "9"], "]"}], " ", 
     RowBox[{"Log", "[", 
      RowBox[{"2", "+", 
       RowBox[{
        SuperscriptBox["2", 
         RowBox[{"7", "/", "9"}]], " ", 
        SuperscriptBox["x", "2"]}], "-", 
       RowBox[{"2", " ", 
        SuperscriptBox["2", 
         RowBox[{"8", "/", "9"}]], " ", "x", " ", 
        RowBox[{"Cos", "[", 
         FractionBox["\[Pi]", "9"], "]"}]}]}], "]"}]}], "+", 
    RowBox[{"2", " ", 
     RowBox[{"Cos", "[", 
      FractionBox["\[Pi]", "9"], "]"}], " ", 
     RowBox[{"Log", "[", 
      RowBox[{"2", "+", 
       RowBox[{
        SuperscriptBox["2", 
         RowBox[{"7", "/", "9"}]], " ", 
        SuperscriptBox["x", "2"]}], "+", 
       RowBox[{"2", " ", 
        SuperscriptBox["2", 
         RowBox[{"8", "/", "9"}]], " ", "x", " ", 
        RowBox[{"Sin", "[", 
         FractionBox["\[Pi]", "18"], "]"}]}]}], "]"}]}], "-", 
    RowBox[{"2", " ", 
     RowBox[{"Log", "[", 
      RowBox[{"2", "+", 
       RowBox[{
        SuperscriptBox["2", 
         RowBox[{"7", "/", "9"}]], " ", 
        SuperscriptBox["x", "2"]}], "+", 
       RowBox[{"2", " ", 
        SuperscriptBox["2", 
         RowBox[{"8", "/", "9"}]], " ", "x", " ", 
        RowBox[{"Cos", "[", 
         FractionBox[
          RowBox[{"2", " ", "\[Pi]"}], "9"], "]"}]}]}], "]"}], " ", 
     RowBox[{"Sin", "[", 
      FractionBox["\[Pi]", "18"], "]"}]}], "-", 
    RowBox[{"4", " ", 
     RowBox[{"ArcTan", "[", 
      RowBox[{
       FractionBox[
        RowBox[{"x", " ", 
         RowBox[{"Sec", "[", 
          FractionBox["\[Pi]", "18"], "]"}]}], 
        SuperscriptBox["2", 
         RowBox[{"1", "/", "9"}]]], "+", 
       RowBox[{"Tan", "[", 
        FractionBox["\[Pi]", "18"], "]"}]}], "]"}], " ", 
     RowBox[{"Sin", "[", 
      FractionBox["\[Pi]", "9"], "]"}]}], "-", 
    RowBox[{"4", " ", 
     RowBox[{"ArcTan", "[", 
      RowBox[{
       RowBox[{"Cot", "[", 
        FractionBox["\[Pi]", "9"], "]"}], "-", 
       FractionBox[
        RowBox[{"x", " ", 
         RowBox[{"Csc", "[", 
          FractionBox["\[Pi]", "9"], "]"}]}], 
        SuperscriptBox["2", 
         RowBox[{"1", "/", "9"}]]]}], "]"}], " ", 
     RowBox[{"Sin", "[", 
      FractionBox[
       RowBox[{"2", " ", "\[Pi]"}], "9"], "]"}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.549100311494064*^9}]
}, Open  ]]
},
WindowSize->{740, 867},
WindowMargins->{{145, Automatic}, {Automatic, 28}},
FrontEndVersion->"8.0 for Linux x86 (32-bit) (October 10, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 572986, 10171, 3094, "WolframAlphaShortInput"],
Cell[573568, 10195, 512, 17, 53, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[574117, 10217, 172715, 3086, 1338, "WolframAlphaShortInput"],
Cell[746835, 13305, 374, 12, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[747246, 13322, 130112, 2481, 1432, "WolframAlphaShortInput"],
Cell[877361, 15805, 3783, 119, 269, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

