(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      4266,        151]
NotebookOptionsPosition[      3879,        134]
NotebookOutlinePosition[      4216,        149]
CellTagsIndexPosition[      4173,        146]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"1", "/", 
    RowBox[{
     RowBox[{"Cos", "[", "x", "]"}], "^", "2"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"Sin", "[", "x", "]"}], "^", "3"}], "+", 
      RowBox[{
       RowBox[{"Cos", "[", "x", "]"}], "^", "3"}]}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"Sin", "[", "x", "]"}], "*", 
       RowBox[{
        RowBox[{"Cos", "[", "x", "]"}], "^", "2"}]}], "+", 
      RowBox[{
       RowBox[{"Cos", "[", "x", "]"}], "^", "3"}]}], ")"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.549093749637421*^9, {3.54909378247996*^9, 3.549093798242808*^9}, {
   3.549093867243949*^9, 3.549093870951697*^9}}],

Cell[BoxData[
 RowBox[{"Reduce", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"-", "3"}], " ", 
      RowBox[{"Sin", "[", "x", "]"}]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox[
       RowBox[{"Sin", "[", "x", "]"}], "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox[
       RowBox[{"Sin", "[", "x", "]"}], "3"]}]}], "\[Equal]", "3"}], ",", " ", 
   "x"}], "]"}]], "Input",
 CellChangeTimes->{{3.54909375875289*^9, 3.549093801556094*^9}, {
  3.549093856979922*^9, 3.549093872057007*^9}}],

Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   RowBox[{"x", "/", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"x", "^", "9"}], " ", "+", " ", "2"}], ")"}]}], ",", " ", "x"}],
   "]"}]], "Input",
 CellChangeTimes->{3.549093766895027*^9}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"1", "/", 
     RowBox[{
      RowBox[{"Cos", "[", "x", "]"}], "^", "2"}]}], "-", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"Sin", "[", "x", "]"}], "^", "3"}], "+", 
       RowBox[{
        RowBox[{"Cos", "[", "x", "]"}], "^", "3"}]}], ")"}], "/", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"Sin", "[", "x", "]"}], "*", 
        RowBox[{
         RowBox[{"Cos", "[", "x", "]"}], "^", "2"}]}], "+", 
       RowBox[{
        RowBox[{"Cos", "[", "x", "]"}], "^", "3"}]}], ")"}]}]}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "10"}], ",", "10"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{3.549094252595925*^9}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"1", "/", 
       RowBox[{
        RowBox[{"Cos", "[", 
         RowBox[{"a", "*", "x"}], "]"}], "^", "2"}]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"Sin", "[", 
           RowBox[{"a", "*", "x"}], "]"}], "^", "3"}], "+", 
         RowBox[{
          RowBox[{"Cos", "[", "x", "]"}], "^", "3"}]}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"Sin", "[", "x", "]"}], "*", 
          RowBox[{
           RowBox[{"Cos", "[", "x", "]"}], "^", "2"}]}], "+", 
         RowBox[{
          RowBox[{"Cos", "[", "x", "]"}], "^", "3"}]}], ")"}]}]}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "10"}], ",", "10"}], "}"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", " ", "0", ",", " ", "10"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{3.549094427539944*^9}]
},
WindowSize->{740, 867},
WindowMargins->{{209, Automatic}, {57, Automatic}},
FrontEndVersion->"8.0 for Linux x86 (32-bit) (October 10, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 747, 24, 30, "Input"],
Cell[1307, 46, 531, 16, 33, "Input"],
Cell[1841, 64, 247, 8, 30, "Input"],
Cell[2091, 74, 771, 25, 50, "Input"],
Cell[2865, 101, 1010, 31, 69, "Input"]
}
]
*)

(* End of internal cache information *)

