(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    155719,       3554]
NotebookOptionsPosition[    154558,       3511]
NotebookOutlinePosition[    155192,       3536]
CellTagsIndexPosition[    155149,       3533]
WindowTitle->Looking at Polyhedra in 3D - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["", "Section",
 CellFrame->{{0, 0}, {0, 0}},
 ShowCellBracket->False,
 CellChangeTimes->{{3.549084382291473*^9, 3.549084384164478*^9}},
 FontColor->RGBColor[0.597406, 0, 0.0527047]],

Cell[CellGroupData[{

Cell[BoxData[
 GraphicsBox[RasterBox[CompressedData["
1:eJztnVuSozgWQDNiPqa3MJ+zpVlCbaB3WlGVNV9dvYH6TQRUph/ZGIHQmwvG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   "], {{0, 0}, {1800, 25}}, {0, 255},
   ColorFunction->RGBColor],
  ImageSize->{1800, 25},
  PlotRange->{{0, 1800}, {0, 25}}]], "Section",
 CellFrame->{{0, 0}, {0, 0}},
 ShowCellBracket->False],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"With", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"tmp", "=", 
        RowBox[{"PolyhedronData", "[", "class", "]"}]}], "}"}], ",", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"!", 
         RowBox[{"MemberQ", "[", 
          RowBox[{"tmp", ",", "shapeName"}], "]"}]}], ",", 
        RowBox[{"shapeName", "=", 
         RowBox[{"tmp", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}]}], "]"}]}], "]"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"sn", "=", 
     RowBox[{"PolyhedronData", "[", 
      RowBox[{"shapeName", ",", "\"\<Faces\>\""}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"graph", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Glow", "[", 
          RowBox[{"RGBColor", "[", 
           RowBox[{"0", ",", "0.15", ",", "0.15"}], "]"}], "]"}], ",", 
         RowBox[{"EdgeForm", "[", "]"}], ",", 
         RowBox[{"GrayLevel", "[", "1", "]"}], ",", " ", 
         RowBox[{"Specularity", "[", 
          RowBox[{"Pink", ",", "20"}], "]"}], ",", 
         RowBox[{"ReplacePart", "[", 
          RowBox[{"sn", ",", 
           RowBox[{"1", "\[Rule]", 
            RowBox[{"Rescale", "[", 
             RowBox[{
              RowBox[{"sn", "[", 
               RowBox[{"[", "1", "]"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", 
                 RowBox[{"Max", "[", 
                  RowBox[{"Norm", "/@", 
                   RowBox[{"N", "[", 
                    RowBox[{"sn", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "]"}]}], ",", 
                RowBox[{"Max", "[", 
                 RowBox[{"Norm", "/@", 
                  RowBox[{"N", "[", 
                   RowBox[{"sn", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "]"}]}], "}"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "1."}], ",", "1."}], "}"}]}], "]"}]}]}], "]"}]}],
         "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", "options", " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"BoxRatios", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], ",", 
         RowBox[{"Background", "\[Rule]", "Gray"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "300"}], ",", 
         RowBox[{"SphericalRegion", "\[Rule]", "True"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"ViewVertical", "\[Rule]", 
          RowBox[{"N", "[", 
           RowBox[{"newbase", "[", 
            RowBox[{"[", "2", "]"}], "]"}], "]"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Lighting", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"{", 
            RowBox[{"\"\<Directional\>\"", ",", 
             RowBox[{"RGBColor", "[", 
              RowBox[{"0.85", ",", "0.85", ",", "0.85"}], "]"}], ",", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"1", ",", "1", ",", "2"}], "}"}], ".", "newbase"}]}], 
            "}"}], "}"}]}]}], " ", "}"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"GraphicsRow", "[", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{"left", " ", "eye"}], " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"LocatorPane", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Dynamic", "[", 
           RowBox[{"ptL", ",", "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"ptsph0", "=", 
                  RowBox[{"ptsph1", "=", 
                   RowBox[{"Flatten", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"#", "-", "0.5"}], ")"}], " ", "2"}], ",", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{"1", "-", 
                    RowBox[{"Min", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"#", "-", "0.5"}], ")"}], " ", "2"}], "]"}], "^", 
                    "2"}], ",", "1"}], "]"}]}], "]"}]}], "}"}], "]"}]}]}], 
                 ";", 
                 RowBox[{"ptL", "=", "#"}]}], ")"}], "&"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"ptL", "=", "#"}], ";", 
                 RowBox[{"ptsph1", "=", 
                  RowBox[{"Flatten", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"ptL", "-", "0.5"}], ")"}], " ", "2"}], ",", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{"1", "-", 
                    RowBox[{"Min", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"ptL", "-", "0.5"}], ")"}], " ", "2"}], "]"}], 
                    "^", "2"}], ",", "1"}], "]"}]}], "]"}]}], "}"}], "]"}]}], 
                 " ", ";", "\[IndentingNewLine]", 
                 RowBox[{"newbase", "=", 
                  RowBox[{
                   RowBox[{"RotationMatrix", "[", 
                    RowBox[{"{", 
                    RowBox[{"ptsph0", ",", "ptsph1"}], "}"}], "]"}], ".", 
                   "base"}]}], ";"}], ")"}], "&"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"base", "=", "newbase"}], ";", 
                 RowBox[{"vvert", "=", 
                  RowBox[{"base", "[", 
                   RowBox[{"[", "2", "]"}], "]"}]}], ";", 
                 RowBox[{"vvec", "=", 
                  RowBox[{
                   RowBox[{"base", "[", 
                    RowBox[{"[", "3", "]"}], "]"}], " ", "dist"}]}]}], ")"}], 
               "&"}]}], "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"(*", " ", "Background", " ", "*)"}], "\[IndentingNewLine]", 
          RowBox[{"Dynamic", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"Graphics3D", "[", 
              RowBox[{"##", ",", "\[IndentingNewLine]", 
               RowBox[{"ViewVector", "\[Rule]", 
                RowBox[{"N", "[", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"dist", " ", 
                    RowBox[{"newbase", "[", 
                    RowBox[{"[", "3", "]"}], "]"}]}], "-", " ", 
                    RowBox[{"parallel", " ", "sep", " ", 
                    RowBox[{"newbase", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}]}], ")"}], " ", 
                  RowBox[{"dist", "/", 
                   RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"dist", "^", "2"}], "+", 
                    RowBox[{"sep", "^", "2"}]}], "]"}]}]}], "]"}]}]}], " ", 
              "\[IndentingNewLine]", "]"}], "&"}], "@@", "graph"}], "]"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"1", ",", "1"}], "}"}]}], "}"}], ",", 
          RowBox[{"Appearance", "\[Rule]", "None"}]}], "]"}], ",", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{"Right", " ", "eye"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"LocatorPane", "[", 
         RowBox[{
          RowBox[{"Dynamic", "[", 
           RowBox[{"ptR", ",", "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"ptsph0", "=", 
                  RowBox[{"ptsph1", "=", 
                   RowBox[{"Flatten", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"#", "-", "0.5"}], ")"}], " ", "2"}], ",", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{"1", "-", 
                    RowBox[{"Min", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"#", "-", "0.5"}], ")"}], " ", "2"}], "]"}], "^", 
                    "2"}], ",", "1"}], "]"}]}], "]"}]}], "}"}], "]"}]}]}], 
                 ";", 
                 RowBox[{"ptR", "=", "#"}]}], ")"}], "&"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"ptR", "=", "#"}], ";", 
                 RowBox[{"ptsph1", "=", 
                  RowBox[{"Flatten", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"ptR", "-", "0.5"}], ")"}], " ", "2"}], ",", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{"1", "-", 
                    RowBox[{"Min", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"ptR", "-", "0.5"}], ")"}], " ", "2"}], "]"}], 
                    "^", "2"}], ",", "1"}], "]"}]}], "]"}]}], "}"}], "]"}]}], 
                 " ", ";", "\[IndentingNewLine]", 
                 RowBox[{"newbase", "=", 
                  RowBox[{
                   RowBox[{"RotationMatrix", "[", 
                    RowBox[{"{", 
                    RowBox[{"ptsph0", ",", "ptsph1"}], "}"}], "]"}], ".", 
                   "base"}]}], ";"}], ")"}], "&"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"base", "=", "newbase"}], ";", 
                 RowBox[{"vvert", "=", 
                  RowBox[{"base", "[", 
                   RowBox[{"[", "2", "]"}], "]"}]}], ";", 
                 RowBox[{"vvec", "=", 
                  RowBox[{
                   RowBox[{"base", "[", 
                    RowBox[{"[", "3", "]"}], "]"}], " ", "dist"}]}]}], ")"}], 
               "&"}]}], "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"(*", " ", "Background", " ", "*)"}], "\[IndentingNewLine]", 
          RowBox[{"Dynamic", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Graphics3D", "[", 
              RowBox[{"##", ",", "\[IndentingNewLine]", 
               RowBox[{"ViewVector", "\[Rule]", 
                RowBox[{"N", "[", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"dist", " ", 
                    RowBox[{"newbase", "[", 
                    RowBox[{"[", "3", "]"}], "]"}]}], "+", " ", 
                    RowBox[{"parallel", " ", "sep", " ", 
                    RowBox[{"newbase", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}]}], ")"}], " ", 
                  RowBox[{"dist", "/", 
                   RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"dist", "^", "2"}], "+", 
                    RowBox[{"sep", "^", "2"}]}], "]"}]}]}], "]"}]}]}], 
              "\[IndentingNewLine]", "]"}], "&"}], "@@", "graph"}], "]"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"1", ",", "1"}], "}"}]}], "}"}], ",", 
          RowBox[{"Appearance", "\[Rule]", "None"}]}], "]"}]}], 
       "\[IndentingNewLine]", "}"}], ",", 
      RowBox[{"Spacings", "\[Rule]", "10"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "Full"}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", "controls", " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Grid", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Control", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"dist", ",", "4", ",", "\"\<distance to object\>\""}], 
             "}"}], ",", "1", ",", "10", ",", 
            RowBox[{"ImageSize", "\[Rule]", "Small"}]}], "}"}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Control", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
             "class", ",", "\"\<Amphichiral\>\"", ",", "\"\<class\>\""}], 
             "}"}], ",", 
            RowBox[{"Dynamic", "[", 
             RowBox[{
              RowBox[{"PolyhedronData", "[", "\"\<Classes\>\"", "]"}], ",", 
              RowBox[{"SynchronousUpdating", "\[Rule]", "False"}]}], "]"}], 
            ",", 
            RowBox[{"ControlType", "\[Rule]", "PopupMenu"}]}], "}"}], "]"}]}],
         "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Control", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
             "sep", ",", "0.2", ",", "\"\<distance between eyes\>\""}], "}"}],
             ",", "0", ",", "0.5", ",", 
            RowBox[{"ImageSize", "\[Rule]", "Small"}]}], "}"}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Control", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
             "shapeName", ",", "\"\<AcuteGoldenRhombohedron\>\"", ",", 
              "\"\<name\>\""}], "}"}], ",", 
            RowBox[{"Dynamic", "[", 
             RowBox[{
              RowBox[{"PolyhedronData", "[", "class", "]"}], ",", 
              RowBox[{"SynchronousUpdating", "\[Rule]", "False"}]}], "]"}], 
            ",", 
            RowBox[{"ControlType", "\[Rule]", "PopupMenu"}]}], "}"}], " ", 
          "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"{", 
         RowBox[{"Control", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"opacity", ",", "1", ",", "\"\<Opacity\>\""}], "}"}], 
            ",", "0", ",", "1"}], "}"}], "]"}], " ", "}"}], "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Control", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"parallel", ",", "1", ",", "\"\<view method\>\""}], "}"}],
            ",", "\[IndentingNewLine]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"1", "\[Rule]", "\"\<parallel\>\""}], ",", 
             RowBox[{
              RowBox[{"-", "1"}], "\[Rule]", "\"\<cross-eyed\>\""}]}], 
            "}"}]}], "}"}], "]"}], "}"}]}], "}"}], ",", 
     RowBox[{"Alignment", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{"Left", ",", "Left"}], "}"}], "}"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"vvec", ",", 
       RowBox[{"{", 
        RowBox[{"3", ",", "3", ",", "2"}], "}"}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"vvert", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ptL", ",", 
       RowBox[{"{", 
        RowBox[{"0.7", ",", "0.7"}], "}"}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ptR", ",", 
       RowBox[{"{", 
        RowBox[{"0.7", ",", "0.7"}], "}"}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"base", ",", 
       RowBox[{"N", "@", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", 
             FractionBox["1", 
              SqrtBox["2"]]}], ",", 
            FractionBox["1", 
             SqrtBox["2"]], ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", 
             FractionBox["1", 
              SqrtBox["11"]]}], ",", 
            RowBox[{"-", 
             FractionBox["1", 
              SqrtBox["11"]]}], ",", 
            FractionBox["3", 
             SqrtBox["11"]]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            FractionBox["3", 
             SqrtBox["22"]], ",", 
            FractionBox["3", 
             SqrtBox["22"]], ",", 
            SqrtBox[
             FractionBox["2", "11"]]}], "}"}]}], "}"}]}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"newbase", ",", 
       RowBox[{"N", "@", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", 
             FractionBox["1", 
              SqrtBox["2"]]}], ",", 
            FractionBox["1", 
             SqrtBox["2"]], ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", 
             FractionBox["1", 
              SqrtBox["11"]]}], ",", 
            RowBox[{"-", 
             FractionBox["1", 
              SqrtBox["11"]]}], ",", 
            FractionBox["3", 
             SqrtBox["11"]]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            FractionBox["3", 
             SqrtBox["22"]], ",", 
            FractionBox["3", 
             SqrtBox["22"]], ",", 
            SqrtBox[
             FractionBox["2", "11"]]}], "}"}]}], "}"}]}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ptsph0", ",", 
       RowBox[{"Graphics", "[", "]"}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ptsph1", ",", 
       RowBox[{"Graphics", "[", "]"}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"graph", ",", 
       RowBox[{"{", "}"}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"sn", ",", 
       RowBox[{"Graphics", "[", "]"}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Alignment", "\[Rule]", "Center"}], ",", "\[IndentingNewLine]", 
   RowBox[{"ContentSize", "\[Rule]", "600"}], ",", "\[IndentingNewLine]", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "5"}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"SynchronousUpdating", "\[Rule]", "False"}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{
  3.5106428975292873`*^9, {3.510642932098222*^9, 3.510642941471162*^9}, {
   3.510642999280775*^9, 3.510643000350781*^9}, 3.5106454781188707`*^9, {
   3.510648737122861*^9, 3.510648802708358*^9}, {3.51064885007651*^9, 
   3.510648925924139*^9}, {3.5106489859079723`*^9, 3.510649010120078*^9}, {
   3.510649099346465*^9, 3.5106491049272013`*^9}, {3.510649287032887*^9, 
   3.510649321794052*^9}, {3.510649368294025*^9, 3.510649428220379*^9}, {
   3.5106495446277037`*^9, 3.510649584702389*^9}, 3.510649627048539*^9, {
   3.510649657930747*^9, 3.510649705201672*^9}, {3.510649812872683*^9, 
   3.510649843576371*^9}, {3.510649880764413*^9, 3.510650068032403*^9}, {
   3.51065011930468*^9, 3.510650208768815*^9}, {3.510650242469057*^9, 
   3.510650243578599*^9}, {3.510650347091172*^9, 3.510650350382078*^9}, {
   3.5106526963132153`*^9, 3.510652696869982*^9}, {3.510653550941824*^9, 
   3.510653556462172*^9}, {3.51065360581569*^9, 3.510653673286368*^9}, {
   3.510653751349049*^9, 3.510653757606041*^9}, {3.5106538070552197`*^9, 
   3.51065381361882*^9}, 3.510653899226243*^9, {3.510653994577952*^9, 
   3.510654023591023*^9}, {3.510654115588004*^9, 3.510654187214142*^9}, {
   3.510654217518976*^9, 3.510654278553768*^9}, {3.5106543219041452`*^9, 
   3.510654474530047*^9}, {3.510654507321025*^9, 3.510654567320778*^9}, {
   3.510654658581409*^9, 3.510654661607767*^9}, {3.510654750414434*^9, 
   3.5106548128188143`*^9}, {3.510654862325272*^9, 3.510654891436501*^9}, {
   3.510655832124734*^9, 3.510655858108292*^9}, 3.5106561283039913`*^9, {
   3.510656206167259*^9, 3.510656228048059*^9}, {3.510656345421205*^9, 
   3.5106563517903137`*^9}, {3.510656454966318*^9, 3.510656516875042*^9}, {
   3.5106565566189327`*^9, 3.510656564398197*^9}, {3.5106566478691177`*^9, 
   3.510656652522295*^9}, {3.510656863100799*^9, 3.510656863497283*^9}, 
   3.510657530630172*^9, {3.5106575651660347`*^9, 3.510657565307355*^9}, {
   3.510657865733107*^9, 3.51065788266367*^9}, {3.510657983995528*^9, 
   3.5106579952463903`*^9}, {3.510658057704791*^9, 3.510658067971513*^9}, {
   3.510658176405766*^9, 3.5106581833948803`*^9}, {3.510658266397685*^9, 
   3.510658279451861*^9}, {3.5106583361838017`*^9, 3.510658339598961*^9}, {
   3.510658424002082*^9, 3.510658442012063*^9}, {3.510658500501326*^9, 
   3.510658511939485*^9}, {3.510658570395424*^9, 3.510658589737793*^9}, {
   3.5106586783832283`*^9, 3.5106587189425898`*^9}, {3.510659000759256*^9, 
   3.5106590105107613`*^9}, {3.510659055567629*^9, 3.5106590878700314`*^9}, {
   3.510659120253833*^9, 3.510659270072385*^9}, {3.5106593095762253`*^9, 
   3.510659318564152*^9}, {3.51065936543869*^9, 3.510659392100677*^9}, {
   3.510659427773529*^9, 3.510659458184585*^9}, {3.510660114027869*^9, 
   3.510660137904557*^9}, {3.510660863871396*^9, 3.5106608718865213`*^9}, {
   3.51066194035992*^9, 3.51066202277911*^9}, {3.510662065497087*^9, 
   3.5106620918589573`*^9}, {3.51066216251678*^9, 3.510662171474739*^9}, {
   3.510662206756275*^9, 3.510662207706644*^9}, 3.510662250355442*^9, {
   3.5106623045899887`*^9, 3.510662365053829*^9}, {3.510662397602481*^9, 
   3.5106623977166367`*^9}, {3.510662515123263*^9, 3.510662563905444*^9}, {
   3.5106625939313707`*^9, 3.510662669660181*^9}, 3.5106720203351517`*^9, {
   3.51093043869212*^9, 3.510930549012151*^9}, {3.510930590241274*^9, 
   3.510930604578707*^9}, {3.510930651983447*^9, 3.510930667763025*^9}, {
   3.5109307121894674`*^9, 3.510930780950342*^9}, {3.510931013166562*^9, 
   3.5109310320454493`*^9}, {3.5109310837206163`*^9, 3.510931087650009*^9}, {
   3.5109311560498486`*^9, 3.5109312835816007`*^9}, {3.5109313228925314`*^9, 
   3.51093140798804*^9}, {3.5109314608683276`*^9, 3.510931559164156*^9}, {
   3.5109315930635457`*^9, 3.5109316236866074`*^9}, {3.5109316923744755`*^9, 
   3.5109317407453127`*^9}, {3.510932022034438*^9, 3.5109320260178366`*^9}, {
   3.5109320668479195`*^9, 3.510932073141549*^9}, {3.5109321195161858`*^9, 
   3.510932141534387*^9}, {3.510932186755909*^9, 3.5109322077310066`*^9}, {
   3.5109322552687597`*^9, 3.510932322739506*^9}, {3.5109383996391025`*^9, 
   3.5109386355236883`*^9}, {3.511547375501429*^9, 3.511547376635989*^9}, {
   3.511547654466172*^9, 3.511547655163165*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`base$$ = {{-0.7071067811865475, 
    0.7071067811865475, 0.}, {-0.30151134457776363`, -0.30151134457776363`, 
    0.9045340337332909}, {0.6396021490668312, 0.6396021490668312, 
    0.4264014327112209}}, $CellContext`class$$ = 
    "Amphichiral", $CellContext`dist$$ = 2.5, $CellContext`graph$$ = {{
      Glow[
       RGBColor[0, 0.15, 0.15]], 
      EdgeForm[], 
      GrayLevel[1], 
      Specularity[
       RGBColor[1, 0.5, 0.5], 20], 
      GraphicsComplex[{{-0.7946544722917661, -0.49112347318842303`, \
-0.3568220897730899}, {-0.4194695241216063, -0.2592464231518966, 
       0.35682208977308993`}, {-0.4194695241216063, 
       0.2592464231518966, -0.3568220897730899}, {-0.04428457595144653, 
       0.49112347318842303`, 0.35682208977308993`}, {
       0.04428457595144653, -0.49112347318842303`, -0.3568220897730899}, {
       0.4194695241216063, -0.2592464231518966, 0.35682208977308993`}, {
       0.4194695241216063, 0.2592464231518966, -0.3568220897730899}, {
       0.7946544722917661, 0.49112347318842303`, 0.35682208977308993`}}, 
       Polygon[{{1, 3, 7, 5}, {6, 8, 4, 2}, {5, 6, 2, 1}, {3, 4, 8, 7}, {1, 2,
         4, 3}, {7, 8, 6, 5}}]]}, {
     Boxed -> False, PlotRange -> {{-1, 1}, {-1, 1}, {-1, 1}}, 
      BoxRatios -> {1, 1, 1}, Background -> GrayLevel[0.5], ImageSize -> 300, 
      SphericalRegion -> True, 
      ViewVertical -> {-0.30151134457776363`, -0.30151134457776363`, 
       0.9045340337332909}, Lighting -> {{"Directional", 
         RGBColor[0.85, 0.85, 0.85], {0.27058617236935123`, 
         1.6847997347424464`, 
         1.7573368991557325`}}}}}, $CellContext`newbase$$ = \
{{-0.7071067811865475, 0.7071067811865475, 
    0.}, {-0.30151134457776363`, -0.30151134457776363`, 0.9045340337332909}, {
    0.6396021490668312, 0.6396021490668312, 
    0.4264014327112209}}, $CellContext`parallel$$ = -1, $CellContext`ptL$$ = {
    0.7, 0.7}, $CellContext`ptR$$ = {0.744, 0.862}, $CellContext`ptsph0$$ = {
    0.488, 0.724, 0.48752435836581554`}, $CellContext`ptsph1$$ = {0.488, 
    0.724, 0.48752435836581554`}, $CellContext`sep$$ = 
    0.178, $CellContext`shapeName$$ = 
    "AcuteGoldenRhombohedron", $CellContext`sn$$ = 
    GraphicsComplex[{{
      Rational[-1, 2] - 5^Rational[-1, 2], 
       Rational[1, 20] (-5 - 3 5^Rational[1, 2]), 
       Root[1 - 20 #^2 + 80 #^4& , 1, 0]}, {
       Rational[-1, 2], Rational[1, 4] (1 - 5^Rational[1, 2]), 
       Rational[1, 2] (Rational[1, 10] (5 + 5^Rational[1, 2]))^
        Rational[1, 2]}, {
       Rational[-1, 2], Rational[1, 4] (-1 + 5^Rational[1, 2]), 
       Root[1 - 20 #^2 + 80 #^4& , 1, 0]}, {
      Rational[-1, 2] + 5^Rational[-1, 2], 
       Rational[1, 20] (5 + 3 5^Rational[1, 2]), 
       Rational[1, 2] (Rational[1, 10] (5 + 5^Rational[1, 2]))^
        Rational[1, 2]}, {
      Rational[1, 2] - 5^Rational[-1, 2], 
       Rational[1, 20] (-5 - 3 5^Rational[1, 2]), 
       Root[1 - 20 #^2 + 80 #^4& , 1, 0]}, {
       Rational[1, 2], Rational[1, 4] (1 - 5^Rational[1, 2]), 
       Rational[1, 2] (Rational[1, 10] (5 + 5^Rational[1, 2]))^
        Rational[1, 2]}, {
       Rational[1, 2], Rational[1, 4] (-1 + 5^Rational[1, 2]), 
       Root[1 - 20 #^2 + 80 #^4& , 1, 0]}, {
      Rational[1, 2] + 5^Rational[-1, 2], 
       Rational[1, 20] (5 + 3 5^Rational[1, 2]), 
       Rational[1, 2] (Rational[1, 10] (5 + 5^Rational[1, 2]))^
        Rational[1, 2]}}, 
     Polygon[{{1, 3, 7, 5}, {6, 8, 4, 2}, {5, 6, 2, 1}, {3, 4, 8, 7}, {1, 2, 
      4, 3}, {7, 8, 6, 5}}]], $CellContext`vvec$$ = {2.558408596267325, 
    2.558408596267325, 
    1.7056057308448835`}, $CellContext`vvert$$ = {-0.30151134457776363`, \
-0.30151134457776363`, 0.9045340337332909}, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`dist$$], 4, "distance to object"}, 1, 10}, {{
       Hold[$CellContext`class$$], "Amphichiral", "class"}, 
      Dynamic[
       PolyhedronData["Classes"], SynchronousUpdating -> False]}, {{
       Hold[$CellContext`sep$$], 0.2, "distance between eyes"}, 0, 0.5}, {{
       Hold[$CellContext`shapeName$$], "AcuteGoldenRhombohedron", "name"}, 
      Dynamic[
       PolyhedronData[$CellContext`class$$], SynchronousUpdating -> False]}, {{
       Hold[$CellContext`parallel$$], 1, "view method"}, {
      1 -> "parallel", -1 -> "cross-eyed"}}, {
      Hold[
       Grid[{{
          Manipulate`Place[1], 
          Manipulate`Place[2]}, {
          Manipulate`Place[3], 
          Manipulate`Place[4]}, {
          Manipulate`Place[5]}}, Alignment -> {{Left, Left}}]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`vvec$$], {3, 3, 2}}}, {{
       Hold[$CellContext`vvert$$], {0, 0, 1}}}, {{
       Hold[$CellContext`ptL$$], {0.7, 0.7}}}, {{
       Hold[$CellContext`ptR$$], {0.7, 0.7}}}, {{
       Hold[$CellContext`base$$], {{-0.7071067811865475, 0.7071067811865475, 
       0.}, {-0.30151134457776363`, -0.30151134457776363`, 
       0.9045340337332909}, {0.6396021490668312, 0.6396021490668312, 
       0.4264014327112209}}}}, {{
       Hold[$CellContext`newbase$$], {{-0.7071067811865475, 
       0.7071067811865475, 0.}, {-0.30151134457776363`, -0.30151134457776363`,
        0.9045340337332909}, {0.6396021490668312, 0.6396021490668312, 
       0.4264014327112209}}}}, {{
       Hold[$CellContext`ptsph0$$], 
       Graphics[{}]}}, {{
       Hold[$CellContext`ptsph1$$], 
       Graphics[{}]}}, {{
       Hold[$CellContext`graph$$], {{
         Glow[
          RGBColor[0, 0.15, 0.15]], 
         EdgeForm[], 
         GrayLevel[1], 
         Specularity[
          RGBColor[1, 0.5, 0.5], 20], 
         GraphicsComplex[{{-0.7946544722917661, -0.49112347318842303`, \
-0.3568220897730899}, {-0.4194695241216063, -0.2592464231518966, 
          0.35682208977308993`}, {-0.4194695241216063, 
          0.2592464231518966, -0.3568220897730899}, {-0.04428457595144653, 
          0.49112347318842303`, 0.35682208977308993`}, {
          0.04428457595144653, -0.49112347318842303`, -0.3568220897730899}, {
          0.4194695241216063, -0.2592464231518966, 0.35682208977308993`}, {
          0.4194695241216063, 0.2592464231518966, -0.3568220897730899}, {
          0.7946544722917661, 0.49112347318842303`, 0.35682208977308993`}}, 
          
          Polygon[{{1, 3, 7, 5}, {6, 8, 4, 2}, {5, 6, 2, 1}, {3, 4, 8, 7}, {1,
            2, 4, 3}, {7, 8, 6, 5}}]]}, {
        Boxed -> False, PlotRange -> {{-1, 1}, {-1, 1}, {-1, 1}}, 
         BoxRatios -> {1, 1, 1}, Background -> GrayLevel[0.5], ImageSize -> 
         300, SphericalRegion -> True, 
         ViewVertical -> {-0.30151134457776363`, -0.30151134457776363`, 
          0.9045340337332909}, Lighting -> {{"Directional", 
            RGBColor[0.85, 0.85, 0.85], {0.27058617236935123`, 
            1.6847997347424464`, 1.7573368991557325`}}}}}}}, {{
       Hold[$CellContext`sn$$], 
       GraphicsComplex[{{
         Rational[-1, 2] - 5^Rational[-1, 2], 
          Rational[1, 20] (-5 - 3 5^Rational[1, 2]), 
          Root[1 - 20 #^2 + 80 #^4& , 1, 0]}, {
          Rational[-1, 2], Rational[1, 4] (1 - 5^Rational[1, 2]), 
          Rational[1, 2] (Rational[1, 10] (5 + 5^Rational[1, 2]))^
           Rational[1, 2]}, {
          Rational[-1, 2], Rational[1, 4] (-1 + 5^Rational[1, 2]), 
          Root[1 - 20 #^2 + 80 #^4& , 1, 0]}, {
         Rational[-1, 2] + 5^Rational[-1, 2], 
          Rational[1, 20] (5 + 3 5^Rational[1, 2]), 
          Rational[1, 2] (Rational[1, 10] (5 + 5^Rational[1, 2]))^
           Rational[1, 2]}, {
         Rational[1, 2] - 5^Rational[-1, 2], 
          Rational[1, 20] (-5 - 3 5^Rational[1, 2]), 
          Root[1 - 20 #^2 + 80 #^4& , 1, 0]}, {
          Rational[1, 2], Rational[1, 4] (1 - 5^Rational[1, 2]), 
          Rational[1, 2] (Rational[1, 10] (5 + 5^Rational[1, 2]))^
           Rational[1, 2]}, {
          Rational[1, 2], Rational[1, 4] (-1 + 5^Rational[1, 2]), 
          Root[1 - 20 #^2 + 80 #^4& , 1, 0]}, {
         Rational[1, 2] + 5^Rational[-1, 2], 
          Rational[1, 20] (5 + 3 5^Rational[1, 2]), 
          Rational[1, 2] (Rational[1, 10] (5 + 5^Rational[1, 2]))^
           Rational[1, 2]}}, 
        Polygon[{{1, 3, 7, 5}, {6, 8, 4, 2}, {5, 6, 2, 1}, {3, 4, 8, 7}, {1, 
         2, 4, 3}, {7, 8, 6, 5}}]]}}}, Typeset`size$$ = {580., {152., 157.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`dist$812152$$ = 0, $CellContext`sep$812153$$ = 
    0, $CellContext`parallel$812154$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     2, StandardForm, 
      "Variables" :> {$CellContext`base$$ = {{-0.7071067811865475, 
         0.7071067811865475, 
         0.}, {-0.30151134457776363`, -0.30151134457776363`, 
         0.9045340337332909}, {0.6396021490668312, 0.6396021490668312, 
         0.4264014327112209}}, $CellContext`class$$ = 
        "Amphichiral", $CellContext`dist$$ = 4, $CellContext`graph$$ = {{
           Glow[
            RGBColor[0, 0.15, 0.15]], 
           EdgeForm[], 
           GrayLevel[1], 
           Specularity[
            RGBColor[1, 0.5, 0.5], 20], 
           
           GraphicsComplex[{{-0.7946544722917661, -0.49112347318842303`, \
-0.3568220897730899}, {-0.4194695241216063, -0.2592464231518966, 
            0.35682208977308993`}, {-0.4194695241216063, 
            0.2592464231518966, -0.3568220897730899}, {-0.04428457595144653, 
            0.49112347318842303`, 0.35682208977308993`}, {
            0.04428457595144653, -0.49112347318842303`, -0.3568220897730899}, \
{0.4194695241216063, -0.2592464231518966, 0.35682208977308993`}, {
            0.4194695241216063, 0.2592464231518966, -0.3568220897730899}, {
            0.7946544722917661, 0.49112347318842303`, 0.35682208977308993`}}, 
            
            Polygon[{{1, 3, 7, 5}, {6, 8, 4, 2}, {5, 6, 2, 1}, {3, 4, 8, 7}, {
             1, 2, 4, 3}, {7, 8, 6, 5}}]]}, {
          Boxed -> False, PlotRange -> {{-1, 1}, {-1, 1}, {-1, 1}}, 
           BoxRatios -> {1, 1, 1}, Background -> GrayLevel[0.5], ImageSize -> 
           300, SphericalRegion -> True, 
           ViewVertical -> {-0.30151134457776363`, -0.30151134457776363`, 
            0.9045340337332909}, Lighting -> {{"Directional", 
              RGBColor[0.85, 0.85, 0.85], {0.27058617236935123`, 
              1.6847997347424464`, 
              1.7573368991557325`}}}}}, $CellContext`newbase$$ = \
{{-0.7071067811865475, 0.7071067811865475, 
         0.}, {-0.30151134457776363`, -0.30151134457776363`, 
         0.9045340337332909}, {0.6396021490668312, 0.6396021490668312, 
         0.4264014327112209}}, $CellContext`parallel$$ = 
        1, $CellContext`ptL$$ = {0.7, 0.7}, $CellContext`ptR$$ = {0.7, 
         0.7}, $CellContext`ptsph0$$ = Graphics[{}], $CellContext`ptsph1$$ = 
        Graphics[{}], $CellContext`sep$$ = 0.2, $CellContext`shapeName$$ = 
        "AcuteGoldenRhombohedron", $CellContext`sn$$ = 
        GraphicsComplex[{{
           Rational[-1, 2] - 5^Rational[-1, 2], 
            Rational[1, 20] (-5 - 3 5^Rational[1, 2]), 
            Root[1 - 20 #^2 + 80 #^4& , 1, 0]}, {
            Rational[-1, 2], Rational[1, 4] (1 - 5^Rational[1, 2]), 
            Rational[1, 2] (Rational[1, 10] (5 + 5^Rational[1, 2]))^
             Rational[1, 2]}, {
            Rational[-1, 2], Rational[1, 4] (-1 + 5^Rational[1, 2]), 
            Root[1 - 20 #^2 + 80 #^4& , 1, 0]}, {
           Rational[-1, 2] + 5^Rational[-1, 2], 
            Rational[1, 20] (5 + 3 5^Rational[1, 2]), 
            Rational[1, 2] (Rational[1, 10] (5 + 5^Rational[1, 2]))^
             Rational[1, 2]}, {
           Rational[1, 2] - 5^Rational[-1, 2], 
            Rational[1, 20] (-5 - 3 5^Rational[1, 2]), 
            Root[1 - 20 #^2 + 80 #^4& , 1, 0]}, {
            Rational[1, 2], Rational[1, 4] (1 - 5^Rational[1, 2]), 
            Rational[1, 2] (Rational[1, 10] (5 + 5^Rational[1, 2]))^
             Rational[1, 2]}, {
            Rational[1, 2], Rational[1, 4] (-1 + 5^Rational[1, 2]), 
            Root[1 - 20 #^2 + 80 #^4& , 1, 0]}, {
           Rational[1, 2] + 5^Rational[-1, 2], 
            Rational[1, 20] (5 + 3 5^Rational[1, 2]), 
            Rational[1, 2] (Rational[1, 10] (5 + 5^Rational[1, 2]))^
             Rational[1, 2]}}, 
          
          Polygon[{{1, 3, 7, 5}, {6, 8, 4, 2}, {5, 6, 2, 1}, {3, 4, 8, 7}, {1,
            2, 4, 3}, {7, 8, 6, 5}}]], $CellContext`vvec$$ = {3, 3, 
         2}, $CellContext`vvert$$ = {0, 0, 1}}, "ControllerVariables" :> {
        Hold[$CellContext`dist$$, $CellContext`dist$812152$$, 0], 
        Hold[$CellContext`sep$$, $CellContext`sep$812153$$, 0], 
        Hold[$CellContext`parallel$$, $CellContext`parallel$812154$$, False]},
       "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> (
       With[{$CellContext`tmp$ = PolyhedronData[$CellContext`class$$]}, 
         If[
          Not[
           
           MemberQ[$CellContext`tmp$, $CellContext`shapeName$$]], \
$CellContext`shapeName$$ = Part[$CellContext`tmp$, 1]]]; $CellContext`sn$$ = 
        PolyhedronData[$CellContext`shapeName$$, 
          "Faces"]; $CellContext`graph$$ = {{
           Glow[
            RGBColor[0, 0.15, 0.15]], 
           EdgeForm[], 
           GrayLevel[1], 
           Specularity[Pink, 20], 
           ReplacePart[$CellContext`sn$$, 1 -> Rescale[
              Part[$CellContext`sn$$, 1], {-Max[
                 Map[Norm, 
                  N[
                   Part[$CellContext`sn$$, 1]]]], 
               Max[
                Map[Norm, 
                 N[
                  Part[$CellContext`sn$$, 1]]]]}, {-1., 1.}]]}, {
          Boxed -> False, PlotRange -> {{-1, 1}, {-1, 1}, {-1, 1}}, 
           BoxRatios -> {1, 1, 1}, Background -> Gray, ImageSize -> 300, 
           SphericalRegion -> True, ViewVertical -> N[
             Part[$CellContext`newbase$$, 2]], Lighting -> {{"Directional", 
              RGBColor[0.85, 0.85, 0.85], 
              Dot[{1, 1, 2}, $CellContext`newbase$$]}}}}; GraphicsRow[{
          LocatorPane[
           
           Dynamic[$CellContext`ptL$$, {($CellContext`ptsph0$$ = \
($CellContext`ptsph1$$ = Flatten[{(# - 0.5) 2, 
                  Sqrt[
                  1 - Min[
                   Norm[(# - 0.5) 2]^2, 
                    1]]}]); $CellContext`ptL$$ = #)& , ($CellContext`ptL$$ = \
#; $CellContext`ptsph1$$ = Flatten[{($CellContext`ptL$$ - 0.5) 2, 
                 Sqrt[
                 1 - Min[
                  Norm[($CellContext`ptL$$ - 0.5) 2]^2, 
                   1]]}]; $CellContext`newbase$$ = Dot[
                
                RotationMatrix[{$CellContext`ptsph0$$, \
$CellContext`ptsph1$$}], $CellContext`base$$]; 
             Null)& , ($CellContext`base$$ = $CellContext`newbase$$; \
$CellContext`vvert$$ = Part[$CellContext`base$$, 2]; $CellContext`vvec$$ = 
              Part[$CellContext`base$$, 3] $CellContext`dist$$)& }], 
           Dynamic[
            Apply[Graphics3D[
              SlotSequence[1], ViewVector -> 
              N[($CellContext`dist$$ 
                  Part[$CellContext`newbase$$, 
                    3] - ($CellContext`parallel$$ $CellContext`sep$$) 
                 Part[$CellContext`newbase$$, 1]) ($CellContext`dist$$/
                 Sqrt[$CellContext`dist$$^2 + $CellContext`sep$$^2])]]& , \
$CellContext`graph$$]], {{0, 0}, {1, 1}}, Appearance -> None], 
          LocatorPane[
           
           Dynamic[$CellContext`ptR$$, {($CellContext`ptsph0$$ = \
($CellContext`ptsph1$$ = Flatten[{(# - 0.5) 2, 
                  Sqrt[
                  1 - Min[
                   Norm[(# - 0.5) 2]^2, 
                    1]]}]); $CellContext`ptR$$ = #)& , ($CellContext`ptR$$ = \
#; $CellContext`ptsph1$$ = Flatten[{($CellContext`ptR$$ - 0.5) 2, 
                 Sqrt[
                 1 - Min[
                  Norm[($CellContext`ptR$$ - 0.5) 2]^2, 
                   1]]}]; $CellContext`newbase$$ = Dot[
                
                RotationMatrix[{$CellContext`ptsph0$$, \
$CellContext`ptsph1$$}], $CellContext`base$$]; 
             Null)& , ($CellContext`base$$ = $CellContext`newbase$$; \
$CellContext`vvert$$ = Part[$CellContext`base$$, 2]; $CellContext`vvec$$ = 
              Part[$CellContext`base$$, 3] $CellContext`dist$$)& }], 
           Dynamic[
            Apply[Graphics3D[
              SlotSequence[1], ViewVector -> 
              N[($CellContext`dist$$ 
                  Part[$CellContext`newbase$$, 
                    3] + ($CellContext`parallel$$ $CellContext`sep$$) 
                  Part[$CellContext`newbase$$, 1]) ($CellContext`dist$$/
                 
                 Sqrt[$CellContext`dist$$^2 + $CellContext`sep$$^2])]]& , \
$CellContext`graph$$]], {{0, 0}, {1, 1}}, Appearance -> None]}, Spacings -> 
         10, ImageSize -> Full]), 
      "Specifications" :> {{{$CellContext`dist$$, 4, "distance to object"}, 1,
          10, ImageSize -> Small, ControlPlacement -> 
         1}, {{$CellContext`class$$, "Amphichiral", "class"}, 
         Dynamic[
          PolyhedronData["Classes"], SynchronousUpdating -> False], 
         ControlType -> PopupMenu, ControlPlacement -> 
         2}, {{$CellContext`sep$$, 0.2, "distance between eyes"}, 0, 0.5, 
         ImageSize -> Small, ControlPlacement -> 
         3}, {{$CellContext`shapeName$$, "AcuteGoldenRhombohedron", "name"}, 
         Dynamic[
          PolyhedronData[$CellContext`class$$], SynchronousUpdating -> False],
          ControlType -> PopupMenu, ControlPlacement -> 
         4}, {{$CellContext`parallel$$, 1, "view method"}, {
         1 -> "parallel", -1 -> "cross-eyed"}, ControlPlacement -> 5}, 
        Grid[{{
           Manipulate`Place[1], 
           Manipulate`Place[2]}, {
           Manipulate`Place[3], 
           Manipulate`Place[4]}, {
           Manipulate`Place[5]}}, 
         Alignment -> {{Left, Left}}], {{$CellContext`vvec$$, {3, 3, 2}}, 
         ControlType -> None}, {{$CellContext`vvert$$, {0, 0, 1}}, 
         ControlType -> None}, {{$CellContext`ptL$$, {0.7, 0.7}}, ControlType -> 
         None}, {{$CellContext`ptR$$, {0.7, 0.7}}, ControlType -> 
         None}, {{$CellContext`base$$, {{-0.7071067811865475, 
          0.7071067811865475, 
          0.}, {-0.30151134457776363`, -0.30151134457776363`, 
          0.9045340337332909}, {0.6396021490668312, 0.6396021490668312, 
          0.4264014327112209}}}, ControlType -> 
         None}, {{$CellContext`newbase$$, {{-0.7071067811865475, 
          0.7071067811865475, 
          0.}, {-0.30151134457776363`, -0.30151134457776363`, 
          0.9045340337332909}, {0.6396021490668312, 0.6396021490668312, 
          0.4264014327112209}}}, ControlType -> 
         None}, {{$CellContext`ptsph0$$, 
          Graphics[{}]}, ControlType -> None}, {{$CellContext`ptsph1$$, 
          Graphics[{}]}, ControlType -> None}, {{$CellContext`graph$$, {{
            Glow[
             RGBColor[0, 0.15, 0.15]], 
            EdgeForm[], 
            GrayLevel[1], 
            Specularity[
             RGBColor[1, 0.5, 0.5], 20], 
            
            GraphicsComplex[{{-0.7946544722917661, -0.49112347318842303`, \
-0.3568220897730899}, {-0.4194695241216063, -0.2592464231518966, 
             0.35682208977308993`}, {-0.4194695241216063, 
             0.2592464231518966, -0.3568220897730899}, {-0.04428457595144653, 
             0.49112347318842303`, 0.35682208977308993`}, {
             0.04428457595144653, -0.49112347318842303`, \
-0.3568220897730899}, {0.4194695241216063, -0.2592464231518966, 
             0.35682208977308993`}, {0.4194695241216063, 
             0.2592464231518966, -0.3568220897730899}, {0.7946544722917661, 
             0.49112347318842303`, 0.35682208977308993`}}, 
             
             Polygon[{{1, 3, 7, 5}, {6, 8, 4, 2}, {5, 6, 2, 1}, {3, 4, 8, 
              7}, {1, 2, 4, 3}, {7, 8, 6, 5}}]]}, {
           Boxed -> False, PlotRange -> {{-1, 1}, {-1, 1}, {-1, 1}}, 
            BoxRatios -> {1, 1, 1}, Background -> GrayLevel[0.5], ImageSize -> 
            300, SphericalRegion -> True, 
            ViewVertical -> {-0.30151134457776363`, -0.30151134457776363`, 
             0.9045340337332909}, Lighting -> {{"Directional", 
               RGBColor[0.85, 0.85, 0.85], {0.27058617236935123`, 
               1.6847997347424464`, 1.7573368991557325`}}}}}}, ControlType -> 
         None}, {{$CellContext`sn$$, 
          
          GraphicsComplex[{{
            Rational[-1, 2] - 5^Rational[-1, 2], 
             Rational[1, 20] (-5 - 3 5^Rational[1, 2]), 
             Root[1 - 20 #^2 + 80 #^4& , 1, 0]}, {
             Rational[-1, 2], Rational[1, 4] (1 - 5^Rational[1, 2]), 
             Rational[1, 2] (Rational[1, 10] (5 + 5^Rational[1, 2]))^
              Rational[1, 2]}, {
             Rational[-1, 2], Rational[1, 4] (-1 + 5^Rational[1, 2]), 
             Root[1 - 20 #^2 + 80 #^4& , 1, 0]}, {
            Rational[-1, 2] + 5^Rational[-1, 2], 
             Rational[1, 20] (5 + 3 5^Rational[1, 2]), 
             Rational[1, 2] (Rational[1, 10] (5 + 5^Rational[1, 2]))^
              Rational[1, 2]}, {
            Rational[1, 2] - 5^Rational[-1, 2], 
             Rational[1, 20] (-5 - 3 5^Rational[1, 2]), 
             Root[1 - 20 #^2 + 80 #^4& , 1, 0]}, {
             Rational[1, 2], Rational[1, 4] (1 - 5^Rational[1, 2]), 
             Rational[1, 2] (Rational[1, 10] (5 + 5^Rational[1, 2]))^
              Rational[1, 2]}, {
             Rational[1, 2], Rational[1, 4] (-1 + 5^Rational[1, 2]), 
             Root[1 - 20 #^2 + 80 #^4& , 1, 0]}, {
            Rational[1, 2] + 5^Rational[-1, 2], 
             Rational[1, 20] (5 + 3 5^Rational[1, 2]), 
             Rational[1, 2] (Rational[1, 10] (5 + 5^Rational[1, 2]))^
              Rational[1, 2]}}, 
           
           Polygon[{{1, 3, 7, 5}, {6, 8, 4, 2}, {5, 6, 2, 1}, {3, 4, 8, 7}, {
            1, 2, 4, 3}, {7, 8, 6, 5}}]]}, ControlType -> None}}, 
      "Options" :> {
       Alignment -> Center, ContentSize -> 600, 
        AutorunSequencing -> {1, 2, 3, 4, 5}, SynchronousUpdating -> False}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{699., {232., 237.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->1488413961]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"\[CapitalDelta]", "=", 
      RowBox[{"ArcTan", "[", 
       RowBox[{"Sqrt", "[", "2", "]"}], "]"}]}], ";", 
     RowBox[{"h1", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"Sqrt", "[", "8", "]"}], "/", 
        RowBox[{"Sin", "[", 
         RowBox[{
          RowBox[{"Pi", "/", "2"}], "-", "\[CapitalDelta]"}], "]"}]}], "/", 
       "4"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"vA", "=", 
      RowBox[{"{", 
       RowBox[{"1", ",", 
        RowBox[{"-", "1"}], ",", 
        RowBox[{"-", "1"}]}], "}"}]}], ";", 
     RowBox[{"vB", "=", 
      RowBox[{"{", 
       RowBox[{"1", ",", 
        RowBox[{"-", "1"}], ",", "1"}], "}"}]}], ";", 
     RowBox[{"vC", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", 
        RowBox[{"-", "1"}], ",", "1"}], "}"}]}], ";", 
     RowBox[{"vD", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", 
        RowBox[{"-", "1"}], ",", 
        RowBox[{"-", "1"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"vE", "=", 
      RowBox[{"{", 
       RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"c1", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Specularity", "[", "0.3", "]"}], ",", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"0.4", ",", "0.6", ",", "0.6"}], "]"}], ",", 
        RowBox[{"Cylinder", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"vD", ",", "vA"}], "}"}], ",", "dia"}], "]"}]}], "}"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"c2", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Specularity", "[", "0.3", "]"}], ",", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"0.4", ",", "0.6", ",", "0.6"}], "]"}], ",", 
        RowBox[{"Cylinder", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"vB", ",", "vC"}], "}"}], ",", "dia"}], "]"}]}], "}"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"c3", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Specularity", "[", "0.3", "]"}], ",", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"0.4", ",", "0.6", ",", "0.6"}], "]"}], ",", 
        RowBox[{"Cylinder", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"vD", ",", "vC"}], "}"}], ",", "dia"}], "]"}]}], "}"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"c4", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Specularity", "[", "0.7", "]"}], ",", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"0.4", ",", "0.6", ",", "0.6"}], "]"}], ",", 
        RowBox[{"Cylinder", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"vD", ",", "vE"}], "}"}], ",", "dia"}], "]"}]}], "}"}]}], 
     ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"sC", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Specularity", "[", "0.8", "]"}], ",", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"0.4", ",", "0.6", ",", "0.8"}], "]"}], ",", 
        RowBox[{"Sphere", "[", 
         RowBox[{"vC", ",", "size"}], "]"}]}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"sD", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Specularity", "[", "0.8", "]"}], ",", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"0.4", ",", "0.6", ",", "0.8"}], "]"}], ",", 
        RowBox[{"Sphere", "[", 
         RowBox[{"vD", ",", "size"}], "]"}]}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"sO", "=", 
      RowBox[{"{", 
       RowBox[{"Yellow", ",", 
        RowBox[{"Sphere", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
          RowBox[{"csize", " ", "size"}]}], "]"}]}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"cub", "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"Rotate", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"sD", ",", "sC", ",", "c1", ",", "c2", ",", "c3"}], "}"}], 
          ",", 
          RowBox[{"i", " ", "2", 
           RowBox[{"Pi", "/", "4"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "4"}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"cross", "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"Rotate", "[", 
         RowBox[{"c4", ",", 
          RowBox[{"i", " ", "2", 
           RowBox[{"Pi", "/", "4"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "4"}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"unit", "=", 
      RowBox[{"{", 
       RowBox[{"sO", ",", "cross", ",", "cub"}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"ex", "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"Translate", "[", 
         RowBox[{"unit", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "i"}], " ", "2"}], ",", "0", ",", "0"}], " ", 
           "}"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "nx"}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"ey", "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"Translate", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"unit", ",", "ex"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"i", " ", "2"}], ",", "0"}], " ", "}"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "ny"}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"ez", "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"Translate", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"unit", ",", "ex", ",", "ey"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", 
            RowBox[{"i", " ", "2"}]}], " ", "}"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "nz"}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"field", "=", 
      RowBox[{"{", 
       RowBox[{"Green", ",", 
        RowBox[{"Polygon", "[", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"2.2", 
              RowBox[{"Sin", "[", 
               RowBox[{"i", " ", "2", 
                RowBox[{"Pi", "/", "12"}]}], "]"}]}], ",", 
             RowBox[{"2.2", 
              RowBox[{"Cos", "[", 
               RowBox[{"i", " ", "2", 
                RowBox[{"Pi", "/", "12"}]}], "]"}]}], ",", 
             RowBox[{"-", "2.1"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "12"}], "}"}]}], "]"}], "]"}]}], "}"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"s1", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Specularity", "[", "0.5", "]"}], ",", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"0.8", ",", "1", ",", "0.6"}], "]"}], ",", 
        RowBox[{"Cylinder", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1.8"}], ",", 
              RowBox[{"-", "0.5"}], ",", 
              RowBox[{"-", "2.2"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1.6"}], ",", 
              RowBox[{"-", "0.4"}], ",", 
              RowBox[{"h1", "-", "2"}]}], "}"}]}], "}"}], ",", "0.14"}], 
         "]"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"s2", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Specularity", "[", "0.5", "]"}], ",", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"0.8", ",", "1", ",", "0.6"}], "]"}], ",", 
        RowBox[{"Cylinder", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"1.4", ",", 
              RowBox[{"-", "1.4"}], ",", 
              RowBox[{"-", "2.2"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"1.2", ",", 
              RowBox[{"-", "1.2"}], ",", 
              RowBox[{"h1", "-", "2"}]}], "}"}]}], "}"}], ",", "0.14"}], 
         "]"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"s3", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Specularity", "[", "0.5", "]"}], ",", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"0.8", ",", "1", ",", "0.6"}], "]"}], ",", 
        RowBox[{"Cylinder", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0.6", ",", "1.7", ",", 
              RowBox[{"-", "2.2"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0.4", ",", "1.6", ",", 
              RowBox[{"h1", "-", "2"}]}], "}"}]}], "}"}], ",", "0.14"}], 
         "]"}]}], "}"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Graphics3D", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{"s123", ",", 
           RowBox[{"{", 
            RowBox[{"s1", ",", "s2", ",", "s3"}], "}"}], ",", 
           RowBox[{"{", "}"}]}], "]"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{"fields", ",", "field", ",", 
           RowBox[{"{", "}"}]}], "]"}], ",", 
         RowBox[{"Rotate", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"unit", ",", "ex", ",", "ey", ",", "ez"}], "}"}], ",", 
           "\[CapitalDelta]", ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", "1", ",", "0"}], "}"}]}], "]"}]}], "}"}], ",", 
       RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
       RowBox[{"ViewPoint", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"-", "10"}], ",", "2"}], "}"}]}], ",", 
       RowBox[{"ImageSize", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"400", ",", "400"}], "}"}]}]}], "]"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"nx", ",", "0", ",", "\"\<extend x\>\""}], "}"}], ",", "0", 
      ",", "2", ",", "1", ",", "RadioButton"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"ny", ",", "0", ",", "\"\<extend y\>\""}], "}"}], ",", "0", 
      ",", "2", ",", "1", ",", "RadioButton"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"nz", ",", "0", ",", "\"\<extend z\>\""}], "}"}], ",", "0", 
      ",", "2", ",", "1", ",", "RadioButton"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"csize", ",", "1", ",", "\"\<central sphere size\>\""}], "}"}],
       ",", "1", ",", "3"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"dia", ",", "0.07", ",", "\"\<cylinder\>\""}], "}"}], ",", 
      "0.02", ",", "0.5", ",", 
      RowBox[{"ImageSize", "\[Rule]", "Tiny"}], ",", 
      RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"size", ",", "0.4", ",", "\"\<sphere\>\""}], "}"}], ",", 
      "0.02", ",", "1", ",", 
      RowBox[{"ImageSize", "\[Rule]", "Tiny"}], ",", 
      RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"fields", ",", "True", ",", "\"\<field\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"True", ",", " ", "False"}], "}"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "Tiny"}], ",", 
      RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"s123", ",", "True", ",", "\"\<supports\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"True", ",", " ", "False"}], "}"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "Tiny"}], ",", 
      RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"TrackedSymbols", "\[Rule]", "Manipulate"}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.54908561395226*^9, 3.549085646117283*^9}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`csize$$ = 1, $CellContext`dia$$ = 
    0.07, $CellContext`fields$$ = False, $CellContext`nx$$ = 
    0, $CellContext`ny$$ = 0, $CellContext`nz$$ = 0, $CellContext`s123$$ = 
    False, $CellContext`size$$ = 0.4, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`nx$$], 0, "extend x"}, 0, 2, 1}, {{
       Hold[$CellContext`ny$$], 0, "extend y"}, 0, 2, 1}, {{
       Hold[$CellContext`nz$$], 0, "extend z"}, 0, 2, 1}, {{
       Hold[$CellContext`csize$$], 1, "central sphere size"}, 1, 3}, {{
       Hold[$CellContext`dia$$], 0.07, "cylinder"}, 0.02, 0.5}, {{
       Hold[$CellContext`size$$], 0.4, "sphere"}, 0.02, 1}, {{
       Hold[$CellContext`fields$$], True, "field"}, {True, False}}, {{
       Hold[$CellContext`s123$$], True, "supports"}, {True, False}}}, 
    Typeset`size$$ = {400., {198., 202.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`nx$1859$$ = 0, $CellContext`ny$1860$$ = 
    0, $CellContext`nz$1861$$ = 0, $CellContext`csize$1862$$ = 
    0, $CellContext`dia$1863$$ = 0, $CellContext`size$1864$$ = 
    0, $CellContext`fields$1865$$ = False, $CellContext`s123$1866$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`csize$$ = 1, $CellContext`dia$$ = 
        0.07, $CellContext`fields$$ = True, $CellContext`nx$$ = 
        0, $CellContext`ny$$ = 0, $CellContext`nz$$ = 0, $CellContext`s123$$ = 
        True, $CellContext`size$$ = 0.4}, "ControllerVariables" :> {
        Hold[$CellContext`nx$$, $CellContext`nx$1859$$, 0], 
        Hold[$CellContext`ny$$, $CellContext`ny$1860$$, 0], 
        Hold[$CellContext`nz$$, $CellContext`nz$1861$$, 0], 
        Hold[$CellContext`csize$$, $CellContext`csize$1862$$, 0], 
        Hold[$CellContext`dia$$, $CellContext`dia$1863$$, 0], 
        Hold[$CellContext`size$$, $CellContext`size$1864$$, 0], 
        Hold[$CellContext`fields$$, $CellContext`fields$1865$$, False], 
        Hold[$CellContext`s123$$, $CellContext`s123$1866$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`\[CapitalDelta] = ArcTan[
          Sqrt[2]]; $CellContext`h1 = (Sqrt[8]/Sin[
          Pi/2 - $CellContext`\[CapitalDelta]])/4; $CellContext`vA = {
         1, -1, -1}; $CellContext`vB = {1, -1, 1}; $CellContext`vC = {-1, -1, 
         1}; $CellContext`vD = {-1, -1, -1}; $CellContext`vE = {1, 1, 
         1}; $CellContext`c1 = {
          Specularity[0.3], 
          RGBColor[0.4, 0.6, 0.6], 
          
          Cylinder[{$CellContext`vD, $CellContext`vA}, $CellContext`dia$$]}; \
$CellContext`c2 = {
          Specularity[0.3], 
          RGBColor[0.4, 0.6, 0.6], 
          
          Cylinder[{$CellContext`vB, $CellContext`vC}, $CellContext`dia$$]}; \
$CellContext`c3 = {
          Specularity[0.3], 
          RGBColor[0.4, 0.6, 0.6], 
          
          Cylinder[{$CellContext`vD, $CellContext`vC}, $CellContext`dia$$]}; \
$CellContext`c4 = {
          Specularity[0.7], 
          RGBColor[0.4, 0.6, 0.6], 
          
          Cylinder[{$CellContext`vD, $CellContext`vE}, $CellContext`dia$$]}; \
$CellContext`sC = {
          Specularity[0.8], 
          RGBColor[0.4, 0.6, 0.8], 
          Sphere[$CellContext`vC, $CellContext`size$$]}; $CellContext`sD = {
          Specularity[0.8], 
          RGBColor[0.4, 0.6, 0.8], 
          Sphere[$CellContext`vD, $CellContext`size$$]}; $CellContext`sO = {
         Yellow, 
          
          Sphere[{0, 0, 
           0}, $CellContext`csize$$ $CellContext`size$$]}; $CellContext`cub = 
        Table[
          
          Rotate[{$CellContext`sD, $CellContext`sC, $CellContext`c1, \
$CellContext`c2, $CellContext`c3}, ($CellContext`i 2) (Pi/4), {0, 0, 
           1}], {$CellContext`i, 4}]; $CellContext`cross = Table[
          
          Rotate[$CellContext`c4, ($CellContext`i 2) (Pi/4), {0, 0, 
           1}], {$CellContext`i, 
           4}]; $CellContext`unit = {$CellContext`sO, $CellContext`cross, \
$CellContext`cub}; $CellContext`ex = Table[
          
          Translate[$CellContext`unit, {(-$CellContext`i) 2, 0, 
            0}], {$CellContext`i, $CellContext`nx$$}]; $CellContext`ey = Table[
          
          Translate[{$CellContext`unit, $CellContext`ex}, {
           0, $CellContext`i 2, 
            0}], {$CellContext`i, $CellContext`ny$$}]; $CellContext`ez = Table[
          
          Translate[{$CellContext`unit, $CellContext`ex, $CellContext`ey}, {
           0, 0, $CellContext`i 
            2}], {$CellContext`i, $CellContext`nz$$}]; $CellContext`field = {
         Green, 
          Polygon[
           
           Table[{2.2 Sin[($CellContext`i 2) (Pi/12)], 2.2 
             Cos[($CellContext`i 2) (Pi/12)], -2.1}, {$CellContext`i, 
             12}]]}; $CellContext`s1 = {
          Specularity[0.5], 
          RGBColor[0.8, 1, 0.6], 
          
          Cylinder[{{-1.8, -0.5, -2.2}, {-1.6, -0.4, $CellContext`h1 - 2}}, 
           0.14]}; $CellContext`s2 = {
          Specularity[0.5], 
          RGBColor[0.8, 1, 0.6], 
          
          Cylinder[{{1.4, -1.4, -2.2}, {1.2, -1.2, $CellContext`h1 - 2}}, 
           0.14]}; $CellContext`s3 = {
          Specularity[0.5], 
          RGBColor[0.8, 1, 0.6], 
          
          Cylinder[{{0.6, 1.7, -2.2}, {0.4, 1.6, $CellContext`h1 - 2}}, 
           0.14]}; Graphics3D[{
          
          If[$CellContext`s123$$, {$CellContext`s1, $CellContext`s2, \
$CellContext`s3}, {}], 
          If[$CellContext`fields$$, $CellContext`field, {}], 
          
          Rotate[{$CellContext`unit, $CellContext`ex, $CellContext`ey, \
$CellContext`ez}, $CellContext`\[CapitalDelta], {1, 1, 0}]}, Boxed -> False, 
         ViewPoint -> {0, -10, 2}, ImageSize -> {400, 400}]), 
      "Specifications" :> {{{$CellContext`nx$$, 0, "extend x"}, 0, 2, 1, 
         ControlType -> RadioButton}, {{$CellContext`ny$$, 0, "extend y"}, 0, 
         2, 1, ControlType -> 
         RadioButton}, {{$CellContext`nz$$, 0, "extend z"}, 0, 2, 1, 
         ControlType -> 
         RadioButton}, {{$CellContext`csize$$, 1, "central sphere size"}, 1, 
         3}, {{$CellContext`dia$$, 0.07, "cylinder"}, 0.02, 0.5, ImageSize -> 
         Tiny, ControlPlacement -> 
         Left}, {{$CellContext`size$$, 0.4, "sphere"}, 0.02, 1, ImageSize -> 
         Tiny, ControlPlacement -> 
         Left}, {{$CellContext`fields$$, True, "field"}, {True, False}, 
         ImageSize -> Tiny, ControlPlacement -> 
         Left}, {{$CellContext`s123$$, True, "supports"}, {True, False}, 
         ImageSize -> Tiny, ControlPlacement -> Left}}, 
      "Options" :> {TrackedSymbols -> Manipulate}, "DefaultOptions" :> {}],
     ImageSizeCache->{593., {271., 276.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.549085648743418*^9}]
}, Open  ]],

Cell[BoxData["\[IndentingNewLine]"], "Input",
 CellChangeTimes->{{3.549085698556806*^9, 3.54908574290547*^9}, {
  3.549091147262933*^9, 3.549091159395733*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{"(*", 
   RowBox[{"Main", " ", "processing", " ", "code"}], "*)"}], 
  RowBox[{
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "inputprimitives", ",", "inputgraphic", ",", "inputplaneimage", ",", 
       "inputplane", ",", "ftim", ",", "ftimg", ",", "inputplanegreen", ",", 
       "a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "ir", ",", "ft", ",",
        "ftab2"}], "}"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"gsc", "[", "image_", "]"}], ":=", 
       RowBox[{"gsc", "[", 
        RowBox[{"image", ",", "color"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"inputprimitives", "=", 
       RowBox[{"Rotate", "[", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"latticetype", "\[Equal]", "1"}], ",", 
           RowBox[{"convoluteshapewithcomb", "[", 
            RowBox[{"type", ",", "nx", ",", "ny", ",", 
             RowBox[{"10", "^", "logradius"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"10", "^", "loggridspacingx"}], ",", 
               RowBox[{"10", "^", "loggridspacingy"}]}], "}"}], ",", 
             "internalshaperotation", ",", "externalshaperotation", ",", 
             "annulusthickness"}], "]"}], ",", 
           RowBox[{"convoluteshapewithpolygongrid", "[", 
            RowBox[{"type", ",", "latticetype", ",", 
             RowBox[{"10", "^", "logradius"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"10", "^", "loggridspacingx"}], ",", 
               RowBox[{"10", "^", "loggridspacingy"}]}], "}"}], ",", 
             "internalshaperotation", ",", "externalshaperotation", ",", 
             "annulusthickness", ",", "pluszerozero"}], "]"}]}], "]"}], ",", 
         "rotation"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{"invertinput", ",", 
        RowBox[{"inputplaneimage", "=", 
         RowBox[{"ColorNegate", "[", 
          RowBox[{"Image", "[", 
           RowBox[{"ColorConvert", "[", 
            RowBox[{
             RowBox[{"Graphics", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"White", ",", "inputprimitives"}], "}"}], ",", 
               RowBox[{"PlotRange", "\[Rule]", "plotrange"}], ",", 
               RowBox[{"ImageSize", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{"resolution", ",", "resolution"}], "}"}]}], ",", 
               RowBox[{"Frame", "\[Rule]", "False"}], ",", 
               RowBox[{"Background", "\[Rule]", "Black"}]}], "]"}], ",", 
             "\"\<Grayscale\>\""}], "]"}], "]"}], "]"}]}], ",", 
        RowBox[{"inputplaneimage", "=", 
         RowBox[{"Image", "[", 
          RowBox[{"ColorConvert", "[", 
           RowBox[{
            RowBox[{"Graphics", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"White", ",", "inputprimitives"}], "}"}], ",", 
              RowBox[{"PlotRange", "\[Rule]", "plotrange"}], ",", 
              RowBox[{"ImageSize", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"resolution", ",", "resolution"}], "}"}]}], ",", 
              RowBox[{"Frame", "\[Rule]", "False"}], ",", 
              RowBox[{"Background", "\[Rule]", "Black"}]}], "]"}], ",", 
            "\"\<Grayscale\>\""}], "]"}], "]"}]}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"inputplane", "=", 
       RowBox[{"ImageData", "[", "inputplaneimage", "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"ft", "=", 
       RowBox[{"Abs", "[", 
        RowBox[{"spl", "[", 
         RowBox[{"Fourier", "[", "inputplane", "]"}], "]"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"ftab2", "=", 
       RowBox[{
        RowBox[{"Abs", "[", "ft", "]"}], "^", "2"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{"logintensity", ",", 
        RowBox[{
         RowBox[{"e", "=", 
          RowBox[{"Log", "[", 
           RowBox[{
            RowBox[{"1", "*", 
             RowBox[{"10", "^", 
              RowBox[{"-", "5"}]}]}], "+", "ftab2"}], "]"}]}], ";", 
         RowBox[{"d", "=", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", "*", "logbrightnessscaling"}], "+", "e"}], ")"}]}], 
         ";", "\[IndentingNewLine]", 
         RowBox[{"c", "=", 
          RowBox[{"e", "+", "10"}]}], ";", 
         RowBox[{"ir", "=", "All"}]}], ",", 
        RowBox[{
         RowBox[{"c", "=", 
          RowBox[{"d", "=", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"10", "^", "logbrightnessscaling"}], "*", "ftab2"}], 
            ")"}]}]}], ";", 
         RowBox[{"ir", "=", 
          RowBox[{"{", 
           RowBox[{"0", ",", "1"}], "}"}]}]}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"ftim", "=", 
       RowBox[{"Image", "[", "d", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Switch", "[", 
       RowBox[{"axisframe", ",", "3", ",", 
        RowBox[{
         RowBox[{"a", "=", 
          RowBox[{"Graphics", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Inset", "[", 
               RowBox[{
                RowBox[{"gsc", "[", "inputplaneimage", "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "0"}], "}"}], ",", "Center", ",", 
                "range"}], "]"}], ",", 
              RowBox[{"Inset", "[", 
               RowBox[{
                RowBox[{"ListLinePlot", "[", 
                 RowBox[{
                  RowBox[{"inputplane", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"resolution", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "/", "2"}], "+", "1"}], 
                    "]"}], "]"}], ",", 
                  RowBox[{"DataRange", "\[Rule]", 
                   RowBox[{"plotrange", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ",", 
                  RowBox[{"Axes", "\[Rule]", "False"}], ",", 
                  RowBox[{"PlotStyle", "\[Rule]", 
                   RowBox[{"Directive", "[", 
                    RowBox[{"Blue", ",", "Thick"}], "]"}]}], ",", 
                  RowBox[{"AspectRatio", "\[Rule]", "0.2"}], ",", 
                  RowBox[{"PlotRange", "\[Rule]", "Automatic"}]}], "]"}], ",", 
                RowBox[{"Scaled", "[", 
                 RowBox[{"{", 
                  RowBox[{"0.5", ",", "0.05"}], "}"}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "0"}], "}"}], ",", "2"}], "]"}], ",", 
              RowBox[{"Inset", "[", 
               RowBox[{
                RowBox[{"ListLinePlot", "[", 
                 RowBox[{
                  RowBox[{"inputplane", "[", 
                   RowBox[{"[", 
                    RowBox[{"All", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"resolution", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "/", "2"}], "+", "1"}]}], 
                    "]"}], "]"}], ",", 
                  RowBox[{"DataRange", "\[Rule]", 
                   RowBox[{"plotrange", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", 
                  RowBox[{"Axes", "\[Rule]", "False"}], ",", 
                  RowBox[{"PlotStyle", "\[Rule]", 
                   RowBox[{"Directive", "[", 
                    RowBox[{"Blue", ",", "Thick"}], "]"}]}], ",", 
                  RowBox[{"AspectRatio", "\[Rule]", "0.2"}], ",", 
                  RowBox[{"PlotRange", "\[Rule]", "Automatic"}]}], "]"}], ",", 
                RowBox[{"Scaled", "[", 
                 RowBox[{"{", 
                  RowBox[{"0.95", ",", "0.5"}], "}"}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "0"}], "}"}], ",", "2", ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "1"}], "}"}]}], "]"}]}], "}"}], ",", 
            RowBox[{"PlotRange", "\[Rule]", "plotrange"}], ",", 
            RowBox[{"Frame", "\[Rule]", "True"}], ",", 
            RowBox[{"ImagePadding", "\[Rule]", "pad"}], ",", 
            RowBox[{"FrameLabel", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"\"\<x/\[Lambda]\>\"", ",", "Black", ",", "Italic"}], 
                "]"}], ",", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<y/\[Lambda]\>\"", ",", "Black", ",", "Italic"}], 
                "]"}]}], "}"}]}], ",", 
            RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"Directive", "[", 
              RowBox[{"Black", ",", "12"}], "]"}]}], ",", 
            RowBox[{"FrameTicks", "\[Rule]", "Automatic"}], ",", 
            RowBox[{"FrameTicksStyle", "\[Rule]", 
             RowBox[{"Directive", "[", "Black", "]"}]}], ",", 
            RowBox[{"FrameStyle", "\[Rule]", 
             RowBox[{"Directive", "[", "White", "]"}]}], ",", 
            RowBox[{"RotateLabel", "\[Rule]", "False"}]}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"b", "=", 
          RowBox[{"Graphics", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Inset", "[", 
               RowBox[{
                RowBox[{"gsc", "[", "ftim", "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "0"}], "}"}], ",", "Center", ",", 
                "krange"}], "]"}], ",", 
              RowBox[{"Inset", "[", 
               RowBox[{
                RowBox[{"ListLinePlot", "[", 
                 RowBox[{
                  RowBox[{"c", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"resolution", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "/", "2"}], "+", "1"}], 
                    "]"}], "]"}], ",", 
                  RowBox[{"DataRange", "\[Rule]", 
                   RowBox[{"kplotrange", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ",", 
                  RowBox[{"Axes", "\[Rule]", "False"}], ",", 
                  RowBox[{"PlotStyle", "\[Rule]", 
                   RowBox[{"Directive", "[", 
                    RowBox[{"Blue", ",", "Thick"}], "]"}]}], ",", 
                  RowBox[{"AspectRatio", "\[Rule]", "0.2"}], ",", 
                  RowBox[{"PlotRange", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{"Full", ",", "ir"}], "}"}]}]}], "]"}], ",", 
                RowBox[{"Scaled", "[", 
                 RowBox[{"{", 
                  RowBox[{"0.5", ",", "0.05"}], "}"}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "0"}], "}"}], ",", "krange"}], "]"}], ",", 
              RowBox[{"Inset", "[", 
               RowBox[{
                RowBox[{"ListLinePlot", "[", 
                 RowBox[{
                  RowBox[{"c", "[", 
                   RowBox[{"[", 
                    RowBox[{"All", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"resolution", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "/", "2"}], "+", "1"}]}], 
                    "]"}], "]"}], ",", 
                  RowBox[{"DataRange", "\[Rule]", 
                   RowBox[{"kplotrange", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", 
                  RowBox[{"Axes", "\[Rule]", "False"}], ",", 
                  RowBox[{"PlotStyle", "\[Rule]", 
                   RowBox[{"Directive", "[", 
                    RowBox[{"Blue", ",", "Thick"}], "]"}]}], ",", 
                  RowBox[{"AspectRatio", "\[Rule]", "0.2"}], ",", 
                  RowBox[{"PlotRange", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{"Full", ",", "ir"}], "}"}]}]}], "]"}], ",", 
                RowBox[{"Scaled", "[", 
                 RowBox[{"{", 
                  RowBox[{"0.95", ",", "0.5"}], "}"}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "0"}], "}"}], ",", "krange", ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "1"}], "}"}]}], "]"}]}], "}"}], ",", 
            RowBox[{"PlotRange", "\[Rule]", "kplotrange"}], ",", 
            RowBox[{"Frame", "\[Rule]", "True"}], ",", 
            RowBox[{"ImagePadding", "\[Rule]", "pad"}], ",", 
            RowBox[{"FrameLabel", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{
                "\"\<\\!\\(\\*SubscriptBox[\\(k\\), \\(x\\)]\\)\>\"", ",", 
                 "Black"}], "]"}], ",", 
               RowBox[{"Style", "[", 
                RowBox[{
                "\"\<\\!\\(\\*SubscriptBox[\\(k\\), \\(y\\)]\\)\>\"", ",", 
                 "Black"}], "]"}]}], "}"}]}], ",", 
            RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"Directive", "[", 
              RowBox[{"Black", ",", "12"}], "]"}]}], ",", 
            RowBox[{"FrameTicks", "\[Rule]", "Automatic"}], ",", 
            RowBox[{"FrameTicksStyle", "\[Rule]", 
             RowBox[{"Directive", "[", "Black", "]"}]}], ",", 
            RowBox[{"FrameStyle", "\[Rule]", 
             RowBox[{"Directive", "[", "White", "]"}]}], ",", 
            RowBox[{"RotateLabel", "\[Rule]", "False"}]}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"GraphicsGrid", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", "a", "}"}], ",", 
             RowBox[{"{", "b", "}"}]}], "}"}], ",", 
           RowBox[{"(*", 
            RowBox[{"ImageSize", "\[Rule]", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"1", ",", "2"}], "}"}], "*", 
              RowBox[{"(", 
               RowBox[{"resolution", "+", 
                RowBox[{"Map", "[", 
                 RowBox[{"Total", ",", "pad"}], "]"}]}], ")"}]}]}], "*)"}], 
           RowBox[{"ImageSize", "\[Rule]", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"1", ",", "2"}], "}"}], "*", "resolution"}]}], ",", 
           RowBox[{"Spacings", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}]}]}], "]"}]}], ",", "2", ",", 
        RowBox[{"GraphicsGrid", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", "inputplaneimage", "}"}], ",", 
            RowBox[{"{", "ftim", "}"}]}], "}"}], ",", 
          RowBox[{"ImageSize", "\[Rule]", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"1", ",", "2"}], "}"}], "*", "resolution"}]}], ",", 
          RowBox[{"Spacings", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}]}]}], "]"}], ",", "4", ",", 
        RowBox[{"GraphicsGrid", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"gsc", "[", "inputplaneimage", "]"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"gsc", "[", "ftim", "]"}], "}"}]}], "}"}], ",", 
          RowBox[{"ImageSize", "\[Rule]", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"1", ",", "2"}], "}"}], "*", "resolution"}]}], ",", 
          RowBox[{"Spacings", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}]}]}], "]"}]}], "]"}]}]}], "]"}], 
   ",", 
   RowBox[{"(*", 
    RowBox[{"Options", " ", "and", " ", "variables"}], "*)"}], 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<Tvar \[SHacek]t\[EHacek]rbiny\>\"", ",", "Bold"}], "]"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"type", ",", "16", ",", "\"\<typ\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"16", "\[Rule]", "\"\<kruh\>\""}], ",", 
       RowBox[{"15", "\[Rule]", "\"\<mezikru\[ZHacek]\[IAcute]\>\""}], ",", 
       RowBox[{"14", "\[Rule]", "\"\<\[SHacek]t\[EHacek]rbina\>\""}], ",", 
       RowBox[{"13", "\[Rule]", "\"\<skvrna\>\""}], ",", 
       RowBox[{"3", "\[Rule]", "\"\<troj\[UAcute]heln\[IAcute]k\>\""}], ",", 
       RowBox[{"4", "\[Rule]", "\"\<\[CHacek]tverec\>\""}], ",", 
       RowBox[{
       "5", "\[Rule]", "\"\<p\[EHacek]ti\[UAcute]heln\[IAcute]k\>\""}], ",", 
       RowBox[{
       "6", "\[Rule]", "\"\<\[SHacek]esti\[UAcute]heln\[IAcute]k\>\""}], ",", 
       RowBox[{"7", "\[Rule]", "\"\<sedmi\[UAcute]heln\[IAcute]k\>\""}], ",", 
       RowBox[{"8", "\[Rule]", "\"\<osmi\[UAcute]heln\[IAcute]k\>\""}], ",", 
       RowBox[{"9", "\[Rule]", "\"\<deviti\[UAcute]heln\[IAcute]k\>\""}], ",", 
       RowBox[{"10", "\[Rule]", "\"\<deseti\[UAcute]heln\[IAcute]k\>\""}], 
       ",", 
       RowBox[{
       "11", "\[Rule]", "\"\<jeden\[AAcute]cti\[UAcute]heln\[IAcute]k\>\""}], 
       ",", 
       RowBox[{
       "12", "\[Rule]", "\"\<dvan\[AAcute]cti\[UAcute]heln\[IAcute]k\>\""}], 
       ",", 
       RowBox[{"17", "\[Rule]", "\"\<T\>\""}], ",", 
       RowBox[{"19", "\[Rule]", "\"\<7\>\""}], ",", 
       RowBox[{"20", "\[Rule]", "\"\<k\[RHacek]\[IAcute]\[ZHacek] 1\>\""}], 
       ",", 
       RowBox[{"21", "\[Rule]", "\"\<k\[RHacek]\[IAcute]\[ZHacek] 2\>\""}], 
       ",", 
       RowBox[{"23", "\[Rule]", "\"\<A\>\""}], ",", 
       RowBox[{"22", "\[Rule]", "\"\<S\>\""}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"logradius", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", 
         RowBox[{"-", "1"}]}], "}"}], ",", 
       RowBox[{"Tooltip", "[", 
        RowBox[{
        "\"\<m\[EHacek]\[RHacek]\[IAcute]tko\>\"", ",", 
         "\"\<logaritmick\[AAcute] stupnice\>\""}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "2"}], ",", 
       RowBox[{"-", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Log10", "[", 
        RowBox[{"Sqrt", "[", "2", "]"}], "]"}], ",", 
       RowBox[{"Log10", "[", 
        RowBox[{"Sqrt", "[", "2", "]"}], "]"}]}], "}"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "annulusthickness", ",", ".1", ",", 
       "\"\<tlou\[SHacek]\[THacek]ka \[CHacek]\[AAcute]ry\>\""}], "}"}], ",", 
     "0", ",", "1", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"internalshaperotation", ",", 
       RowBox[{
        RowBox[{"-", "Pi"}], "*", "0.25"}], ",", 
       "\"\<rotace vnit\[RHacek]n\[IAcute]ho tvaru\>\""}], "}"}], ",", 
     RowBox[{"-", "Pi"}], ",", "Pi", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "externalshaperotation", ",", "0", ",", 
       "\"\<rotace vn\[EHacek]j\[SHacek]\[IAcute]ho tvaru\>\""}], "}"}], ",", 
     RowBox[{"-", "Pi"}], ",", "Pi", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", "Delimiter", ",", 
   RowBox[{"Style", "[", 
    RowBox[{
    "\"\<Nastaven\[IAcute] m\[RHacek]\[IAcute]\[ZHacek]ky\>\"", ",", "Bold"}],
     "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "latticetype", ",", "1", ",", 
       "\"\<Typ m\[RHacek]\[IAcute]\[ZHacek]ky\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
       "1", "\[Rule]", "\"\<pr\[URing]se\[CHacek]\[IAcute]kov\[AAcute]\>\""}],
        ",", 
       RowBox[{"3", "\[Rule]", "\"\<troj\[UAcute]heln\[IAcute]k\>\""}], ",", 
       RowBox[{"4", "\[Rule]", "\"\<\[CHacek]tverec\>\""}], ",", 
       RowBox[{
       "5", "\[Rule]", "\"\<p\[EHacek]ti\[UAcute]heln\[IAcute]k\>\""}], ",", 
       RowBox[{
       "6", "\[Rule]", "\"\<\[SHacek]esti\[UAcute]heln\[IAcute]k\>\""}], ",", 
       RowBox[{"7", "\[Rule]", "\"\<sedmi\[UAcute]heln\[IAcute]k\>\""}], ",", 
       RowBox[{"8", "\[Rule]", "\"\<osmi\[UAcute]heln\[IAcute]k\>\""}], ",", 
       RowBox[{"9", "\[Rule]", "\"\<deviti\[UAcute]heln\[IAcute]k\>\""}], ",", 
       RowBox[{"10", "\[Rule]", "\"\<deseti\[UAcute]heln\[IAcute]k\>\""}], 
       ",", 
       RowBox[{
       "11", "\[Rule]", "\"\<jeden\[AAcute]cti\[UAcute]heln\[IAcute]k\>\""}], 
       ",", 
       RowBox[{
       "12", "\[Rule]", "\"\<dvan\[AAcute]cti\[UAcute]heln\[IAcute]k\>\""}]}],
       "}"}]}], "}"}], ",", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<po\[CHacek]et otvor\[URing]\>\"", ",", "Bold"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "pluszerozero", ",", "False", ",", "\"\<nulov\[YAcute] bod\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"nx", ",", "1", ",", "\"\<osa x\>\""}], "}"}], ",", "0", ",", 
     "10", ",", "1", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ny", ",", "1", ",", "\"\<osa y\>\""}], "}"}], ",", "0", ",", 
     "10", ",", "1", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   RowBox[{"Style", "[", 
    RowBox[{
    "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \\(10\\)]\\)(vyd\[AAcute]lenost \
otvor\[URing])\>\"", ",", "Bold"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"loggridspacingx", ",", 
       RowBox[{"-", "0.5"}], ",", 
       "\"\<osa x \\!\\(\\*SubscriptBox[\\(d\\), \\(x\\)]\\)\>\""}], "}"}], 
     ",", 
     RowBox[{"-", "2"}], ",", "0.5", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"loggridspacingy", ",", 
       RowBox[{"-", "0.5"}], ",", 
       "\"\<osa y \\!\\(\\*SubscriptBox[\\(d\\), \\(Y\\)]\\)\>\""}], "}"}], 
     ",", 
     RowBox[{"-", "2"}], ",", "0.5", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", "Delimiter", ",", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<N\[AAcute]stroje obr\[AAcute]zku\>\"", ",", "Bold"}], "]"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"rotation", ",", "0", ",", "\"\<rotace\>\""}], "}"}], ",", "0", 
     ",", 
     RowBox[{"2", " ", "Pi"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "invertinput", ",", "False", ",", 
       "\"\<zam\[EHacek]nit vstupn\[IAcute] otvor \>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "logintensity", ",", "False", ",", "\"\<vysok\[AAcute] intenzita\>\""}],
       "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"logbrightnessscaling", ",", "1", ",", 
       RowBox[{"Tooltip", "[", 
        RowBox[{
        "\"\<m\[EHacek]\[RHacek]\[IAcute]tko\>\"", ",", 
         "\"\<logaritmick\[AAcute] stupnice\>\""}], "]"}]}], "}"}], ",", 
     RowBox[{"-", "4"}], ",", "3", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"color", ",", "Green"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"axisframe", ",", "4", ",", "\"\<Typ zobrazen\[IAcute]\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"2", "\[Rule]", "\"\<jednoduch\[EAcute]\>\""}], ",", 
       RowBox[{"4", "\[Rule]", "\"\<barevn\[EAcute]\>\""}], ",", 
       RowBox[{"3", "\[Rule]", "\"\<s osami\>\""}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "PopupMenu"}]}], "}"}], ",", 
   RowBox[{"ContinuousAction", "\[Rule]", 
    RowBox[{"If", "[", 
     RowBox[{"type", ",", "Gaussian", ",", "False", ",", "True"}], "]"}]}], 
   ",", 
   RowBox[{"TrackedSymbols", "\[Rule]", "True"}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
   RowBox[{"Initialization", "\[RuleDelayed]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Get", "[", "\"\<Polytopes`\>\"", "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{
        "Initialization", " ", "variables", " ", "define", " ", "the", " ", 
         "global", " ", "behaviour", " ", "of", " ", "the", " ", 
         RowBox[{"plots", ".", "This"}], " ", "is", " ", "useful", " ", "in", 
         " ", "defining", " ", "the", " ", "plotrange", " ", "for", " ", 
         "the", " ", "slits", " ", "which", " ", "should", " ", "always", " ",
          "occupy", " ", "the", " ", "whole", " ", "length", " ", "or", " ", 
         "width", " ", "of", " ", "the", " ", "graph"}], ".."}], "*)"}], 
      RowBox[{"resolution", "=", 
       RowBox[{"{", 
        RowBox[{"246", ",", "246"}], "}"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"nullim", "=", 
       RowBox[{"Image", "[", 
        RowBox[{"ConstantArray", "[", 
         RowBox[{"0", ",", "resolution"}], "]"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"pad", "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"50", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"35", ",", "10"}], "}"}]}], "}"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"plotrange", "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"range", "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Max", "[", 
           RowBox[{"plotrange", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "]"}], "-", 
          RowBox[{"Min", "[", 
           RowBox[{"plotrange", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "]"}]}], ",", 
         RowBox[{
          RowBox[{"Max", "[", 
           RowBox[{"plotrange", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "]"}], "-", 
          RowBox[{"Min", "[", 
           RowBox[{"plotrange", "[", 
            RowBox[{"[", "2", "]"}], "]"}], "]"}]}]}], "}"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"dxdy", "=", 
       RowBox[{"range", "/", "resolution"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"kplotrange", "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "Pi"}], "/", 
            RowBox[{"dxdy", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], ",", 
           RowBox[{"Pi", "/", 
            RowBox[{"dxdy", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "Pi"}], "/", 
            RowBox[{"dxdy", "[", 
             RowBox[{"[", "2", "]"}], "]"}]}], ",", 
           RowBox[{"Pi", "/", 
            RowBox[{"dxdy", "[", 
             RowBox[{"[", "2", "]"}], "]"}]}]}], "}"}]}], "}"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"krange", "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Max", "[", 
           RowBox[{"kplotrange", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "]"}], "-", 
          RowBox[{"Min", "[", 
           RowBox[{"kplotrange", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "]"}]}], ",", 
         RowBox[{
          RowBox[{"Max", "[", 
           RowBox[{"kplotrange", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "]"}], "-", 
          RowBox[{"Min", "[", 
           RowBox[{"kplotrange", "[", 
            RowBox[{"[", "2", "]"}], "]"}], "]"}]}]}], "}"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"pointdensity", "=", 
       RowBox[{
        RowBox[{"Max", "[", "resolution", "]"}], "/", 
        RowBox[{"Max", "[", "range", "]"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"spl", "[", "array_", "]"}], ":=", 
       RowBox[{"Module", "[", 
        RowBox[{
         RowBox[{"{", "part", "}"}], ",", 
         RowBox[{
          RowBox[{"part", "=", 
           RowBox[{"Partition", "[", 
            RowBox[{"array", ",", 
             RowBox[{
              RowBox[{"Dimensions", "[", "array", "]"}], "/", "2"}]}], 
            "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"Join", "[", 
           RowBox[{
            RowBox[{"Join", "[", 
             RowBox[{
              RowBox[{"part", "[", 
               RowBox[{"[", 
                RowBox[{"2", ",", "2"}], "]"}], "]"}], ",", 
              RowBox[{"part", "[", 
               RowBox[{"[", 
                RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", "2"}], "]"}], ",", 
            RowBox[{"Join", "[", 
             RowBox[{
              RowBox[{"part", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "2"}], "]"}], "]"}], ",", 
              RowBox[{"part", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", "2"}], "]"}], ",",
             "1"}], "]"}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
       "Produces", " ", "a", " ", "gaussian", " ", "as", " ", "an", " ", 
        "image", " ", 
        RowBox[{"primitive", "."}]}], "*)"}], 
      RowBox[{
       RowBox[{"gaussraster", "[", "res_", "]"}], ":=", 
       RowBox[{"Raster", "[", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"1", ",", 
             RowBox[{"(", 
              RowBox[{"E", "^", 
               RowBox[{"-", 
                RowBox[{"(", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "^", "2"}], "/", 
                    RowBox[{"(", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"res", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "/", "6"}], ")"}], "^", 
                    "2"}]}], ")"}]}], "+", 
                   RowBox[{
                    RowBox[{"y", "^", "2"}], "/", 
                    RowBox[{"(", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"res", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "/", "6"}], ")"}], "^", 
                    "2"}]}], ")"}]}]}], ")"}], ")"}]}]}], ")"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", 
             RowBox[{
              RowBox[{"-", 
               RowBox[{"res", "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], "/", "2"}], ",", 
             RowBox[{
              RowBox[{"res", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "/", "2"}], ",", "1"}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{"y", ",", 
             RowBox[{
              RowBox[{"-", 
               RowBox[{"res", "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], "/", "2"}], ",", 
             RowBox[{
              RowBox[{"res", "[", 
               RowBox[{"[", "2", "]"}], "]"}], "/", "2"}], ",", "1"}], 
            "}"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "6"}], ",", 
             RowBox[{"-", "6"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"6", ",", "6"}], "}"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"Unified", " ", "shape", " ", "making", " ", "function"}], 
        ",", 
        RowBox[{
         RowBox[{
         "takes", " ", "into", " ", "account", " ", "the", " ", "nuances", 
          " ", "of", " ", "each", " ", "of", " ", "the", " ", "cases", " ", 
          "to", " ", "produce", " ", "a", " ", "shape", " ", "with", " ", "a",
           " ", "standard", " ", "size"}], "-", 
         RowBox[{"1", " ", "unit", " ", "along", " ", "each", " ", 
          RowBox[{"side", ".", "Transformations"}], " ", "can", " ", "be", 
          " ", "carried", " ", "out", " ", 
          RowBox[{"later", "."}]}]}]}], "*)"}], 
      RowBox[{
       RowBox[{"shape", "[", 
        RowBox[{
        "type_", ",", "position_", ",", "radius_", ",", 
         "internalshaperotation_", ",", "externalshaperotation_", ",", 
         "annulusthickness_"}], "]"}], ":=", 
       RowBox[{"Module", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"trafo", ",", "baser"}], "}"}], ",", 
         RowBox[{
          RowBox[{"trafo", "=", 
           RowBox[{"Composition", "[", 
            RowBox[{
             RowBox[{"RotationTransform", "[", 
              RowBox[{"externalshaperotation", ",", "position"}], "]"}], ",", 
             RowBox[{"TranslationTransform", "[", "position", "]"}], ",", 
             RowBox[{"ScalingTransform", "[", "radius", "]"}], ",", 
             RowBox[{
             "RotationTransform", "[", "internalshaperotation", "]"}]}], 
            "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"Switch", "[", 
           RowBox[{"type", ",", "3", ",", 
            RowBox[{"Polygon", "[", 
             RowBox[{"trafo", "[", 
              RowBox[{"Vertices", "[", "Polytopes`Triangle", "]"}], "]"}], 
             "]"}], ",", "4", ",", 
            RowBox[{"Polygon", "[", 
             RowBox[{"trafo", "[", 
              RowBox[{"Vertices", "[", "Polytopes`Square", "]"}], "]"}], 
             "]"}], ",", "5", ",", 
            RowBox[{"Polygon", "[", 
             RowBox[{"trafo", "[", 
              RowBox[{"Vertices", "[", "Polytopes`Pentagon", "]"}], "]"}], 
             "]"}], ",", "6", ",", 
            RowBox[{"Polygon", "[", 
             RowBox[{"trafo", "[", 
              RowBox[{"Vertices", "[", "Polytopes`Hexagon", "]"}], "]"}], 
             "]"}], ",", "7", ",", 
            RowBox[{"Polygon", "[", 
             RowBox[{"trafo", "[", 
              RowBox[{"Vertices", "[", "Polytopes`Heptagon", "]"}], "]"}], 
             "]"}], ",", "8", ",", 
            RowBox[{"Polygon", "[", 
             RowBox[{"trafo", "[", 
              RowBox[{"Vertices", "[", "Polytopes`Octagon", "]"}], "]"}], 
             "]"}], ",", "9", ",", 
            RowBox[{"Polygon", "[", 
             RowBox[{"trafo", "[", 
              RowBox[{"Vertices", "[", "Polytopes`Nonagon", "]"}], "]"}], 
             "]"}], ",", "10", ",", 
            RowBox[{"Polygon", "[", 
             RowBox[{"trafo", "[", 
              RowBox[{"Vertices", "[", "Polytopes`Decagon", "]"}], "]"}], 
             "]"}], ",", "11", ",", 
            RowBox[{"Polygon", "[", 
             RowBox[{"trafo", "[", 
              RowBox[{"Vertices", "[", "Polytopes`Undecagon", "]"}], "]"}], 
             "]"}], ",", "12", ",", 
            RowBox[{"Polygon", "[", 
             RowBox[{"trafo", "[", 
              RowBox[{"Vertices", "[", "Polytopes`Dodecagon", "]"}], "]"}], 
             "]"}], ",", "16", ",", 
            RowBox[{"GeometricTransformation", "[", 
             RowBox[{
              RowBox[{"Disk", "[", "]"}], ",", "trafo"}], "]"}], ",", "15", 
            ",", 
            RowBox[{"GeometricTransformation", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Thickness", "[", "annulusthickness", "]"}], ",", 
                RowBox[{"Circle", "[", "]"}]}], "}"}], ",", "trafo"}], "]"}], 
            ",", "14", ",", 
            RowBox[{"Rotate", "[", 
             RowBox[{
              RowBox[{"Rectangle", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"position", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "-", 
                   RowBox[{"radius", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ",", 
                  RowBox[{"1.5", "*", 
                   RowBox[{"Min", "[", "plotrange", "]"}]}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"position", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", 
                   RowBox[{"radius", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ",", 
                  RowBox[{"1.5", "*", 
                   RowBox[{"Max", "[", "plotrange", "]"}]}]}], "}"}]}], "]"}],
               ",", "externalshaperotation"}], "]"}], ",", "13", ",", 
            RowBox[{"GeometricTransformation", "[", 
             RowBox[{
              RowBox[{"gaussraster", "[", 
               RowBox[{"6", "*", "pointdensity", "*", "radius"}], "]"}], ",", 
              "trafo"}], "]"}], ",", "19", ",", 
            RowBox[{"GeometricTransformation", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Thickness", "[", "annulusthickness", "]"}], ",", 
                RowBox[{"CapForm", "[", "\"\<Butt\>\"", "]"}], ",", 
                RowBox[{"Line", "[", 
                 RowBox[{"N", "@", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Sqrt", "[", "3", "]"}], "/", "2"}], ")"}]}], ",", 
                    RowBox[{"1", "/", "2"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Sqrt", "[", "3", "]"}], "/", "2"}], ",", 
                    RowBox[{"1", "/", "2"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"-", "1"}]}], "}"}]}], "}"}]}], "]"}]}], "}"}], 
              ",", "trafo"}], "]"}], ",", "20", ",", 
            RowBox[{"GeometricTransformation", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Thickness", "[", "annulusthickness", "]"}], ",", 
                RowBox[{"CapForm", "[", "\"\<Butt\>\"", "]"}], ",", 
                RowBox[{"Line", "[", 
                 RowBox[{"N", "@", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Sqrt", "[", "3", "]"}], "/", "2"}], ")"}]}], ",",
                     "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Sqrt", "[", "3", "]"}], "/", "2"}], ",", "0"}], 
                    "}"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Sqrt", "[", "3", "]"}], "/", "2"}], ",", 
                    RowBox[{"1", "/", "2"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"-", "1"}]}], "}"}]}], "}"}]}], "}"}]}], "]"}]}], 
               "}"}], ",", "trafo"}], "]"}], ",", "21", ",", 
            RowBox[{"GeometricTransformation", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Thickness", "[", "annulusthickness", "]"}], ",", 
                RowBox[{"CapForm", "[", "\"\<Butt\>\"", "]"}], ",", 
                RowBox[{"Line", "[", 
                 RowBox[{"N", "@", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Sqrt", "[", "3", "]"}], "/", "2"}], ")"}]}], ",",
                     "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Sqrt", "[", "3", "]"}], "/", "2"}], ",", "0"}], 
                    "}"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Sqrt", "[", "3", "]"}], "/", "4"}], ",", 
                    RowBox[{"1", "/", "2"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Sqrt", "[", "3", "]"}], "/", "4"}], ")"}]}], ",", 
                    RowBox[{"-", "1"}]}], "}"}]}], "}"}]}], "}"}]}], "]"}]}], 
               "}"}], ",", "trafo"}], "]"}], ",", "17", ",", 
            RowBox[{"GeometricTransformation", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Thickness", "[", "annulusthickness", "]"}], ",", 
                RowBox[{"CapForm", "[", "\"\<Butt\>\"", "]"}], ",", 
                RowBox[{"Line", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "0.5"}], ",", "0.5"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"0.5", ",", "0.5"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"0", ",", "0.5"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"-", "0.5"}]}], "}"}]}], "}"}], "]"}]}], "}"}], 
              ",", "trafo"}], "]"}], ",", "22", ",", 
            RowBox[{"GeometricTransformation", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Thickness", "[", "annulusthickness", "]"}], ",", 
                RowBox[{"CapForm", "[", "\"\<Butt\>\"", "]"}], ",", 
                RowBox[{"Circle", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"0", ",", "0.5"}], "}"}], ",", "0.5", ",", 
                  RowBox[{"{", 
                   RowBox[{"0", ",", 
                    RowBox[{"1.5", " ", "Pi"}]}], "}"}]}], "]"}], ",", 
                RowBox[{"Circle", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"0", ",", 
                    RowBox[{"-", "0.5"}]}], "}"}], ",", "0.5", ",", 
                  RowBox[{"{", 
                   RowBox[{"Pi", ",", 
                    RowBox[{"2.5", " ", "Pi"}]}], "}"}]}], "]"}]}], "}"}], 
              ",", "trafo"}], "]"}], ",", "23", ",", 
            RowBox[{"GeometricTransformation", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Thickness", "[", "annulusthickness", "]"}], ",", 
                RowBox[{"CapForm", "[", "\"\<Butt\>\"", "]"}], ",", 
                RowBox[{"Line", "[", 
                 RowBox[{"N", "@", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Sqrt", "[", "3", "]"}], "/", "2"}], ",", 
                    RowBox[{"-", 
                    RowBox[{"(", 
                    RowBox[{"3", "/", "4"}], ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"3", "/", "4"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Sqrt", "[", "3", "]"}], "/", "2"}], ")"}]}], ",", 
                    RowBox[{"-", 
                    RowBox[{"(", 
                    RowBox[{"3", "/", "4"}], ")"}]}]}], "}"}]}], "}"}]}], 
                 "]"}], ",", 
                RowBox[{"Line", "[", 
                 RowBox[{"N", "@", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Sqrt", "[", "3", "]"}], "/", "4"}], ",", 
                    RowBox[{"0", "/", "4"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Sqrt", "[", "3", "]"}], "/", "4"}], ")"}]}], ",", 
                    RowBox[{"0", "/", "4"}]}], "}"}]}], "}"}]}], "]"}]}], 
               "}"}], ",", "trafo"}], "]"}]}], "]"}]}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{
         RowBox[{"Comb", " ", "convolution", " ", "function"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
         "puts", " ", "a", " ", "copy", " ", "of", " ", "shape", " ", "at", 
          " ", "each", " ", "position", " ", "on", " ", "a", " ", "grid", " ",
           "which", " ", "is", " ", 
          RowBox[{"rectangular", ".", "It"}], " ", "is", " ", "possible", " ",
           "to", " ", "implement", " ", "a", " ", "variable", " ", "basis", 
          " ", 
          RowBox[{"(", 
           RowBox[{
           "where", " ", "a", " ", "different", " ", "arrangement", " ", "of",
             " ", "points", " ", "is", " ", "placed", " ", "at", " ", "each", 
            " ", "lattice", " ", "point"}], ")"}], " ", "to", " ", "make", 
          " ", "any", " ", "arbitrary", " ", "repeating", " ", "lattice", " ",
           "shape"}]}], ",", 
        RowBox[{
        "but", " ", "this", " ", "obfuscates", " ", "the", " ", "purpose", 
         " ", "of", " ", "this", " ", 
         RowBox[{"demonstration", "."}]}]}], "*)"}], 
      RowBox[{
       RowBox[{"convoluteshapewithcomb", "[", 
        RowBox[{
        "type_", ",", "nx_", ",", "ny_", ",", "radius_", ",", "gridspacing_", 
         ",", "internalshaperotation_", ",", "externalshaperotation_", ",", 
         "annulusthickness_"}], "]"}], ":=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"shape", "[", 
          RowBox[{"type", ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", "y"}], "}"}], ",", "radius", ",", 
           "internalshaperotation", ",", "externalshaperotation", ",", 
           "annulusthickness"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"(", 
              RowBox[{"nx", "-", "1"}], ")"}]}], "*", "0.5", "*", 
            RowBox[{"gridspacing", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"+", 
             RowBox[{"(", 
              RowBox[{"nx", "-", "1"}], ")"}]}], "*", "0.5", "*", 
            RowBox[{"gridspacing", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], ",", 
           RowBox[{"gridspacing", "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"(", 
              RowBox[{"ny", "-", "1"}], ")"}]}], "*", "0.5", "*", 
            RowBox[{"gridspacing", "[", 
             RowBox[{"[", "2", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"+", 
             RowBox[{"(", 
              RowBox[{"ny", "-", "1"}], ")"}]}], "*", "0.5", "*", 
            RowBox[{"gridspacing", "[", 
             RowBox[{"[", "2", "]"}], "]"}]}], ",", 
           RowBox[{"gridspacing", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"Polygon", " ", "grid", " ", "convolution", " ", "function"}],
         ";", "\[IndentingNewLine]", 
        RowBox[{
        "puts", " ", "a", " ", "copy", " ", "of", " ", "a", " ", "shape", " ",
          "at", " ", "each", " ", "vertex", " ", "on", " ", "a", " ", 
         "scaled", " ", "polygon", " ", 
         RowBox[{"grid", "."}]}]}], "*)"}], 
      RowBox[{
       RowBox[{"convoluteshapewithpolygongrid", "[", 
        RowBox[{
        "type_", ",", "latticen_", ",", "radius_", ",", "gridspacing_", ",", 
         "internalshaperotation_", ",", "externalshaperotation_", ",", 
         "annulusthickness_", ",", "pluszerozero_"}], "]"}], ":=", 
       RowBox[{"Module", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"points", ",", "latticetype"}], "}"}], ",", 
         RowBox[{
          RowBox[{"latticetype", "=", 
           RowBox[{"Switch", "[", 
            RowBox[{
            "latticen", ",", "3", ",", "Polytopes`Triangle", ",", "4", ",", 
             "Polytopes`Square", ",", "5", ",", "Polytopes`Pentagon", ",", 
             "6", ",", "Polytopes`Hexagon", ",", "7", ",", 
             "Polytopes`Heptagon", ",", "8", ",", "Polytopes`Octagon", ",", 
             "9", ",", "Polytopes`Nonagon", ",", "10", ",", 
             "Polytopes`Decagon", ",", "11", ",", "Polytopes`Undecagon", ",", 
             "12", ",", "Polytopes`Dodecagon"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"points", "=", 
           RowBox[{"If", "[", 
            RowBox[{"pluszerozero", ",", 
             RowBox[{
              RowBox[{"ConstantArray", "[", 
               RowBox[{"gridspacing", ",", 
                RowBox[{
                 RowBox[{"NumberOfVertices", "[", "latticetype", "]"}], "+", 
                 "1"}]}], "]"}], "*", 
              RowBox[{"Append", "[", 
               RowBox[{
                RowBox[{"Vertices", "[", "latticetype", "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "0"}], "}"}]}], "]"}]}], ",", 
             RowBox[{
              RowBox[{"ConstantArray", "[", 
               RowBox[{"gridspacing", ",", 
                RowBox[{"NumberOfVertices", "[", "latticetype", "]"}]}], 
               "]"}], "*", 
              RowBox[{"Vertices", "[", "latticetype", "]"}]}]}], "]"}]}], ";",
           "\[IndentingNewLine]", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"shape", "[", 
             RowBox[{
             "type", ",", "p", ",", "radius", ",", "internalshaperotation", 
              ",", "externalshaperotation", ",", "annulusthickness"}], "]"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{"p", ",", "points"}], "}"}]}], "]"}]}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"gsc", "[", 
        RowBox[{"image_", ",", 
         RowBox[{"RGBColor", "[", 
          RowBox[{"r_", ",", "g_", ",", "b_"}], "]"}]}], "]"}], ":=", 
       RowBox[{"Module", "[", 
        RowBox[{
         RowBox[{"{", "d", "}"}], ",", 
         RowBox[{
          RowBox[{"d", "=", 
           RowBox[{"ImageData", "[", "image", "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"ColorCombine", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Image", "[", 
              RowBox[{"r", "*", "d"}], "]"}], ",", 
             RowBox[{"Image", "[", 
              RowBox[{"g", "*", "d"}], "]"}], ",", 
             RowBox[{"Image", "[", 
              RowBox[{"b", "*", "d"}], "]"}]}], "}"}], "]"}]}]}], "]"}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"gsc", "[", 
        RowBox[{"image_", ",", 
         RowBox[{"GrayLevel", "[", "v_", "]"}]}], "]"}], ":=", 
       RowBox[{"Module", "[", 
        RowBox[{
         RowBox[{"{", "d", "}"}], ",", 
         RowBox[{
          RowBox[{"d", "=", 
           RowBox[{"ImageData", "[", "image", "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"ColorCombine", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Image", "[", 
              RowBox[{"v", "*", "d"}], "]"}], ",", 
             RowBox[{"Image", "[", 
              RowBox[{"v", "*", "d"}], "]"}], ",", 
             RowBox[{"Image", "[", 
              RowBox[{"v", "*", "d"}], "]"}]}], "}"}], "]"}]}]}], "]"}]}], 
      ";"}], ")"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.549085769289809*^9, 3.549085769526835*^9}, 
   3.549091151412988*^9, {3.549092000142414*^9, 3.549092002840661*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`annulusthickness$$ = 
    0.1, $CellContext`axisframe$$ = 4, $CellContext`color$$ = RGBColor[
    0, 1, 0], $CellContext`externalshaperotation$$ = 
    0, $CellContext`internalshaperotation$$ = -0.7853981633974483, \
$CellContext`invertinput$$ = False, $CellContext`latticetype$$ = 
    1, $CellContext`logbrightnessscaling$$ = 
    1, $CellContext`loggridspacingx$$ = -0.5, $CellContext`loggridspacingy$$ \
= -0.5, $CellContext`logintensity$$ = 
    False, $CellContext`logradius$$ = {-1, -1}, $CellContext`nx$$ = 
    1, $CellContext`ny$$ = 1, $CellContext`pluszerozero$$ = 
    False, $CellContext`rotation$$ = 0, $CellContext`type$$ = 16, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[
       Style["Tvar \[SHacek]t\[EHacek]rbiny", Bold]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`type$$], 16, "typ"}, {
      16 -> "kruh", 15 -> "mezikru\[ZHacek]\[IAcute]", 14 -> 
       "\[SHacek]t\[EHacek]rbina", 13 -> "skvrna", 3 -> 
       "troj\[UAcute]heln\[IAcute]k", 4 -> "\[CHacek]tverec", 5 -> 
       "p\[EHacek]ti\[UAcute]heln\[IAcute]k", 6 -> 
       "\[SHacek]esti\[UAcute]heln\[IAcute]k", 7 -> 
       "sedmi\[UAcute]heln\[IAcute]k", 8 -> "osmi\[UAcute]heln\[IAcute]k", 9 -> 
       "deviti\[UAcute]heln\[IAcute]k", 10 -> "deseti\[UAcute]heln\[IAcute]k",
        11 -> "jeden\[AAcute]cti\[UAcute]heln\[IAcute]k", 12 -> 
       "dvan\[AAcute]cti\[UAcute]heln\[IAcute]k", 17 -> "T", 19 -> "7", 20 -> 
       "k\[RHacek]\[IAcute]\[ZHacek] 1", 21 -> 
       "k\[RHacek]\[IAcute]\[ZHacek] 2", 23 -> "A", 22 -> "S"}}, {{
       Hold[$CellContext`logradius$$], {-1, -1}, 
       Tooltip[
       "m\[EHacek]\[RHacek]\[IAcute]tko", 
        "logaritmick\[AAcute] stupnice"]}, {-2, -2}, {
      Rational[1, 2] Log[2]/Log[10], Rational[1, 2] Log[2]/Log[10]}}, {{
       Hold[$CellContext`annulusthickness$$], 0.1, 
       "tlou\[SHacek]\[THacek]ka \[CHacek]\[AAcute]ry"}, 0, 1}, {{
       Hold[$CellContext`internalshaperotation$$], -0.7853981633974483, 
       "rotace vnit\[RHacek]n\[IAcute]ho tvaru"}, -Pi, Pi}, {{
       Hold[$CellContext`externalshaperotation$$], 0, 
       "rotace vn\[EHacek]j\[SHacek]\[IAcute]ho tvaru"}, -Pi, Pi}, {
      Hold[
       Style["Nastaven\[IAcute] m\[RHacek]\[IAcute]\[ZHacek]ky", Bold]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`latticetype$$], 1, 
       "Typ m\[RHacek]\[IAcute]\[ZHacek]ky"}, {
      1 -> "pr\[URing]se\[CHacek]\[IAcute]kov\[AAcute]", 3 -> 
       "troj\[UAcute]heln\[IAcute]k", 4 -> "\[CHacek]tverec", 5 -> 
       "p\[EHacek]ti\[UAcute]heln\[IAcute]k", 6 -> 
       "\[SHacek]esti\[UAcute]heln\[IAcute]k", 7 -> 
       "sedmi\[UAcute]heln\[IAcute]k", 8 -> "osmi\[UAcute]heln\[IAcute]k", 9 -> 
       "deviti\[UAcute]heln\[IAcute]k", 10 -> "deseti\[UAcute]heln\[IAcute]k",
        11 -> "jeden\[AAcute]cti\[UAcute]heln\[IAcute]k", 12 -> 
       "dvan\[AAcute]cti\[UAcute]heln\[IAcute]k"}}, {
      Hold[
       Style["po\[CHacek]et otvor\[URing]", Bold]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`pluszerozero$$], False, "nulov\[YAcute] bod"}, {
      True, False}}, {{
       Hold[$CellContext`nx$$], 1, "osa x"}, 0, 10, 1}, {{
       Hold[$CellContext`ny$$], 1, "osa y"}, 0, 10, 1}, {
      Hold[
       Style[
       "\!\(\*SubscriptBox[\(Log\), \(10\)]\)(vyd\[AAcute]lenost \
otvor\[URing])", Bold]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`loggridspacingx$$], -0.5, 
       "osa x \!\(\*SubscriptBox[\(d\), \(x\)]\)"}, -2, 0.5}, {{
       Hold[$CellContext`loggridspacingy$$], -0.5, 
       "osa y \!\(\*SubscriptBox[\(d\), \(Y\)]\)"}, -2, 0.5}, {
      Hold[
       Style["N\[AAcute]stroje obr\[AAcute]zku", Bold]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`rotation$$], 0, "rotace"}, 0, 2 Pi}, {{
       Hold[$CellContext`invertinput$$], False, 
       "zam\[EHacek]nit vstupn\[IAcute] otvor "}, {True, False}}, {{
       Hold[$CellContext`logintensity$$], False, 
       "vysok\[AAcute] intenzita"}, {True, False}}, {{
       Hold[$CellContext`logbrightnessscaling$$], 1, 
       Tooltip[
       "m\[EHacek]\[RHacek]\[IAcute]tko", 
        "logaritmick\[AAcute] stupnice"]}, -4, 3}, {
      Hold[$CellContext`color$$], 
      RGBColor[0, 1, 0]}, {{
       Hold[$CellContext`axisframe$$], 4, "Typ zobrazen\[IAcute]"}, {
      2 -> "jednoduch\[EAcute]", 4 -> "barevn\[EAcute]", 3 -> "s osami"}}}, 
    Typeset`size$$ = {246., {244., 248.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`type$15607$$ = 
    False, $CellContext`logradius$15608$$ = {0, 
    0}, $CellContext`annulusthickness$15609$$ = 
    0, $CellContext`internalshaperotation$15610$$ = 
    0, $CellContext`externalshaperotation$15611$$ = 
    0, $CellContext`latticetype$15612$$ = 
    False, $CellContext`pluszerozero$15613$$ = 
    False, $CellContext`nx$15614$$ = 0, $CellContext`ny$15615$$ = 
    0, $CellContext`loggridspacingx$15616$$ = 
    0, $CellContext`loggridspacingy$15617$$ = 
    0, $CellContext`rotation$15618$$ = 0, $CellContext`invertinput$15619$$ = 
    False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`annulusthickness$$ = 
        0.1, $CellContext`axisframe$$ = 4, $CellContext`color$$ = 
        RGBColor[0, 1, 0], $CellContext`externalshaperotation$$ = 
        0, $CellContext`internalshaperotation$$ = -0.7853981633974483, \
$CellContext`invertinput$$ = False, $CellContext`latticetype$$ = 
        1, $CellContext`logbrightnessscaling$$ = 
        1, $CellContext`loggridspacingx$$ = -0.5, \
$CellContext`loggridspacingy$$ = -0.5, $CellContext`logintensity$$ = 
        False, $CellContext`logradius$$ = {-1, -1}, $CellContext`nx$$ = 
        1, $CellContext`ny$$ = 1, $CellContext`pluszerozero$$ = 
        False, $CellContext`rotation$$ = 0, $CellContext`type$$ = 16}, 
      "ControllerVariables" :> {
        Hold[$CellContext`type$$, $CellContext`type$15607$$, False], 
        Hold[$CellContext`logradius$$, $CellContext`logradius$15608$$, {0, 
         0}], 
        Hold[$CellContext`annulusthickness$$, \
$CellContext`annulusthickness$15609$$, 0], 
        Hold[$CellContext`internalshaperotation$$, \
$CellContext`internalshaperotation$15610$$, 0], 
        Hold[$CellContext`externalshaperotation$$, \
$CellContext`externalshaperotation$15611$$, 0], 
        Hold[$CellContext`latticetype$$, $CellContext`latticetype$15612$$, 
         False], 
        Hold[$CellContext`pluszerozero$$, $CellContext`pluszerozero$15613$$, 
         False], 
        Hold[$CellContext`nx$$, $CellContext`nx$15614$$, 0], 
        Hold[$CellContext`ny$$, $CellContext`ny$15615$$, 0], 
        Hold[$CellContext`loggridspacingx$$, \
$CellContext`loggridspacingx$15616$$, 0], 
        Hold[$CellContext`loggridspacingy$$, \
$CellContext`loggridspacingy$15617$$, 0], 
        Hold[$CellContext`rotation$$, $CellContext`rotation$15618$$, 0], 
        Hold[$CellContext`invertinput$$, $CellContext`invertinput$15619$$, 
         False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`inputprimitives$, $CellContext`inputgraphic$, \
$CellContext`inputplaneimage$, $CellContext`inputplane$, $CellContext`ftim$, \
$CellContext`ftimg$, $CellContext`inputplanegreen$, $CellContext`a$, \
$CellContext`b$, $CellContext`c$, $CellContext`d$, $CellContext`e$, \
$CellContext`ir$, $CellContext`ft$, $CellContext`ftab2$}, $CellContext`gsc[
           Pattern[$CellContext`image$, 
            
            Blank[]]] := $CellContext`gsc[$CellContext`image$, \
$CellContext`color$$]; $CellContext`inputprimitives$ = Rotate[
           If[$CellContext`latticetype$$ == 1, 
            $CellContext`convoluteshapewithcomb[$CellContext`type$$, \
$CellContext`nx$$, $CellContext`ny$$, 10^$CellContext`logradius$$, {
             10^$CellContext`loggridspacingx$$, 
              10^$CellContext`loggridspacingy$$}, \
$CellContext`internalshaperotation$$, $CellContext`externalshaperotation$$, \
$CellContext`annulusthickness$$], 
            $CellContext`convoluteshapewithpolygongrid[$CellContext`type$$, \
$CellContext`latticetype$$, 10^$CellContext`logradius$$, {
             10^$CellContext`loggridspacingx$$, 
              10^$CellContext`loggridspacingy$$}, \
$CellContext`internalshaperotation$$, $CellContext`externalshaperotation$$, \
$CellContext`annulusthickness$$, $CellContext`pluszerozero$$]], \
$CellContext`rotation$$]; 
        If[$CellContext`invertinput$$, $CellContext`inputplaneimage$ = 
          ColorNegate[
            Image[
             ColorConvert[
              
              Graphics[{White, $CellContext`inputprimitives$}, 
               PlotRange -> $CellContext`plotrange, 
               ImageSize -> {$CellContext`resolution, \
$CellContext`resolution}, Frame -> False, Background -> Black], 
              "Grayscale"]]], $CellContext`inputplaneimage$ = Image[
            ColorConvert[
             
             Graphics[{White, $CellContext`inputprimitives$}, 
              PlotRange -> $CellContext`plotrange, 
              ImageSize -> {$CellContext`resolution, $CellContext`resolution},
               Frame -> False, Background -> Black], 
             "Grayscale"]]]; $CellContext`inputplane$ = 
         ImageData[$CellContext`inputplaneimage$]; $CellContext`ft$ = Abs[
           $CellContext`spl[
            Fourier[$CellContext`inputplane$]]]; $CellContext`ftab2$ = 
         Abs[$CellContext`ft$]^2; 
        If[$CellContext`logintensity$$, $CellContext`e$ = 
           Log[1 10^(-5) + $CellContext`ftab2$]; $CellContext`d$ = 
           4 $CellContext`logbrightnessscaling$$ + $CellContext`e$; \
$CellContext`c$ = $CellContext`e$ + 10; $CellContext`ir$ = 
           All, $CellContext`c$ = ($CellContext`d$ = 
            10^$CellContext`logbrightnessscaling$$ $CellContext`ftab2$); \
$CellContext`ir$ = {0, 1}]; $CellContext`ftim$ = Image[$CellContext`d$]; 
        Switch[$CellContext`axisframe$$, 3, $CellContext`a$ = Graphics[{
              Inset[
               $CellContext`gsc[$CellContext`inputplaneimage$], {0, 0}, 
               Center, $CellContext`range], 
              Inset[
               ListLinePlot[
                
                Part[$CellContext`inputplane$, 
                 Part[$CellContext`resolution, 1]/2 + 1], DataRange -> 
                Part[$CellContext`plotrange, 1], Axes -> False, PlotStyle -> 
                Directive[Blue, Thick], AspectRatio -> 0.2, PlotRange -> 
                Automatic], 
               Scaled[{0.5, 0.05}], {0, 0}, 2], 
              Inset[
               ListLinePlot[
                
                Part[$CellContext`inputplane$, All, 
                 Part[$CellContext`resolution, 1]/2 + 1], DataRange -> 
                Part[$CellContext`plotrange, 2], Axes -> False, PlotStyle -> 
                Directive[Blue, Thick], AspectRatio -> 0.2, PlotRange -> 
                Automatic], 
               Scaled[{0.95, 0.5}], {0, 0}, 2, {0, 1}]}, 
             PlotRange -> $CellContext`plotrange, Frame -> True, 
             ImagePadding -> $CellContext`pad, FrameLabel -> {
               Style["x/\[Lambda]", Black, Italic], 
               Style["y/\[Lambda]", Black, Italic]}, LabelStyle -> 
             Directive[Black, 12], FrameTicks -> Automatic, FrameTicksStyle -> 
             Directive[Black], FrameStyle -> Directive[White], RotateLabel -> 
             False]; $CellContext`b$ = Graphics[{
              Inset[
               $CellContext`gsc[$CellContext`ftim$], {0, 0}, 
               Center, $CellContext`krange], 
              Inset[
               ListLinePlot[
                Part[$CellContext`c$, Part[$CellContext`resolution, 1]/2 + 1],
                 DataRange -> Part[$CellContext`kplotrange, 1], Axes -> False,
                 PlotStyle -> Directive[Blue, Thick], AspectRatio -> 0.2, 
                PlotRange -> {Full, $CellContext`ir$}], 
               Scaled[{0.5, 0.05}], {0, 0}, $CellContext`krange], 
              Inset[
               ListLinePlot[
                Part[$CellContext`c$, All, Part[$CellContext`resolution, 1]/2 + 
                 1], DataRange -> Part[$CellContext`kplotrange, 2], Axes -> 
                False, PlotStyle -> Directive[Blue, Thick], AspectRatio -> 
                0.2, PlotRange -> {Full, $CellContext`ir$}], 
               Scaled[{0.95, 0.5}], {0, 0}, $CellContext`krange, {0, 1}]}, 
             PlotRange -> $CellContext`kplotrange, Frame -> True, 
             ImagePadding -> $CellContext`pad, FrameLabel -> {
               Style["\!\(\*SubscriptBox[\(k\), \(x\)]\)", Black], 
               Style["\!\(\*SubscriptBox[\(k\), \(y\)]\)", Black]}, 
             LabelStyle -> Directive[Black, 12], FrameTicks -> Automatic, 
             FrameTicksStyle -> Directive[Black], FrameStyle -> 
             Directive[White], RotateLabel -> False]; 
          GraphicsGrid[{{$CellContext`a$}, {$CellContext`b$}}, 
            ImageSize -> {1, 2} $CellContext`resolution, Spacings -> {0, 0}], 
          2, 
          
          GraphicsGrid[{{$CellContext`inputplaneimage$}, \
{$CellContext`ftim$}}, ImageSize -> {1, 2} $CellContext`resolution, 
           Spacings -> {0, 0}], 4, 
          GraphicsGrid[{{
             $CellContext`gsc[$CellContext`inputplaneimage$]}, {
             $CellContext`gsc[$CellContext`ftim$]}}, 
           ImageSize -> {1, 2} $CellContext`resolution, Spacings -> {0, 0}]]],
       "Specifications" :> {
        Style[
        "Tvar \[SHacek]t\[EHacek]rbiny", 
         Bold], {{$CellContext`type$$, 16, "typ"}, {
         16 -> "kruh", 15 -> "mezikru\[ZHacek]\[IAcute]", 14 -> 
          "\[SHacek]t\[EHacek]rbina", 13 -> "skvrna", 3 -> 
          "troj\[UAcute]heln\[IAcute]k", 4 -> "\[CHacek]tverec", 5 -> 
          "p\[EHacek]ti\[UAcute]heln\[IAcute]k", 6 -> 
          "\[SHacek]esti\[UAcute]heln\[IAcute]k", 7 -> 
          "sedmi\[UAcute]heln\[IAcute]k", 8 -> "osmi\[UAcute]heln\[IAcute]k", 
          9 -> "deviti\[UAcute]heln\[IAcute]k", 10 -> 
          "deseti\[UAcute]heln\[IAcute]k", 11 -> 
          "jeden\[AAcute]cti\[UAcute]heln\[IAcute]k", 12 -> 
          "dvan\[AAcute]cti\[UAcute]heln\[IAcute]k", 17 -> "T", 19 -> "7", 20 -> 
          "k\[RHacek]\[IAcute]\[ZHacek] 1", 21 -> 
          "k\[RHacek]\[IAcute]\[ZHacek] 2", 23 -> "A", 22 -> 
          "S"}}, {{$CellContext`logradius$$, {-1, -1}, 
          Tooltip[
          "m\[EHacek]\[RHacek]\[IAcute]tko", 
           "logaritmick\[AAcute] stupnice"]}, {-2, -2}, {
         Rational[1, 2] Log[2]/Log[10], Rational[1, 2] Log[2]/Log[10]}, 
         ImageSize -> 
         Small}, {{$CellContext`annulusthickness$$, 0.1, 
          "tlou\[SHacek]\[THacek]ka \[CHacek]\[AAcute]ry"}, 0, 1, ImageSize -> 
         Tiny}, {{$CellContext`internalshaperotation$$, -0.7853981633974483, 
          "rotace vnit\[RHacek]n\[IAcute]ho tvaru"}, -Pi, Pi, ImageSize -> 
         Tiny}, {{$CellContext`externalshaperotation$$, 0, 
          "rotace vn\[EHacek]j\[SHacek]\[IAcute]ho tvaru"}, -Pi, Pi, 
         ImageSize -> Tiny}, Delimiter, 
        Style[
        "Nastaven\[IAcute] m\[RHacek]\[IAcute]\[ZHacek]ky", 
         Bold], {{$CellContext`latticetype$$, 1, 
          "Typ m\[RHacek]\[IAcute]\[ZHacek]ky"}, {
         1 -> "pr\[URing]se\[CHacek]\[IAcute]kov\[AAcute]", 3 -> 
          "troj\[UAcute]heln\[IAcute]k", 4 -> "\[CHacek]tverec", 5 -> 
          "p\[EHacek]ti\[UAcute]heln\[IAcute]k", 6 -> 
          "\[SHacek]esti\[UAcute]heln\[IAcute]k", 7 -> 
          "sedmi\[UAcute]heln\[IAcute]k", 8 -> "osmi\[UAcute]heln\[IAcute]k", 
          9 -> "deviti\[UAcute]heln\[IAcute]k", 10 -> 
          "deseti\[UAcute]heln\[IAcute]k", 11 -> 
          "jeden\[AAcute]cti\[UAcute]heln\[IAcute]k", 12 -> 
          "dvan\[AAcute]cti\[UAcute]heln\[IAcute]k"}}, 
        Style[
        "po\[CHacek]et otvor\[URing]", 
         Bold], {{$CellContext`pluszerozero$$, False, "nulov\[YAcute] bod"}, {
         True, False}}, {{$CellContext`nx$$, 1, "osa x"}, 0, 10, 1, ImageSize -> 
         Tiny}, {{$CellContext`ny$$, 1, "osa y"}, 0, 10, 1, ImageSize -> 
         Tiny}, 
        Style[
        "\!\(\*SubscriptBox[\(Log\), \(10\)]\)(vyd\[AAcute]lenost otvor\
\[URing])", 
         Bold], {{$CellContext`loggridspacingx$$, -0.5, 
          "osa x \!\(\*SubscriptBox[\(d\), \(x\)]\)"}, -2, 0.5, ImageSize -> 
         Tiny}, {{$CellContext`loggridspacingy$$, -0.5, 
          "osa y \!\(\*SubscriptBox[\(d\), \(Y\)]\)"}, -2, 0.5, ImageSize -> 
         Tiny}, Delimiter, 
        Style[
        "N\[AAcute]stroje obr\[AAcute]zku", 
         Bold], {{$CellContext`rotation$$, 0, "rotace"}, 0, 2 Pi, ImageSize -> 
         Tiny}, {{$CellContext`invertinput$$, False, 
          "zam\[EHacek]nit vstupn\[IAcute] otvor "}, {
         True, False}}, {{$CellContext`logintensity$$, False, 
          "vysok\[AAcute] intenzita"}, {
         True, False}}, {{$CellContext`logbrightnessscaling$$, 1, 
          Tooltip[
          "m\[EHacek]\[RHacek]\[IAcute]tko", 
           "logaritmick\[AAcute] stupnice"]}, -4, 3, ImageSize -> 
         Tiny}, {$CellContext`color$$, 
         RGBColor[
         0, 1, 0]}, {{$CellContext`axisframe$$, 4, "Typ zobrazen\[IAcute]"}, {
         2 -> "jednoduch\[EAcute]", 4 -> "barevn\[EAcute]", 3 -> "s osami"}, 
         ControlType -> PopupMenu}}, 
      "Options" :> {
       ContinuousAction -> True, TrackedSymbols -> True, ControlPlacement -> 
        Left}, "DefaultOptions" :> {}],
     ImageSizeCache->{637., {312., 317.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>((
      Get["Polytopes`"]; $CellContext`resolution = {246, 
        246}; $CellContext`nullim = Image[
         ConstantArray[0, $CellContext`resolution]]; $CellContext`pad = {{50, 
        20}, {35, 10}}; $CellContext`plotrange = {{-1, 1}, {-1, 
        1}}; $CellContext`range = {Max[
           Part[$CellContext`plotrange, 1]] - Min[
          Part[$CellContext`plotrange, 1]], Max[
           Part[$CellContext`plotrange, 1]] - Min[
          
          Part[$CellContext`plotrange, 
           2]]}; $CellContext`dxdy = \
$CellContext`range/$CellContext`resolution; $CellContext`kplotrange = {{(-Pi)/
          Part[$CellContext`dxdy, 1], Pi/Part[$CellContext`dxdy, 1]}, {(-Pi)/
          Part[$CellContext`dxdy, 2], Pi/
          Part[$CellContext`dxdy, 2]}}; $CellContext`krange = {Max[
           Part[$CellContext`kplotrange, 1]] - Min[
          Part[$CellContext`kplotrange, 1]], Max[
           Part[$CellContext`kplotrange, 1]] - Min[
          Part[$CellContext`kplotrange, 2]]}; $CellContext`pointdensity = 
       Max[$CellContext`resolution]/Max[$CellContext`range]; $CellContext`spl[
         Pattern[$CellContext`array, 
          Blank[]]] := 
       Module[{$CellContext`part}, $CellContext`part = 
          Partition[$CellContext`array, Dimensions[$CellContext`array]/2]; 
         Join[
           Join[
            Part[$CellContext`part, 2, 2], 
            Part[$CellContext`part, 2, 1], 2], 
           Join[
            Part[$CellContext`part, 1, 2], 
            Part[$CellContext`part, 1, 1], 2], 1]]; $CellContext`gaussraster[
         Pattern[$CellContext`res, 
          Blank[]]] := Raster[
         Table[{
          1, E^(-($CellContext`x^2/(
              2 (Part[$CellContext`res, 1]/6)^2) + $CellContext`y^2/(
              2 (Part[$CellContext`res, 2]/6)^2)))}, {$CellContext`x, (-
            Part[$CellContext`res, 1])/2, Part[$CellContext`res, 1]/2, 
           1}, {$CellContext`y, (-Part[$CellContext`res, 2])/2, 
           Part[$CellContext`res, 2]/2, 1}], {{-6, -6}, {6, 
         6}}]; $CellContext`shape[
         Pattern[$CellContext`type, 
          Blank[]], 
         Pattern[$CellContext`position, 
          Blank[]], 
         Pattern[$CellContext`radius, 
          Blank[]], 
         Pattern[$CellContext`internalshaperotation, 
          Blank[]], 
         Pattern[$CellContext`externalshaperotation, 
          Blank[]], 
         Pattern[$CellContext`annulusthickness, 
          Blank[]]] := 
       Module[{$CellContext`trafo, $CellContext`baser}, $CellContext`trafo = 
          Composition[
            
            RotationTransform[$CellContext`externalshaperotation, \
$CellContext`position], 
            TranslationTransform[$CellContext`position], 
            ScalingTransform[$CellContext`radius], 
            RotationTransform[$CellContext`internalshaperotation]]; 
         Switch[$CellContext`type, 3, 
           Polygon[
            $CellContext`trafo[
             Polytopes`Vertices[Polytopes`Triangle]]], 4, 
           Polygon[
            $CellContext`trafo[
             Polytopes`Vertices[Polytopes`Square]]], 5, 
           Polygon[
            $CellContext`trafo[
             Polytopes`Vertices[Polytopes`Pentagon]]], 6, 
           Polygon[
            $CellContext`trafo[
             Polytopes`Vertices[Polytopes`Hexagon]]], 7, 
           Polygon[
            $CellContext`trafo[
             Polytopes`Vertices[Polytopes`Heptagon]]], 8, 
           Polygon[
            $CellContext`trafo[
             Polytopes`Vertices[Polytopes`Octagon]]], 9, 
           Polygon[
            $CellContext`trafo[
             Polytopes`Vertices[Polytopes`Nonagon]]], 10, 
           Polygon[
            $CellContext`trafo[
             Polytopes`Vertices[Polytopes`Decagon]]], 11, 
           Polygon[
            $CellContext`trafo[
             Polytopes`Vertices[Polytopes`Undecagon]]], 12, 
           Polygon[
            $CellContext`trafo[
             Polytopes`Vertices[Polytopes`Dodecagon]]], 16, 
           GeometricTransformation[
            Disk[], $CellContext`trafo], 15, 
           GeometricTransformation[{
             Thickness[$CellContext`annulusthickness], 
             Circle[]}, $CellContext`trafo], 14, 
           Rotate[
            
            Rectangle[{
             Part[$CellContext`position, 1] - Part[$CellContext`radius, 1], 
              1.5 Min[$CellContext`plotrange]}, {
             Part[$CellContext`position, 1] + Part[$CellContext`radius, 1], 
              1.5 Max[$CellContext`plotrange]}], \
$CellContext`externalshaperotation], 13, 
           GeometricTransformation[
            $CellContext`gaussraster[
            6 $CellContext`pointdensity $CellContext`radius], \
$CellContext`trafo], 19, 
           GeometricTransformation[{
             Thickness[$CellContext`annulusthickness], 
             CapForm["Butt"], 
             Line[
              
              N[{{-(Sqrt[3]/2), 1/2}, {Sqrt[3]/2, 1/2}, {
                0, -1}}]]}, $CellContext`trafo], 20, 
           GeometricTransformation[{
             Thickness[$CellContext`annulusthickness], 
             CapForm["Butt"], 
             Line[
              
              N[{{{-(Sqrt[3]/2), 0}, {Sqrt[3]/2, 0}}, {{Sqrt[3]/2, 1/2}, {
                 0, -1}}}]]}, $CellContext`trafo], 21, 
           GeometricTransformation[{
             Thickness[$CellContext`annulusthickness], 
             CapForm["Butt"], 
             Line[
              
              N[{{{-(Sqrt[3]/2), 0}, {Sqrt[3]/2, 0}}, {{
                 Sqrt[3]/4, 1/
                  2}, {-(Sqrt[3]/4), -1}}}]]}, $CellContext`trafo], 17, 
           GeometricTransformation[{
             Thickness[$CellContext`annulusthickness], 
             CapForm["Butt"], 
             
             Line[{{-0.5, 0.5}, {0.5, 0.5}, {0, 0.5}, {
               0, -0.5}}]}, $CellContext`trafo], 22, 
           GeometricTransformation[{
             Thickness[$CellContext`annulusthickness], 
             CapForm["Butt"], 
             Circle[{0, 0.5}, 0.5, {0, 1.5 Pi}], 
             Circle[{0, -0.5}, 0.5, {Pi, 2.5 Pi}]}, $CellContext`trafo], 23, 
           GeometricTransformation[{
             Thickness[$CellContext`annulusthickness], 
             CapForm["Butt"], 
             Line[
              N[{{Sqrt[3]/2, -(3/4)}, {0, 3/4}, {-(Sqrt[3]/2), -(3/4)}}]], 
             Line[
              
              N[{{Sqrt[3]/4, 0/4}, {-(Sqrt[3]/4), 0/
                 4}}]]}, $CellContext`trafo]]]; \
$CellContext`convoluteshapewithcomb[
         Pattern[$CellContext`type, 
          Blank[]], 
         Pattern[$CellContext`nx, 
          Blank[]], 
         Pattern[$CellContext`ny, 
          Blank[]], 
         Pattern[$CellContext`radius, 
          Blank[]], 
         Pattern[$CellContext`gridspacing, 
          Blank[]], 
         Pattern[$CellContext`internalshaperotation, 
          Blank[]], 
         Pattern[$CellContext`externalshaperotation, 
          Blank[]], 
         Pattern[$CellContext`annulusthickness, 
          Blank[]]] := Table[
         $CellContext`shape[$CellContext`type, {$CellContext`x, \
$CellContext`y}, $CellContext`radius, $CellContext`internalshaperotation, \
$CellContext`externalshaperotation, $CellContext`annulusthickness], \
{$CellContext`x, (-($CellContext`nx - 1)) 0.5 
          Part[$CellContext`gridspacing, 1], Plus[$CellContext`nx - 1] 0.5 
          Part[$CellContext`gridspacing, 1], 
          
          Part[$CellContext`gridspacing, 
           1]}, {$CellContext`y, (-($CellContext`ny - 1)) 0.5 
          Part[$CellContext`gridspacing, 2], Plus[$CellContext`ny - 1] 0.5 
          Part[$CellContext`gridspacing, 2], 
          
          Part[$CellContext`gridspacing, 
           2]}]; $CellContext`convoluteshapewithpolygongrid[
         Pattern[$CellContext`type, 
          Blank[]], 
         Pattern[$CellContext`latticen, 
          Blank[]], 
         Pattern[$CellContext`radius, 
          Blank[]], 
         Pattern[$CellContext`gridspacing, 
          Blank[]], 
         Pattern[$CellContext`internalshaperotation, 
          Blank[]], 
         Pattern[$CellContext`externalshaperotation, 
          Blank[]], 
         Pattern[$CellContext`annulusthickness, 
          Blank[]], 
         Pattern[$CellContext`pluszerozero, 
          Blank[]]] := 
       Module[{$CellContext`points, $CellContext`latticetype}, \
$CellContext`latticetype = 
          Switch[$CellContext`latticen, 3, Polytopes`Triangle, 4, 
            Polytopes`Square, 5, Polytopes`Pentagon, 6, Polytopes`Hexagon, 7, 
            Polytopes`Heptagon, 8, Polytopes`Octagon, 9, Polytopes`Nonagon, 
            10, Polytopes`Decagon, 11, Polytopes`Undecagon, 12, 
            Polytopes`Dodecagon]; $CellContext`points = 
          If[$CellContext`pluszerozero, 
            ConstantArray[$CellContext`gridspacing, 
              Polytopes`NumberOfVertices[$CellContext`latticetype] + 1] Append[
              Polytopes`Vertices[$CellContext`latticetype], {0, 0}], 
            ConstantArray[$CellContext`gridspacing, 
              Polytopes`NumberOfVertices[$CellContext`latticetype]] 
            Polytopes`Vertices[$CellContext`latticetype]]; Table[
           $CellContext`shape[$CellContext`type, $CellContext`p, \
$CellContext`radius, $CellContext`internalshaperotation, \
$CellContext`externalshaperotation, $CellContext`annulusthickness], \
{$CellContext`p, $CellContext`points}]]; $CellContext`gsc[
         Pattern[$CellContext`image, 
          Blank[]], 
         RGBColor[
          Pattern[$CellContext`r, 
           Blank[]], 
          Pattern[$CellContext`g, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]]] := 
       Module[{$CellContext`d}, $CellContext`d = 
          ImageData[$CellContext`image]; ColorCombine[{
            Image[$CellContext`r $CellContext`d], 
            Image[$CellContext`g $CellContext`d], 
            Image[$CellContext`b $CellContext`d]}]]; $CellContext`gsc[
         Pattern[$CellContext`image, 
          Blank[]], 
         GrayLevel[
          Pattern[$CellContext`v, 
           Blank[]]]] := 
       Module[{$CellContext`d}, $CellContext`d = 
          ImageData[$CellContext`image]; ColorCombine[{
            Image[$CellContext`v $CellContext`d], 
            Image[$CellContext`v $CellContext`d], 
            Image[$CellContext`v $CellContext`d]}]]; Null); 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.549092004847122*^9}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{3.549091833048573*^9, 3.549091995597786*^9}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{3.54909115435378*^9, 3.549091993032206*^9},
 EmphasizeSyntaxErrors->True],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.549087098594614*^9, 3.549087098596238*^9}, {
   3.549087416324161*^9, 3.549087436970149*^9}, 3.549087513750641*^9, {
   3.549087621830442*^9, 3.549087635698084*^9}, {3.549087705374052*^9, 
   3.549087718722642*^9}, {3.549087751062124*^9, 3.549087759054843*^9}, {
   3.549087856725244*^9, 3.549088069903424*^9}, {3.549088141393133*^9, 
   3.549088187839689*^9}, {3.549088223271096*^9, 3.549088255368657*^9}, {
   3.549088364287255*^9, 3.549088508998746*^9}, {3.549088571750211*^9, 
   3.549088589235044*^9}, {3.549088703075639*^9, 3.549088724164189*^9}, 
   3.549088861391508*^9, {3.549089149625045*^9, 3.549089161909954*^9}, {
   3.549089208639721*^9, 3.549089434028329*^9}, {3.549089480678801*^9, 
   3.549089492568323*^9}, {3.549089719324729*^9, 3.549089771871587*^9}, {
   3.549089823929662*^9, 3.54908986107573*^9}, {3.54908992435495*^9, 
   3.549090100090059*^9}, {3.549090276784542*^9, 3.549090283860141*^9}, 
   3.54909113098318*^9, 3.549091206327994*^9}]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
CellInsertionPointCell->None,
WindowSize->{1910, 1027},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Looking at Polyhedra in 3D - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"8.0 for Linux x86 (32-bit) (October 10, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[606, 21, 186, 4, 74, "Section"],
Cell[CellGroupData[{
Cell[817, 29, 3700, 64, 37, "Section"],
Cell[CellGroupData[{
Cell[4542, 97, 24572, 589, 1212, "Input"],
Cell[29117, 688, 22776, 441, 486, "Output",
 CellID->1488413961]
}, Open  ]],
Cell[CellGroupData[{
Cell[51930, 1134, 12470, 343, 677, "Input"],
Cell[64403, 1479, 7513, 154, 564, "Output"]
}, Open  ]],
Cell[71931, 1636, 159, 2, 50, "Input"],
Cell[CellGroupData[{
Cell[72115, 1642, 52470, 1256, 1513, "Input"],
Cell[124588, 2900, 28713, 584, 646, "Output"]
}, Open  ]],
Cell[153316, 3487, 90, 1, 30, "Input"],
Cell[153409, 3490, 119, 2, 30, "Input"],
Cell[153531, 3494, 1011, 14, 30, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature zT4wsdJw5tEfVBpjhjIW1#bw *)
