(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     68133,       1830]
NotebookOptionsPosition[     66241,       1760]
NotebookOutlinePosition[     66578,       1775]
CellTagsIndexPosition[     66535,       1772]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["", "Section",
 CellFrame->{{0, 0}, {0, 0}},
 ShowCellBracket->False,
 CellChangeTimes->{3.549092684655215*^9},
 FontColor->RGBColor[0.597406, 0, 0.0527047]],

Cell[CellGroupData[{

Cell[BoxData[""], "Section",
 CellFrame->{{0, 0}, {0, 0}},
 ShowCellBracket->False,
 CellChangeTimes->{3.549092683733908*^9}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"needed", " ", "code"}], "*)"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.35696210375764*^9, {3.413575662273329*^9, 3.413575663648329*^9}},
 CellID->328130309],

Cell[BoxData[
 RowBox[{"SetAttributes", "[", 
  RowBox[{"Curve", ",", "Flat"}], "]"}]], "Input",
 CellID->1882304723],

Cell[BoxData[
 RowBox[{"Curve", "/:", 
  RowBox[{"r_", " ", "c_Curve"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"r", " ", "#"}], "&"}], "/@", "c"}]}]], "Input",
 CellID->1346140341],

Cell[BoxData[
 RowBox[{
  RowBox[{"simplify", "[", "c_Curve", "]"}], ":=", 
  RowBox[{"c", "//.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"Curve", "[", 
       RowBox[{
        RowBox[{"Turn", "[", "r1_", "]"}], ",", 
        RowBox[{"Turn", "[", "r2_", "]"}]}], "]"}], "\[RuleDelayed]", 
      RowBox[{"Curve", "[", 
       RowBox[{"Turn", "[", 
        RowBox[{"r1", "+", "r2"}], "]"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{"Curve", "[", 
       RowBox[{"Turn", "[", 
        RowBox[{"z_", "/;", 
         RowBox[{"z", "\[Equal]", "0.0"}]}], "]"}], "]"}], "\[RuleDelayed]", 
      RowBox[{"Curve", "[", "]"}]}]}], "}"}]}]}]], "Input",
 CellChangeTimes->{3.36861228876775*^9},
 CellID->120531367],

Cell[BoxData[
 RowBox[{
  RowBox[{"Iterate", "[", 
   RowBox[{"c_Curve", ",", "template_Curve"}], "]"}], ":=", 
  RowBox[{"c", "/.", 
   RowBox[{
    RowBox[{"Move", "[", "l_", "]"}], "\[RuleDelayed]", 
    RowBox[{"l", " ", "template"}]}]}]}]], "Input",
 CellID->101028327],

Cell[BoxData[
 RowBox[{
  RowBox[{"Iterate", "[", 
   RowBox[{"c_Curve", ",", 
    RowBox[{"template", ":", 
     RowBox[{"{", "__Curve", "}"}]}]}], "]"}], ":=", 
  RowBox[{"c", "/.", 
   RowBox[{
    RowBox[{"Move", "[", 
     RowBox[{"l_", ",", 
      RowBox[{"n_:", "1"}]}], "]"}], "\[RuleDelayed]", 
    RowBox[{"l", " ", 
     RowBox[{"template", "[", 
      RowBox[{"[", "n", "]"}], "]"}]}]}]}]}]], "Input",
 CellID->2074869456],

Cell[BoxData[{
 RowBox[{"Move", "/:", 
  RowBox[{"l_", " ", 
   RowBox[{"Move", "[", 
    RowBox[{"l1_", ",", "args___"}], "]"}]}], ":=", 
  RowBox[{"Move", "[", 
   RowBox[{
    RowBox[{"l", " ", "l1"}], ",", "args"}], "]"}]}], "\n", 
 RowBox[{"Turn", "/:", 
  RowBox[{"l_", " ", 
   RowBox[{"Turn", "[", "a_", "]"}]}], ":=", 
  RowBox[{"Turn", "[", "a", "]"}]}]}], "Input",
 CellID->548465611],

Cell[BoxData[
 RowBox[{
  RowBox[{"Fractal", "[", 
   RowBox[{"c_Curve", ",", "t_", ",", 
    RowBox[{"n_Integer", "?", "NonNegative"}]}], "]"}], ":=", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"tt", "=", 
      RowBox[{"Fixup", "[", "t", "]"}]}], "}"}], ",", 
    RowBox[{"Nest", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Iterate", "[", 
        RowBox[{"#", ",", "tt"}], "]"}], "&"}], ",", "c", ",", "n"}], "]"}]}],
    "]"}]}]], "Input",
 CellID->1504858808],

Cell[BoxData[{
 RowBox[{
  RowBox[{"NextState", "[", 
   RowBox[{
    RowBox[{"s", "[", 
     RowBox[{"xy_", ",", "a_"}], "]"}], ",", 
    RowBox[{"Move", "[", 
     RowBox[{"l_", ",", "___"}], "]"}]}], "]"}], ":=", 
  RowBox[{"s", "[", 
   RowBox[{
    RowBox[{"xy", "+", 
     RowBox[{"l", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Cos", "[", "a", "]"}], ",", 
        RowBox[{"Sin", "[", "a", "]"}]}], "}"}]}]}], ",", "a"}], 
   "]"}]}], "\n", 
 RowBox[{
  RowBox[{"NextState", "[", 
   RowBox[{
    RowBox[{"s", "[", 
     RowBox[{"xy_", ",", "a_"}], "]"}], ",", 
    RowBox[{"Turn", "[", "da_", "]"}]}], "]"}], ":=", 
  RowBox[{"s", "[", 
   RowBox[{"xy", ",", 
    RowBox[{"a", "+", 
     RowBox[{"da", " ", "Degree"}]}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.36861232921114*^9, 3.36861233592584*^9}},
 CellID->2013508323],

Cell[BoxData[
 RowBox[{
  RowBox[{"CurveToStates", "[", "c_Curve", "]"}], ":=", 
  RowBox[{"FoldList", "[", 
   RowBox[{"NextState", ",", 
    RowBox[{"s", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.0", ",", "0.0"}], "}"}], ",", "0.0"}], "]"}], ",", 
    RowBox[{"List", "@@", "c"}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.36861234356453*^9},
 CellID->1157919832],

Cell[BoxData[
 RowBox[{
  RowBox[{"RemoveDuplicates", "[", "l_List", "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "pairs", "}"}], ",", 
    RowBox[{
     RowBox[{"pairs", "=", 
      RowBox[{"Partition", "[", 
       RowBox[{"l", ",", "2", ",", "1"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"pairs", "=", 
      RowBox[{"Select", "[", 
       RowBox[{"pairs", ",", 
        RowBox[{
         RowBox[{
          RowBox[{"#", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "=!=", 
          RowBox[{"#", "[", 
           RowBox[{"[", "2", "]"}], "]"}]}], "&"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Append", "[", 
      RowBox[{
       RowBox[{"First", "/@", "pairs"}], ",", 
       RowBox[{"Last", "[", "l", "]"}]}], "]"}]}]}], "]"}]}]], "Input",
 CellID->1471439076],

Cell[BoxData[
 RowBox[{
  RowBox[{"StatesToLine", "[", "st_List", "]"}], ":=", 
  RowBox[{"Line", "[", 
   RowBox[{"RemoveDuplicates", "[", 
    RowBox[{"First", "/@", "st"}], "]"}], "]"}]}]], "Input",
 CellID->1359477086],

Cell[BoxData[
 RowBox[{
  RowBox[{"EndPoint", "[", "c_Curve", "]"}], ":=", 
  RowBox[{
   RowBox[{"Last", "[", 
    RowBox[{"CurveToStates", "[", "c", "]"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]], "Input",
 CellID->345867444],

Cell[BoxData[
 RowBox[{
  RowBox[{"simplify", "[", "c_Curve", "]"}], ":=", 
  RowBox[{"c", "//.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"Curve", "[", 
       RowBox[{
        RowBox[{"Turn", "[", "r1_", "]"}], ",", 
        RowBox[{"Turn", "[", "r2_", "]"}]}], "]"}], "\[RuleDelayed]", 
      RowBox[{"Curve", "[", 
       RowBox[{"Turn", "[", 
        RowBox[{"r1", "+", "r2"}], "]"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{"Curve", "[", 
       RowBox[{"Turn", "[", 
        RowBox[{"z_", "/;", 
         RowBox[{"z", "\[Equal]", "0.0"}]}], "]"}], "]"}], "\[RuleDelayed]", 
      RowBox[{"Curve", "[", "]"}]}]}], "}"}]}]}]], "Input",
 CellID->898779395],

Cell[BoxData[{
 RowBox[{"SetAttributes", "[", 
  RowBox[{"Fixup", ",", "Listable"}], "]"}], "\n", 
 RowBox[{
  RowBox[{"Fixup", "[", "t_Curve", "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"excess", ",", "rot", ",", 
      RowBox[{"tt", "=", "t"}]}], "}"}], ",", 
    RowBox[{
     RowBox[{"rot", "=", 
      RowBox[{"Chop", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"ArcTan", "@@", 
          RowBox[{"EndPoint", "[", "tt", "]"}]}], ")"}], "/", "Degree"}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"rot", "\[NotEqual]", "0.0"}], ",", 
       RowBox[{"PrependTo", "[", 
        RowBox[{"tt", ",", 
         RowBox[{"Turn", "[", 
          RowBox[{"-", "rot"}], "]"}]}], "]"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"rot", "=", 
      RowBox[{"Plus", "@@", 
       RowBox[{"First", "/@", 
        RowBox[{"Cases", "[", 
         RowBox[{"tt", ",", "_Turn"}], "]"}]}]}]}], ";", 
     RowBox[{"(*", 
      RowBox[{"total", " ", 
       RowBox[{"rot", "."}]}], "*)"}], 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"rot", "\[NotEqual]", "0.0"}], ",", 
       RowBox[{"AppendTo", "[", 
        RowBox[{"tt", ",", 
         RowBox[{"Turn", "[", 
          RowBox[{"-", "rot"}], "]"}]}], "]"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"simplify", "[", "tt", "]"}]}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.36861324174903*^9, 3.36861324308701*^9}},
 CellID->1804162048],

Cell[BoxData[
 RowBox[{"Curve", "/:", 
  RowBox[{"Graphics", "[", 
   RowBox[{"c_Curve", ",", 
    RowBox[{"opts___", "?", "OptionQ"}]}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"thick", ",", "gc"}], "}"}], ",", 
    RowBox[{
     RowBox[{"thick", "=", 
      RowBox[{"Thickness", "/.", 
       RowBox[{"Flatten", "[", 
        RowBox[{"{", "opts", "}"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"gc", "=", 
      RowBox[{"StatesToLine", "[", 
       RowBox[{"CurveToStates", "[", "c", "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"gc", "=", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"NumericQ", "[", "thick", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Thickness", "[", "thick", "]"}], ",", "gc"}], "}"}], ",", 
        RowBox[{"{", "gc", "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Graphics", "[", 
      RowBox[{"gc", ",", 
       RowBox[{"{", 
        RowBox[{"opts", ",", 
         RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], "}"}]}], 
      "]"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.36861274205965*^9, 3.36861274557859*^9}},
 CellID->133472326],

Cell[BoxData[
 RowBox[{"(*", "Examples", "*)"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.35696210375764*^9, {3.413575670101454*^9, 3.413575671507704*^9}},
 CellID->417149336],

Cell[BoxData[
 RowBox[{
  RowBox[{"Gon", "[", "n_", "]"}], ":=", 
  RowBox[{"TurnCurve", "[", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"360.0", "/", "n"}], ",", 
     RowBox[{"{", 
      RowBox[{"n", "-", "1"}], "}"}]}], "]"}], "]"}]}]], "Input",
 CellID->973931538],

Cell[BoxData[
 RowBox[{
  RowBox[{"TurnCurve", "[", "l_List", "]"}], ":=", 
  RowBox[{
   RowBox[{"Apply", "[", 
    RowBox[{"Curve", ",", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"Move", "[", "1", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"Length", "[", "l", "]"}], "}"}]}], "]"}], ",", 
        RowBox[{"Turn", "/@", "l"}]}], "}"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}]}], "]"}], "~", "Append", "~", 
   RowBox[{"Move", "[", "1", "]"}]}]}]], "Input",
 CellID->2139302941],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ht1", "=", 
   RowBox[{"Curve", "[", 
    RowBox[{
     RowBox[{"Move", "[", 
      RowBox[{"1", ",", "2"}], "]"}], ",", 
     RowBox[{"Turn", "[", 
      RowBox[{"-", "60"}], "]"}], ",", 
     RowBox[{"Move", "[", 
      RowBox[{"1", ",", "1"}], "]"}], ",", 
     RowBox[{"Move", "[", 
      RowBox[{"1", ",", "1"}], "]"}], ",", 
     RowBox[{"Turn", "[", 
      RowBox[{"-", "120"}], "]"}], ",", 
     RowBox[{"Move", "[", 
      RowBox[{"1", ",", "1"}], "]"}], ",", 
     RowBox[{"Turn", "[", 
      RowBox[{"-", "60"}], "]"}], ",", 
     RowBox[{"Move", "[", 
      RowBox[{"1", ",", "2"}], "]"}], ",", 
     RowBox[{"Turn", "[", "120", "]"}], ",", 
     RowBox[{"Move", "[", 
      RowBox[{"1", ",", "2"}], "]"}], ",", 
     RowBox[{"Turn", "[", "60", "]"}], ",", 
     RowBox[{"Move", "[", 
      RowBox[{"1", ",", "1"}], "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ht2", "=", 
   RowBox[{
    RowBox[{"Reverse", "[", "ht1", "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"Turn", "[", "a_", "]"}], "\[RuleDelayed]", 
       RowBox[{"Turn", "[", 
        RowBox[{"-", "a"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"Move", "[", 
        RowBox[{"d_", ",", "i_"}], "]"}], "\[RuleDelayed]", 
       RowBox[{"Move", "[", 
        RowBox[{"d", ",", 
         RowBox[{"3", "-", "i"}]}], "]"}]}]}], "}"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.3686128476473*^9, 3.36861285533809*^9}},
 CellID->358992343],

Cell[BoxData[{
 RowBox[{
  RowBox[{"sql", "=", 
   RowBox[{"Curve", "[", 
    RowBox[{
     RowBox[{"Move", "[", 
      RowBox[{"1", ",", "2"}], "]"}], ",", 
     RowBox[{"Move", "[", 
      RowBox[{"1", ",", "1"}], "]"}], ",", 
     RowBox[{"Turn", "[", 
      RowBox[{"-", "90"}], "]"}], ",", 
     RowBox[{"Move", "[", 
      RowBox[{"1", ",", "1"}], "]"}], ",", 
     RowBox[{"Turn", "[", 
      RowBox[{"-", "90"}], "]"}], ",", 
     RowBox[{"Move", "[", 
      RowBox[{"1", ",", "2"}], "]"}], ",", 
     RowBox[{"Turn", "[", "90", "]"}], ",", 
     RowBox[{"Move", "[", 
      RowBox[{"1", ",", "1"}], "]"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"sqr", "=", 
   RowBox[{
    RowBox[{"Reverse", "[", "sql", "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"Turn", "[", "a_", "]"}], "\[RuleDelayed]", 
       RowBox[{"Turn", "[", 
        RowBox[{"-", "a"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"Move", "[", 
        RowBox[{"d_", ",", "i_"}], "]"}], "\[RuleDelayed]", 
       RowBox[{"Move", "[", 
        RowBox[{"d", ",", 
         RowBox[{"3", "-", "i"}]}], "]"}]}]}], "}"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.36861330277101*^9, 3.36861330400498*^9}},
 CellID->939273383],

Cell[BoxData[{
 RowBox[{
  RowBox[{"mb1", "=", 
   RowBox[{"Curve", "[", 
    RowBox[{
     RowBox[{"Turn", "[", "60", "]"}], ",", 
     RowBox[{"Move", "[", 
      RowBox[{"1", ",", "2"}], "]"}], ",", 
     RowBox[{"Move", "[", 
      RowBox[{"1", ",", "4"}], "]"}], ",", 
     RowBox[{"Turn", "[", 
      RowBox[{"-", "60"}], "]"}], ",", 
     RowBox[{"Move", "[", 
      RowBox[{"1", ",", "4"}], "]"}], ",", 
     RowBox[{"Turn", "[", 
      RowBox[{"-", "60"}], "]"}], ",", 
     RowBox[{"Move", "[", 
      RowBox[{"1", ",", "4"}], "]"}], ",", 
     RowBox[{"Turn", "[", 
      RowBox[{"-", "90"}], "]"}], ",", 
     RowBox[{"Move", "[", 
      RowBox[{
       RowBox[{"Sqrt", "[", "3.0", "]"}], ",", "3"}], "]"}], ",", 
     RowBox[{"Turn", "[", "150", "]"}], ",", 
     RowBox[{"Move", "[", 
      RowBox[{"1", ",", "2"}], "]"}], ",", 
     RowBox[{"Move", "[", 
      RowBox[{"1", ",", "4"}], "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"flip", "[", "1", "]"}], "=", "2"}], ";", 
  RowBox[{
   RowBox[{"flip", "[", "2", "]"}], "=", "1"}], ";", 
  RowBox[{
   RowBox[{"flip", "[", "3", "]"}], "=", "4"}], ";", 
  RowBox[{
   RowBox[{"flip", "[", "4", "]"}], "=", "3"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"rev", "[", "1", "]"}], "=", "3"}], ";", 
  RowBox[{
   RowBox[{"rev", "[", "3", "]"}], "=", "1"}], ";", 
  RowBox[{
   RowBox[{"rev", "[", "2", "]"}], "=", "4"}], ";", 
  RowBox[{
   RowBox[{"rev", "[", "4", "]"}], "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"(*", "flipped", "*)"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mb2", "=", 
   RowBox[{"mb1", "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"Turn", "[", "a_", "]"}], "\[RuleDelayed]", 
       RowBox[{"Turn", "[", 
        RowBox[{"-", "a"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"Move", "[", 
        RowBox[{"d_", ",", "n_"}], "]"}], "\[RuleDelayed]", 
       RowBox[{"Move", "[", 
        RowBox[{"d", ",", 
         RowBox[{"flip", "[", "n", "]"}]}], "]"}]}]}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"(*", "reversed", "*)"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mb3", "=", 
   RowBox[{
    RowBox[{"Reverse", "[", "mb1", "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"Turn", "[", "a_", "]"}], "\[RuleDelayed]", 
       RowBox[{"Turn", "[", 
        RowBox[{"-", "a"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"Move", "[", 
        RowBox[{"d_", ",", "n_"}], "]"}], "\[RuleDelayed]", 
       RowBox[{"Move", "[", 
        RowBox[{"d", ",", 
         RowBox[{"rev", "[", "n", "]"}]}], "]"}]}]}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"(*", 
  RowBox[{"flipped", " ", "and", " ", "reversed"}], "*)"}], "\n", 
 RowBox[{
  RowBox[{"mb4", "=", 
   RowBox[{
    RowBox[{"Reverse", "[", "mb2", "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"Turn", "[", "a_", "]"}], "\[RuleDelayed]", 
       RowBox[{"Turn", "[", 
        RowBox[{"-", "a"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"Move", "[", 
        RowBox[{"d_", ",", "n_"}], "]"}], "\[RuleDelayed]", 
       RowBox[{"Move", "[", 
        RowBox[{"d", ",", 
         RowBox[{"rev", "[", "n", "]"}]}], "]"}]}]}], "}"}]}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.36861485288387*^9, 3.36861485530188*^9}},
 CellID->1708785090],

Cell[BoxData[
 RowBox[{
  RowBox[{"examples", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Gon", "[", "3", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"TurnCurve", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "60"}], ",", "120", ",", 
           RowBox[{"-", "60"}]}], "}"}], "]"}], "}"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Curve", "[", 
        RowBox[{"Move", "[", 
         RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"ht1", ",", "ht2"}], "}"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"mb1", ",", 
       RowBox[{"{", 
        RowBox[{"mb1", ",", "mb2", ",", "mb3", ",", "mb4"}], "}"}]}], "}"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Curve", "[", 
        RowBox[{"Move", "[", 
         RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"sql", ",", "sqr"}], "}"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Gon", "[", "4", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"TurnCurve", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "90"}], ",", "90", ",", "90", ",", "0", ",", 
           RowBox[{"-", "90"}], ",", 
           RowBox[{"-", "90"}], ",", "90"}], "}"}], "]"}], "}"}]}], "}"}]}], 
    "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.36861360453354*^9, 3.36861363484428*^9}, {
  3.3686137406777*^9, 3.36861374446577*^9}, {3.36861419473885*^9, 
  3.36861419813709*^9}, {3.36861471972094*^9, 3.36861472181685*^9}, {
  3.36861487857482*^9, 3.36861488050962*^9}, {3.36861537447984*^9, 
  3.36861537674955*^9}, {3.36861542765054*^9, 3.36861543167694*^9}, {
  3.36861550810013*^9, 3.36861551192384*^9}},
 CellID->1988727721],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"examples", ";", "\[IndentingNewLine]", 
    RowBox[{"Graphics", "[", 
     RowBox[{
      RowBox[{"Fractal", "[", 
       RowBox[{
        RowBox[{"ex", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", 
        RowBox[{"ex", "[", 
         RowBox[{"[", "2", "]"}], "]"}], ",", "n"}], "]"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"450", ",", "400"}], "}"}]}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "3", ",", "\"\<iterations\>\""}], "}"}], ",", "0", 
     ",", "5", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ex", ",", 
       RowBox[{"examples", "[", 
        RowBox[{"[", "1", "]"}], "]"}], ",", "\"\<replacement curves\>\"", 
       ",", 
       RowBox[{"ControlType", "\[Rule]", "SetterBar"}]}], "}"}], ",", 
     RowBox[{"Thread", "[", 
      RowBox[{"examples", "\[Rule]", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"Graphics", "[", 
           RowBox[{
            RowBox[{"Fractal", "[", 
             RowBox[{
              RowBox[{"#", "[", 
               RowBox[{"[", "1", "]"}], "]"}], ",", 
              RowBox[{"#", "[", 
               RowBox[{"[", "2", "]"}], "]"}], ",", "1"}], "]"}], ",", 
            RowBox[{"ImageSize", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"70", ",", "70"}], "}"}]}]}], "]"}], "&"}], "/@", 
         "examples"}], ")"}]}], "]"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "SetterBar"}]}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->CompressedData["
1:eJwtz00ow3EYB/B/HDjZ0SamkSSGOKHUP60mh4WpydqL4rDFf/KyFFqcOCgL
WfOaNiFKSSNiXoYdZlv6e9ukZbSTlWaWFvv+5vD06flenu8jaGeaOlIoiuIn
Bhpn9z/4vBBtHKwIQ6fkJAY3Mgqp3ITzvnAOZCKaIjj6e1ANxbGCGni2FxBB
zq5FDHkBhxR2aq8VUP8t18Ax/yPx462NgVGjshcKa90T0J92PA3jDztmuFzx
Q5QFlCvQ1cxfhQ3BynNy/5zrgF7HiAt26Lo9pN/7JAsnUurvIH1774Pylh4/
ZLdOFvuRH84vwcjTKT2QMP+bqYNuNdUK2QCH+ML+KOG4QqeCBpWHgZ+bjX3Q
9jp1oUdPZ/olzDZJPZA7I/DCYnvcOoy/7LI1+JWzXaotgVdlSYdUSa3E6EKq
Jrm7uqDNLJrLEoZopel5AVKUZb2qHB79W3dANDQRVZLMYF5NiFbf8Ih/Bzrf
Yg==
  "],
 CellID->1388044557],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`ex$$ = {
     $CellContext`Curve[
      $CellContext`Move[1], 
      $CellContext`Turn[120.], 
      $CellContext`Move[1], 
      $CellContext`Turn[120.], 
      $CellContext`Move[1]], {
      $CellContext`Curve[
       $CellContext`Move[1], 
       $CellContext`Turn[-60], 
       $CellContext`Move[1], 
       $CellContext`Turn[120], 
       $CellContext`Move[1], 
       $CellContext`Turn[-60], 
       $CellContext`Move[1]]}}, $CellContext`n$$ = 5, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`n$$], 3, "iterations"}, 0, 5, 1}, {{
       Hold[$CellContext`ex$$], {
        $CellContext`Curve[
         $CellContext`Move[1], 
         $CellContext`Turn[120.], 
         $CellContext`Move[1], 
         $CellContext`Turn[120.], 
         $CellContext`Move[1]], {
         $CellContext`Curve[
          $CellContext`Move[1], 
          $CellContext`Turn[-60], 
          $CellContext`Move[1], 
          $CellContext`Turn[120], 
          $CellContext`Move[1], 
          $CellContext`Turn[-60], 
          $CellContext`Move[1]]}}, "replacement curves", ControlType -> 
       SetterBar}, {{
         $CellContext`Curve[
          $CellContext`Move[1], 
          $CellContext`Turn[120.], 
          $CellContext`Move[1], 
          $CellContext`Turn[120.], 
          $CellContext`Move[1]], {
          $CellContext`Curve[
           $CellContext`Move[1], 
           $CellContext`Turn[-60], 
           $CellContext`Move[1], 
           $CellContext`Turn[120], 
           $CellContext`Move[1], 
           $CellContext`Turn[-60], 
           $CellContext`Move[1]]}} -> Graphics[{
          
          Line[{{0., 0.}, {1., 0.}, {1.5, -0.8660254037844386}, {2., 0.}, {3.,
            0.}, {2.5, 0.8660254037844387}, {3., 1.7320508075688772`}, {2., 
           1.7320508075688774`}, {1.4999999999999998`, 2.598076211353316}, {
           1.0000000000000002`, 1.7320508075688772`}, {2.220446049250313*^-16,
            1.7320508075688765`}, {0.5000000000000011, 0.8660254037844384}, {
           2.275957200481571*^-15, -8.881784197001252*^-16}}]}, {
         ImageSize -> {70, 70}, AspectRatio -> Automatic}], {
         $CellContext`Curve[
          $CellContext`Move[1, 1]], {
          $CellContext`Curve[
           $CellContext`Move[1, 2], 
           $CellContext`Turn[-60], 
           $CellContext`Move[1, 1], 
           $CellContext`Move[1, 1], 
           $CellContext`Turn[-120], 
           $CellContext`Move[1, 1], 
           $CellContext`Turn[-60], 
           $CellContext`Move[1, 2], 
           $CellContext`Turn[120], 
           $CellContext`Move[1, 2], 
           $CellContext`Turn[60], 
           $CellContext`Move[1, 1]], 
          $CellContext`Curve[
           $CellContext`Move[1, 2], 
           $CellContext`Turn[-60], 
           $CellContext`Move[1, 1], 
           $CellContext`Turn[-120], 
           $CellContext`Move[1, 1], 
           $CellContext`Turn[60], 
           $CellContext`Move[1, 2], 
           $CellContext`Turn[120], 
           $CellContext`Move[1, 2], 
           $CellContext`Move[1, 2], 
           $CellContext`Turn[60], 
           $CellContext`Move[1, 1]]}} -> Graphics[{
          
          Line[{{0., 0.}, {0.18898223650461357`, 0.9819805060619657}, {
           1.1338934190276817`, 1.3093073414159544`}, {2.0788046015507495`, 
           1.636634176769943}, {1.8898223650461363`, 0.6546536707079773}, {
           0.9449111825230684, 0.32732683535398827`}, {
           1.700840128541523, -0.3273268353539887}, {2.645751311064591, 
           0.}}]}, {ImageSize -> {70, 70}, AspectRatio -> Automatic}], {
         $CellContext`Curve[
          $CellContext`Turn[60], 
          $CellContext`Move[1, 2], 
          $CellContext`Move[1, 4], 
          $CellContext`Turn[-60], 
          $CellContext`Move[1, 4], 
          $CellContext`Turn[-60], 
          $CellContext`Move[1, 4], 
          $CellContext`Turn[-90], 
          $CellContext`Move[1.7320508075688772`, 3], 
          $CellContext`Turn[150], 
          $CellContext`Move[1, 2], 
          $CellContext`Move[1, 4]], {
          $CellContext`Curve[
           $CellContext`Turn[60], 
           $CellContext`Move[1, 2], 
           $CellContext`Move[1, 4], 
           $CellContext`Turn[-60], 
           $CellContext`Move[1, 4], 
           $CellContext`Turn[-60], 
           $CellContext`Move[1, 4], 
           $CellContext`Turn[-90], 
           $CellContext`Move[1.7320508075688772`, 3], 
           $CellContext`Turn[150], 
           $CellContext`Move[1, 2], 
           $CellContext`Move[1, 4]], 
          $CellContext`Curve[
           $CellContext`Turn[-60], 
           $CellContext`Move[1, 1], 
           $CellContext`Move[1, 3], 
           $CellContext`Turn[60], 
           $CellContext`Move[1, 3], 
           $CellContext`Turn[60], 
           $CellContext`Move[1, 3], 
           $CellContext`Turn[90], 
           $CellContext`Move[1.7320508075688772`, 4], 
           $CellContext`Turn[-150], 
           $CellContext`Move[1, 1], 
           $CellContext`Move[1, 3]], 
          $CellContext`Curve[
           $CellContext`Move[1, 2], 
           $CellContext`Move[1, 4], 
           $CellContext`Turn[-150], 
           $CellContext`Move[1.7320508075688772`, 1], 
           $CellContext`Turn[90], 
           $CellContext`Move[1, 2], 
           $CellContext`Turn[60], 
           $CellContext`Move[1, 2], 
           $CellContext`Turn[60], 
           $CellContext`Move[1, 2], 
           $CellContext`Move[1, 4], 
           $CellContext`Turn[-60]], 
          $CellContext`Curve[
           $CellContext`Move[1, 1], 
           $CellContext`Move[1, 3], 
           $CellContext`Turn[150], 
           $CellContext`Move[1.7320508075688772`, 2], 
           $CellContext`Turn[-90], 
           $CellContext`Move[1, 1], 
           $CellContext`Turn[-60], 
           $CellContext`Move[1, 1], 
           $CellContext`Turn[-60], 
           $CellContext`Move[1, 1], 
           $CellContext`Move[1, 3], 
           $CellContext`Turn[60]]}} -> Graphics[{
          Line[CompressedData["
1:eJxTTMoPSmViYGAwAmIQjR18sEcTcEDlsjis8ol4UbXtNUwdlP/b/s9/ELhv
vw5F/oP9Gqg8xM4f9g2WTnp3TrA4MKHo53Zghpr/St/8Ik+QoAMrVD9MngfM
f2APk2eDyteDzROB6mdwQOVzwPkQ+wTQ+CJwPguYz+Mg4uzbvdpeAq5+Jdh+
abh6VL4YmnoJNPOl4P6B8GXg/mWE8hug6iHOV0DjKzq8huqHya9G0S/ngBqe
Eg4rUMJbyGEhSnxIwO0HR9d/QYeXUPMhfHaHZVB5Bmj4LYKaxwjlQ8Qf7GGC
htcOiPn7YeG1AaJ+Pyy81qHwxaDyCPUQ827tgamH8C/tgfkHwj+yBxZ+EP6C
PYzQ8IDwd9jAwnsZ1L+w8IWlT1j4rUXhKzpsRgkfJah5N2wAwTvKWA==
           "]]}, {
         ImageSize -> {70, 70}, AspectRatio -> Automatic}], {
         $CellContext`Curve[
          $CellContext`Move[1, 1]], {
          $CellContext`Curve[
           $CellContext`Move[1, 2], 
           $CellContext`Move[1, 1], 
           $CellContext`Turn[-90], 
           $CellContext`Move[1, 1], 
           $CellContext`Turn[-90], 
           $CellContext`Move[1, 2], 
           $CellContext`Turn[90], 
           $CellContext`Move[1, 1]], 
          $CellContext`Curve[
           $CellContext`Move[1, 2], 
           $CellContext`Turn[-90], 
           $CellContext`Move[1, 1], 
           $CellContext`Turn[90], 
           $CellContext`Move[1, 2], 
           $CellContext`Turn[90], 
           $CellContext`Move[1, 2], 
           $CellContext`Move[1, 1]]}} -> Graphics[{
          
          Line[{{0., 0.}, {0.44721359549995804`, 0.8944271909999159}, {
           0.8944271909999161, 1.7888543819998317`}, {1.788854381999832, 
           1.3416407864998736`}, {1.341640786499874, 0.44721359549995776`}, {
           2.23606797749979, -2.220446049250313*^-16}}]}, {
         ImageSize -> {70, 70}, AspectRatio -> Automatic}], {
         $CellContext`Curve[
          $CellContext`Move[1], 
          $CellContext`Turn[90.], 
          $CellContext`Move[1], 
          $CellContext`Turn[90.], 
          $CellContext`Move[1], 
          $CellContext`Turn[90.], 
          $CellContext`Move[1]], {
          $CellContext`Curve[
           $CellContext`Move[1], 
           $CellContext`Turn[-90], 
           $CellContext`Move[1], 
           $CellContext`Turn[90], 
           $CellContext`Move[1], 
           $CellContext`Turn[90], 
           $CellContext`Move[1], 
           $CellContext`Turn[0], 
           $CellContext`Move[1], 
           $CellContext`Turn[-90], 
           $CellContext`Move[1], 
           $CellContext`Turn[-90], 
           $CellContext`Move[1], 
           $CellContext`Turn[90], 
           $CellContext`Move[1]]}} -> Graphics[{
          Line[CompressedData["
1:eJxTTMoPSmViYGBQBGIQjR18sMfO/7AfKuCAnQ8HMHmoPg4cfBgQwMGHqRfB
wYfZI4DG58DB50BTj87HJQ7jo9sr4vAfAuxh6v+h8Dkc/oC57+H8vyh8mPk7
9sD4TYvUg/3mHdoDUw+JI1g4czgwo/Bh7jixB+aOX1DzYe74AeWjuuPCHpg7
HC9O1lT3v7wH5g4Anl9vBQ==
           "]]}, {
         ImageSize -> {70, 70}, AspectRatio -> Automatic}]}}}, 
    Typeset`size$$ = {450., {198., 202.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`n$653715$$ = 0, $CellContext`ex$653716$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`ex$$ = {
          $CellContext`Curve[
           $CellContext`Move[1], 
           $CellContext`Turn[120.], 
           $CellContext`Move[1], 
           $CellContext`Turn[120.], 
           $CellContext`Move[1]], {
           $CellContext`Curve[
            $CellContext`Move[1], 
            $CellContext`Turn[-60], 
            $CellContext`Move[1], 
            $CellContext`Turn[120], 
            $CellContext`Move[1], 
            $CellContext`Turn[-60], 
            $CellContext`Move[1]]}}, $CellContext`n$$ = 3}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$653715$$, 0], 
        Hold[$CellContext`ex$$, $CellContext`ex$653716$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> ($CellContext`examples; Graphics[
         $CellContext`Fractal[
          Part[$CellContext`ex$$, 1], 
          Part[$CellContext`ex$$, 2], $CellContext`n$$], 
         ImageSize -> {450, 400}]), 
      "Specifications" :> {{{$CellContext`n$$, 3, "iterations"}, 0, 5, 1, 
         Appearance -> "Labeled"}, {{$CellContext`ex$$, {
           $CellContext`Curve[
            $CellContext`Move[1], 
            $CellContext`Turn[120.], 
            $CellContext`Move[1], 
            $CellContext`Turn[120.], 
            $CellContext`Move[1]], {
            $CellContext`Curve[
             $CellContext`Move[1], 
             $CellContext`Turn[-60], 
             $CellContext`Move[1], 
             $CellContext`Turn[120], 
             $CellContext`Move[1], 
             $CellContext`Turn[-60], 
             $CellContext`Move[1]]}}, "replacement curves", ControlType -> 
          SetterBar}, {{
            $CellContext`Curve[
             $CellContext`Move[1], 
             $CellContext`Turn[120.], 
             $CellContext`Move[1], 
             $CellContext`Turn[120.], 
             $CellContext`Move[1]], {
             $CellContext`Curve[
              $CellContext`Move[1], 
              $CellContext`Turn[-60], 
              $CellContext`Move[1], 
              $CellContext`Turn[120], 
              $CellContext`Move[1], 
              $CellContext`Turn[-60], 
              $CellContext`Move[1]]}} -> Graphics[{
             
             Line[{{0., 0.}, {1., 0.}, {1.5, -0.8660254037844386}, {2., 0.}, {
              3., 0.}, {2.5, 0.8660254037844387}, {3., 1.7320508075688772`}, {
              2., 1.7320508075688774`}, {1.4999999999999998`, 
              2.598076211353316}, {1.0000000000000002`, 
              1.7320508075688772`}, {2.220446049250313*^-16, 
              1.7320508075688765`}, {0.5000000000000011, 
              0.8660254037844384}, {
              2.275957200481571*^-15, -8.881784197001252*^-16}}]}, {
            ImageSize -> {70, 70}, AspectRatio -> Automatic}], {
            $CellContext`Curve[
             $CellContext`Move[1, 1]], {
             $CellContext`Curve[
              $CellContext`Move[1, 2], 
              $CellContext`Turn[-60], 
              $CellContext`Move[1, 1], 
              $CellContext`Move[1, 1], 
              $CellContext`Turn[-120], 
              $CellContext`Move[1, 1], 
              $CellContext`Turn[-60], 
              $CellContext`Move[1, 2], 
              $CellContext`Turn[120], 
              $CellContext`Move[1, 2], 
              $CellContext`Turn[60], 
              $CellContext`Move[1, 1]], 
             $CellContext`Curve[
              $CellContext`Move[1, 2], 
              $CellContext`Turn[-60], 
              $CellContext`Move[1, 1], 
              $CellContext`Turn[-120], 
              $CellContext`Move[1, 1], 
              $CellContext`Turn[60], 
              $CellContext`Move[1, 2], 
              $CellContext`Turn[120], 
              $CellContext`Move[1, 2], 
              $CellContext`Move[1, 2], 
              $CellContext`Turn[60], 
              $CellContext`Move[1, 1]]}} -> Graphics[{
             
             Line[{{0., 0.}, {0.18898223650461357`, 0.9819805060619657}, {
              1.1338934190276817`, 1.3093073414159544`}, {2.0788046015507495`,
               1.636634176769943}, {1.8898223650461363`, 
              0.6546536707079773}, {0.9449111825230684, 
              0.32732683535398827`}, {
              1.700840128541523, -0.3273268353539887}, {2.645751311064591, 
              0.}}]}, {ImageSize -> {70, 70}, AspectRatio -> Automatic}], {
            $CellContext`Curve[
             $CellContext`Turn[60], 
             $CellContext`Move[1, 2], 
             $CellContext`Move[1, 4], 
             $CellContext`Turn[-60], 
             $CellContext`Move[1, 4], 
             $CellContext`Turn[-60], 
             $CellContext`Move[1, 4], 
             $CellContext`Turn[-90], 
             $CellContext`Move[1.7320508075688772`, 3], 
             $CellContext`Turn[150], 
             $CellContext`Move[1, 2], 
             $CellContext`Move[1, 4]], {
             $CellContext`Curve[
              $CellContext`Turn[60], 
              $CellContext`Move[1, 2], 
              $CellContext`Move[1, 4], 
              $CellContext`Turn[-60], 
              $CellContext`Move[1, 4], 
              $CellContext`Turn[-60], 
              $CellContext`Move[1, 4], 
              $CellContext`Turn[-90], 
              $CellContext`Move[1.7320508075688772`, 3], 
              $CellContext`Turn[150], 
              $CellContext`Move[1, 2], 
              $CellContext`Move[1, 4]], 
             $CellContext`Curve[
              $CellContext`Turn[-60], 
              $CellContext`Move[1, 1], 
              $CellContext`Move[1, 3], 
              $CellContext`Turn[60], 
              $CellContext`Move[1, 3], 
              $CellContext`Turn[60], 
              $CellContext`Move[1, 3], 
              $CellContext`Turn[90], 
              $CellContext`Move[1.7320508075688772`, 4], 
              $CellContext`Turn[-150], 
              $CellContext`Move[1, 1], 
              $CellContext`Move[1, 3]], 
             $CellContext`Curve[
              $CellContext`Move[1, 2], 
              $CellContext`Move[1, 4], 
              $CellContext`Turn[-150], 
              $CellContext`Move[1.7320508075688772`, 1], 
              $CellContext`Turn[90], 
              $CellContext`Move[1, 2], 
              $CellContext`Turn[60], 
              $CellContext`Move[1, 2], 
              $CellContext`Turn[60], 
              $CellContext`Move[1, 2], 
              $CellContext`Move[1, 4], 
              $CellContext`Turn[-60]], 
             $CellContext`Curve[
              $CellContext`Move[1, 1], 
              $CellContext`Move[1, 3], 
              $CellContext`Turn[150], 
              $CellContext`Move[1.7320508075688772`, 2], 
              $CellContext`Turn[-90], 
              $CellContext`Move[1, 1], 
              $CellContext`Turn[-60], 
              $CellContext`Move[1, 1], 
              $CellContext`Turn[-60], 
              $CellContext`Move[1, 1], 
              $CellContext`Move[1, 3], 
              $CellContext`Turn[60]]}} -> Graphics[{
             Line[CompressedData["
1:eJxTTMoPSmViYGAwAmIQjR18sEcTcEDlsjis8ol4UbXtNUwdlP/b/s9/ELhv
vw5F/oP9Gqg8xM4f9g2WTnp3TrA4MKHo53Zghpr/St/8Ik+QoAMrVD9MngfM
f2APk2eDyteDzROB6mdwQOVzwPkQ+wTQ+CJwPguYz+Mg4uzbvdpeAq5+Jdh+
abh6VL4YmnoJNPOl4P6B8GXg/mWE8hug6iHOV0DjKzq8huqHya9G0S/ngBqe
Eg4rUMJbyGEhSnxIwO0HR9d/QYeXUPMhfHaHZVB5Bmj4LYKaxwjlQ8Qf7GGC
htcOiPn7YeG1AaJ+Pyy81qHwxaDyCPUQ827tgamH8C/tgfkHwj+yBxZ+EP6C
PYzQ8IDwd9jAwnsZ1L+w8IWlT1j4rUXhKzpsRgkfJah5N2wAwTvKWA==
              "]]}, {
            ImageSize -> {70, 70}, AspectRatio -> Automatic}], {
            $CellContext`Curve[
             $CellContext`Move[1, 1]], {
             $CellContext`Curve[
              $CellContext`Move[1, 2], 
              $CellContext`Move[1, 1], 
              $CellContext`Turn[-90], 
              $CellContext`Move[1, 1], 
              $CellContext`Turn[-90], 
              $CellContext`Move[1, 2], 
              $CellContext`Turn[90], 
              $CellContext`Move[1, 1]], 
             $CellContext`Curve[
              $CellContext`Move[1, 2], 
              $CellContext`Turn[-90], 
              $CellContext`Move[1, 1], 
              $CellContext`Turn[90], 
              $CellContext`Move[1, 2], 
              $CellContext`Turn[90], 
              $CellContext`Move[1, 2], 
              $CellContext`Move[1, 1]]}} -> Graphics[{
             
             Line[{{0., 0.}, {0.44721359549995804`, 0.8944271909999159}, {
              0.8944271909999161, 1.7888543819998317`}, {1.788854381999832, 
              1.3416407864998736`}, {1.341640786499874, 
              0.44721359549995776`}, {
              2.23606797749979, -2.220446049250313*^-16}}]}, {
            ImageSize -> {70, 70}, AspectRatio -> Automatic}], {
            $CellContext`Curve[
             $CellContext`Move[1], 
             $CellContext`Turn[90.], 
             $CellContext`Move[1], 
             $CellContext`Turn[90.], 
             $CellContext`Move[1], 
             $CellContext`Turn[90.], 
             $CellContext`Move[1]], {
             $CellContext`Curve[
              $CellContext`Move[1], 
              $CellContext`Turn[-90], 
              $CellContext`Move[1], 
              $CellContext`Turn[90], 
              $CellContext`Move[1], 
              $CellContext`Turn[90], 
              $CellContext`Move[1], 
              $CellContext`Turn[0], 
              $CellContext`Move[1], 
              $CellContext`Turn[-90], 
              $CellContext`Move[1], 
              $CellContext`Turn[-90], 
              $CellContext`Move[1], 
              $CellContext`Turn[90], 
              $CellContext`Move[1]]}} -> Graphics[{
             Line[CompressedData["
1:eJxTTMoPSmViYGBQBGIQjR18sMfO/7AfKuCAnQ8HMHmoPg4cfBgQwMGHqRfB
wYfZI4DG58DB50BTj87HJQ7jo9sr4vAfAuxh6v+h8Dkc/oC57+H8vyh8mPk7
9sD4TYvUg/3mHdoDUw+JI1g4czgwo/Bh7jixB+aOX1DzYe74AeWjuuPCHpg7
HC9O1lT3v7wH5g4Anl9vBQ==
              "]]}, {
            ImageSize -> {70, 70}, AspectRatio -> Automatic}]}, ControlType -> 
         SetterBar}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{567., {285., 290.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`examples = {{
           $CellContext`Curve[
            $CellContext`Move[1], 
            $CellContext`Turn[120.], 
            $CellContext`Move[1], 
            $CellContext`Turn[120.], 
            $CellContext`Move[1]], {
            $CellContext`Curve[
             $CellContext`Move[1], 
             $CellContext`Turn[-60], 
             $CellContext`Move[1], 
             $CellContext`Turn[120], 
             $CellContext`Move[1], 
             $CellContext`Turn[-60], 
             $CellContext`Move[1]]}}, {
           $CellContext`Curve[
            $CellContext`Move[1, 1]], {
            $CellContext`Curve[
             $CellContext`Move[1, 2], 
             $CellContext`Turn[-60], 
             $CellContext`Move[1, 1], 
             $CellContext`Move[1, 1], 
             $CellContext`Turn[-120], 
             $CellContext`Move[1, 1], 
             $CellContext`Turn[-60], 
             $CellContext`Move[1, 2], 
             $CellContext`Turn[120], 
             $CellContext`Move[1, 2], 
             $CellContext`Turn[60], 
             $CellContext`Move[1, 1]], 
            $CellContext`Curve[
             $CellContext`Move[1, 2], 
             $CellContext`Turn[-60], 
             $CellContext`Move[1, 1], 
             $CellContext`Turn[-120], 
             $CellContext`Move[1, 1], 
             $CellContext`Turn[60], 
             $CellContext`Move[1, 2], 
             $CellContext`Turn[120], 
             $CellContext`Move[1, 2], 
             $CellContext`Move[1, 2], 
             $CellContext`Turn[60], 
             $CellContext`Move[1, 1]]}}, {
           $CellContext`Curve[
            $CellContext`Turn[60], 
            $CellContext`Move[1, 2], 
            $CellContext`Move[1, 4], 
            $CellContext`Turn[-60], 
            $CellContext`Move[1, 4], 
            $CellContext`Turn[-60], 
            $CellContext`Move[1, 4], 
            $CellContext`Turn[-90], 
            $CellContext`Move[1.7320508075688772`, 3], 
            $CellContext`Turn[150], 
            $CellContext`Move[1, 2], 
            $CellContext`Move[1, 4]], {
            $CellContext`Curve[
             $CellContext`Turn[60], 
             $CellContext`Move[1, 2], 
             $CellContext`Move[1, 4], 
             $CellContext`Turn[-60], 
             $CellContext`Move[1, 4], 
             $CellContext`Turn[-60], 
             $CellContext`Move[1, 4], 
             $CellContext`Turn[-90], 
             $CellContext`Move[1.7320508075688772`, 3], 
             $CellContext`Turn[150], 
             $CellContext`Move[1, 2], 
             $CellContext`Move[1, 4]], 
            $CellContext`Curve[
             $CellContext`Turn[-60], 
             $CellContext`Move[1, 1], 
             $CellContext`Move[1, 3], 
             $CellContext`Turn[60], 
             $CellContext`Move[1, 3], 
             $CellContext`Turn[60], 
             $CellContext`Move[1, 3], 
             $CellContext`Turn[90], 
             $CellContext`Move[1.7320508075688772`, 4], 
             $CellContext`Turn[-150], 
             $CellContext`Move[1, 1], 
             $CellContext`Move[1, 3]], 
            $CellContext`Curve[
             $CellContext`Move[1, 2], 
             $CellContext`Move[1, 4], 
             $CellContext`Turn[-150], 
             $CellContext`Move[1.7320508075688772`, 1], 
             $CellContext`Turn[90], 
             $CellContext`Move[1, 2], 
             $CellContext`Turn[60], 
             $CellContext`Move[1, 2], 
             $CellContext`Turn[60], 
             $CellContext`Move[1, 2], 
             $CellContext`Move[1, 4], 
             $CellContext`Turn[-60]], 
            $CellContext`Curve[
             $CellContext`Move[1, 1], 
             $CellContext`Move[1, 3], 
             $CellContext`Turn[150], 
             $CellContext`Move[1.7320508075688772`, 2], 
             $CellContext`Turn[-90], 
             $CellContext`Move[1, 1], 
             $CellContext`Turn[-60], 
             $CellContext`Move[1, 1], 
             $CellContext`Turn[-60], 
             $CellContext`Move[1, 1], 
             $CellContext`Move[1, 3], 
             $CellContext`Turn[60]]}}, {
           $CellContext`Curve[
            $CellContext`Move[1, 1]], {
            $CellContext`Curve[
             $CellContext`Move[1, 2], 
             $CellContext`Move[1, 1], 
             $CellContext`Turn[-90], 
             $CellContext`Move[1, 1], 
             $CellContext`Turn[-90], 
             $CellContext`Move[1, 2], 
             $CellContext`Turn[90], 
             $CellContext`Move[1, 1]], 
            $CellContext`Curve[
             $CellContext`Move[1, 2], 
             $CellContext`Turn[-90], 
             $CellContext`Move[1, 1], 
             $CellContext`Turn[90], 
             $CellContext`Move[1, 2], 
             $CellContext`Turn[90], 
             $CellContext`Move[1, 2], 
             $CellContext`Move[1, 1]]}}, {
           $CellContext`Curve[
            $CellContext`Move[1], 
            $CellContext`Turn[90.], 
            $CellContext`Move[1], 
            $CellContext`Turn[90.], 
            $CellContext`Move[1], 
            $CellContext`Turn[90.], 
            $CellContext`Move[1]], {
            $CellContext`Curve[
             $CellContext`Move[1], 
             $CellContext`Turn[-90], 
             $CellContext`Move[1], 
             $CellContext`Turn[90], 
             $CellContext`Move[1], 
             $CellContext`Turn[90], 
             $CellContext`Move[1], 
             $CellContext`Turn[0], 
             $CellContext`Move[1], 
             $CellContext`Turn[-90], 
             $CellContext`Move[1], 
             $CellContext`Turn[-90], 
             $CellContext`Move[1], 
             $CellContext`Turn[90], 
             $CellContext`Move[1]]}}}, 
        Attributes[$CellContext`Curve] = {Flat}, 
        UpSetDelayed[Pattern[$CellContext`c, 
           Blank[$CellContext`Curve]] Pattern[$CellContext`r, 
           Blank[]], 
         Map[$CellContext`r #& , $CellContext`c]], 
        UpSetDelayed[
         Graphics[
          Pattern[$CellContext`c, 
           Blank[$CellContext`Curve]], 
          PatternTest[
           Pattern[$CellContext`opts, 
            BlankNullSequence[]], OptionQ]], 
         Module[{$CellContext`thick, $CellContext`gc}, $CellContext`thick = 
           ReplaceAll[Thickness, 
             
             Flatten[{$CellContext`opts}]]; $CellContext`gc = \
$CellContext`StatesToLine[
             $CellContext`CurveToStates[$CellContext`c]]; $CellContext`gc = If[
             NumericQ[$CellContext`thick], {
              
              Thickness[$CellContext`thick], $CellContext`gc}, \
{$CellContext`gc}]; 
          Graphics[$CellContext`gc, {$CellContext`opts, AspectRatio -> 
             Automatic}]]], $CellContext`StatesToLine[
          Pattern[$CellContext`st, 
           Blank[List]]] := Line[
          $CellContext`RemoveDuplicates[
           Map[First, $CellContext`st]]], $CellContext`RemoveDuplicates[
          Pattern[$CellContext`l, 
           Blank[List]]] := 
        Module[{$CellContext`pairs}, $CellContext`pairs = 
           Partition[$CellContext`l, 2, 1]; $CellContext`pairs = 
           Select[$CellContext`pairs, Part[#, 1] =!= Part[#, 2]& ]; Append[
            Map[First, $CellContext`pairs], 
            Last[$CellContext`l]]], $CellContext`CurveToStates[
          Pattern[$CellContext`c, 
           Blank[$CellContext`Curve]]] := FoldList[$CellContext`NextState, 
          $CellContext`s[{0., 0.}, 0.], 
          Apply[List, $CellContext`c]], $CellContext`NextState[
          $CellContext`s[
           Pattern[$CellContext`xy, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]]], 
          $CellContext`Move[
           Pattern[$CellContext`l, 
            Blank[]], 
           
           BlankNullSequence[]]] := $CellContext`s[$CellContext`xy + \
$CellContext`l {
             Cos[$CellContext`a], 
             Sin[$CellContext`a]}, $CellContext`a], $CellContext`NextState[
          $CellContext`s[
           Pattern[$CellContext`xy, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]]], 
          $CellContext`Turn[
           Pattern[$CellContext`da, 
            
            Blank[]]]] := $CellContext`s[$CellContext`xy, $CellContext`a + \
$CellContext`da Degree], 
        UpSetDelayed[$CellContext`Move[
           Pattern[$CellContext`l1, 
            Blank[]], 
           Pattern[$CellContext`args, 
            BlankNullSequence[]]] Pattern[$CellContext`l, 
           Blank[]], 
         $CellContext`Move[$CellContext`l $CellContext`l1, \
$CellContext`args]], 
        UpSetDelayed[Pattern[$CellContext`l, 
           Blank[]] $CellContext`Turn[
           Pattern[$CellContext`a, 
            Blank[]]], 
         $CellContext`Turn[$CellContext`a]], $CellContext`Fractal[
          Pattern[$CellContext`c, 
           Blank[$CellContext`Curve]], 
          Pattern[$CellContext`t, 
           Blank[]], 
          PatternTest[
           Pattern[$CellContext`n, 
            Blank[Integer]], NonNegative]] := 
        With[{$CellContext`tt = $CellContext`Fixup[$CellContext`t]}, 
          
          Nest[$CellContext`Iterate[#, $CellContext`tt]& , $CellContext`c, \
$CellContext`n]], 
        Attributes[$CellContext`Fixup] = {Listable}, $CellContext`Fixup[
          Pattern[$CellContext`t, 
           Blank[$CellContext`Curve]]] := 
        Module[{$CellContext`excess, $CellContext`rot, $CellContext`tt = \
$CellContext`t}, $CellContext`rot = Chop[Apply[ArcTan, 
               $CellContext`EndPoint[$CellContext`tt]]/Degree]; 
          If[$CellContext`rot != 0., 
            PrependTo[$CellContext`tt, 
             $CellContext`Turn[-$CellContext`rot]]]; $CellContext`rot = 
           Apply[Plus, 
             Map[First, 
              Cases[$CellContext`tt, 
               Blank[$CellContext`Turn]]]]; If[$CellContext`rot != 0., 
            AppendTo[$CellContext`tt, 
             $CellContext`Turn[-$CellContext`rot]]]; \
$CellContext`simplify[$CellContext`tt]], $CellContext`EndPoint[
          Pattern[$CellContext`c, 
           Blank[$CellContext`Curve]]] := Part[
          Last[
           $CellContext`CurveToStates[$CellContext`c]], 
          1], $CellContext`simplify[
          Pattern[$CellContext`c, 
           Blank[$CellContext`Curve]]] := 
        ReplaceRepeated[$CellContext`c, {$CellContext`Curve[
             $CellContext`Turn[
              Pattern[$CellContext`r1, 
               Blank[]]], 
             $CellContext`Turn[
              Pattern[$CellContext`r2, 
               Blank[]]]] :> $CellContext`Curve[
             $CellContext`Turn[$CellContext`r1 + $CellContext`r2]], \
$CellContext`Curve[
             $CellContext`Turn[
              Condition[
               Pattern[$CellContext`z, 
                Blank[]], $CellContext`z == 
               0.]]] :> $CellContext`Curve[]}], $CellContext`Iterate[
          Pattern[$CellContext`c, 
           Blank[$CellContext`Curve]], 
          Pattern[$CellContext`template, 
           Blank[$CellContext`Curve]]] := 
        ReplaceAll[$CellContext`c, $CellContext`Move[
            Pattern[$CellContext`l, 
             
             Blank[]]] :> $CellContext`l $CellContext`template], \
$CellContext`Iterate[
          Pattern[$CellContext`c, 
           Blank[$CellContext`Curve]], 
          Pattern[$CellContext`template, {
            BlankSequence[$CellContext`Curve]}]] := 
        ReplaceAll[$CellContext`c, $CellContext`Move[
            Pattern[$CellContext`l, 
             Blank[]], 
            Optional[
             Pattern[$CellContext`n, 
              Blank[]], 1]] :> $CellContext`l 
           Part[$CellContext`template, $CellContext`n]]}; 
      Typeset`initDone$$ = True); ReleaseHold[
       HoldComplete[{Null, 
         SetAttributes[$CellContext`Curve, Flat], 
         TagSetDelayed[$CellContext`Curve, Pattern[$CellContext`r, 
            Blank[]] Pattern[$CellContext`c, 
            Blank[$CellContext`Curve]], 
          Map[$CellContext`r #& , $CellContext`c]], $CellContext`simplify[
           Pattern[$CellContext`c, 
            Blank[$CellContext`Curve]]] := 
         ReplaceRepeated[$CellContext`c, {$CellContext`Curve[
              $CellContext`Turn[
               Pattern[$CellContext`r1, 
                Blank[]]], 
              $CellContext`Turn[
               Pattern[$CellContext`r2, 
                Blank[]]]] :> $CellContext`Curve[
              $CellContext`Turn[$CellContext`r1 + $CellContext`r2]], \
$CellContext`Curve[
              $CellContext`Turn[
               Condition[
                Pattern[$CellContext`z, 
                 Blank[]], $CellContext`z == 
                0.]]] :> $CellContext`Curve[]}], $CellContext`Iterate[
           Pattern[$CellContext`c, 
            Blank[$CellContext`Curve]], 
           Pattern[$CellContext`template, 
            Blank[$CellContext`Curve]]] := 
         ReplaceAll[$CellContext`c, $CellContext`Move[
             Pattern[$CellContext`l, 
              
              Blank[]]] :> $CellContext`l $CellContext`template], \
$CellContext`Iterate[
           Pattern[$CellContext`c, 
            Blank[$CellContext`Curve]], 
           Pattern[$CellContext`template, {
             BlankSequence[$CellContext`Curve]}]] := 
         ReplaceAll[$CellContext`c, $CellContext`Move[
             Pattern[$CellContext`l, 
              Blank[]], 
             Optional[
              Pattern[$CellContext`n, 
               Blank[]], 1]] :> $CellContext`l 
            Part[$CellContext`template, $CellContext`n]], {
          HoldComplete[
           TagSetDelayed[$CellContext`Move, Pattern[$CellContext`l, 
              Blank[]] $CellContext`Move[
              Pattern[$CellContext`l1, 
               Blank[]], 
              Pattern[$CellContext`args, 
               BlankNullSequence[]]], 
            $CellContext`Move[$CellContext`l $CellContext`l1, \
$CellContext`args]]], 
          HoldComplete[Null], 
          HoldComplete[
           TagSetDelayed[$CellContext`Turn, Pattern[$CellContext`l, 
              Blank[]] $CellContext`Turn[
              Pattern[$CellContext`a, 
               Blank[]]], 
            $CellContext`Turn[$CellContext`a]]]}, $CellContext`Fractal[
           Pattern[$CellContext`c, 
            Blank[$CellContext`Curve]], 
           Pattern[$CellContext`t, 
            Blank[]], 
           PatternTest[
            Pattern[$CellContext`n, 
             Blank[Integer]], NonNegative]] := 
         With[{$CellContext`tt = $CellContext`Fixup[$CellContext`t]}, 
           
           Nest[$CellContext`Iterate[#, $CellContext`tt]& , $CellContext`c, \
$CellContext`n]], {
          HoldComplete[$CellContext`NextState[
             $CellContext`s[
              Pattern[$CellContext`xy, 
               Blank[]], 
              Pattern[$CellContext`a, 
               Blank[]]], 
             $CellContext`Move[
              Pattern[$CellContext`l, 
               Blank[]], 
              
              BlankNullSequence[]]] := $CellContext`s[$CellContext`xy + \
$CellContext`l {
                Cos[$CellContext`a], 
                Sin[$CellContext`a]}, $CellContext`a]], 
          HoldComplete[Null], 
          HoldComplete[$CellContext`NextState[
             $CellContext`s[
              Pattern[$CellContext`xy, 
               Blank[]], 
              Pattern[$CellContext`a, 
               Blank[]]], 
             $CellContext`Turn[
              Pattern[$CellContext`da, 
               
               Blank[]]]] := $CellContext`s[$CellContext`xy, $CellContext`a + \
$CellContext`da Degree]]}, $CellContext`CurveToStates[
           Pattern[$CellContext`c, 
            Blank[$CellContext`Curve]]] := FoldList[$CellContext`NextState, 
           $CellContext`s[{0., 0.}, 0.], 
           Apply[List, $CellContext`c]], $CellContext`RemoveDuplicates[
           Pattern[$CellContext`l, 
            Blank[List]]] := 
         Module[{$CellContext`pairs}, $CellContext`pairs = 
            Partition[$CellContext`l, 2, 1]; $CellContext`pairs = 
            Select[$CellContext`pairs, Part[#, 1] =!= Part[#, 2]& ]; Append[
             Map[First, $CellContext`pairs], 
             Last[$CellContext`l]]], $CellContext`StatesToLine[
           Pattern[$CellContext`st, 
            Blank[List]]] := Line[
           $CellContext`RemoveDuplicates[
            Map[First, $CellContext`st]]], $CellContext`EndPoint[
           Pattern[$CellContext`c, 
            Blank[$CellContext`Curve]]] := Part[
           Last[
            $CellContext`CurveToStates[$CellContext`c]], 
           1], $CellContext`simplify[
           Pattern[$CellContext`c, 
            Blank[$CellContext`Curve]]] := 
         ReplaceRepeated[$CellContext`c, {$CellContext`Curve[
              $CellContext`Turn[
               Pattern[$CellContext`r1, 
                Blank[]]], 
              $CellContext`Turn[
               Pattern[$CellContext`r2, 
                Blank[]]]] :> $CellContext`Curve[
              $CellContext`Turn[$CellContext`r1 + $CellContext`r2]], \
$CellContext`Curve[
              $CellContext`Turn[
               Condition[
                Pattern[$CellContext`z, 
                 Blank[]], $CellContext`z == 0.]]] :> $CellContext`Curve[]}], {
          HoldComplete[
           SetAttributes[$CellContext`Fixup, Listable]], 
          HoldComplete[Null], 
          HoldComplete[$CellContext`Fixup[
             Pattern[$CellContext`t, 
              Blank[$CellContext`Curve]]] := 
           Module[{$CellContext`excess, $CellContext`rot, $CellContext`tt = \
$CellContext`t}, $CellContext`rot = Chop[Apply[ArcTan, 
                  $CellContext`EndPoint[$CellContext`tt]]/Degree]; 
             If[$CellContext`rot != 0., 
               PrependTo[$CellContext`tt, 
                $CellContext`Turn[-$CellContext`rot]]]; $CellContext`rot = 
              Apply[Plus, 
                Map[First, 
                 Cases[$CellContext`tt, 
                  Blank[$CellContext`Turn]]]]; If[$CellContext`rot != 0., 
               AppendTo[$CellContext`tt, 
                $CellContext`Turn[-$CellContext`rot]]]; \
$CellContext`simplify[$CellContext`tt]]]}, 
         TagSetDelayed[$CellContext`Curve, 
          Graphics[
           Pattern[$CellContext`c, 
            Blank[$CellContext`Curve]], 
           PatternTest[
            Pattern[$CellContext`opts, 
             BlankNullSequence[]], OptionQ]], 
          
          Module[{$CellContext`thick, $CellContext`gc}, $CellContext`thick = 
            ReplaceAll[Thickness, 
              
              Flatten[{$CellContext`opts}]]; $CellContext`gc = \
$CellContext`StatesToLine[
              $CellContext`CurveToStates[$CellContext`c]]; $CellContext`gc = 
            If[
              NumericQ[$CellContext`thick], {
               
               Thickness[$CellContext`thick], $CellContext`gc}, \
{$CellContext`gc}]; 
           Graphics[$CellContext`gc, {$CellContext`opts, AspectRatio -> 
              Automatic}]]], Null, $CellContext`Gon[
           Pattern[$CellContext`n, 
            Blank[]]] := $CellContext`TurnCurve[
           Table[
           360./$CellContext`n, {$CellContext`n - 1}]], $CellContext`TurnCurve[
           Pattern[$CellContext`l, 
            Blank[List]]] := Append[
           Apply[$CellContext`Curve, 
            Transpose[{
              Table[
               $CellContext`Move[1], {
                Length[$CellContext`l]}], 
              Map[$CellContext`Turn, $CellContext`l]}], {0, 1}], 
           $CellContext`Move[1]], {
          HoldComplete[$CellContext`ht1 = $CellContext`Curve[
              $CellContext`Move[1, 2], 
              $CellContext`Turn[-60], 
              $CellContext`Move[1, 1], 
              $CellContext`Move[1, 1], 
              $CellContext`Turn[-120], 
              $CellContext`Move[1, 1], 
              $CellContext`Turn[-60], 
              $CellContext`Move[1, 2], 
              $CellContext`Turn[120], 
              $CellContext`Move[1, 2], 
              $CellContext`Turn[60], 
              $CellContext`Move[1, 1]]; Null], 
          HoldComplete[Null], 
          HoldComplete[$CellContext`ht2 = ReplaceAll[
              Reverse[$CellContext`ht1], {$CellContext`Turn[
                 Pattern[$CellContext`a, 
                  
                  Blank[]]] :> $CellContext`Turn[-$CellContext`a], \
$CellContext`Move[
                 Pattern[$CellContext`d, 
                  Blank[]], 
                 Pattern[$CellContext`i, 
                  Blank[]]] :> $CellContext`Move[$CellContext`d, 
                 3 - $CellContext`i]}]; Null]}, {
          HoldComplete[$CellContext`sql = $CellContext`Curve[
              $CellContext`Move[1, 2], 
              $CellContext`Move[1, 1], 
              $CellContext`Turn[-90], 
              $CellContext`Move[1, 1], 
              $CellContext`Turn[-90], 
              $CellContext`Move[1, 2], 
              $CellContext`Turn[90], 
              $CellContext`Move[1, 1]]; Null], 
          HoldComplete[Null], 
          HoldComplete[$CellContext`sqr = ReplaceAll[
              Reverse[$CellContext`sql], {$CellContext`Turn[
                 Pattern[$CellContext`a, 
                  
                  Blank[]]] :> $CellContext`Turn[-$CellContext`a], \
$CellContext`Move[
                 Pattern[$CellContext`d, 
                  Blank[]], 
                 Pattern[$CellContext`i, 
                  Blank[]]] :> $CellContext`Move[$CellContext`d, 
                 3 - $CellContext`i]}]; Null]}, {
          HoldComplete[$CellContext`mb1 = $CellContext`Curve[
              $CellContext`Turn[60], 
              $CellContext`Move[1, 2], 
              $CellContext`Move[1, 4], 
              $CellContext`Turn[-60], 
              $CellContext`Move[1, 4], 
              $CellContext`Turn[-60], 
              $CellContext`Move[1, 4], 
              $CellContext`Turn[-90], 
              $CellContext`Move[
               Sqrt[3.], 3], 
              $CellContext`Turn[150], 
              $CellContext`Move[1, 2], 
              $CellContext`Move[1, 4]]; Null], 
          HoldComplete[Null], 
          
          HoldComplete[$CellContext`flip[1] = 2; $CellContext`flip[2] = 
            1; $CellContext`flip[3] = 4; $CellContext`flip[4] = 3; Null], 
          HoldComplete[Null], 
          
          HoldComplete[$CellContext`rev[1] = 3; $CellContext`rev[3] = 
            1; $CellContext`rev[2] = 4; $CellContext`rev[4] = 2; Null], 
          HoldComplete[Null], 
          HoldComplete[Null], 
          HoldComplete[Null], 
          
          HoldComplete[$CellContext`mb2 = 
            ReplaceAll[$CellContext`mb1, {$CellContext`Turn[
                 Pattern[$CellContext`a, 
                  
                  Blank[]]] :> $CellContext`Turn[-$CellContext`a], \
$CellContext`Move[
                 Pattern[$CellContext`d, 
                  Blank[]], 
                 Pattern[$CellContext`n, 
                  Blank[]]] :> $CellContext`Move[$CellContext`d, 
                 $CellContext`flip[$CellContext`n]]}]; Null], 
          HoldComplete[Null], 
          HoldComplete[Null], 
          HoldComplete[Null], 
          HoldComplete[$CellContext`mb3 = ReplaceAll[
              Reverse[$CellContext`mb1], {$CellContext`Turn[
                 Pattern[$CellContext`a, 
                  
                  Blank[]]] :> $CellContext`Turn[-$CellContext`a], \
$CellContext`Move[
                 Pattern[$CellContext`d, 
                  Blank[]], 
                 Pattern[$CellContext`n, 
                  Blank[]]] :> $CellContext`Move[$CellContext`d, 
                 $CellContext`rev[$CellContext`n]]}]; Null], 
          HoldComplete[Null], 
          HoldComplete[Null], 
          HoldComplete[Null], 
          HoldComplete[$CellContext`mb4 = ReplaceAll[
              Reverse[$CellContext`mb2], {$CellContext`Turn[
                 Pattern[$CellContext`a, 
                  
                  Blank[]]] :> $CellContext`Turn[-$CellContext`a], \
$CellContext`Move[
                 Pattern[$CellContext`d, 
                  Blank[]], 
                 Pattern[$CellContext`n, 
                  Blank[]]] :> $CellContext`Move[$CellContext`d, 
                 $CellContext`rev[$CellContext`n]]}]; 
           Null]}, $CellContext`examples = {{
             $CellContext`Gon[3], {
              $CellContext`TurnCurve[{-60, 120, -60}]}}, {
             $CellContext`Curve[
              $CellContext`Move[
              1, 1]], {$CellContext`ht1, $CellContext`ht2}}, \
{$CellContext`mb1, {$CellContext`mb1, $CellContext`mb2, $CellContext`mb3, \
$CellContext`mb4}}, {
             $CellContext`Curve[
              $CellContext`Move[
              1, 1]], {$CellContext`sql, $CellContext`sqr}}, {
             $CellContext`Gon[4], {
              $CellContext`TurnCurve[{-90, 90, 90, 0, -90, -90, 90}]}}}; 
         Null}]]; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->400747332]
}, Open  ]]
}, Open  ]]
},
WindowSize->{740, 867},
WindowMargins->{{145, Automatic}, {Automatic, 28}},
FrontEndVersion->"8.0 for Linux x86 (32-bit) (October 10, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 162, 4, 74, "Section"],
Cell[CellGroupData[{
Cell[744, 28, 125, 3, 37, "Section"],
Cell[872, 33, 219, 6, 30, "Input",
 InitializationCell->True,
 CellID->328130309],
Cell[1094, 41, 117, 3, 30, "Input",
 CellID->1882304723],
Cell[1214, 46, 184, 6, 30, "Input",
 CellID->1346140341],
Cell[1401, 54, 722, 21, 69, "Input",
 CellID->120531367],
Cell[2126, 77, 274, 8, 30, "Input",
 CellID->101028327],
Cell[2403, 87, 434, 14, 30, "Input",
 CellID->2074869456],
Cell[2840, 103, 395, 12, 50, "Input",
 CellID->548465611],
Cell[3238, 117, 496, 16, 50, "Input",
 CellID->1504858808],
Cell[3737, 135, 851, 28, 50, "Input",
 CellID->2013508323],
Cell[4591, 165, 381, 11, 30, "Input",
 CellID->1157919832],
Cell[4975, 178, 827, 24, 69, "Input",
 CellID->1471439076],
Cell[5805, 204, 222, 6, 30, "Input",
 CellID->1359477086],
Cell[6030, 212, 237, 7, 30, "Input",
 CellID->345867444],
Cell[6270, 221, 681, 20, 69, "Input",
 CellID->898779395],
Cell[6954, 243, 1529, 44, 145, "Input",
 CellID->1804162048],
Cell[8486, 289, 1204, 33, 107, "Input",
 CellID->133472326],
Cell[9693, 324, 195, 5, 30, "Input",
 InitializationCell->True,
 CellID->417149336],
Cell[9891, 331, 278, 9, 30, "Input",
 CellID->973931538],
Cell[10172, 342, 614, 18, 69, "Input",
 CellID->2139302941],
Cell[10789, 362, 1505, 44, 88, "Input",
 CellID->358992343],
Cell[12297, 408, 1233, 37, 69, "Input",
 CellID->939273383],
Cell[13533, 447, 3374, 102, 221, "Input",
 CellID->1708785090],
Cell[16910, 551, 1946, 53, 145, "Input",
 CellID->1988727721],
Cell[CellGroupData[{
Cell[18881, 608, 2381, 62, 164, "Input",
 CellID->1388044557],
Cell[21265, 672, 44948, 1084, 592, "Output",
 CellID->400747332]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

